"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.looksLikeMarkdownPath = void 0;
const URI = require("vscode-uri");
const markdownFileExtensions = Object.freeze([
    '.md',
    '.mkd',
    '.mdwn',
    '.mdown',
    '.markdown',
    '.markdn',
    '.mdtxt',
    '.mdtext',
    '.workbook',
]);
function looksLikeMarkdownPath(resolvedHrefPath) {
    return markdownFileExtensions.includes(URI.Utils.extname(URI.URI.from(resolvedHrefPath)).toLowerCase());
}
exports.looksLikeMarkdownPath = looksLikeMarkdownPath;
