/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var re=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/base/common/platform","vs/platform/instantiation/common/instantiation","vs/base/common/async","vs/platform/log/common/log","vs/base/common/uri","vs/base/common/errors","vs/platform/files/common/files","vs/nls","vs/nls!vs/code/electron-browser/sharedProcess/sharedProcessMain","vs/base/common/path","vs/base/common/types","vs/platform/environment/common/environment","vs/base/common/buffer","vs/base/common/arrays","vs/base/common/resources","vs/platform/configuration/common/configuration","vs/base/common/network","vs/platform/telemetry/common/telemetry","vs/platform/storage/common/storage","vs/base/common/cancellation","vs/platform/product/common/productService","vs/platform/userDataSync/common/userDataSync","vs/base/common/strings","vs/base/node/pfs","vs/platform/extensionManagement/common/extensionManagement","vs/platform/userDataProfile/common/userDataProfile","vs/base/common/objects","vs/base/common/uuid","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/uriIdentity/common/uriIdentity","vs/base/common/json","vs/base/common/process","os","vs/base/common/errorMessage","vs/base/common/map","vs/base/parts/ipc/common/ipc","vs/platform/registry/common/platform","vs/platform/extensionManagement/common/extensionsProfileScannerService","vs/base/common/stream","vs/base/common/extpath","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/platform/userDataSync/common/abstractSynchronizer","child_process","vs/platform/externalServices/common/serviceMachineId","vs/platform/extensions/common/extensions","vs/platform/telemetry/common/telemetryUtils","vs/base/common/codicons","vs/base/common/iterator","vs/base/common/jsonFormatter","fs","vs/base/common/semver/semver","vs/platform/instantiation/common/descriptors","vs/platform/files/common/watcher","vs/platform/policy/common/policy","vs/platform/userDataSync/common/content","vs/base/common/decorators","vs/base/common/date","vs/base/common/hash","vs/base/common/marshalling","vs/base/parts/ipc/node/ipc.cp","vs/platform/extensions/common/extensionValidator","vs/platform/languagePacks/common/languagePacks","vs/platform/native/electron-sandbox/native","vs/platform/configuration/common/configurationModels","vs/platform/tunnel/common/tunnel","vs/platform/extensionManagement/common/extensionsScannerService","vs/platform/extensionManagement/common/extensionStorage","vs/platform/userDataSync/common/userDataSyncAccount","vs/platform/userDataSync/common/userDataSyncMachines","vs/base/common/functional","vs/base/common/jsonEdit","net","vs/base/common/processes","vs/base/common/observableValue","vs/base/common/normalization","vs/base/common/severity","vs/base/common/glob","vs/base/node/powershell","vs/base/parts/ipc/common/ipc.net","electron","vs/base/parts/storage/common/storage","vs/base/node/processes","vs/platform/environment/common/environmentService","vs/platform/instantiation/common/extensions","vs/platform/diagnostics/common/diagnostics","vs/platform/download/common/download","vs/platform/extensionRecommendations/common/extensionRecommendations","vs/platform/files/common/io","vs/platform/instantiation/common/serviceCollection","vs/platform/ipc/electron-sandbox/services","vs/platform/log/common/logIpc","vs/platform/product/common/product","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/remote/common/remoteHosts","vs/platform/sharedProcess/common/sharedProcessWorkerService","vs/platform/sign/common/sign","vs/platform/telemetry/common/telemetryIpc","vs/platform/telemetry/common/telemetryLogAppender","vs/platform/telemetry/common/telemetryService","vs/platform/terminal/common/terminal","vs/platform/theme/common/themeService","vs/platform/userDataSync/common/ignoredExtensions","vs/base/node/zip","vs/platform/extensionManagement/node/extensionManagementService","vs/base/common/assert","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/skipList","vs/base/node/decoder","vs/base/node/macAddress","vs/base/node/ports","vs/base/parts/request/common/request","vs/base/parts/request/browser/request","vs/nls!vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/jsonErrorMessages","vs/base/common/jsonErrorMessages","vs/nls!vs/base/common/platform","vs/base/common/mime","vs/base/common/stopwatch","vs/base/common/cache","vs/base/common/console","vs/base/common/uriIpc","vs/base/node/id","vs/base/node/extpath","vs/base/node/ps","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-browser/ipc.mp","vs/base/parts/ipc/node/ipc.net","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionsScannerService","vs/nls!vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/languagePacks/common/languagePacks","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/shell/node/shellEnv","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/terminal/common/terminalPlatformConfiguration","vs/nls!vs/platform/terminal/common/terminalProfiles","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/userDataSync/common/abstractSynchronizer","vs/nls!vs/platform/userDataSync/common/keybindingsSync","vs/nls!vs/platform/userDataSync/common/settingsSync","vs/nls!vs/platform/userDataSync/common/userDataAutoSyncService","vs/nls!vs/platform/userDataSync/common/userDataSync","vs/nls!vs/platform/userDataSync/common/userDataSyncMachines","vs/platform/environment/node/argv","vs/platform/environment/node/argvHelper","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/common/configRemotes","vs/platform/extensionRecommendations/electron-sandbox/extensionRecommendationsIpc","vs/platform/instantiation/common/graph","vs/platform/checksum/common/checksumService","vs/platform/contextkey/common/contextkey","vs/platform/extensionManagement/common/extensionManagementIpc","vs/platform/checksum/node/checksumService","crypto","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/ipc/electron-browser/mainProcessService","vs/code/electron-browser/sharedProcess/contrib/localizationsUpdater","vs/code/electron-browser/sharedProcess/contrib/logsDataCleaner","vs/code/electron-browser/sharedProcess/contrib/storageDataCleaner","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","vs/platform/policy/common/policyIpc","vs/code/electron-browser/sharedProcess/contrib/codeCacheCleaner","vs/code/electron-browser/sharedProcess/contrib/languagePackCachedDataCleaner","vs/platform/profiling/common/profiling","vs/platform/profiling/node/profilingService","vs/platform/configuration/common/configurations","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/extensionManagement/common/unsupportedExtensionsMigration","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/languagePacks/node/languagePacks","vs/platform/remote/common/remoteAgentConnection","vs/platform/remote/common/sharedProcessTunnelService","vs/platform/remote/node/nodeSocketFactory","vs/platform/request/browser/requestService","vs/platform/download/common/downloadService","vs/platform/extensionManagement/common/extensionTipsService","vs/platform/sharedProcess/electron-browser/sharedProcessWorker","vs/platform/sharedProcess/electron-browser/sharedProcessWorkerService","vs/platform/sharedProcess/node/sharedProcessEnvironmentService","vs/platform/shell/node/shellEnv","vs/platform/sign/node/signService","vs/platform/storage/common/storageIpc","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/externalServices/common/marketplace","vs/platform/telemetry/common/1dsAppender","vs/platform/telemetry/browser/1dsAppender","vs/platform/telemetry/node/customEndpointTelemetryService","vs/platform/terminal/common/requestStore","vs/platform/terminal/electron-sandbox/terminal","vs/platform/terminal/node/terminalEnvironment","vs/platform/theme/common/theme","vs/platform/terminal/common/terminalProfiles","vs/platform/terminal/common/terminalPlatformConfiguration","vs/platform/terminal/node/terminalProfiles","vs/platform/terminal/node/ptyHostService","vs/platform/tunnel/node/sharedProcessTunnelService","vs/platform/tunnel/node/tunnelService","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/userData/common/fileUserDataProvider","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/extensionManagement/electron-sandbox/defaultExtensionsProfileInit","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/extensionManagement/node/extensionsScannerService","vs/platform/extensionManagement/common/extensionEnablementService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/platform/storage/electron-sandbox/storageService","vs/platform/userDataProfile/electron-sandbox/userDataProfile","vs/platform/userDataSync/common/extensionsMerge","vs/platform/userDataSync/common/keybindingsMerge","vs/platform/userDataSync/common/snippetsMerge","vs/platform/userDataSync/common/extensionsSync","vs/platform/userDataSync/common/globalStateMerge","vs/platform/userDataSync/common/globalStateSync","vs/platform/userDataSync/common/keybindingsSync","vs/platform/userDataSync/common/settingsMerge","vs/platform/userDataSync/common/settingsSync","vs/platform/userDataSync/common/snippetsSync","vs/platform/userDataSync/common/tasksSync","vs/platform/userDataSync/common/userDataSyncBackupStoreService","vs/platform/userDataSync/common/userDataSyncEnablementService","vs/platform/userDataSync/common/userDataSyncIpc","vs/platform/userDataSync/common/userDataSyncLog","vs/platform/userDataSync/common/userDataAutoSyncService","vs/platform/userDataSync/common/userDataSyncService","vs/platform/userDataSync/common/userDataSyncServiceIpc","vs/platform/userDataSync/common/userDataSyncStoreService","vs/platform/userDataSync/electron-sandbox/userDataAutoSyncService","vs/platform/windows/node/windowTracker","vs/platform/extensionManagement/node/extensionManagementUtil","vs/code/electron-browser/sharedProcess/contrib/extensionsCleaner","string_decoder","util","minimist","assert","path","graceful-fs","yauzl","yazl","vs/code/electron-browser/sharedProcess/sharedProcessMain"],se=function(Z){for(var e=[],R=0,t=Z.length;R<t;R++)e[R]=re[Z[R]];return e};define(re[109],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function R(t,k){if(!t)throw new Error(k?`Assertion failed (${k})`:"Assertion Failed")}e.ok=R}),define(re[51],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function R(A){return A?A.replace(/\$\((.*?)\)/g,(C,P)=>` ${P} `).trim():""}e.getCodiconAriaLabel=R;class t{constructor(C,P,I){this.id=C,this.definition=P,this.description=I,t._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return t._allCodicons}}e.Codicon=t,t._allCodicons=[],t.add=new t("add",{fontCharacter:"\\ea60"}),t.plus=new t("plus",t.add.definition),t.gistNew=new t("gist-new",t.add.definition),t.repoCreate=new t("repo-create",t.add.definition),t.lightbulb=new t("lightbulb",{fontCharacter:"\\ea61"}),t.lightBulb=new t("light-bulb",{fontCharacter:"\\ea61"}),t.repo=new t("repo",{fontCharacter:"\\ea62"}),t.repoDelete=new t("repo-delete",{fontCharacter:"\\ea62"}),t.gistFork=new t("gist-fork",{fontCharacter:"\\ea63"}),t.repoForked=new t("repo-forked",{fontCharacter:"\\ea63"}),t.gitPullRequest=new t("git-pull-request",{fontCharacter:"\\ea64"}),t.gitPullRequestAbandoned=new t("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),t.recordKeys=new t("record-keys",{fontCharacter:"\\ea65"}),t.keyboard=new t("keyboard",{fontCharacter:"\\ea65"}),t.tag=new t("tag",{fontCharacter:"\\ea66"}),t.tagAdd=new t("tag-add",{fontCharacter:"\\ea66"}),t.tagRemove=new t("tag-remove",{fontCharacter:"\\ea66"}),t.person=new t("person",{fontCharacter:"\\ea67"}),t.personFollow=new t("person-follow",{fontCharacter:"\\ea67"}),t.personOutline=new t("person-outline",{fontCharacter:"\\ea67"}),t.personFilled=new t("person-filled",{fontCharacter:"\\ea67"}),t.gitBranch=new t("git-branch",{fontCharacter:"\\ea68"}),t.gitBranchCreate=new t("git-branch-create",{fontCharacter:"\\ea68"}),t.gitBranchDelete=new t("git-branch-delete",{fontCharacter:"\\ea68"}),t.sourceControl=new t("source-control",{fontCharacter:"\\ea68"}),t.mirror=new t("mirror",{fontCharacter:"\\ea69"}),t.mirrorPublic=new t("mirror-public",{fontCharacter:"\\ea69"}),t.star=new t("star",{fontCharacter:"\\ea6a"}),t.starAdd=new t("star-add",{fontCharacter:"\\ea6a"}),t.starDelete=new t("star-delete",{fontCharacter:"\\ea6a"}),t.starEmpty=new t("star-empty",{fontCharacter:"\\ea6a"}),t.comment=new t("comment",{fontCharacter:"\\ea6b"}),t.commentAdd=new t("comment-add",{fontCharacter:"\\ea6b"}),t.alert=new t("alert",{fontCharacter:"\\ea6c"}),t.warning=new t("warning",{fontCharacter:"\\ea6c"}),t.search=new t("search",{fontCharacter:"\\ea6d"}),t.searchSave=new t("search-save",{fontCharacter:"\\ea6d"}),t.logOut=new t("log-out",{fontCharacter:"\\ea6e"}),t.signOut=new t("sign-out",{fontCharacter:"\\ea6e"}),t.logIn=new t("log-in",{fontCharacter:"\\ea6f"}),t.signIn=new t("sign-in",{fontCharacter:"\\ea6f"}),t.eye=new t("eye",{fontCharacter:"\\ea70"}),t.eyeUnwatch=new t("eye-unwatch",{fontCharacter:"\\ea70"}),t.eyeWatch=new t("eye-watch",{fontCharacter:"\\ea70"}),t.circleFilled=new t("circle-filled",{fontCharacter:"\\ea71"}),t.primitiveDot=new t("primitive-dot",{fontCharacter:"\\ea71"}),t.closeDirty=new t("close-dirty",{fontCharacter:"\\ea71"}),t.debugBreakpoint=new t("debug-breakpoint",{fontCharacter:"\\ea71"}),t.debugBreakpointDisabled=new t("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),t.debugHint=new t("debug-hint",{fontCharacter:"\\ea71"}),t.primitiveSquare=new t("primitive-square",{fontCharacter:"\\ea72"}),t.edit=new t("edit",{fontCharacter:"\\ea73"}),t.pencil=new t("pencil",{fontCharacter:"\\ea73"}),t.info=new t("info",{fontCharacter:"\\ea74"}),t.issueOpened=new t("issue-opened",{fontCharacter:"\\ea74"}),t.gistPrivate=new t("gist-private",{fontCharacter:"\\ea75"}),t.gitForkPrivate=new t("git-fork-private",{fontCharacter:"\\ea75"}),t.lock=new t("lock",{fontCharacter:"\\ea75"}),t.mirrorPrivate=new t("mirror-private",{fontCharacter:"\\ea75"}),t.close=new t("close",{fontCharacter:"\\ea76"}),t.removeClose=new t("remove-close",{fontCharacter:"\\ea76"}),t.x=new t("x",{fontCharacter:"\\ea76"}),t.repoSync=new t("repo-sync",{fontCharacter:"\\ea77"}),t.sync=new t("sync",{fontCharacter:"\\ea77"}),t.clone=new t("clone",{fontCharacter:"\\ea78"}),t.desktopDownload=new t("desktop-download",{fontCharacter:"\\ea78"}),t.beaker=new t("beaker",{fontCharacter:"\\ea79"}),t.microscope=new t("microscope",{fontCharacter:"\\ea79"}),t.vm=new t("vm",{fontCharacter:"\\ea7a"}),t.deviceDesktop=new t("device-desktop",{fontCharacter:"\\ea7a"}),t.file=new t("file",{fontCharacter:"\\ea7b"}),t.fileText=new t("file-text",{fontCharacter:"\\ea7b"}),t.more=new t("more",{fontCharacter:"\\ea7c"}),t.ellipsis=new t("ellipsis",{fontCharacter:"\\ea7c"}),t.kebabHorizontal=new t("kebab-horizontal",{fontCharacter:"\\ea7c"}),t.mailReply=new t("mail-reply",{fontCharacter:"\\ea7d"}),t.reply=new t("reply",{fontCharacter:"\\ea7d"}),t.organization=new t("organization",{fontCharacter:"\\ea7e"}),t.organizationFilled=new t("organization-filled",{fontCharacter:"\\ea7e"}),t.organizationOutline=new t("organization-outline",{fontCharacter:"\\ea7e"}),t.newFile=new t("new-file",{fontCharacter:"\\ea7f"}),t.fileAdd=new t("file-add",{fontCharacter:"\\ea7f"}),t.newFolder=new t("new-folder",{fontCharacter:"\\ea80"}),t.fileDirectoryCreate=new t("file-directory-create",{fontCharacter:"\\ea80"}),t.trash=new t("trash",{fontCharacter:"\\ea81"}),t.trashcan=new t("trashcan",{fontCharacter:"\\ea81"}),t.history=new t("history",{fontCharacter:"\\ea82"}),t.clock=new t("clock",{fontCharacter:"\\ea82"}),t.folder=new t("folder",{fontCharacter:"\\ea83"}),t.fileDirectory=new t("file-directory",{fontCharacter:"\\ea83"}),t.symbolFolder=new t("symbol-folder",{fontCharacter:"\\ea83"}),t.logoGithub=new t("logo-github",{fontCharacter:"\\ea84"}),t.markGithub=new t("mark-github",{fontCharacter:"\\ea84"}),t.github=new t("github",{fontCharacter:"\\ea84"}),t.terminal=new t("terminal",{fontCharacter:"\\ea85"}),t.console=new t("console",{fontCharacter:"\\ea85"}),t.repl=new t("repl",{fontCharacter:"\\ea85"}),t.zap=new t("zap",{fontCharacter:"\\ea86"}),t.symbolEvent=new t("symbol-event",{fontCharacter:"\\ea86"}),t.error=new t("error",{fontCharacter:"\\ea87"}),t.stop=new t("stop",{fontCharacter:"\\ea87"}),t.variable=new t("variable",{fontCharacter:"\\ea88"}),t.symbolVariable=new t("symbol-variable",{fontCharacter:"\\ea88"}),t.array=new t("array",{fontCharacter:"\\ea8a"}),t.symbolArray=new t("symbol-array",{fontCharacter:"\\ea8a"}),t.symbolModule=new t("symbol-module",{fontCharacter:"\\ea8b"}),t.symbolPackage=new t("symbol-package",{fontCharacter:"\\ea8b"}),t.symbolNamespace=new t("symbol-namespace",{fontCharacter:"\\ea8b"}),t.symbolObject=new t("symbol-object",{fontCharacter:"\\ea8b"}),t.symbolMethod=new t("symbol-method",{fontCharacter:"\\ea8c"}),t.symbolFunction=new t("symbol-function",{fontCharacter:"\\ea8c"}),t.symbolConstructor=new t("symbol-constructor",{fontCharacter:"\\ea8c"}),t.symbolBoolean=new t("symbol-boolean",{fontCharacter:"\\ea8f"}),t.symbolNull=new t("symbol-null",{fontCharacter:"\\ea8f"}),t.symbolNumeric=new t("symbol-numeric",{fontCharacter:"\\ea90"}),t.symbolNumber=new t("symbol-number",{fontCharacter:"\\ea90"}),t.symbolStructure=new t("symbol-structure",{fontCharacter:"\\ea91"}),t.symbolStruct=new t("symbol-struct",{fontCharacter:"\\ea91"}),t.symbolParameter=new t("symbol-parameter",{fontCharacter:"\\ea92"}),t.symbolTypeParameter=new t("symbol-type-parameter",{fontCharacter:"\\ea92"}),t.symbolKey=new t("symbol-key",{fontCharacter:"\\ea93"}),t.symbolText=new t("symbol-text",{fontCharacter:"\\ea93"}),t.symbolReference=new t("symbol-reference",{fontCharacter:"\\ea94"}),t.goToFile=new t("go-to-file",{fontCharacter:"\\ea94"}),t.symbolEnum=new t("symbol-enum",{fontCharacter:"\\ea95"}),t.symbolValue=new t("symbol-value",{fontCharacter:"\\ea95"}),t.symbolRuler=new t("symbol-ruler",{fontCharacter:"\\ea96"}),t.symbolUnit=new t("symbol-unit",{fontCharacter:"\\ea96"}),t.activateBreakpoints=new t("activate-breakpoints",{fontCharacter:"\\ea97"}),t.archive=new t("archive",{fontCharacter:"\\ea98"}),t.arrowBoth=new t("arrow-both",{fontCharacter:"\\ea99"}),t.arrowDown=new t("arrow-down",{fontCharacter:"\\ea9a"}),t.arrowLeft=new t("arrow-left",{fontCharacter:"\\ea9b"}),t.arrowRight=new t("arrow-right",{fontCharacter:"\\ea9c"}),t.arrowSmallDown=new t("arrow-small-down",{fontCharacter:"\\ea9d"}),t.arrowSmallLeft=new t("arrow-small-left",{fontCharacter:"\\ea9e"}),t.arrowSmallRight=new t("arrow-small-right",{fontCharacter:"\\ea9f"}),t.arrowSmallUp=new t("arrow-small-up",{fontCharacter:"\\eaa0"}),t.arrowUp=new t("arrow-up",{fontCharacter:"\\eaa1"}),t.bell=new t("bell",{fontCharacter:"\\eaa2"}),t.bold=new t("bold",{fontCharacter:"\\eaa3"}),t.book=new t("book",{fontCharacter:"\\eaa4"}),t.bookmark=new t("bookmark",{fontCharacter:"\\eaa5"}),t.debugBreakpointConditionalUnverified=new t("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),t.debugBreakpointConditional=new t("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),t.debugBreakpointConditionalDisabled=new t("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),t.debugBreakpointDataUnverified=new t("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),t.debugBreakpointData=new t("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),t.debugBreakpointDataDisabled=new t("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),t.debugBreakpointLogUnverified=new t("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),t.debugBreakpointLog=new t("debug-breakpoint-log",{fontCharacter:"\\eaab"}),t.debugBreakpointLogDisabled=new t("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),t.briefcase=new t("briefcase",{fontCharacter:"\\eaac"}),t.broadcast=new t("broadcast",{fontCharacter:"\\eaad"}),t.browser=new t("browser",{fontCharacter:"\\eaae"}),t.bug=new t("bug",{fontCharacter:"\\eaaf"}),t.calendar=new t("calendar",{fontCharacter:"\\eab0"}),t.caseSensitive=new t("case-sensitive",{fontCharacter:"\\eab1"}),t.check=new t("check",{fontCharacter:"\\eab2"}),t.checklist=new t("checklist",{fontCharacter:"\\eab3"}),t.chevronDown=new t("chevron-down",{fontCharacter:"\\eab4"}),t.dropDownButton=new t("drop-down-button",t.chevronDown.definition),t.chevronLeft=new t("chevron-left",{fontCharacter:"\\eab5"}),t.chevronRight=new t("chevron-right",{fontCharacter:"\\eab6"}),t.chevronUp=new t("chevron-up",{fontCharacter:"\\eab7"}),t.chromeClose=new t("chrome-close",{fontCharacter:"\\eab8"}),t.chromeMaximize=new t("chrome-maximize",{fontCharacter:"\\eab9"}),t.chromeMinimize=new t("chrome-minimize",{fontCharacter:"\\eaba"}),t.chromeRestore=new t("chrome-restore",{fontCharacter:"\\eabb"}),t.circleOutline=new t("circle-outline",{fontCharacter:"\\eabc"}),t.debugBreakpointUnverified=new t("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),t.circleSlash=new t("circle-slash",{fontCharacter:"\\eabd"}),t.circuitBoard=new t("circuit-board",{fontCharacter:"\\eabe"}),t.clearAll=new t("clear-all",{fontCharacter:"\\eabf"}),t.clippy=new t("clippy",{fontCharacter:"\\eac0"}),t.closeAll=new t("close-all",{fontCharacter:"\\eac1"}),t.cloudDownload=new t("cloud-download",{fontCharacter:"\\eac2"}),t.cloudUpload=new t("cloud-upload",{fontCharacter:"\\eac3"}),t.code=new t("code",{fontCharacter:"\\eac4"}),t.collapseAll=new t("collapse-all",{fontCharacter:"\\eac5"}),t.colorMode=new t("color-mode",{fontCharacter:"\\eac6"}),t.commentDiscussion=new t("comment-discussion",{fontCharacter:"\\eac7"}),t.compareChanges=new t("compare-changes",{fontCharacter:"\\eafd"}),t.creditCard=new t("credit-card",{fontCharacter:"\\eac9"}),t.dash=new t("dash",{fontCharacter:"\\eacc"}),t.dashboard=new t("dashboard",{fontCharacter:"\\eacd"}),t.database=new t("database",{fontCharacter:"\\eace"}),t.debugContinue=new t("debug-continue",{fontCharacter:"\\eacf"}),t.debugDisconnect=new t("debug-disconnect",{fontCharacter:"\\ead0"}),t.debugPause=new t("debug-pause",{fontCharacter:"\\ead1"}),t.debugRestart=new t("debug-restart",{fontCharacter:"\\ead2"}),t.debugStart=new t("debug-start",{fontCharacter:"\\ead3"}),t.debugStepInto=new t("debug-step-into",{fontCharacter:"\\ead4"}),t.debugStepOut=new t("debug-step-out",{fontCharacter:"\\ead5"}),t.debugStepOver=new t("debug-step-over",{fontCharacter:"\\ead6"}),t.debugStop=new t("debug-stop",{fontCharacter:"\\ead7"}),t.debug=new t("debug",{fontCharacter:"\\ead8"}),t.deviceCameraVideo=new t("device-camera-video",{fontCharacter:"\\ead9"}),t.deviceCamera=new t("device-camera",{fontCharacter:"\\eada"}),t.deviceMobile=new t("device-mobile",{fontCharacter:"\\eadb"}),t.diffAdded=new t("diff-added",{fontCharacter:"\\eadc"}),t.diffIgnored=new t("diff-ignored",{fontCharacter:"\\eadd"}),t.diffModified=new t("diff-modified",{fontCharacter:"\\eade"}),t.diffRemoved=new t("diff-removed",{fontCharacter:"\\eadf"}),t.diffRenamed=new t("diff-renamed",{fontCharacter:"\\eae0"}),t.diff=new t("diff",{fontCharacter:"\\eae1"}),t.discard=new t("discard",{fontCharacter:"\\eae2"}),t.editorLayout=new t("editor-layout",{fontCharacter:"\\eae3"}),t.emptyWindow=new t("empty-window",{fontCharacter:"\\eae4"}),t.exclude=new t("exclude",{fontCharacter:"\\eae5"}),t.extensions=new t("extensions",{fontCharacter:"\\eae6"}),t.eyeClosed=new t("eye-closed",{fontCharacter:"\\eae7"}),t.fileBinary=new t("file-binary",{fontCharacter:"\\eae8"}),t.fileCode=new t("file-code",{fontCharacter:"\\eae9"}),t.fileMedia=new t("file-media",{fontCharacter:"\\eaea"}),t.filePdf=new t("file-pdf",{fontCharacter:"\\eaeb"}),t.fileSubmodule=new t("file-submodule",{fontCharacter:"\\eaec"}),t.fileSymlinkDirectory=new t("file-symlink-directory",{fontCharacter:"\\eaed"}),t.fileSymlinkFile=new t("file-symlink-file",{fontCharacter:"\\eaee"}),t.fileZip=new t("file-zip",{fontCharacter:"\\eaef"}),t.files=new t("files",{fontCharacter:"\\eaf0"}),t.filter=new t("filter",{fontCharacter:"\\eaf1"}),t.flame=new t("flame",{fontCharacter:"\\eaf2"}),t.foldDown=new t("fold-down",{fontCharacter:"\\eaf3"}),t.foldUp=new t("fold-up",{fontCharacter:"\\eaf4"}),t.fold=new t("fold",{fontCharacter:"\\eaf5"}),t.folderActive=new t("folder-active",{fontCharacter:"\\eaf6"}),t.folderOpened=new t("folder-opened",{fontCharacter:"\\eaf7"}),t.gear=new t("gear",{fontCharacter:"\\eaf8"}),t.gift=new t("gift",{fontCharacter:"\\eaf9"}),t.gistSecret=new t("gist-secret",{fontCharacter:"\\eafa"}),t.gist=new t("gist",{fontCharacter:"\\eafb"}),t.gitCommit=new t("git-commit",{fontCharacter:"\\eafc"}),t.gitCompare=new t("git-compare",{fontCharacter:"\\eafd"}),t.gitMerge=new t("git-merge",{fontCharacter:"\\eafe"}),t.githubAction=new t("github-action",{fontCharacter:"\\eaff"}),t.githubAlt=new t("github-alt",{fontCharacter:"\\eb00"}),t.globe=new t("globe",{fontCharacter:"\\eb01"}),t.grabber=new t("grabber",{fontCharacter:"\\eb02"}),t.graph=new t("graph",{fontCharacter:"\\eb03"}),t.gripper=new t("gripper",{fontCharacter:"\\eb04"}),t.heart=new t("heart",{fontCharacter:"\\eb05"}),t.home=new t("home",{fontCharacter:"\\eb06"}),t.horizontalRule=new t("horizontal-rule",{fontCharacter:"\\eb07"}),t.hubot=new t("hubot",{fontCharacter:"\\eb08"}),t.inbox=new t("inbox",{fontCharacter:"\\eb09"}),t.issueClosed=new t("issue-closed",{fontCharacter:"\\eba4"}),t.issueReopened=new t("issue-reopened",{fontCharacter:"\\eb0b"}),t.issues=new t("issues",{fontCharacter:"\\eb0c"}),t.italic=new t("italic",{fontCharacter:"\\eb0d"}),t.jersey=new t("jersey",{fontCharacter:"\\eb0e"}),t.json=new t("json",{fontCharacter:"\\eb0f"}),t.kebabVertical=new t("kebab-vertical",{fontCharacter:"\\eb10"}),t.key=new t("key",{fontCharacter:"\\eb11"}),t.law=new t("law",{fontCharacter:"\\eb12"}),t.lightbulbAutofix=new t("lightbulb-autofix",{fontCharacter:"\\eb13"}),t.linkExternal=new t("link-external",{fontCharacter:"\\eb14"}),t.link=new t("link",{fontCharacter:"\\eb15"}),t.listOrdered=new t("list-ordered",{fontCharacter:"\\eb16"}),t.listUnordered=new t("list-unordered",{fontCharacter:"\\eb17"}),t.liveShare=new t("live-share",{fontCharacter:"\\eb18"}),t.loading=new t("loading",{fontCharacter:"\\eb19"}),t.location=new t("location",{fontCharacter:"\\eb1a"}),t.mailRead=new t("mail-read",{fontCharacter:"\\eb1b"}),t.mail=new t("mail",{fontCharacter:"\\eb1c"}),t.markdown=new t("markdown",{fontCharacter:"\\eb1d"}),t.megaphone=new t("megaphone",{fontCharacter:"\\eb1e"}),t.mention=new t("mention",{fontCharacter:"\\eb1f"}),t.milestone=new t("milestone",{fontCharacter:"\\eb20"}),t.mortarBoard=new t("mortar-board",{fontCharacter:"\\eb21"}),t.move=new t("move",{fontCharacter:"\\eb22"}),t.multipleWindows=new t("multiple-windows",{fontCharacter:"\\eb23"}),t.mute=new t("mute",{fontCharacter:"\\eb24"}),t.noNewline=new t("no-newline",{fontCharacter:"\\eb25"}),t.note=new t("note",{fontCharacter:"\\eb26"}),t.octoface=new t("octoface",{fontCharacter:"\\eb27"}),t.openPreview=new t("open-preview",{fontCharacter:"\\eb28"}),t.package_=new t("package",{fontCharacter:"\\eb29"}),t.paintcan=new t("paintcan",{fontCharacter:"\\eb2a"}),t.pin=new t("pin",{fontCharacter:"\\eb2b"}),t.play=new t("play",{fontCharacter:"\\eb2c"}),t.run=new t("run",{fontCharacter:"\\eb2c"}),t.plug=new t("plug",{fontCharacter:"\\eb2d"}),t.preserveCase=new t("preserve-case",{fontCharacter:"\\eb2e"}),t.preview=new t("preview",{fontCharacter:"\\eb2f"}),t.project=new t("project",{fontCharacter:"\\eb30"}),t.pulse=new t("pulse",{fontCharacter:"\\eb31"}),t.question=new t("question",{fontCharacter:"\\eb32"}),t.quote=new t("quote",{fontCharacter:"\\eb33"}),t.radioTower=new t("radio-tower",{fontCharacter:"\\eb34"}),t.reactions=new t("reactions",{fontCharacter:"\\eb35"}),t.references=new t("references",{fontCharacter:"\\eb36"}),t.refresh=new t("refresh",{fontCharacter:"\\eb37"}),t.regex=new t("regex",{fontCharacter:"\\eb38"}),t.remoteExplorer=new t("remote-explorer",{fontCharacter:"\\eb39"}),t.remote=new t("remote",{fontCharacter:"\\eb3a"}),t.remove=new t("remove",{fontCharacter:"\\eb3b"}),t.replaceAll=new t("replace-all",{fontCharacter:"\\eb3c"}),t.replace=new t("replace",{fontCharacter:"\\eb3d"}),t.repoClone=new t("repo-clone",{fontCharacter:"\\eb3e"}),t.repoForcePush=new t("repo-force-push",{fontCharacter:"\\eb3f"}),t.repoPull=new t("repo-pull",{fontCharacter:"\\eb40"}),t.repoPush=new t("repo-push",{fontCharacter:"\\eb41"}),t.report=new t("report",{fontCharacter:"\\eb42"}),t.requestChanges=new t("request-changes",{fontCharacter:"\\eb43"}),t.rocket=new t("rocket",{fontCharacter:"\\eb44"}),t.rootFolderOpened=new t("root-folder-opened",{fontCharacter:"\\eb45"}),t.rootFolder=new t("root-folder",{fontCharacter:"\\eb46"}),t.rss=new t("rss",{fontCharacter:"\\eb47"}),t.ruby=new t("ruby",{fontCharacter:"\\eb48"}),t.saveAll=new t("save-all",{fontCharacter:"\\eb49"}),t.saveAs=new t("save-as",{fontCharacter:"\\eb4a"}),t.save=new t("save",{fontCharacter:"\\eb4b"}),t.screenFull=new t("screen-full",{fontCharacter:"\\eb4c"}),t.screenNormal=new t("screen-normal",{fontCharacter:"\\eb4d"}),t.searchStop=new t("search-stop",{fontCharacter:"\\eb4e"}),t.server=new t("server",{fontCharacter:"\\eb50"}),t.settingsGear=new t("settings-gear",{fontCharacter:"\\eb51"}),t.settings=new t("settings",{fontCharacter:"\\eb52"}),t.shield=new t("shield",{fontCharacter:"\\eb53"}),t.smiley=new t("smiley",{fontCharacter:"\\eb54"}),t.sortPrecedence=new t("sort-precedence",{fontCharacter:"\\eb55"}),t.splitHorizontal=new t("split-horizontal",{fontCharacter:"\\eb56"}),t.splitVertical=new t("split-vertical",{fontCharacter:"\\eb57"}),t.squirrel=new t("squirrel",{fontCharacter:"\\eb58"}),t.starFull=new t("star-full",{fontCharacter:"\\eb59"}),t.starHalf=new t("star-half",{fontCharacter:"\\eb5a"}),t.symbolClass=new t("symbol-class",{fontCharacter:"\\eb5b"}),t.symbolColor=new t("symbol-color",{fontCharacter:"\\eb5c"}),t.symbolCustomColor=new t("symbol-customcolor",{fontCharacter:"\\eb5c"}),t.symbolConstant=new t("symbol-constant",{fontCharacter:"\\eb5d"}),t.symbolEnumMember=new t("symbol-enum-member",{fontCharacter:"\\eb5e"}),t.symbolField=new t("symbol-field",{fontCharacter:"\\eb5f"}),t.symbolFile=new t("symbol-file",{fontCharacter:"\\eb60"}),t.symbolInterface=new t("symbol-interface",{fontCharacter:"\\eb61"}),t.symbolKeyword=new t("symbol-keyword",{fontCharacter:"\\eb62"}),t.symbolMisc=new t("symbol-misc",{fontCharacter:"\\eb63"}),t.symbolOperator=new t("symbol-operator",{fontCharacter:"\\eb64"}),t.symbolProperty=new t("symbol-property",{fontCharacter:"\\eb65"}),t.wrench=new t("wrench",{fontCharacter:"\\eb65"}),t.wrenchSubaction=new t("wrench-subaction",{fontCharacter:"\\eb65"}),t.symbolSnippet=new t("symbol-snippet",{fontCharacter:"\\eb66"}),t.tasklist=new t("tasklist",{fontCharacter:"\\eb67"}),t.telescope=new t("telescope",{fontCharacter:"\\eb68"}),t.textSize=new t("text-size",{fontCharacter:"\\eb69"}),t.threeBars=new t("three-bars",{fontCharacter:"\\eb6a"}),t.thumbsdown=new t("thumbsdown",{fontCharacter:"\\eb6b"}),t.thumbsup=new t("thumbsup",{fontCharacter:"\\eb6c"}),t.tools=new t("tools",{fontCharacter:"\\eb6d"}),t.triangleDown=new t("triangle-down",{fontCharacter:"\\eb6e"}),t.triangleLeft=new t("triangle-left",{fontCharacter:"\\eb6f"}),t.triangleRight=new t("triangle-right",{fontCharacter:"\\eb70"}),t.triangleUp=new t("triangle-up",{fontCharacter:"\\eb71"}),t.twitter=new t("twitter",{fontCharacter:"\\eb72"}),t.unfold=new t("unfold",{fontCharacter:"\\eb73"}),t.unlock=new t("unlock",{fontCharacter:"\\eb74"}),t.unmute=new t("unmute",{fontCharacter:"\\eb75"}),t.unverified=new t("unverified",{fontCharacter:"\\eb76"}),t.verified=new t("verified",{fontCharacter:"\\eb77"}),t.versions=new t("versions",{fontCharacter:"\\eb78"}),t.vmActive=new t("vm-active",{fontCharacter:"\\eb79"}),t.vmOutline=new t("vm-outline",{fontCharacter:"\\eb7a"}),t.vmRunning=new t("vm-running",{fontCharacter:"\\eb7b"}),t.watch=new t("watch",{fontCharacter:"\\eb7c"}),t.whitespace=new t("whitespace",{fontCharacter:"\\eb7d"}),t.wholeWord=new t("whole-word",{fontCharacter:"\\eb7e"}),t.window=new t("window",{fontCharacter:"\\eb7f"}),t.wordWrap=new t("word-wrap",{fontCharacter:"\\eb80"}),t.zoomIn=new t("zoom-in",{fontCharacter:"\\eb81"}),t.zoomOut=new t("zoom-out",{fontCharacter:"\\eb82"}),t.listFilter=new t("list-filter",{fontCharacter:"\\eb83"}),t.listFlat=new t("list-flat",{fontCharacter:"\\eb84"}),t.listSelection=new t("list-selection",{fontCharacter:"\\eb85"}),t.selection=new t("selection",{fontCharacter:"\\eb85"}),t.listTree=new t("list-tree",{fontCharacter:"\\eb86"}),t.debugBreakpointFunctionUnverified=new t("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),t.debugBreakpointFunction=new t("debug-breakpoint-function",{fontCharacter:"\\eb88"}),t.debugBreakpointFunctionDisabled=new t("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),t.debugStackframeActive=new t("debug-stackframe-active",{fontCharacter:"\\eb89"}),t.circleSmallFilled=new t("circle-small-filled",{fontCharacter:"\\eb8a"}),t.debugStackframeDot=new t("debug-stackframe-dot",t.circleSmallFilled.definition),t.debugStackframe=new t("debug-stackframe",{fontCharacter:"\\eb8b"}),t.debugStackframeFocused=new t("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),t.debugBreakpointUnsupported=new t("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),t.symbolString=new t("symbol-string",{fontCharacter:"\\eb8d"}),t.debugReverseContinue=new t("debug-reverse-continue",{fontCharacter:"\\eb8e"}),t.debugStepBack=new t("debug-step-back",{fontCharacter:"\\eb8f"}),t.debugRestartFrame=new t("debug-restart-frame",{fontCharacter:"\\eb90"}),t.callIncoming=new t("call-incoming",{fontCharacter:"\\eb92"}),t.callOutgoing=new t("call-outgoing",{fontCharacter:"\\eb93"}),t.menu=new t("menu",{fontCharacter:"\\eb94"}),t.expandAll=new t("expand-all",{fontCharacter:"\\eb95"}),t.feedback=new t("feedback",{fontCharacter:"\\eb96"}),t.groupByRefType=new t("group-by-ref-type",{fontCharacter:"\\eb97"}),t.ungroupByRefType=new t("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),t.account=new t("account",{fontCharacter:"\\eb99"}),t.bellDot=new t("bell-dot",{fontCharacter:"\\eb9a"}),t.debugConsole=new t("debug-console",{fontCharacter:"\\eb9b"}),t.library=new t("library",{fontCharacter:"\\eb9c"}),t.output=new t("output",{fontCharacter:"\\eb9d"}),t.runAll=new t("run-all",{fontCharacter:"\\eb9e"}),t.syncIgnored=new t("sync-ignored",{fontCharacter:"\\eb9f"}),t.pinned=new t("pinned",{fontCharacter:"\\eba0"}),t.githubInverted=new t("github-inverted",{fontCharacter:"\\eba1"}),t.debugAlt=new t("debug-alt",{fontCharacter:"\\eb91"}),t.serverProcess=new t("server-process",{fontCharacter:"\\eba2"}),t.serverEnvironment=new t("server-environment",{fontCharacter:"\\eba3"}),t.pass=new t("pass",{fontCharacter:"\\eba4"}),t.stopCircle=new t("stop-circle",{fontCharacter:"\\eba5"}),t.playCircle=new t("play-circle",{fontCharacter:"\\eba6"}),t.record=new t("record",{fontCharacter:"\\eba7"}),t.debugAltSmall=new t("debug-alt-small",{fontCharacter:"\\eba8"}),t.vmConnect=new t("vm-connect",{fontCharacter:"\\eba9"}),t.cloud=new t("cloud",{fontCharacter:"\\ebaa"}),t.merge=new t("merge",{fontCharacter:"\\ebab"}),t.exportIcon=new t("export",{fontCharacter:"\\ebac"}),t.graphLeft=new t("graph-left",{fontCharacter:"\\ebad"}),t.magnet=new t("magnet",{fontCharacter:"\\ebae"}),t.notebook=new t("notebook",{fontCharacter:"\\ebaf"}),t.redo=new t("redo",{fontCharacter:"\\ebb0"}),t.checkAll=new t("check-all",{fontCharacter:"\\ebb1"}),t.pinnedDirty=new t("pinned-dirty",{fontCharacter:"\\ebb2"}),t.passFilled=new t("pass-filled",{fontCharacter:"\\ebb3"}),t.circleLargeFilled=new t("circle-large-filled",{fontCharacter:"\\ebb4"}),t.circleLargeOutline=new t("circle-large-outline",{fontCharacter:"\\ebb5"}),t.combine=new t("combine",{fontCharacter:"\\ebb6"}),t.gather=new t("gather",{fontCharacter:"\\ebb6"}),t.table=new t("table",{fontCharacter:"\\ebb7"}),t.variableGroup=new t("variable-group",{fontCharacter:"\\ebb8"}),t.typeHierarchy=new t("type-hierarchy",{fontCharacter:"\\ebb9"}),t.typeHierarchySub=new t("type-hierarchy-sub",{fontCharacter:"\\ebba"}),t.typeHierarchySuper=new t("type-hierarchy-super",{fontCharacter:"\\ebbb"}),t.gitPullRequestCreate=new t("git-pull-request-create",{fontCharacter:"\\ebbc"}),t.runAbove=new t("run-above",{fontCharacter:"\\ebbd"}),t.runBelow=new t("run-below",{fontCharacter:"\\ebbe"}),t.notebookTemplate=new t("notebook-template",{fontCharacter:"\\ebbf"}),t.debugRerun=new t("debug-rerun",{fontCharacter:"\\ebc0"}),t.workspaceTrusted=new t("workspace-trusted",{fontCharacter:"\\ebc1"}),t.workspaceUntrusted=new t("workspace-untrusted",{fontCharacter:"\\ebc2"}),t.workspaceUnspecified=new t("workspace-unspecified",{fontCharacter:"\\ebc3"}),t.terminalCmd=new t("terminal-cmd",{fontCharacter:"\\ebc4"}),t.terminalDebian=new t("terminal-debian",{fontCharacter:"\\ebc5"}),t.terminalLinux=new t("terminal-linux",{fontCharacter:"\\ebc6"}),t.terminalPowershell=new t("terminal-powershell",{fontCharacter:"\\ebc7"}),t.terminalTmux=new t("terminal-tmux",{fontCharacter:"\\ebc8"}),t.terminalUbuntu=new t("terminal-ubuntu",{fontCharacter:"\\ebc9"}),t.terminalBash=new t("terminal-bash",{fontCharacter:"\\ebca"}),t.arrowSwap=new t("arrow-swap",{fontCharacter:"\\ebcb"}),t.copy=new t("copy",{fontCharacter:"\\ebcc"}),t.personAdd=new t("person-add",{fontCharacter:"\\ebcd"}),t.filterFilled=new t("filter-filled",{fontCharacter:"\\ebce"}),t.wand=new t("wand",{fontCharacter:"\\ebcf"}),t.debugLineByLine=new t("debug-line-by-line",{fontCharacter:"\\ebd0"}),t.inspect=new t("inspect",{fontCharacter:"\\ebd1"}),t.layers=new t("layers",{fontCharacter:"\\ebd2"}),t.layersDot=new t("layers-dot",{fontCharacter:"\\ebd3"}),t.layersActive=new t("layers-active",{fontCharacter:"\\ebd4"}),t.compass=new t("compass",{fontCharacter:"\\ebd5"}),t.compassDot=new t("compass-dot",{fontCharacter:"\\ebd6"}),t.compassActive=new t("compass-active",{fontCharacter:"\\ebd7"}),t.azure=new t("azure",{fontCharacter:"\\ebd8"}),t.issueDraft=new t("issue-draft",{fontCharacter:"\\ebd9"}),t.gitPullRequestClosed=new t("git-pull-request-closed",{fontCharacter:"\\ebda"}),t.gitPullRequestDraft=new t("git-pull-request-draft",{fontCharacter:"\\ebdb"}),t.debugAll=new t("debug-all",{fontCharacter:"\\ebdc"}),t.debugCoverage=new t("debug-coverage",{fontCharacter:"\\ebdd"}),t.runErrors=new t("run-errors",{fontCharacter:"\\ebde"}),t.folderLibrary=new t("folder-library",{fontCharacter:"\\ebdf"}),t.debugContinueSmall=new t("debug-continue-small",{fontCharacter:"\\ebe0"}),t.beakerStop=new t("beaker-stop",{fontCharacter:"\\ebe1"}),t.graphLine=new t("graph-line",{fontCharacter:"\\ebe2"}),t.graphScatter=new t("graph-scatter",{fontCharacter:"\\ebe3"}),t.pieChart=new t("pie-chart",{fontCharacter:"\\ebe4"}),t.bracket=new t("bracket",t.json.definition),t.bracketDot=new t("bracket-dot",{fontCharacter:"\\ebe5"}),t.bracketError=new t("bracket-error",{fontCharacter:"\\ebe6"}),t.lockSmall=new t("lock-small",{fontCharacter:"\\ebe7"}),t.azureDevops=new t("azure-devops",{fontCharacter:"\\ebe8"}),t.verifiedFilled=new t("verified-filled",{fontCharacter:"\\ebe9"}),t.newLine=new t("newline",{fontCharacter:"\\ebea"}),t.layout=new t("layout",{fontCharacter:"\\ebeb"}),t.layoutActivitybarLeft=new t("layout-activitybar-left",{fontCharacter:"\\ebec"}),t.layoutActivitybarRight=new t("layout-activitybar-right",{fontCharacter:"\\ebed"}),t.layoutPanelLeft=new t("layout-panel-left",{fontCharacter:"\\ebee"}),t.layoutPanelCenter=new t("layout-panel-center",{fontCharacter:"\\ebef"}),t.layoutPanelJustify=new t("layout-panel-justify",{fontCharacter:"\\ebf0"}),t.layoutPanelRight=new t("layout-panel-right",{fontCharacter:"\\ebf1"}),t.layoutPanel=new t("layout-panel",{fontCharacter:"\\ebf2"}),t.layoutSidebarLeft=new t("layout-sidebar-left",{fontCharacter:"\\ebf3"}),t.layoutSidebarRight=new t("layout-sidebar-right",{fontCharacter:"\\ebf4"}),t.layoutStatusbar=new t("layout-statusbar",{fontCharacter:"\\ebf5"}),t.layoutMenubar=new t("layout-menubar",{fontCharacter:"\\ebf6"}),t.layoutCentered=new t("layout-centered",{fontCharacter:"\\ebf7"}),t.layoutSidebarRightOff=new t("layout-sidebar-right-off",{fontCharacter:"\\ec00"}),t.layoutPanelOff=new t("layout-panel-off",{fontCharacter:"\\ec01"}),t.layoutSidebarLeftOff=new t("layout-sidebar-left-off",{fontCharacter:"\\ec02"}),t.target=new t("target",{fontCharacter:"\\ebf8"}),t.indent=new t("indent",{fontCharacter:"\\ebf9"}),t.recordSmall=new t("record-small",{fontCharacter:"\\ebfa"}),t.errorSmall=new t("error-small",{fontCharacter:"\\ebfb"}),t.arrowCircleDown=new t("arrow-circle-down",{fontCharacter:"\\ebfc"}),t.arrowCircleLeft=new t("arrow-circle-left",{fontCharacter:"\\ebfd"}),t.arrowCircleRight=new t("arrow-circle-right",{fontCharacter:"\\ebfe"}),t.arrowCircleUp=new t("arrow-circle-up",{fontCharacter:"\\ebff"}),t.heartFilled=new t("heart-filled",{fontCharacter:"\\ec04"}),t.map=new t("map",{fontCharacter:"\\ec05"}),t.mapFilled=new t("map-filled",{fontCharacter:"\\ec06"}),t.circleSmall=new t("circle-small",{fontCharacter:"\\ec07"}),t.bellSlash=new t("bell-slash",{fontCharacter:"\\ec08"}),t.bellSlashDot=new t("bell-slash-dot",{fontCharacter:"\\f101"}),t.dialogError=new t("dialog-error",t.error.definition),t.dialogWarning=new t("dialog-warning",t.warning.definition),t.dialogInfo=new t("dialog-info",t.info.definition),t.dialogClose=new t("dialog-close",t.close.definition),t.treeItemExpanded=new t("tree-item-expanded",t.chevronDown.definition),t.treeFilterOnTypeOn=new t("tree-filter-on-type-on",t.listFilter.definition),t.treeFilterOnTypeOff=new t("tree-filter-on-type-off",t.listSelection.definition),t.treeFilterClear=new t("tree-filter-clear",t.close.definition),t.treeItemLoading=new t("tree-item-loading",t.loading.definition),t.menuSelection=new t("menu-selection",t.check.definition),t.menuSubmenu=new t("menu-submenu",t.chevronRight.definition),t.menuBarMore=new t("menubar-more",t.more.definition),t.scrollbarButtonLeft=new t("scrollbar-button-left",t.triangleLeft.definition),t.scrollbarButtonRight=new t("scrollbar-button-right",t.triangleRight.definition),t.scrollbarButtonUp=new t("scrollbar-button-up",t.triangleUp.definition),t.scrollbarButtonDown=new t("scrollbar-button-down",t.triangleDown.definition),t.toolBarMore=new t("toolbar-more",t.more.definition),t.quickInputBack=new t("quick-input-back",t.arrowLeft.definition);function k(A,C){const P=["codicon","codicon-"+A];return C&&P.push("codicon-modifier-"+C),P}e.getClassNamesArray=k;var T;(function(A){A.iconNameSegment="[A-Za-z0-9]+",A.iconNameExpression="[A-Za-z0-9-]+",A.iconModifierExpression="~[A-Za-z]+",A.iconNameCharacter="[A-Za-z0-9~-]";const C=new RegExp(`^(${A.iconNameExpression})(${A.iconModifierExpression})?$`);function P(b){if(b instanceof t)return["codicon","codicon-"+b.id];const p=C.exec(b.id);if(!p)return P(t.error);const[,y,h]=p,S=["codicon","codicon-"+y];return h&&S.push("codicon-modifier-"+h.substr(1)),S}A.asClassNameArray=P;function I(b){return P(b).join(" ")}A.asClassName=I;function D(b){return"."+P(b).join(".")}A.asCSSSelector=D})(T=e.CSSIcon||(e.CSSIcon={}))}),define(re[60],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function R(A){return(C,P,I)=>{let D=null,b=null;if(typeof I.value=="function"?(D="value",b=I.value):typeof I.get=="function"&&(D="get",b=I.get),!b)throw new Error("not supported");I[D]=A(b,P)}}e.createDecorator=R;function t(A,C,P){let I=null,D=null;if(typeof P.value=="function"?(I="value",D=P.value,D.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof P.get=="function"&&(I="get",D=P.get),!D)throw new Error("not supported");const b=`$memoize$${C}`;P[I]=function(...p){return this.hasOwnProperty(b)||Object.defineProperty(this,b,{configurable:!1,enumerable:!1,writable:!1,value:D.apply(this,p)}),this[b]}}e.memoize=t;function k(A,C,P){return R((I,D)=>{const b=`$debounce$${D}`,p=`$debounce$result$${D}`;return function(...y){this[p]||(this[p]=P?P():void 0),clearTimeout(this[b]),C&&(this[p]=C(this[p],...y),y=[this[p]]),this[b]=setTimeout(()=>{I.apply(this,y),this[p]=P?P():void 0},A)}})}e.debounce=k;function T(A,C,P){return R((I,D)=>{const b=`$throttle$timer$${D}`,p=`$throttle$result$${D}`,y=`$throttle$lastRun$${D}`,h=`$throttle$pending$${D}`;return function(...S){if(this[p]||(this[p]=P?P():void 0),(this[y]===null||this[y]===void 0)&&(this[y]=-Number.MAX_VALUE),C&&(this[p]=C(this[p],...S)),this[h])return;const w=this[y]+A;w<=Date.now()?(this[y]=Date.now(),I.apply(this,[this[p]]),this[p]=P?P():void 0):(this[h]=!0,this[b]=setTimeout(()=>{this[h]=!1,this[y]=Date.now(),I.apply(this,[this[p]]),this[p]=P?P():void 0},w-Date.now()))}})}e.throttle=T}),define(re[9],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BugIndicatingError=e.ErrorNoTelemetry=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isCancellationError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class R{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(r){setTimeout(()=>{throw r.stack?m.isErrorNoTelemetry(r)?new m(r.message+`

`+r.stack):new Error(r.message+`

`+r.stack):r},0)}}addListener(r){return this.listeners.push(r),()=>{this._removeListener(r)}}emit(r){this.listeners.forEach(n=>{n(r)})}_removeListener(r){this.listeners.splice(this.listeners.indexOf(r),1)}setUnexpectedErrorHandler(r){this.unexpectedErrorHandler=r}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(r){this.unexpectedErrorHandler(r),this.emit(r)}onUnexpectedExternalError(r){this.unexpectedErrorHandler(r)}}e.ErrorHandler=R,e.errorHandler=new R;function t(u){e.errorHandler.setUnexpectedErrorHandler(u)}e.setUnexpectedErrorHandler=t;function k(u){P(u)||e.errorHandler.onUnexpectedError(u)}e.onUnexpectedError=k;function T(u){P(u)||e.errorHandler.onUnexpectedExternalError(u)}e.onUnexpectedExternalError=T;function A(u){if(u instanceof Error){const{name:r,message:n}=u,i=u.stacktrace||u.stack;return{$isError:!0,name:r,message:n,stack:i,noTelemetry:m.isErrorNoTelemetry(u)}}return u}e.transformErrorForSerialization=A;const C="Canceled";function P(u){return u instanceof I?!0:u instanceof Error&&u.name===C&&u.message===C}e.isCancellationError=P;class I extends Error{constructor(){super(C);this.name=this.message}}e.CancellationError=I;function D(){const u=new Error(C);return u.name=u.message,u}e.canceled=D;function b(u){return u?new Error(`Illegal argument: ${u}`):new Error("Illegal argument")}e.illegalArgument=b;function p(u){return u?new Error(`Illegal state: ${u}`):new Error("Illegal state")}e.illegalState=p;function y(u){return u?new Error(`readonly property '${u} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=y;function h(u){const r=new Error(`${u} has been disposed`);return r.name="DISPOSED",r}e.disposed=h;function S(u){return u?u.message?u.message:u.stack?u.stack.split(`
`)[0]:String(u):"Error"}e.getErrorMessage=S;class w extends Error{constructor(r){super("NotImplemented");r&&(this.message=r)}}e.NotImplementedError=w;class d extends Error{constructor(r){super("NotSupported");r&&(this.message=r)}}e.NotSupportedError=d;class v extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=v;class m extends Error{constructor(r){super(r);this.name="ErrorNoTelemetry"}static fromError(r){if(r instanceof m)return r;const n=new m;return n.message=r.message,n.stack=r.stack,n}static isErrorNoTelemetry(r){return r.name==="ErrorNoTelemetry"}}e.ErrorNoTelemetry=m;class g extends Error{constructor(r){super(r||"An unexpected bug occurred.");Object.setPrototypeOf(this,g.prototype);debugger}}e.BugIndicatingError=g}),define(re[17],se([0,1,9]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.tieBreakComparators=e.compareBy=e.CompareResult=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushMany=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.lastOrDefault=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch2=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function t(q,ee=0){return q[q.length-(1+ee)]}e.tail=t;function k(q){if(q.length===0)throw new Error("Invalid tail call");return[q.slice(0,q.length-1),q[q.length-1]]}e.tail2=k;function T(q,ee,ne=(ae,le)=>ae===le){if(q===ee)return!0;if(!q||!ee||q.length!==ee.length)return!1;for(let ae=0,le=q.length;ae<le;ae++)if(!ne(q[ae],ee[ae]))return!1;return!0}e.equals=T;function A(q,ee,ne){return C(q.length,ae=>ne(q[ae],ee))}e.binarySearch=A;function C(q,ee){let ne=0,ae=q-1;for(;ne<=ae;){const le=(ne+ae)/2|0,Se=ee(le);if(Se<0)ne=le+1;else if(Se>0)ae=le-1;else return le}return-(ne+1)}e.binarySearch2=C;function P(q,ee){let ne=0,ae=q.length;if(ae===0)return 0;for(;ne<ae;){const le=Math.floor((ne+ae)/2);ee(q[le])?ae=le:ne=le+1}return ne}e.findFirstInSorted=P;function I(q,ee,ne){if(q=q|0,q>=ee.length)throw new TypeError("invalid index");const ae=ee[Math.floor(ee.length*Math.random())],le=[],Se=[],ge=[];for(const pe of ee){const Ce=ne(pe,ae);Ce<0?le.push(pe):Ce>0?Se.push(pe):ge.push(pe)}return q<le.length?I(q,le,ne):q<le.length+ge.length?ge[0]:I(q-(le.length+ge.length),Se,ne)}e.quickSelect=I;function D(q,ee){const ne=[];let ae;for(const le of q.slice(0).sort(ee))!ae||ee(ae[0],le)!==0?(ae=[le],ne.push(ae)):ae.push(le);return ne}e.groupBy=D;function b(q,ee,ne){const ae=[];function le(pe,Ce,be){if(Ce===0&&be.length===0)return;const Pe=ae[ae.length-1];Pe&&Pe.start+Pe.deleteCount===pe?(Pe.deleteCount+=Ce,Pe.toInsert.push(...be)):ae.push({start:pe,deleteCount:Ce,toInsert:be})}let Se=0,ge=0;for(;;){if(Se===q.length){le(Se,0,ee.slice(ge));break}if(ge===ee.length){le(Se,q.length-Se,[]);break}const pe=q[Se],Ce=ee[ge],be=ne(pe,Ce);be===0?(Se+=1,ge+=1):be<0?(le(Se,1,[]),Se+=1):be>0&&(le(Se,0,[Ce]),ge+=1)}return ae}e.sortedDiff=b;function p(q,ee,ne){const ae=b(q,ee,ne),le=[],Se=[];for(const ge of ae)le.push(...q.slice(ge.start,ge.start+ge.deleteCount)),Se.push(...ge.toInsert);return{removed:le,added:Se}}e.delta=p;function y(q,ee,ne){if(ne===0)return[];const ae=q.slice(0,ne).sort(ee);return S(q,ee,ae,ne,q.length),ae}e.top=y;function h(q,ee,ne,ae,le){return ne===0?Promise.resolve([]):new Promise((Se,ge)=>{(async()=>{const pe=q.length,Ce=q.slice(0,ne).sort(ee);for(let be=ne,Pe=Math.min(ne+ae,pe);be<pe;be=Pe,Pe=Math.min(Pe+ae,pe)){if(be>ne&&await new Promise(We=>setTimeout(We)),le&&le.isCancellationRequested)throw new R.CancellationError;S(q,ee,Ce,be,Pe)}return Ce})().then(Se,ge)})}e.topAsync=h;function S(q,ee,ne,ae,le){for(const Se=ne.length;ae<le;ae++){const ge=q[ae];if(ee(ge,ne[Se-1])<0){ne.pop();const pe=P(ne,Ce=>ee(ge,Ce)<0);ne.splice(pe,0,ge)}}}function w(q){return q.filter(ee=>!!ee)}e.coalesce=w;function d(q){let ee=0;for(let ne=0;ne<q.length;ne++)q[ne]&&(q[ee]=q[ne],ee+=1);q.length=ee}e.coalesceInPlace=d;function v(q,ee,ne){q.splice(ne,0,q.splice(ee,1)[0])}e.move=v;function m(q){return!Array.isArray(q)||q.length===0}e.isFalsyOrEmpty=m;function g(q){return Array.isArray(q)&&q.length>0}e.isNonEmptyArray=g;function u(q,ee=ne=>ne){const ne=new Set;return q.filter(ae=>{const le=ee(ae);return ne.has(le)?!1:(ne.add(le),!0)})}e.distinct=u;function r(q){const ee=new Set;return ne=>{const ae=q(ne);return ee.has(ae)?!1:(ee.add(ae),!0)}}e.uniqueFilter=r;function n(q,ee){const ne=i(q,ee);if(ne!==-1)return q[ne]}e.findLast=n;function i(q,ee){for(let ne=q.length-1;ne>=0;ne--){const ae=q[ne];if(ee(ae))return ne}return-1}e.lastIndex=i;function a(q,ee){return q.length>0?q[0]:ee}e.firstOrDefault=a;function c(q,ee){return q.length>0?q[q.length-1]:ee}e.lastOrDefault=c;function o(q,ee,ne=(ae,le)=>ae===le){let ae=0;for(let le=0,Se=Math.min(q.length,ee.length);le<Se&&ne(q[le],ee[le]);le++)ae++;return ae}e.commonPrefixLength=o;function s(q){return[].concat(...q)}e.flatten=s;function l(q,ee){let ne=typeof ee=="number"?q:0;typeof ee=="number"?ne=q:(ne=0,ee=q);const ae=[];if(ne<=ee)for(let le=ne;le<ee;le++)ae.push(le);else for(let le=ne;le>ee;le--)ae.push(le);return ae}e.range=l;function f(q,ee,ne){return q.reduce((ae,le)=>(ae[ee(le)]=ne?ne(le):le,ae),Object.create(null))}e.index=f;function E(q,ee){return q.push(ee),()=>U(q,ee)}e.insert=E;function U(q,ee){const ne=q.indexOf(ee);if(ne>-1)return q.splice(ne,1),ee}e.remove=U;function _(q,ee,ne){const ae=q.slice(0,ee),le=q.slice(ee);return ae.concat(ne,le)}e.arrayInsert=_;function N(q,ee){let ne;if(typeof ee=="number"){let ae=ee;ne=()=>{const le=Math.sin(ae++)*179426549;return le-Math.floor(le)}}else ne=Math.random;for(let ae=q.length-1;ae>0;ae-=1){const le=Math.floor(ne()*(ae+1)),Se=q[ae];q[ae]=q[le],q[le]=Se}}e.shuffle=N;function L(q,ee){const ne=q.indexOf(ee);ne>-1&&(q.splice(ne,1),q.unshift(ee))}e.pushToStart=L;function M(q,ee){const ne=q.indexOf(ee);ne>-1&&(q.splice(ne,1),q.push(ee))}e.pushToEnd=M;function O(q,ee){for(const ne of ee)q.push(ne)}e.pushMany=O;function H(q,ee){return Array.isArray(q)?q.map(ee):ee(q)}e.mapArrayOrNot=H;function W(q){return Array.isArray(q)?q:[q]}e.asArray=W;function z(q){return q[Math.floor(Math.random()*q.length)]}e.getRandomElement=z;function te(q,ee){for(const ne of q){const ae=ee(ne);if(ae!==void 0)return ae}}e.mapFind=te;function V(q,ee,ne){const ae=X(q,ee),le=q.length,Se=ne.length;q.length=le+Se;for(let ge=le-1;ge>=ae;ge--)q[ge+Se]=q[ge];for(let ge=0;ge<Se;ge++)q[ge+ae]=ne[ge]}e.insertInto=V;function Y(q,ee,ne,ae){const le=X(q,ee),Se=q.splice(le,ne);return V(q,le,ae),Se}e.splice=Y;function X(q,ee){return ee<0?Math.max(ee+q.length,0):Math.min(ee,q.length)}var K;(function(q){function ee(le){return le<0}q.isLessThan=ee;function ne(le){return le>0}q.isGreaterThan=ne;function ae(le){return le===0}q.isNeitherLessOrGreaterThan=ae,q.greaterThan=1,q.lessThan=-1,q.neitherLessOrGreaterThan=0})(K=e.CompareResult||(e.CompareResult={}));function x(q,ee){return(ne,ae)=>ee(q(ne),q(ae))}e.compareBy=x;function B(...q){return(ee,ne)=>{for(const ae of q){const le=ae(ee,ne);if(!K.isNeitherLessOrGreaterThan(le))return le}return K.neitherLessOrGreaterThan}}e.tieBreakComparators=B;const J=(q,ee)=>q-ee;e.numberComparator=J;function F(q,ee){if(q.length===0)return;let ne=q[0];for(let ae=1;ae<q.length;ae++){const le=q[ae];ee(le,ne)>0&&(ne=le)}return ne}e.findMaxBy=F;function $(q,ee){if(q.length===0)return;let ne=q[0];for(let ae=1;ae<q.length;ae++){const le=q[ae];ee(le,ne)>=0&&(ne=le)}return ne}e.findLastMaxBy=$;function j(q,ee){return F(q,(ne,ae)=>-ee(ne,ae))}e.findMinBy=j;class G{constructor(ee){this.items=ee,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(ee){let ne=this.firstIdx;for(;ne<this.items.length&&ee(this.items[ne]);)ne++;const ae=ne===this.firstIdx?null:this.items.slice(this.firstIdx,ne);return this.firstIdx=ne,ae}takeFromEndWhile(ee){let ne=this.lastIdx;for(;ne>=0&&ee(this.items[ne]);)ne--;const ae=ne===this.lastIdx?null:this.items.slice(ne+1,this.lastIdx+1);return this.lastIdx=ne,ae}peek(){if(this.length!==0)return this.items[this.firstIdx]}peekLast(){if(this.length!==0)return this.items[this.lastIdx]}dequeue(){const ee=this.items[this.firstIdx];return this.firstIdx++,ee}removeLast(){const ee=this.items[this.lastIdx];return this.lastIdx--,ee}takeCount(ee){const ne=this.items.slice(this.firstIdx,this.firstIdx+ee);return this.firstIdx+=ee,ne}}e.ArrayQueue=G}),define(re[74],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function R(t){const k=this;let T=!1,A;return function(){return T||(T=!0,A=t.apply(k,arguments)),A}}e.once=R}),define(re[52],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var R;(function(t){function k(n){return n&&typeof n=="object"&&typeof n[Symbol.iterator]=="function"}t.is=k;const T=Object.freeze([]);function A(){return T}t.empty=A;function*C(n){yield n}t.single=C;function P(n){return n||T}t.from=P;function I(n){return!n||n[Symbol.iterator]().next().done===!0}t.isEmpty=I;function D(n){return n[Symbol.iterator]().next().value}t.first=D;function b(n,i){for(const a of n)if(i(a))return!0;return!1}t.some=b;function p(n,i){for(const a of n)if(i(a))return a}t.find=p;function*y(n,i){for(const a of n)i(a)&&(yield a)}t.filter=y;function*h(n,i){let a=0;for(const c of n)yield i(c,a++)}t.map=h;function*S(...n){for(const i of n)for(const a of i)yield a}t.concat=S;function*w(n){for(const i of n)for(const a of i)yield a}t.concatNested=w;function d(n,i,a){let c=a;for(const o of n)c=i(c,o);return c}t.reduce=d;function v(n,i){let a=0;for(const c of n)i(c,a++)}t.forEach=v;function*m(n,i,a=n.length){for(i<0&&(i+=n.length),a<0?a+=n.length:a>n.length&&(a=n.length);i<a;i++)yield n[i]}t.slice=m;function g(n,i=Number.POSITIVE_INFINITY){const a=[];if(i===0)return[a,n];const c=n[Symbol.iterator]();for(let o=0;o<i;o++){const s=c.next();if(s.done)return[a,t.empty()];a.push(s.value)}return[a,{[Symbol.iterator](){return c}}]}t.consume=g;function u(n){return g(n)[0]}t.collect=u;function r(n,i,a=(c,o)=>c===o){const c=n[Symbol.iterator](),o=i[Symbol.iterator]();for(;;){const s=c.next(),l=o.next();if(s.done!==l.done)return!1;if(s.done)return!0;if(!a(s.value,l.value))return!1}}t.equals=r})(R=e.Iterable||(e.Iterable={}))}),define(re[34],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var R;(function(r){r[r.None=0]="None",r[r.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",r[r.UnexpectedEndOfString=2]="UnexpectedEndOfString",r[r.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",r[r.InvalidUnicode=4]="InvalidUnicode",r[r.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",r[r.InvalidCharacter=6]="InvalidCharacter"})(R=e.ScanError||(e.ScanError={}));var t;(function(r){r[r.OpenBraceToken=1]="OpenBraceToken",r[r.CloseBraceToken=2]="CloseBraceToken",r[r.OpenBracketToken=3]="OpenBracketToken",r[r.CloseBracketToken=4]="CloseBracketToken",r[r.CommaToken=5]="CommaToken",r[r.ColonToken=6]="ColonToken",r[r.NullKeyword=7]="NullKeyword",r[r.TrueKeyword=8]="TrueKeyword",r[r.FalseKeyword=9]="FalseKeyword",r[r.StringLiteral=10]="StringLiteral",r[r.NumericLiteral=11]="NumericLiteral",r[r.LineCommentTrivia=12]="LineCommentTrivia",r[r.BlockCommentTrivia=13]="BlockCommentTrivia",r[r.LineBreakTrivia=14]="LineBreakTrivia",r[r.Trivia=15]="Trivia",r[r.Unknown=16]="Unknown",r[r.EOF=17]="EOF"})(t=e.SyntaxKind||(e.SyntaxKind={}));var k;(function(r){r[r.InvalidSymbol=1]="InvalidSymbol",r[r.InvalidNumberFormat=2]="InvalidNumberFormat",r[r.PropertyNameExpected=3]="PropertyNameExpected",r[r.ValueExpected=4]="ValueExpected",r[r.ColonExpected=5]="ColonExpected",r[r.CommaExpected=6]="CommaExpected",r[r.CloseBraceExpected=7]="CloseBraceExpected",r[r.CloseBracketExpected=8]="CloseBracketExpected",r[r.EndOfFileExpected=9]="EndOfFileExpected",r[r.InvalidCommentToken=10]="InvalidCommentToken",r[r.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",r[r.UnexpectedEndOfString=12]="UnexpectedEndOfString",r[r.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",r[r.InvalidUnicode=14]="InvalidUnicode",r[r.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",r[r.InvalidCharacter=16]="InvalidCharacter"})(k=e.ParseErrorCode||(e.ParseErrorCode={}));var T;(function(r){r.DEFAULT={allowTrailingComma:!0}})(T=e.ParseOptions||(e.ParseOptions={}));function A(r,n=!1){let i=0;const a=r.length;let c="",o=0,s=16,l=0;function f(O){let H=0,W=0;for(;H<O;){const z=r.charCodeAt(i);if(z>=48&&z<=57)W=W*16+z-48;else if(z>=65&&z<=70)W=W*16+z-65+10;else if(z>=97&&z<=102)W=W*16+z-97+10;else break;i++,H++}return H<O&&(W=-1),W}function E(O){i=O,c="",o=0,s=16,l=0}function U(){const O=i;if(r.charCodeAt(i)===48)i++;else for(i++;i<r.length&&I(r.charCodeAt(i));)i++;if(i<r.length&&r.charCodeAt(i)===46)if(i++,i<r.length&&I(r.charCodeAt(i)))for(i++;i<r.length&&I(r.charCodeAt(i));)i++;else return l=3,r.substring(O,i);let H=i;if(i<r.length&&(r.charCodeAt(i)===69||r.charCodeAt(i)===101))if(i++,(i<r.length&&r.charCodeAt(i)===43||r.charCodeAt(i)===45)&&i++,i<r.length&&I(r.charCodeAt(i))){for(i++;i<r.length&&I(r.charCodeAt(i));)i++;H=i}else l=3;return r.substring(O,H)}function _(){let O="",H=i;for(;;){if(i>=a){O+=r.substring(H,i),l=2;break}const W=r.charCodeAt(i);if(W===34){O+=r.substring(H,i),i++;break}if(W===92){if(O+=r.substring(H,i),i++,i>=a){l=2;break}switch(r.charCodeAt(i++)){case 34:O+='"';break;case 92:O+="\\";break;case 47:O+="/";break;case 98:O+="\b";break;case 102:O+="\f";break;case 110:O+=`
`;break;case 114:O+="\r";break;case 116:O+="	";break;case 117:{const te=f(4);te>=0?O+=String.fromCharCode(te):l=4;break}default:l=5}H=i;continue}if(W>=0&&W<=31)if(P(W)){O+=r.substring(H,i),l=2;break}else l=6;i++}return O}function N(){if(c="",l=0,o=i,i>=a)return o=a,s=17;let O=r.charCodeAt(i);if(C(O)){do i++,c+=String.fromCharCode(O),O=r.charCodeAt(i);while(C(O));return s=15}if(P(O))return i++,c+=String.fromCharCode(O),O===13&&r.charCodeAt(i)===10&&(i++,c+=`
`),s=14;switch(O){case 123:return i++,s=1;case 125:return i++,s=2;case 91:return i++,s=3;case 93:return i++,s=4;case 58:return i++,s=6;case 44:return i++,s=5;case 34:return i++,c=_(),s=10;case 47:{const H=i-1;if(r.charCodeAt(i+1)===47){for(i+=2;i<a&&!P(r.charCodeAt(i));)i++;return c=r.substring(H,i),s=12}if(r.charCodeAt(i+1)===42){i+=2;const W=a-1;let z=!1;for(;i<W;){if(r.charCodeAt(i)===42&&r.charCodeAt(i+1)===47){i+=2,z=!0;break}i++}return z||(i++,l=1),c=r.substring(H,i),s=13}return c+=String.fromCharCode(O),i++,s=16}case 45:if(c+=String.fromCharCode(O),i++,i===a||!I(r.charCodeAt(i)))return s=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return c+=U(),s=11;default:for(;i<a&&L(O);)i++,O=r.charCodeAt(i);if(o!==i){switch(c=r.substring(o,i),c){case"true":return s=8;case"false":return s=9;case"null":return s=7}return s=16}return c+=String.fromCharCode(O),i++,s=16}}function L(O){if(C(O)||P(O))return!1;switch(O){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function M(){let O;do O=N();while(O>=12&&O<=15);return O}return{setPosition:E,getPosition:()=>i,scan:n?M:N,getToken:()=>s,getTokenValue:()=>c,getTokenOffset:()=>o,getTokenLength:()=>i-o,getTokenError:()=>l}}e.createScanner=A;function C(r){return r===32||r===9||r===11||r===12||r===160||r===5760||r>=8192&&r<=8203||r===8239||r===8287||r===12288||r===65279}function P(r){return r===10||r===13||r===8232||r===8233}function I(r){return r>=48&&r<=57}var D;(function(r){r[r.nullCharacter=0]="nullCharacter",r[r.maxAsciiCharacter=127]="maxAsciiCharacter",r[r.lineFeed=10]="lineFeed",r[r.carriageReturn=13]="carriageReturn",r[r.lineSeparator=8232]="lineSeparator",r[r.paragraphSeparator=8233]="paragraphSeparator",r[r.nextLine=133]="nextLine",r[r.space=32]="space",r[r.nonBreakingSpace=160]="nonBreakingSpace",r[r.enQuad=8192]="enQuad",r[r.emQuad=8193]="emQuad",r[r.enSpace=8194]="enSpace",r[r.emSpace=8195]="emSpace",r[r.threePerEmSpace=8196]="threePerEmSpace",r[r.fourPerEmSpace=8197]="fourPerEmSpace",r[r.sixPerEmSpace=8198]="sixPerEmSpace",r[r.figureSpace=8199]="figureSpace",r[r.punctuationSpace=8200]="punctuationSpace",r[r.thinSpace=8201]="thinSpace",r[r.hairSpace=8202]="hairSpace",r[r.zeroWidthSpace=8203]="zeroWidthSpace",r[r.narrowNoBreakSpace=8239]="narrowNoBreakSpace",r[r.ideographicSpace=12288]="ideographicSpace",r[r.mathematicalSpace=8287]="mathematicalSpace",r[r.ogham=5760]="ogham",r[r._=95]="_",r[r.$=36]="$",r[r._0=48]="_0",r[r._1=49]="_1",r[r._2=50]="_2",r[r._3=51]="_3",r[r._4=52]="_4",r[r._5=53]="_5",r[r._6=54]="_6",r[r._7=55]="_7",r[r._8=56]="_8",r[r._9=57]="_9",r[r.a=97]="a",r[r.b=98]="b",r[r.c=99]="c",r[r.d=100]="d",r[r.e=101]="e",r[r.f=102]="f",r[r.g=103]="g",r[r.h=104]="h",r[r.i=105]="i",r[r.j=106]="j",r[r.k=107]="k",r[r.l=108]="l",r[r.m=109]="m",r[r.n=110]="n",r[r.o=111]="o",r[r.p=112]="p",r[r.q=113]="q",r[r.r=114]="r",r[r.s=115]="s",r[r.t=116]="t",r[r.u=117]="u",r[r.v=118]="v",r[r.w=119]="w",r[r.x=120]="x",r[r.y=121]="y",r[r.z=122]="z",r[r.A=65]="A",r[r.B=66]="B",r[r.C=67]="C",r[r.D=68]="D",r[r.E=69]="E",r[r.F=70]="F",r[r.G=71]="G",r[r.H=72]="H",r[r.I=73]="I",r[r.J=74]="J",r[r.K=75]="K",r[r.L=76]="L",r[r.M=77]="M",r[r.N=78]="N",r[r.O=79]="O",r[r.P=80]="P",r[r.Q=81]="Q",r[r.R=82]="R",r[r.S=83]="S",r[r.T=84]="T",r[r.U=85]="U",r[r.V=86]="V",r[r.W=87]="W",r[r.X=88]="X",r[r.Y=89]="Y",r[r.Z=90]="Z",r[r.ampersand=38]="ampersand",r[r.asterisk=42]="asterisk",r[r.at=64]="at",r[r.backslash=92]="backslash",r[r.bar=124]="bar",r[r.caret=94]="caret",r[r.closeBrace=125]="closeBrace",r[r.closeBracket=93]="closeBracket",r[r.closeParen=41]="closeParen",r[r.colon=58]="colon",r[r.comma=44]="comma",r[r.dot=46]="dot",r[r.doubleQuote=34]="doubleQuote",r[r.equals=61]="equals",r[r.exclamation=33]="exclamation",r[r.greaterThan=62]="greaterThan",r[r.lessThan=60]="lessThan",r[r.minus=45]="minus",r[r.openBrace=123]="openBrace",r[r.openBracket=91]="openBracket",r[r.openParen=40]="openParen",r[r.percent=37]="percent",r[r.plus=43]="plus",r[r.question=63]="question",r[r.semicolon=59]="semicolon",r[r.singleQuote=39]="singleQuote",r[r.slash=47]="slash",r[r.tilde=126]="tilde",r[r.backspace=8]="backspace",r[r.formFeed=12]="formFeed",r[r.byteOrderMark=65279]="byteOrderMark",r[r.tab=9]="tab",r[r.verticalTab=11]="verticalTab"})(D||(D={}));function b(r,n){const i=[],a=new Object;let c;const o={value:{},offset:0,length:0,type:"object",parent:void 0};let s=!1;function l(f,E,U,_){o.value=f,o.offset=E,o.length=U,o.type=_,o.colonOffset=void 0,c=o}try{m(r,{onObjectBegin:(f,E)=>{if(n<=f)throw a;c=void 0,s=n>f,i.push("")},onObjectProperty:(f,E,U)=>{if(n<E||(l(f,E,U,"property"),i[i.length-1]=f,n<=E+U))throw a},onObjectEnd:(f,E)=>{if(n<=f)throw a;c=void 0,i.pop()},onArrayBegin:(f,E)=>{if(n<=f)throw a;c=void 0,i.push(0)},onArrayEnd:(f,E)=>{if(n<=f)throw a;c=void 0,i.pop()},onLiteralValue:(f,E,U)=>{if(n<E||(l(f,E,U,u(f)),n<=E+U))throw a},onSeparator:(f,E,U)=>{if(n<=E)throw a;if(f===":"&&c&&c.type==="property")c.colonOffset=E,s=!1,c=void 0;else if(f===","){const _=i[i.length-1];typeof _=="number"?i[i.length-1]=_+1:(s=!0,i[i.length-1]=""),c=void 0}}})}catch(f){if(f!==a)throw f}return{path:i,previousNode:c,isAtPropertyKey:s,matches:f=>{let E=0;for(let U=0;E<f.length&&U<i.length;U++)if(f[E]===i[U]||f[E]==="*")E++;else if(f[E]!=="**")return!1;return E===f.length}}}e.getLocation=b;function p(r,n=[],i=T.DEFAULT){let a=null,c=[];const o=[];function s(f){Array.isArray(c)?c.push(f):a!==null&&(c[a]=f)}return m(r,{onObjectBegin:()=>{const f={};s(f),o.push(c),c=f,a=null},onObjectProperty:f=>{a=f},onObjectEnd:()=>{c=o.pop()},onArrayBegin:()=>{const f=[];s(f),o.push(c),c=f,a=null},onArrayEnd:()=>{c=o.pop()},onLiteralValue:s,onError:(f,E,U)=>{n.push({error:f,offset:E,length:U})}},i),c[0]}e.parse=p;function y(r,n=[],i=T.DEFAULT){let a={type:"array",offset:-1,length:-1,children:[],parent:void 0};function c(f){a.type==="property"&&(a.length=f-a.offset,a=a.parent)}function o(f){return a.children.push(f),f}m(r,{onObjectBegin:f=>{a=o({type:"object",offset:f,length:-1,parent:a,children:[]})},onObjectProperty:(f,E,U)=>{a=o({type:"property",offset:E,length:-1,parent:a,children:[]}),a.children.push({type:"string",value:f,offset:E,length:U,parent:a})},onObjectEnd:(f,E)=>{a.length=f+E-a.offset,a=a.parent,c(f+E)},onArrayBegin:(f,E)=>{a=o({type:"array",offset:f,length:-1,parent:a,children:[]})},onArrayEnd:(f,E)=>{a.length=f+E-a.offset,a=a.parent,c(f+E)},onLiteralValue:(f,E,U)=>{o({type:u(f),offset:E,length:U,parent:a,value:f}),c(E+U)},onSeparator:(f,E,U)=>{a.type==="property"&&(f===":"?a.colonOffset=E:f===","&&c(E))},onError:(f,E,U)=>{n.push({error:f,offset:E,length:U})}},i);const l=a.children[0];return l&&delete l.parent,l}e.parseTree=y;function h(r,n){if(!r)return;let i=r;for(const a of n)if(typeof a=="string"){if(i.type!=="object"||!Array.isArray(i.children))return;let c=!1;for(const o of i.children)if(Array.isArray(o.children)&&o.children[0].value===a){i=o.children[1],c=!0;break}if(!c)return}else{const c=a;if(i.type!=="array"||c<0||!Array.isArray(i.children)||c>=i.children.length)return;i=i.children[c]}return i}e.findNodeAtLocation=h;function S(r){if(!r.parent||!r.parent.children)return[];const n=S(r.parent);if(r.parent.type==="property"){const i=r.parent.children[0].value;n.push(i)}else if(r.parent.type==="array"){const i=r.parent.children.indexOf(r);i!==-1&&n.push(i)}return n}e.getNodePath=S;function w(r){switch(r.type){case"array":return r.children.map(w);case"object":{const n=Object.create(null);for(const i of r.children){const a=i.children[1];a&&(n[i.children[0].value]=w(a))}return n}case"null":case"string":case"number":case"boolean":return r.value;default:return}}e.getNodeValue=w;function d(r,n,i=!1){return n>=r.offset&&n<r.offset+r.length||i&&n===r.offset+r.length}e.contains=d;function v(r,n,i=!1){if(d(r,n,i)){const a=r.children;if(Array.isArray(a))for(let c=0;c<a.length&&a[c].offset<=n;c++){const o=v(a[c],n,i);if(o)return o}return r}}e.findNodeAtOffset=v;function m(r,n,i=T.DEFAULT){const a=A(r,!1);function c(B){return B?()=>B(a.getTokenOffset(),a.getTokenLength()):()=>!0}function o(B){return B?J=>B(J,a.getTokenOffset(),a.getTokenLength()):()=>!0}const s=c(n.onObjectBegin),l=o(n.onObjectProperty),f=c(n.onObjectEnd),E=c(n.onArrayBegin),U=c(n.onArrayEnd),_=o(n.onLiteralValue),N=o(n.onSeparator),L=c(n.onComment),M=o(n.onError),O=i&&i.disallowComments,H=i&&i.allowTrailingComma;function W(){for(;;){const B=a.scan();switch(a.getTokenError()){case 4:z(14);break;case 5:z(15);break;case 3:z(13);break;case 1:O||z(11);break;case 2:z(12);break;case 6:z(16);break}switch(B){case 12:case 13:O?z(10):L();break;case 16:z(1);break;case 15:case 14:break;default:return B}}}function z(B,J=[],F=[]){if(M(B),J.length+F.length>0){let $=a.getToken();for(;$!==17;){if(J.indexOf($)!==-1){W();break}else if(F.indexOf($)!==-1)break;$=W()}}}function te(B){const J=a.getTokenValue();return B?_(J):l(J),W(),!0}function V(){switch(a.getToken()){case 11:{let B=0;try{B=JSON.parse(a.getTokenValue()),typeof B!="number"&&(z(2),B=0)}catch{z(2)}_(B);break}case 7:_(null);break;case 8:_(!0);break;case 9:_(!1);break;default:return!1}return W(),!0}function Y(){return a.getToken()!==10?(z(3,[],[2,5]),!1):(te(!1),a.getToken()===6?(N(":"),W(),x()||z(4,[],[2,5])):z(5,[],[2,5]),!0)}function X(){s(),W();let B=!1;for(;a.getToken()!==2&&a.getToken()!==17;){if(a.getToken()===5){if(B||z(4,[],[]),N(","),W(),a.getToken()===2&&H)break}else B&&z(6,[],[]);Y()||z(4,[],[2,5]),B=!0}return f(),a.getToken()!==2?z(7,[2],[]):W(),!0}function K(){E(),W();let B=!1;for(;a.getToken()!==4&&a.getToken()!==17;){if(a.getToken()===5){if(B||z(4,[],[]),N(","),W(),a.getToken()===4&&H)break}else B&&z(6,[],[]);x()||z(4,[],[4,5]),B=!0}return U(),a.getToken()!==4?z(8,[4],[]):W(),!0}function x(){switch(a.getToken()){case 3:return K();case 1:return X();case 10:return te(!0);default:return V()}}return W(),a.getToken()===17?i.allowEmptyContent?!0:(z(4,[],[]),!1):x()?(a.getToken()!==17&&z(9,[],[]),!0):(z(4,[],[]),!1)}e.visit=m;function g(r,n){const i=A(r),a=[];let c,o=0,s;do switch(s=i.getPosition(),c=i.scan(),c){case 12:case 13:case 17:o!==s&&a.push(r.substring(o,s)),n!==void 0&&a.push(i.getTokenValue().replace(/[^\r\n]/g,n)),o=i.getPosition();break}while(c!==17);return a.join("")}e.stripComments=g;function u(r){switch(typeof r){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(r){if(Array.isArray(r))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=u}),define(re[53],se([0,1,34]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.toFormattedString=e.format=void 0;function t(I,D,b){let p,y,h,S,w;if(D){for(S=D.offset,w=S+D.length,h=S;h>0&&!P(I,h-1);)h--;let s=w;for(;s<I.length&&!P(I,s);)s++;y=I.substring(h,s),p=A(y,b)}else y=I,p=0,h=0,S=0,w=I.length;const d=C(b,I);let v=!1,m=0,g;b.insertSpaces?g=T(" ",b.tabSize||4):g="	";const u=(0,R.createScanner)(y,!1);let r=!1;function n(){return d+T(g,p+m)}function i(){let s=u.scan();for(v=!1;s===15||s===14;)v=v||s===14,s=u.scan();return r=s===16||u.getTokenError()!==0,s}const a=[];function c(s,l,f){!r&&l<w&&f>S&&I.substring(l,f)!==s&&a.push({offset:l,length:f-l,content:s})}let o=i();if(o!==17){const s=u.getTokenOffset()+h,l=T(g,p);c(l,h,s)}for(;o!==17;){let s=u.getTokenOffset()+u.getTokenLength()+h,l=i(),f="";for(;!v&&(l===12||l===13);){const U=u.getTokenOffset()+h;c(" ",s,U),s=u.getTokenOffset()+u.getTokenLength()+h,f=l===12?n():"",l=i()}if(l===2)o!==1&&(m--,f=n());else if(l===4)o!==3&&(m--,f=n());else{switch(o){case 3:case 1:m++,f=n();break;case 5:case 12:f=n();break;case 13:v?f=n():f=" ";break;case 6:f=" ";break;case 10:if(l===6){f="";break}case 7:case 8:case 9:case 11:case 2:case 4:l===12||l===13?f=" ":l!==5&&l!==17&&(r=!0);break;case 16:r=!0;break}v&&(l===12||l===13)&&(f=n())}const E=u.getTokenOffset()+h;c(f,s,E),o=l}return a}e.format=t;function k(I,D){const b=JSON.stringify(I,void 0,D.insertSpaces?D.tabSize||4:"	");return D.eol!==void 0?b.replace(/\r\n|\r|\n/g,D.eol):b}e.toFormattedString=k;function T(I,D){let b="";for(let p=0;p<D;p++)b+=I;return b}function A(I,D){let b=0,p=0;const y=D.tabSize||4;for(;b<I.length;){const h=I.charAt(b);if(h===" ")p++;else if(h==="	")p+=y;else break;b++}return Math.floor(p/y)}function C(I,D){for(let b=0;b<D.length;b++){const p=D.charAt(b);if(p==="\r")return b+1<D.length&&D.charAt(b+1)===`
`?`\r
`:"\r";if(p===`
`)return`
`}return I&&I.eol||`
`}e.getEOL=C;function P(I,D){return`\r
`.indexOf(I.charAt(D))!==-1}e.isEOL=P}),define(re[75],se([0,1,34,53]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function k(I,D,b){return T(I,D,void 0,b)}e.removeProperty=k;function T(I,D,b,p,y){const h=D.slice(),S=[],w=(0,R.parseTree)(I,S);let d,v;for(;h.length>0&&(v=h.pop(),d=(0,R.findNodeAtLocation)(w,h),d===void 0&&b!==void 0);)typeof v=="string"?b={[v]:b}:b=[b];if(d)if(d.type==="object"&&typeof v=="string"&&Array.isArray(d.children)){const m=(0,R.findNodeAtLocation)(d,[v]);if(m!==void 0)if(b===void 0){if(!m.parent)throw new Error("Malformed AST");const g=d.children.indexOf(m.parent);let u,r=m.parent.offset+m.parent.length;if(g>0){const n=d.children[g-1];u=n.offset+n.length}else u=d.offset+1,d.children.length>1&&(r=d.children[1].offset);return A(I,{offset:u,length:r-u,content:""},p)}else return A(I,{offset:m.offset,length:m.length,content:JSON.stringify(b)},p);else{if(b===void 0)return[];const g=`${JSON.stringify(v)}: ${JSON.stringify(b)}`,u=y?y(d.children.map(n=>n.children[0].value)):d.children.length;let r;if(u>0){const n=d.children[u-1];r={offset:n.offset+n.length,length:0,content:","+g}}else d.children.length===0?r={offset:d.offset+1,length:0,content:g}:r={offset:d.offset+1,length:0,content:g+","};return A(I,r,p)}}else if(d.type==="array"&&typeof v=="number"&&Array.isArray(d.children))if(b!==void 0){const m=`${JSON.stringify(b)}`;let g;if(d.children.length===0||v===0)g={offset:d.offset+1,length:0,content:d.children.length===0?m:m+","};else{const u=v===-1||v>d.children.length?d.children.length:v,r=d.children[u-1];g={offset:r.offset+r.length,length:0,content:","+m}}return A(I,g,p)}else{const m=v,g=d.children[m];let u;if(d.children.length===1)u={offset:d.offset+1,length:d.length-2,content:""};else if(d.children.length-1===m){const r=d.children[m-1],n=r.offset+r.length,i=d.offset+d.length;u={offset:n,length:i-2-n,content:""}}else u={offset:g.offset,length:d.children[m+1].offset-g.offset,content:""};return A(I,u,p)}else throw new Error(`Can not add ${typeof v!="number"?"index":"property"} to parent of type ${d.type}`);else{if(b===void 0)throw new Error("Can not delete in empty document");return A(I,{offset:w?w.offset:0,length:w?w.length:0,content:JSON.stringify(b)},p)}}e.setProperty=T;function A(I,D,b){let p=C(I,D),y=D.offset,h=D.offset+D.content.length;if(D.length===0||D.content.length===0){for(;y>0&&!(0,t.isEOL)(p,y-1);)y--;for(;h<p.length&&!(0,t.isEOL)(p,h);)h++}const S=(0,t.format)(p,{offset:y,length:h-y},b);for(let d=S.length-1;d>=0;d--){const v=S[d];p=C(p,v),y=Math.min(y,v.offset),h=Math.max(h,v.offset+v.length),h+=v.content.length-v.length}const w=I.length-(p.length-h)-y;return[{offset:y,length:w,content:p.substring(y,h)}]}e.withFormatting=A;function C(I,D){return I.substring(0,D.offset)+D.content+I.substring(D.offset+D.length)}e.applyEdit=C;function P(I,D){const b=D.slice(0).sort((y,h)=>{const S=y.offset-h.offset;return S===0?y.length-h.length:S});let p=I.length;for(let y=b.length-1;y>=0;y--){const h=b[y];if(h.offset+h.length<=p)I=C(I,h);else throw new Error("Overlapping edit");p=h.offset}return I}e.applyEdits=P}),define(re[110],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class R{constructor(k){this.executor=k,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(k){this._error=k}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(k){return new R(()=>k(this.getValue()))}}e.Lazy=R}),define(re[2],se([0,1,74,52]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.SafeDisposable=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const k=!1;let T=null;function A(c){T=c}if(e.setDisposableTracker=A,k){const c="__is_disposable_tracked__";A(new class{trackDisposable(o){const s=new Error("Potentially leaked disposable").stack;setTimeout(()=>{o[c]||console.log(s)},3e3)}setParent(o,s){if(o&&o!==v.None)try{o[c]=!0}catch{}}markAsDisposed(o){if(o&&o!==v.None)try{o[c]=!0}catch{}}markAsSingleton(o){}})}function C(c){return T?.trackDisposable(c),c}function P(c){T?.markAsDisposed(c)}function I(c,o){T?.setParent(c,o)}function D(c,o){if(!!T)for(const s of c)T.setParent(s,o)}function b(c){return T?.markAsSingleton(c),c}e.markAsSingleton=b;class p extends Error{constructor(o){super(`Encountered errors while disposing of store. Errors: [${o.join(", ")}]`);this.errors=o}}e.MultiDisposeError=p;function y(c){return typeof c.dispose=="function"&&c.dispose.length===0}e.isDisposable=y;function h(c){if(t.Iterable.is(c)){const o=[];for(const s of c)if(s)try{s.dispose()}catch(l){o.push(l)}if(o.length===1)throw o[0];if(o.length>1)throw new p(o);return Array.isArray(c)?[]:c}else if(c)return c.dispose(),c}e.dispose=h;function S(...c){const o=w(()=>h(c));return D(c,o),o}e.combinedDisposable=S;function w(c){const o=C({dispose:(0,R.once)(()=>{P(o),c()})});return o}e.toDisposable=w;class d{constructor(){this._toDispose=new Set,this._isDisposed=!1,C(this)}dispose(){this._isDisposed||(P(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{h(this._toDispose.values())}finally{this._toDispose.clear()}}add(o){if(!o)return o;if(o===this)throw new Error("Cannot register a disposable on itself!");return I(o,this),this._isDisposed?d.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(o),o}}e.DisposableStore=d,d.DISABLE_DISPOSED_WARNING=!1;class v{constructor(){this._store=new d,C(this),I(this._store,this)}dispose(){P(this),this._store.dispose()}_register(o){if(o===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(o)}}e.Disposable=v,v.None=Object.freeze({dispose(){}});class m{constructor(){this._isDisposed=!1,C(this)}get value(){return this._isDisposed?void 0:this._value}set value(o){this._isDisposed||o===this._value||(this._value?.dispose(),o&&I(o,this),this._value=o)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,P(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const o=this._value;return this._value=void 0,o&&I(o,null),o}}e.MutableDisposable=m;class g{constructor(o){this._disposable=o,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=g;class u{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,C(this)}set(o){let s=o;return this.unset=()=>s=void 0,this.isset=()=>s!==void 0,this.dispose=()=>{s&&(s(),s=void 0,P(this))},this}}e.SafeDisposable=u;class r{constructor(){this.references=new Map}acquire(o,...s){let l=this.references.get(o);l||(l={counter:0,object:this.createReferencedObject(o,...s)},this.references.set(o,l));const{object:f}=l,E=(0,R.once)(()=>{--l.counter==0&&(this.destroyReferencedObject(o,l.object),this.references.delete(o))});return l.counter++,{object:f,dispose:E}}}e.ReferenceCollection=r;class n{constructor(o){this.referenceCollection=o}async acquire(o,...s){const l=this.referenceCollection.acquire(o,...s);try{return{object:await l.object,dispose:()=>l.dispose()}}catch(f){throw l.dispose(),f}}}e.AsyncReferenceCollection=n;class i{constructor(o){this.object=o}dispose(){}}e.ImmortalReference=i;function a(c){const o=new d;try{c(o)}finally{o.dispose()}}e.disposeOnReturn=a}),define(re[111],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class R{constructor(T){this.element=T,this.next=R.Undefined,this.prev=R.Undefined}}R.Undefined=new R(void 0);class t{constructor(){this._first=R.Undefined,this._last=R.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===R.Undefined}clear(){let T=this._first;for(;T!==R.Undefined;){const A=T.next;T.prev=R.Undefined,T.next=R.Undefined,T=A}this._first=R.Undefined,this._last=R.Undefined,this._size=0}unshift(T){return this._insert(T,!1)}push(T){return this._insert(T,!0)}_insert(T,A){const C=new R(T);if(this._first===R.Undefined)this._first=C,this._last=C;else if(A){const I=this._last;this._last=C,C.prev=I,I.next=C}else{const I=this._first;this._first=C,C.next=I,I.prev=C}this._size+=1;let P=!1;return()=>{P||(P=!0,this._remove(C))}}shift(){if(this._first!==R.Undefined){const T=this._first.element;return this._remove(this._first),T}}pop(){if(this._last!==R.Undefined){const T=this._last.element;return this._remove(this._last),T}}_remove(T){if(T.prev!==R.Undefined&&T.next!==R.Undefined){const A=T.prev;A.next=T.next,T.next.prev=A}else T.prev===R.Undefined&&T.next===R.Undefined?(this._first=R.Undefined,this._last=R.Undefined):T.next===R.Undefined?(this._last=this._last.prev,this._last.next=R.Undefined):T.prev===R.Undefined&&(this._first=this._first.next,this._first.prev=R.Undefined);this._size-=1}*[Symbol.iterator](){let T=this._first;for(;T!==R.Undefined;)yield T.element,T=T.next}}e.LinkedList=t}),function(){function Z(k){const T=[];typeof k=="number"&&T.push("code/timeOrigin",k);function A(P){T.push(P,Date.now())}function C(){const P=[];for(let I=0;I<T.length;I+=2)P.push({name:T[I],startTime:T[I+1]});return P}return{mark:A,getMarks:C}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?Z():{mark(k){performance.mark(k)},getMarks(){let k=performance.timeOrigin;typeof k!="number"&&(k=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const T=[{name:"code/timeOrigin",startTime:Math.round(k)}];for(const A of performance.getEntriesByType("mark"))T.push({name:A.name,startTime:Math.round(k+A.startTime)});return T}};if(typeof process=="object"){const k=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return Z(k)}else return console.trace("perf-util loaded in UNKNOWN environment"),Z()}function R(k){return k.MonacoPerformanceMarks||(k.MonacoPerformanceMarks=e()),k.MonacoPerformanceMarks}var t;typeof global=="object"?t=global:typeof self=="object"?t=self:t={},typeof define=="function"?define("vs/base/common/performance",[],function(){return R(t)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=R(t):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),t.perf=R(t))}(),function(Z,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var R=e();for(var t in R)(typeof exports=="object"?exports:Z)[t]=R[t]}}(typeof self!="undefined"?self:this,function(){return function(Z){var e={};function R(t){if(e[t])return e[t].exports;var k=e[t]={i:t,l:!1,exports:{}};return Z[t].call(k.exports,k,k.exports,R),k.l=!0,k.exports}return R.m=Z,R.c=e,R.d=function(t,k,T){R.o(t,k)||Object.defineProperty(t,k,{enumerable:!0,get:T})},R.r=function(t){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},R.t=function(t,k){if(1&k&&(t=R(t)),8&k||4&k&&typeof t=="object"&&t&&t.__esModule)return t;var T=Object.create(null);if(R.r(T),Object.defineProperty(T,"default",{enumerable:!0,value:t}),2&k&&typeof t!="string")for(var A in t)R.d(T,A,function(C){return t[C]}.bind(null,A));return T},R.n=function(t){var k=t&&t.__esModule?function(){return t.default}:function(){return t};return R.d(k,"a",k),k},R.o=function(t,k){return Object.prototype.hasOwnProperty.call(t,k)},R.p="",R(R.s=0)}([function(Z,e,R){(function(t){var k;e=Z.exports=F,k=typeof t=="object"&&t.env&&t.env.NODE_DEBUG&&/\bsemver\b/i.test(t.env.NODE_DEBUG)?function(){var oe=Array.prototype.slice.call(arguments,0);oe.unshift("SEMVER"),console.log.apply(console,oe)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var T=256,A=Number.MAX_SAFE_INTEGER||9007199254740991,C=e.re=[],P=e.src=[],I=0,D=I++;P[D]="0|[1-9]\\d*";var b=I++;P[b]="[0-9]+";var p=I++;P[p]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var y=I++;P[y]="("+P[D]+")\\.("+P[D]+")\\.("+P[D]+")";var h=I++;P[h]="("+P[b]+")\\.("+P[b]+")\\.("+P[b]+")";var S=I++;P[S]="(?:"+P[D]+"|"+P[p]+")";var w=I++;P[w]="(?:"+P[b]+"|"+P[p]+")";var d=I++;P[d]="(?:-("+P[S]+"(?:\\."+P[S]+")*))";var v=I++;P[v]="(?:-?("+P[w]+"(?:\\."+P[w]+")*))";var m=I++;P[m]="[0-9A-Za-z-]+";var g=I++;P[g]="(?:\\+("+P[m]+"(?:\\."+P[m]+")*))";var u=I++,r="v?"+P[y]+P[d]+"?"+P[g]+"?";P[u]="^"+r+"$";var n="[v=\\s]*"+P[h]+P[v]+"?"+P[g]+"?",i=I++;P[i]="^"+n+"$";var a=I++;P[a]="((?:<|>)?=?)";var c=I++;P[c]=P[b]+"|x|X|\\*";var o=I++;P[o]=P[D]+"|x|X|\\*";var s=I++;P[s]="[v=\\s]*("+P[o]+")(?:\\.("+P[o]+")(?:\\.("+P[o]+")(?:"+P[d]+")?"+P[g]+"?)?)?";var l=I++;P[l]="[v=\\s]*("+P[c]+")(?:\\.("+P[c]+")(?:\\.("+P[c]+")(?:"+P[v]+")?"+P[g]+"?)?)?";var f=I++;P[f]="^"+P[a]+"\\s*"+P[s]+"$";var E=I++;P[E]="^"+P[a]+"\\s*"+P[l]+"$";var U=I++;P[U]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var _=I++;P[_]="(?:~>?)";var N=I++;P[N]="(\\s*)"+P[_]+"\\s+",C[N]=new RegExp(P[N],"g");var L=I++;P[L]="^"+P[_]+P[s]+"$";var M=I++;P[M]="^"+P[_]+P[l]+"$";var O=I++;P[O]="(?:\\^)";var H=I++;P[H]="(\\s*)"+P[O]+"\\s+",C[H]=new RegExp(P[H],"g");var W=I++;P[W]="^"+P[O]+P[s]+"$";var z=I++;P[z]="^"+P[O]+P[l]+"$";var te=I++;P[te]="^"+P[a]+"\\s*("+n+")$|^$";var V=I++;P[V]="^"+P[a]+"\\s*("+r+")$|^$";var Y=I++;P[Y]="(\\s*)"+P[a]+"\\s*("+n+"|"+P[s]+")",C[Y]=new RegExp(P[Y],"g");var X=I++;P[X]="^\\s*("+P[s]+")\\s+-\\s+("+P[s]+")\\s*$";var K=I++;P[K]="^\\s*("+P[l]+")\\s+-\\s+("+P[l]+")\\s*$";var x=I++;P[x]="(<|>)?=?\\s*\\*";for(var B=0;B<35;B++)k(B,P[B]),C[B]||(C[B]=new RegExp(P[B]));function J(oe,ue){if(oe instanceof F)return oe;if(typeof oe!="string"||oe.length>T||!(ue?C[i]:C[u]).test(oe))return null;try{return new F(oe,ue)}catch{return null}}function F(oe,ue){if(oe instanceof F){if(oe.loose===ue)return oe;oe=oe.version}else if(typeof oe!="string")throw new TypeError("Invalid Version: "+oe);if(oe.length>T)throw new TypeError("version is longer than "+T+" characters");if(!(this instanceof F))return new F(oe,ue);k("SemVer",oe,ue),this.loose=ue;var he=oe.trim().match(ue?C[i]:C[u]);if(!he)throw new TypeError("Invalid Version: "+oe);if(this.raw=oe,this.major=+he[1],this.minor=+he[2],this.patch=+he[3],this.major>A||this.major<0)throw new TypeError("Invalid major version");if(this.minor>A||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>A||this.patch<0)throw new TypeError("Invalid patch version");he[4]?this.prerelease=he[4].split(".").map(function(Ee){if(/^[0-9]+$/.test(Ee)){var Ie=+Ee;if(Ie>=0&&Ie<A)return Ie}return Ee}):this.prerelease=[],this.build=he[5]?he[5].split("."):[],this.format()}e.parse=J,e.valid=function(oe,ue){var he=J(oe,ue);return he?he.version:null},e.clean=function(oe,ue){var he=J(oe.trim().replace(/^[=v]+/,""),ue);return he?he.version:null},e.SemVer=F,F.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},F.prototype.toString=function(){return this.version},F.prototype.compare=function(oe){return k("SemVer.compare",this.version,this.loose,oe),oe instanceof F||(oe=new F(oe,this.loose)),this.compareMain(oe)||this.comparePre(oe)},F.prototype.compareMain=function(oe){return oe instanceof F||(oe=new F(oe,this.loose)),j(this.major,oe.major)||j(this.minor,oe.minor)||j(this.patch,oe.patch)},F.prototype.comparePre=function(oe){if(oe instanceof F||(oe=new F(oe,this.loose)),this.prerelease.length&&!oe.prerelease.length)return-1;if(!this.prerelease.length&&oe.prerelease.length)return 1;if(!this.prerelease.length&&!oe.prerelease.length)return 0;var ue=0;do{var he=this.prerelease[ue],Ee=oe.prerelease[ue];if(k("prerelease compare",ue,he,Ee),he===void 0&&Ee===void 0)return 0;if(Ee===void 0)return 1;if(he===void 0)return-1;if(he!==Ee)return j(he,Ee)}while(++ue)},F.prototype.inc=function(oe,ue){switch(oe){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",ue);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",ue);break;case"prepatch":this.prerelease.length=0,this.inc("patch",ue),this.inc("pre",ue);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",ue),this.inc("pre",ue);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var he=this.prerelease.length;--he>=0;)typeof this.prerelease[he]=="number"&&(this.prerelease[he]++,he=-2);he===-1&&this.prerelease.push(0)}ue&&(this.prerelease[0]===ue?isNaN(this.prerelease[1])&&(this.prerelease=[ue,0]):this.prerelease=[ue,0]);break;default:throw new Error("invalid increment argument: "+oe)}return this.format(),this.raw=this.version,this},e.inc=function(oe,ue,he,Ee){typeof he=="string"&&(Ee=he,he=void 0);try{return new F(oe,he).inc(ue,Ee).version}catch{return null}},e.diff=function(oe,ue){if(ne(oe,ue))return null;var he=J(oe),Ee=J(ue);if(he.prerelease.length||Ee.prerelease.length){for(var Ie in he)if((Ie==="major"||Ie==="minor"||Ie==="patch")&&he[Ie]!==Ee[Ie])return"pre"+Ie;return"prerelease"}for(var Ie in he)if((Ie==="major"||Ie==="minor"||Ie==="patch")&&he[Ie]!==Ee[Ie])return Ie},e.compareIdentifiers=j;var $=/^[0-9]+$/;function j(oe,ue){var he=$.test(oe),Ee=$.test(ue);return he&&Ee&&(oe=+oe,ue=+ue),he&&!Ee?-1:Ee&&!he?1:oe<ue?-1:oe>ue?1:0}function G(oe,ue,he){return new F(oe,he).compare(new F(ue,he))}function q(oe,ue,he){return G(oe,ue,he)>0}function ee(oe,ue,he){return G(oe,ue,he)<0}function ne(oe,ue,he){return G(oe,ue,he)===0}function ae(oe,ue,he){return G(oe,ue,he)!==0}function le(oe,ue,he){return G(oe,ue,he)>=0}function Se(oe,ue,he){return G(oe,ue,he)<=0}function ge(oe,ue,he,Ee){var Ie;switch(ue){case"===":typeof oe=="object"&&(oe=oe.version),typeof he=="object"&&(he=he.version),Ie=oe===he;break;case"!==":typeof oe=="object"&&(oe=oe.version),typeof he=="object"&&(he=he.version),Ie=oe!==he;break;case"":case"=":case"==":Ie=ne(oe,he,Ee);break;case"!=":Ie=ae(oe,he,Ee);break;case">":Ie=q(oe,he,Ee);break;case">=":Ie=le(oe,he,Ee);break;case"<":Ie=ee(oe,he,Ee);break;case"<=":Ie=Se(oe,he,Ee);break;default:throw new TypeError("Invalid operator: "+ue)}return Ie}function pe(oe,ue){if(oe instanceof pe){if(oe.loose===ue)return oe;oe=oe.value}if(!(this instanceof pe))return new pe(oe,ue);k("comparator",oe,ue),this.loose=ue,this.parse(oe),this.semver===Ce?this.value="":this.value=this.operator+this.semver.version,k("comp",this)}e.rcompareIdentifiers=function(oe,ue){return j(ue,oe)},e.major=function(oe,ue){return new F(oe,ue).major},e.minor=function(oe,ue){return new F(oe,ue).minor},e.patch=function(oe,ue){return new F(oe,ue).patch},e.compare=G,e.compareLoose=function(oe,ue){return G(oe,ue,!0)},e.rcompare=function(oe,ue,he){return G(ue,oe,he)},e.sort=function(oe,ue){return oe.sort(function(he,Ee){return e.compare(he,Ee,ue)})},e.rsort=function(oe,ue){return oe.sort(function(he,Ee){return e.rcompare(he,Ee,ue)})},e.gt=q,e.lt=ee,e.eq=ne,e.neq=ae,e.gte=le,e.lte=Se,e.cmp=ge,e.Comparator=pe;var Ce={};function be(oe,ue){if(oe instanceof be)return oe.loose===ue?oe:new be(oe.raw,ue);if(oe instanceof pe)return new be(oe.value,ue);if(!(this instanceof be))return new be(oe,ue);if(this.loose=ue,this.raw=oe,this.set=oe.split(/\s*\|\|\s*/).map(function(he){return this.parseRange(he.trim())},this).filter(function(he){return he.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+oe);this.format()}function Pe(oe){return!oe||oe.toLowerCase()==="x"||oe==="*"}function We(oe,ue,he,Ee,Ie,Oe,Re,Ne,_e,Le,Fe,ie,ce){return((ue=Pe(he)?"":Pe(Ee)?">="+he+".0.0":Pe(Ie)?">="+he+"."+Ee+".0":">="+ue)+" "+(Ne=Pe(_e)?"":Pe(Le)?"<"+(+_e+1)+".0.0":Pe(Fe)?"<"+_e+"."+(+Le+1)+".0":ie?"<="+_e+"."+Le+"."+Fe+"-"+ie:"<="+Ne)).trim()}function nt(oe,ue){for(var he=0;he<oe.length;he++)if(!oe[he].test(ue))return!1;if(ue.prerelease.length){for(he=0;he<oe.length;he++)if(k(oe[he].semver),oe[he].semver!==Ce&&oe[he].semver.prerelease.length>0){var Ee=oe[he].semver;if(Ee.major===ue.major&&Ee.minor===ue.minor&&Ee.patch===ue.patch)return!0}return!1}return!0}function Be(oe,ue,he){try{ue=new be(ue,he)}catch{return!1}return ue.test(oe)}function Ye(oe,ue,he,Ee){var Ie,Oe,Re,Ne,_e;switch(oe=new F(oe,Ee),ue=new be(ue,Ee),he){case">":Ie=q,Oe=Se,Re=ee,Ne=">",_e=">=";break;case"<":Ie=ee,Oe=le,Re=q,Ne="<",_e="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Be(oe,ue,Ee))return!1;for(var Le=0;Le<ue.set.length;++Le){var Fe=ue.set[Le],ie=null,ce=null;if(Fe.forEach(function(de){de.semver===Ce&&(de=new pe(">=0.0.0")),ie=ie||de,ce=ce||de,Ie(de.semver,ie.semver,Ee)?ie=de:Re(de.semver,ce.semver,Ee)&&(ce=de)}),ie.operator===Ne||ie.operator===_e||(!ce.operator||ce.operator===Ne)&&Oe(oe,ce.semver)||ce.operator===_e&&Re(oe,ce.semver))return!1}return!0}pe.prototype.parse=function(oe){var ue=this.loose?C[te]:C[V],he=oe.match(ue);if(!he)throw new TypeError("Invalid comparator: "+oe);this.operator=he[1],this.operator==="="&&(this.operator=""),he[2]?this.semver=new F(he[2],this.loose):this.semver=Ce},pe.prototype.toString=function(){return this.value},pe.prototype.test=function(oe){return k("Comparator.test",oe,this.loose),this.semver===Ce||(typeof oe=="string"&&(oe=new F(oe,this.loose)),ge(oe,this.operator,this.semver,this.loose))},pe.prototype.intersects=function(oe,ue){if(!(oe instanceof pe))throw new TypeError("a Comparator is required");var he;if(this.operator==="")return he=new be(oe.value,ue),Be(this.value,he,ue);if(oe.operator==="")return he=new be(this.value,ue),Be(oe.semver,he,ue);var Ee=!(this.operator!==">="&&this.operator!==">"||oe.operator!==">="&&oe.operator!==">"),Ie=!(this.operator!=="<="&&this.operator!=="<"||oe.operator!=="<="&&oe.operator!=="<"),Oe=this.semver.version===oe.semver.version,Re=!(this.operator!==">="&&this.operator!=="<="||oe.operator!==">="&&oe.operator!=="<="),Ne=ge(this.semver,"<",oe.semver,ue)&&(this.operator===">="||this.operator===">")&&(oe.operator==="<="||oe.operator==="<"),_e=ge(this.semver,">",oe.semver,ue)&&(this.operator==="<="||this.operator==="<")&&(oe.operator===">="||oe.operator===">");return Ee||Ie||Oe&&Re||Ne||_e},e.Range=be,be.prototype.format=function(){return this.range=this.set.map(function(oe){return oe.join(" ").trim()}).join("||").trim(),this.range},be.prototype.toString=function(){return this.range},be.prototype.parseRange=function(oe){var ue=this.loose;oe=oe.trim(),k("range",oe,ue);var he=ue?C[K]:C[X];oe=oe.replace(he,We),k("hyphen replace",oe),oe=oe.replace(C[Y],"$1$2$3"),k("comparator trim",oe,C[Y]),oe=(oe=(oe=oe.replace(C[N],"$1~")).replace(C[H],"$1^")).split(/\s+/).join(" ");var Ee=ue?C[te]:C[V],Ie=oe.split(" ").map(function(Oe){return function(Re,Ne){return k("comp",Re),Re=function(_e,Le){return _e.trim().split(/\s+/).map(function(Fe){return function(ie,ce){k("caret",ie,ce);var de=ce?C[z]:C[W];return ie.replace(de,function(ve,me,we,De,ke){var Te;return k("caret",ie,ve,me,we,De,ke),Pe(me)?Te="":Pe(we)?Te=">="+me+".0.0 <"+(+me+1)+".0.0":Pe(De)?Te=me==="0"?">="+me+"."+we+".0 <"+me+"."+(+we+1)+".0":">="+me+"."+we+".0 <"+(+me+1)+".0.0":ke?(k("replaceCaret pr",ke),ke.charAt(0)!=="-"&&(ke="-"+ke),Te=me==="0"?we==="0"?">="+me+"."+we+"."+De+ke+" <"+me+"."+we+"."+(+De+1):">="+me+"."+we+"."+De+ke+" <"+me+"."+(+we+1)+".0":">="+me+"."+we+"."+De+ke+" <"+(+me+1)+".0.0"):(k("no pr"),Te=me==="0"?we==="0"?">="+me+"."+we+"."+De+" <"+me+"."+we+"."+(+De+1):">="+me+"."+we+"."+De+" <"+me+"."+(+we+1)+".0":">="+me+"."+we+"."+De+" <"+(+me+1)+".0.0"),k("caret return",Te),Te})}(Fe,Le)}).join(" ")}(Re,Ne),k("caret",Re),Re=function(_e,Le){return _e.trim().split(/\s+/).map(function(Fe){return function(ie,ce){var de=ce?C[M]:C[L];return ie.replace(de,function(ve,me,we,De,ke){var Te;return k("tilde",ie,ve,me,we,De,ke),Pe(me)?Te="":Pe(we)?Te=">="+me+".0.0 <"+(+me+1)+".0.0":Pe(De)?Te=">="+me+"."+we+".0 <"+me+"."+(+we+1)+".0":ke?(k("replaceTilde pr",ke),ke.charAt(0)!=="-"&&(ke="-"+ke),Te=">="+me+"."+we+"."+De+ke+" <"+me+"."+(+we+1)+".0"):Te=">="+me+"."+we+"."+De+" <"+me+"."+(+we+1)+".0",k("tilde return",Te),Te})}(Fe,Le)}).join(" ")}(Re,Ne),k("tildes",Re),Re=function(_e,Le){return k("replaceXRanges",_e,Le),_e.split(/\s+/).map(function(Fe){return function(ie,ce){ie=ie.trim();var de=ce?C[E]:C[f];return ie.replace(de,function(ve,me,we,De,ke,Te){k("xRange",ie,ve,me,we,De,ke,Te);var Ae=Pe(we),Me=Ae||Pe(De),$e=Me||Pe(ke);return me==="="&&$e&&(me=""),Ae?ve=me===">"||me==="<"?"<0.0.0":"*":me&&$e?(Me&&(De=0),$e&&(ke=0),me===">"?(me=">=",Me?(we=+we+1,De=0,ke=0):$e&&(De=+De+1,ke=0)):me==="<="&&(me="<",Me?we=+we+1:De=+De+1),ve=me+we+"."+De+"."+ke):Me?ve=">="+we+".0.0 <"+(+we+1)+".0.0":$e&&(ve=">="+we+"."+De+".0 <"+we+"."+(+De+1)+".0"),k("xRange return",ve),ve})}(Fe,Le)}).join(" ")}(Re,Ne),k("xrange",Re),Re=function(_e,Le){return k("replaceStars",_e,Le),_e.trim().replace(C[x],"")}(Re,Ne),k("stars",Re),Re}(Oe,ue)}).join(" ").split(/\s+/);return this.loose&&(Ie=Ie.filter(function(Oe){return!!Oe.match(Ee)})),Ie=Ie.map(function(Oe){return new pe(Oe,ue)})},be.prototype.intersects=function(oe,ue){if(!(oe instanceof be))throw new TypeError("a Range is required");return this.set.some(function(he){return he.every(function(Ee){return oe.set.some(function(Ie){return Ie.every(function(Oe){return Ee.intersects(Oe,ue)})})})})},e.toComparators=function(oe,ue){return new be(oe,ue).set.map(function(he){return he.map(function(Ee){return Ee.value}).join(" ").trim().split(" ")})},be.prototype.test=function(oe){if(!oe)return!1;typeof oe=="string"&&(oe=new F(oe,this.loose));for(var ue=0;ue<this.set.length;ue++)if(nt(this.set[ue],oe))return!0;return!1},e.satisfies=Be,e.maxSatisfying=function(oe,ue,he){var Ee=null,Ie=null;try{var Oe=new be(ue,he)}catch{return null}return oe.forEach(function(Re){Oe.test(Re)&&(Ee&&Ie.compare(Re)!==-1||(Ie=new F(Ee=Re,he)))}),Ee},e.minSatisfying=function(oe,ue,he){var Ee=null,Ie=null;try{var Oe=new be(ue,he)}catch{return null}return oe.forEach(function(Re){Oe.test(Re)&&(Ee&&Ie.compare(Re)!==1||(Ie=new F(Ee=Re,he)))}),Ee},e.validRange=function(oe,ue){try{return new be(oe,ue).range||"*"}catch{return null}},e.ltr=function(oe,ue,he){return Ye(oe,ue,"<",he)},e.gtr=function(oe,ue,he){return Ye(oe,ue,">",he)},e.outside=Ye,e.prerelease=function(oe,ue){var he=J(oe,ue);return he&&he.prerelease.length?he.prerelease:null},e.intersects=function(oe,ue,he){return oe=new be(oe,he),ue=new be(ue,he),oe.intersects(ue)},e.coerce=function(oe){if(oe instanceof F)return oe;if(typeof oe!="string")return null;var ue=oe.match(C[U]);return ue==null?null:J((ue[1]||"0")+"."+(ue[2]||"0")+"."+(ue[3]||"0"))}}).call(this,R(1))},function(Z,e){var R,t,k=Z.exports={};function T(){throw new Error("setTimeout has not been defined")}function A(){throw new Error("clearTimeout has not been defined")}function C(w){if(R===setTimeout)return setTimeout(w,0);if((R===T||!R)&&setTimeout)return R=setTimeout,setTimeout(w,0);try{return R(w,0)}catch{try{return R.call(null,w,0)}catch{return R.call(this,w,0)}}}(function(){try{R=typeof setTimeout=="function"?setTimeout:T}catch{R=T}try{t=typeof clearTimeout=="function"?clearTimeout:A}catch{t=A}})();var P,I=[],D=!1,b=-1;function p(){D&&P&&(D=!1,P.length?I=P.concat(I):b=-1,I.length&&y())}function y(){if(!D){var w=C(p);D=!0;for(var d=I.length;d;){for(P=I,I=[];++b<d;)P&&P[b].run();b=-1,d=I.length}P=null,D=!1,function(v){if(t===clearTimeout)return clearTimeout(v);if((t===A||!t)&&clearTimeout)return t=clearTimeout,clearTimeout(v);try{t(v)}catch{try{return t.call(null,v)}catch{return t.call(this,v)}}}(w)}}function h(w,d){this.fun=w,this.array=d}function S(){}k.nextTick=function(w){var d=new Array(arguments.length-1);if(arguments.length>1)for(var v=1;v<arguments.length;v++)d[v-1]=arguments[v];I.push(new h(w,d)),I.length!==1||D||C(y)},h.prototype.run=function(){this.fun.apply(null,this.array)},k.title="browser",k.browser=!0,k.env={},k.argv=[],k.version="",k.versions={},k.on=S,k.addListener=S,k.once=S,k.off=S,k.removeListener=S,k.removeAllListeners=S,k.emit=S,k.prependListener=S,k.prependOnceListener=S,k.listeners=function(w){return[]},k.binding=function(w){throw new Error("process.binding is not supported")},k.cwd=function(){return"/"},k.chdir=function(w){throw new Error("process.chdir is not supported")},k.umask=function(){return 0}}])}),define(re[112],se([0,1]),function(Z,e){"use strict";var R;Object.defineProperty(e,"__esModule",{value:!0}),e.SkipList=void 0;class t{constructor(C,P,I){this.level=C,this.key=P,this.value=I,this.forward=[]}}const k=void 0;class T{constructor(C,P=2**16){this.comparator=C,this[R]="SkipList",this._level=0,this._size=0,this._maxLevel=Math.max(1,Math.log2(P)|0),this._header=new t(this._maxLevel,k,k)}get size(){return this._size}clear(){this._header=new t(this._maxLevel,k,k)}has(C){return Boolean(T._search(this,C,this.comparator))}get(C){return T._search(this,C,this.comparator)?.value}set(C,P){return T._insert(this,C,P,this.comparator)&&(this._size+=1),this}delete(C){const P=T._delete(this,C,this.comparator);return P&&(this._size-=1),P}forEach(C,P){let I=this._header.forward[0];for(;I;)C.call(P,I.value,I.key,this),I=I.forward[0]}[(R=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let C=this._header.forward[0];for(;C;)yield[C.key,C.value],C=C.forward[0]}*keys(){let C=this._header.forward[0];for(;C;)yield C.key,C=C.forward[0]}*values(){let C=this._header.forward[0];for(;C;)yield C.value,C=C.forward[0]}toString(){let C="[SkipList]:",P=this._header.forward[0];for(;P;)C+=`node(${P.key}, ${P.value}, lvl:${P.level})`,P=P.forward[0];return C}static _search(C,P,I){let D=C._header;for(let b=C._level-1;b>=0;b--)for(;D.forward[b]&&I(D.forward[b].key,P)<0;)D=D.forward[b];if(D=D.forward[0],D&&I(D.key,P)===0)return D}static _insert(C,P,I,D){const b=[];let p=C._header;for(let y=C._level-1;y>=0;y--){for(;p.forward[y]&&D(p.forward[y].key,P)<0;)p=p.forward[y];b[y]=p}if(p=p.forward[0],p&&D(p.key,P)===0)return p.value=I,!1;{const y=T._randomLevel(C);if(y>C._level){for(let h=C._level;h<y;h++)b[h]=C._header;C._level=y}p=new t(y,P,I);for(let h=0;h<y;h++)p.forward[h]=b[h].forward[h],b[h].forward[h]=p;return!0}}static _randomLevel(C,P=.5){let I=1;for(;Math.random()<P&&I<C._maxLevel;)I+=1;return I}static _delete(C,P,I){const D=[];let b=C._header;for(let p=C._level-1;p>=0;p--){for(;b.forward[p]&&I(b.forward[p].key,P)<0;)b=b.forward[p];D[p]=b}if(b=b.forward[0],!b||I(b.key,P)!==0)return!1;for(let p=0;p<C._level&&D[p].forward[p]===b;p++)D[p].forward[p]=b.forward[p];for(;C._level>0&&C._header.forward[C._level-1]===k;)C._level-=1;return!0}}e.SkipList=T}),define(re[42],se([0,1,9,2]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=e.isReadable=void 0;function k(g){const u=g;return u?typeof u.read=="function":!1}e.isReadable=k;function T(g){const u=g;return u?[u.on,u.pause,u.resume,u.destroy].every(r=>typeof r=="function"):!1}e.isReadableStream=T;function A(g){const u=g;return u?T(u.stream)&&Array.isArray(u.buffer)&&typeof u.ended=="boolean":!1}e.isReadableBufferedStream=A;function C(g,u){return new P(g,u)}e.newWriteableStream=C;class P{constructor(u,r){this.reducer=u,this.options=r,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(u){if(!this.state.destroyed){if(this.state.flowing)this.emitData(u);else if(this.buffer.data.push(u),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(r=>this.pendingWritePromises.push(r))}}error(u){this.state.destroyed||(this.state.flowing?this.emitError(u):this.buffer.error.push(u))}end(u){this.state.destroyed||(typeof u!="undefined"&&this.write(u),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(u){this.listeners.data.slice(0).forEach(r=>r(u))}emitError(u){this.listeners.error.length===0?(0,R.onUnexpectedError)(u):this.listeners.error.slice(0).forEach(r=>r(u))}emitEnd(){this.listeners.end.slice(0).forEach(u=>u())}on(u,r){if(!this.state.destroyed)switch(u){case"data":this.listeners.data.push(r),this.resume();break;case"end":this.listeners.end.push(r),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(r),this.state.flowing&&this.flowErrors();break}}removeListener(u,r){if(this.state.destroyed)return;let n;switch(u){case"data":n=this.listeners.data;break;case"end":n=this.listeners.end;break;case"error":n=this.listeners.error;break}if(n){const i=n.indexOf(r);i>=0&&n.splice(i,1)}}flowData(){if(this.buffer.data.length>0){const u=this.reducer(this.buffer.data);this.emitData(u),this.buffer.data.length=0;const r=[...this.pendingWritePromises];this.pendingWritePromises.length=0,r.forEach(n=>n())}}flowErrors(){if(this.listeners.error.length>0){for(const u of this.buffer.error)this.emitError(u);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function I(g,u){const r=[];let n;for(;(n=g.read())!==null;)r.push(n);return u(r)}e.consumeReadable=I;function D(g,u,r){const n=[];let i;for(;(i=g.read())!==null&&n.length<r;)n.push(i);return i===null&&n.length>0?u(n):{read:()=>{if(n.length>0)return n.shift();if(typeof i!="undefined"){const a=i;return i=void 0,a}return g.read()}}}e.peekReadable=D;function b(g,u){return new Promise((r,n)=>{const i=[];p(g,{onData:a=>{u&&i.push(a)},onError:a=>{u?n(a):r(void 0)},onEnd:()=>{r(u?u(i):void 0)}})})}e.consumeStream=b;function p(g,u){let r=!1;return g.on("error",n=>{r||u.onError(n)}),g.on("end",()=>{r||u.onEnd()}),g.on("data",n=>{r||u.onData(n)}),(0,t.toDisposable)(()=>r=!0)}e.listenStream=p;function y(g,u){return new Promise((r,n)=>{const i=new t.DisposableStore,a=[],c=l=>{if(a.push(l),a.length>u)return i.dispose(),g.pause(),r({stream:g,buffer:a,ended:!1})},o=l=>n(l),s=()=>r({stream:g,buffer:a,ended:!0});i.add((0,t.toDisposable)(()=>g.removeListener("error",o))),g.on("error",o),i.add((0,t.toDisposable)(()=>g.removeListener("end",s))),g.on("end",s),i.add((0,t.toDisposable)(()=>g.removeListener("data",c))),g.on("data",c)})}e.peekStream=y;function h(g,u){const r=C(u);return r.end(g),r}e.toStream=h;function S(){const g=C(()=>{throw new Error("not supported")});return g.end(),g}e.emptyStream=S;function w(g){let u=!1;return{read:()=>u?null:(u=!0,g)}}e.toReadable=w;function d(g,u,r){const n=C(r);return p(g,{onData:i=>n.write(u.data(i)),onError:i=>n.error(u.error?u.error(i):i),onEnd:()=>n.end()}),n}e.transform=d;function v(g,u,r){let n=!1;return{read:()=>{const i=u.read();return n?i:(n=!0,i!==null?r([g,i]):g)}}}e.prefixedReadable=v;function m(g,u,r){let n=!1;const i=C(r);return p(u,{onData:a=>n?i.write(a):(n=!0,i.write(r([g,a]))),onError:a=>i.error(a),onEnd:()=>{n||(n=!0,i.write(g)),i.end()}}),i}e.prefixedStream=m}),define(re[16],se([0,1,42]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const t=typeof Buffer!="undefined";let k,T;class A{constructor(l){this.buffer=l,this.byteLength=this.buffer.byteLength}static alloc(l){return t?new A(Buffer.allocUnsafe(l)):new A(new Uint8Array(l))}static wrap(l){return t&&!Buffer.isBuffer(l)&&(l=Buffer.from(l.buffer,l.byteOffset,l.byteLength)),new A(l)}static fromString(l,f){return!(f?.dontUseNodeBuffer||!1)&&t?new A(Buffer.from(l)):(k||(k=new TextEncoder),new A(k.encode(l)))}static fromByteArray(l){const f=A.alloc(l.length);for(let E=0,U=l.length;E<U;E++)f.buffer[E]=l[E];return f}static concat(l,f){if(typeof f=="undefined"){f=0;for(let _=0,N=l.length;_<N;_++)f+=l[_].byteLength}const E=A.alloc(f);let U=0;for(let _=0,N=l.length;_<N;_++){const L=l[_];E.set(L,U),U+=L.byteLength}return E}clone(){const l=A.alloc(this.byteLength);return l.set(this),l}toString(){return t?this.buffer.toString():(T||(T=new TextDecoder),T.decode(this.buffer))}slice(l,f){return new A(this.buffer.subarray(l,f))}set(l,f){if(l instanceof A)this.buffer.set(l.buffer,f);else if(l instanceof Uint8Array)this.buffer.set(l,f);else if(l instanceof ArrayBuffer)this.buffer.set(new Uint8Array(l),f);else if(ArrayBuffer.isView(l))this.buffer.set(new Uint8Array(l.buffer,l.byteOffset,l.byteLength),f);else throw new Error("Unknown argument 'array'")}readUInt32BE(l){return I(this.buffer,l)}writeUInt32BE(l,f){D(this.buffer,l,f)}readUInt32LE(l){return b(this.buffer,l)}writeUInt32LE(l,f){p(this.buffer,l,f)}readUInt8(l){return y(this.buffer,l)}writeUInt8(l,f){h(this.buffer,l,f)}}e.VSBuffer=A;function C(s,l){return s[l+0]<<0>>>0|s[l+1]<<8>>>0}e.readUInt16LE=C;function P(s,l,f){s[f+0]=l&255,l=l>>>8,s[f+1]=l&255}e.writeUInt16LE=P;function I(s,l){return s[l]*2**24+s[l+1]*2**16+s[l+2]*2**8+s[l+3]}e.readUInt32BE=I;function D(s,l,f){s[f+3]=l,l=l>>>8,s[f+2]=l,l=l>>>8,s[f+1]=l,l=l>>>8,s[f]=l}e.writeUInt32BE=D;function b(s,l){return s[l+0]<<0>>>0|s[l+1]<<8>>>0|s[l+2]<<16>>>0|s[l+3]<<24>>>0}e.readUInt32LE=b;function p(s,l,f){s[f+0]=l&255,l=l>>>8,s[f+1]=l&255,l=l>>>8,s[f+2]=l&255,l=l>>>8,s[f+3]=l&255}e.writeUInt32LE=p;function y(s,l){return s[l]}e.readUInt8=y;function h(s,l,f){s[f]=l}e.writeUInt8=h;function S(s){return R.consumeReadable(s,l=>A.concat(l))}e.readableToBuffer=S;function w(s){return R.toReadable(s)}e.bufferToReadable=w;function d(s){return R.consumeStream(s,l=>A.concat(l))}e.streamToBuffer=d;async function v(s){return s.ended?A.concat(s.buffer):A.concat([...s.buffer,await d(s.stream)])}e.bufferedStreamToBuffer=v;function m(s){return R.toStream(s,l=>A.concat(l))}e.bufferToStream=m;function g(s){return R.transform(s,{data:l=>typeof l=="string"?A.fromString(l):A.wrap(l)},l=>A.concat(l))}e.streamToBufferReadableStream=g;function u(s){return R.newWriteableStream(l=>A.concat(l),s)}e.newWriteableBufferStream=u;function r(s,l){return R.prefixedReadable(s,l,f=>A.concat(f))}e.prefixedBufferReadable=r;function n(s,l){return R.prefixedStream(s,l,f=>A.concat(f))}e.prefixedBufferStream=n;function i(s){let l=0,f=0,E=0;const U=new Uint8Array(Math.floor(s.length/4*3)),_=L=>{switch(f){case 3:U[E++]=l|L,f=0;break;case 2:U[E++]=l|L>>>2,l=L<<6,f=3;break;case 1:U[E++]=l|L>>>4,l=L<<4,f=2;break;default:l=L<<2,f=1}};for(let L=0;L<s.length;L++){const M=s.charCodeAt(L);if(M>=65&&M<=90)_(M-65);else if(M>=97&&M<=122)_(M-97+26);else if(M>=48&&M<=57)_(M-48+52);else if(M===43||M===45)_(62);else if(M===47||M===95)_(63);else{if(M===61)break;throw new SyntaxError(`Unexpected base64 character ${s[L]}`)}}const N=E;for(;f>0;)_(0);return A.wrap(U).slice(0,N)}e.decodeBase64=i;const a="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",c="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function o({buffer:s},l=!0,f=!1){const E=f?c:a;let U="";const _=s.byteLength%3;let N=0;for(;N<s.byteLength-_;N+=3){const L=s[N+0],M=s[N+1],O=s[N+2];U+=E[L>>>2],U+=E[(L<<4|M>>>4)&63],U+=E[(M<<2|O>>>6)&63],U+=E[O&63]}if(_===1){const L=s[N+0];U+=E[L>>>2],U+=E[L<<4&63],l&&(U+="==")}else if(_===2){const L=s[N+0],M=s[N+1];U+=E[L>>>2],U+=E[(L<<4|M>>>4)&63],U+=E[M<<2&63],l&&(U+="=")}return U}e.encodeBase64=o}),define(re[14],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isTypedArray=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function R(s){return Array.isArray(s)}e.isArray=R;function t(s){return typeof s=="string"}e.isString=t;function k(s){return Array.isArray(s)&&s.every(l=>t(l))}e.isStringArray=k;function T(s){return typeof s=="object"&&s!==null&&!Array.isArray(s)&&!(s instanceof RegExp)&&!(s instanceof Date)}e.isObject=T;function A(s){return typeof s=="object"&&(s instanceof Uint8Array||s instanceof Uint16Array||s instanceof Uint32Array||s instanceof Float32Array||s instanceof Float64Array||s instanceof Int8Array||s instanceof Int16Array||s instanceof Int32Array||s instanceof BigInt64Array||s instanceof BigUint64Array||s instanceof Uint8ClampedArray)}e.isTypedArray=A;function C(s){return typeof s=="number"&&!isNaN(s)}e.isNumber=C;function P(s){return!!s&&typeof s[Symbol.iterator]=="function"}e.isIterable=P;function I(s){return s===!0||s===!1}e.isBoolean=I;function D(s){return typeof s=="undefined"}e.isUndefined=D;function b(s){return!p(s)}e.isDefined=b;function p(s){return D(s)||s===null}e.isUndefinedOrNull=p;function y(s,l){if(!s)throw new Error(l?`Unexpected type, expected '${l}'`:"Unexpected type")}e.assertType=y;function h(s){if(p(s))throw new Error("Assertion Failed: argument is undefined or null");return s}e.assertIsDefined=h;function S(...s){const l=[];for(let f=0;f<s.length;f++){const E=s[f];if(p(E))throw new Error(`Assertion Failed: argument at index ${f} is undefined or null`);l.push(E)}return l}e.assertAllDefined=S;const w=Object.prototype.hasOwnProperty;function d(s){if(!T(s))return!1;for(const l in s)if(w.call(s,l))return!1;return!0}e.isEmptyObject=d;function v(s){return typeof s=="function"}e.isFunction=v;function m(...s){return s.length>0&&s.every(v)}e.areFunctions=m;function g(s,l){const f=Math.min(s.length,l.length);for(let E=0;E<f;E++)u(s[E],l[E])}e.validateConstraints=g;function u(s,l){if(t(l)){if(typeof s!==l)throw new Error(`argument does not match constraint: typeof ${l}`)}else if(v(l)){try{if(s instanceof l)return}catch{}if(!p(s)&&s.constructor===l||l.length===1&&l.call(void 0,s)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=u;function r(s){let l=[],f=Object.getPrototypeOf(s);for(;Object.prototype!==f;)l=l.concat(Object.getOwnPropertyNames(f)),f=Object.getPrototypeOf(f);return l}e.getAllPropertyNames=r;function n(s){const l=[];for(const f of r(s))typeof s[f]=="function"&&l.push(f);return l}e.getAllMethodNames=n;function i(s,l){const f=U=>function(){const _=Array.prototype.slice.call(arguments,0);return l(U,_)},E={};for(const U of s)E[U]=f(U);return E}e.createProxyObject=i;function a(s){return s===null?void 0:s}e.withNullAsUndefined=a;function c(s){return typeof s=="undefined"?null:s}e.withUndefinedAsNull=c;function o(s,l="Unreachable"){throw new Error(l)}e.assertNever=o}),define(re[30],se([0,1,14]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function t(h){if(!h||typeof h!="object"||h instanceof RegExp)return h;const S=Array.isArray(h)?[]:{};return Object.keys(h).forEach(w=>{h[w]&&typeof h[w]=="object"?S[w]=t(h[w]):S[w]=h[w]}),S}e.deepClone=t;function k(h){if(!h||typeof h!="object")return h;const S=[h];for(;S.length>0;){const w=S.shift();Object.freeze(w);for(const d in w)if(T.call(w,d)){const v=w[d];typeof v=="object"&&!Object.isFrozen(v)&&!(0,R.isTypedArray)(v)&&S.push(v)}}return h}e.deepFreeze=k;const T=Object.prototype.hasOwnProperty;function A(h,S){return C(h,S,new Set)}e.cloneAndChange=A;function C(h,S,w){if((0,R.isUndefinedOrNull)(h))return h;const d=S(h);if(typeof d!="undefined")return d;if((0,R.isArray)(h)){const v=[];for(const m of h)v.push(C(m,S,w));return v}if((0,R.isObject)(h)){if(w.has(h))throw new Error("Cannot clone recursive data-structure");w.add(h);const v={};for(const m in h)T.call(h,m)&&(v[m]=C(h[m],S,w));return w.delete(h),v}return h}function P(h,S,w=!0){return(0,R.isObject)(h)?((0,R.isObject)(S)&&Object.keys(S).forEach(d=>{d in h?w&&((0,R.isObject)(h[d])&&(0,R.isObject)(S[d])?P(h[d],S[d],w):h[d]=S[d]):h[d]=S[d]}),h):S}e.mixin=P;function I(h,S){if(h===S)return!0;if(h==null||S===null||S===void 0||typeof h!=typeof S||typeof h!="object"||Array.isArray(h)!==Array.isArray(S))return!1;let w,d;if(Array.isArray(h)){if(h.length!==S.length)return!1;for(w=0;w<h.length;w++)if(!I(h[w],S[w]))return!1}else{const v=[];for(d in h)v.push(d);v.sort();const m=[];for(d in S)m.push(d);if(m.sort(),!I(v,m))return!1;for(w=0;w<v.length;w++)if(!I(h[v[w]],S[v[w]]))return!1}return!0}e.equals=I;function D(h){const S=new Set;return JSON.stringify(h,(w,d)=>{if((0,R.isObject)(d)||Array.isArray(d)){if(S.has(d))return"[Circular]";S.add(d)}return d})}e.safeStringify=D;function b(h,S){const w=Object.create(null);return!h||!S||Object.keys(S).forEach(v=>{const m=h[v],g=S[v];I(m,g)||(w[v]=g)}),w}e.distinct=b;function p(h,S){const w=S.toLowerCase(),d=Object.keys(h).find(v=>v.toLowerCase()===w);return d?h[d]:h[S]}e.getCaseInsensitive=p;function y(h,S){const w=Object.create(null);for(const[d,v]of Object.entries(h))S(d,v)&&(w[d]=v);return w}e.filter=y}),define(re[31],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const R=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function t(k){return R.test(k)}e.isUUID=t,e.generateUuid=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let k;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?k=crypto.getRandomValues.bind(crypto):k=function(C){for(let P=0;P<C.length;P++)C[P]=Math.floor(Math.random()*256);return C};const T=new Uint8Array(16),A=[];for(let C=0;C<256;C++)A.push(C.toString(16).padStart(2,"0"));return function(){k(T),T[6]=T[6]&15|64,T[8]=T[8]&63|128;let P=0,I="";return I+=A[T[P++]],I+=A[T[P++]],I+=A[T[P++]],I+=A[T[P++]],I+="-",I+=A[T[P++]],I+=A[T[P++]],I+="-",I+=A[T[P++]],I+=A[T[P++]],I+="-",I+=A[T[P++]],I+=A[T[P++]],I+="-",I+=A[T[P++]],I+=A[T[P++]],I+=A[T[P++]],I+=A[T[P++]],I+=A[T[P++]],I+=A[T[P++]],I}}()}),define(re[113],se([0,1,265]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class t{constructor(T="utf8"){this.stringDecoder=new R.StringDecoder(T),this.remaining=null}write(T){const A=[],C=this.remaining?this.remaining+this.stringDecoder.write(T):this.stringDecoder.write(T);if(C.length<1)return A;let P=0,I,D=P;for(;D<C.length;)if(I=C.charCodeAt(D),I===13||I===10){if(A.push(C.substring(P,D)),D++,D<C.length){const b=I;I=C.charCodeAt(D),(b===13&&I===10||b===10&&I===13)&&D++}P=D}else D++;return this.remaining=P<C.length?C.substr(P):null,A}end(){return this.remaining}}e.LineDecoder=t}),define(re[114],se([0,1,36]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const t=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function k(A){const C=A.replace(/\-/g,":").toLowerCase();return!t.has(C)}function T(){const A=(0,R.networkInterfaces)();for(const C in A){const P=A[C];if(P){for(const{mac:I}of P)if(k(I))return I}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.getMac=T}),define(re[115],se([0,1,76]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.BROWSER_RESTRICTED_PORTS=e.findFreePort=void 0;function t(C,P,I,D=1){let b=!1;return new Promise(p=>{const y=setTimeout(()=>{if(!b)return b=!0,p(0)},I);k(C,P,D,h=>{if(!b)return b=!0,clearTimeout(y),p(h)})})}e.findFreePort=t;function k(C,P,I,D){if(P===0)return D(0);const b=new R.Socket;b.once("connect",()=>(A(b),k(C+I,P-1,I,D))),b.once("data",()=>{}),b.once("error",p=>(A(b),p.code!=="ECONNREFUSED"?k(C+I,P-1,I,D):D(C))),b.connect(C,"127.0.0.1")}e.BROWSER_RESTRICTED_PORTS={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function T(C,P,I){let D=!1,b,p=1;const y=R.createServer({pauseOnConnect:!0});function h(S,w){D||(D=!0,y.removeAllListeners(),y.close(),b&&clearTimeout(b),w(S))}return new Promise(S=>{b=setTimeout(()=>{h(0,S)},I),y.on("listening",()=>{h(C,S)}),y.on("error",w=>{w&&(w.code==="EADDRINUSE"||w.code==="EACCES")&&p<P?(C++,p++,y.listen(C,"127.0.0.1")):h(0,S)}),y.on("close",()=>{h(0,S)}),y.listen(C,"127.0.0.1")})}e.findFreePortFaster=T;function A(C){try{C.removeAllListeners("connect"),C.removeAllListeners("error"),C.end(),C.destroy(),C.unref()}catch(P){console.error(P)}}}),define(re[116],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OfflineError=e.isOfflineError=void 0;const R="Offline";function t(T){return T instanceof k?!0:T instanceof Error&&T.name===R&&T.message===R}e.isOfflineError=t;class k extends Error{constructor(){super(R);this.name=this.message}}e.OfflineError=k}),define(re[117],se([0,1,16,9,116]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.request=void 0;function T(P,I){if(!navigator.onLine)throw new k.OfflineError;P.proxyAuthorization&&(P.headers={...P.headers||{},"Proxy-Authorization":P.proxyAuthorization});const D=new XMLHttpRequest;return new Promise((b,p)=>{D.open(P.type||"GET",P.url||"",!0,P.user,P.password),A(D,P),D.responseType="arraybuffer",D.onerror=y=>p(new Error(D.statusText&&"XHR failed: "+D.statusText||"XHR failed")),D.onload=y=>{b({res:{statusCode:D.status,headers:C(D)},stream:(0,R.bufferToStream)(R.VSBuffer.wrap(new Uint8Array(D.response)))})},D.ontimeout=y=>p(new Error(`XHR timeout: ${P.timeout}ms`)),P.timeout&&(D.timeout=P.timeout),D.send(P.data),I.onCancellationRequested(()=>{D.abort(),p((0,t.canceled)())})})}e.request=T;function A(P,I){if(I.headers){e:for(const D in I.headers){switch(D){case"User-Agent":case"Accept-Encoding":case"Content-Length":continue e}P.setRequestHeader(D,I.headers[D])}}}function C(P){const I=Object.create(null);for(const D of P.getAllResponseHeaders().split(/\r\n|\n|\r/g))if(D){const b=D.indexOf(":");I[D.substr(0,b).trim().toLowerCase()]=D.substr(b+1).trim()}return I}}),define(re[118],se([11,12]),function(Z,e){return Z.create("vs/base/common/date",e)}),define(re[61],se([0,1,118]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const t=60,k=t*60,T=k*24,A=T*7,C=T*30,P=T*365;function I(b,p,y){typeof b!="number"&&(b=b.getTime());const h=Math.round((new Date().getTime()-b)/1e3);if(h<-30)return(0,R.localize)(0,null,I(new Date().getTime()+h*1e3,!1));if(h<30)return(0,R.localize)(1,null);let S;return h<t?(S=h,p?S===1?y?(0,R.localize)(2,null,S):(0,R.localize)(3,null,S):y?(0,R.localize)(4,null,S):(0,R.localize)(5,null,S):S===1?y?(0,R.localize)(6,null,S):(0,R.localize)(7,null,S):y?(0,R.localize)(8,null,S):(0,R.localize)(9,null,S)):h<k?(S=Math.floor(h/t),p?S===1?y?(0,R.localize)(10,null,S):(0,R.localize)(11,null,S):y?(0,R.localize)(12,null,S):(0,R.localize)(13,null,S):S===1?y?(0,R.localize)(14,null,S):(0,R.localize)(15,null,S):y?(0,R.localize)(16,null,S):(0,R.localize)(17,null,S)):h<T?(S=Math.floor(h/k),p?S===1?y?(0,R.localize)(18,null,S):(0,R.localize)(19,null,S):y?(0,R.localize)(20,null,S):(0,R.localize)(21,null,S):S===1?y?(0,R.localize)(22,null,S):(0,R.localize)(23,null,S):y?(0,R.localize)(24,null,S):(0,R.localize)(25,null,S)):h<A?(S=Math.floor(h/T),p?S===1?(0,R.localize)(26,null,S):(0,R.localize)(27,null,S):S===1?(0,R.localize)(28,null,S):(0,R.localize)(29,null,S)):h<C?(S=Math.floor(h/A),p?S===1?y?(0,R.localize)(30,null,S):(0,R.localize)(31,null,S):y?(0,R.localize)(32,null,S):(0,R.localize)(33,null,S):S===1?y?(0,R.localize)(34,null,S):(0,R.localize)(35,null,S):y?(0,R.localize)(36,null,S):(0,R.localize)(37,null,S)):h<P?(S=Math.floor(h/C),p?S===1?y?(0,R.localize)(38,null,S):(0,R.localize)(39,null,S):y?(0,R.localize)(40,null,S):(0,R.localize)(41,null,S):S===1?y?(0,R.localize)(42,null,S):(0,R.localize)(43,null,S):y?(0,R.localize)(44,null,S):(0,R.localize)(45,null,S)):(S=Math.floor(h/P),p?S===1?y?(0,R.localize)(46,null,S):(0,R.localize)(47,null,S):y?(0,R.localize)(48,null,S):(0,R.localize)(49,null,S):S===1?y?(0,R.localize)(50,null,S):(0,R.localize)(51,null,S):y?(0,R.localize)(52,null,S):(0,R.localize)(53,null,S))}e.fromNow=I;function D(b){return b.getFullYear()+"-"+String(b.getMonth()+1).padStart(2,"0")+"-"+String(b.getDate()).padStart(2,"0")+"T"+String(b.getHours()).padStart(2,"0")+":"+String(b.getMinutes()).padStart(2,"0")+":"+String(b.getSeconds()).padStart(2,"0")+"."+(b.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=D}),define(re[119],se([11,12]),function(Z,e){return Z.create("vs/base/common/errorMessage",e)}),define(re[37],se([0,1,17,14,119]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function T(b,p){return p&&(b.stack||b.stacktrace)?k.localize(0,null,C(b),A(b.stack)||A(b.stacktrace)):C(b)}function A(b){return Array.isArray(b)?b.join(`
`):b}function C(b){return typeof b.code=="string"&&typeof b.errno=="number"&&typeof b.syscall=="string"?k.localize(1,null,b.message):b.message||k.localize(2,null)}function P(b=null,p=!1){if(!b)return k.localize(3,null);if(Array.isArray(b)){const y=R.coalesce(b),h=P(y[0],p);return y.length>1?k.localize(4,null,h,y.length):h}if(t.isString(b))return b;if(b.detail){const y=b.detail;if(y.error)return T(y.error,p);if(y.exception)return T(y.exception,p)}return b.stack?T(b,p):b.message?b.message:k.localize(5,null)}e.toErrorMessage=P;function I(b){const p=b;return p instanceof Error&&Array.isArray(p.actions)}e.isErrorWithActions=I;function D(b,p){let y;return typeof b=="string"?y=new Error(b):y=b,y.actions=p,y}e.createErrorWithActions=D}),define(re[120],se([11,12]),function(Z,e){return Z.create("vs/base/common/jsonErrorMessages",e)}),define(re[121],se([0,1,120]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getParseErrorMessage=void 0;function t(k){switch(k){case 1:return(0,R.localize)(0,null);case 2:return(0,R.localize)(1,null);case 3:return(0,R.localize)(2,null);case 4:return(0,R.localize)(3,null);case 5:return(0,R.localize)(4,null);case 6:return(0,R.localize)(5,null);case 7:return(0,R.localize)(6,null);case 8:return(0,R.localize)(7,null);case 9:return(0,R.localize)(8,null);default:return""}}e.getParseErrorMessage=t}),define(re[122],se([11,12]),function(Z,e){return Z.create("vs/base/common/platform",e)}),define(re[4],se([0,1,122]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isAndroid=e.isEdge=e.isSafari=e.isFirefox=e.isChrome=e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.setTimeout0IsFaster=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isCI=e.isIOS=e.isWebWorker=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.globals=void 0;const t="en";let k=!1,T=!1,A=!1,C=!1,P=!1,I=!1,D=!1,b=!1,p=!1,y,h=t,S,w;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let d;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?d=e.globals.vscode.process:typeof process!="undefined"&&(d=process);const v=typeof d?.versions?.electron=="string",m=v&&d?.type==="renderer";if(typeof navigator=="object"&&!m)w=navigator.userAgent,k=w.indexOf("Windows")>=0,T=w.indexOf("Macintosh")>=0,b=(w.indexOf("Macintosh")>=0||w.indexOf("iPad")>=0||w.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,A=w.indexOf("Linux")>=0,I=!0,y=R.getConfiguredDefaultLocale(R.localize(0,null))||t,h=y;else if(typeof d=="object"){k=d.platform==="win32",T=d.platform==="darwin",A=d.platform==="linux",C=A&&!!d.env.SNAP&&!!d.env.SNAP_REVISION,D=v,p=!!d.env.CI||!!d.env.BUILD_ARTIFACTSTAGINGDIRECTORY,y=t,h=t;const s=d.env.VSCODE_NLS_CONFIG;if(s)try{const l=JSON.parse(s),f=l.availableLanguages["*"];y=l.locale,h=f||t,S=l._translationsConfigFile}catch{}P=!0}else console.error("Unable to resolve platform.");var g;(function(s){s[s.Web=0]="Web",s[s.Mac=1]="Mac",s[s.Linux=2]="Linux",s[s.Windows=3]="Windows"})(g=e.Platform||(e.Platform={}));function u(s){switch(s){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=u;let r=0;T?r=1:k?r=3:A&&(r=2),e.isWindows=k,e.isMacintosh=T,e.isLinux=A,e.isLinuxSnap=C,e.isNative=P,e.isElectron=D,e.isWeb=I,e.isWebWorker=I&&typeof e.globals.importScripts=="function",e.isIOS=b,e.isCI=p,e.platform=r,e.userAgent=w,e.language=h;var n;(function(s){function l(){return e.language}s.value=l;function f(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}s.isDefaultVariant=f;function E(){return e.language==="en"}s.isDefault=E})(n=e.Language||(e.Language={})),e.locale=y,e.translationsConfigFile=S,e.setTimeout0IsFaster=typeof e.globals.postMessage=="function"&&!e.globals.importScripts,e.setTimeout0=(()=>{if(e.setTimeout0IsFaster){const s=[];e.globals.addEventListener("message",f=>{if(f.data&&f.data.vscodeScheduleAsyncWork)for(let E=0,U=s.length;E<U;E++){const _=s[E];if(_.id===f.data.vscodeScheduleAsyncWork){s.splice(E,1),_.callback();return}}});let l=0;return f=>{const E=++l;s.push({id:E,callback:f}),e.globals.postMessage({vscodeScheduleAsyncWork:E},"*")}}return s=>setTimeout(s)})();var i;(function(s){s[s.Windows=1]="Windows",s[s.Macintosh=2]="Macintosh",s[s.Linux=3]="Linux"})(i=e.OperatingSystem||(e.OperatingSystem={})),e.OS=T||b?2:k?1:3;let a=!0,c=!1;function o(){if(!c){c=!0;const s=new Uint8Array(2);s[0]=1,s[1]=2,a=new Uint16Array(s.buffer)[0]===(2<<8)+1}return a}e.isLittleEndian=o,e.isChrome=!!(e.userAgent&&e.userAgent.indexOf("Chrome")>=0),e.isFirefox=!!(e.userAgent&&e.userAgent.indexOf("Firefox")>=0),e.isSafari=!!(!e.isChrome&&e.userAgent&&e.userAgent.indexOf("Safari")>=0),e.isEdge=!!(e.userAgent&&e.userAgent.indexOf("Edg/")>=0),e.isAndroid=!!(e.userAgent&&e.userAgent.indexOf("Android")>=0)}),define(re[35],se([0,1,4]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let t;if(typeof R.globals.vscode!="undefined"&&typeof R.globals.vscode.process!="undefined"){const k=R.globals.vscode.process;t={get platform(){return k.platform},get arch(){return k.arch},get env(){return k.env},cwd(){return k.cwd()}}}else typeof process!="undefined"?t={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:t={get platform(){return R.isWindows?"win32":R.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=t.cwd,e.env=t.env,e.platform=t.platform,e.arch=t.arch}),define(re[13],se([0,1,35]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const t=65,k=97,T=90,A=122,C=46,P=47,I=92,D=58,b=63;class p extends Error{constructor(g,u,r){let n;typeof u=="string"&&u.indexOf("not ")===0?(n="must not be",u=u.replace(/^not /,"")):n="must be";const i=g.indexOf(".")!==-1?"property":"argument";let a=`The "${g}" ${i} ${n} of type ${u}`;a+=`. Received type ${typeof r}`;super(a);this.code="ERR_INVALID_ARG_TYPE"}}function y(m,g){if(typeof m!="string")throw new p(g,"string",m)}function h(m){return m===P||m===I}function S(m){return m===P}function w(m){return m>=t&&m<=T||m>=k&&m<=A}function d(m,g,u,r){let n="",i=0,a=-1,c=0,o=0;for(let s=0;s<=m.length;++s){if(s<m.length)o=m.charCodeAt(s);else{if(r(o))break;o=P}if(r(o)){if(!(a===s-1||c===1))if(c===2){if(n.length<2||i!==2||n.charCodeAt(n.length-1)!==C||n.charCodeAt(n.length-2)!==C){if(n.length>2){const l=n.lastIndexOf(u);l===-1?(n="",i=0):(n=n.slice(0,l),i=n.length-1-n.lastIndexOf(u)),a=s,c=0;continue}else if(n.length!==0){n="",i=0,a=s,c=0;continue}}g&&(n+=n.length>0?`${u}..`:"..",i=2)}else n.length>0?n+=`${u}${m.slice(a+1,s)}`:n=m.slice(a+1,s),i=s-a-1;a=s,c=0}else o===C&&c!==-1?++c:c=-1}return n}function v(m,g){if(g===null||typeof g!="object")throw new p("pathObject","Object",g);const u=g.dir||g.root,r=g.base||`${g.name||""}${g.ext||""}`;return u?u===g.root?`${u}${r}`:`${u}${m}${r}`:r}e.win32={resolve(...m){let g="",u="",r=!1;for(let n=m.length-1;n>=-1;n--){let i;if(n>=0){if(i=m[n],y(i,"path"),i.length===0)continue}else g.length===0?i=R.cwd():(i=R.env[`=${g}`]||R.cwd(),(i===void 0||i.slice(0,2).toLowerCase()!==g.toLowerCase()&&i.charCodeAt(2)===I)&&(i=`${g}\\`));const a=i.length;let c=0,o="",s=!1;const l=i.charCodeAt(0);if(a===1)h(l)&&(c=1,s=!0);else if(h(l))if(s=!0,h(i.charCodeAt(1))){let f=2,E=f;for(;f<a&&!h(i.charCodeAt(f));)f++;if(f<a&&f!==E){const U=i.slice(E,f);for(E=f;f<a&&h(i.charCodeAt(f));)f++;if(f<a&&f!==E){for(E=f;f<a&&!h(i.charCodeAt(f));)f++;(f===a||f!==E)&&(o=`\\\\${U}\\${i.slice(E,f)}`,c=f)}}}else c=1;else w(l)&&i.charCodeAt(1)===D&&(o=i.slice(0,2),c=2,a>2&&h(i.charCodeAt(2))&&(s=!0,c=3));if(o.length>0)if(g.length>0){if(o.toLowerCase()!==g.toLowerCase())continue}else g=o;if(r){if(g.length>0)break}else if(u=`${i.slice(c)}\\${u}`,r=s,s&&g.length>0)break}return u=d(u,!r,"\\",h),r?`${g}\\${u}`:`${g}${u}`||"."},normalize(m){y(m,"path");const g=m.length;if(g===0)return".";let u=0,r,n=!1;const i=m.charCodeAt(0);if(g===1)return S(i)?"\\":m;if(h(i))if(n=!0,h(m.charCodeAt(1))){let c=2,o=c;for(;c<g&&!h(m.charCodeAt(c));)c++;if(c<g&&c!==o){const s=m.slice(o,c);for(o=c;c<g&&h(m.charCodeAt(c));)c++;if(c<g&&c!==o){for(o=c;c<g&&!h(m.charCodeAt(c));)c++;if(c===g)return`\\\\${s}\\${m.slice(o)}\\`;c!==o&&(r=`\\\\${s}\\${m.slice(o,c)}`,u=c)}}}else u=1;else w(i)&&m.charCodeAt(1)===D&&(r=m.slice(0,2),u=2,g>2&&h(m.charCodeAt(2))&&(n=!0,u=3));let a=u<g?d(m.slice(u),!n,"\\",h):"";return a.length===0&&!n&&(a="."),a.length>0&&h(m.charCodeAt(g-1))&&(a+="\\"),r===void 0?n?`\\${a}`:a:n?`${r}\\${a}`:`${r}${a}`},isAbsolute(m){y(m,"path");const g=m.length;if(g===0)return!1;const u=m.charCodeAt(0);return h(u)||g>2&&w(u)&&m.charCodeAt(1)===D&&h(m.charCodeAt(2))},join(...m){if(m.length===0)return".";let g,u;for(let i=0;i<m.length;++i){const a=m[i];y(a,"path"),a.length>0&&(g===void 0?g=u=a:g+=`\\${a}`)}if(g===void 0)return".";let r=!0,n=0;if(typeof u=="string"&&h(u.charCodeAt(0))){++n;const i=u.length;i>1&&h(u.charCodeAt(1))&&(++n,i>2&&(h(u.charCodeAt(2))?++n:r=!1))}if(r){for(;n<g.length&&h(g.charCodeAt(n));)n++;n>=2&&(g=`\\${g.slice(n)}`)}return e.win32.normalize(g)},relative(m,g){if(y(m,"from"),y(g,"to"),m===g)return"";const u=e.win32.resolve(m),r=e.win32.resolve(g);if(u===r||(m=u.toLowerCase(),g=r.toLowerCase(),m===g))return"";let n=0;for(;n<m.length&&m.charCodeAt(n)===I;)n++;let i=m.length;for(;i-1>n&&m.charCodeAt(i-1)===I;)i--;const a=i-n;let c=0;for(;c<g.length&&g.charCodeAt(c)===I;)c++;let o=g.length;for(;o-1>c&&g.charCodeAt(o-1)===I;)o--;const s=o-c,l=a<s?a:s;let f=-1,E=0;for(;E<l;E++){const _=m.charCodeAt(n+E);if(_!==g.charCodeAt(c+E))break;_===I&&(f=E)}if(E!==l){if(f===-1)return r}else{if(s>l){if(g.charCodeAt(c+E)===I)return r.slice(c+E+1);if(E===2)return r.slice(c+E)}a>l&&(m.charCodeAt(n+E)===I?f=E:E===2&&(f=3)),f===-1&&(f=0)}let U="";for(E=n+f+1;E<=i;++E)(E===i||m.charCodeAt(E)===I)&&(U+=U.length===0?"..":"\\..");return c+=f,U.length>0?`${U}${r.slice(c,o)}`:(r.charCodeAt(c)===I&&++c,r.slice(c,o))},toNamespacedPath(m){if(typeof m!="string")return m;if(m.length===0)return"";const g=e.win32.resolve(m);if(g.length<=2)return m;if(g.charCodeAt(0)===I){if(g.charCodeAt(1)===I){const u=g.charCodeAt(2);if(u!==b&&u!==C)return`\\\\?\\UNC\\${g.slice(2)}`}}else if(w(g.charCodeAt(0))&&g.charCodeAt(1)===D&&g.charCodeAt(2)===I)return`\\\\?\\${g}`;return m},dirname(m){y(m,"path");const g=m.length;if(g===0)return".";let u=-1,r=0;const n=m.charCodeAt(0);if(g===1)return h(n)?m:".";if(h(n)){if(u=r=1,h(m.charCodeAt(1))){let c=2,o=c;for(;c<g&&!h(m.charCodeAt(c));)c++;if(c<g&&c!==o){for(o=c;c<g&&h(m.charCodeAt(c));)c++;if(c<g&&c!==o){for(o=c;c<g&&!h(m.charCodeAt(c));)c++;if(c===g)return m;c!==o&&(u=r=c+1)}}}}else w(n)&&m.charCodeAt(1)===D&&(u=g>2&&h(m.charCodeAt(2))?3:2,r=u);let i=-1,a=!0;for(let c=g-1;c>=r;--c)if(h(m.charCodeAt(c))){if(!a){i=c;break}}else a=!1;if(i===-1){if(u===-1)return".";i=u}return m.slice(0,i)},basename(m,g){g!==void 0&&y(g,"ext"),y(m,"path");let u=0,r=-1,n=!0,i;if(m.length>=2&&w(m.charCodeAt(0))&&m.charCodeAt(1)===D&&(u=2),g!==void 0&&g.length>0&&g.length<=m.length){if(g===m)return"";let a=g.length-1,c=-1;for(i=m.length-1;i>=u;--i){const o=m.charCodeAt(i);if(h(o)){if(!n){u=i+1;break}}else c===-1&&(n=!1,c=i+1),a>=0&&(o===g.charCodeAt(a)?--a==-1&&(r=i):(a=-1,r=c))}return u===r?r=c:r===-1&&(r=m.length),m.slice(u,r)}for(i=m.length-1;i>=u;--i)if(h(m.charCodeAt(i))){if(!n){u=i+1;break}}else r===-1&&(n=!1,r=i+1);return r===-1?"":m.slice(u,r)},extname(m){y(m,"path");let g=0,u=-1,r=0,n=-1,i=!0,a=0;m.length>=2&&m.charCodeAt(1)===D&&w(m.charCodeAt(0))&&(g=r=2);for(let c=m.length-1;c>=g;--c){const o=m.charCodeAt(c);if(h(o)){if(!i){r=c+1;break}continue}n===-1&&(i=!1,n=c+1),o===C?u===-1?u=c:a!==1&&(a=1):u!==-1&&(a=-1)}return u===-1||n===-1||a===0||a===1&&u===n-1&&u===r+1?"":m.slice(u,n)},format:v.bind(null,"\\"),parse(m){y(m,"path");const g={root:"",dir:"",base:"",ext:"",name:""};if(m.length===0)return g;const u=m.length;let r=0,n=m.charCodeAt(0);if(u===1)return h(n)?(g.root=g.dir=m,g):(g.base=g.name=m,g);if(h(n)){if(r=1,h(m.charCodeAt(1))){let f=2,E=f;for(;f<u&&!h(m.charCodeAt(f));)f++;if(f<u&&f!==E){for(E=f;f<u&&h(m.charCodeAt(f));)f++;if(f<u&&f!==E){for(E=f;f<u&&!h(m.charCodeAt(f));)f++;f===u?r=f:f!==E&&(r=f+1)}}}}else if(w(n)&&m.charCodeAt(1)===D){if(u<=2)return g.root=g.dir=m,g;if(r=2,h(m.charCodeAt(2))){if(u===3)return g.root=g.dir=m,g;r=3}}r>0&&(g.root=m.slice(0,r));let i=-1,a=r,c=-1,o=!0,s=m.length-1,l=0;for(;s>=r;--s){if(n=m.charCodeAt(s),h(n)){if(!o){a=s+1;break}continue}c===-1&&(o=!1,c=s+1),n===C?i===-1?i=s:l!==1&&(l=1):i!==-1&&(l=-1)}return c!==-1&&(i===-1||l===0||l===1&&i===c-1&&i===a+1?g.base=g.name=m.slice(a,c):(g.name=m.slice(a,i),g.base=m.slice(a,c),g.ext=m.slice(i,c))),a>0&&a!==r?g.dir=m.slice(0,a-1):g.dir=g.root,g},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...m){let g="",u=!1;for(let r=m.length-1;r>=-1&&!u;r--){const n=r>=0?m[r]:R.cwd();y(n,"path"),n.length!==0&&(g=`${n}/${g}`,u=n.charCodeAt(0)===P)}return g=d(g,!u,"/",S),u?`/${g}`:g.length>0?g:"."},normalize(m){if(y(m,"path"),m.length===0)return".";const g=m.charCodeAt(0)===P,u=m.charCodeAt(m.length-1)===P;return m=d(m,!g,"/",S),m.length===0?g?"/":u?"./":".":(u&&(m+="/"),g?`/${m}`:m)},isAbsolute(m){return y(m,"path"),m.length>0&&m.charCodeAt(0)===P},join(...m){if(m.length===0)return".";let g;for(let u=0;u<m.length;++u){const r=m[u];y(r,"path"),r.length>0&&(g===void 0?g=r:g+=`/${r}`)}return g===void 0?".":e.posix.normalize(g)},relative(m,g){if(y(m,"from"),y(g,"to"),m===g||(m=e.posix.resolve(m),g=e.posix.resolve(g),m===g))return"";const u=1,r=m.length,n=r-u,i=1,a=g.length-i,c=n<a?n:a;let o=-1,s=0;for(;s<c;s++){const f=m.charCodeAt(u+s);if(f!==g.charCodeAt(i+s))break;f===P&&(o=s)}if(s===c)if(a>c){if(g.charCodeAt(i+s)===P)return g.slice(i+s+1);if(s===0)return g.slice(i+s)}else n>c&&(m.charCodeAt(u+s)===P?o=s:s===0&&(o=0));let l="";for(s=u+o+1;s<=r;++s)(s===r||m.charCodeAt(s)===P)&&(l+=l.length===0?"..":"/..");return`${l}${g.slice(i+o)}`},toNamespacedPath(m){return m},dirname(m){if(y(m,"path"),m.length===0)return".";const g=m.charCodeAt(0)===P;let u=-1,r=!0;for(let n=m.length-1;n>=1;--n)if(m.charCodeAt(n)===P){if(!r){u=n;break}}else r=!1;return u===-1?g?"/":".":g&&u===1?"//":m.slice(0,u)},basename(m,g){g!==void 0&&y(g,"ext"),y(m,"path");let u=0,r=-1,n=!0,i;if(g!==void 0&&g.length>0&&g.length<=m.length){if(g===m)return"";let a=g.length-1,c=-1;for(i=m.length-1;i>=0;--i){const o=m.charCodeAt(i);if(o===P){if(!n){u=i+1;break}}else c===-1&&(n=!1,c=i+1),a>=0&&(o===g.charCodeAt(a)?--a==-1&&(r=i):(a=-1,r=c))}return u===r?r=c:r===-1&&(r=m.length),m.slice(u,r)}for(i=m.length-1;i>=0;--i)if(m.charCodeAt(i)===P){if(!n){u=i+1;break}}else r===-1&&(n=!1,r=i+1);return r===-1?"":m.slice(u,r)},extname(m){y(m,"path");let g=-1,u=0,r=-1,n=!0,i=0;for(let a=m.length-1;a>=0;--a){const c=m.charCodeAt(a);if(c===P){if(!n){u=a+1;break}continue}r===-1&&(n=!1,r=a+1),c===C?g===-1?g=a:i!==1&&(i=1):g!==-1&&(i=-1)}return g===-1||r===-1||i===0||i===1&&g===r-1&&g===u+1?"":m.slice(g,r)},format:v.bind(null,"/"),parse(m){y(m,"path");const g={root:"",dir:"",base:"",ext:"",name:""};if(m.length===0)return g;const u=m.charCodeAt(0)===P;let r;u?(g.root="/",r=1):r=0;let n=-1,i=0,a=-1,c=!0,o=m.length-1,s=0;for(;o>=r;--o){const l=m.charCodeAt(o);if(l===P){if(!c){i=o+1;break}continue}a===-1&&(c=!1,a=o+1),l===C?n===-1?n=o:s!==1&&(s=1):n!==-1&&(s=-1)}if(a!==-1){const l=i===0&&u?1:i;n===-1||s===0||s===1&&n===a-1&&n===i+1?g.base=g.name=m.slice(l,a):(g.name=m.slice(l,n),g.base=m.slice(l,a),g.ext=m.slice(n,a))}return i>0?g.dir=m.slice(0,i-1):u&&(g.dir="/"),g},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=R.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=R.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=R.platform==="win32"?e.win32.join:e.posix.join,e.resolve=R.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=R.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=R.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=R.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=R.platform==="win32"?e.win32.extname:e.posix.extname,e.format=R.platform==="win32"?e.win32.format:e.posix.format,e.parse=R.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=R.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=R.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=R.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(re[123],se([0,1,13]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0,e.Mimes=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const t={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},k={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function T(D){const b=(0,R.extname)(D),p=t[b.toLowerCase()];return p!==void 0?p:A(D)}e.getMediaOrTextMime=T;function A(D){const b=(0,R.extname)(D);return k[b.toLowerCase()]}e.getMediaMime=A;function C(D){for(const b in k)if(k[b]===D)return b}e.getExtensionForMimeType=C;const P=/^(.+)\/(.+?)(;.+)?$/;function I(D,b){const p=P.exec(D);return p?`${p[1].toLowerCase()}/${p[2].toLowerCase()}${p[3]??""}`:b?void 0:D}e.normalizeMimeType=I}),define(re[77],se([0,1,4]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeDangerousEnvVariables=e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var t;(function(C){C[C.stdout=0]="stdout",C[C.stderr=1]="stderr"})(t=e.Source||(e.Source={}));var k;(function(C){C[C.Success=0]="Success",C[C.Unknown=1]="Unknown",C[C.AccessDenied=2]="AccessDenied",C[C.ProcessNotFound=3]="ProcessNotFound"})(k=e.TerminateResponseCode||(e.TerminateResponseCode={}));function T(C,...P){const I=P.reduce((p,y)=>(p[y]=!0,p),{}),D=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(C).filter(p=>!I[p]).forEach(p=>{for(let y=0;y<D.length;y++)if(p.search(D[y])!==-1){delete C[p];break}})}e.sanitizeProcessEnvironment=T;function A(C){!C||(delete C.DEBUG,R.isMacintosh&&delete C.DYLD_LIBRARY_PATH,R.isLinux&&delete C.LD_PRELOAD)}e.removeDangerousEnvVariables=A}),define(re[124],se([0,1,4]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const t=R.globals.performance&&typeof R.globals.performance.now=="function";class k{constructor(A){this._highResolution=t&&A,this._startTime=this._now(),this._stopTime=-1}static create(A=!0){return new k(A)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?R.globals.performance.now():Date.now()}}e.StopWatch=k}),define(re[3],se([0,1,9,74,2,111,124]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.EventDeliveryQueue=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;const C=!1,P=!1;var I;(function(o){o.None=()=>k.Disposable.None;function s($){if(P){const{onListenerDidAdd:j}=$,G=h.create();let q=0;$.onListenerDidAdd=()=>{++q==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),G.print()),j?.()}}}function l($){return(j,G=null,q)=>{let ee=!1,ne;return ne=$(ae=>{if(!ee)return ne?ne.dispose():ee=!0,j.call(G,ae)},null,q),ee&&ne.dispose(),ne}}o.once=l;function f($,j,G){return M((q,ee=null,ne)=>$(ae=>q.call(ee,j(ae)),null,ne),G)}o.map=f;function E($,j,G){return M((q,ee=null,ne)=>$(ae=>{j(ae),q.call(ee,ae)},null,ne),G)}o.forEach=E;function U($,j,G){return M((q,ee=null,ne)=>$(ae=>j(ae)&&q.call(ee,ae),null,ne),G)}o.filter=U;function _($){return $}o.signal=_;function N(...$){return(j,G=null,q)=>(0,k.combinedDisposable)(...$.map(ee=>ee(ne=>j.call(G,ne),null,q)))}o.any=N;function L($,j,G,q){let ee=G;return f($,ne=>(ee=j(ee,ne),ee),q)}o.reduce=L;function M($,j){let G;const q={onFirstListenerAdd(){G=$(ee.fire,ee)},onLastListenerRemove(){G?.dispose()}};j||s(q);const ee=new w(q);return j?.add(ee),ee.event}function O($,j,G=100,q=!1,ee,ne){let ae,le,Se,ge=0;const pe={leakWarningThreshold:ee,onFirstListenerAdd(){ae=$(be=>{ge++,le=j(le,be),q&&!Se&&(Ce.fire(le),le=void 0),clearTimeout(Se),Se=setTimeout(()=>{const Pe=le;le=void 0,Se=void 0,(!q||ge>1)&&Ce.fire(Pe),ge=0},G)})},onLastListenerRemove(){ae.dispose()}};ne||s(pe);const Ce=new w(pe);return ne?.add(Ce),Ce.event}o.debounce=O;function H($,j=(q,ee)=>q===ee,G){let q=!0,ee;return U($,ne=>{const ae=q||!j(ne,ee);return q=!1,ee=ne,ae},G)}o.latch=H;function W($,j,G){return[o.filter($,j,G),o.filter($,q=>!j(q),G)]}o.split=W;function z($,j=!1,G=[]){let q=G.slice(),ee=$(le=>{q?q.push(le):ae.fire(le)});const ne=()=>{q?.forEach(le=>ae.fire(le)),q=null},ae=new w({onFirstListenerAdd(){ee||(ee=$(le=>ae.fire(le)))},onFirstListenerDidAdd(){q&&(j?setTimeout(ne):ne())},onLastListenerRemove(){ee&&ee.dispose(),ee=null}});return ae.event}o.buffer=z;class te{constructor(j){this.event=j,this.disposables=new k.DisposableStore}map(j){return new te(f(this.event,j,this.disposables))}forEach(j){return new te(E(this.event,j,this.disposables))}filter(j){return new te(U(this.event,j,this.disposables))}reduce(j,G){return new te(L(this.event,j,G,this.disposables))}latch(){return new te(H(this.event,void 0,this.disposables))}debounce(j,G=100,q=!1,ee){return new te(O(this.event,j,G,q,ee,this.disposables))}on(j,G,q){return this.event(j,G,q)}once(j,G,q){return l(this.event)(j,G,q)}dispose(){this.disposables.dispose()}}function V($){return new te($)}o.chain=V;function Y($,j,G=q=>q){const q=(...le)=>ae.fire(G(...le)),ee=()=>$.on(j,q),ne=()=>$.removeListener(j,q),ae=new w({onFirstListenerAdd:ee,onLastListenerRemove:ne});return ae.event}o.fromNodeEventEmitter=Y;function X($,j,G=q=>q){const q=(...le)=>ae.fire(G(...le)),ee=()=>$.addEventListener(j,q),ne=()=>$.removeEventListener(j,q),ae=new w({onFirstListenerAdd:ee,onLastListenerRemove:ne});return ae.event}o.fromDOMEventEmitter=X;function K($){return new Promise(j=>l($)(j))}o.toPromise=K;function x($,j){return j(void 0),$(G=>j(G))}o.runAndSubscribe=x;function B($,j){let G=null;function q(ne){G?.dispose(),G=new k.DisposableStore,j(ne,G)}q(void 0);const ee=$(ne=>q(ne));return(0,k.toDisposable)(()=>{ee.dispose(),G?.dispose()})}o.runAndSubscribeWithStore=B;class J{constructor(j,G){this.obs=j,this._counter=0,this._hasChanged=!1;const q={onFirstListenerAdd:()=>{j.addObserver(this)},onLastListenerRemove:()=>{j.removeObserver(this)}};G||s(q),this.emitter=new w(q),G&&G.add(this.emitter)}beginUpdate(j){this._counter++}handleChange(j,G){this._hasChanged=!0}endUpdate(j){--this._counter==0&&this._hasChanged&&(this._hasChanged=!1,this.emitter.fire(this.obs.get()))}}function F($,j){return new J($,j).emitter.event}o.fromObservable=F})(I=e.Event||(e.Event={}));class D{constructor(s){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${s}_${D._idPool++}`}start(s){this._stopWatch=new A.StopWatch(!0),this._listenerCount=s}stop(){if(this._stopWatch){const s=this._stopWatch.elapsed();this._elapsedOverall+=s,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${s.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}D._idPool=0;let b=-1;function p(o){const s=b;return b=o,{dispose(){b=s}}}e.setGlobalLeakWarningThreshold=p;class y{constructor(s,l=Math.random().toString(18).slice(2,5)){this.customThreshold=s,this.name=l,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(s,l){let f=b;if(typeof this.customThreshold=="number"&&(f=this.customThreshold),f<=0||l<f)return;this._stacks||(this._stacks=new Map);const E=this._stacks.get(s.value)||0;if(this._stacks.set(s.value,E+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=f*.5;let U,_=0;for(const[N,L]of this._stacks)(!U||_<L)&&(U=N,_=L);console.warn(`[${this.name}] potential listener LEAK detected, having ${l} listeners already. MOST frequent listener (${_}):`),console.warn(U)}return()=>{const U=this._stacks.get(s.value)||0;this._stacks.set(s.value,U-1)}}}class h{constructor(s){this.value=s}static create(){return new h(new Error().stack??"")}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class S{constructor(s,l,f){this.callback=s,this.callbackThis=l,this.stack=f,this.subscription=new k.SafeDisposable}invoke(s){this.callback.call(this.callbackThis,s)}}class w{constructor(s){this._disposed=!1,this._options=s,this._leakageMon=b>0?new y(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new D(this._options._profName):void 0,this._deliveryQueue=this._options?.deliveryQueue}dispose(){if(!this._disposed){if(this._disposed=!0,this._listeners){if(C){const s=Array.from(this._listeners);queueMicrotask(()=>{for(const l of s)l.subscription.isset()&&(l.subscription.unset(),l.stack?.print())})}this._listeners.clear()}this._deliveryQueue?.clear(this),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose()}}get event(){return this._event||(this._event=(s,l,f)=>{this._listeners||(this._listeners=new T.LinkedList);const E=this._listeners.isEmpty();E&&this._options?.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);let U,_;this._leakageMon&&this._listeners.size>=30&&(_=h.create(),U=this._leakageMon.check(_,this._listeners.size+1)),C&&(_=_??h.create());const N=new S(s,l,_),L=this._listeners.push(N);E&&this._options?.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options?.onListenerDidAdd&&this._options.onListenerDidAdd(this,s,l);const M=N.subscription.set(()=>{U?.(),this._disposed||(L(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return f instanceof k.DisposableStore?f.add(M):Array.isArray(f)&&f.push(M),M}),this._event}fire(s){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new v);for(const l of this._listeners)this._deliveryQueue.push(this,l,s);this._perfMon?.start(this._deliveryQueue.size),this._deliveryQueue.deliver(),this._perfMon?.stop()}}hasListeners(){return this._listeners?!this._listeners.isEmpty():!1}}e.Emitter=w;class d{constructor(){this._queue=new T.LinkedList}get size(){return this._queue.size}push(s,l,f){this._queue.push(new m(s,l,f))}clear(s){const l=new T.LinkedList;for(const f of this._queue)f.emitter!==s&&l.push(f);this._queue=l}deliver(){for(;this._queue.size>0;){const s=this._queue.shift();try{s.listener.invoke(s.event)}catch(l){(0,R.onUnexpectedError)(l)}}}}e.EventDeliveryQueue=d;class v extends d{clear(s){this._queue.clear()}}class m{constructor(s,l,f){this.emitter=s,this.listener=l,this.event=f}}class g extends w{async fireAsync(s,l,f){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new T.LinkedList);for(const E of this._listeners)this._asyncDeliveryQueue.push([E,s]);for(;this._asyncDeliveryQueue.size>0&&!l.isCancellationRequested;){const[E,U]=this._asyncDeliveryQueue.shift(),_=[],N={...U,token:l,waitUntil:L=>{if(Object.isFrozen(_))throw new Error("waitUntil can NOT be called asynchronous");f&&(L=f(L,E.callback)),_.push(L)}};try{E.invoke(N)}catch(L){(0,R.onUnexpectedError)(L);continue}Object.freeze(_),await Promise.allSettled(_).then(L=>{for(const M of L)M.status==="rejected"&&(0,R.onUnexpectedError)(M.reason)})}}}}e.AsyncEmitter=g;class u extends w{constructor(s){super(s);this._isPaused=0,this._eventQueue=new T.LinkedList,this._mergeFn=s?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const s=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(s))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(s){this._listeners&&(this._isPaused!==0?this._eventQueue.push(s):super.fire(s))}}e.PauseableEmitter=u;class r extends u{constructor(s){super(s);this._delay=s.delay??100}fire(s){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(s)}}e.DebounceEmitter=r;class n extends w{constructor(s){super(s);this._queuedEvents=[],this._mergeFn=s?.merge}fire(s){this._queuedEvents.push(s),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(l=>super.fire(l)),this._queuedEvents=[]})}}e.MicrotaskEmitter=n;class i{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new w({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(s){const l={event:s,listener:null};this.events.push(l),this.hasListeners&&this.hook(l);const f=()=>{this.hasListeners&&this.unhook(l);const E=this.events.indexOf(l);this.events.splice(E,1)};return(0,k.toDisposable)((0,t.once)(f))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(s=>this.hook(s))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(s=>this.unhook(s))}hook(s){s.listener=s.event(l=>this.emitter.fire(l))}unhook(s){s.listener&&s.listener.dispose(),s.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=i;class a{constructor(){this.buffers=[]}wrapEvent(s){return(l,f,E)=>s(U=>{const _=this.buffers[this.buffers.length-1];_?_.push(()=>l.call(f,U)):l.call(f,U)},void 0,E)}bufferEvents(s){const l=[];this.buffers.push(l);const f=s();return this.buffers.pop(),l.forEach(E=>E()),f}}e.EventBufferer=a;class c{constructor(){this.listening=!1,this.inputEvent=I.None,this.inputEventListener=k.Disposable.None,this.emitter=new w({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(s){this.inputEvent=s,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=s(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=c}),define(re[23],se([0,1,3]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const t=Object.freeze(function(C,P){const I=setTimeout(C.bind(P),0);return{dispose(){clearTimeout(I)}}});var k;(function(C){function P(I){return I===C.None||I===C.Cancelled||I instanceof T?!0:!I||typeof I!="object"?!1:typeof I.isCancellationRequested=="boolean"&&typeof I.onCancellationRequested=="function"}C.isCancellationToken=P,C.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:R.Event.None}),C.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:t})})(k=e.CancellationToken||(e.CancellationToken={}));class T{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?t:(this._emitter||(this._emitter=new R.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class A{constructor(P){this._token=void 0,this._parentListener=void 0,this._parentListener=P&&P.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new T),this._token}cancel(){this._token?this._token instanceof T&&this._token.cancel():this._token=k.Cancelled}dispose(P=!1){P&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof T&&this._token.dispose():this._token=k.None}}e.CancellationTokenSource=A}),define(re[125],se([0,1,23]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CachedFunction=e.LRUCachedFunction=e.Cache=void 0;class t{constructor(C){this.task=C,this.result=null}get(){if(this.result)return this.result;const C=new R.CancellationTokenSource,P=this.task(C.token);return this.result={promise:P,dispose:()=>{this.result=null,C.cancel(),C.dispose()}},this.result}}e.Cache=t;class k{constructor(C){this.fn=C,this.lastCache=void 0,this.lastArgKey=void 0}get(C){const P=JSON.stringify(C);return this.lastArgKey!==P&&(this.lastArgKey=P,this.lastCache=this.fn(C)),this.lastCache}}e.LRUCachedFunction=k;class T{constructor(C){this.fn=C,this._map=new Map}get cachedValues(){return this._map}get(C){if(this._map.has(C))return this._map.get(C);const P=this.fn(C);return this._map.set(C,P),P}}e.CachedFunction=T}),define(re[78],se([0,1,3,2]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MutableObservableValue=e.staticObservableValue=void 0;const k=A=>({onDidChange:R.Event.None,value:A});e.staticObservableValue=k;class T extends t.Disposable{constructor(C){super();this._value=C,this.changeEmitter=this._register(new R.Emitter),this.onDidChange=this.changeEmitter.event}get value(){return this._value}set value(C){C!==this._value&&(this._value=C,this.changeEmitter.fire(C))}}e.MutableObservableValue=T}),define(re[26],se([0,1,125,110]),function(Z,e,R,t){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.isAsciiDigit=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.replaceAsync=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function T(ie){return!ie||typeof ie!="string"?!0:ie.trim().length===0}e.isFalsyOrWhitespace=T;const A=/{(\d+)}/g;function C(ie,...ce){return ce.length===0?ie:ie.replace(A,function(de,ve){const me=parseInt(ve,10);return isNaN(me)||me<0||me>=ce.length?de:ce[me]})}e.format=C;const P=/{([^}]+)}/g;function I(ie,ce){return ie.replace(P,(de,ve)=>ce[ve]??de)}e.format2=I;function D(ie){return ie.replace(/[<>&]/g,function(ce){switch(ce){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return ce}})}e.escape=D;function b(ie){return ie.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=b;function p(ie,ce){let de=0;const ve=ce.charCodeAt(0);for(let me=ie.length-1;me>=0;me--)ie.charCodeAt(me)===ve&&de++;return de}e.count=p;function y(ie,ce,de="\u2026"){return ie.length<=ce?ie:`${ie.substr(0,ce)}${de}`}e.truncate=y;function h(ie,ce=" "){const de=S(ie,ce);return w(de,ce)}e.trim=h;function S(ie,ce){if(!ie||!ce)return ie;const de=ce.length;if(de===0||ie.length===0)return ie;let ve=0;for(;ie.indexOf(ce,ve)===ve;)ve=ve+de;return ie.substring(ve)}e.ltrim=S;function w(ie,ce){if(!ie||!ce)return ie;const de=ce.length,ve=ie.length;if(de===0||ve===0)return ie;let me=ve,we=-1;for(;we=ie.lastIndexOf(ce,me-1),!(we===-1||we+de!==me);){if(we===0)return"";me=we}return ie.substring(0,me)}e.rtrim=w;function d(ie){return ie.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=d;function v(ie){return ie.replace(/\*/g,"")}e.stripWildcards=v;function m(ie,ce,de={}){if(!ie)throw new Error("Cannot create regex from empty string");ce||(ie=b(ie)),de.wholeWord&&(/\B/.test(ie.charAt(0))||(ie="\\b"+ie),/\B/.test(ie.charAt(ie.length-1))||(ie=ie+"\\b"));let ve="";return de.global&&(ve+="g"),de.matchCase||(ve+="i"),de.multiline&&(ve+="m"),de.unicode&&(ve+="u"),new RegExp(ie,ve)}e.createRegExp=m;function g(ie){return ie.source==="^"||ie.source==="^$"||ie.source==="$"||ie.source==="^\\s*$"?!1:!!(ie.exec("")&&ie.lastIndex===0)}e.regExpLeadsToEndlessLoop=g;function u(ie){return!!ie.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=u;function r(ie){return(ie.global?"g":"")+(ie.ignoreCase?"i":"")+(ie.multiline?"m":"")+(ie.unicode?"u":"")}e.regExpFlags=r;function n(ie){return ie.split(/\r\n|\r|\n/)}e.splitLines=n;function i(ie){for(let ce=0,de=ie.length;ce<de;ce++){const ve=ie.charCodeAt(ce);if(ve!==32&&ve!==9)return ce}return-1}e.firstNonWhitespaceIndex=i;function a(ie,ce=0,de=ie.length){for(let ve=ce;ve<de;ve++){const me=ie.charCodeAt(ve);if(me!==32&&me!==9)return ie.substring(ce,ve)}return ie.substring(ce,de)}e.getLeadingWhitespace=a;function c(ie,ce=ie.length-1){for(let de=ce;de>=0;de--){const ve=ie.charCodeAt(de);if(ve!==32&&ve!==9)return de}return-1}e.lastNonWhitespaceIndex=c;function o(ie,ce,de){const ve=[];let me=0;for(const we of ie.matchAll(ce)){if(ve.push(ie.slice(me,we.index)),we.index===void 0)throw new Error("match.index should be defined");me=we.index+we[0].length,ve.push(de(we[0],...we.slice(1),we.index,ie,we.groups))}return ve.push(ie.slice(me)),Promise.all(ve).then(we=>we.join(""))}e.replaceAsync=o;function s(ie,ce){return ie<ce?-1:ie>ce?1:0}e.compare=s;function l(ie,ce,de=0,ve=ie.length,me=0,we=ce.length){for(;de<ve&&me<we;de++,me++){const Te=ie.charCodeAt(de),Ae=ce.charCodeAt(me);if(Te<Ae)return-1;if(Te>Ae)return 1}const De=ve-de,ke=we-me;return De<ke?-1:De>ke?1:0}e.compareSubstring=l;function f(ie,ce){return E(ie,ce,0,ie.length,0,ce.length)}e.compareIgnoreCase=f;function E(ie,ce,de=0,ve=ie.length,me=0,we=ce.length){for(;de<ve&&me<we;de++,me++){let Te=ie.charCodeAt(de),Ae=ce.charCodeAt(me);if(Te===Ae)continue;if(Te>=128||Ae>=128)return l(ie.toLowerCase(),ce.toLowerCase(),de,ve,me,we);_(Te)&&(Te-=32),_(Ae)&&(Ae-=32);const Me=Te-Ae;if(Me!==0)return Me}const De=ve-de,ke=we-me;return De<ke?-1:De>ke?1:0}e.compareSubstringIgnoreCase=E;function U(ie){return ie>=48&&ie<=57}e.isAsciiDigit=U;function _(ie){return ie>=97&&ie<=122}e.isLowerAsciiLetter=_;function N(ie){return ie>=65&&ie<=90}e.isUpperAsciiLetter=N;function L(ie,ce){return ie.length===ce.length&&E(ie,ce)===0}e.equalsIgnoreCase=L;function M(ie,ce){const de=ce.length;return ce.length>ie.length?!1:E(ie,ce,0,de)===0}e.startsWithIgnoreCase=M;function O(ie,ce){const de=Math.min(ie.length,ce.length);let ve;for(ve=0;ve<de;ve++)if(ie.charCodeAt(ve)!==ce.charCodeAt(ve))return ve;return de}e.commonPrefixLength=O;function H(ie,ce){const de=Math.min(ie.length,ce.length);let ve;const me=ie.length-1,we=ce.length-1;for(ve=0;ve<de;ve++)if(ie.charCodeAt(me-ve)!==ce.charCodeAt(we-ve))return ve;return de}e.commonSuffixLength=H;function W(ie){return 55296<=ie&&ie<=56319}e.isHighSurrogate=W;function z(ie){return 56320<=ie&&ie<=57343}e.isLowSurrogate=z;function te(ie,ce){return(ie-55296<<10)+(ce-56320)+65536}e.computeCodePoint=te;function V(ie,ce,de){const ve=ie.charCodeAt(de);if(W(ve)&&de+1<ce){const me=ie.charCodeAt(de+1);if(z(me))return te(ve,me)}return ve}e.getNextCodePoint=V;function Y(ie,ce){const de=ie.charCodeAt(ce-1);if(z(de)&&ce>1){const ve=ie.charCodeAt(ce-2);if(W(ve))return te(ve,de)}return de}class X{constructor(ce,de=0){this._str=ce,this._len=ce.length,this._offset=de}get offset(){return this._offset}setOffset(ce){this._offset=ce}prevCodePoint(){const ce=Y(this._str,this._offset);return this._offset-=ce>=65536?2:1,ce}nextCodePoint(){const ce=V(this._str,this._len,this._offset);return this._offset+=ce>=65536?2:1,ce}eol(){return this._offset>=this._len}}e.CodePointIterator=X;class K{constructor(ce,de=0){this._iterator=new X(ce,de)}get offset(){return this._iterator.offset}nextGraphemeLength(){const ce=Ee.getInstance(),de=this._iterator,ve=de.offset;let me=ce.getGraphemeBreakType(de.nextCodePoint());for(;!de.eol();){const we=de.offset,De=ce.getGraphemeBreakType(de.nextCodePoint());if(ue(me,De)){de.setOffset(we);break}me=De}return de.offset-ve}prevGraphemeLength(){const ce=Ee.getInstance(),de=this._iterator,ve=de.offset;let me=ce.getGraphemeBreakType(de.prevCodePoint());for(;de.offset>0;){const we=de.offset,De=ce.getGraphemeBreakType(de.prevCodePoint());if(ue(De,me)){de.setOffset(we);break}me=De}return ve-de.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=K;function x(ie,ce){return new K(ie,ce).nextGraphemeLength()}e.nextCharLength=x;function B(ie,ce){return new K(ie,ce).prevGraphemeLength()}e.prevCharLength=B;function J(ie,ce){ce>0&&z(ie.charCodeAt(ce))&&ce--;const de=ce+x(ie,ce);return[de-B(ie,de),de]}e.getCharContainingOffset=J;const F=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function $(ie){return F.test(ie)}e.containsRTL=$;const j=/^[\t\n\r\x20-\x7E]*$/;function G(ie){return j.test(ie)}e.isBasicASCII=G,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function q(ie){return e.UNUSUAL_LINE_TERMINATORS.test(ie)}e.containsUnusualLineTerminators=q;function ee(ie){return ie>=11904&&ie<=55215||ie>=63744&&ie<=64255||ie>=65281&&ie<=65374}e.isFullWidthCharacter=ee;function ne(ie){return ie>=127462&&ie<=127487||ie===8986||ie===8987||ie===9200||ie===9203||ie>=9728&&ie<=10175||ie===11088||ie===11093||ie>=127744&&ie<=128591||ie>=128640&&ie<=128764||ie>=128992&&ie<=129008||ie>=129280&&ie<=129535||ie>=129648&&ie<=129782}e.isEmojiImprecise=ne;function ae(ie,ce){if(ie.length<ce)return ie;const de=/\b/g;let ve=0;for(;de.test(ie)&&!(ie.length-de.lastIndex<ce);)ve=de.lastIndex,de.lastIndex+=1;return ie.substring(ve).replace(/^\s/,"")}e.lcut=ae;const le=/\x1B\x5B[12]?K/g,Se=/\x1b\[\d+m/g,ge=/\x1b\[0?m/g;function pe(ie){return ie&&(ie=ie.replace(le,""),ie=ie.replace(Se,""),ie=ie.replace(ge,"")),ie}e.removeAnsiEscapeCodes=pe,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Ce(ie){return!!(ie&&ie.length>0&&ie.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Ce;function be(ie){return Ce(ie)?ie.substr(1):ie}e.stripUTF8BOM=be;function Pe(ie,ce){if(!ie||!ce||ie.length<ce.length)return!1;const de=ce.length,ve=ie.toLowerCase();let me=0,we=-1;for(;me<de;){const De=ve.indexOf(ce[me],we+1);if(De<0)return!1;we=De,me++}return!0}e.fuzzyContains=Pe;function We(ie,ce=!1){return ie?(ce&&(ie=ie.replace(/\\./g,"")),ie.toLowerCase()!==ie):!1}e.containsUppercaseCharacter=We;function nt(ie){return ie.charAt(0).toUpperCase()+ie.slice(1)}e.uppercaseFirstLetter=nt;function Be(ie,ce=1){if(ce===0)return"";let de=-1;do de=ie.indexOf(`
`,de+1),ce--;while(ce>0&&de>=0);return de===-1?ie:(ie[de-1]==="\r"&&de--,ie.substr(0,de))}e.getNLines=Be;function Ye(ie){const ce=90-65+1;return ie=ie%(2*ce),ie<ce?String.fromCharCode(97+ie):String.fromCharCode(65+ie-ce)}e.singleLetterHash=Ye;function oe(ie){return Ee.getInstance().getGraphemeBreakType(ie)}e.getGraphemeBreakType=oe;function ue(ie,ce){return ie===0?ce!==5&&ce!==7:ie===2&&ce===3?!1:ie===4||ie===2||ie===3||ce===4||ce===2||ce===3?!0:!(ie===8&&(ce===8||ce===9||ce===11||ce===12)||(ie===11||ie===9)&&(ce===9||ce===10)||(ie===12||ie===10)&&ce===10||ce===5||ce===13||ce===7||ie===1||ie===13&&ce===14||ie===6&&ce===6)}var he;(function(ie){ie[ie.Other=0]="Other",ie[ie.Prepend=1]="Prepend",ie[ie.CR=2]="CR",ie[ie.LF=3]="LF",ie[ie.Control=4]="Control",ie[ie.Extend=5]="Extend",ie[ie.Regional_Indicator=6]="Regional_Indicator",ie[ie.SpacingMark=7]="SpacingMark",ie[ie.L=8]="L",ie[ie.V=9]="V",ie[ie.T=10]="T",ie[ie.LV=11]="LV",ie[ie.LVT=12]="LVT",ie[ie.ZWJ=13]="ZWJ",ie[ie.Extended_Pictographic=14]="Extended_Pictographic"})(he=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Ee{constructor(){this._data=Ie()}static getInstance(){return Ee._INSTANCE||(Ee._INSTANCE=new Ee),Ee._INSTANCE}getGraphemeBreakType(ce){if(ce<32)return ce===10?3:ce===13?2:4;if(ce<127)return 0;const de=this._data,ve=de.length/3;let me=1;for(;me<=ve;)if(ce<de[3*me])me=2*me;else if(ce>de[3*me+1])me=2*me+1;else return de[3*me+2];return 0}}Ee._INSTANCE=null;function Ie(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function Oe(ie,ce){if(ie===0)return 0;const de=Re(ie,ce);if(de!==void 0)return de;const ve=new X(ce,ie);return ve.prevCodePoint(),ve.offset}e.getLeftDeleteOffset=Oe;function Re(ie,ce){const de=new X(ce,ie);let ve=de.prevCodePoint();for(;Ne(ve)||ve===65039||ve===8419;){if(de.offset===0)return;ve=de.prevCodePoint()}if(!ne(ve))return;let me=de.offset;return me>0&&de.prevCodePoint()===8205&&(me=de.offset),me}function Ne(ie){return 127995<=ie&&ie<=127999}var _e;(function(ie){ie[ie.zwj=8205]="zwj",ie[ie.emojiVariantSelector=65039]="emojiVariantSelector",ie[ie.enclosingKeyCap=8419]="enclosingKeyCap"})(_e||(_e={})),e.noBreakWhitespace="\xA0";class Le{constructor(ce){this.confusableDictionary=ce}static getInstance(ce){return Le.cache.get(Array.from(ce))}static getLocales(){return Le._locales.getValue()}isAmbiguous(ce){return this.confusableDictionary.has(ce)}getPrimaryConfusable(ce){return this.confusableDictionary.get(ce)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=Le,k=Le,Le.ambiguousCharacterData=new t.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),Le.cache=new R.LRUCachedFunction(ie=>{function ce(Ae){const Me=new Map;for(let $e=0;$e<Ae.length;$e+=2)Me.set(Ae[$e],Ae[$e+1]);return Me}function de(Ae,Me){const $e=new Map(Ae);for(const[Qe,Xe]of Me)$e.set(Qe,Xe);return $e}function ve(Ae,Me){if(!Ae)return Me;const $e=new Map;for(const[Qe,Xe]of Ae)Me.has(Qe)&&$e.set(Qe,Xe);return $e}const me=k.ambiguousCharacterData.getValue();let we=ie.filter(Ae=>!Ae.startsWith("_")&&Ae in me);we.length===0&&(we=["_default"]);let De;for(const Ae of we){const Me=ce(me[Ae]);De=ve(De,Me)}const ke=ce(me._common),Te=de(ke,De);return new Le(Te)}),Le._locales=new t.Lazy(()=>Object.keys(Le.ambiguousCharacterData.getValue()).filter(ie=>!ie.startsWith("_")));class Fe{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(Fe.getRawData())),this._data}static isInvisibleCharacter(ce){return Fe.getData().has(ce)}static get codePoints(){return Fe.getData()}}e.InvisibleCharacters=Fe,Fe._data=void 0}),define(re[43],se([0,1,13,4,26,14]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function A(c){return c===47||c===92}e.isPathSeparator=A;function C(c){return c.replace(/[\\/]/g,R.posix.sep)}e.toSlashes=C;function P(c){return c.indexOf("/")===-1&&(c=C(c)),/^[a-zA-Z]:(\/|$)/.test(c)&&(c="/"+c),c}e.toPosixPath=P;function I(c,o=R.posix.sep){if(!c)return"";const s=c.length,l=c.charCodeAt(0);if(A(l)){if(A(c.charCodeAt(1))&&!A(c.charCodeAt(2))){let E=3;const U=E;for(;E<s&&!A(c.charCodeAt(E));E++);if(U!==E&&!A(c.charCodeAt(E+1))){for(E+=1;E<s;E++)if(A(c.charCodeAt(E)))return c.slice(0,E+1).replace(/[\\/]/g,o)}}return o}else if(d(l)&&c.charCodeAt(1)===58)return A(c.charCodeAt(2))?c.slice(0,2)+o:c.slice(0,2);let f=c.indexOf("://");if(f!==-1){for(f+=3;f<s;f++)if(A(c.charCodeAt(f)))return c.slice(0,f+1)}return""}e.getRoot=I;function D(c){if(!t.isWindows||!c||c.length<5)return!1;let o=c.charCodeAt(0);if(o!==92||(o=c.charCodeAt(1),o!==92))return!1;let s=2;const l=s;for(;s<c.length&&(o=c.charCodeAt(s),o!==92);s++);return!(l===s||(o=c.charCodeAt(s+1),isNaN(o)||o===92))}e.isUNC=D;const b=/[\\/:\*\?"<>\|]/g,p=/[\\/]/g,y=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function h(c,o=t.isWindows){const s=o?b:p;return!(!c||c.length===0||/^\s+$/.test(c)||(s.lastIndex=0,s.test(c))||o&&y.test(c)||c==="."||c===".."||o&&c[c.length-1]==="."||o&&c.length!==c.trim().length||c.length>255)}e.isValidBasename=h;function S(c,o,s){const l=c===o;return!s||l?l:!c||!o?!1:(0,k.equalsIgnoreCase)(c,o)}e.isEqual=S;function w(c,o,s,l=R.sep){if(c===o)return!0;if(!c||!o||o.length>c.length)return!1;if(s){if(!(0,k.startsWithIgnoreCase)(c,o))return!1;if(o.length===c.length)return!0;let E=o.length;return o.charAt(o.length-1)===l&&E--,c.charAt(E)===l}return o.charAt(o.length-1)!==l&&(o+=l),c.indexOf(o)===0}e.isEqualOrParent=w;function d(c){return c>=65&&c<=90||c>=97&&c<=122}e.isWindowsDriveLetter=d;function v(c,o){return t.isWindows&&c.endsWith(":")&&(c+=R.sep),(0,R.isAbsolute)(c)||(c=(0,R.join)(o,c)),c=(0,R.normalize)(c),t.isWindows?(c=(0,k.rtrim)(c,R.sep),c.endsWith(":")&&(c+=R.sep)):(c=(0,k.rtrim)(c,R.sep),c||(c=R.sep)),c}e.sanitizeFilePath=v;function m(c){const o=(0,R.normalize)(c);return t.isWindows?c.length>3?!1:g(o)&&(c.length===2||o.charCodeAt(2)===92):o===R.posix.sep}e.isRootOrDriveLetter=m;function g(c,o=t.isWindows){return o?d(c.charCodeAt(0))&&c.charCodeAt(1)===58:!1}e.hasDriveLetter=g;function u(c){return g(c)?c[0]:void 0}e.getDriveLetter=u;function r(c,o,s){return o.length>c.length?-1:c===o?0:(s&&(c=c.toLowerCase(),o=o.toLowerCase()),c.indexOf(o))}e.indexOfPath=r;function n(c){const o=c.split(":");let s,l,f;for(const E of o){const U=Number(E);(0,T.isNumber)(U)?l===void 0?l=U:f===void 0&&(f=U):s=s?[s,E].join(":"):E}if(!s)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:s,line:l!==void 0?l:void 0,column:f!==void 0?f:l!==void 0?1:void 0}}e.parseLineAndColumnAware=n;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function a(c,o,s=8){let l="";for(let E=0;E<s;E++)l+=i.charAt(Math.floor(Math.random()*i.length));let f;return o?f=`${o}-${l}`:f=l,c?(0,R.join)(c,f):f}e.randomPath=a}),define(re[62],se([0,1,26]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function t(d){return k(d,0)}e.hash=t;function k(d,v){switch(typeof d){case"object":return d===null?T(349,v):Array.isArray(d)?P(d,v):I(d,v);case"string":return C(d,v);case"boolean":return A(d,v);case"number":return T(d,v);case"undefined":return T(937,v);default:return T(617,v)}}e.doHash=k;function T(d,v){return(v<<5)-v+d|0}e.numberHash=T;function A(d,v){return T(d?433:863,v)}function C(d,v){v=T(149417,v);for(let m=0,g=d.length;m<g;m++)v=T(d.charCodeAt(m),v);return v}e.stringHash=C;function P(d,v){return v=T(104579,v),d.reduce((m,g)=>k(g,m),v)}function I(d,v){return v=T(181387,v),Object.keys(d).sort().reduce((m,g)=>(m=C(g,m),k(d[g],m)),v)}class D{constructor(){this._value=0}get value(){return this._value}hash(v){return this._value=k(v,this._value),this._value}}e.Hasher=D;var b;(function(d){d[d.BLOCK_SIZE=64]="BLOCK_SIZE",d[d.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(b||(b={}));function p(d,v,m=32){const g=m-v,u=~((1<<g)-1);return(d<<v|(u&d)>>>g)>>>0}function y(d,v=0,m=d.byteLength,g=0){for(let u=0;u<m;u++)d[v+u]=g}function h(d,v,m="0"){for(;d.length<v;)d=m+d;return d}function S(d,v=32){return d instanceof ArrayBuffer?Array.from(new Uint8Array(d)).map(m=>m.toString(16).padStart(2,"0")).join(""):h((d>>>0).toString(16),v/4)}e.toHexString=S;class w{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(v){const m=v.length;if(m===0)return;const g=this._buff;let u=this._buffLen,r=this._leftoverHighSurrogate,n,i;for(r!==0?(n=r,i=-1,r=0):(n=v.charCodeAt(0),i=0);;){let a=n;if(R.isHighSurrogate(n))if(i+1<m){const c=v.charCodeAt(i+1);R.isLowSurrogate(c)?(i++,a=R.computeCodePoint(n,c)):a=65533}else{r=n;break}else R.isLowSurrogate(n)&&(a=65533);if(u=this._push(g,u,a),i++,i<m)n=v.charCodeAt(i);else break}this._buffLen=u,this._leftoverHighSurrogate=r}_push(v,m,g){return g<128?v[m++]=g:g<2048?(v[m++]=192|(g&1984)>>>6,v[m++]=128|(g&63)>>>0):g<65536?(v[m++]=224|(g&61440)>>>12,v[m++]=128|(g&4032)>>>6,v[m++]=128|(g&63)>>>0):(v[m++]=240|(g&1835008)>>>18,v[m++]=128|(g&258048)>>>12,v[m++]=128|(g&4032)>>>6,v[m++]=128|(g&63)>>>0),m>=64&&(this._step(),m-=64,this._totalLen+=64,v[0]=v[64+0],v[1]=v[64+1],v[2]=v[64+2]),m}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),S(this._h0)+S(this._h1)+S(this._h2)+S(this._h3)+S(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,y(this._buff,this._buffLen),this._buffLen>56&&(this._step(),y(this._buff));const v=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(v/4294967296),!1),this._buffDV.setUint32(60,v%4294967296,!1),this._step()}_step(){const v=w._bigBlock32,m=this._buffDV;for(let s=0;s<64;s+=4)v.setUint32(s,m.getUint32(s,!1),!1);for(let s=64;s<320;s+=4)v.setUint32(s,p(v.getUint32(s-12,!1)^v.getUint32(s-32,!1)^v.getUint32(s-56,!1)^v.getUint32(s-64,!1),1),!1);let g=this._h0,u=this._h1,r=this._h2,n=this._h3,i=this._h4,a,c,o;for(let s=0;s<80;s++)s<20?(a=u&r|~u&n,c=1518500249):s<40?(a=u^r^n,c=1859775393):s<60?(a=u&r|u&n|r&n,c=2400959708):(a=u^r^n,c=3395469782),o=p(g,5)+a+i+c+v.getUint32(s*4,!1)&4294967295,i=n,n=r,r=p(u,30),u=g,g=o;this._h0=this._h0+g&4294967295,this._h1=this._h1+u&4294967295,this._h2=this._h2+r&4294967295,this._h3=this._h3+n&4294967295,this._h4=this._h4+i&4294967295}}e.StringSHA1=w,w._bigBlock32=new DataView(new ArrayBuffer(320))});var Pt=this&&this.__classPrivateFieldSet||function(Z,e,R,t,k){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!k)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Z!==e||!k:!e.has(Z))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?k.call(Z,R):k?k.value=R:e.set(Z,R),R},Ke=this&&this.__classPrivateFieldGet||function(Z,e,R,t){if(R==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Z!==e||!t:!e.has(Z))throw new TypeError("Cannot read private member from an object whose class did not declare it");return R==="m"?t:R==="a"?t.call(Z):t?t.value:e.get(Z)};define(re[38],se([0,1,17,26]),function(Z,e,R,t){"use strict";var k,T,A,C;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceSet=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function P(c,o,s){let l=c.get(o);return l===void 0&&(l=s,c.set(o,l)),l}e.getOrSet=P;function I(c){const o=[];return c.forEach((s,l)=>{o.push(`${l} => ${s}`)}),`Map(${c.size}) {${o.join(", ")}}`}e.mapToString=I;function D(c){const o=[];return c.forEach(s=>{o.push(s)}),`Set(${c.size}) {${o.join(", ")}}`}e.setToString=D;class b{constructor(){this._value="",this._pos=0}reset(o){return this._value=o,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(o){const s=o.charCodeAt(0),l=this._value.charCodeAt(this._pos);return s-l}value(){return this._value[this._pos]}}e.StringIterator=b;class p{constructor(o=!0){this._caseSensitive=o}reset(o){return this._value=o,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let o=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(o)this._from++;else break;else o=!1;return this}cmp(o){return this._caseSensitive?(0,t.compareSubstring)(o,this._value,0,o.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(o,this._value,0,o.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=p;class y{constructor(o=!0,s=!0){this._splitOnBackslash=o,this._caseSensitive=s}reset(o){this._from=0,this._to=0,this._value=o,this._valueLen=o.length;for(let s=o.length-1;s>=0;s--,this._valueLen--){const l=this._value.charCodeAt(s);if(!(l===47||this._splitOnBackslash&&l===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let o=!0;for(;this._to<this._valueLen;this._to++){const s=this._value.charCodeAt(this._to);if(s===47||this._splitOnBackslash&&s===92)if(o)this._from++;else break;else o=!1}return this}cmp(o){return this._caseSensitive?(0,t.compareSubstring)(o,this._value,0,o.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(o,this._value,0,o.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=y;var h;(function(c){c[c.Scheme=1]="Scheme",c[c.Authority=2]="Authority",c[c.Path=3]="Path",c[c.Query=4]="Query",c[c.Fragment=5]="Fragment"})(h||(h={}));class S{constructor(o,s){this._ignorePathCasing=o,this._ignoreQueryAndFragment=s,this._states=[],this._stateIdx=0}reset(o){return this._value=o,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new y(!1,!this._ignorePathCasing(o)),this._pathIterator.reset(o.path),this._pathIterator.value()&&this._states.push(3)),this._ignoreQueryAndFragment(o)||(this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5)),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(o){if(this._states[this._stateIdx]===1)return(0,t.compareIgnoreCase)(o,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,t.compareIgnoreCase)(o,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(o);if(this._states[this._stateIdx]===4)return(0,t.compare)(o,this._value.query);if(this._states[this._stateIdx]===5)return(0,t.compare)(o,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=S;class w{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const o=this.right;return this.right=o.left,o.left=this,this.updateHeight(),o.updateHeight(),o}rotateRight(){const o=this.left;return this.left=o.right,o.right=this,this.updateHeight(),o.updateHeight(),o}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var d;(function(c){c[c.Left=-1]="Left",c[c.Mid=0]="Mid",c[c.Right=1]="Right"})(d||(d={}));class v{constructor(o){this._iter=o}static forUris(o=()=>!1,s=()=>!1){return new v(new S(o,s))}static forPaths(o=!1){return new v(new y(void 0,!o))}static forStrings(){return new v(new b)}static forConfigKeys(){return new v(new p)}clear(){this._root=void 0}fill(o,s){if(s){const l=s.slice(0);(0,R.shuffle)(l);for(const f of l)this.set(f,o)}else{const l=o.slice(0);(0,R.shuffle)(l);for(const f of l)this.set(f[0],f[1])}}set(o,s){const l=this._iter.reset(o);let f;this._root||(this._root=new w,this._root.segment=l.value());const E=[];for(f=this._root;;){const _=l.cmp(f.segment);if(_>0)f.left||(f.left=new w,f.left.segment=l.value()),E.push([-1,f]),f=f.left;else if(_<0)f.right||(f.right=new w,f.right.segment=l.value()),E.push([1,f]),f=f.right;else if(l.hasNext())l.next(),f.mid||(f.mid=new w,f.mid.segment=l.value()),E.push([0,f]),f=f.mid;else break}const U=f.value;f.value=s,f.key=o;for(let _=E.length-1;_>=0;_--){const N=E[_][1];N.updateHeight();const L=N.balanceFactor();if(L<-1||L>1){const M=E[_][0],O=E[_+1][0];if(M===1&&O===1)E[_][1]=N.rotateLeft();else if(M===-1&&O===-1)E[_][1]=N.rotateRight();else if(M===1&&O===-1)N.right=E[_+1][1]=E[_+1][1].rotateRight(),E[_][1]=N.rotateLeft();else if(M===-1&&O===1)N.left=E[_+1][1]=E[_+1][1].rotateLeft(),E[_][1]=N.rotateRight();else throw new Error;if(_>0)switch(E[_-1][0]){case-1:E[_-1][1].left=E[_][1];break;case 1:E[_-1][1].right=E[_][1];break;case 0:E[_-1][1].mid=E[_][1];break}else this._root=E[0][1]}}return U}get(o){return this._getNode(o)?.value}_getNode(o){const s=this._iter.reset(o);let l=this._root;for(;l;){const f=s.cmp(l.segment);if(f>0)l=l.left;else if(f<0)l=l.right;else if(s.hasNext())s.next(),l=l.mid;else break}return l}has(o){const s=this._getNode(o);return!(s?.value===void 0&&s?.mid===void 0)}delete(o){return this._delete(o,!1)}deleteSuperstr(o){return this._delete(o,!0)}_delete(o,s){const l=this._iter.reset(o),f=[];let E=this._root;for(;E;){const U=l.cmp(E.segment);if(U>0)f.push([-1,E]),E=E.left;else if(U<0)f.push([1,E]),E=E.right;else if(l.hasNext())l.next(),f.push([0,E]),E=E.mid;else break}if(!!E){if(s?(E.left=void 0,E.mid=void 0,E.right=void 0,E.height=1):(E.key=void 0,E.value=void 0),!E.mid&&!E.value)if(E.left&&E.right){const U=this._min(E.right),{key:_,value:N,segment:L}=U;this._delete(U.key,!1),E.key=_,E.value=N,E.segment=L}else{const U=E.left??E.right;if(f.length>0){const[_,N]=f[f.length-1];switch(_){case-1:N.left=U;break;case 0:N.mid=U;break;case 1:N.right=U;break}}else this._root=U}for(let U=f.length-1;U>=0;U--){const _=f[U][1];_.updateHeight();const N=_.balanceFactor();if(N>1?(_.right.balanceFactor()>=0||(_.right=_.right.rotateRight()),f[U][1]=_.rotateLeft()):N<-1&&(_.left.balanceFactor()<=0||(_.left=_.left.rotateLeft()),f[U][1]=_.rotateRight()),U>0)switch(f[U-1][0]){case-1:f[U-1][1].left=f[U][1];break;case 1:f[U-1][1].right=f[U][1];break;case 0:f[U-1][1].mid=f[U][1];break}else this._root=f[0][1]}}}_min(o){for(;o.left;)o=o.left;return o}findSubstr(o){const s=this._iter.reset(o);let l=this._root,f;for(;l;){const E=s.cmp(l.segment);if(E>0)l=l.left;else if(E<0)l=l.right;else if(s.hasNext())s.next(),f=l.value||f,l=l.mid;else break}return l&&l.value||f}findSuperstr(o){const s=this._iter.reset(o);let l=this._root;for(;l;){const f=s.cmp(l.segment);if(f>0)l=l.left;else if(f<0)l=l.right;else if(s.hasNext())s.next(),l=l.mid;else return l.mid?this._entries(l.mid):void 0}}forEach(o){for(const[s,l]of this)o(l,s)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(o){!o||(o.left&&(yield*this._entries(o.left)),o.value&&(yield[o.key,o.value]),o.mid&&(yield*this._entries(o.mid)),o.right&&(yield*this._entries(o.right)))}_isBalanced(){const o=s=>{if(!s)return!0;const l=s.balanceFactor();return l<-1||l>1?!1:o(s.left)&&o(s.right)};return o(this._root)}}e.TernarySearchTree=v;class m{constructor(o,s){this.uri=o,this.value=s}}class g{constructor(o,s){this[k]="ResourceMap",o instanceof g?(this.map=new Map(o.map),this.toKey=s??g.defaultToKey):(this.map=new Map,this.toKey=o??g.defaultToKey)}set(o,s){return this.map.set(this.toKey(o),new m(o,s)),this}get(o){return this.map.get(this.toKey(o))?.value}has(o){return this.map.has(this.toKey(o))}get size(){return this.map.size}clear(){this.map.clear()}delete(o){return this.map.delete(this.toKey(o))}forEach(o,s){typeof s!="undefined"&&(o=o.bind(s));for(const[l,f]of this.map)o(f.value,f.uri,this)}*values(){for(const o of this.map.values())yield o.value}*keys(){for(const o of this.map.values())yield o.uri}*entries(){for(const o of this.map.values())yield[o.uri,o.value]}*[(k=Symbol.toStringTag,Symbol.iterator)](){for(const[,o]of this.map)yield[o.uri,o.value]}}e.ResourceMap=g,g.defaultToKey=c=>c.toString();class u{constructor(o,s){this[T]="ResourceSet",!o||typeof o=="function"?this._map=new g(o):(this._map=new g(s),o.forEach(this.add,this))}get size(){return this._map.size}add(o){return this._map.set(o,o),this}clear(){this._map.clear()}delete(o){return this._map.delete(o)}forEach(o,s){this._map.forEach((l,f)=>o.call(s,f,f,this))}has(o){return this._map.has(o)}entries(){return this._map.entries()}keys(){return this._map.keys()}values(){return this._map.keys()}[(T=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.ResourceSet=u;var r;(function(c){c[c.None=0]="None",c[c.AsOld=1]="AsOld",c[c.AsNew=2]="AsNew"})(r=e.Touch||(e.Touch={}));class n{constructor(){this[A]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(o){return this._map.has(o)}get(o,s=0){const l=this._map.get(o);if(!!l)return s!==0&&this.touch(l,s),l.value}set(o,s,l=0){let f=this._map.get(o);if(f)f.value=s,l!==0&&this.touch(f,l);else{switch(f={key:o,value:s,next:void 0,previous:void 0},l){case 0:this.addItemLast(f);break;case 1:this.addItemFirst(f);break;case 2:this.addItemLast(f);break;default:this.addItemLast(f);break}this._map.set(o,f),this._size++}return this}delete(o){return!!this.remove(o)}remove(o){const s=this._map.get(o);if(!!s)return this._map.delete(o),this.removeItem(s),this._size--,s.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const o=this._head;return this._map.delete(o.key),this.removeItem(o),this._size--,o.value}forEach(o,s){const l=this._state;let f=this._head;for(;f;){if(s?o.bind(s)(f.value,f.key,this):o(f.value,f.key,this),this._state!==l)throw new Error("LinkedMap got modified during iteration.");f=f.next}}keys(){const o=this,s=this._state;let l=this._head;const f={[Symbol.iterator](){return f},next(){if(o._state!==s)throw new Error("LinkedMap got modified during iteration.");if(l){const E={value:l.key,done:!1};return l=l.next,E}else return{value:void 0,done:!0}}};return f}values(){const o=this,s=this._state;let l=this._head;const f={[Symbol.iterator](){return f},next(){if(o._state!==s)throw new Error("LinkedMap got modified during iteration.");if(l){const E={value:l.value,done:!1};return l=l.next,E}else return{value:void 0,done:!0}}};return f}entries(){const o=this,s=this._state;let l=this._head;const f={[Symbol.iterator](){return f},next(){if(o._state!==s)throw new Error("LinkedMap got modified during iteration.");if(l){const E={value:[l.key,l.value],done:!1};return l=l.next,E}else return{value:void 0,done:!0}}};return f}[(A=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(o){if(o>=this.size)return;if(o===0){this.clear();return}let s=this._head,l=this.size;for(;s&&l>o;)this._map.delete(s.key),s=s.next,l--;this._head=s,this._size=l,s&&(s.previous=void 0),this._state++}addItemFirst(o){if(!this._head&&!this._tail)this._tail=o;else if(this._head)o.next=this._head,this._head.previous=o;else throw new Error("Invalid list");this._head=o,this._state++}addItemLast(o){if(!this._head&&!this._tail)this._head=o;else if(this._tail)o.previous=this._tail,this._tail.next=o;else throw new Error("Invalid list");this._tail=o,this._state++}removeItem(o){if(o===this._head&&o===this._tail)this._head=void 0,this._tail=void 0;else if(o===this._head){if(!o.next)throw new Error("Invalid list");o.next.previous=void 0,this._head=o.next}else if(o===this._tail){if(!o.previous)throw new Error("Invalid list");o.previous.next=void 0,this._tail=o.previous}else{const s=o.next,l=o.previous;if(!s||!l)throw new Error("Invalid list");s.previous=l,l.next=s}o.next=void 0,o.previous=void 0,this._state++}touch(o,s){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(s!==1&&s!==2)){if(s===1){if(o===this._head)return;const l=o.next,f=o.previous;o===this._tail?(f.next=void 0,this._tail=f):(l.previous=f,f.next=l),o.previous=void 0,o.next=this._head,this._head.previous=o,this._head=o,this._state++}else if(s===2){if(o===this._tail)return;const l=o.next,f=o.previous;o===this._head?(l.previous=void 0,this._head=l):(l.previous=f,f.next=l),o.next=void 0,o.previous=this._tail,this._tail.next=o,this._tail=o,this._state++}}}toJSON(){const o=[];return this.forEach((s,l)=>{o.push([l,s])}),o}fromJSON(o){this.clear();for(const[s,l]of o)this.set(s,l)}}e.LinkedMap=n;class i extends n{constructor(o,s=1){super();this._limit=o,this._ratio=Math.min(Math.max(0,s),1)}get limit(){return this._limit}set limit(o){this._limit=o,this.checkTrim()}get ratio(){return this._ratio}set ratio(o){this._ratio=Math.min(Math.max(0,o),1),this.checkTrim()}get(o,s=2){return super.get(o,s)}peek(o){return super.get(o,0)}set(o,s){return super.set(o,s,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=i;class a{constructor(o){C.set(this,void 0),Pt(this,C,o,"f")}get size(){return Ke(this,C,"f").size}forEach(o,s){Ke(this,C,"f").forEach(o,s)}get(o){return Ke(this,C,"f").get(o)}has(o){return Ke(this,C,"f").has(o)}entries(){return Ke(this,C,"f").entries()}keys(){return Ke(this,C,"f").keys()}values(){return Ke(this,C,"f").values()}[(C=new WeakMap,Symbol.iterator)](){return Ke(this,C,"f").entries()}}e.ReadonlyMapView=a}),define(re[79],se([0,1,38]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const t=new R.LRUCache(1e4);function k(I){return P(I,"NFC",t)}e.normalizeNFC=k;const T=new R.LRUCache(1e4);function A(I){return P(I,"NFD",T)}e.normalizeNFD=A;const C=/[^\u0000-\u0080]/;function P(I,D,b){if(!I)return I;const p=b.get(I);if(p)return p;let y;return C.test(I)?y=I.normalize(D):y=I,b.set(I,y),y}e.removeAccents=function(){const I=/[\u0300-\u036f]/g;return function(D){return A(D).replace(I,"")}}()}),define(re[80],se([0,1,26]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t;(function(k){k[k.Ignore=0]="Ignore",k[k.Info=1]="Info",k[k.Warning=2]="Warning",k[k.Error=3]="Error"})(t||(t={})),function(k){const T="error",A="warning",C="warn",P="info",I="ignore";function D(p){return p?R.equalsIgnoreCase(T,p)?k.Error:R.equalsIgnoreCase(A,p)||R.equalsIgnoreCase(C,p)?k.Warning:R.equalsIgnoreCase(P,p)?k.Info:k.Ignore:k.Ignore}k.fromValue=D;function b(p){switch(p){case k.Error:return T;case k.Warning:return A;case k.Info:return P;default:return I}}k.toString=b}(t||(t={})),e.default=t}),define(re[8],se([0,1,13,4]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const k=/^\w[\w\d+.-]*$/,T=/^\//,A=/^\/\//;function C(i,a){if(!i.scheme&&a)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${i.authority}", path: "${i.path}", query: "${i.query}", fragment: "${i.fragment}"}`);if(i.scheme&&!k.test(i.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(i.path){if(i.authority){if(!T.test(i.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(A.test(i.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function P(i,a){return!i&&!a?"file":i}function I(i,a){switch(i){case"https":case"http":case"file":a?a[0]!==b&&(a=b+a):a=b;break}return a}const D="",b="/",p=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class y{constructor(a,c,o,s,l,f=!1){typeof a=="object"?(this.scheme=a.scheme||D,this.authority=a.authority||D,this.path=a.path||D,this.query=a.query||D,this.fragment=a.fragment||D):(this.scheme=P(a,f),this.authority=c||D,this.path=I(this.scheme,o||D),this.query=s||D,this.fragment=l||D,C(this,f))}static isUri(a){return a instanceof y?!0:a?typeof a.authority=="string"&&typeof a.fragment=="string"&&typeof a.path=="string"&&typeof a.query=="string"&&typeof a.scheme=="string"&&typeof a.fsPath=="string"&&typeof a.with=="function"&&typeof a.toString=="function":!1}get fsPath(){return m(this,!1)}with(a){if(!a)return this;let{scheme:c,authority:o,path:s,query:l,fragment:f}=a;return c===void 0?c=this.scheme:c===null&&(c=D),o===void 0?o=this.authority:o===null&&(o=D),s===void 0?s=this.path:s===null&&(s=D),l===void 0?l=this.query:l===null&&(l=D),f===void 0?f=this.fragment:f===null&&(f=D),c===this.scheme&&o===this.authority&&s===this.path&&l===this.query&&f===this.fragment?this:new S(c,o,s,l,f)}static parse(a,c=!1){const o=p.exec(a);return o?new S(o[2]||D,n(o[4]||D),n(o[5]||D),n(o[7]||D),n(o[9]||D),c):new S(D,D,D,D,D)}static file(a){let c=D;if(t.isWindows&&(a=a.replace(/\\/g,b)),a[0]===b&&a[1]===b){const o=a.indexOf(b,2);o===-1?(c=a.substring(2),a=b):(c=a.substring(2,o),a=a.substring(o)||b)}return new S("file",c,a,D,D)}static from(a){const c=new S(a.scheme,a.authority,a.path,a.query,a.fragment);return C(c,!0),c}static joinPath(a,...c){if(!a.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let o;return t.isWindows&&a.scheme==="file"?o=y.file(R.win32.join(m(a,!0),...c)).path:o=R.posix.join(a.path,...c),a.with({path:o})}toString(a=!1){return g(this,a)}toJSON(){return this}static revive(a){if(a){if(a instanceof y)return a;{const c=new S(a);return c._formatted=a.external,c._fsPath=a._sep===h?a.fsPath:null,c}}else return a}}e.URI=y;const h=t.isWindows?1:void 0;class S extends y{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=m(this,!1)),this._fsPath}toString(a=!1){return a?g(this,!0):(this._formatted||(this._formatted=g(this,!1)),this._formatted)}toJSON(){const a={$mid:1};return this._fsPath&&(a.fsPath=this._fsPath,a._sep=h),this._formatted&&(a.external=this._formatted),this.path&&(a.path=this.path),this.scheme&&(a.scheme=this.scheme),this.authority&&(a.authority=this.authority),this.query&&(a.query=this.query),this.fragment&&(a.fragment=this.fragment),a}}const w={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function d(i,a){let c,o=-1;for(let s=0;s<i.length;s++){const l=i.charCodeAt(s);if(l>=97&&l<=122||l>=65&&l<=90||l>=48&&l<=57||l===45||l===46||l===95||l===126||a&&l===47)o!==-1&&(c+=encodeURIComponent(i.substring(o,s)),o=-1),c!==void 0&&(c+=i.charAt(s));else{c===void 0&&(c=i.substr(0,s));const f=w[l];f!==void 0?(o!==-1&&(c+=encodeURIComponent(i.substring(o,s)),o=-1),c+=f):o===-1&&(o=s)}}return o!==-1&&(c+=encodeURIComponent(i.substring(o))),c!==void 0?c:i}function v(i){let a;for(let c=0;c<i.length;c++){const o=i.charCodeAt(c);o===35||o===63?(a===void 0&&(a=i.substr(0,c)),a+=w[o]):a!==void 0&&(a+=i[c])}return a!==void 0?a:i}function m(i,a){let c;return i.authority&&i.path.length>1&&i.scheme==="file"?c=`//${i.authority}${i.path}`:i.path.charCodeAt(0)===47&&(i.path.charCodeAt(1)>=65&&i.path.charCodeAt(1)<=90||i.path.charCodeAt(1)>=97&&i.path.charCodeAt(1)<=122)&&i.path.charCodeAt(2)===58?a?c=i.path.substr(1):c=i.path[1].toLowerCase()+i.path.substr(2):c=i.path,t.isWindows&&(c=c.replace(/\//g,"\\")),c}e.uriToFsPath=m;function g(i,a){const c=a?v:d;let o="",{scheme:s,authority:l,path:f,query:E,fragment:U}=i;if(s&&(o+=s,o+=":"),(l||s==="file")&&(o+=b,o+=b),l){let _=l.indexOf("@");if(_!==-1){const N=l.substr(0,_);l=l.substr(_+1),_=N.indexOf(":"),_===-1?o+=c(N,!1):(o+=c(N.substr(0,_),!1),o+=":",o+=c(N.substr(_+1),!1)),o+="@"}l=l.toLowerCase(),_=l.indexOf(":"),_===-1?o+=c(l,!1):(o+=c(l.substr(0,_),!1),o+=l.substr(_))}if(f){if(f.length>=3&&f.charCodeAt(0)===47&&f.charCodeAt(2)===58){const _=f.charCodeAt(1);_>=65&&_<=90&&(f=`/${String.fromCharCode(_+32)}:${f.substr(3)}`)}else if(f.length>=2&&f.charCodeAt(1)===58){const _=f.charCodeAt(0);_>=65&&_<=90&&(f=`${String.fromCharCode(_+32)}:${f.substr(2)}`)}o+=c(f,!0)}return E&&(o+="?",o+=c(E,!1)),U&&(o+="#",o+=a?U:d(U,!1)),o}function u(i){try{return decodeURIComponent(i)}catch{return i.length>3?i.substr(0,3)+u(i.substr(3)):i}}const r=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function n(i){return i.match(r)?i.replace(r,a=>u(a)):i}}),define(re[126],se([0,1,8]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function t(I){const D=I;return D&&typeof D.type=="string"&&typeof D.severity=="string"}e.isRemoteConsoleLog=t;function k(I){const D=[];let b;try{const p=JSON.parse(I.arguments),y=p[p.length-1];y&&y.__$stack&&(p.pop(),b=y.__$stack),D.push(...p)}catch{D.push("Unable to log remote console arguments",I.arguments)}return{args:D,stack:b}}e.parse=k;function T(I){if(typeof I!="string")return T(k(I).stack);const D=I;if(D){const b=A(D),p=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(b||"");if(p&&p.length===4)return{uri:R.URI.file(p[1]),line:Number(p[2]),column:Number(p[3])}}}e.getFirstFrame=T;function A(I){if(!I)return I;const D=I.indexOf(`
`);return D===-1?I:I.substring(0,D)}function C(I,D){const{args:b,stack:p}=k(I),y=typeof b[0]=="string"&&b.length===1;let h=A(p);h&&(h=`(${h.trim()})`);let S=[];if(typeof b[0]=="string"?h&&y?S=[`%c[${D}] %c${b[0]} %c${h}`,P("blue"),P(""),P("grey")]:S=[`%c[${D}] %c${b[0]}`,P("blue"),P(""),...b.slice(1)]:S=[`%c[${D}]%`,P("blue"),...b],h&&!y&&S.push(h),typeof console[I.severity]!="function")throw new Error("Unknown console method");console[I.severity].apply(console,S)}e.log=C;function P(I){return`color: ${I}`}}),define(re[63],se([0,1,16,26,8]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function T(I){return JSON.stringify(I,C)}e.stringify=T;function A(I){let D=JSON.parse(I);return D=P(D),D}e.parse=A;function C(I,D){return D instanceof RegExp?{$mid:2,source:D.source,flags:(0,t.regExpFlags)(D)}:D}function P(I,D=0){if(!I||D>200)return I;if(typeof I=="object"){switch(I.$mid){case 1:return k.URI.revive(I);case 2:return new RegExp(I.source,I.flags);case 14:return new Date(I.source)}if(I instanceof R.VSBuffer||I instanceof Uint8Array)return I;if(Array.isArray(I))for(let b=0;b<I.length;++b)I[b]=P(I[b],D+1);else for(const b in I)Object.hasOwnProperty.call(I,b)&&(I[b]=P(I[b],D+1))}return I}e.revive=P}),define(re[20],se([0,1,4,8]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var k;(function(C){C.inMemory="inmemory",C.vscode="vscode",C.internal="private",C.walkThrough="walkThrough",C.walkThroughSnippet="walkThroughSnippet",C.http="http",C.https="https",C.file="file",C.mailto="mailto",C.untitled="untitled",C.data="data",C.command="command",C.vscodeRemote="vscode-remote",C.vscodeRemoteResource="vscode-remote-resource",C.vscodeUserData="vscode-userdata",C.vscodeCustomEditor="vscode-custom-editor",C.vscodeNotebook="vscode-notebook",C.vscodeNotebookCell="vscode-notebook-cell",C.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",C.vscodeNotebookCellOutput="vscode-notebook-cell-output",C.vscodeInteractive="vscode-interactive",C.vscodeInteractiveInput="vscode-interactive-input",C.vscodeSettings="vscode-settings",C.vscodeWorkspaceTrust="vscode-workspace-trust",C.vscodeTerminal="vscode-terminal",C.webviewPanel="webview-panel",C.vscodeWebview="vscode-webview",C.extension="extension",C.vscodeFileResource="vscode-file",C.tmp="tmp",C.vsls="vsls"})(k=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class T{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null,this._remoteResourcesPath=`/${k.vscodeRemoteResource}`}setPreferredWebSchema(P){this._preferredWebSchema=P}setDelegate(P){this._delegate=P}setServerRootPath(P){this._remoteResourcesPath=`${P}/${k.vscodeRemoteResource}`}set(P,I,D){this._hosts[P]=I,this._ports[P]=D}setConnectionToken(P,I){this._connectionTokens[P]=I}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(P){if(this._delegate)return this._delegate(P);const I=P.authority;let D=this._hosts[I];D&&D.indexOf(":")!==-1&&(D=`[${D}]`);const b=this._ports[I],p=this._connectionTokens[I];let y=`path=${encodeURIComponent(P.path)}`;return typeof p=="string"&&(y+=`&${e.connectionTokenQueryName}=${encodeURIComponent(p)}`),t.URI.from({scheme:R.isWeb?this._preferredWebSchema:k.vscodeRemoteResource,authority:`${D}:${b}`,path:this._remoteResourcesPath,query:y})}}e.RemoteAuthorities=new T;class A{asBrowserUri(P,I){const D=this.toUri(P,I);return D.scheme===k.vscodeRemote?e.RemoteAuthorities.rewrite(D):D.scheme===k.file&&(R.isNative||R.isWebWorker&&R.globals.origin===`${k.vscodeFileResource}://${A.FALLBACK_AUTHORITY}`)?D.with({scheme:k.vscodeFileResource,authority:D.authority||A.FALLBACK_AUTHORITY,query:null,fragment:null}):D}asFileUri(P,I){const D=this.toUri(P,I);return D.scheme===k.vscodeFileResource?D.with({scheme:k.file,authority:D.authority!==A.FALLBACK_AUTHORITY?D.authority:null,query:null,fragment:null}):D}toUri(P,I){return t.URI.isUri(P)?P:t.URI.parse(I.toUrl(P))}}A.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new A}),define(re[18],se([0,1,43,20,13,4,26,8]),function(Z,e,R,t,k,T,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function P(y){return(0,C.uriToFsPath)(y,!0)}e.originalFSPath=P;class I{constructor(h){this._ignorePathCasing=h}compare(h,S,w=!1){return h===S?0:(0,A.compare)(this.getComparisonKey(h,w),this.getComparisonKey(S,w))}isEqual(h,S,w=!1){return h===S?!0:!h||!S?!1:this.getComparisonKey(h,w)===this.getComparisonKey(S,w)}getComparisonKey(h,S=!1){return h.with({path:this._ignorePathCasing(h)?h.path.toLowerCase():void 0,fragment:S?null:void 0}).toString()}ignorePathCasing(h){return this._ignorePathCasing(h)}isEqualOrParent(h,S,w=!1){if(h.scheme===S.scheme){if(h.scheme===t.Schemas.file)return R.isEqualOrParent(P(h),P(S),this._ignorePathCasing(h))&&h.query===S.query&&(w||h.fragment===S.fragment);if((0,e.isEqualAuthority)(h.authority,S.authority))return R.isEqualOrParent(h.path,S.path,this._ignorePathCasing(h),"/")&&h.query===S.query&&(w||h.fragment===S.fragment)}return!1}joinPath(h,...S){return C.URI.joinPath(h,...S)}basenameOrAuthority(h){return(0,e.basename)(h)||h.authority}basename(h){return k.posix.basename(h.path)}extname(h){return k.posix.extname(h.path)}dirname(h){if(h.path.length===0)return h;let S;return h.scheme===t.Schemas.file?S=C.URI.file(k.dirname(P(h))).path:(S=k.posix.dirname(h.path),h.authority&&S.length&&S.charCodeAt(0)!==47&&(console.error(`dirname("${h.toString})) resulted in a relative path`),S="/")),h.with({path:S})}normalizePath(h){if(!h.path.length)return h;let S;return h.scheme===t.Schemas.file?S=C.URI.file(k.normalize(P(h))).path:S=k.posix.normalize(h.path),h.with({path:S})}relativePath(h,S){if(h.scheme!==S.scheme||!(0,e.isEqualAuthority)(h.authority,S.authority))return;if(h.scheme===t.Schemas.file){const v=k.relative(P(h),P(S));return T.isWindows?R.toSlashes(v):v}let w=h.path||"/";const d=S.path||"/";if(this._ignorePathCasing(h)){let v=0;for(const m=Math.min(w.length,d.length);v<m&&!(w.charCodeAt(v)!==d.charCodeAt(v)&&w.charAt(v).toLowerCase()!==d.charAt(v).toLowerCase());v++);w=d.substr(0,v)+w.substr(v)}return k.posix.relative(w,d)}resolvePath(h,S){if(h.scheme===t.Schemas.file){const w=C.URI.file(k.resolve(P(h),S));return h.with({authority:w.authority,path:w.path})}return S=R.toPosixPath(S),h.with({path:k.posix.resolve(h.path,S)})}isAbsolutePath(h){return!!h.path&&h.path[0]==="/"}isEqualAuthority(h,S){return h===S||h!==void 0&&S!==void 0&&(0,A.equalsIgnoreCase)(h,S)}hasTrailingPathSeparator(h,S=k.sep){if(h.scheme===t.Schemas.file){const w=P(h);return w.length>R.getRoot(w).length&&w[w.length-1]===S}else{const w=h.path;return w.length>1&&w.charCodeAt(w.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(h.fsPath)}}removeTrailingPathSeparator(h,S=k.sep){return(0,e.hasTrailingPathSeparator)(h,S)?h.with({path:h.path.substr(0,h.path.length-1)}):h}addTrailingPathSeparator(h,S=k.sep){let w=!1;if(h.scheme===t.Schemas.file){const d=P(h);w=d!==void 0&&d.length===R.getRoot(d).length&&d[d.length-1]===S}else{S="/";const d=h.path;w=d.length===1&&d.charCodeAt(d.length-1)===47}return!w&&!(0,e.hasTrailingPathSeparator)(h,S)?h.with({path:h.path+"/"}):h}}e.ExtUri=I,e.extUri=new I(()=>!1),e.extUriBiasedIgnorePathCase=new I(y=>y.scheme===t.Schemas.file?!T.isLinux:!0),e.extUriIgnorePathCase=new I(y=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function D(y,h){const S=[];for(let w=0;w<y.length;w++){const d=h(y[w]);y.some((v,m)=>m===w?!1:(0,e.isEqualOrParent)(d,h(v)))||S.push(y[w])}return S}e.distinctParents=D;var b;(function(y){y.META_DATA_LABEL="label",y.META_DATA_DESCRIPTION="description",y.META_DATA_SIZE="size",y.META_DATA_MIME="mime";function h(S){const w=new Map;S.path.substring(S.path.indexOf(";")+1,S.path.lastIndexOf(";")).split(";").forEach(m=>{const[g,u]=m.split(":");g&&u&&w.set(g,u)});const v=S.path.substring(0,S.path.indexOf(";"));return v&&w.set(y.META_DATA_MIME,v),w}y.parseMetaData=h})(b=e.DataUri||(e.DataUri={}));function p(y,h,S){if(h){let w=y.path;return w&&w[0]!==k.posix.sep&&(w=k.posix.sep+w),y.with({scheme:S,authority:h,path:w})}return y.with({scheme:S})}e.toLocalResource=p}),define(re[6],se([0,1,23,9,3,2,18,4]),function(Z,e,R,t,k,T,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function P(J){return!!J&&typeof J.then=="function"}e.isThenable=P;function I(J){const F=new R.CancellationTokenSource,$=J(F.token),j=new Promise((G,q)=>{const ee=F.token.onCancellationRequested(()=>{ee.dispose(),F.dispose(),q(new t.CancellationError)});Promise.resolve($).then(ne=>{ee.dispose(),F.dispose(),G(ne)},ne=>{ee.dispose(),F.dispose(),q(ne)})});return new class{cancel(){F.cancel()}then(G,q){return j.then(G,q)}catch(G){return this.then(void 0,G)}finally(G){return j.finally(G)}}}e.createCancelablePromise=I;function D(J,F,$){return new Promise((j,G)=>{const q=F.onCancellationRequested(()=>{q.dispose(),j($)});J.then(j,G).finally(()=>q.dispose())})}e.raceCancellation=D;function b(J,F){return new Promise(($,j)=>{const G=F.onCancellationRequested(()=>{G.dispose(),j(new t.CancellationError)});J.then($,j).finally(()=>G.dispose())})}e.raceCancellationError=b;async function p(J){let F=-1;const $=J.map((G,q)=>G.then(ee=>(F=q,ee))),j=await Promise.race($);return J.forEach((G,q)=>{q!==F&&G.cancel()}),j}e.raceCancellablePromises=p;function y(J,F,$){let j;const G=setTimeout(()=>{j?.(void 0),$?.()},F);return Promise.race([J.finally(()=>clearTimeout(G)),new Promise(q=>j=q)])}e.raceTimeout=y;function h(J){return new Promise((F,$)=>{const j=J();P(j)?j.then(F,$):F(j)})}e.asPromise=h;class S{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(F){if(this.activePromise){if(this.queuedPromiseFactory=F,!this.queuedPromise){const $=()=>{this.queuedPromise=null;const j=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,j};this.queuedPromise=new Promise(j=>{this.activePromise.then($,$).then(j)})}return new Promise(($,j)=>{this.queuedPromise.then($,j)})}return this.activePromise=F(),new Promise(($,j)=>{this.activePromise.then(G=>{this.activePromise=null,$(G)},G=>{this.activePromise=null,j(G)})})}}e.Throttler=S;class w{constructor(){this.current=Promise.resolve(null)}queue(F){return this.current=this.current.then(()=>F(),()=>F())}}e.Sequencer=w;class d{constructor(){this.promiseMap=new Map}queue(F,$){const G=(this.promiseMap.get(F)??Promise.resolve()).catch(()=>{}).then($).finally(()=>{this.promiseMap.get(F)===G&&this.promiseMap.delete(F)});return this.promiseMap.set(F,G),G}}e.SequencerByKey=d;const v=(J,F)=>{let $=!0;const j=setTimeout(()=>{$=!1,F()},J);return{isTriggered:()=>$,dispose:()=>{clearTimeout(j),$=!1}}},m=J=>{let F=!0;return queueMicrotask(()=>{F&&(F=!1,J())}),{isTriggered:()=>F,dispose:()=>{F=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class g{constructor(F){this.defaultDelay=F,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(F,$=this.defaultDelay){this.task=F,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((G,q)=>{this.doResolve=G,this.doReject=q}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const G=this.task;return this.task=null,G()}}));const j=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=$===e.MicrotaskDelay?m(j):v($,j),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject?.(new t.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=g;class u{constructor(F){this.delayer=new g(F),this.throttler=new S}trigger(F,$){return this.delayer.trigger(()=>this.throttler.queue(F),$)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=u;class r{constructor(){this._isOpen=!1,this._promise=new Promise((F,$)=>{this._completePromise=F})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=r;class n extends r{constructor(F){super();this._timeout=setTimeout(()=>this.open(),F)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=n;function i(J,F){return F?new Promise(($,j)=>{const G=setTimeout(()=>{q.dispose(),$()},J),q=F.onCancellationRequested(()=>{clearTimeout(G),q.dispose(),j(new t.CancellationError)})}):I($=>i(J,$))}e.timeout=i;function a(J,F=0){const $=setTimeout(J,F);return(0,T.toDisposable)(()=>clearTimeout($))}e.disposableTimeout=a;function c(J){const F=[];let $=0;const j=J.length;function G(){return $<j?J[$++]():null}function q(ee){ee!=null&&F.push(ee);const ne=G();return ne?ne.then(q):Promise.resolve(F)}return Promise.resolve(null).then(q)}e.sequence=c;function o(J,F=j=>!!j,$=null){let j=0;const G=J.length,q=()=>{if(j>=G)return Promise.resolve($);const ee=J[j++];return Promise.resolve(ee()).then(ae=>F(ae)?Promise.resolve(ae):q())};return q()}e.first=o;function s(J,F=j=>!!j,$=null){if(J.length===0)return Promise.resolve($);let j=J.length;const G=()=>{j=-1;for(const q of J)q.cancel?.()};return new Promise((q,ee)=>{for(const ne of J)ne.then(ae=>{--j>=0&&F(ae)?(G(),q(ae)):j===0&&q($)}).catch(ae=>{--j>=0&&(G(),ee(ae))})})}e.firstParallel=s;class l{constructor(F){this._size=0,this.maxDegreeOfParalellism=F,this.outstandingPromises=[],this.runningPromises=0,this._onDrained=new k.Emitter}get onDrained(){return this._onDrained.event}get size(){return this._size}queue(F){return this._size++,new Promise(($,j)=>{this.outstandingPromises.push({factory:F,c:$,e:j}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const F=this.outstandingPromises.shift();this.runningPromises++;const $=F.factory();$.then(F.c,F.e),$.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onDrained.fire()}dispose(){this._onDrained.dispose()}}e.Limiter=l;class f extends l{constructor(){super(1)}}e.Queue=f;class E{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const F=new V;return this.drainers.add(F),F.p}isDrained(){for(const[,F]of this.queues)if(F.size>0)return!1;return!0}queueFor(F,$=A.extUri){const j=$.getComparisonKey(F);let G=this.queues.get(j);return G||(G=new f,k.Event.once(G.onDrained)(()=>{G?.dispose(),this.queues.delete(j),this.onDidQueueDrain()}),this.queues.set(j,G)),G}onDidQueueDrain(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const F of this.drainers)F.complete();this.drainers.clear()}dispose(){for(const[,F]of this.queues)F.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=E;class U{constructor(F,$){this._token=-1,typeof F=="function"&&typeof $=="number"&&this.setIfNotSet(F,$)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(F,$){this.cancel(),this._token=setTimeout(()=>{this._token=-1,F()},$)}setIfNotSet(F,$){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,F()},$))}}e.TimeoutTimer=U;class _{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(F,$){this.cancel(),this._token=setInterval(()=>{F()},$)}}e.IntervalTimer=_;class N{constructor(F,$){this.timeoutToken=-1,this.runner=F,this.timeout=$,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(F=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,F)}get delay(){return this.timeout}set delay(F){this.timeout=F}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner?.()}}e.RunOnceScheduler=N;class L{constructor(F,$){$%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${$}ms is not a multiple of 1000ms.`),this.runner=F,this.timeout=$,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(F=this.timeout){F%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${F}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(F/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner?.())}}e.ProcessTimeRunOnceScheduler=L;class M extends N{constructor(F,$){super(F,$);this.units=[]}work(F){this.units.push(F),this.isScheduled()||this.schedule()}doRun(){const F=this.units;this.units=[],this.runner?.(F)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=M;class O extends T.Disposable{constructor(F,$){super();this.options=F,this.handler=$,this.pendingWork=[],this.throttler=this._register(new T.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(F){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+F.length>this.options.maxBufferedWork)return!1}else if(this.pending+F.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...F),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new N(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=O,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=J=>{(0,C.setTimeout0)(()=>{if(F)return;const $=Date.now()+15;J(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,$-Date.now())}}))});let F=!1;return{dispose(){F||(F=!0)}}}:e.runWhenIdle=(J,F)=>{const $=requestIdleCallback(J,typeof F=="number"?{timeout:F}:void 0);let j=!1;return{dispose(){j||(j=!0,cancelIdleCallback($))}}}}();class H{constructor(F){this._didRun=!1,this._executor=()=>{try{this._value=F()}catch($){this._error=$}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=H;async function W(J,F,$){let j;for(let G=0;G<$;G++)try{return await J()}catch(q){j=q,await i(F)}throw j}e.retry=W;class z{hasPending(F){return this._pending?typeof F=="number"?this._pending.taskId===F:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(F,$,j){return this._pending={taskId:F,cancel:()=>j?.(),promise:$},$.then(()=>this.donePending(F),()=>this.donePending(F)),$}donePending(F){this._pending&&F===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const F=this._next;this._next=void 0,F.run().then(F.promiseResolve,F.promiseReject)}}setNext(F){if(this._next)this._next.run=F;else{let $,j;const G=new Promise((q,ee)=>{$=q,j=ee});this._next={run:F,promise:G,promiseResolve:$,promiseReject:j}}return this._next.promise}}e.TaskSequentializer=z;class te{constructor(F,$=()=>Date.now()){this.interval=F,this.nowFn=$,this.lastIncrementTime=0,this.value=0}increment(){const F=this.nowFn();return F-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=F,this.value=0),this.value++,this.value}}e.IntervalCounter=te;class V{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((F,$)=>{this.completeCallback=F,this.errorCallback=$})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(F){return new Promise($=>{this.completeCallback(F),this.resolved=!0,$()})}error(F){return new Promise($=>{this.errorCallback(F),this.rejected=!0,$()})}cancel(){new Promise(F=>{this.errorCallback(new t.CancellationError),this.rejected=!0,F()})}}e.DeferredPromise=V;var Y;(function(J){async function F(j){let G;const q=await Promise.all(j.map(ee=>ee.then(ne=>ne,ne=>{G||(G=ne)})));if(typeof G!="undefined")throw G;return q}J.settled=F;function $(j){return new Promise(async(G,q)=>{try{await j(G,q)}catch(ee){q(ee)}})}J.withAsyncBody=$})(Y=e.Promises||(e.Promises={}));var X;(function(J){J[J.Initial=0]="Initial",J[J.DoneOK=1]="DoneOK",J[J.DoneError=2]="DoneError"})(X||(X={}));class K{constructor(F){this._state=0,this._results=[],this._error=null,this._onStateChanged=new k.Emitter,queueMicrotask(async()=>{const $={emitOne:j=>this.emitOne(j),emitMany:j=>this.emitMany(j),reject:j=>this.reject(j)};try{await Promise.resolve(F($)),this.resolve()}catch(j){this.reject(j)}finally{$.emitOne=void 0,$.emitMany=void 0,$.reject=void 0}})}static fromArray(F){return new K($=>{$.emitMany(F)})}static fromPromise(F){return new K(async $=>{$.emitMany(await F)})}static fromPromises(F){return new K(async $=>{await Promise.all(F.map(async j=>$.emitOne(await j)))})}static merge(F){return new K(async $=>{await Promise.all(F.map(async j=>{for await(const G of j)$.emitOne(G)}))})}[Symbol.asyncIterator](){let F=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(F<this._results.length)return{done:!1,value:this._results[F++]};if(this._state===1)return{done:!0,value:void 0};await k.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(F,$){return new K(async j=>{for await(const G of F)j.emitOne($(G))})}map(F){return K.map(this,F)}static filter(F,$){return new K(async j=>{for await(const G of F)$(G)&&j.emitOne(G)})}filter(F){return K.filter(this,F)}static coalesce(F){return K.filter(F,$=>!!$)}coalesce(){return K.coalesce(this)}static async toPromise(F){const $=[];for await(const j of F)$.push(j);return $}toPromise(){return K.toPromise(this)}emitOne(F){this._state===0&&(this._results.push(F),this._onStateChanged.fire())}emitMany(F){this._state===0&&(this._results=this._results.concat(F),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(F){this._state===0&&(this._state=2,this._error=F,this._onStateChanged.fire())}}e.AsyncIterableObject=K,K.EMPTY=K.fromArray([]);class x extends K{constructor(F,$){super($);this._source=F}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=x;function B(J){const F=new R.CancellationTokenSource,$=J(F.token);return new x(F,async j=>{const G=F.token.onCancellationRequested(()=>{G.dispose(),F.dispose(),j.reject(new t.CancellationError)});try{for await(const q of $){if(F.token.isCancellationRequested)return;j.emitOne(q)}G.dispose(),F.dispose()}catch(q){G.dispose(),F.dispose(),j.reject(q)}})}e.createCancelableAsyncIterable=B}),define(re[81],se([0,1,17,6,43,38,13,4,26]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.patternsEquals=e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function I(){return Object.create(null)}e.getEmptyExpression=I,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const D="[/\\\\]",b="[^/\\\\]",p=/\//g;function y(V,Y){switch(V){case 0:return"";case 1:return`${b}*?`;default:return`(?:${D}|${b}+${D}${Y?`|${D}${b}+`:""})*?`}}function h(V,Y){if(!V)return[];const X=[];let K=!1,x=!1,B="";for(const J of V){switch(J){case Y:if(!K&&!x){X.push(B),B="";continue}break;case"{":K=!0;break;case"}":K=!1;break;case"[":x=!0;break;case"]":x=!1;break}B+=J}return B&&X.push(B),X}e.splitGlobAware=h;function S(V){if(!V)return"";let Y="";const X=h(V,e.GLOB_SPLIT);if(X.every(K=>K===e.GLOBSTAR))Y=".*";else{let K=!1;X.forEach((x,B)=>{if(x===e.GLOBSTAR){if(K)return;Y+=y(2,B===X.length-1)}else{let J=!1,F="",$=!1,j="";for(const G of x){if(G!=="}"&&J){F+=G;continue}if($&&(G!=="]"||!j)){let q;G==="-"?q=G:(G==="^"||G==="!")&&!j?q="^":G===e.GLOB_SPLIT?q="":q=(0,P.escapeRegExpCharacters)(G),j+=q;continue}switch(G){case"{":J=!0;continue;case"[":$=!0;continue;case"}":{Y+=`(?:${h(F,",").map(ne=>S(ne)).join("|")})`,J=!1,F="";break}case"]":{Y+="["+j+"]",$=!1,j="";break}case"?":Y+=b;continue;case"*":Y+=y(1);continue;default:Y+=(0,P.escapeRegExpCharacters)(G)}}B<X.length-1&&(X[B+1]!==e.GLOBSTAR||B+2<X.length)&&(Y+=D)}K=x===e.GLOBSTAR})}return Y}const w=/^\*\*\/\*\.[\w\.-]+$/,d=/^\*\*\/([\w\.-]+)\/?$/,v=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,m=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,g=/^\*\*((\/[\w\.-]+)+)\/?$/,u=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,r=new T.LRUCache(1e4),n=function(){return!1},i=function(){return null};function a(V,Y){if(!V)return i;let X;typeof V!="string"?X=V.pattern:X=V,X=X.trim();const K=`${X}_${!!Y.trimForExclusions}`;let x=r.get(K);if(x)return c(x,V);let B;return w.test(X)?x=s(X.substr(4),X):(B=d.exec(o(X,Y)))?x=l(B[1],X):(Y.trimForExclusions?m:v).test(X)?x=f(X,Y):(B=g.exec(o(X,Y)))?x=E(B[1].substr(1),X,!0):(B=u.exec(o(X,Y)))?x=E(B[1],X,!1):x=U(X),r.set(K,x),c(x,V)}function c(V,Y){if(typeof Y=="string")return V;const X=function(K,x){return(0,k.isEqualOrParent)(K,Y.base,!C.isLinux)?V(K.substr(Y.base.length+1),x):null};return X.allBasenames=V.allBasenames,X.allPaths=V.allPaths,X.basenames=V.basenames,X.patterns=V.patterns,X}function o(V,Y){return Y.trimForExclusions&&V.endsWith("/**")?V.substr(0,V.length-2):V}function s(V,Y){return function(X,K){return typeof X=="string"&&X.endsWith(V)?Y:null}}function l(V,Y){const X=`/${V}`,K=`\\${V}`,x=function(J,F){return typeof J!="string"?null:F?F===V?Y:null:J===V||J.endsWith(X)||J.endsWith(K)?Y:null},B=[V];return x.basenames=B,x.patterns=[Y],x.allBasenames=B,x}function f(V,Y){const X=z(V.slice(1,-1).split(",").map(F=>a(F,Y)).filter(F=>F!==i),V),K=X.length;if(!K)return i;if(K===1)return X[0];const x=function(F,$){for(let j=0,G=X.length;j<G;j++)if(X[j](F,$))return V;return null},B=X.find(F=>!!F.allBasenames);B&&(x.allBasenames=B.allBasenames);const J=X.reduce((F,$)=>$.allPaths?F.concat($.allPaths):F,[]);return J.length&&(x.allPaths=J),x}function E(V,Y,X){const K=A.sep===A.posix.sep,x=K?V:V.replace(p,A.sep),B=A.sep+x,J=A.posix.sep+V;let F;return X?F=function($,j){return typeof $=="string"&&($===x||$.endsWith(B)||!K&&($===V||$.endsWith(J)))?Y:null}:F=function($,j){return typeof $=="string"&&($===x||!K&&$===V)?Y:null},F.allPaths=[(X?"*/":"./")+V],F}function U(V){try{const Y=new RegExp(`^${S(V)}$`);return function(X){return Y.lastIndex=0,typeof X=="string"&&Y.test(X)?V:null}}catch{return i}}function _(V,Y,X){return!V||typeof Y!="string"?!1:N(V)(Y,void 0,X)}e.match=_;function N(V,Y={}){if(!V)return n;if(typeof V=="string"||L(V)){const X=a(V,Y);if(X===i)return n;const K=function(x,B){return!!X(x,B)};return X.allBasenames&&(K.allBasenames=X.allBasenames),X.allPaths&&(K.allPaths=X.allPaths),K}return H(V,Y)}e.parse=N;function L(V){const Y=V;return Y?typeof Y.base=="string"&&typeof Y.pattern=="string":!1}e.isRelativePattern=L;function M(V){return V.allBasenames||[]}e.getBasenameTerms=M;function O(V){return V.allPaths||[]}e.getPathTerms=O;function H(V,Y){const X=z(Object.getOwnPropertyNames(V).map(F=>W(F,V[F],Y)).filter(F=>F!==i)),K=X.length;if(!K)return i;if(!X.some(F=>!!F.requiresSiblings)){if(K===1)return X[0];const F=function(G,q){let ee;for(let ne=0,ae=X.length;ne<ae;ne++){const le=X[ne](G,q);if(typeof le=="string")return le;(0,t.isThenable)(le)&&(ee||(ee=[]),ee.push(le))}return ee?(async()=>{for(const ne of ee){const ae=await ne;if(typeof ae=="string")return ae}return null})():null},$=X.find(G=>!!G.allBasenames);$&&(F.allBasenames=$.allBasenames);const j=X.reduce((G,q)=>q.allPaths?G.concat(q.allPaths):G,[]);return j.length&&(F.allPaths=j),F}const x=function(F,$,j){let G,q;for(let ee=0,ne=X.length;ee<ne;ee++){const ae=X[ee];ae.requiresSiblings&&j&&($||($=(0,A.basename)(F)),G||(G=$.substr(0,$.length-(0,A.extname)(F).length)));const le=ae(F,$,G,j);if(typeof le=="string")return le;(0,t.isThenable)(le)&&(q||(q=[]),q.push(le))}return q?(async()=>{for(const ee of q){const ne=await ee;if(typeof ne=="string")return ne}return null})():null},B=X.find(F=>!!F.allBasenames);B&&(x.allBasenames=B.allBasenames);const J=X.reduce((F,$)=>$.allPaths?F.concat($.allPaths):F,[]);return J.length&&(x.allPaths=J),x}function W(V,Y,X){if(Y===!1)return i;const K=a(V,X);if(K===i)return i;if(typeof Y=="boolean")return K;if(Y){const x=Y.when;if(typeof x=="string"){const B=(J,F,$,j)=>{if(!j||!K(J,F))return null;const G=x.replace("$(basename)",$),q=j(G);return(0,t.isThenable)(q)?q.then(ee=>ee?V:null):q?V:null};return B.requiresSiblings=!0,B}}return K}function z(V,Y){const X=V.filter(F=>!!F.basenames);if(X.length<2)return V;const K=X.reduce((F,$)=>{const j=$.basenames;return j?F.concat(j):F},[]);let x;if(Y){x=[];for(let F=0,$=K.length;F<$;F++)x.push(Y)}else x=X.reduce((F,$)=>{const j=$.patterns;return j?F.concat(j):F},[]);const B=function(F,$){if(typeof F!="string")return null;if(!$){let G;for(G=F.length;G>0;G--){const q=F.charCodeAt(G-1);if(q===47||q===92)break}$=F.substr(G)}const j=K.indexOf($);return j!==-1?x[j]:null};B.basenames=K,B.patterns=x,B.allBasenames=K;const J=V.filter(F=>!F.basenames);return J.push(B),J}function te(V,Y){return(0,R.equals)(V,Y,(X,K)=>typeof X=="string"&&typeof K=="string"?X===K:typeof X!="string"&&typeof K!="string"?X.base===K.base&&X.pattern===K.pattern:!1)}e.patternsEquals=te}),define(re[127],se([0,1,8]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function t(D){return D.toJSON()}class k{constructor(b){this._uriTransformer=b}transformIncoming(b){const p=this._uriTransformer.transformIncoming(b);return p===b?b:t(R.URI.from(p))}transformOutgoing(b){const p=this._uriTransformer.transformOutgoing(b);return p===b?b:t(R.URI.from(p))}transformOutgoingURI(b){const p=this._uriTransformer.transformOutgoing(b);return p===b?b:R.URI.from(p)}transformOutgoingScheme(b){return this._uriTransformer.transformOutgoingScheme(b)}}e.URITransformer=k,e.DefaultURITransformer=new class{transformIncoming(D){return D}transformOutgoing(D){return D}transformOutgoingURI(D){return D}transformOutgoingScheme(D){return D}};function T(D,b,p){if(!D||p>200)return null;if(typeof D=="object"){if(D instanceof R.URI)return b.transformOutgoing(D);for(const y in D)if(Object.hasOwnProperty.call(D,y)){const h=T(D[y],b,p+1);h!==null&&(D[y]=h)}}return null}function A(D,b){const p=T(D,b,0);return p===null?D:p}e.transformOutgoingURIs=A;function C(D,b,p,y){if(!D||y>200)return null;if(typeof D=="object"){if(D.$mid===1)return p?R.URI.revive(b.transformIncoming(D)):b.transformIncoming(D);for(const h in D)if(Object.hasOwnProperty.call(D,h)){const S=C(D[h],b,p,y+1);S!==null&&(D[h]=S)}}return null}function P(D,b){const p=C(D,b,!1,0);return p===null?D:p}e.transformIncomingURIs=P;function I(D,b){const p=C(D,b,!0,0);return p===null?D:p}e.transformAndReviveIncomingURIs=I}),define(re[128],se([0,1,36,9,38,31,114]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAddress(D){return this._virtualMachineOUIs||(this._virtualMachineOUIs=k.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(D)}value(){if(this._value===void 0){let D=0,b=0;const p=(0,R.networkInterfaces)();for(const y in p){const h=p[y];if(h)for(const{mac:S,internal:w}of h)w||(b+=1,this._isVirtualMachineMacAddress(S.toUpperCase())&&(D+=1))}this._value=b>0?D/b:0}return this._value}};let C;async function P(){return C||(C=(async()=>await I()||T.generateUuid())()),C}e.getMachineId=P;async function I(){try{const D=await new Promise((p,y)=>{Z(["crypto"],p,y)}),b=(0,A.getMac)();return D.createHash("sha256").update(b,"utf8").digest("hex")}catch(D){t.onUnexpectedError(D);return}}}),define(re[27],se([0,1,54,36,266,6,43,79,13,4,18,8]),function(Z,e,R,t,k,T,A,C,P,I,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var p;(function(O){O[O.UNLINK=0]="UNLINK",O[O.MOVE=1]="MOVE"})(p=e.RimRafMode||(e.RimRafMode={}));async function y(O,H=p.UNLINK){if((0,A.isRootOrDriveLetter)(O))throw new Error("rimraf - will refuse to recursively delete root");return H===p.UNLINK?S(O):h(O)}async function h(O){try{const H=(0,A.randomPath)((0,t.tmpdir)());try{await R.promises.rename(O,H)}catch{return S(O)}S(H).catch(W=>{})}catch(H){if(H.code!=="ENOENT")throw H}}async function S(O){return(0,k.promisify)(R.rm)(O,{recursive:!0,force:!0,maxRetries:3})}function w(O){if((0,A.isRootOrDriveLetter)(O))throw new Error("rimraf - will refuse to recursively delete root");R.rmSync(O,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=w;async function d(O,H){return g(await(H?v(O):(0,k.promisify)(R.readdir)(O)))}async function v(O){try{return await(0,k.promisify)(R.readdir)(O,{withFileTypes:!0})}catch(z){console.warn("[node.js fs] readdir with filetypes failed with error: ",z)}const H=[],W=await d(O);for(const z of W){let te=!1,V=!1,Y=!1;try{const X=await e.Promises.lstat((0,P.join)(O,z));te=X.isFile(),V=X.isDirectory(),Y=X.isSymbolicLink()}catch(X){console.warn("[node.js fs] unexpected error from lstat after readdir: ",X)}H.push({name:z,isFile:()=>te,isDirectory:()=>V,isSymbolicLink:()=>Y})}return H}function m(O){return g(R.readdirSync(O))}e.readdirSync=m;function g(O){return O.map(H=>typeof H=="string"?I.isMacintosh?(0,C.normalizeNFC)(H):H:(H.name=I.isMacintosh?(0,C.normalizeNFC)(H.name):H.name,H))}async function u(O){const H=await d(O),W=[];for(const z of H)await n.existsDirectory((0,P.join)(O,z))&&W.push(z);return W}function r(O,H=1e3){return new Promise(W=>{let z=!1;const te=setInterval(()=>{z||(z=!0,R.access(O,V=>{z=!1,V&&(clearInterval(te),W(void 0))}))},H)})}e.whenDeleted=r;var n;(function(O){async function H(te){let V;try{if(V=await e.Promises.lstat(te),!V.isSymbolicLink())return{stat:V}}catch{}try{return{stat:await e.Promises.stat(te),symbolicLink:V?.isSymbolicLink()?{dangling:!1}:void 0}}catch(Y){if(Y.code==="ENOENT"&&V)return{stat:V,symbolicLink:{dangling:!0}};if(I.isWindows&&Y.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(te)),symbolicLink:{dangling:!1}}}catch(X){if(X.code==="ENOENT"&&V)return{stat:V,symbolicLink:{dangling:!0}};throw X}throw Y}}O.stat=H;async function W(te){try{const{stat:V,symbolicLink:Y}=await O.stat(te);return V.isFile()&&Y?.dangling!==!0}catch{}return!1}O.existsFile=W;async function z(te){try{const{stat:V,symbolicLink:Y}=await O.stat(te);return V.isDirectory()&&Y?.dangling!==!0}catch{}return!1}O.existsDirectory=z})(n=e.SymlinkSupport||(e.SymlinkSupport={}));const i=new T.ResourceQueue;function a(O,H,W){return i.queueFor(b.URI.file(O),D.extUriBiasedIgnorePathCase).queue(()=>{const z=l(W);return new Promise((te,V)=>o(O,H,z,Y=>Y?V(Y):te()))})}let c=!0;function o(O,H,W,z){if(!c)return R.writeFile(O,H,{mode:W.mode,flag:W.flag},z);R.open(O,W.flag,W.mode,(te,V)=>{if(te)return z(te);R.writeFile(V,H,Y=>{if(Y)return R.close(V,()=>z(Y));R.fdatasync(V,X=>(X&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",X),c=!1),R.close(V,K=>z(K))))})})}function s(O,H,W){const z=l(W);if(!c)return R.writeFileSync(O,H,{mode:z.mode,flag:z.flag});const te=R.openSync(O,z.flag,z.mode);try{R.writeFileSync(te,H);try{R.fdatasyncSync(te)}catch(V){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",V),c=!1}}finally{R.closeSync(te)}}e.writeFileSync=s;function l(O){return O?{mode:typeof O.mode=="number"?O.mode:438,flag:typeof O.flag=="string"?O.flag:"w"}:{mode:438,flag:"w"}}async function f(O,H){if(O!==H)try{await e.Promises.rename(O,H)}catch(W){if(O.toLowerCase()!==H.toLowerCase()&&W.code==="EXDEV"||O.endsWith("."))await E(O,H,{preserveSymlinks:!1}),await y(O,p.MOVE);else throw W}}async function E(O,H,W){return _(O,H,{root:{source:O,target:H},options:W,handledSourcePaths:new Set})}const U=511;async function _(O,H,W){if(W.handledSourcePaths.has(O))return;W.handledSourcePaths.add(O);const{stat:z,symbolicLink:te}=await n.stat(O);if(te){if(W.options.preserveSymlinks)try{return await M(O,H,W)}catch(V){console.warn("[node.js fs] copy of symlink failed: ",V)}if(te.dangling)return}return z.isDirectory()?N(O,H,z.mode&U,W):L(O,H,z.mode&U)}async function N(O,H,W,z){await e.Promises.mkdir(H,{recursive:!0,mode:W});const te=await d(O);for(const V of te)await _((0,P.join)(O,V),(0,P.join)(H,V),z)}async function L(O,H,W){await e.Promises.copyFile(O,H),await e.Promises.chmod(H,W)}async function M(O,H,W){let z=await e.Promises.readlink(O);(0,A.isEqualOrParent)(z,W.root.source,!I.isLinux)&&(z=(0,P.join)(W.root.target,z.substr(W.root.source.length+1))),await e.Promises.symlink(z,H)}e.Promises=new class{get access(){return(0,k.promisify)(R.access)}get stat(){return(0,k.promisify)(R.stat)}get lstat(){return(0,k.promisify)(R.lstat)}get utimes(){return(0,k.promisify)(R.utimes)}get read(){return(O,H,W,z,te)=>new Promise((V,Y)=>{R.read(O,H,W,z,te,(X,K,x)=>X?Y(X):V({bytesRead:K,buffer:x}))})}get readFile(){return(0,k.promisify)(R.readFile)}get write(){return(O,H,W,z,te)=>new Promise((V,Y)=>{R.write(O,H,W,z,te,(X,K,x)=>X?Y(X):V({bytesWritten:K,buffer:x}))})}get appendFile(){return(0,k.promisify)(R.appendFile)}get fdatasync(){return(0,k.promisify)(R.fdatasync)}get truncate(){return(0,k.promisify)(R.truncate)}get rename(){return(0,k.promisify)(R.rename)}get copyFile(){return(0,k.promisify)(R.copyFile)}get open(){return(0,k.promisify)(R.open)}get close(){return(0,k.promisify)(R.close)}get symlink(){return(0,k.promisify)(R.symlink)}get readlink(){return(0,k.promisify)(R.readlink)}get chmod(){return(0,k.promisify)(R.chmod)}get mkdir(){return(0,k.promisify)(R.mkdir)}get unlink(){return(0,k.promisify)(R.unlink)}get rmdir(){return(0,k.promisify)(R.rmdir)}get realpath(){return(0,k.promisify)(R.realpath)}async exists(O){try{return await e.Promises.access(O),!0}catch{return!1}}get readdir(){return d}get readDirsInDir(){return u}get writeFile(){return a}get rm(){return y}get move(){return f}get copy(){return E}}}),define(re[129],se([0,1,54,13,4,26,27]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function C(p){if(k.isLinux)return p;const y=(0,t.dirname)(p);if(p===y)return p;const h=((0,t.basename)(p)||p).toLowerCase();try{const w=(0,A.readdirSync)(y).filter(d=>d.toLowerCase()===h);if(w.length===1){const d=C(y);if(d)return(0,t.join)(d,w[0])}else if(w.length>1){const d=w.indexOf(h);if(d>=0){const v=C(y);if(v)return(0,t.join)(v,w[d])}}}catch{}return null}e.realcaseSync=C;async function P(p){if(k.isLinux)return p;const y=(0,t.dirname)(p);if(p===y)return p;const h=((0,t.basename)(p)||p).toLowerCase();try{const w=(await A.Promises.readdir(y)).filter(d=>d.toLowerCase()===h);if(w.length===1){const d=await P(y);if(d)return(0,t.join)(d,w[0])}else if(w.length>1){const d=w.indexOf(h);if(d>=0){const v=await P(y);if(v)return(0,t.join)(v,w[d])}}}catch{}return null}e.realcase=P;async function I(p){try{return await A.Promises.realpath(p)}catch{const h=b(p);return await A.Promises.access(h,R.constants.R_OK),h}}e.realpath=I;function D(p){try{return R.realpathSync(p)}catch{const h=b(p);return R.accessSync(h,R.constants.R_OK),h}}e.realpathSync=D;function b(p){return(0,T.rtrim)((0,t.normalize)(p),t.sep)}}),define(re[82],se([0,1,36,13,27]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const T=/^\d+$/,A=/^Microsoft.PowerShell_.*/,C=/^Microsoft.PowerShellPreview_.*/;var P;(function(g){g[g.x64=0]="x64",g[g.x86=1]="x86",g[g.ARM=2]="ARM"})(P||(P={}));let I;switch(process.arch){case"ia32":case"x32":I=1;break;case"arm":case"arm64":I=2;break;default:I=0;break}let D;process.env.PROCESSOR_ARCHITEW6432?D=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?D=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?D=1:D=0;class b{constructor(u,r,n){this.exePath=u,this.displayName=r,this.knownToExist=n}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await k.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function p({useAlternateBitness:g=!1}={}){return g?I===0?process.env["ProgramFiles(x86)"]||null:D===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function y({useAlternateBitness:g=!1,findPreview:u=!1}={}){const r=p({useAlternateBitness:g});if(!r)return null;const n=t.join(r,"PowerShell");if(!await k.SymlinkSupport.existsDirectory(n))return null;let i=-1,a=null;for(const s of await k.Promises.readdir(n)){let l=-1;if(u){const E=s.indexOf("-");if(E<0)continue;const U=s.substring(0,E);if(!T.test(U)||s.substring(E+1)!=="preview")continue;l=parseInt(U,10)}else{if(!T.test(s))continue;l=parseInt(s,10)}if(l<=i)continue;const f=t.join(n,s,"pwsh.exe");!await k.SymlinkSupport.existsFile(f)||(a=f,i=l)}if(!a)return null;const c=r.includes("x86")?" (x86)":"",o=u?" Preview":"";return new b(a,`PowerShell${o}${c}`,!0)}async function h({findPreview:g}={}){if(!process.env.LOCALAPPDATA)return null;const u=t.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await k.SymlinkSupport.existsDirectory(u))return null;const{pwshMsixDirRegex:r,pwshMsixName:n}=g?{pwshMsixDirRegex:C,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:A,pwshMsixName:"PowerShell (Store)"};for(const i of await k.Promises.readdir(u))if(r.test(i)){const a=t.join(u,i,"pwsh.exe");return new b(a,n)}return null}function S(){const g=t.join(R.homedir(),".dotnet","tools","pwsh.exe");return new b(g,".NET Core PowerShell Global Tool")}function w(){const g=t.join(process.env.windir,I===1&&D!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new b(g,"Windows PowerShell",!0)}async function*d(){let g=await y();g&&(yield g),g=await y({useAlternateBitness:!0}),g&&(yield g),g=await h(),g&&(yield g),g=S(),g&&(yield g),g=await y({findPreview:!0}),g&&(yield g),g=await h({findPreview:!0}),g&&(yield g),g=await y({useAlternateBitness:!0,findPreview:!0}),g&&(yield g),g=w(),g&&(yield g)}async function*v(){for await(const g of d())await g.exists()&&(yield g)}e.enumeratePowerShellInstallations=v;async function m(){for await(const g of v())return g;return null}e.getFirstAvailablePowerShellInstallation=m}),define(re[130],se([0,1,47,20]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function k(A){return new Promise((C,P)=>{let I;const D=new Map;function b(y,h,S,w,d){const v=D.get(h);if(y===A||v){const m={name:p(S),cmd:S,pid:y,ppid:h,load:w,mem:d};D.set(y,m),y===A&&(I=m),v&&(v.children||(v.children=[]),v.children.push(m),v.children.length>1&&(v.children=v.children.sort((g,u)=>g.pid-u.pid)))}}function p(y){const h=/--vscode-window-kind=shared-process/,S=/--vscode-window-kind=issue-reporter/,w=/--vscode-window-kind=process-explorer/,d=/--utility-sub-type=network/,v=/--vscode-utility-kind=extensionHost/,m=/--crashes-directory/,g=/\\pipe\\winpty-control/,u=/conhost\.exe/,r=/--type=([a-zA-Z-]+)/;if(m.exec(y))return"electron-crash-reporter";if(g.exec(y))return"winpty-process";if(u.exec(y))return"console-window-host (Windows internal process)";let n=r.exec(y);if(n&&n.length===2){if(n[1]==="renderer")return h.exec(y)?"shared-process":S.exec(y)?"issue-reporter":w.exec(y)?"process-explorer":"window";if(n[1]==="utility"){if(d.exec(y))return"utility-network-service";if(v.exec(y))return"extension-host"}return n[1]}const i=/[a-zA-Z-]+\.js/g;let a="";do n=i.exec(y),n&&(a+=n+" ");while(n);return a&&y.indexOf("node ")<0&&y.indexOf("node.exe")<0?`electron_node ${a}`:y}if(process.platform==="win32"){const y=h=>h.indexOf("\\\\?\\")===0||h.indexOf("\\??\\")===0?h.substr(4):h.indexOf('"\\\\?\\')===0||h.indexOf('"\\??\\')===0?'"'+h.substr(5):h;new Promise((h,S)=>{Z(["windows-process-tree"],h,S)}).then(h=>{h.getProcessList(A,S=>{if(!S){P(new Error(`Root process ${A} not found`));return}h.getProcessCpuUsage(S,w=>{const d=new Map;w.forEach(v=>{const m=y(v.commandLine||"");d.set(v.pid,{name:p(m),cmd:m,pid:v.pid,ppid:v.ppid,load:v.cpu||0,mem:v.memory||0})}),I=d.get(A),I?(d.forEach(v=>{const m=d.get(v.ppid);m&&(m.children||(m.children=[]),m.children.push(v))}),d.forEach(v=>{v.children&&(v.children=v.children.sort((m,g)=>m.pid-g.pid))}),C(I)):P(new Error(`Root process ${A} not found`))})},h.ProcessDataFlag.CommandLine|h.ProcessDataFlag.Memory)})}else{let y=function(){let h=[I];const S=[];for(;h.length;){const d=h.shift();d&&(S.push(d.pid),d.children&&(h=h.concat(d.children)))}let w=JSON.stringify(t.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",Z).fsPath);w+=" "+S.join(" "),(0,R.exec)(w,{},(d,v,m)=>{if(d||m)P(d||new Error(m.toString()));else{const g=v.toString().split(`
`);for(let u=0;u<S.length;u++){const r=D.get(S[u]);r.load=parseFloat(g[u])}if(!I){P(new Error(`Root process ${A} not found`));return}C(I)}})};(0,R.exec)("which ps",{},(h,S,w)=>{if(h||w)if(process.platform!=="linux")P(h||new Error(w.toString()));else{const d=JSON.stringify(t.FileAccess.asFileUri("vs/base/node/ps.sh",Z).fsPath);(0,R.exec)(d,{},(v,m,g)=>{v||g?P(v||new Error(g.toString())):(T(m,b),y())})}else{const d=S.toString().trim(),v="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,R.exec)(`${d} ${v}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(m,g,u)=>{m||u&&!u.includes("screen size is bogus")?P(m||new Error(u.toString())):(T(g,b),process.platform==="linux"?y():I?C(I):P(new Error(`Root process ${A} not found`)))})}})}})}e.listProcesses=k;function T(A,C){const P=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,I=A.toString().split(`
`);for(const D of I){const b=P.exec(D.trim());b&&b.length===6&&C(parseInt(b[1]),parseInt(b[2]),b[5],parseFloat(b[3]),parseFloat(b[4]))}}});var fe=this&&this.__decorate||function(Z,e,R,t){var k=arguments.length,T=k<3?e:t===null?t=Object.getOwnPropertyDescriptor(e,R):t,A;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")T=Reflect.decorate(Z,e,R,t);else for(var C=Z.length-1;C>=0;C--)(A=Z[C])&&(T=(k<3?A(T):k>3?A(e,R,T):A(e,R))||T);return k>3&&T&&Object.defineProperty(e,R,T),T};define(re[39],se([0,1,17,6,16,23,60,9,3,2,63,26,14]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var y;(function(V){V[V.Promise=100]="Promise",V[V.PromiseCancel=101]="PromiseCancel",V[V.EventListen=102]="EventListen",V[V.EventDispose=103]="EventDispose"})(y=e.RequestType||(e.RequestType={}));function h(V){switch(V){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var S;(function(V){V[V.Initialize=200]="Initialize",V[V.PromiseSuccess=201]="PromiseSuccess",V[V.PromiseError=202]="PromiseError",V[V.PromiseErrorObj=203]="PromiseErrorObj",V[V.EventFire=204]="EventFire"})(S=e.ResponseType||(e.ResponseType={}));function w(V){switch(V){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var d;(function(V){V[V.Uninitialized=0]="Uninitialized",V[V.Idle=1]="Idle"})(d||(d={}));class v{constructor(Y){this.buffer=Y,this.pos=0}read(Y){const X=this.buffer.slice(this.pos,this.pos+Y);return this.pos+=X.byteLength,X}}class m{constructor(){this.buffers=[]}get buffer(){return k.VSBuffer.concat(this.buffers)}write(Y){this.buffers.push(Y)}}var g;(function(V){V[V.Undefined=0]="Undefined",V[V.String=1]="String",V[V.Buffer=2]="Buffer",V[V.VSBuffer=3]="VSBuffer",V[V.Array=4]="Array",V[V.Object=5]="Object"})(g||(g={}));function u(V){const Y=k.VSBuffer.alloc(4);return Y.writeUInt32BE(V,0),Y}function r(V){return V.read(4).readUInt32BE(0)}function n(V){const Y=k.VSBuffer.alloc(1);return Y.writeUInt8(V,0),Y}const i={Undefined:n(g.Undefined),String:n(g.String),Buffer:n(g.Buffer),VSBuffer:n(g.VSBuffer),Array:n(g.Array),Object:n(g.Object)},a=typeof Buffer!="undefined";function c(V,Y){if(typeof Y=="undefined")V.write(i.Undefined);else if(typeof Y=="string"){const X=k.VSBuffer.fromString(Y);V.write(i.String),V.write(u(X.byteLength)),V.write(X)}else if(a&&Buffer.isBuffer(Y)){const X=k.VSBuffer.wrap(Y);V.write(i.Buffer),V.write(u(X.byteLength)),V.write(X)}else if(Y instanceof k.VSBuffer)V.write(i.VSBuffer),V.write(u(Y.byteLength)),V.write(Y);else if(Array.isArray(Y)){V.write(i.Array),V.write(u(Y.length));for(const X of Y)c(V,X)}else{const X=k.VSBuffer.fromString(JSON.stringify(Y));V.write(i.Object),V.write(u(X.byteLength)),V.write(X)}}function o(V){switch(V.read(1).readUInt8(0)){case g.Undefined:return;case g.String:return V.read(r(V)).toString();case g.Buffer:return V.read(r(V)).buffer;case g.VSBuffer:return V.read(r(V));case g.Array:{const X=r(V),K=[];for(let x=0;x<X;x++)K.push(o(V));return K}case g.Object:return JSON.parse(V.read(r(V)).toString())}}class s{constructor(Y,X,K=null,x=1e3){this.protocol=Y,this.ctx=X,this.logger=K,this.timeoutDelay=x,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(B=>this.onRawMessage(B)),this.sendResponse({type:200})}registerChannel(Y,X){this.channels.set(Y,X),setTimeout(()=>this.flushPendingRequests(Y),0)}sendResponse(Y){switch(Y.type){case 200:{const X=this.send([Y.type]);this.logger?.logOutgoing(X,0,1,w(Y.type));return}case 201:case 202:case 204:case 203:{const X=this.send([Y.type,Y.id],Y.data);this.logger?.logOutgoing(X,Y.id,1,w(Y.type),Y.data);return}}}send(Y,X=void 0){const K=new m;return c(K,Y),c(K,X),this.sendBuffer(K.buffer)}sendBuffer(Y){try{return this.protocol.send(Y),Y.byteLength}catch{return 0}}onRawMessage(Y){const X=new v(Y),K=o(X),x=o(X),B=K[0];switch(B){case 100:return this.logger?.logIncoming(Y.byteLength,K[1],1,`${h(B)}: ${K[2]}.${K[3]}`,x),this.onPromise({type:B,id:K[1],channelName:K[2],name:K[3],arg:x});case 102:return this.logger?.logIncoming(Y.byteLength,K[1],1,`${h(B)}: ${K[2]}.${K[3]}`,x),this.onEventListen({type:B,id:K[1],channelName:K[2],name:K[3],arg:x});case 101:return this.logger?.logIncoming(Y.byteLength,K[1],1,`${h(B)}`),this.disposeActiveRequest({type:B,id:K[1]});case 103:return this.logger?.logIncoming(Y.byteLength,K[1],1,`${h(B)}`),this.disposeActiveRequest({type:B,id:K[1]})}}onPromise(Y){const X=this.channels.get(Y.channelName);if(!X){this.collectPendingRequest(Y);return}const K=new T.CancellationTokenSource;let x;try{x=X.call(this.ctx,Y.name,Y.arg,K.token)}catch(F){x=Promise.reject(F)}const B=Y.id;x.then(F=>{this.sendResponse({id:B,data:F,type:201}),this.activeRequests.delete(Y.id)},F=>{F instanceof Error?this.sendResponse({id:B,data:{message:F.message,name:F.name,stack:F.stack?F.stack.split?F.stack.split(`
`):F.stack:void 0},type:202}):this.sendResponse({id:B,data:F,type:203}),this.activeRequests.delete(Y.id)});const J=(0,I.toDisposable)(()=>K.cancel());this.activeRequests.set(Y.id,J)}onEventListen(Y){const X=this.channels.get(Y.channelName);if(!X){this.collectPendingRequest(Y);return}const K=Y.id,B=X.listen(this.ctx,Y.name,Y.arg)(J=>this.sendResponse({id:K,data:J,type:204}));this.activeRequests.set(Y.id,B)}disposeActiveRequest(Y){const X=this.activeRequests.get(Y.id);X&&(X.dispose(),this.activeRequests.delete(Y.id))}collectPendingRequest(Y){let X=this.pendingRequests.get(Y.channelName);X||(X=[],this.pendingRequests.set(Y.channelName,X));const K=setTimeout(()=>{console.error(`Unknown channel: ${Y.channelName}`),Y.type===100&&this.sendResponse({id:Y.id,data:{name:"Unknown channel",message:`Channel name '${Y.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);X.push({request:Y,timeoutTimer:K})}flushPendingRequests(Y){const X=this.pendingRequests.get(Y);if(X){for(const K of X)switch(clearTimeout(K.timeoutTimer),K.request.type){case 100:this.onPromise(K.request);break;case 102:this.onEventListen(K.request);break}this.pendingRequests.delete(Y)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,I.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}e.ChannelServer=s;var l;(function(V){V[V.LocalSide=0]="LocalSide",V[V.OtherSide=1]="OtherSide"})(l=e.RequestInitiator||(e.RequestInitiator={}));class f{constructor(Y,X=null){this.protocol=Y,this.isDisposed=!1,this.state=d.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new P.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(K=>this.onBuffer(K)),this.logger=X}getChannel(Y){const X=this;return{call(K,x,B){return X.isDisposed?Promise.reject(C.canceled()):X.requestPromise(Y,K,x,B)},listen(K,x){return X.isDisposed?P.Event.None:X.requestEvent(Y,K,x)}}}requestPromise(Y,X,K,x=T.CancellationToken.None){const B=this.lastRequestId++,F={id:B,type:100,channelName:Y,name:X,arg:K};if(x.isCancellationRequested)return Promise.reject(C.canceled());let $;return new Promise((G,q)=>{if(x.isCancellationRequested)return q(C.canceled());const ee=()=>{const Se=ge=>{switch(ge.type){case 201:this.handlers.delete(B),G(ge.data);break;case 202:{this.handlers.delete(B);const pe=new Error(ge.data.message);pe.stack=ge.data.stack,pe.name=ge.data.name,q(pe);break}case 203:this.handlers.delete(B),q(ge.data);break}};this.handlers.set(B,Se),this.sendRequest(F)};let ne=null;this.state===d.Idle?ee():(ne=(0,t.createCancelablePromise)(Se=>this.whenInitialized()),ne.then(()=>{ne=null,ee()}));const ae=()=>{ne?(ne.cancel(),ne=null):this.sendRequest({id:B,type:101}),q(C.canceled())},le=x.onCancellationRequested(ae);$=(0,I.combinedDisposable)((0,I.toDisposable)(ae),le),this.activeRequests.add($)}).finally(()=>{this.activeRequests.delete($)})}requestEvent(Y,X,K){const x=this.lastRequestId++,J={id:x,type:102,channelName:Y,name:X,arg:K};let F=null;const $=new P.Emitter({onFirstListenerAdd:()=>{F=(0,t.createCancelablePromise)(G=>this.whenInitialized()),F.then(()=>{F=null,this.activeRequests.add($),this.sendRequest(J)})},onLastListenerRemove:()=>{F?(F.cancel(),F=null):(this.activeRequests.delete($),this.sendRequest({id:x,type:103}))}}),j=G=>$.fire(G.data);return this.handlers.set(x,j),$.event}sendRequest(Y){switch(Y.type){case 100:case 102:{const X=this.send([Y.type,Y.id,Y.channelName,Y.name],Y.arg);this.logger?.logOutgoing(X,Y.id,0,`${h(Y.type)}: ${Y.channelName}.${Y.name}`,Y.arg);return}case 101:case 103:{const X=this.send([Y.type,Y.id]);this.logger?.logOutgoing(X,Y.id,0,h(Y.type));return}}}send(Y,X=void 0){const K=new m;return c(K,Y),c(K,X),this.sendBuffer(K.buffer)}sendBuffer(Y){try{return this.protocol.send(Y),Y.byteLength}catch{return 0}}onBuffer(Y){const X=new v(Y),K=o(X),x=o(X),B=K[0];switch(B){case 200:return this.logger?.logIncoming(Y.byteLength,0,0,w(B)),this.onResponse({type:K[0]});case 201:case 202:case 204:case 203:return this.logger?.logIncoming(Y.byteLength,K[1],0,w(B),x),this.onResponse({type:K[0],id:K[1],data:x})}}onResponse(Y){if(Y.type===200){this.state=d.Idle,this._onDidInitialize.fire();return}this.handlers.get(Y.id)?.(Y)}get onDidInitializePromise(){return P.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===d.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,I.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}fe([A.memoize],f.prototype,"onDidInitializePromise",null),e.ChannelClient=f;class E{constructor(Y){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new P.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new P.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,Y(({protocol:X,onDidClientDisconnect:K})=>{P.Event.once(X.onMessage)(B=>{const J=new v(B),F=o(J),$=new s(X,F),j=new f(X);this.channels.forEach((q,ee)=>$.registerChannel(ee,q));const G={channelServer:$,channelClient:j,ctx:F};this._connections.add(G),this._onDidAddConnection.fire(G),K(()=>{$.dispose(),j.dispose(),this._connections.delete(G),this._onDidRemoveConnection.fire(G)})})})}get connections(){const Y=[];return this._connections.forEach(X=>Y.push(X)),Y}getChannel(Y,X){const K=this;return{call(x,B,J){let F;if((0,p.isFunction)(X)){const j=(0,R.getRandomElement)(K.connections.filter(X));F=j?Promise.resolve(j):P.Event.toPromise(P.Event.filter(K.onDidAddConnection,X))}else F=X.routeCall(K,x,B);const $=F.then(j=>j.channelClient.getChannel(Y));return _($).call(x,B,J)},listen(x,B){if((0,p.isFunction)(X))return K.getMulticastEvent(Y,X,x,B);const J=X.routeEvent(K,x,B).then(F=>F.channelClient.getChannel(Y));return _(J).listen(x,B)}}}getMulticastEvent(Y,X,K,x){const B=this;let J=new I.DisposableStore;const F=new P.Emitter({onFirstListenerAdd:()=>{J=new I.DisposableStore;const $=new P.EventMultiplexer,j=new Map,G=ee=>{const ae=ee.channelClient.getChannel(Y).listen(K,x),le=$.add(ae);j.set(ee,le)},q=ee=>{const ne=j.get(ee);!ne||(ne.dispose(),j.delete(ee))};B.connections.filter(X).forEach(G),P.Event.filter(B.onDidAddConnection,X)(G,void 0,J),B.onDidRemoveConnection(q,void 0,J),$.event(F.fire,F,J),J.add($)},onLastListenerRemove:()=>{J.dispose()}});return F.event}registerChannel(Y,X){this.channels.set(Y,X),this._connections.forEach(K=>{K.channelServer.registerChannel(Y,X)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=E;class U{constructor(Y,X,K=null){const x=new m;c(x,X),Y.send(x.buffer),this.channelClient=new f(Y,K),this.channelServer=new s(Y,X,K)}getChannel(Y){return this.channelClient.getChannel(Y)}registerChannel(Y,X){this.channelServer.registerChannel(Y,X)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=U;function _(V){return{call(Y,X,K){return V.then(x=>x.call(Y,X,K))},listen(Y,X){const K=new P.Relay;return V.then(x=>K.input=x.listen(Y,X)),K.event}}}e.getDelayedChannel=_;function N(V){let Y=!1;return{call(X,K,x){return Y?V.call(X,K,x):(0,t.timeout)(0).then(()=>Y=!0).then(()=>V.call(X,K,x))},listen(X,K){if(Y)return V.listen(X,K);const x=new P.Relay;return(0,t.timeout)(0).then(()=>Y=!0).then(()=>x.input=V.listen(X,K)),x.event}}}e.getNextTickChannel=N;class L{constructor(Y){this.fn=Y}routeCall(Y){return this.route(Y)}routeEvent(Y){return this.route(Y)}async route(Y){for(const X of Y.connections)if(await Promise.resolve(this.fn(X.ctx)))return Promise.resolve(X);return await P.Event.toPromise(Y.onDidAddConnection),await this.route(Y)}}e.StaticRouter=L;var M;(function(V){function Y(B,J){const F=B,$=J&&J.disableMarshalling,j=new Map;for(const G in F)K(G)&&j.set(G,P.Event.buffer(F[G],!0));return new class{listen(G,q,ee){const ne=j.get(q);if(ne)return ne;if(x(q)){const ae=F[q];if(typeof ae=="function")return ae.call(F,ee)}throw new Error(`Event not found: ${q}`)}call(G,q,ee){const ne=F[q];if(typeof ne=="function"){if(!$&&Array.isArray(ee))for(let ae=0;ae<ee.length;ae++)ee[ae]=(0,D.revive)(ee[ae]);return ne.apply(F,ee)}throw new Error(`Method not found: ${q}`)}}}V.fromService=Y;function X(B,J){const F=J&&J.disableMarshalling;return new Proxy({},{get($,j){if(typeof j=="string")return J?.properties?.has(j)?J.properties.get(j):x(j)?function(G){return B.listen(j,G)}:K(j)?B.listen(j):async function(...G){let q;J&&!(0,p.isUndefinedOrNull)(J.context)?q=[J.context,...G]:q=G;const ee=await B.call(j,q);return F?ee:(0,D.revive)(ee)};throw new Error(`Property not found: ${String(j)}`)}})}V.toService=X;function K(B){return B[0]==="o"&&B[1]==="n"&&b.isUpperAsciiLetter(B.charCodeAt(2))}function x(B){return/^onDynamic/.test(B)&&b.isUpperAsciiLetter(B.charCodeAt(9))}})(M=e.ProxyChannel||(e.ProxyChannel={}));const O=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function H(V){if(Array.isArray(V))return V;if(V&&typeof V=="object"&&typeof V.toString=="function"){const Y=V.toString();if(Y!=="[object Object]")return Y}return V}function W(V){return Array.isArray(V)?V.map(H):H(V)}function z(V,Y,X,K,x,B,J){J=W(J);const F=O[x],$=F[K%F.length];let j=[`%c[${V}]%c[${String(Y).padStart(7," ")}]%c[len: ${String(X).padStart(5," ")}]%c${String(K).padStart(5," ")} - ${B}`,"color: darkgreen","color: grey","color: grey",`color: ${$}`];/\($/.test(B)?(j=j.concat(J),j.push(")")):j.push(J),console.log.apply(console,j)}e.logWithColors=z;class te{constructor(Y,X){this._outgoingPrefix=Y,this._incomingPrefix=X,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(Y,X,K,x,B){this._totalOutgoing+=Y,z(this._outgoingPrefix,this._totalOutgoing,Y,X,K,x,B)}logIncoming(Y,X,K,x,B){this._totalIncoming+=Y,z(this._incomingPrefix,this._totalIncoming,Y,X,K,x,B)}}e.IPCLogger=te}),define(re[131],se([0,1,16,3,39]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class T{constructor(P){this.port=P,this.onMessage=t.Event.fromDOMEventEmitter(this.port,"message",I=>R.VSBuffer.wrap(I.data)),P.start()}send(P){this.port.postMessage(P.buffer)}disconnect(){this.port.close()}}e.Protocol=T;class A extends k.IPCClient{constructor(P,I){const D=new T(P);super(D,I);this.protocol=D}dispose(){this.protocol.disconnect()}}e.Client=A}),define(re[83],se([0,1,16,3,2,39]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var A;(function(a){a.Created="created",a.Read="read",a.Write="write",a.Open="open",a.Error="error",a.Close="close",a.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",a.NodeEndReceived="nodeEndReceived",a.NodeEndSent="nodeEndSent",a.NodeDrainBegin="nodeDrainBegin",a.NodeDrainEnd="nodeDrainEnd",a.zlibInflateError="zlibInflateError",a.zlibInflateData="zlibInflateData",a.zlibInflateInitialWrite="zlibInflateInitialWrite",a.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",a.zlibInflateWrite="zlibInflateWrite",a.zlibInflateFlushFired="zlibInflateFlushFired",a.zlibDeflateError="zlibDeflateError",a.zlibDeflateData="zlibDeflateData",a.zlibDeflateWrite="zlibDeflateWrite",a.zlibDeflateFlushFired="zlibDeflateFlushFired",a.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",a.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",a.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",a.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",a.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",a.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",a.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",a.ProtocolHeaderRead="protocolHeaderRead",a.ProtocolMessageRead="protocolMessageRead",a.ProtocolHeaderWrite="protocolHeaderWrite",a.ProtocolMessageWrite="protocolMessageWrite",a.ProtocolWrite="protocolWrite"})(A=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var C;(function(a){a.enableDiagnostics=!1,a.records=[];const c=new WeakMap;let o=0;function s(f,E){if(!c.has(f)){const U=String(++o);c.set(f,U)}return c.get(f)}function l(f,E,U,_){if(!a.enableDiagnostics)return;const N=s(f,E);if(_ instanceof R.VSBuffer||_ instanceof Uint8Array||_ instanceof ArrayBuffer||ArrayBuffer.isView(_)){const L=R.VSBuffer.alloc(_.byteLength);L.set(_),a.records.push({timestamp:Date.now(),id:N,label:E,type:U,buff:L})}else a.records.push({timestamp:Date.now(),id:N,label:E,type:U,data:_})}a.traceSocketEvent=l})(C=e.SocketDiagnostics||(e.SocketDiagnostics={}));var P;(function(a){a[a.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",a[a.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(P=e.SocketCloseEventType||(e.SocketCloseEventType={}));let I=null;function D(){return I||(I=R.VSBuffer.alloc(0)),I}class b{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(c){this._chunks.push(c),this._totalLength+=c.byteLength}read(c){return this._read(c,!0)}peek(c){return this._read(c,!1)}_read(c,o){if(c===0)return D();if(c>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===c){const E=this._chunks[0];return o&&(this._chunks.shift(),this._totalLength-=c),E}if(this._chunks[0].byteLength>c){const E=this._chunks[0].slice(0,c);return o&&(this._chunks[0]=this._chunks[0].slice(c),this._totalLength-=c),E}const s=R.VSBuffer.alloc(c);let l=0,f=0;for(;c>0;){const E=this._chunks[f];if(E.byteLength>c){const U=E.slice(0,c);s.set(U,l),l+=c,o&&(this._chunks[f]=E.slice(c),this._totalLength-=c),c-=c}else s.set(E,l),l+=E.byteLength,o?(this._chunks.shift(),this._totalLength-=E.byteLength):f++,c-=E.byteLength}return s}}e.ChunkStream=b;var p;(function(a){a[a.None=0]="None",a[a.Regular=1]="Regular",a[a.Control=2]="Control",a[a.Ack=3]="Ack",a[a.Disconnect=5]="Disconnect",a[a.ReplayRequest=6]="ReplayRequest",a[a.Pause=7]="Pause",a[a.Resume=8]="Resume"})(p||(p={}));function y(a){switch(a){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var h;(function(a){a[a.HeaderLength=13]="HeaderLength",a[a.AcknowledgeTime=2e3]="AcknowledgeTime",a[a.TimeoutTime=2e4]="TimeoutTime",a[a.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",a[a.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(h=e.ProtocolConstants||(e.ProtocolConstants={}));class S{constructor(c,o,s,l){this.type=c,this.id=o,this.ack=s,this.data=l,this.writtenTime=0}get size(){return this.data.byteLength}}class w extends k.Disposable{constructor(c){super();this._onMessage=this._register(new t.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=c,this._isDisposed=!1,this._incomingData=new b,this._register(this._socket.onData(o=>this.acceptChunk(o))),this.lastReadTime=Date.now()}acceptChunk(c){if(!(!c||c.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(c);this._incomingData.byteLength>=this._state.readLen;){const o=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=o.readUInt32BE(9),this._state.messageType=o.readUInt8(0),this._state.id=o.readUInt32BE(1),this._state.ack=o.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:y(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const s=this._state.messageType,l=this._state.id,f=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",o),this._onMessage.fire(new S(s,l,f,o)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class d{constructor(c){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=c,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(c){if(this._isDisposed)return;c.writtenTime=Date.now(),this.lastWriteTime=Date.now();const o=R.VSBuffer.alloc(13);o.writeUInt8(c.type,0),o.writeUInt32BE(c.id,1),o.writeUInt32BE(c.ack,5),o.writeUInt32BE(c.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:y(c.type),id:c.id,ack:c.ack,messageSize:c.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",c.data),this._writeSoon(o,c.data)}_bufferAdd(c,o){const s=this._totalLength===0;return this._data.push(c,o),this._totalLength+=c.byteLength+o.byteLength,s}_bufferTake(){const c=R.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,c}_writeSoon(c,o){this._bufferAdd(c,o)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const c=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:c.byteLength}),this._socket.write(c)}}class v extends k.Disposable{constructor(c){super();this._onMessage=new t.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=c,this._socketWriter=this._register(new d(this._socket)),this._socketReader=this._register(new w(this._socket)),this._register(this._socketReader.onMessage(o=>{o.type===1&&this._onMessage.fire(o.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(c){this._socketWriter.write(new S(1,0,0,c))}}e.Protocol=v;class m extends T.IPCClient{constructor(c,o,s=null){super(c,o,s);this.protocol=c}static fromSocket(c,o){return new m(new v(c),o)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const c=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),c.end()}}e.Client=m;class g{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new t.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(c){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(c):this._emitter.fire(c):this._bufferedMessages.push(c)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=g;class u{constructor(c){this.data=c,this.next=null}}class r{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){const c=[];let o=0,s=this._first;for(;s;)c[o++]=s.data,s=s.next;return c}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(c){const o=new u(c);if(!this._first){this._first=o,this._last=o;return}this._last.next=o,this._last=o}}class n{constructor(){this.lastRuns=[];const c=Date.now();for(let o=0;o<n._HISTORY_LENGTH;o++)this.lastRuns[o]=c-1e3*o;setInterval(()=>{for(let o=n._HISTORY_LENGTH;o>=1;o--)this.lastRuns[o]=this.lastRuns[o-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return n._INSTANCE||(n._INSTANCE=new n),n._INSTANCE}load(){const c=Date.now(),o=(1+n._HISTORY_LENGTH)*1e3;let s=0;for(let l=0;l<n._HISTORY_LENGTH;l++)c-this.lastRuns[l]<=o&&s++;return 1-s/n._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}n._HISTORY_LENGTH=10,n._INSTANCE=null;class i{constructor(c,o=null,s=n.getInstance()){this._onControlMessage=new g,this.onControlMessage=this._onControlMessage.event,this._onMessage=new g,this.onMessage=this._onMessage.event,this._onDidDispose=new g,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new g,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new g,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=s,this._isReconnecting=!1,this._outgoingUnackMsg=new r,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=c,this._socketWriter=new d(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new w(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(l=>this._receiveMessage(l))),this._socketDisposables.push(this._socket.onClose(l=>this._onSocketClose.fire(l))),o&&this._socketReader.acceptChunk(o)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,k.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const c=new S(5,0,0,D());this._socketWriter.write(c),this._socketWriter.flush()}sendPause(){const c=new S(7,0,0,D());this._socketWriter.write(c)}sendResume(){const c=new S(8,0,0,D());this._socketWriter.write(c)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(c,o){this._isReconnecting=!0,this._socketDisposables=(0,k.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=c,this._socketWriter=new d(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new w(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(s=>this._receiveMessage(s))),this._socketDisposables.push(this._socket.onClose(s=>this._onSocketClose.fire(s))),this._socketReader.acceptChunk(o)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const c=new S(3,0,this._incomingAckId,D());this._socketWriter.write(c);const o=this._outgoingUnackMsg.toArray();for(let s=0,l=o.length;s<l;s++)this._socketWriter.write(o[s]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(c){if(c.ack>this._outgoingAckId){this._outgoingAckId=c.ack;do{const o=this._outgoingUnackMsg.peek();if(o&&o.id<=c.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(c.type){case 0:break;case 1:{if(c.id>this._incomingMsgId)if(c.id!==this._incomingMsgId+1){const o=Date.now();o-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=o,this._socketWriter.write(new S(6,0,0,D())))}else this._incomingMsgId=c.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(c.data);break}case 2:{this._onControlMessage.fire(c.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const o=this._outgoingUnackMsg.toArray();for(let s=0,l=o.length;s<l;s++)this._socketWriter.write(o[s]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(c){const o=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const s=new S(1,o,this._incomingAckId,c);this._outgoingUnackMsg.push(s),this._isReconnecting||(this._socketWriter.write(s),this._recvAckCheck())}sendControl(c){const o=new S(2,0,0,c);this._socketWriter.write(o)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const c=Date.now()-this._incomingMsgLastTime;if(c>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-c+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const c=this._outgoingUnackMsg.peek(),o=Date.now()-c.writtenTime,s=Date.now()-this._socketReader.lastReadTime,l=Date.now()-this._lastSocketTimeoutTime;if(o>=2e4&&s>=2e4&&l>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const f=Math.max(2e4-o,2e4-s,2e4-l,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},f)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const c=new S(3,0,this._incomingAckId,D());this._socketWriter.write(c)}}e.PersistentProtocol=i}),define(re[132],se([0,1,84,3,39,131]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;class A extends k.IPCServer{static getOnDidClientConnect(){const P=t.Event.fromNodeEventEmitter(R.ipcRenderer,"vscode:createMessageChannel",(I,D)=>D);return t.Event.map(P,I=>{const{port1:D,port2:b}=new MessageChannel,y={protocol:new T.Protocol(D),onDidClientDisconnect:t.Event.fromDOMEventEmitter(D,"close")};return R.ipcRenderer.postMessage("vscode:createMessageChannelResult",I,[b]),y})}constructor(){super(A.getOnDidClientConnect())}}e.Server=A}),define(re[133],se([0,1,16,9,3,2,13,4,31,39,83]),function(Z,e,R,t,k,T,A,C,P,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;function b(){return{crypto:Z.__$__nodeRequire("crypto"),zlib:Z.__$__nodeRequire("zlib"),net:Z.__$__nodeRequire("net"),os:Z.__$__nodeRequire("os")}}class p{constructor(s,l=""){this.debugLabel=l,this.socket=s,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=f=>{if(this.traceSocketEvent("error",{code:f?.code,message:f?.message}),f){if(f.code==="EPIPE")return;(0,t.onUnexpectedError)(f)}},this.socket.on("error",this._errorListener)}traceSocketEvent(s,l){D.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,s,l)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(s){const l=f=>{this.traceSocketEvent("read",f),s(R.VSBuffer.wrap(f))};return this.socket.on("data",l),{dispose:()=>this.socket.off("data",l)}}onClose(s){const l=f=>{this.traceSocketEvent("close",{hadError:f}),s({type:0,hadError:f,error:void 0})};return this.socket.on("close",l),{dispose:()=>this.socket.off("close",l)}}onEnd(s){const l=()=>{this.traceSocketEvent("nodeEndReceived"),s()};return this.socket.on("end",l),{dispose:()=>this.socket.off("end",l)}}write(s){if(!this.socket.destroyed)try{this.traceSocketEvent("write",s),this.socket.write(s.buffer,l=>{if(l){if(l.code==="EPIPE")return;(0,t.onUnexpectedError)(l)}})}catch(l){if(l.code==="EPIPE")return;(0,t.onUnexpectedError)(l)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((s,l)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),s();return}const f=()=>{this.socket.off("close",f),this.socket.off("end",f),this.socket.off("error",f),this.socket.off("timeout",f),this.socket.off("drain",f),this.traceSocketEvent("nodeDrainEnd"),s()};this.socket.on("close",f),this.socket.on("end",f),this.socket.on("error",f),this.socket.on("timeout",f),this.socket.on("drain",f)})}}e.NodeSocket=p;var y;(function(o){o[o.MinHeaderByteSize=2]="MinHeaderByteSize"})(y||(y={}));var h;(function(o){o[o.PeekHeader=1]="PeekHeader",o[o.ReadHeader=2]="ReadHeader",o[o.ReadBody=3]="ReadBody",o[o.Fin=4]="Fin"})(h||(h={}));class S extends T.Disposable{constructor(s,l,f,E){super();this._onData=this._register(new k.Emitter),this._onClose=this._register(new k.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=s,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:l,inflateBytesLength:f?.byteLength||0,recordInflateBytes:E}),this._flowManager=this._register(new w(this,l,f,E,this._onData,(U,_)=>this._write(U,_))),this._register(this._flowManager.onError(U=>{console.error(U),(0,t.onUnexpectedError)(U),this._onClose.fire({type:0,hadError:!0,error:U})})),this._incomingData=new D.ChunkStream,this._register(this.socket.onData(U=>this._acceptChunk(U))),this._register(this.socket.onClose(U=>this._onClose.fire(U)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(s,l){this.socket.traceSocketEvent(s,l)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(s){return this._onData.event(s)}onClose(s){return this._onClose.event(s)}onEnd(s){return this.socket.onEnd(s)}write(s){this._flowManager.writeMessage(s)}_write(s,l){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",s);let f=2;s.byteLength<126?f+=0:s.byteLength<2**16?f+=2:f+=8;const E=R.VSBuffer.alloc(f);if(l?E.writeUInt8(194,0):E.writeUInt8(130,0),s.byteLength<126)E.writeUInt8(s.byteLength,1);else if(s.byteLength<2**16){E.writeUInt8(126,1);let U=1;E.writeUInt8(s.byteLength>>>8&255,++U),E.writeUInt8(s.byteLength>>>0&255,++U)}else{E.writeUInt8(127,1);let U=1;E.writeUInt8(0,++U),E.writeUInt8(0,++U),E.writeUInt8(0,++U),E.writeUInt8(0,++U),E.writeUInt8(s.byteLength>>>24&255,++U),E.writeUInt8(s.byteLength>>>16&255,++U),E.writeUInt8(s.byteLength>>>8&255,++U),E.writeUInt8(s.byteLength>>>0&255,++U)}this.socket.write(R.VSBuffer.concat([E,s]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(s){if(s.byteLength!==0){for(this._incomingData.acceptChunk(s);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const l=this._incomingData.peek(this._state.readLen),f=l.readUInt8(0),E=(f&128)>>>7,U=(f&64)>>>6,_=l.readUInt8(1),N=(_&128)>>>7,L=_&127;this._state.state=2,this._state.readLen=2+(N?4:0)+(L===126?2:0)+(L===127?8:0),this._state.fin=E,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(U)),this._state.firstFrameOfMessage=Boolean(E),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const l=this._incomingData.read(this._state.readLen),f=l.readUInt8(1),E=(f&128)>>>7;let U=f&127,_=1;U===126?U=l.readUInt8(++_)*2**8+l.readUInt8(++_):U===127&&(U=l.readUInt8(++_)*0+l.readUInt8(++_)*0+l.readUInt8(++_)*0+l.readUInt8(++_)*0+l.readUInt8(++_)*2**24+l.readUInt8(++_)*2**16+l.readUInt8(++_)*2**8+l.readUInt8(++_));let N=0;E&&(N=l.readUInt8(++_)*2**24+l.readUInt8(++_)*2**16+l.readUInt8(++_)*2**8+l.readUInt8(++_)),this._state.state=3,this._state.readLen=U,this._state.mask=N,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const l=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",l),m(l,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",l),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(l,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await k.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=S;class w extends T.Disposable{constructor(s,l,f,E,U,_){super();this._tracer=s,this._onData=U,this._writeFn=_,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new k.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,l?(this._zlibInflateStream=this._register(new d(this._tracer,E,f,{windowBits:15})),this._zlibDeflateStream=this._register(new v(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(N=>this._onError.fire(N))),this._register(this._zlibDeflateStream.onError(N=>this._onError.fire(N)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:R.VSBuffer.alloc(0)}writeMessage(s){this._writeQueue.push(s),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const s=this._writeQueue.shift();if(this._zlibDeflateStream){const l=await this._deflateMessage(this._zlibDeflateStream,s);this._writeFn(l,!0)}else this._writeFn(s,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(s,l){return new Promise((f,E)=>{s.write(l),s.flush(U=>f(U))})}acceptFrame(s,l,f){this._readQueue.push({data:s,isCompressed:l,isLastFrameOfMessage:f}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const s=this._readQueue.shift();if(this._zlibInflateStream&&s.isCompressed){const l=await this._inflateFrame(this._zlibInflateStream,s.data,s.isLastFrameOfMessage);this._onData.fire(l)}else this._onData.fire(s.data)}this._isProcessingReadQueue=!1}}_inflateFrame(s,l,f){return new Promise((E,U)=>{s.write(l),f&&s.write(R.VSBuffer.fromByteArray([0,0,255,255])),s.flush(_=>E(_))})}}class d extends T.Disposable{constructor(s,l,f,E){super();this._tracer=s,this._recordInflateBytes=l,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=b().zlib.createInflateRaw(E),this._zlibInflate.on("error",U=>{this._tracer.traceSocketEvent("zlibInflateError",{message:U?.message,code:U?.code}),this._onError.fire(U)}),this._zlibInflate.on("data",U=>{this._tracer.traceSocketEvent("zlibInflateData",U),this._pendingInflateData.push(R.VSBuffer.wrap(U))}),f&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",f.buffer),this._zlibInflate.write(f.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?R.VSBuffer.concat(this._recordedInflateBytes):R.VSBuffer.alloc(0)}write(s){this._recordInflateBytes&&this._recordedInflateBytes.push(s.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",s),this._zlibInflate.write(s.buffer)}flush(s){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const l=R.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,s(l)})}}class v extends T.Disposable{constructor(s,l){super();this._tracer=s,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=b().zlib.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",f=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:f?.message,code:f?.code}),this._onError.fire(f)}),this._zlibDeflate.on("data",f=>{this._tracer.traceSocketEvent("zlibDeflateData",f),this._pendingDeflateData.push(R.VSBuffer.wrap(f))})}write(s){this._tracer.traceSocketEvent("zlibDeflateWrite",s.buffer),this._zlibDeflate.write(s.buffer)}flush(s){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let l=R.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,l=l.slice(0,l.byteLength-4),s(l)})}}function m(o,s){if(s===0)return;const l=o.byteLength>>>2;for(let L=0;L<l;L++){const M=o.readUInt32BE(L*4);o.writeUInt32BE(M^s,L*4)}const f=l*4,E=o.byteLength-f,U=s>>>24&255,_=s>>>16&255,N=s>>>8&255;E>=1&&o.writeUInt8(o.readUInt8(f)^U,f),E>=2&&o.writeUInt8(o.readUInt8(f+1)^_,f+1),E>=3&&o.writeUInt8(o.readUInt8(f+2)^N,f+2)}e.XDG_RUNTIME_DIR=typeof process!="undefined"?process.env.XDG_RUNTIME_DIR:void 0;const g={[2]:107,[1]:103};function u(){const o=(0,P.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${o}-sock`;let s;return e.XDG_RUNTIME_DIR?s=(0,A.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${o}.sock`):s=(0,A.join)(b().os.tmpdir(),`vscode-ipc-${o}.sock`),n(s),s}e.createRandomIPCHandle=u;function r(o,s,l){const f=b().crypto.createHash("md5").update(o).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${f}-${l}-${s}-sock`;let E;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?E=(0,A.join)(e.XDG_RUNTIME_DIR,`vscode-${f.substr(0,8)}-${l}-${s}.sock`):E=(0,A.join)(o,`${l}-${s}.sock`),n(E),E}e.createStaticIPCHandle=r;function n(o){const s=g[C.platform];typeof s=="number"&&o.length>=s&&console.warn(`WARNING: IPC handle "${o}" is longer than ${s} chars, try a shorter --user-data-dir`)}class i extends I.IPCServer{constructor(s){super(i.toClientConnectionEvent(s));this.server=s}static toClientConnectionEvent(s){const l=k.Event.fromNodeEventEmitter(s,"connection");return k.Event.map(l,f=>({protocol:new D.Protocol(new p(f,"ipc-server-connection")),onDidClientDisconnect:k.Event.once(k.Event.fromNodeEventEmitter(f,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=i;function a(o){return new Promise((s,l)=>{const f=b().net.createServer();f.on("error",l),f.listen(o,()=>{f.removeListener("error",l),s(new i(f))})})}e.serve=a;function c(o,s){return new Promise((l,f)=>{const E=b().net.createConnection(o,()=>{E.removeListener("error",f),l(D.Client.fromSocket(new p(E,`ipc-client${s}`),s))});E.once("error",f)})}e.connect=c}),define(re[85],se([0,1,6,3,2,14]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageState=e.isStorageItemsChangeEvent=e.StorageHint=void 0;var A;(function(b){b[b.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(A=e.StorageHint||(e.StorageHint={}));function C(b){const p=b;return p?.changed instanceof Map||p?.deleted instanceof Set}e.isStorageItemsChangeEvent=C;var P;(function(b){b[b.None=0]="None",b[b.Initialized=1]="Initialized",b[b.Closed=2]="Closed"})(P=e.StorageState||(e.StorageState={}));class I extends k.Disposable{constructor(p,y=Object.create(null)){super();this.database=p,this.options=y,this._onDidChangeStorage=this._register(new t.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=P.None,this.cache=new Map,this.flushDelayer=new R.ThrottledDelayer(I.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(p=>this.onDidChangeItemsExternal(p)))}onDidChangeItemsExternal(p){p.changed?.forEach((y,h)=>this.accept(h,y)),p.deleted?.forEach(y=>this.accept(y,void 0))}accept(p,y){if(this.state===P.Closed)return;let h=!1;(0,T.isUndefinedOrNull)(y)?h=this.cache.delete(p):this.cache.get(p)!==y&&(this.cache.set(p,y),h=!0),h&&this._onDidChangeStorage.fire(p)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===P.None&&(this.state=P.Initialized,this.options.hint!==A.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(p,y){const h=this.cache.get(p);return(0,T.isUndefinedOrNull)(h)?y:h}getBoolean(p,y){const h=this.get(p);return(0,T.isUndefinedOrNull)(h)?y:h==="true"}getNumber(p,y){const h=this.get(p);return(0,T.isUndefinedOrNull)(h)?y:parseInt(h,10)}async set(p,y){if(this.state===P.Closed)return;if((0,T.isUndefinedOrNull)(y))return this.delete(p);const h=String(y);if(this.cache.get(p)!==h)return this.cache.set(p,h),this.pendingInserts.set(p,h),this.pendingDeletes.delete(p),this._onDidChangeStorage.fire(p),this.doFlush()}async delete(p){if(!(this.state===P.Closed||!this.cache.delete(p)))return this.pendingDeletes.has(p)||this.pendingDeletes.add(p),this.pendingInserts.delete(p),this._onDidChangeStorage.fire(p),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=P.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const p={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(p).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(p){if(!!this.hasPending)return this.doFlush(p)}async doFlush(p){return this.flushDelayer.trigger(()=>this.flushPending(),p)}async whenFlushed(){if(!!this.hasPending)return new Promise(p=>this.whenFlushedCallbacks.push(p))}dispose(){this.flushDelayer.dispose(),super.dispose()}}e.Storage=I,I.DEFAULT_FLUSH_DELAY=100;class D{constructor(){this.onDidChangeItemsExternal=t.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(p){p.insert?.forEach((y,h)=>this.items.set(h,y)),p.delete?.forEach(y=>this.items.delete(y))}async close(){}}e.InMemoryStorageDatabase=D}),define(re[134],se([11,12]),function(Z,e){return Z.create("vs/base/node/processes",e)}),define(re[86],se([0,1,47,43,20,30,13,4,35,77,14,113,27,134]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return I.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return I.TerminateResponseCode}});function h(u){switch(u){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function S(u,r){if(C.isWindows)try{const n={stdio:["pipe","pipe","ignore"]};r&&(n.cwd=r);const i=R.execFile("taskkill",["/T","/F","/PID",u.pid.toString()],n);return new Promise(a=>{i.once("error",c=>{a({success:!1,error:c})}),i.once("exit",(c,o)=>{a(c===0?{success:!0}:{success:!1,code:c!==null?c:1})})})}catch(n){return Promise.resolve({success:!1,error:n,code:n.status?h(n.status):1})}else if(C.isLinux||C.isMacintosh)try{const n=k.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",Z).fsPath;return new Promise(i=>{R.execFile(n,[u.pid.toString()],{encoding:"utf8",shell:!0},(a,c,o)=>{i(a?{success:!1,error:a}:{success:!0})})})}catch(n){return Promise.resolve({success:!1,error:n})}else u.kill("SIGKILL");return Promise.resolve({success:!0})}function w(u=P.env){return u.comspec||"cmd.exe"}e.getWindowsShell=w;class d{constructor(r,n,i,a){if(n!==void 0&&i!==void 0&&a!==void 0)this.cmd=r,this.args=n,this.shell=i,this.options=a;else{const c=r;this.cmd=c.command,this.shell=c.isShellCommand,this.args=c.args.slice(0),this.options=c.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const c=Object.create(null);Object.keys(P.env).forEach(o=>{c[o]=P.env[o]}),Object.keys(this.options.env).forEach(o=>{c[o]=this.options.env[o]}),this.options.env=c}}getSanitizedCommand(){let r=this.cmd.toLowerCase();const n=r.lastIndexOf(A.sep);return n!==-1&&(r=r.substring(n+1)),d.WellKnowCommands[r]?r:"other"}start(r){return C.isWindows&&(this.options&&this.options.cwd&&t.isUNC(this.options.cwd)||!this.options&&t.isUNC(P.cwd()))?Promise.reject(new Error(y.localize(0,null))):this.useExec().then(n=>{let i,a;const c=new Promise((o,s)=>{i=o,a=s});if(n){let o=this.cmd;this.args&&(o=o+" "+this.args.join(" ")),this.childProcess=R.exec(o,this.options,(s,l,f)=>{this.childProcess=null;const E=s;E&&E.killed?a({killed:this.terminateRequested,stdout:l.toString(),stderr:f.toString()}):this.handleExec(i,r,s,l,f)})}else{let o=null;const s=l=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(l,i,r,a);const f={terminated:this.terminateRequested};D.isNumber(l)&&(f.cmdCode=l),i(f)};if(this.shell&&C.isWindows){const l=T.deepClone(this.options);l.windowsVerbatimArguments=!0,l.detached=!1;let f=!1,E=!1;const U=[];let _=this.ensureQuotes(this.cmd);U.push(_.value),f=_.quoted,this.args&&this.args.forEach(L=>{_=this.ensureQuotes(L),U.push(_.value),E=E&&_.quoted});const N=["/s","/c"];f?E?N.push('"'+U.join(" ")+'"'):U.length>1?N.push('"'+U[0]+'" '+U.slice(1).join(" ")):N.push('"'+U[0]+'"'):N.push(U.join(" ")),o=R.spawn(w(),N,l)}else this.cmd&&(o=R.spawn(this.cmd,this.args,this.options));o&&(this.childProcess=o,this.childProcessPromise=Promise.resolve(o),this.pidResolve&&(this.pidResolve(D.isNumber(o.pid)?o.pid:-1),this.pidResolve=void 0),o.on("error",l=>{this.childProcess=null,a({terminated:this.terminateRequested,error:l})}),o.pid&&(this.childProcess.on("close",s),this.handleSpawn(o,i,r,a,!0)))}return c})}handleClose(r,n,i,a){}ensureQuotes(r){return d.regexp.test(r)?{value:'"'+r+'"',quoted:!0}:{value:r,quoted:r.length>0&&r[0]==='"'&&r[r.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(r=>r.pid,r=>-1):new Promise(r=>{this.pidResolve=r})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(r=>(this.terminateRequested=!0,S(r,this.options.cwd).then(n=>(n.success&&(this.childProcess=null),n))),r=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(r=>{if(!this.shell||!C.isWindows)return r(!1);const n=R.spawn(w(),["/s","/c"]);n.on("error",i=>r(!0)),n.on("exit",i=>r(!1))})}}e.AbstractProcess=d,d.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},d.regexp=/^[^"].* .*[^"]/;class v extends d{constructor(r,n,i,a){super(r,n,i,a);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(r,n,i,a,c){[a,c].forEach((o,s)=>{const l=new b.LineDecoder;l.write(o).forEach(U=>{n({line:U,source:s===0?0:1})});const E=l.end();E&&n({line:E,source:s===0?0:1})}),r({terminated:this.terminateRequested,error:i})}handleSpawn(r,n,i,a,c){const o=new b.LineDecoder,s=new b.LineDecoder;r.stdout.on("data",l=>{o.write(l).forEach(E=>i({line:E,source:0}))}),r.stderr.on("data",l=>{s.write(l).forEach(E=>i({line:E,source:1}))}),this.stdoutLineDecoder=o,this.stderrLineDecoder=s}handleClose(r,n,i,a){const c=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;c&&i({line:c,source:0});const o=this.stderrLineDecoder?this.stderrLineDecoder.end():null;o&&i({line:o,source:1})}}e.LineProcess=v;function m(u){let r=[],n=!1;const i=function(a){if(n){r.push(a);return}(!u.send(a,o=>{if(o&&console.error(o),n=!1,r.length>0){const s=r.slice(0);r=[],s.forEach(l=>i(l))}})||C.isWindows)&&(n=!0)};return{send:i}}e.createQueuedSender=m;var g;(function(u){async function r(n,i,a){if(A.isAbsolute(n))return n;if(i===void 0&&(i=P.cwd()),A.dirname(n)!=="."||(a===void 0&&D.isString(P.env.PATH)&&(a=P.env.PATH.split(A.delimiter)),a===void 0||a.length===0))return A.join(i,n);async function o(s){if(await p.Promises.exists(s)){let l;try{l=await p.Promises.stat(s)}catch(f){f.message.startsWith("EACCES")&&(l=await p.Promises.lstat(s))}return l?!l.isDirectory():!1}return!1}for(const s of a){let l;if(A.isAbsolute(s)?l=A.join(s,n):l=A.join(i,s,n),await o(l))return l;let f=l+".com";if(await o(f)||(f=l+".exe",await o(f)))return f}return A.join(i,n)}u.findExecutable=r})(g=e.win32||(e.win32={}))}),define(re[135],se([0,1,36,4,82,86]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function A(y,h){return y===1?t.isWindows?b():T.getWindowsShell(h):I(y,h)}e.getSystemShell=A;function C(y,h){return y===1?t.isWindows?p(h):T.getWindowsShell(h):I(y,h)}e.getSystemShellSync=C;let P=null;function I(y,h){if(t.isLinux&&y===2||t.isMacintosh&&y===3)return"/bin/bash";if(!P){let S;if(t.isWindows)S="/bin/bash";else{if(S=h.SHELL,!S)try{S=(0,R.userInfo)().shell}catch{}S||(S="sh"),S==="/bin/false"&&(S="/bin/bash")}P=S}return P}let D=null;async function b(){return D||(D=(await(0,k.getFirstAvailablePowerShellInstallation)()).exePath),D}function p(y){if(D)return D;const h=t.isWindows&&parseFloat((0,R.release)())>=10,S=y.hasOwnProperty("PROCESSOR_ARCHITEW6432"),w=`${y.windir}\\${S?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return h?w:T.getWindowsShell(y)}}),define(re[64],se([0,1,47,6,16,23,126,9,3,2,30,86,77,39]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class h extends y.ChannelServer{constructor(d){super({send:v=>{try{process.send?.(v.buffer.toString("base64"))}catch{}},onMessage:P.Event.fromNodeEventEmitter(process,"message",v=>k.VSBuffer.wrap(Buffer.from(v,"base64")))},d);process.once("disconnect",()=>this.dispose())}}e.Server=h;class S{constructor(d,v){this.modulePath=d,this.options=v,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new P.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const m=v&&v.timeout?v.timeout:6e4;this.disposeDelayer=new t.Delayer(m),this.child=null,this._client=null}getChannel(d){const v=this;return{call(m,g,u){return v.requestPromise(d,m,g,u)},listen(m,g){return v.requestEvent(d,m,g)}}}requestPromise(d,v,m,g=T.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(g.isCancellationRequested)return Promise.reject(C.canceled());this.disposeDelayer.cancel();const u=this.getCachedChannel(d),r=(0,t.createCancelablePromise)(a=>u.call(v,m,a)),n=g.onCancellationRequested(()=>r.cancel()),i=(0,I.toDisposable)(()=>r.cancel());return this.activeRequests.add(i),r.finally(()=>{n.dispose(),this.activeRequests.delete(i),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),r}requestEvent(d,v,m){if(!this.disposeDelayer)return P.Event.None;this.disposeDelayer.cancel();let g;const u=new P.Emitter({onFirstListenerAdd:()=>{g=this.getCachedChannel(d).listen(v,m)(u.fire,u),this.activeRequests.add(g)},onLastListenerRemove:()=>{this.activeRequests.delete(g),g.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return u.event}get client(){if(!this._client){const d=this.options&&this.options.args?this.options.args:[],v=Object.create(null);v.env={...(0,D.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(v.env={...v.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(v.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(v.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(v.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),v.execArgv===void 0&&(v.execArgv=process.execArgv.filter(c=>!/^--inspect(-brk)?=/.test(c))),(0,p.removeDangerousEnvVariables)(v.env),this.child=(0,R.fork)(this.modulePath,d,v);const m=new P.Emitter;P.Event.fromNodeEventEmitter(this.child,"message",c=>c)(c=>{if((0,A.isRemoteConsoleLog)(c)){(0,A.log)(c,`IPC Library: ${this.options.serverName}`);return}m.fire(k.VSBuffer.wrap(Buffer.from(c,"base64")))});const u=this.options.useQueue?(0,b.createQueuedSender)(this.child):this.child,r=c=>this.child&&this.child.connected&&u.send(c.buffer.toString("base64")),n=m.event,i={send:r,onMessage:n};this._client=new y.ChannelClient(i);const a=()=>this.disposeClient();process.once("exit",a),this.child.on("error",c=>console.warn('IPC "'+this.options.serverName+'" errored with '+c)),this.child.on("exit",(c,o)=>{process.removeListener("exit",a),this.activeRequests.forEach(s=>(0,I.dispose)(s)),this.activeRequests.clear(),c!==0&&o!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+c+" and signal "+o),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:c,signal:o})})}return this._client}getCachedChannel(d){let v=this.channels.get(d);return v||(v=this.client.getChannel(d),this.channels.set(d,v)),v}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=S}),define(re[136],se([11,12]),function(Z,e){return Z.create("vs/base/node/zip",e)}),define(re[137],se([11,12]),function(Z,e){return Z.create("vs/platform/configuration/common/configurationRegistry",e)}),define(re[138],se([11,12]),function(Z,e){return Z.create("vs/platform/environment/node/argv",e)}),define(re[139],se([11,12]),function(Z,e){return Z.create("vs/platform/environment/node/argvHelper",e)}),define(re[140],se([11,12]),function(Z,e){return Z.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",e)}),define(re[141],se([11,12]),function(Z,e){return Z.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(re[142],se([11,12]),function(Z,e){return Z.create("vs/platform/extensionManagement/common/extensionsScannerService",e)}),define(re[143],se([11,12]),function(Z,e){return Z.create("vs/platform/extensionManagement/electron-sandbox/extensionTipsService",e)}),define(re[144],se([11,12]),function(Z,e){return Z.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(re[145],se([11,12]),function(Z,e){return Z.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(re[146],se([11,12]),function(Z,e){return Z.create("vs/platform/extensions/common/extensionValidator",e)}),define(re[147],se([11,12]),function(Z,e){return Z.create("vs/platform/files/common/fileService",e)}),define(re[148],se([11,12]),function(Z,e){return Z.create("vs/platform/files/common/files",e)}),define(re[149],se([11,12]),function(Z,e){return Z.create("vs/platform/files/common/io",e)}),define(re[150],se([11,12]),function(Z,e){return Z.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(re[151],se([11,12]),function(Z,e){return Z.create("vs/platform/languagePacks/common/languagePacks",e)}),define(re[152],se([11,12]),function(Z,e){return Z.create("vs/platform/request/common/request",e)}),define(re[153],se([11,12]),function(Z,e){return Z.create("vs/platform/shell/node/shellEnv",e)}),define(re[154],se([11,12]),function(Z,e){return Z.create("vs/platform/telemetry/common/telemetryService",e)}),define(re[155],se([11,12]),function(Z,e){return Z.create("vs/platform/terminal/common/terminalPlatformConfiguration",e)}),define(re[156],se([11,12]),function(Z,e){return Z.create("vs/platform/terminal/common/terminalProfiles",e)}),define(re[157],se([11,12]),function(Z,e){return Z.create("vs/platform/userDataProfile/common/userDataProfile",e)}),define(re[158],se([11,12]),function(Z,e){return Z.create("vs/platform/userDataSync/common/abstractSynchronizer",e)}),define(re[159],se([11,12]),function(Z,e){return Z.create("vs/platform/userDataSync/common/keybindingsSync",e)}),define(re[160],se([11,12]),function(Z,e){return Z.create("vs/platform/userDataSync/common/settingsSync",e)}),define(re[161],se([11,12]),function(Z,e){return Z.create("vs/platform/userDataSync/common/userDataAutoSyncService",e)}),define(re[162],se([11,12]),function(Z,e){return Z.create("vs/platform/userDataSync/common/userDataSync",e)}),define(re[163],se([11,12]),function(Z,e){return Z.create("vs/platform/userDataSync/common/userDataSyncMachines",e)}),define(re[87],se([0,1,61,60,20,13,35,18,8]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parsePtyHostPort=e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class I{constructor(S,w,d){this._args=S,this.paths=w,this.productService=d,this.editSessionId=this.args.editSessionId}get appRoot(){return(0,T.dirname)(k.FileAccess.asFileUri("",Z).fsPath)}get userHome(){return P.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return P.URI.file((0,T.join)(this.userDataPath,"User"))}get tmpDir(){return P.URI.file(this.paths.tmpDir)}get cacheHome(){return P.URI.file(this.userDataPath)}get stateResource(){return(0,C.joinPath)(this.appSettingsHome,"globalStorage","storage.json")}get userRoamingDataHome(){return this.appSettingsHome}get userDataSyncHome(){return(0,C.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const S=(0,R.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,T.join)(this.userDataPath,"logs",S)}return this.args.logsPath}get userDataSyncLogResource(){return P.URI.file((0,T.join)(this.logsPath,"userDataSync.log"))}get editSessionsLogResource(){return P.URI.file((0,T.join)(this.logsPath,"editSessions.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,C.joinPath)(P.URI.file((0,T.join)(this.userDataPath,"Machine")),"settings.json")}get workspaceStorageHome(){return(0,C.joinPath)(this.appSettingsHome,"workspaceStorage")}get localHistoryHome(){return(0,C.joinPath)(this.appSettingsHome,"History")}get keyboardLayoutResource(){return(0,C.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const S=A.env.VSCODE_PORTABLE;return S?P.URI.file((0,T.join)(S,"argv.json")):(0,C.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return P.URI.file((0,T.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,T.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const S=this.args["builtin-extensions-dir"];return S?(0,T.resolve)(S):(0,T.normalize)((0,T.join)(k.FileAccess.asFileUri("",Z).fsPath,"..","extensions"))}get extensionsDownloadPath(){const S=this.args["extensions-download-dir"];return S?(0,T.resolve)(S):(0,T.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const S=this.args["extensions-dir"];if(S)return(0,T.resolve)(S);const w=A.env.VSCODE_EXTENSIONS;if(w)return w;const d=A.env.VSCODE_PORTABLE;return d?(0,T.join)(d,"extensions"):(0,C.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const S=this.args.extensionDevelopmentPath;if(Array.isArray(S))return S.map(w=>/^[^:/?#]+?:\/\//.test(w)?P.URI.parse(w):P.URI.file((0,T.normalize)(w)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(S=>S==="ui"||S==="workspace"||S==="web"?S:"workspace")}get extensionTestsLocationURI(){const S=this.args.extensionTestsPath;if(S)return/^[^:/?#]+?:\/\//.test(S)?P.URI.parse(S):P.URI.file((0,T.normalize)(S))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const S=this.args["disable-extension"];if(S){if(typeof S=="string")return[S];if(Array.isArray(S)&&S.length>0)return S}return!1}get debugExtensionHost(){return D(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!A.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,C.joinPath)(P.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get telemetryLogResource(){return P.URI.file((0,T.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get policyFile(){if(this.args["__enable-file-policy"]){const S=A.env.VSCODE_PORTABLE;return S?P.URI.file((0,T.join)(S,"policy.json")):(0,C.joinPath)(this.userHome,this.productService.dataFolderName,"policy.json")}}get args(){return this._args}}fe([t.memoize],I.prototype,"appRoot",null),fe([t.memoize],I.prototype,"userHome",null),fe([t.memoize],I.prototype,"userDataPath",null),fe([t.memoize],I.prototype,"appSettingsHome",null),fe([t.memoize],I.prototype,"tmpDir",null),fe([t.memoize],I.prototype,"cacheHome",null),fe([t.memoize],I.prototype,"stateResource",null),fe([t.memoize],I.prototype,"userRoamingDataHome",null),fe([t.memoize],I.prototype,"userDataSyncHome",null),fe([t.memoize],I.prototype,"userDataSyncLogResource",null),fe([t.memoize],I.prototype,"editSessionsLogResource",null),fe([t.memoize],I.prototype,"sync",null),fe([t.memoize],I.prototype,"machineSettingsResource",null),fe([t.memoize],I.prototype,"workspaceStorageHome",null),fe([t.memoize],I.prototype,"localHistoryHome",null),fe([t.memoize],I.prototype,"keyboardLayoutResource",null),fe([t.memoize],I.prototype,"argvResource",null),fe([t.memoize],I.prototype,"isExtensionDevelopment",null),fe([t.memoize],I.prototype,"untitledWorkspacesHome",null),fe([t.memoize],I.prototype,"installSourcePath",null),fe([t.memoize],I.prototype,"builtinExtensionsPath",null),fe([t.memoize],I.prototype,"extensionsPath",null),fe([t.memoize],I.prototype,"extensionDevelopmentLocationURI",null),fe([t.memoize],I.prototype,"extensionDevelopmentKind",null),fe([t.memoize],I.prototype,"extensionTestsLocationURI",null),fe([t.memoize],I.prototype,"debugExtensionHost",null),fe([t.memoize],I.prototype,"serviceMachineIdResource",null),fe([t.memoize],I.prototype,"telemetryLogResource",null),fe([t.memoize],I.prototype,"disableWorkspaceTrust",null),fe([t.memoize],I.prototype,"policyFile",null),e.AbstractNativeEnvironmentService=I;function D(h,S){return y(h["inspect-extensions"],h["inspect-brk-extensions"],5870,S,h.debugId,h.extensionEnvironment)}e.parseExtensionHostPort=D;function b(h,S){return y(h["inspect-search"],h["inspect-brk-search"],5876,S,h.extensionEnvironment)}e.parseSearchPort=b;function p(h,S){return y(h["inspect-ptyhost"],h["inspect-brk-ptyhost"],5877,S,h.extensionEnvironment)}e.parsePtyHostPort=p;function y(h,S,w,d,v,m){const u=Number(S||h)||(d?null:w),r=u?Boolean(!!S):!1;let n;if(m)try{n=JSON.parse(m)}catch{}return{port:u,break:r,debugId:v,env:n}}}),define(re[164],se([0,1,267,4,138]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const T={o:(0,k.localize)(0,null),e:(0,k.localize)(1,null),t:(0,k.localize)(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,k.localize)(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,k.localize)(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,k.localize)(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,k.localize)(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,k.localize)(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,k.localize)(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,k.localize)(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,k.localize)(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,k.localize)(11,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,k.localize)(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,k.localize)(13,null)},"show-versions":{type:"boolean",cat:"e",description:(0,k.localize)(14,null)},category:{type:"string",cat:"e",description:(0,k.localize)(15,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"ext-id | path",description:(0,k.localize)(16,null)},"pre-release":{type:"boolean",cat:"e",description:(0,k.localize)(17,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"ext-id",description:(0,k.localize)(18,null)},"enable-proposed-api":{type:"string[]",allowEmptyValue:!0,cat:"e",args:"ext-id",description:(0,k.localize)(19,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,k.localize)(20,null)},verbose:{type:"boolean",cat:"t",description:(0,k.localize)(21,null)},log:{type:"string",cat:"t",args:"level",description:(0,k.localize)(22,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,k.localize)(23,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,k.localize)(24,null)},"prof-append-timers":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,k.localize)(25,null)},"disable-extension":{type:"string[]",cat:"t",args:"ext-id",description:(0,k.localize)(26,null)},sync:{type:"string",cat:"t",description:(0,k.localize)(27,null),args:["on | off"]},"inspect-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,k.localize)(28,null)},"inspect-brk-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,k.localize)(29,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,k.localize)(30,null)},"ms-enable-electron-run-as-node":{type:"boolean"},"max-memory":{type:"string",cat:"t",description:(0,k.localize)(31,null),args:"memory"},telemetry:{type:"boolean",cat:"t",description:(0,k.localize)(32,null)},remote:{type:"string",allowEmptyValue:!0},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-brk-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-search":{type:"string",deprecates:["debugSearch"],allowEmptyValue:!0},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"],allowEmptyValue:!0},"export-default-configuration":{type:"string"},"install-source":{type:"string"},"enable-smoke-test-driver":{type:"boolean"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},logsPath:{type:"string"},"__enable-file-policy":{type:"boolean"},editSessionId:{type:"string"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string",allowEmptyValue:!0},"inspect-brk":{type:"string",allowEmptyValue:!0},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},"disable-dev-shm-usage":{type:"boolean"},_:{type:"string[]"}};const A={onUnknownOption:()=>{},onMultipleValues:()=>{},onEmptyValue:()=>{},onDeprecatedOption:()=>{}};function C(h,S,w=A){const d={},v=["_"],m=[];for(const n in S){const i=S[n];i.alias&&(d[n]=i.alias),i.type==="string"||i.type==="string[]"?(v.push(n),i.deprecates&&v.push(...i.deprecates)):i.type==="boolean"&&(m.push(n),i.deprecates&&m.push(...i.deprecates))}const g=R(h,{string:v,boolean:m,alias:d}),u={},r=g;u._=g._.map(n=>String(n)).filter(n=>n.length>0),delete r._;for(const n in S){const i=S[n];i.alias&&delete r[i.alias];let a=r[n];if(i.deprecates)for(const c of i.deprecates)r.hasOwnProperty(c)&&(a||(a=r[c],a&&w.onDeprecatedOption(c,i.deprecationMessage||(0,k.localize)(33,null,n))),delete r[c]);if(typeof a!="undefined"){if(i.type==="string[]"){if(Array.isArray(a)||(a=[a]),!i.allowEmptyValue){const c=a.filter(o=>o.length>0);c.length!==a.length&&(w.onEmptyValue(n),a=c.length>0?c:void 0)}}else i.type==="string"&&(Array.isArray(a)?(a=a.pop(),w.onMultipleValues(n,a)):!a&&!i.allowEmptyValue&&(w.onEmptyValue(n),a=void 0));u[n]=a,i.deprecationMessage&&w.onDeprecatedOption(n,i.deprecationMessage)}delete r[n]}for(const n in r)w.onUnknownOption(n);return u}e.parseArgs=C;function P(h,S){let w="";return S.args&&(Array.isArray(S.args)?w=` <${S.args.join("> <")}>`:w=` <${S.args}>`),S.alias?`-${S.alias} --${h}${w}`:`--${h}${w}`}function I(h,S){let w=0;const d=[];for(const u in h){const r=h[u],n=P(u,r);w=Math.max(w,n.length),d.push([n,r.description])}const v=w+2+1;if(S-v<25)return d.reduce((u,r)=>u.concat([`  ${r[0]}`,`      ${r[1]}`]),[]);const m=S-v-1,g=[];for(const u of d){const r=u[0],n=b(u[1],m),i=D(v-r.length-2);g.push("  "+r+i+n[0]);for(let a=1;a<n.length;a++)g.push(D(v)+n[a])}return g}e.formatOptions=I;function D(h){return" ".repeat(h)}function b(h,S){const w=[];for(;h.length;){const d=h.length<S?h.length:h.lastIndexOf(" ",S),v=h.slice(0,d).trim();h=h.slice(d),w.push(v)}return w}function p(h,S,w,d,v){const m=process.stdout.isTTY&&process.stdout.columns||80,g=v?.noInputFiles!==!0?`[${(0,k.localize)(34,null)}...]`:"",u=[`${h} ${w}`];u.push(""),u.push(`${(0,k.localize)(35,null)}: ${S} [${(0,k.localize)(36,null)}]${g}`),u.push(""),v?.noPipe!==!0&&(t.isWindows?u.push((0,k.localize)(37,null,S)):u.push((0,k.localize)(38,null,S)),u.push(""));const r={};for(const n in d){const i=d[n];if(i.description&&i.cat){let a=r[i.cat];a||(r[i.cat]=a={}),a[n]=i}}for(const n in r){const i=n,a=r[i];a&&(u.push(T[i]),u.push(...I(a,m)),u.push(""))}return u.join(`
`)}e.buildHelpMessage=p;function y(h,S){return`${h||(0,k.localize)(39,null)}
${S||(0,k.localize)(40,null)}
${process.arch}`}e.buildVersionMessage=y}),define(re[165],se([0,1,268,139,164]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;const T=2048;function A(p,y){const h={onUnknownOption:w=>{console.warn((0,t.localize)(0,null,w))},onMultipleValues:(w,d)=>{console.warn((0,t.localize)(1,null,w,d))},onEmptyValue:w=>{console.warn((0,t.localize)(2,null,w))},onDeprecatedOption:(w,d)=>{console.warn((0,t.localize)(3,null,w,d))}},S=(0,k.parseArgs)(p,k.OPTIONS,y?h:void 0);return S.goto&&S._.forEach(w=>R(/^(\w:)?[^:]+(:\d*){0,2}$/.test(w),(0,t.localize)(4,null))),S["max-memory"]&&R(parseInt(S["max-memory"])>=T,`The max-memory argument cannot be specified lower than ${T} MB.`),S}function C(p){const y=p.findIndex(h=>!/^-/.test(h));if(y>-1)return[...p.slice(0,y),...p.slice(y+1)]}function P(p){let[,...y]=p;process.env.VSCODE_DEV&&(y=C(y)||[]);const h=!b(process.env);return A(y,h)}e.parseMainProcessArgv=P;function I(p){const[,,...y]=p;return A(y,!0)}e.parseCLIProcessArgv=I;function D(p,...y){const h=p.indexOf("--");return h===-1?p.push(...y):p.splice(h,0,...y),p}e.addArg=D;function b(p){return p.VSCODE_CLI==="1"}e.isLaunchedFromCli=b}),function(){"use strict";function Z(e,R,t,k){function T(C){const P=A(C),I=[P];return e.isAbsolute(P)||I.unshift(k),e.resolve(...I)}function A(C){const P=process.env.VSCODE_PORTABLE;if(P)return e.join(P,"user-data");let I=process.env.VSCODE_APPDATA;if(I)return e.join(I,t);const D=C["user-data-dir"];if(D)return D;switch(process.platform){case"win32":if(I=process.env.APPDATA,!I){const b=process.env.USERPROFILE;if(typeof b!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");I=e.join(b,"AppData","Roaming")}break;case"darwin":I=e.join(R.homedir(),"Library","Application Support");break;case"linux":I=process.env.XDG_CONFIG_HOME||e.join(R.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(I,t)}return{getUserDataPath:T}}if(typeof define=="function")define(re[166],se([0,269,36,20,18,35]),function(e,R,t,k,T,A){const C=T.dirname(k.FileAccess.asFileUri("",e)),P=e.__$__nodeRequire(T.joinPath(C,"package.json").fsPath);return Z(R,t,P.name,A.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),R=require("path"),t=require("os");module.exports=Z(R,t,e.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(re[167],se([0,1,36,87,166]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class T extends t.AbstractNativeEnvironmentService{constructor(C,P){super(C,{homeDir:(0,R.homedir)(),tmpDir:(0,R.tmpdir)(),userDataDir:(0,k.getUserDataPath)(C)},P)}}e.NativeEnvironmentService=T}),define(re[168],se([0,1,8]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemotes=e.getDomainsOfRemotes=e.AllowedSecondLevelDomains=void 0;const t=/^([^@:]+@)?([^:]+):/,k=/^([^@:]+@)?([^:]+):(.+)$/,T=/^([^@]+@)?([^:]+)(:\d+)?$/,A=/([^@:.]+\.[^@:.]+)(:\d+)?$/,C=/^\s*url\s*=\s*(.+\S)\s*$/mg,P=/[^.]/g;e.AllowedSecondLevelDomains=["github.com","bitbucket.org","visualstudio.com","gitlab.com","heroku.com","azurewebsites.net","ibm.com","amazon.com","amazonaws.com","cloudapp.net","rhcloud.com","google.com","azure.com"];function I(w){const d=w.match(A);return d?d[1]:null}function D(w){if(w.indexOf("://")===-1){const d=w.match(t);return d?I(d[2]):null}try{const d=R.URI.parse(w);if(d.authority)return I(d.authority)}catch{}return null}function b(w,d){const v=new Set;let m;for(;m=C.exec(w);){const u=D(m[1]);u&&v.add(u)}const g=new Set(d);return Array.from(v).map(u=>g.has(u)?u:u.replace(P,"a"))}e.getDomainsOfRemotes=b;function p(w){const d=w.match(T);return d?d[2]:null}function y(w,d,v){return w&&d?(v&&d.endsWith(".git")&&(d=d.substr(0,d.length-4)),d.indexOf("/")===0?`${w}${d}`:`${w}/${d}`):null}function h(w,d){if(w.indexOf("://")===-1){const v=w.match(k);if(v)return y(v[2],v[3],d)}try{const v=R.URI.parse(w);if(v.authority)return y(p(v.authority),v.path,d)}catch{}return null}function S(w,d=!1){const v=[];let m;for(;m=C.exec(w);){const g=h(m[1],d);g&&v.push(g)}return v}e.getRemotes=S}),define(re[169],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionRecommendationNotificationServiceChannel=e.ExtensionRecommendationNotificationServiceChannelClient=void 0;class R{constructor(T){this.channel=T}get ignoredRecommendations(){throw new Error("not supported")}promptImportantExtensionsInstallNotification(T,A,C,P){return this.channel.call("promptImportantExtensionsInstallNotification",[T,A,C,P])}promptWorkspaceRecommendations(T){throw new Error("not supported")}hasToIgnoreRecommendationNotifications(){throw new Error("not supported")}}e.ExtensionRecommendationNotificationServiceChannelClient=R;class t{constructor(T){this.service=T}listen(T,A){throw new Error(`Event not found: ${A}`)}call(T,A,C){switch(A){case"promptImportantExtensionsInstallNotification":return this.service.promptImportantExtensionsInstallNotification(C[0],C[1],C[2],C[3])}throw new Error(`Call not found: ${A}`)}}e.ExtensionRecommendationNotificationServiceChannel=t}),define(re[65],se([0,1,18,80,146,55]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.validateExtensionManifest=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const A=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,C=/^-(\d{4})(\d{2})(\d{2})$/;function P(d){return d=d.trim(),d==="*"||A.test(d)}e.isValidVersionStr=P;function I(d){if(!P(d))return null;if(d=d.trim(),d==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const v=d.match(A);return v?{hasCaret:v[1]==="^",hasGreaterEquals:v[1]===">=",majorBase:v[2]==="x"?0:parseInt(v[2],10),majorMustEqual:v[2]!=="x",minorBase:v[4]==="x"?0:parseInt(v[4],10),minorMustEqual:v[4]!=="x",patchBase:v[6]==="x"?0:parseInt(v[6],10),patchMustEqual:v[6]!=="x",preRelease:v[8]||null}:null}e.parseVersion=I;function D(d){if(!d)return null;const v=d.majorBase,m=d.majorMustEqual,g=d.minorBase;let u=d.minorMustEqual;const r=d.patchBase;let n=d.patchMustEqual;d.hasCaret&&(v===0||(u=!1),n=!1);let i=0;if(d.preRelease){const a=C.exec(d.preRelease);if(a){const[,c,o,s]=a;i=Date.UTC(Number(c),Number(o)-1,Number(s))}}return{majorBase:v,majorMustEqual:m,minorBase:g,minorMustEqual:u,patchBase:r,patchMustEqual:n,isMinimum:d.hasGreaterEquals,notBefore:i}}e.normalizeVersion=D;function b(d,v,m){let g;typeof d=="string"?g=D(I(d)):g=d;let u;v instanceof Date?u=v.getTime():typeof v=="string"&&(u=new Date(v).getTime());let r;if(typeof m=="string"?r=D(I(m)):r=m,!g||!r)return!1;const n=g.majorBase,i=g.minorBase,a=g.patchBase;let c=r.majorBase,o=r.minorBase,s=r.patchBase;const l=r.notBefore;let f=r.majorMustEqual,E=r.minorMustEqual,U=r.patchMustEqual;return r.isMinimum?n>c?!0:n<c?!1:i>o?!0:i<o||u&&u<l?!1:a>=s:(n===1&&c===0&&(!f||!E||!U)&&(c=1,o=0,s=0,f=!0,E=!1,U=!1),n<c?!1:n>c?!f:i<o?!1:i>o?!E:a<s?!1:a>s?!U:!(u&&u<l))}e.isValidVersion=b;function p(d,v,m,g,u){const r=[];if(typeof g.publisher!="undefined"&&typeof g.publisher!="string")return r.push([t.default.Error,k.localize(0,null)]),r;if(typeof g.name!="string")return r.push([t.default.Error,k.localize(1,null,"name")]),r;if(typeof g.version!="string")return r.push([t.default.Error,k.localize(2,null,"version")]),r;if(!g.engines)return r.push([t.default.Error,k.localize(3,null,"engines")]),r;if(typeof g.engines.vscode!="string")return r.push([t.default.Error,k.localize(4,null,"engines.vscode")]),r;if(typeof g.extensionDependencies!="undefined"&&!w(g.extensionDependencies))return r.push([t.default.Error,k.localize(5,null,"extensionDependencies")]),r;if(typeof g.activationEvents!="undefined"){if(!w(g.activationEvents))return r.push([t.default.Error,k.localize(6,null,"activationEvents")]),r;if(typeof g.main=="undefined"&&typeof g.browser=="undefined")return r.push([t.default.Error,k.localize(7,null,"activationEvents","main")]),r}if(typeof g.extensionKind!="undefined"&&typeof g.main=="undefined"&&r.push([t.default.Warning,k.localize(8,null,"extensionKind")]),typeof g.main!="undefined"){if(typeof g.main!="string")return r.push([t.default.Error,k.localize(9,null,"main")]),r;{const a=(0,R.joinPath)(m,g.main);(0,R.isEqualOrParent)(a,m)||r.push([t.default.Warning,k.localize(10,null,a.path,m.path)])}if(typeof g.activationEvents=="undefined")return r.push([t.default.Error,k.localize(11,null,"activationEvents","main")]),r}if(typeof g.browser!="undefined"){if(typeof g.browser!="string")return r.push([t.default.Error,k.localize(12,null,"browser")]),r;{const a=(0,R.joinPath)(m,g.browser);(0,R.isEqualOrParent)(a,m)||r.push([t.default.Warning,k.localize(13,null,a.path,m.path)])}if(typeof g.activationEvents=="undefined")return r.push([t.default.Error,k.localize(14,null,"activationEvents","browser")]),r}if(!T.valid(g.version))return r.push([t.default.Error,k.localize(15,null)]),r;const n=[];if(!y(d,v,g,u,n))for(const a of n)r.push([t.default.Error,a]);return r}e.validateExtensionManifest=p;function y(d,v,m,g,u){return g||typeof m.main=="undefined"&&typeof m.browser=="undefined"?!0:S(d,v,m.engines.vscode,u)}e.isValidExtensionVersion=y;function h(d,v,m){return d==="*"||S(v,m,d)}e.isEngineValid=h;function S(d,v,m,g=[]){const u=D(I(m));if(!u)return g.push(k.localize(16,null,m)),!1;if(u.majorBase===0){if(!u.majorMustEqual||!u.minorMustEqual)return g.push(k.localize(17,null,m)),!1}else if(!u.majorMustEqual)return g.push(k.localize(18,null,m)),!1;return b(d,v,u)?!0:(g.push(k.localize(19,null,d,m)),!1)}function w(d){if(!Array.isArray(d))return!1;for(let v=0,m=d.length;v<m;v++)if(typeof d[v]!="string")return!1;return!0}}),define(re[48],se([0,1,16,31]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function k(T,A,C){let P=C&&C.get("storage.serviceMachineId",-1)||null;if(P)return P;try{const D=(await A.readFile(T.serviceMachineIdResource)).value.toString();P=(0,t.isUUID)(D)?D:null}catch{P=null}if(!P){P=(0,t.generateUuid)();try{await A.writeFile(T.serviceMachineIdResource,R.VSBuffer.fromString(P))}catch{}}return C?.store("storage.serviceMachineId",P,-1,1),P}e.getServiceMachineId=k}),define(re[56],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class R{constructor(k,T=[],A=!1){this.ctor=k,this.staticArguments=T,this.supportsDelayedInstantiation=A}}e.SyncDescriptor=R}),define(re[88],se([0,1,56]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const t=[];function k(A,C,P){C instanceof R.SyncDescriptor||(C=new R.SyncDescriptor(C,[],P)),t.push([A,C])}e.registerSingleton=k;function T(){return t}e.getSingletonServiceDescriptors=T}),define(re[170],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class R{constructor(T){this.incoming=new Map,this.outgoing=new Map,this.data=T}}e.Node=R;class t{constructor(T){this._hashFn=T,this._nodes=new Map}roots(){const T=[];for(const A of this._nodes.values())A.outgoing.size===0&&T.push(A);return T}insertEdge(T,A){const C=this.lookupOrInsertNode(T),P=this.lookupOrInsertNode(A);C.outgoing.set(this._hashFn(A),P),P.incoming.set(this._hashFn(T),C)}removeNode(T){const A=this._hashFn(T);this._nodes.delete(A);for(const C of this._nodes.values())C.outgoing.delete(A),C.incoming.delete(A)}lookupOrInsertNode(T){const A=this._hashFn(T);let C=this._nodes.get(A);return C||(C=new R(T),this._nodes.set(A,C)),C}lookup(T){return this._nodes.get(this._hashFn(T))}isEmpty(){return this._nodes.size===0}toString(){const T=[];for(const[A,C]of this._nodes)T.push(`${A}, (incoming)[${[...C.incoming.keys()].join(", ")}], (outgoing)[${[...C.outgoing.keys()].join(",")}]`);return T.join(`
`)}findCycleSlow(){for(const[T,A]of this._nodes){const C=new Set([T]),P=this._findCycle(A,C);if(P)return P}}_findCycle(T,A){for(const[C,P]of T.outgoing){if(A.has(C))return[...A,C].join(" -> ");A.add(C);const I=this._findCycle(P,A);if(I)return I;A.delete(C)}}}e.Graph=t}),define(re[5],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var R;(function(A){A.serviceIds=new Map,A.DI_TARGET="$di$target",A.DI_DEPENDENCIES="$di$dependencies";function C(P){return P[A.DI_DEPENDENCIES]||[]}A.getServiceDependencies=C})(R=e._util||(e._util={})),e.IInstantiationService=k("instantiationService");function t(A,C,P){C[R.DI_TARGET]===C?C[R.DI_DEPENDENCIES].push({id:A,index:P}):(C[R.DI_DEPENDENCIES]=[{id:A,index:P}],C[R.DI_TARGET]=C)}function k(A){if(R.serviceIds.has(A))return R.serviceIds.get(A);const C=function(P,I,D){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");t(C,P,D)};return C.toString=()=>A,R.serviceIds.set(A,C),C}e.createDecorator=k;function T(A){return A}e.refineServiceDecorator=T}),define(re[171],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IChecksumService=void 0,e.IChecksumService=(0,R.createDecorator)("checksumService")}),define(re[19],se([0,1,14,8,5]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLanguageTagSettingPlainKey=e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,k.createDecorator)("configurationService");function T(d){return d&&typeof d=="object"&&(!d.overrideIdentifier||typeof d.overrideIdentifier=="string")&&(!d.resource||d.resource instanceof t.URI)}e.isConfigurationOverrides=T;function A(d){return d&&typeof d=="object"&&(!d.overrideIdentifiers||R.isArray(d.overrideIdentifiers))&&!d.overrideIdentifier&&(!d.resource||d.resource instanceof t.URI)}e.isConfigurationUpdateOverrides=A;var C;(function(d){d[d.USER=1]="USER",d[d.USER_LOCAL=2]="USER_LOCAL",d[d.USER_REMOTE=3]="USER_REMOTE",d[d.WORKSPACE=4]="WORKSPACE",d[d.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",d[d.DEFAULT=6]="DEFAULT",d[d.MEMORY=7]="MEMORY"})(C=e.ConfigurationTarget||(e.ConfigurationTarget={}));function P(d){switch(d){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=P;function I(d,v){const m=Object.create(null);for(const g in d)D(m,g,d[g],v);return m}e.toValuesTree=I;function D(d,v,m,g){const u=v.split("."),r=u.pop();let n=d;for(let i=0;i<u.length;i++){const a=u[i];let c=n[a];switch(typeof c){case"undefined":c=n[a]=Object.create(null);break;case"object":break;default:g(`Ignoring ${v} as ${u.slice(0,i+1).join(".")} is ${JSON.stringify(c)}`);return}n=c}if(typeof n=="object"&&n!==null)try{n[r]=m}catch{g(`Ignoring ${v} as ${u.join(".")} is ${JSON.stringify(n)}`)}else g(`Ignoring ${v} as ${u.join(".")} is ${JSON.stringify(n)}`)}e.addToValueTree=D;function b(d,v){const m=v.split(".");p(d,m)}e.removeFromValueTree=b;function p(d,v){const m=v.shift();if(v.length===0){delete d[m];return}if(Object.keys(d).indexOf(m)!==-1){const g=d[m];typeof g=="object"&&!Array.isArray(g)&&(p(g,v),Object.keys(g).length===0&&delete d[m])}}function y(d,v,m){function g(n,i){let a=n;for(const c of i){if(typeof a!="object"||a===null)return;a=a[c]}return a}const u=v.split("."),r=g(d,u);return typeof r=="undefined"?m:r}e.getConfigurationValue=y;function h(d,v,m){Object.keys(v).forEach(g=>{g!=="__proto__"&&(g in d?R.isObject(d[g])&&R.isObject(v[g])?h(d[g],v[g],m):m&&(d[g]=v[g]):d[g]=v[g])})}e.merge=h;function S(d,v,m){const g=d.inspect(v),u=d.inspect(m);return typeof g.userValue!="undefined"||typeof g.workspaceValue!="undefined"||typeof g.workspaceFolderValue!="undefined"?g.value:typeof u.userValue!="undefined"||typeof u.workspaceValue!="undefined"||typeof u.workspaceFolderValue!="undefined"?u.value:g.defaultValue}e.getMigratedSettingValue=S;function w(d){return d.replace(/[\[\]]/g,"")}e.getLanguageTagSettingPlainKey=w}),define(re[172],se([0,1,4,26,5]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;const T=new Map;T.set("false",!1),T.set("true",!0),T.set("isMac",R.isMacintosh),T.set("isLinux",R.isLinux),T.set("isWindows",R.isWindows),T.set("isWeb",R.isWeb),T.set("isMacNative",R.isMacintosh&&!R.isWeb),T.set("isEdge",R.isEdge),T.set("isFirefox",R.isFirefox),T.set("isChrome",R.isChrome),T.set("isSafari",R.isSafari);const A=Object.prototype.hasOwnProperty;var C;(function(N){N[N.False=0]="False",N[N.True=1]="True",N[N.Defined=2]="Defined",N[N.Not=3]="Not",N[N.Equals=4]="Equals",N[N.NotEquals=5]="NotEquals",N[N.And=6]="And",N[N.Regex=7]="Regex",N[N.NotRegex=8]="NotRegex",N[N.Or=9]="Or",N[N.In=10]="In",N[N.NotIn=11]="NotIn",N[N.Greater=12]="Greater",N[N.GreaterEquals=13]="GreaterEquals",N[N.Smaller=14]="Smaller",N[N.SmallerEquals=15]="SmallerEquals"})(C=e.ContextKeyExprType||(e.ContextKeyExprType={}));class P{static false(){return b.INSTANCE}static true(){return p.INSTANCE}static has(L){return y.create(L)}static equals(L,M){return h.create(L,M)}static notEquals(L,M){return d.create(L,M)}static regex(L,M){return i.create(L,M)}static in(L,M){return S.create(L,M)}static not(L){return v.create(L)}static and(...L){return o.create(L,null)}static or(...L){return s.create(L,null,!0)}static greater(L,M){return g.create(L,M)}static greaterEquals(L,M){return u.create(L,M)}static smaller(L,M){return r.create(L,M)}static smallerEquals(L,M){return n.create(L,M)}static deserialize(L,M=!1){if(!!L)return this._deserializeOrExpression(L,M)}static _deserializeOrExpression(L,M){const O=L.split("||");return s.create(O.map(H=>this._deserializeAndExpression(H,M)),null,!0)}static _deserializeAndExpression(L,M){const O=L.split("&&");return o.create(O.map(H=>this._deserializeOne(H,M)),null)}static _deserializeOne(L,M){if(L=L.trim(),L.indexOf("!=")>=0){const O=L.split("!=");return d.create(O[0].trim(),this._deserializeValue(O[1],M))}if(L.indexOf("==")>=0){const O=L.split("==");return h.create(O[0].trim(),this._deserializeValue(O[1],M))}if(L.indexOf("=~")>=0){const O=L.split("=~");return i.create(O[0].trim(),this._deserializeRegexValue(O[1],M))}if(L.indexOf(" in ")>=0){const O=L.split(" in ");return S.create(O[0].trim(),O[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(L)){const O=L.split(">=");return u.create(O[0].trim(),O[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(L)){const O=L.split(">");return g.create(O[0].trim(),O[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(L)){const O=L.split("<=");return n.create(O[0].trim(),O[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(L)){const O=L.split("<");return r.create(O[0].trim(),O[1].trim())}return/^\!\s*/.test(L)?v.create(L.substr(1).trim()):y.create(L)}static _deserializeValue(L,M){if(L=L.trim(),L==="true")return!0;if(L==="false")return!1;const O=/^'([^']*)'$/.exec(L);return O?O[1].trim():L}static _deserializeRegexValue(L,M){if((0,t.isFalsyOrWhitespace)(L)){if(M)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}const O=L.indexOf("/"),H=L.lastIndexOf("/");if(O===H||O<0){if(M)throw new Error(`bad regexp-value '${L}', missing /-enclosure`);return console.warn(`bad regexp-value '${L}', missing /-enclosure`),null}const W=L.slice(O+1,H),z=L[H+1]==="i"?"i":"";try{return new RegExp(W,z)}catch(te){if(M)throw new Error(`bad regexp-value '${L}', parse error: ${te}`);return console.warn(`bad regexp-value '${L}', parse error: ${te}`),null}}}e.ContextKeyExpr=P;function I(N,L){const M=N?N.substituteConstants():void 0,O=L?L.substituteConstants():void 0;return!M&&!O?!0:!M||!O?!1:M.equals(O)}e.expressionsAreEqualWithConstantSubstitution=I;function D(N,L){return N.cmp(L)}class b{constructor(){this.type=0}cmp(L){return this.type-L.type}equals(L){return L.type===this.type}substituteConstants(){return this}evaluate(L){return!1}serialize(){return"false"}keys(){return[]}map(L){return this}negate(){return p.INSTANCE}}e.ContextKeyFalseExpr=b,b.INSTANCE=new b;class p{constructor(){this.type=1}cmp(L){return this.type-L.type}equals(L){return L.type===this.type}substituteConstants(){return this}evaluate(L){return!0}serialize(){return"true"}keys(){return[]}map(L){return this}negate(){return b.INSTANCE}}e.ContextKeyTrueExpr=p,p.INSTANCE=new p;class y{constructor(L,M){this.key=L,this.negated=M,this.type=2}static create(L,M=null){const O=T.get(L);return typeof O=="boolean"?O?p.INSTANCE:b.INSTANCE:new y(L,M)}cmp(L){return L.type!==this.type?this.type-L.type:f(this.key,L.key)}equals(L){return L.type===this.type?this.key===L.key:!1}substituteConstants(){const L=T.get(this.key);return typeof L=="boolean"?L?p.INSTANCE:b.INSTANCE:this}evaluate(L){return!!L.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(L){return L.mapDefined(this.key)}negate(){return this.negated||(this.negated=v.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=y;class h{constructor(L,M,O){this.key=L,this.value=M,this.negated=O,this.type=4}static create(L,M,O=null){if(typeof M=="boolean")return M?y.create(L,O):v.create(L,O);const H=T.get(L);return typeof H=="boolean"?M===(H?"true":"false")?p.INSTANCE:b.INSTANCE:new h(L,M,O)}cmp(L){return L.type!==this.type?this.type-L.type:E(this.key,this.value,L.key,L.value)}equals(L){return L.type===this.type?this.key===L.key&&this.value===L.value:!1}substituteConstants(){const L=T.get(this.key);if(typeof L=="boolean"){const M=L?"true":"false";return this.value===M?p.INSTANCE:b.INSTANCE}return this}evaluate(L){return L.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(L){return L.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=d.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=h;class S{constructor(L,M){this.key=L,this.valueKey=M,this.type=10,this.negated=null}static create(L,M){return new S(L,M)}cmp(L){return L.type!==this.type?this.type-L.type:E(this.key,this.valueKey,L.key,L.valueKey)}equals(L){return L.type===this.type?this.key===L.key&&this.valueKey===L.valueKey:!1}substituteConstants(){return this}evaluate(L){const M=L.getValue(this.valueKey),O=L.getValue(this.key);return Array.isArray(M)?M.includes(O):typeof O=="string"&&typeof M=="object"&&M!==null?A.call(M,O):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(L){return L.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=w.create(this)),this.negated}}e.ContextKeyInExpr=S;class w{constructor(L){this._actual=L,this.type=11}static create(L){return new w(L)}cmp(L){return L.type!==this.type?this.type-L.type:this._actual.cmp(L._actual)}equals(L){return L.type===this.type?this._actual.equals(L._actual):!1}substituteConstants(){return this}evaluate(L){return!this._actual.evaluate(L)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(L){return new w(this._actual.map(L))}negate(){return this._actual}}e.ContextKeyNotInExpr=w;class d{constructor(L,M,O){this.key=L,this.value=M,this.negated=O,this.type=5}static create(L,M,O=null){if(typeof M=="boolean")return M?v.create(L,O):y.create(L,O);const H=T.get(L);return typeof H=="boolean"?M===(H?"true":"false")?b.INSTANCE:p.INSTANCE:new d(L,M,O)}cmp(L){return L.type!==this.type?this.type-L.type:E(this.key,this.value,L.key,L.value)}equals(L){return L.type===this.type?this.key===L.key&&this.value===L.value:!1}substituteConstants(){const L=T.get(this.key);if(typeof L=="boolean"){const M=L?"true":"false";return this.value===M?b.INSTANCE:p.INSTANCE}return this}evaluate(L){return L.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(L){return L.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=h.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=d;class v{constructor(L,M){this.key=L,this.negated=M,this.type=3}static create(L,M=null){const O=T.get(L);return typeof O=="boolean"?O?b.INSTANCE:p.INSTANCE:new v(L,M)}cmp(L){return L.type!==this.type?this.type-L.type:f(this.key,L.key)}equals(L){return L.type===this.type?this.key===L.key:!1}substituteConstants(){const L=T.get(this.key);return typeof L=="boolean"?L?b.INSTANCE:p.INSTANCE:this}evaluate(L){return!L.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(L){return L.mapNot(this.key)}negate(){return this.negated||(this.negated=y.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=v;function m(N,L){if(typeof N=="string"){const M=parseFloat(N);isNaN(M)||(N=M)}return typeof N=="string"||typeof N=="number"?L(N):b.INSTANCE}class g{constructor(L,M,O){this.key=L,this.value=M,this.negated=O,this.type=12}static create(L,M,O=null){return m(M,H=>new g(L,H,O))}cmp(L){return L.type!==this.type?this.type-L.type:E(this.key,this.value,L.key,L.value)}equals(L){return L.type===this.type?this.key===L.key&&this.value===L.value:!1}substituteConstants(){return this}evaluate(L){return typeof this.value=="string"?!1:parseFloat(L.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(L){return L.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=n.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=g;class u{constructor(L,M,O){this.key=L,this.value=M,this.negated=O,this.type=13}static create(L,M,O=null){return m(M,H=>new u(L,H,O))}cmp(L){return L.type!==this.type?this.type-L.type:E(this.key,this.value,L.key,L.value)}equals(L){return L.type===this.type?this.key===L.key&&this.value===L.value:!1}substituteConstants(){return this}evaluate(L){return typeof this.value=="string"?!1:parseFloat(L.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(L){return L.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=r.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=u;class r{constructor(L,M,O){this.key=L,this.value=M,this.negated=O,this.type=14}static create(L,M,O=null){return m(M,H=>new r(L,H,O))}cmp(L){return L.type!==this.type?this.type-L.type:E(this.key,this.value,L.key,L.value)}equals(L){return L.type===this.type?this.key===L.key&&this.value===L.value:!1}substituteConstants(){return this}evaluate(L){return typeof this.value=="string"?!1:parseFloat(L.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(L){return L.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=u.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=r;class n{constructor(L,M,O){this.key=L,this.value=M,this.negated=O,this.type=15}static create(L,M,O=null){return m(M,H=>new n(L,H,O))}cmp(L){return L.type!==this.type?this.type-L.type:E(this.key,this.value,L.key,L.value)}equals(L){return L.type===this.type?this.key===L.key&&this.value===L.value:!1}substituteConstants(){return this}evaluate(L){return typeof this.value=="string"?!1:parseFloat(L.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(L){return L.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=g.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=n;class i{constructor(L,M){this.key=L,this.regexp=M,this.type=7,this.negated=null}static create(L,M){return new i(L,M)}cmp(L){if(L.type!==this.type)return this.type-L.type;if(this.key<L.key)return-1;if(this.key>L.key)return 1;const M=this.regexp?this.regexp.source:"",O=L.regexp?L.regexp.source:"";return M<O?-1:M>O?1:0}equals(L){if(L.type===this.type){const M=this.regexp?this.regexp.source:"",O=L.regexp?L.regexp.source:"";return this.key===L.key&&M===O}return!1}substituteConstants(){return this}evaluate(L){const M=L.getValue(this.key);return this.regexp?this.regexp.test(M):!1}serialize(){const L=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${L}`}keys(){return[this.key]}map(L){return L.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=a.create(this)),this.negated}}e.ContextKeyRegexExpr=i;class a{constructor(L){this._actual=L,this.type=8}static create(L){return new a(L)}cmp(L){return L.type!==this.type?this.type-L.type:this._actual.cmp(L._actual)}equals(L){return L.type===this.type?this._actual.equals(L._actual):!1}substituteConstants(){return this}evaluate(L){return!this._actual.evaluate(L)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(L){return new a(this._actual.map(L))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=a;function c(N){let L=null;for(let M=0,O=N.length;M<O;M++){const H=N[M].substituteConstants();if(N[M]!==H&&L===null){L=[];for(let W=0;W<M;W++)L[W]=N[W]}L!==null&&(L[M]=H)}return L===null?N:L}class o{constructor(L,M){this.expr=L,this.negated=M,this.type=6}static create(L,M){return o._normalizeArr(L,M)}cmp(L){if(L.type!==this.type)return this.type-L.type;if(this.expr.length<L.expr.length)return-1;if(this.expr.length>L.expr.length)return 1;for(let M=0,O=this.expr.length;M<O;M++){const H=D(this.expr[M],L.expr[M]);if(H!==0)return H}return 0}equals(L){if(L.type===this.type){if(this.expr.length!==L.expr.length)return!1;for(let M=0,O=this.expr.length;M<O;M++)if(!this.expr[M].equals(L.expr[M]))return!1;return!0}return!1}substituteConstants(){const L=c(this.expr);return L===this.expr?this:o.create(L,this.negated)}evaluate(L){for(let M=0,O=this.expr.length;M<O;M++)if(!this.expr[M].evaluate(L))return!1;return!0}static _normalizeArr(L,M){const O=[];let H=!1;for(const W of L)if(!!W){if(W.type===1){H=!0;continue}if(W.type===0)return b.INSTANCE;if(W.type===6){O.push(...W.expr);continue}O.push(W)}if(O.length===0&&H)return p.INSTANCE;if(O.length!==0){if(O.length===1)return O[0];O.sort(D);for(let W=1;W<O.length;W++)O[W-1].equals(O[W])&&(O.splice(W,1),W--);if(O.length===1)return O[0];for(;O.length>1;){const W=O[O.length-1];if(W.type!==9)break;O.pop();const z=O.pop(),te=O.length===0,V=s.create(W.expr.map(Y=>o.create([Y,z],null)),null,te);V&&(O.push(V),O.sort(D))}return O.length===1?O[0]:new o(O,M)}}serialize(){return this.expr.map(L=>L.serialize()).join(" && ")}keys(){const L=[];for(const M of this.expr)L.push(...M.keys());return L}map(L){return new o(this.expr.map(M=>M.map(L)),null)}negate(){if(!this.negated){const L=[];for(const M of this.expr)L.push(M.negate());this.negated=s.create(L,this,!0)}return this.negated}}class s{constructor(L,M){this.expr=L,this.negated=M,this.type=9}static create(L,M,O){return s._normalizeArr(L,M,O)}cmp(L){if(L.type!==this.type)return this.type-L.type;if(this.expr.length<L.expr.length)return-1;if(this.expr.length>L.expr.length)return 1;for(let M=0,O=this.expr.length;M<O;M++){const H=D(this.expr[M],L.expr[M]);if(H!==0)return H}return 0}equals(L){if(L.type===this.type){if(this.expr.length!==L.expr.length)return!1;for(let M=0,O=this.expr.length;M<O;M++)if(!this.expr[M].equals(L.expr[M]))return!1;return!0}return!1}substituteConstants(){const L=c(this.expr);return L===this.expr?this:s.create(L,this.negated,!1)}evaluate(L){for(let M=0,O=this.expr.length;M<O;M++)if(this.expr[M].evaluate(L))return!0;return!1}static _normalizeArr(L,M,O){let H=[],W=!1;if(L){for(let z=0,te=L.length;z<te;z++){const V=L[z];if(!!V){if(V.type===0){W=!0;continue}if(V.type===1)return p.INSTANCE;if(V.type===9){H=H.concat(V.expr);continue}H.push(V)}}if(H.length===0&&W)return b.INSTANCE;H.sort(D)}if(H.length!==0){if(H.length===1)return H[0];for(let z=1;z<H.length;z++)H[z-1].equals(H[z])&&(H.splice(z,1),z--);if(H.length===1)return H[0];if(O){for(let z=0;z<H.length;z++)for(let te=z+1;te<H.length;te++)U(H[z],H[te])&&(H.splice(te,1),te--);if(H.length===1)return H[0]}return new s(H,M)}}serialize(){return this.expr.map(L=>L.serialize()).join(" || ")}keys(){const L=[];for(const M of this.expr)L.push(...M.keys());return L}map(L){return new s(this.expr.map(M=>M.map(L)),null)}negate(){if(!this.negated){const L=[];for(const M of this.expr)L.push(M.negate());for(;L.length>1;){const M=L.shift(),O=L.shift(),H=[];for(const z of _(M))for(const te of _(O))H.push(o.create([z,te],null));const W=L.length===0;L.unshift(s.create(H,null,W))}this.negated=L[0]}return this.negated}}class l extends y{constructor(L,M,O){super(L,null);this._defaultValue=M,typeof O=="object"?l._info.push({...O,key:L}):O!==!0&&l._info.push({key:L,description:O,type:M!=null?typeof M:void 0})}static all(){return l._info.values()}bindTo(L){return L.createKey(this.key,this._defaultValue)}getValue(L){return L.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(L){return h.create(this.key,L)}notEqualsTo(L){return d.create(this.key,L)}}e.RawContextKey=l,l._info=[],e.IContextKeyService=(0,k.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function f(N,L){return N<L?-1:N>L?1:0}function E(N,L,M,O){return N<M?-1:N>M?1:L<O?-1:L>O?1:0}function U(N,L){if(L.type===6&&N.type!==9&&N.type!==6){for(const H of L.expr)if(N.equals(H))return!0}const M=N.negate(),O=_(M).concat(_(L));O.sort(D);for(let H=0;H<O.length;H++){const z=O[H].negate();for(let te=H+1;te<O.length;te++){const V=O[te];if(z.equals(V))return!0}}return!1}e.implies=U;function _(N){return N.type===9?N.expr:[N]}}),define(re[89],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullDiagnosticsService=e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,R.createDecorator)(e.ID);function t(T){return!!T.hostName&&!!T.errorMessage}e.isRemoteDiagnosticError=t;class k{async getPerformanceInfo(A,C){return{}}async getSystemInfo(A,C){return{processArgs:"nullProcessArgs",gpuStatus:"nullGpuStatus",screenReader:"nullScreenReader",remoteData:[],os:"nullOs",memory:"nullMemory",vmHint:"nullVmHint"}}async getDiagnostics(A,C){return""}async getWorkspaceFileExtensions(A){return{extensions:[]}}async reportWorkspaceStats(A){}}e.NullDiagnosticsService=k}),define(re[90],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDownloadService=void 0,e.IDownloadService=(0,R.createDecorator)("downloadService")}),define(re[15],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,R.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,R.refineServiceDecorator)(e.IEnvironmentService)}),define(re[28],se([0,1,141,5]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDefaultExtensionsProfileInitService=e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IServerExtensionManagementService=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";function k(d){switch(d){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=k;function T(d){switch(d){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=T;function A(d,v){switch(d){case 3:return v==="x64"?"win32-x64":v==="ia32"?"win32-ia32":v==="arm64"?"win32-arm64":"unknown";case 2:return v==="x64"?"linux-x64":v==="arm64"?"linux-arm64":v==="arm"?"linux-armhf":"unknown";case"alpine":return v==="x64"?"alpine-x64":v==="arm64"?"alpine-arm64":"unknown";case 1:return v==="x64"?"darwin-x64":v==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=A;function C(d,v){return v==="web"&&!d.includes("web")}e.isNotWebExtensionInWebTargetPlatform=C;function P(d,v,m){return C(v,m)?!1:d==="undefined"||d==="universal"?!0:d==="unknown"?!1:d===m?!0:I(m).includes(d)}e.isTargetPlatformCompatible=P;function I(d){switch(d){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=I;function D(d){return d&&typeof d=="object"&&typeof d.id=="string"&&(!d.uuid||typeof d.uuid=="string")}e.isIExtensionIdentifier=D;var b;(function(d){d[d.NoneOrRelevance=0]="NoneOrRelevance",d[d.LastUpdatedDate=1]="LastUpdatedDate",d[d.Title=2]="Title",d[d.PublisherName=3]="PublisherName",d[d.InstallCount=4]="InstallCount",d[d.PublishedDate=10]="PublishedDate",d[d.AverageRating=6]="AverageRating",d[d.WeightedRating=12]="WeightedRating"})(b=e.SortBy||(e.SortBy={}));var p;(function(d){d[d.Default=0]="Default",d[d.Ascending=1]="Ascending",d[d.Descending=2]="Descending"})(p=e.SortOrder||(e.SortOrder={}));var y;(function(d){d.Install="install",d.Uninstall="uninstall"})(y=e.StatisticType||(e.StatisticType={}));var h;(function(d){d[d.None=1]="None",d[d.Install=2]="Install",d[d.Update=3]="Update",d[d.Migrate=4]="Migrate"})(h=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,t.createDecorator)("extensionGalleryService");var S;(function(d){d.Unsupported="Unsupported",d.Deprecated="Deprecated",d.Malicious="Malicious",d.Incompatible="Incompatible",d.IncompatiblePreRelease="IncompatiblePreRelease",d.IncompatibleTargetPlatform="IncompatibleTargetPlatform",d.ReleaseVersionNotFound="ReleaseVersionNotFound",d.Invalid="Invalid",d.Download="Download",d.Extract="Extract",d.Delete="Delete",d.Rename="Rename",d.CorruptZip="CorruptZip",d.IncompleteZip="IncompleteZip",d.Internal="Internal"})(S=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class w extends Error{constructor(v,m){super(v);this.code=m,this.name=m}}e.ExtensionManagementError=w,e.IExtensionManagementService=(0,t.createDecorator)("extensionManagementService"),e.IServerExtensionManagementService=(0,t.refineServiceDecorator)(e.IExtensionManagementService),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,t.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,t.createDecorator)("IExtensionTipsService"),e.ExtensionsLabel=(0,R.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,R.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,t.createDecorator)("IExtensionManagementCLIService"),e.IDefaultExtensionsProfileInitService=(0,t.createDecorator)("IDefaultExtensionsProfileInitService")}),define(re[173],se([0,1,3,2,63,30,8,127,28]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsChannel=e.ExtensionManagementChannelClient=e.ExtensionManagementChannel=void 0;function I(w,d){return A.URI.revive(d?d.transformIncoming(w):w)}function D(w,d){return d?d.transformOutgoingURI(w):w}function b(w,d){d=d||C.DefaultURITransformer;const v=w.manifest;return{...(0,C.transformAndReviveIncomingURIs)({...w,manifest:void 0},d),manifest:v}}function p(w,d){return d?(0,T.cloneAndChange)(w,v=>v instanceof A.URI?d.transformOutgoingURI(v):void 0):w}class y{constructor(d,v){this.service=d,this.getUriTransformer=v,this.onInstallExtension=R.Event.buffer(d.onInstallExtension,!0),this.onDidInstallExtensions=R.Event.buffer(d.onDidInstallExtensions,!0),this.onUninstallExtension=R.Event.buffer(d.onUninstallExtension,!0),this.onDidUninstallExtension=R.Event.buffer(d.onDidUninstallExtension,!0)}listen(d,v){const m=this.getUriTransformer(d);switch(v){case"onInstallExtension":return this.onInstallExtension;case"onDidInstallExtensions":return R.Event.map(this.onDidInstallExtensions,g=>g.map(u=>({...u,local:u.local?p(u.local,m):u.local})));case"onUninstallExtension":return this.onUninstallExtension;case"onDidUninstallExtension":return this.onDidUninstallExtension}throw new Error("Invalid listen")}call(d,v,m){const g=this.getUriTransformer(d);switch(v){case"zip":return this.service.zip(b(m[0],g)).then(u=>D(u,g));case"unzip":return this.service.unzip(I(m[0],g));case"install":return this.service.install(I(m[0],g),(0,k.revive)(m[1]));case"getManifest":return this.service.getManifest(I(m[0],g));case"getTargetPlatform":return this.service.getTargetPlatform();case"canInstall":return this.service.canInstall(m[0]);case"installFromGallery":return this.service.installFromGallery(m[0],(0,k.revive)(m[1]));case"uninstall":return this.service.uninstall(b(m[0],g),(0,k.revive)(m[1]));case"reinstallFromGallery":return this.service.reinstallFromGallery(b(m[0],g));case"getInstalled":return this.service.getInstalled(m[0],A.URI.revive(m[1])).then(u=>u.map(r=>p(r,g)));case"getMetadata":return this.service.getMetadata(b(m[0],g));case"updateMetadata":return this.service.updateMetadata(b(m[0],g),m[1]).then(u=>p(u,g));case"updateExtensionScope":return this.service.updateExtensionScope(b(m[0],g),m[1]).then(u=>p(u,g));case"getExtensionsControlManifest":return this.service.getExtensionsControlManifest()}throw new Error("Invalid call")}}e.ExtensionManagementChannel=y;class h extends t.Disposable{constructor(d){super();this.channel=d,this._onInstallExtension=this._register(new R.Emitter),this._onDidInstallExtensions=this._register(new R.Emitter),this._onUninstallExtension=this._register(new R.Emitter),this._onDidUninstallExtension=this._register(new R.Emitter),this._register(this.channel.listen("onInstallExtension")(v=>this._onInstallExtension.fire({identifier:v.identifier,source:this.isUriComponents(v.source)?A.URI.revive(v.source):v.source,profileLocation:A.URI.revive(v.profileLocation)}))),this._register(this.channel.listen("onDidInstallExtensions")(v=>this._onDidInstallExtensions.fire(v.map(m=>({...m,local:m.local?b(m.local,null):m.local,source:this.isUriComponents(m.source)?A.URI.revive(m.source):m.source,profileLocation:A.URI.revive(m.profileLocation)}))))),this._register(this.channel.listen("onUninstallExtension")(v=>this._onUninstallExtension.fire({identifier:v.identifier,profileLocation:A.URI.revive(v.profileLocation)}))),this._register(this.channel.listen("onDidUninstallExtension")(v=>this._onDidUninstallExtension.fire({...v,profileLocation:A.URI.revive(v.profileLocation)})))}get onInstallExtension(){return this._onInstallExtension.event}get onDidInstallExtensions(){return this._onDidInstallExtensions.event}get onUninstallExtension(){return this._onUninstallExtension.event}get onDidUninstallExtension(){return this._onDidUninstallExtension.event}isUriComponents(d){return d?typeof d.path=="string"&&typeof d.scheme=="string":!1}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=this.channel.call("getTargetPlatform")),this._targetPlatformPromise}async canInstall(d){const v=await this.getTargetPlatform();return d.allTargetPlatforms.some(m=>(0,P.isTargetPlatformCompatible)(m,d.allTargetPlatforms,v))}zip(d){return Promise.resolve(this.channel.call("zip",[d]).then(v=>A.URI.revive(v)))}unzip(d){return Promise.resolve(this.channel.call("unzip",[d]))}install(d,v){return Promise.resolve(this.channel.call("install",[d,v])).then(m=>b(m,null))}getManifest(d){return Promise.resolve(this.channel.call("getManifest",[d]))}installFromGallery(d,v){return Promise.resolve(this.channel.call("installFromGallery",[d,v])).then(m=>b(m,null))}uninstall(d,v){return Promise.resolve(this.channel.call("uninstall",[d,v]))}reinstallFromGallery(d){return Promise.resolve(this.channel.call("reinstallFromGallery",[d]))}getInstalled(d=null,v){return Promise.resolve(this.channel.call("getInstalled",[d,v])).then(m=>m.map(g=>b(g,null)))}getMetadata(d){return Promise.resolve(this.channel.call("getMetadata",[d]))}updateMetadata(d,v){return Promise.resolve(this.channel.call("updateMetadata",[d,v])).then(m=>b(m,null))}updateExtensionScope(d,v){return Promise.resolve(this.channel.call("updateExtensionScope",[d,v])).then(m=>b(m,null))}getExtensionsControlManifest(){return Promise.resolve(this.channel.call("getExtensionsControlManifest"))}registerParticipant(){throw new Error("Not Supported")}}e.ExtensionManagementChannelClient=h;class S{constructor(d){this.service=d}listen(d,v){throw new Error("Invalid listen")}call(d,v,m){switch(v){case"getConfigBasedTips":return this.service.getConfigBasedTips(A.URI.revive(m[0]));case"getImportantExecutableBasedTips":return this.service.getImportantExecutableBasedTips();case"getOtherExecutableBasedTips":return this.service.getOtherExecutableBasedTips();case"getAllWorkspacesTips":return this.service.getAllWorkspacesTips()}throw new Error("Invalid call")}}e.ExtensionTipsChannel=S}),define(re[91],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionRecommendationNotificationService=e.RecommendationsNotificationResult=e.RecommendationSourceToString=e.RecommendationSource=void 0;var t;(function(A){A[A.FILE=1]="FILE",A[A.WORKSPACE=2]="WORKSPACE",A[A.EXE=3]="EXE"})(t=e.RecommendationSource||(e.RecommendationSource={}));function k(A){switch(A){case 1:return"file";case 2:return"workspace";case 3:return"exe"}}e.RecommendationSourceToString=k;var T;(function(A){A.Ignored="ignored",A.Cancelled="cancelled",A.TooMany="toomany",A.IncompatibleWindow="incompatibleWindow",A.Accepted="reacted"})(T=e.RecommendationsNotificationResult||(e.RecommendationsNotificationResult={})),e.IExtensionRecommendationNotificationService=(0,R.createDecorator)("IExtensionRecommendationNotificationService")}),define(re[10],se([0,1,38,13,26,14,8,148,5]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileCloneCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,P.createDecorator)("fileService");function I(z){return z.create===!0}e.isFileOpenForWriteOptions=I;var D;(function(z){z[z.Unknown=0]="Unknown",z[z.File=1]="File",z[z.Directory=2]="Directory",z[z.SymbolicLink=64]="SymbolicLink"})(D=e.FileType||(e.FileType={}));var b;(function(z){z[z.Readonly=1]="Readonly"})(b=e.FilePermission||(e.FilePermission={}));var p;(function(z){z[z.FileReadWrite=2]="FileReadWrite",z[z.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",z[z.FileReadStream=16]="FileReadStream",z[z.FileFolderCopy=8]="FileFolderCopy",z[z.PathCaseSensitive=1024]="PathCaseSensitive",z[z.Readonly=2048]="Readonly",z[z.Trash=4096]="Trash",z[z.FileWriteUnlock=8192]="FileWriteUnlock",z[z.FileAtomicRead=16384]="FileAtomicRead",z[z.FileClone=32768]="FileClone"})(p=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function y(z){return!!(z.capabilities&2)}e.hasReadWriteCapability=y;function h(z){return!!(z.capabilities&8)}e.hasFileFolderCopyCapability=h;function S(z){return!!(z.capabilities&32768)}e.hasFileCloneCapability=S;function w(z){return!!(z.capabilities&4)}e.hasOpenReadWriteCloseCapability=w;function d(z){return!!(z.capabilities&16)}e.hasFileReadStreamCapability=d;function v(z){return y(z)?!!(z.capabilities&16384):!1}e.hasFileAtomicReadCapability=v;var m;(function(z){z.FileExists="EntryExists",z.FileNotFound="EntryNotFound",z.FileNotADirectory="EntryNotADirectory",z.FileIsADirectory="EntryIsADirectory",z.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",z.FileTooLarge="EntryTooLarge",z.FileWriteLocked="EntryWriteLocked",z.NoPermissions="NoPermissions",z.Unavailable="Unavailable",z.Unknown="Unknown"})(m=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class g extends Error{constructor(te,V){super(te);this.code=V}}e.FileSystemProviderError=g;function u(z,te){const V=new g(z.toString(),te);return n(V,te),V}e.createFileSystemProviderError=u;function r(z){return z||u((0,C.localize)(0,null),m.Unknown)}e.ensureFileSystemProviderError=r;function n(z,te){return z.name=te?`${te} (FileSystemError)`:"FileSystemError",z}e.markAsFileSystemProviderError=n;function i(z){if(!z)return m.Unknown;if(z instanceof g)return z.code;const te=/^(.+) \(FileSystemError\)$/.exec(z.name);if(!te)return m.Unknown;switch(te[1]){case m.FileExists:return m.FileExists;case m.FileIsADirectory:return m.FileIsADirectory;case m.FileNotADirectory:return m.FileNotADirectory;case m.FileNotFound:return m.FileNotFound;case m.FileExceedsMemoryLimit:return m.FileExceedsMemoryLimit;case m.FileTooLarge:return m.FileTooLarge;case m.FileWriteLocked:return m.FileWriteLocked;case m.NoPermissions:return m.NoPermissions;case m.Unavailable:return m.Unavailable}return m.Unknown}e.toFileSystemProviderErrorCode=i;function a(z){if(z instanceof E)return z.fileOperationResult;switch(i(z)){case m.FileNotFound:return 1;case m.FileIsADirectory:return 0;case m.FileNotADirectory:return 10;case m.FileWriteLocked:return 5;case m.NoPermissions:return 6;case m.FileExists:return 4;case m.FileExceedsMemoryLimit:return 9;case m.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=a;var c;(function(z){z[z.CREATE=0]="CREATE",z[z.DELETE=1]="DELETE",z[z.MOVE=2]="MOVE",z[z.COPY=3]="COPY",z[z.WRITE=4]="WRITE"})(c=e.FileOperation||(e.FileOperation={}));class o{constructor(te,V,Y){this.resource=te,this.operation=V,this.target=Y}isOperation(te){return this.operation===te}}e.FileOperationEvent=o;var s;(function(z){z[z.UPDATED=0]="UPDATED",z[z.ADDED=1]="ADDED",z[z.DELETED=2]="DELETED"})(s=e.FileChangeType||(e.FileChangeType={}));class l{constructor(te,V){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=te;const Y=new Map;for(const X of te){const K=Y.get(X.type);switch(K?K.push([X.resource,X]):Y.set(X.type,[[X.resource,X]]),X.type){case 1:this.rawAdded.push(X.resource);break;case 0:this.rawUpdated.push(X.resource);break;case 2:this.rawDeleted.push(X.resource);break}}for(const[X,K]of Y)switch(X){case 1:this.added=R.TernarySearchTree.forUris(()=>V),this.added.fill(K);break;case 0:this.updated=R.TernarySearchTree.forUris(()=>V),this.updated.fill(K);break;case 2:this.deleted=R.TernarySearchTree.forUris(()=>V),this.deleted.fill(K);break}}contains(te,...V){return this.doContains(te,{includeChildren:!1},...V)}affects(te,...V){return this.doContains(te,{includeChildren:!0},...V)}doContains(te,V,...Y){if(!te)return!1;const X=Y.length>0;return!!((!X||Y.includes(1))&&(this.added?.get(te)||V.includeChildren&&this.added?.findSuperstr(te))||(!X||Y.includes(0))&&(this.updated?.get(te)||V.includeChildren&&this.updated?.findSuperstr(te))||(!X||Y.includes(2))&&(this.deleted?.findSubstr(te)||V.includeChildren&&this.deleted?.findSuperstr(te)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=l;function f(z,te,V){return!z||!te||z===te||te.length>z.length?!1:(te.charAt(te.length-1)!==t.sep&&(te+=t.sep),V?(0,k.startsWithIgnoreCase)(z,te):z.indexOf(te)===0)}e.isParent=f;class E extends Error{constructor(te,V,Y){super(te);this.fileOperationResult=V,this.options=Y}}e.FileOperationError=E;class U extends E{constructor(te,V,Y){super(te,2,Y);this.stat=V}}e.NotModifiedSinceFileOperationError=U;var _;(function(z){z[z.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",z[z.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",z[z.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",z[z.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",z[z.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",z[z.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",z[z.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",z[z.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",z[z.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",z[z.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",z[z.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",z[z.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(_=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var N;(function(z){z[z.FILE=0]="FILE",z[z.FOLDER=1]="FOLDER",z[z.ROOT_FOLDER=2]="ROOT_FOLDER"})(N=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function L(z){if(!(typeof z.size!="number"||typeof z.mtime!="number"))return z.mtime.toString(29)+z.size.toString(31)}e.etag=L;async function M(z,te){if(!te.hasProvider(A.URI.from({scheme:z.scheme})))return new Promise(V=>{const Y=te.onDidChangeFileSystemProviderRegistrations(X=>{X.scheme===z.scheme&&X.added&&(Y.dispose(),V())})})}e.whenProviderRegistered=M,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class O{static formatSize(te){return(0,T.isNumber)(te)||(te=0),te<O.KB?(0,C.localize)(1,null,te.toFixed(0)):te<O.MB?(0,C.localize)(2,null,(te/O.KB).toFixed(2)):te<O.GB?(0,C.localize)(3,null,(te/O.MB).toFixed(2)):te<O.TB?(0,C.localize)(4,null,(te/O.GB).toFixed(2)):(0,C.localize)(5,null,(te/O.TB).toFixed(2))}}e.ByteSize=O,O.KB=1024,O.MB=O.KB*O.KB,O.GB=O.MB*O.KB,O.TB=O.GB*O.KB;var H;(function(z){z[z.IA32=0]="IA32",z[z.OTHER=1]="OTHER"})(H=e.Arch||(e.Arch={}));function W(z){return{maxFileSize:z===0?300*O.MB:16*O.GB,maxHeapSize:z===0?700*O.MB:2*700*O.MB}}e.getPlatformLimits=W});var Q=this&&this.__param||function(Z,e){return function(R,t){e(R,t,Z)}};define(re[174],se([0,1,175,42,10]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ChecksumService=void 0;let T=class{constructor(C){this.fileService=C}async checksum(C){const P=(await this.fileService.readFileStream(C)).value;return new Promise((I,D)=>{const b=(0,R.createHash)("md5");(0,t.listenStream)(P,{onData:p=>b.update(p.buffer),onError:p=>D(p),onEnd:()=>I(b.digest("base64").replace(/=+$/,""))})})}};T=fe([Q(0,k.IFileService)],T),e.ChecksumService=T}),define(re[176],se([0,1,16,37,9,3,2,42,8,31,10]),function(Z,e,R,t,k,T,A,C,P,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderClient=e.LOCAL_FILE_SYSTEM_CHANNEL_NAME=void 0,e.LOCAL_FILE_SYSTEM_CHANNEL_NAME="localFilesystem";class b extends A.Disposable{constructor(y,h){super();this.channel=y,this.extraCapabilities=h,this.onDidChangeCapabilities=T.Event.None,this._onDidChange=this._register(new T.Emitter),this.onDidChangeFile=this._onDidChange.event,this._onDidWatchError=this._register(new T.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.sessionId=(0,I.generateUuid)(),this.registerFileChangeListeners()}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384|32768,this.extraCapabilities.pathCaseSensitive&&(this._capabilities|=1024),this.extraCapabilities.trash&&(this._capabilities|=4096)),this._capabilities}stat(y){return this.channel.call("stat",[y])}readdir(y){return this.channel.call("readdir",[y])}async readFile(y,h){const{buffer:S}=await this.channel.call("readFile",[y,h]);return S}readFileStream(y,h,S){const w=(0,C.newWriteableStream)(v=>R.VSBuffer.concat(v.map(m=>R.VSBuffer.wrap(m))).buffer),d=this.channel.listen("readFileStream",[y,h])(v=>{if(v instanceof R.VSBuffer)w.write(v.buffer);else{if(v==="end")w.end();else{let m=v;m instanceof Error||(m=(0,D.createFileSystemProviderError)((0,t.toErrorMessage)(m),D.FileSystemProviderErrorCode.Unknown)),w.error(m),w.end()}d.dispose()}});return S.onCancellationRequested(()=>{w.error((0,k.canceled)()),w.end(),d.dispose()}),w}writeFile(y,h,S){return this.channel.call("writeFile",[y,R.VSBuffer.wrap(h),S])}open(y,h){return this.channel.call("open",[y,h])}close(y){return this.channel.call("close",[y])}async read(y,h,S,w,d){const[v,m]=await this.channel.call("read",[y,h,d]);return S.set(v.buffer.slice(0,m),w),m}write(y,h,S,w,d){return this.channel.call("write",[y,h,R.VSBuffer.wrap(S),w,d])}mkdir(y){return this.channel.call("mkdir",[y])}delete(y,h){return this.channel.call("delete",[y,h])}rename(y,h,S){return this.channel.call("rename",[y,h,S])}copy(y,h,S){return this.channel.call("copy",[y,h,S])}cloneFile(y,h){return this.channel.call("cloneFile",[y,h])}registerFileChangeListeners(){this._register(this.channel.listen("fileChange",[this.sessionId])(y=>{if(Array.isArray(y)){const h=y;this._onDidChange.fire(h.map(S=>({resource:P.URI.revive(S.resource),type:S.type})))}else{const h=y;this._onDidWatchError.fire(h)}}))}watch(y,h){const S=(0,I.generateUuid)();return this.channel.call("watch",[this.sessionId,S,y,h]),(0,A.toDisposable)(()=>this.channel.call("unwatch",[this.sessionId,S]))}}e.DiskFileSystemProviderClient=b}),define(re[92],se([0,1,16,9,149,10]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function A(D,b,p,y,h,S){let w;try{await C(D,b,p,y,h,S)}catch(d){w=d}finally{w&&h.errorTransformer&&(w=h.errorTransformer(w)),typeof w!="undefined"&&p.error(w),p.end()}}e.readFileIntoStream=A;async function C(D,b,p,y,h,S){P(S);const w=await D.open(b,{create:!1});try{P(S);let d=0,v=0,m=h&&typeof h.length=="number"?h.length:void 0,g=R.VSBuffer.alloc(Math.min(h.bufferSize,typeof m=="number"?m:h.bufferSize)),u=h&&typeof h.position=="number"?h.position:0,r=0;do v=await D.read(w,u,g.buffer,r,g.byteLength-r),u+=v,r+=v,d+=v,typeof m=="number"&&(m-=v),r===g.byteLength&&(await p.write(y(g)),g=R.VSBuffer.alloc(Math.min(h.bufferSize,typeof m=="number"?m:h.bufferSize)),r=0);while(v>0&&(typeof m!="number"||m>0)&&P(S)&&I(d,h));if(r>0){let n=r;typeof m=="number"&&(n=Math.min(r,m)),p.write(y(g.slice(0,n)))}}catch(d){throw(0,T.ensureFileSystemProviderError)(d)}finally{await D.close(w)}}function P(D){if(D.isCancellationRequested)throw(0,t.canceled)();return!0}function I(D,b){if(b?.limits){if(typeof b.limits.memory=="number"&&D>b.limits.memory)throw(0,T.createFileSystemProviderError)((0,k.localize)(0,null),T.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof b.limits.size=="number"&&D>b.limits.size)throw(0,T.createFileSystemProviderError)((0,k.localize)(1,null),T.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(re[57],se([0,1,81,2,13,4,8,10]),function(Z,e,R,t,k,T,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseWatcherPatterns=e.normalizeWatcherPattern=e.coalesceEvents=e.toFileChanges=e.AbstractUniversalWatcherClient=e.AbstractNonRecursiveWatcherClient=e.AbstractWatcherClient=e.isRecursiveWatchRequest=void 0;function P(d){return d.recursive===!0}e.isRecursiveWatchRequest=P;class I extends t.Disposable{constructor(v,m,g,u){super();this.onFileChanges=v,this.onLogMessage=m,this.verboseLogging=g,this.options=u,this.watcherDisposables=this._register(new t.MutableDisposable),this.requests=void 0,this.restartCounter=0}init(){const v=new t.DisposableStore;this.watcherDisposables.value=v,this.watcher=this.createWatcher(v),this.watcher.setVerboseLogging(this.verboseLogging),v.add(this.watcher.onDidChangeFile(m=>this.onFileChanges(m))),v.add(this.watcher.onDidLogMessage(m=>this.onLogMessage(m))),v.add(this.watcher.onDidError(m=>this.onError(m)))}onError(v){this.options.restartOnError?this.restartCounter<I.MAX_RESTARTS&&this.requests?(this.error(`restarting watcher after error: ${v}`),this.restart(this.requests)):this.error(`gave up attempting to restart watcher after error: ${v}`):this.error(v)}restart(v){this.restartCounter++,this.init(),this.watch(v)}async watch(v){this.requests=v,await this.watcher?.watch(v)}async setVerboseLogging(v){this.verboseLogging=v,await this.watcher?.setVerboseLogging(v)}error(v){this.onLogMessage({type:"error",message:`[File Watcher (${this.options.type})] ${v}`})}dispose(){return this.watcher=void 0,super.dispose()}}e.AbstractWatcherClient=I,I.MAX_RESTARTS=5;class D extends I{constructor(v,m,g){super(v,m,g,{type:"node.js",restartOnError:!1})}}e.AbstractNonRecursiveWatcherClient=D;class b extends I{constructor(v,m,g){super(v,m,g,{type:"universal",restartOnError:!0})}}e.AbstractUniversalWatcherClient=b;function p(d){return d.map(v=>({type:v.type,resource:A.URI.file(v.path)}))}e.toFileChanges=p;function y(d){const v=new w;for(const m of d)v.processEvent(m);return v.coalesce()}e.coalesceEvents=y;function h(d,v){return typeof v=="string"&&!v.startsWith(R.GLOBSTAR)&&!(0,k.isAbsolute)(v)?{base:d,pattern:v}:v}e.normalizeWatcherPattern=h;function S(d,v){const m=[];for(const g of v)m.push((0,R.parse)(h(d,g)));return m}e.parseWatcherPatterns=S;class w{constructor(){this.coalesced=new Set,this.mapPathToChange=new Map}toKey(v){return T.isLinux?v.path:v.path.toLowerCase()}processEvent(v){const m=this.mapPathToChange.get(this.toKey(v));let g=!1;if(m){const u=m.type,r=v.type;m.path!==v.path&&(v.type===2||v.type===1)?g=!0:u===1&&r===2?(this.mapPathToChange.delete(this.toKey(v)),this.coalesced.delete(m)):u===2&&r===1?m.type=0:u===1&&r===0||(m.type=r)}else g=!0;g&&(this.coalesced.add(v),this.mapPathToChange.set(this.toKey(v),v))}coalesce(){const v=[],m=[];return Array.from(this.coalesced).filter(g=>g.type!==2?(v.push(g),!1):!0).sort((g,u)=>g.path.length-u.path.length).filter(g=>m.some(u=>(0,C.isParent)(g.path,u,!T.isLinux))?!1:(m.push(g.path),!0)).concat(v)}}}),define(re[177],se([0,1,54,6,23,43,2,79,13,4,129,27,57]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.watchFileContents=e.NodeJSFileWatcherLibrary=void 0;class y extends A.Disposable{constructor(w,d,v,m){super();this.request=w,this.onDidFilesChange=d,this.onLogMessage=v,this.verboseLogging=m,this.throttledFileChangesWorker=new t.ThrottledWorker({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},g=>this.onDidFilesChange(g)),this.fileChangesDelayer=this._register(new t.ThrottledDelayer(y.FILE_CHANGES_HANDLER_DELAY)),this.fileChangesBuffer=[],this.excludes=(0,p.parseWatcherPatterns)(this.request.path,this.request.excludes),this.includes=this.request.includes?(0,p.parseWatcherPatterns)(this.request.path,this.request.includes):void 0,this.cts=new k.CancellationTokenSource,this.ready=this.watch()}async watch(){try{const w=await this.normalizePath(this.request);if(this.cts.token.isCancellationRequested)return;const d=await b.Promises.stat(w);this._register(await this.doWatch(w,d.isDirectory()))}catch(w){w.code!=="ENOENT"?this.error(w):this.trace(w)}}async normalizePath(w){let d=w.path;try{d=await b.Promises.realpath(w.path),w.path===d&&(d=await(0,D.realcase)(w.path)??w.path),w.path!==d&&this.trace(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${w.path}, real: ${d})`)}catch{}return d}async doWatch(w,d){if(I.isMacintosh&&(0,T.isEqualOrParent)(w,"/Volumes/",!0))return this.error(`Refusing to watch ${w} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),A.Disposable.None;const v=new k.CancellationTokenSource(this.cts.token),m=new A.DisposableStore;try{const g=(0,P.basename)(w),u=(0,R.watch)(w);m.add((0,A.toDisposable)(()=>{u.removeAllListeners(),u.close()})),this.trace(`Started watching: '${w}'`);const r=new Set;if(d)try{for(const i of await b.Promises.readdir(w))r.add(i)}catch(i){this.error(i)}const n=new Map;m.add((0,A.toDisposable)(()=>{for(const[,i]of n)i.dispose();n.clear()})),u.on("error",(i,a)=>{this.error(`Failed to watch ${w} for changes using fs.watch() (${i}, ${a})`),this.dispose()}),u.on("change",(i,a)=>{if(v.token.isCancellationRequested)return;this.trace(`[raw] ["${i}"] ${a}`);let c="";if(a&&(c=a.toString(),I.isMacintosh&&(c=(0,C.normalizeNFC)(c))),!(!c||i!=="change"&&i!=="rename"))if(d)if(i==="rename"){n.get(c)?.dispose();const o=setTimeout(async()=>{if(n.delete(c),c===g&&!await b.Promises.exists(w)){this.warn("Watcher shutdown because watched path got deleted"),this.dispose();return}const s=await this.existsChildStrictCase((0,P.join)(w,c));if(v.token.isCancellationRequested)return;let l;s?r.has(c)?l=0:(l=1,r.add(c)):(r.delete(c),l=2),this.onFileChange({path:(0,P.join)(this.request.path,c),type:l})},y.FILE_DELETE_HANDLER_DELAY);n.set(c,(0,A.toDisposable)(()=>clearTimeout(o)))}else{let o;r.has(c)?o=0:(o=1,r.add(c)),this.onFileChange({path:(0,P.join)(this.request.path,c),type:o})}else if(i==="rename"||c!==g){const o=setTimeout(async()=>{const s=await b.Promises.exists(w);v.token.isCancellationRequested||(s?(this.onFileChange({path:this.request.path,type:0},!0),m.add(await this.doWatch(w,!1))):(await this.onFileChange({path:this.request.path,type:2},!0),this.dispose()))},y.FILE_DELETE_HANDLER_DELAY);m.clear(),m.add((0,A.toDisposable)(()=>clearTimeout(o)))}else this.onFileChange({path:this.request.path,type:0},!0)})}catch(g){await b.Promises.exists(w)&&!v.token.isCancellationRequested&&this.error(`Failed to watch ${w} for changes using fs.watch() (${g.toString()})`)}return(0,A.toDisposable)(()=>{v.dispose(!0),m.dispose()})}async onFileChange(w,d=!1){if(!this.cts.token.isCancellationRequested){this.verboseLogging&&this.trace(`${w.type===1?"[ADDED]":w.type===2?"[DELETED]":"[CHANGED]"} ${w.path}`),!d&&this.excludes.some(v=>v(w.path))?this.verboseLogging&&this.trace(` >> ignored (excluded) ${w.path}`):!d&&this.includes&&this.includes.length>0&&!this.includes.some(v=>v(w.path))?this.verboseLogging&&this.trace(` >> ignored (not included) ${w.path}`):this.fileChangesBuffer.push(w);try{await this.fileChangesDelayer.trigger(async()=>{const v=this.fileChangesBuffer;this.fileChangesBuffer=[];const m=(0,p.coalesceEvents)(v);if(m.length>0){if(this.verboseLogging)for(const u of m)this.trace(`>> normalized ${u.type===1?"[ADDED]":u.type===2?"[DELETED]":"[CHANGED]"} ${u.path}`);this.throttledFileChangesWorker.work(m)?this.throttledFileChangesWorker.pending>0&&this.trace(`started throttling events due to large amount of file change events at once (pending: ${this.throttledFileChangesWorker.pending}, most recent change: ${m[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.warn(`started ignoring events due to too many file change events at once (incoming: ${m.length}, most recent change: ${m[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}})}catch{}}}async existsChildStrictCase(w){if(I.isLinux)return b.Promises.exists(w);try{const d=(0,P.basename)(w);return(await b.Promises.readdir((0,P.dirname)(w))).some(m=>m===d)}catch(d){return this.trace(d),!1}}setVerboseLogging(w){this.verboseLogging=w}error(w){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"error",message:`[File Watcher (node.js)] ${w}`})}warn(w){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"warn",message:`[File Watcher (node.js)] ${w}`})}trace(w){!this.cts.token.isCancellationRequested&&this.verboseLogging&&this.onLogMessage?.({type:"trace",message:`[File Watcher (node.js)] ${w}`})}dispose(){this.trace(`stopping file watcher on ${this.request.path}`),this.cts.dispose(!0),super.dispose()}}e.NodeJSFileWatcherLibrary=y,y.FILE_DELETE_HANDLER_DELAY=100,y.FILE_CHANGES_HANDLER_DELAY=50;async function h(S,w,d,v,m=512){const g=await b.Promises.open(S,"r"),u=Buffer.allocUnsafe(m),r=new k.CancellationTokenSource(v);let n,i=!1;const a={path:S,excludes:[],recursive:!1},c=new y(a,o=>{(async()=>{for(const{type:s}of o)if(s===0){if(i)return;i=!0;try{for(;!r.token.isCancellationRequested;){const{bytesRead:l}=await b.Promises.read(g,u,0,m,null);if(!l||r.token.isCancellationRequested)break;w(u.slice(0,l))}}catch(l){n=new Error(l),r.dispose(!0)}finally{i=!1}}})()});return await c.ready,d(),new Promise((o,s)=>{r.token.onCancellationRequested(async()=>{c.dispose();try{await b.Promises.close(g)}catch(l){n=new Error(l)}n?s(n):o()})})}e.watchFileContents=h}),define(re[178],se([0,1,3,81,2,4,177]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcher=void 0;class C extends k.Disposable{constructor(){super(...arguments);this._onDidChangeFile=this._register(new R.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidLogMessage=this._register(new R.Emitter),this.onDidLogMessage=this._onDidLogMessage.event,this.onDidError=R.Event.None,this.watchers=new Map,this.verboseLogging=!1}async watch(I){const D=this.normalizeRequests(I),b=D.filter(y=>{const h=this.watchers.get(y.path);return h?!(0,t.patternsEquals)(h.request.excludes,y.excludes)||!(0,t.patternsEquals)(h.request.includes,y.includes):!0}),p=Array.from(this.watchers.values()).filter(({request:y})=>!D.find(h=>h.path===y.path&&(0,t.patternsEquals)(h.excludes,y.excludes)&&(0,t.patternsEquals)(h.includes,y.includes))).map(({request:y})=>y.path);b.length&&this.trace(`Request to start watching: ${b.map(y=>`${y.path} (excludes: ${y.excludes.length>0?y.excludes:"<none>"}, includes: ${y.includes&&y.includes.length>0?JSON.stringify(y.includes):"<all>"})`).join(",")}`),p.length&&this.trace(`Request to stop watching: ${p.join(",")}`);for(const y of p)this.stopWatching(y);for(const y of b)this.startWatching(y)}startWatching(I){const D=new A.NodeJSFileWatcherLibrary(I,p=>this._onDidChangeFile.fire(p),p=>this._onDidLogMessage.fire(p),this.verboseLogging),b={request:I,instance:D};this.watchers.set(I.path,b)}async stop(){for(const[I]of this.watchers)this.stopWatching(I);this.watchers.clear()}stopWatching(I){const D=this.watchers.get(I);D&&(this.watchers.delete(I),D.instance.dispose())}normalizeRequests(I){const D=new Map;for(const b of I){const p=T.isLinux?b.path:b.path.toLowerCase();D.set(p,b)}return Array.from(D.values())}async setVerboseLogging(I){this.verboseLogging=I;for(const[,D]of this.watchers)D.instance.setVerboseLogging(I)}trace(I){this.verboseLogging&&this._onDidLogMessage.fire({type:"trace",message:this.toMessage(I)})}toMessage(I,D){return D?`[File Watcher (node.js)] ${I} (path: ${D.request.path})`:`[File Watcher (node.js)] ${I}`}}e.NodeJSWatcher=C}),define(re[179],se([0,1,57,178]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcherClient=void 0;class k extends R.AbstractNonRecursiveWatcherClient{constructor(A,C,P){super(A,C,P);this.init()}createWatcher(){return new t.NodeJSWatcher}}e.NodeJSWatcherClient=k}),define(re[180],se([0,1,20,39,64,57]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UniversalWatcherClient=void 0;class A extends T.AbstractUniversalWatcherClient{constructor(P,I,D){super(P,I,D);this.init()}createWatcher(P){const I=P.add(new k.Client(R.FileAccess.asFileUri("bootstrap-fork",Z).fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return P.add(I.onDidProcessExit(({code:D,signal:b})=>this.onError(`terminated by itself with code ${D}, signal: ${b}`))),t.ProxyChannel.toService((0,t.getNextTickChannel)(I.getChannel("watcher")))}}e.UniversalWatcherClient=A}),define(re[93],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class R{constructor(...k){this._entries=new Map;for(const[T,A]of k)this.set(T,A)}set(k,T){const A=this._entries.get(k);return this._entries.set(k,T),A}has(k){return this._entries.has(k)}get(k){return this._entries.get(k)}}e.ServiceCollection=R}),define(re[181],se([0,1,6,9,56,170,5,93]),function(Z,e,R,t,k,T,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const P=!1;class I extends Error{constructor(h){super("cyclic dependency between services");this.message=h.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${h.toString()}`}}class D{constructor(h=new C.ServiceCollection,S=!1,w){this._activeInstantiations=new Set,this._services=h,this._strict=S,this._parent=w,this._services.set(A.IInstantiationService,this)}createChild(h){return new D(h,this._strict,this)}invokeFunction(h,...S){const w=p.traceInvocation(h);let d=!1;try{return h({get:m=>{if(d)throw(0,t.illegalState)("service accessor is only valid during the invocation of its target method");const g=this._getOrCreateServiceInstance(m,w);if(!g)throw new Error(`[invokeFunction] unknown service '${m}'`);return g}},...S)}finally{d=!0,w.stop()}}createInstance(h,...S){let w,d;return h instanceof k.SyncDescriptor?(w=p.traceCreation(h.ctor),d=this._createInstance(h.ctor,h.staticArguments.concat(S),w)):(w=p.traceCreation(h),d=this._createInstance(h,S,w)),w.stop(),d}_createInstance(h,S=[],w){const d=A._util.getServiceDependencies(h).sort((g,u)=>g.index-u.index),v=[];for(const g of d){const u=this._getOrCreateServiceInstance(g.id,w);u||this._throwIfStrict(`[createInstance] ${h.name} depends on UNKNOWN service ${g.id}.`,!1),v.push(u)}const m=d.length>0?d[0].index:S.length;if(S.length!==m){console.trace(`[createInstance] First service dependency of ${h.name} at position ${m+1} conflicts with ${S.length} static arguments`);const g=m-S.length;g>0?S=S.concat(new Array(g)):S=S.slice(0,m)}return new h(...[...S,...v])}_setServiceInstance(h,S){if(this._services.get(h)instanceof k.SyncDescriptor)this._services.set(h,S);else if(this._parent)this._parent._setServiceInstance(h,S);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(h){const S=this._services.get(h);return!S&&this._parent?this._parent._getServiceInstanceOrDescriptor(h):S}_getOrCreateServiceInstance(h,S){const w=this._getServiceInstanceOrDescriptor(h);return w instanceof k.SyncDescriptor?this._safeCreateAndCacheServiceInstance(h,w,S.branch(h,!0)):(S.branch(h,!1),w)}_safeCreateAndCacheServiceInstance(h,S,w){if(this._activeInstantiations.has(h))throw new Error(`illegal state - RECURSIVELY instantiating service '${h}'`);this._activeInstantiations.add(h);try{return this._createAndCacheServiceInstance(h,S,w)}finally{this._activeInstantiations.delete(h)}}_createAndCacheServiceInstance(h,S,w){const d=new T.Graph(g=>g.id.toString());let v=0;const m=[{id:h,desc:S,_trace:w}];for(;m.length;){const g=m.pop();if(d.lookupOrInsertNode(g),v++>1e3)throw new I(d);for(const u of A._util.getServiceDependencies(g.desc.ctor)){const r=this._getServiceInstanceOrDescriptor(u.id);if(r||this._throwIfStrict(`[createInstance] ${h} depends on ${u.id} which is NOT registered.`,!0),r instanceof k.SyncDescriptor){const n={id:u.id,desc:r,_trace:g._trace.branch(u.id,!0)};d.insertEdge(g,n),m.push(n)}}}for(;;){const g=d.roots();if(g.length===0){if(!d.isEmpty())throw new I(d);break}for(const{data:u}of g){if(this._getServiceInstanceOrDescriptor(u.id)instanceof k.SyncDescriptor){const n=this._createServiceInstanceWithOwner(u.id,u.desc.ctor,u.desc.staticArguments,u.desc.supportsDelayedInstantiation,u._trace);this._setServiceInstance(u.id,n)}d.removeNode(u)}}return this._getServiceInstanceOrDescriptor(h)}_createServiceInstanceWithOwner(h,S,w=[],d,v){if(this._services.get(h)instanceof k.SyncDescriptor)return this._createServiceInstance(S,w,d,v);if(this._parent)return this._parent._createServiceInstanceWithOwner(h,S,w,d,v);throw new Error(`illegalState - creating UNKNOWN service instance ${S.name}`)}_createServiceInstance(h,S=[],w,d){if(w){const v=new R.IdleValue(()=>this._createInstance(h,S,d));return new Proxy(Object.create(null),{get(m,g){if(g in m)return m[g];const u=v.value;let r=u[g];return typeof r!="function"||(r=r.bind(u),m[g]=r),r},set(m,g,u){return v.value[g]=u,!0}})}else return this._createInstance(h,S,d)}_throwIfStrict(h,S){if(S&&console.warn(h),this._strict)throw new Error(h)}}e.InstantiationService=D;var b;(function(y){y[y.Creation=0]="Creation",y[y.Invocation=1]="Invocation",y[y.Branch=2]="Branch"})(b||(b={}));class p{constructor(h,S){this.type=h,this.name=S,this._start=Date.now(),this._dep=[]}static traceInvocation(h){return P?new p(1,h.name||h.toString().substring(0,42).replace(/\n/g,"")):p._None}static traceCreation(h){return P?new p(0,h.name):p._None}branch(h,S){const w=new p(2,h.toString());return this._dep.push([h,S,w]),w}stop(){const h=Date.now()-this._start;p._totals+=h;let S=!1;function w(v,m){const g=[],u=new Array(v+1).join("	");for(const[r,n,i]of m._dep)if(n&&i){S=!0,g.push(`${u}CREATES -> ${r}`);const a=w(v+1,i);a&&g.push(a)}else g.push(`${u}uses -> ${r}`);return g.join(`
`)}const d=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${w(1,this)}`,`DONE, took ${h.toFixed(2)}ms (grand total ${p._totals.toFixed(2)}ms)`];(h>2||S)&&console.log(d.join(`
`))}}e.Trace=p,p._None=new class extends p{constructor(){super(-1,null)}stop(){}branch(){return this}},p._totals=0}),define(re[182],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MessagePortMainProcessService=void 0;class R{constructor(k,T){this.server=k,this.router=T}getChannel(k){return this.server.getChannel(k,this.router)}registerChannel(k,T){this.server.registerChannel(k,T)}}e.MessagePortMainProcessService=R}),define(re[94],se([0,1,39,56,88,5]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerSharedProcessRemoteService=e.ISharedProcessService=e.registerMainProcessRemoteService=e.IMainProcessService=void 0;class A{constructor(y,h,S){const w=S.getChannel(y);return C(h)?new h.channelClientCtor(w):R.ProxyChannel.toService(w,h?.proxyOptions)}}function C(p){return!!p?.channelClientCtor}e.IMainProcessService=(0,T.createDecorator)("mainProcessService");let P=class extends A{constructor(y,h,S){super(y,h,S)}};P=fe([Q(2,e.IMainProcessService)],P);function I(p,y,h){(0,k.registerSingleton)(p,new t.SyncDescriptor(P,[y,h],h?.supportsDelayedInstantiation))}e.registerMainProcessRemoteService=I,e.ISharedProcessService=(0,T.createDecorator)("sharedProcessService");let D=class extends A{constructor(y,h,S){super(y,h,S)}};D=fe([Q(2,e.ISharedProcessService)],D);function b(p,y,h){(0,k.registerSingleton)(p,new t.SyncDescriptor(D,[y,h],h?.supportsDelayedInstantiation))}e.registerSharedProcessRemoteService=b}),define(re[66],se([0,1,23,2,4,151,28,5]),function(Z,e,R,t,k,T,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguagePackBaseService=e.ILanguagePackService=void 0,e.ILanguagePackService=(0,C.createDecorator)("languagePackService");let P=class extends t.Disposable{constructor(D){super();this.extensionGalleryService=D}async getAvailableLanguages(){const D=new R.CancellationTokenSource;setTimeout(()=>D.cancel(),1e3);let b;try{b=await this.extensionGalleryService.query({text:'category:"language packs"',pageSize:20},D.token)}catch{return[]}const y=b.firstPage.filter(h=>h.properties.localizedLanguages?.length&&h.tags.some(S=>S.startsWith("lp-"))).map(h=>{const S=h.properties.localizedLanguages?.[0],w=h.tags.find(v=>v.startsWith("lp-")).split("lp-")[1];return{...this.createQuickPickItem({locale:w,label:S}),extensionId:h.identifier.id,galleryExtension:h}});return y.push({...this.createQuickPickItem({locale:"en",label:"English"}),extensionId:"default"}),y}createQuickPickItem(D){const b=D.label??D.locale;let p=D.locale!==D.label?D.locale:void 0;return D.locale.toLowerCase()===k.language.toLowerCase()&&(p||(p=""),p+=(0,T.localize)(0,null)),{id:D.locale,label:b,description:p}}};P=fe([Q(0,A.IExtensionGalleryService)],P),e.LanguagePackBaseService=P}),define(re[183],se([0,1,2,66]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsUpdater=void 0;let k=class extends R.Disposable{constructor(A){super();this.localizationsService=A,this.updateLocalizations()}updateLocalizations(){this.localizationsService.update()}};k=fe([Q(0,t.ILanguagePackService)],k),e.LocalizationsUpdater=k}),define(re[7],se([0,1,37,3,2,4,5]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,A.createDecorator)("logService"),e.ILoggerService=(0,A.createDecorator)("loggerService");function C(){return new Date().toISOString()}var P;(function(n){n[n.Trace=0]="Trace",n[n.Debug=1]="Debug",n[n.Info=2]="Info",n[n.Warning=3]="Warning",n[n.Error=4]="Error",n[n.Critical=5]="Critical",n[n.Off=6]="Off"})(P=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=P.Info;function I(n,i,a){switch(i){case P.Trace:n.trace(a);break;case P.Debug:n.debug(a);break;case P.Info:n.info(a);break;case P.Warning:n.warn(a);break;case P.Error:n.error(a);break;case P.Critical:n.critical(a);break;default:throw new Error("Invalid log level")}}e.log=I;function D(n){let i="";for(let a=0;a<n.length;a++){let c=n[a];if(typeof c=="object")try{c=JSON.stringify(c)}catch{}i+=(a>0?" ":"")+c}return i}e.format=D;class b extends k.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new t.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=b;class p extends b{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...a){this.checkLogLevel(P.Trace)&&this.log(P.Trace,D([i,...a]))}debug(i,...a){this.checkLogLevel(P.Debug)&&this.log(P.Debug,D([i,...a]))}info(i,...a){this.checkLogLevel(P.Info)&&this.log(P.Info,D([i,...a]))}warn(i,...a){this.checkLogLevel(P.Warning)&&this.log(P.Warning,D([i,...a]))}error(i,...a){if(this.checkLogLevel(P.Error))if(i instanceof Error){const c=Array.prototype.slice.call(arguments);c[0]=i.stack,this.log(P.Error,D(c))}else this.log(P.Error,D([i,...a]))}critical(i,...a){this.checkLogLevel(P.Critical)&&this.log(P.Critical,D([i,...a]))}flush(){}}e.AbstractMessageLogger=p;class y extends b{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!T.isWindows}trace(i,...a){this.getLevel()<=P.Trace&&(this.useColors?console.log(`[90m[main ${C()}][0m`,i,...a):console.log(`[main ${C()}]`,i,...a))}debug(i,...a){this.getLevel()<=P.Debug&&(this.useColors?console.log(`[90m[main ${C()}][0m`,i,...a):console.log(`[main ${C()}]`,i,...a))}info(i,...a){this.getLevel()<=P.Info&&(this.useColors?console.log(`[90m[main ${C()}][0m`,i,...a):console.log(`[main ${C()}]`,i,...a))}warn(i,...a){this.getLevel()<=P.Warning&&(this.useColors?console.warn(`[93m[main ${C()}][0m`,i,...a):console.warn(`[main ${C()}]`,i,...a))}error(i,...a){this.getLevel()<=P.Error&&(this.useColors?console.error(`[91m[main ${C()}][0m`,i,...a):console.error(`[main ${C()}]`,i,...a))}critical(i,...a){this.getLevel()<=P.Critical&&(this.useColors?console.error(`[90m[main ${C()}][0m`,i,...a):console.error(`[main ${C()}]`,i,...a))}dispose(){}flush(){}}e.ConsoleMainLogger=y;class h extends b{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...a){this.getLevel()<=P.Trace&&console.log("%cTRACE","color: #888",i,...a)}debug(i,...a){this.getLevel()<=P.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...a)}info(i,...a){this.getLevel()<=P.Info&&console.log("%c INFO","color: #33f",i,...a)}warn(i,...a){this.getLevel()<=P.Warning&&console.log("%c WARN","color: #993",i,...a)}error(i,...a){this.getLevel()<=P.Error&&console.log("%c  ERR","color: #f33",i,...a)}critical(i,...a){this.getLevel()<=P.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...a)}dispose(){}flush(){}}e.ConsoleLogger=h;class S extends b{constructor(i,a=e.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(a)}trace(i,...a){this.getLevel()<=P.Trace&&this.adapter.log(P.Trace,[this.extractMessage(i),...a])}debug(i,...a){this.getLevel()<=P.Debug&&this.adapter.log(P.Debug,[this.extractMessage(i),...a])}info(i,...a){this.getLevel()<=P.Info&&this.adapter.log(P.Info,[this.extractMessage(i),...a])}warn(i,...a){this.getLevel()<=P.Warning&&this.adapter.log(P.Warning,[this.extractMessage(i),...a])}error(i,...a){this.getLevel()<=P.Error&&this.adapter.log(P.Error,[this.extractMessage(i),...a])}critical(i,...a){this.getLevel()<=P.Critical&&this.adapter.log(P.Critical,[this.extractMessage(i),...a])}extractMessage(i){return typeof i=="string"?i:(0,R.toErrorMessage)(i,this.getLevel()<=P.Trace)}dispose(){}flush(){}}e.AdapterLogger=S;class w extends b{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const a of this.logServices)a.setLevel(i);super.setLevel(i)}trace(i,...a){for(const c of this.logServices)c.trace(i,...a)}debug(i,...a){for(const c of this.logServices)c.debug(i,...a)}info(i,...a){for(const c of this.logServices)c.info(i,...a)}warn(i,...a){for(const c of this.logServices)c.warn(i,...a)}error(i,...a){for(const c of this.logServices)c.error(i,...a)}critical(i,...a){for(const c of this.logServices)c.critical(i,...a)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}e.MultiplexLogService=w;class d extends k.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...a){this.logger.trace(i,...a)}debug(i,...a){this.logger.debug(i,...a)}info(i,...a){this.logger.info(i,...a)}warn(i,...a){this.logger.warn(i,...a)}error(i,...a){this.logger.error(i,...a)}critical(i,...a){this.logger.critical(i,...a)}flush(){this.logger.flush()}}e.LogService=d;class v extends k.Disposable{constructor(i,a){super();this.logLevel=i,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(a(c=>{this.logLevel=c,this.logLevelChangeableLoggers.forEach(o=>o.setLevel(c))}))}getLogger(i){return this.loggers.get(i.toString())}createLogger(i,a){let c=this.loggers.get(i.toString());return c||(c=this.doCreateLogger(i,a?.always?P.Trace:this.logLevel,a),this.loggers.set(i.toString(),c),a?.always||this.logLevelChangeableLoggers.push(c)),c}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(i=>i.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=v;class m{constructor(){this.onDidChangeLogLevel=new t.Emitter().event}setLevel(i){}getLevel(){return P.Info}trace(i,...a){}debug(i,...a){}info(i,...a){}warn(i,...a){}error(i,...a){}critical(i,...a){}dispose(){}flush(){}}e.NullLogService=m;function g(n){if(n.verbose)return P.Trace;if(typeof n.logLevel=="string"){const i=u(n.logLevel.toLowerCase());if(i!==void 0)return i}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=g;function u(n){switch(n){case"trace":return P.Trace;case"debug":return P.Debug;case"info":return P.Info;case"warn":return P.Warning;case"error":return P.Error;case"critical":return P.Critical;case"off":return P.Off}}e.parseLogLevel=u;function r(n){switch(n){case P.Trace:return"trace";case P.Debug:return"debug";case P.Info:return"info";case P.Warning:return"warn";case P.Error:return"error";case P.Critical:return"critical";case P.Off:return"off"}}e.LogLevelToString=r}),define(re[184],se([0,1,6,9,2,13,27,15,7]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogsDataCleaner=void 0;let I=class extends k.Disposable{constructor(b,p){super();this.environmentService=b,this.logService=p,this._register(new R.RunOnceScheduler(()=>{this.cleanUpOldLogs()},10*1e3)).schedule()}async cleanUpOldLogs(){this.logService.trace("[logs cleanup]: Starting to clean up old logs.");try{const b=(0,T.basename)(this.environmentService.logsPath),p=(0,T.dirname)(this.environmentService.logsPath),S=(await A.Promises.readdir(p)).filter(d=>/^\d{8}T\d{6}$/.test(d)).sort().filter(d=>d!==b),w=S.slice(0,Math.max(0,S.length-9));w.length>0&&(this.logService.trace(`[logs cleanup]: Removing log folders '${w.join(", ")}'`),await Promise.all(w.map(d=>A.Promises.rm((0,T.join)(p,d)))))}catch(b){(0,t.onUnexpectedError)(b)}}};I=fe([Q(0,C.IEnvironmentService),Q(1,P.ILogService)],I),e.LogsDataCleaner=I}),define(re[185],se([0,1,6,9,2,13,27,15,7]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDataCleaner=void 0;let I=class gt extends k.Disposable{constructor(b,p,y){super();this.backupWorkspacesPath=b,this.environmentService=p,this.logService=y,this._register(new R.RunOnceScheduler(()=>{this.cleanUpStorage()},30*1e3)).schedule()}async cleanUpStorage(){this.logService.trace("[storage cleanup]: Starting to clean up storage folders.");try{const b=await A.Promises.readFile(this.backupWorkspacesPath,"utf8"),y=JSON.parse(b).emptyWorkspaceInfos.map(S=>S.backupFolder),h=await A.Promises.readdir(this.environmentService.workspaceStorageHome.fsPath);await Promise.all(h.map(async S=>{S.length===gt.NON_EMPTY_WORKSPACE_ID_LENGTH||S===gt.EXTENSION_DEV_EMPTY_WINDOW_ID||y.indexOf(S)>=0||(this.logService.trace(`[storage cleanup]: Deleting workspace storage folder ${S}.`),await A.Promises.rm((0,T.join)(this.environmentService.workspaceStorageHome.fsPath,S)))}))}catch(b){(0,t.onUnexpectedError)(b)}}};I.NON_EMPTY_WORKSPACE_ID_LENGTH=128/4,I.EXTENSION_DEV_EMPTY_WINDOW_ID="ext-dev",I=fe([Q(1,C.INativeEnvironmentService),Q(2,P.ILogService)],I),e.StorageDataCleaner=I}),define(re[186],se([0,1,17,6,9,3,2,13,57,7]),function(Z,e,R,t,k,T,A,C,P,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProvider=void 0;class D extends A.Disposable{constructor(p,y){super();this.logService=p,this.options=y,this._onDidChangeFile=this._register(new T.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new T.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.universalPathsToWatch=[],this.universalWatchRequestDelayer=this._register(new t.ThrottledDelayer(0)),this.nonRecursivePathsToWatch=[],this.nonRecursiveWatchRequestDelayer=this._register(new t.ThrottledDelayer(0))}watch(p,y){return y.recursive||this.options?.watcher?.forceUniversal?this.watchUniversal(p,y):this.watchNonRecursive(p,y)}watchUniversal(p,y){const h={path:this.toFilePath(p),excludes:y.excludes,includes:y.includes,recursive:y.recursive},S=(0,R.insert)(this.universalPathsToWatch,h);return this.refreshUniversalWatchers(),(0,A.toDisposable)(()=>{S(),this.refreshUniversalWatchers()})}refreshUniversalWatchers(){this.universalWatchRequestDelayer.trigger(()=>this.doRefreshUniversalWatchers()).catch(p=>(0,k.onUnexpectedError)(p))}doRefreshUniversalWatchers(){this.universalWatcher||(this.universalWatcher=this._register(this.createUniversalWatcher(y=>this._onDidChangeFile.fire((0,P.toFileChanges)(y)),y=>this.onWatcherLogMessage(y),this.logService.getLevel()===I.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.universalWatcher?.setVerboseLogging(this.logService.getLevel()===I.LogLevel.Trace)})));const p=this.options?.watcher?.recursive?.usePolling;if(p===!0)for(const y of this.universalPathsToWatch)(0,P.isRecursiveWatchRequest)(y)&&(y.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(p))for(const y of this.universalPathsToWatch)(0,P.isRecursiveWatchRequest)(y)&&p.includes(y.path)&&(y.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);return this.universalWatcher.watch(this.universalPathsToWatch)}watchNonRecursive(p,y){const h={path:this.toFilePath(p),excludes:y.excludes,includes:y.includes,recursive:!1},S=(0,R.insert)(this.nonRecursivePathsToWatch,h);return this.refreshNonRecursiveWatchers(),(0,A.toDisposable)(()=>{S(),this.refreshNonRecursiveWatchers()})}refreshNonRecursiveWatchers(){this.nonRecursiveWatchRequestDelayer.trigger(()=>this.doRefreshNonRecursiveWatchers()).catch(p=>(0,k.onUnexpectedError)(p))}doRefreshNonRecursiveWatchers(){return this.nonRecursiveWatcher||(this.nonRecursiveWatcher=this._register(this.createNonRecursiveWatcher(p=>this._onDidChangeFile.fire((0,P.toFileChanges)(p)),p=>this.onWatcherLogMessage(p),this.logService.getLevel()===I.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.nonRecursiveWatcher?.setVerboseLogging(this.logService.getLevel()===I.LogLevel.Trace)}))),this.nonRecursiveWatcher.watch(this.nonRecursivePathsToWatch)}onWatcherLogMessage(p){p.type==="error"&&this._onDidWatchError.fire(p.message),this.logService[p.type](p.message)}toFilePath(p){return(0,C.normalize)(p.fsPath)}}e.AbstractDiskFileSystemProvider=D}),define(re[187],se([0,1,17,6,16,23,3,62,52,2,38,20,188,18,42,147,10,92,7]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let m=class extends I.Disposable{constructor(u){super();this.logService=u,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new A.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new A.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new A.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new A.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new A.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new A.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new t.ResourceQueue)}registerProvider(u,r){if(this.provider.has(u))throw new Error(`A filesystem provider for the scheme '${u}' is already registered.`);(0,p.mark)(`code/registerFilesystem/${u}`);const n=new I.DisposableStore;return this.provider.set(u,r),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:u,provider:r}),n.add(r.onDidChangeFile(i=>this._onDidFilesChange.fire(new w.FileChangesEvent(i,!this.isPathCaseSensitive(r))))),typeof r.onDidWatchError=="function"&&n.add(r.onDidWatchError(i=>this._onDidWatchError.fire(new Error(i)))),n.add(r.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:r,scheme:u}))),(0,I.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:u,provider:r}),this.provider.delete(u),(0,I.dispose)(n)})}getProvider(u){return this.provider.get(u)}async activateProvider(u){const r=[];this._onWillActivateFileSystemProvider.fire({scheme:u,join(n){r.push(n)}}),!this.provider.has(u)&&await t.Promises.settled(r)}async canHandleResource(u){return await this.activateProvider(u.scheme),this.hasProvider(u)}hasProvider(u){return this.provider.has(u.scheme)}hasCapability(u,r){const n=this.provider.get(u.scheme);return!!(n&&n.capabilities&r)}listCapabilities(){return P.Iterable.map(this.provider,([u,r])=>({scheme:u,capabilities:r.capabilities}))}async withProvider(u){if(!(0,y.isAbsolutePath)(u))throw new w.FileOperationError((0,S.localize)(0,null,this.resourceForError(u)),8);await this.activateProvider(u.scheme);const r=this.provider.get(u.scheme);if(!r){const n=new Error;throw n.name="ENOPRO",n.message=(0,S.localize)(1,null,u.toString()),n}return r}async withReadProvider(u){const r=await this.withProvider(u);if((0,w.hasOpenReadWriteCloseCapability)(r)||(0,w.hasReadWriteCapability)(r)||(0,w.hasFileReadStreamCapability)(r))return r;throw new Error(`Filesystem provider for scheme '${u.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(u){const r=await this.withProvider(u);if((0,w.hasOpenReadWriteCloseCapability)(r)||(0,w.hasReadWriteCapability)(r))return r;throw new Error(`Filesystem provider for scheme '${u.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(u,r){try{return await this.doResolveFile(u,r)}catch(n){throw(0,w.toFileSystemProviderErrorCode)(n)===w.FileSystemProviderErrorCode.FileNotFound?new w.FileOperationError((0,S.localize)(2,null,this.resourceForError(u)),1):(0,w.ensureFileSystemProviderError)(n)}}async doResolveFile(u,r){const n=await this.withProvider(u),i=this.isPathCaseSensitive(n),a=r?.resolveTo,c=r?.resolveSingleChildDescendants,o=r?.resolveMetadata,s=await n.stat(u);let l;return this.toFileStat(n,u,s,void 0,!!o,(f,E)=>(l||(l=D.TernarySearchTree.forUris(()=>!i),l.set(u,!0),a&&l.fill(!0,a)),l.get(f.resource)||l.findSuperstr(f.resource.with({query:null,fragment:null}))?!0:f.isDirectory&&c?E===1:!1))}async toFileStat(u,r,n,i,a,c){const{providerExtUri:o}=this.getExtUri(u),s={resource:r,name:o.basename(r),isFile:(n.type&w.FileType.File)!=0,isDirectory:(n.type&w.FileType.Directory)!=0,isSymbolicLink:(n.type&w.FileType.SymbolicLink)!=0,mtime:n.mtime,ctime:n.ctime,size:n.size,readonly:Boolean((n.permissions??0)&w.FilePermission.Readonly)||Boolean(u.capabilities&2048),etag:(0,w.etag)({mtime:n.mtime,size:n.size}),children:void 0};if(s.isDirectory&&c(s,i)){try{const l=await u.readdir(r),f=await t.Promises.settled(l.map(async([E,U])=>{try{const _=o.joinPath(r,E),N=a?await u.stat(_):{type:U};return await this.toFileStat(u,_,N,l.length,a,c)}catch(_){return this.logService.trace(_),null}}));s.children=(0,R.coalesce)(f)}catch(l){this.logService.trace(l),s.children=[]}return s}return s}async resolveAll(u){return t.Promises.settled(u.map(async r=>{try{return{stat:await this.doResolveFile(r.resource,r.options),success:!0}}catch(n){return this.logService.trace(n),{stat:void 0,success:!1}}}))}async stat(u){const r=await this.withProvider(u),n=await r.stat(u);return this.toFileStat(r,u,n,void 0,!0,()=>!1)}async exists(u){const r=await this.withProvider(u);try{return!!await r.stat(u)}catch{return!1}}async canCreateFile(u,r){try{await this.doValidateCreateFile(u,r)}catch(n){return n}return!0}async doValidateCreateFile(u,r){if(!r?.overwrite&&await this.exists(u))throw new w.FileOperationError((0,S.localize)(3,null,this.resourceForError(u)),3,r)}async createFile(u,r=k.VSBuffer.fromString(""),n){await this.doValidateCreateFile(u,n);const i=await this.writeFile(u,r);return this._onDidRunOperation.fire(new w.FileOperationEvent(u,0,i)),i}async writeFile(u,r,n){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(u),u),{providerExtUri:a}=this.getExtUri(i);try{await this.validateWriteFile(i,u,n)||await this.mkdirp(i,a.dirname(u));let o;if((0,w.hasReadWriteCapability)(i)&&!(r instanceof k.VSBuffer))if((0,h.isReadableStream)(r)){const s=await(0,h.peekStream)(r,3);s.ended?o=k.VSBuffer.concat(s.buffer):o=s}else o=(0,h.peekReadable)(r,s=>k.VSBuffer.concat(s),3);else o=r;!(0,w.hasOpenReadWriteCloseCapability)(i)||(0,w.hasReadWriteCapability)(i)&&o instanceof k.VSBuffer?await this.doWriteUnbuffered(i,u,n,o):await this.doWriteBuffered(i,u,n,o instanceof k.VSBuffer?(0,k.bufferToReadable)(o):o),this._onDidRunOperation.fire(new w.FileOperationEvent(u,4))}catch(c){throw new w.FileOperationError((0,S.localize)(4,null,this.resourceForError(u),(0,w.ensureFileSystemProviderError)(c).toString()),(0,w.toFileOperationResult)(c),n)}return this.resolve(u,{resolveMetadata:!0})}async validateWriteFile(u,r,n){if(!!n?.unlock&&!(u.capabilities&8192))throw new Error((0,S.localize)(5,null,this.resourceForError(r)));let a;try{a=await u.stat(r)}catch{return}if((a.type&w.FileType.Directory)!=0)throw new w.FileOperationError((0,S.localize)(6,null,this.resourceForError(r)),0,n);if(this.throwIfFileIsReadonly(r,a),typeof n?.mtime=="number"&&typeof n.etag=="string"&&n.etag!==w.ETAG_DISABLED&&typeof a.mtime=="number"&&typeof a.size=="number"&&n.mtime<a.mtime&&n.etag!==(0,w.etag)({mtime:n.mtime,size:a.size}))throw new w.FileOperationError((0,S.localize)(7,null),3,n);return a}async readFile(u,r,n){const i=await this.withReadProvider(u);return r?.atomic?this.doReadFileAtomic(i,u,r,n):this.doReadFile(i,u,r,n)}async doReadFileAtomic(u,r,n,i){return new Promise((a,c)=>{this.writeQueue.queueFor(r,this.getExtUri(u).providerExtUri).queue(async()=>{try{const o=await this.doReadFile(u,r,n,i);a(o)}catch(o){c(o)}})})}async doReadFile(u,r,n,i){const a=await this.doReadFileStream(u,r,{...n,preferUnbuffered:!0},i);return{...a,value:await(0,k.streamToBuffer)(a.value)}}async readFileStream(u,r,n){const i=await this.withReadProvider(u);return this.doReadFileStream(i,u,r,n)}async doReadFileStream(u,r,n,i){const a=new T.CancellationTokenSource(i),c=this.validateReadFile(r,n).then(s=>s,s=>{throw a.cancel(),s});let o;try{return typeof n?.etag=="string"&&n.etag!==w.ETAG_DISABLED&&await c,n?.atomic&&(0,w.hasFileAtomicReadCapability)(u)||!((0,w.hasOpenReadWriteCloseCapability)(u)||(0,w.hasFileReadStreamCapability)(u))||(0,w.hasReadWriteCapability)(u)&&n?.preferUnbuffered?o=this.readFileUnbuffered(u,r,n):(0,w.hasFileReadStreamCapability)(u)?o=this.readFileStreamed(u,r,a.token,n):o=this.readFileBuffered(u,r,a.token,n),{...await c,value:o}}catch(s){o&&await(0,h.consumeStream)(o);const l=(0,S.localize)(8,null,this.resourceForError(r),(0,w.ensureFileSystemProviderError)(s).toString());throw s instanceof w.NotModifiedSinceFileOperationError?new w.NotModifiedSinceFileOperationError(l,s.stat,n):new w.FileOperationError(l,(0,w.toFileOperationResult)(s),n)}}readFileStreamed(u,r,n,i=Object.create(null)){const a=u.readFileStream(r,i,n);return(0,h.transform)(a,{data:c=>c instanceof k.VSBuffer?c:k.VSBuffer.wrap(c),error:c=>new w.FileOperationError((0,S.localize)(9,null,this.resourceForError(r),(0,w.ensureFileSystemProviderError)(c).toString()),(0,w.toFileOperationResult)(c),i)},c=>k.VSBuffer.concat(c))}readFileBuffered(u,r,n,i=Object.create(null)){const a=(0,k.newWriteableBufferStream)();return(0,d.readFileIntoStream)(u,r,a,c=>c,{...i,bufferSize:this.BUFFER_SIZE,errorTransformer:c=>new w.FileOperationError((0,S.localize)(10,null,this.resourceForError(r),(0,w.ensureFileSystemProviderError)(c).toString()),(0,w.toFileOperationResult)(c),i)},n),a}readFileUnbuffered(u,r,n){const i=(0,h.newWriteableStream)(a=>k.VSBuffer.concat(a));return(async()=>{try{let a;n?.atomic&&(0,w.hasFileAtomicReadCapability)(u)?a=await u.readFile(r,{atomic:!0}):a=await u.readFile(r),typeof n?.position=="number"&&(a=a.slice(n.position)),typeof n?.length=="number"&&(a=a.slice(0,n.length)),this.validateReadFileLimits(r,a.byteLength,n),i.end(k.VSBuffer.wrap(a))}catch(a){i.error(a),i.end()}})(),i}async validateReadFile(u,r){const n=await this.resolve(u,{resolveMetadata:!0});if(n.isDirectory)throw new w.FileOperationError((0,S.localize)(11,null,this.resourceForError(u)),0,r);if(typeof r?.etag=="string"&&r.etag!==w.ETAG_DISABLED&&r.etag===n.etag)throw new w.NotModifiedSinceFileOperationError((0,S.localize)(12,null),n,r);return this.validateReadFileLimits(u,n.size,r),n}validateReadFileLimits(u,r,n){if(n?.limits){let i;if(typeof n.limits.memory=="number"&&r>n.limits.memory&&(i=9),typeof n.limits.size=="number"&&r>n.limits.size&&(i=7),typeof i=="number")throw new w.FileOperationError((0,S.localize)(13,null,this.resourceForError(u)),i)}}async canMove(u,r,n){return this.doCanMoveCopy(u,r,"move",n)}async canCopy(u,r,n){return this.doCanMoveCopy(u,r,"copy",n)}async doCanMoveCopy(u,r,n,i){if(u.toString()!==r.toString())try{const a=n==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(u),u):await this.withReadProvider(u),c=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r);await this.doValidateMoveCopy(a,u,c,r,n,i)}catch(a){return a}return!0}async move(u,r,n){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(u),u),a=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r),c=await this.doMoveCopy(i,u,a,r,"move",!!n),o=await this.resolve(r,{resolveMetadata:!0});return this._onDidRunOperation.fire(new w.FileOperationEvent(u,c==="move"?2:3,o)),o}async copy(u,r,n){const i=await this.withReadProvider(u),a=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r),c=await this.doMoveCopy(i,u,a,r,"copy",!!n),o=await this.resolve(r,{resolveMetadata:!0});return this._onDidRunOperation.fire(new w.FileOperationEvent(u,c==="copy"?3:2,o)),o}async doMoveCopy(u,r,n,i,a,c){if(r.toString()===i.toString())return a;const{exists:o,isSameResourceWithDifferentPathCase:s}=await this.doValidateMoveCopy(u,r,n,i,a,c);if(o&&!s&&c&&await this.del(i,{recursive:!0}),await this.mkdirp(n,this.getExtUri(n).providerExtUri.dirname(i)),a==="copy"){if(u===n&&(0,w.hasFileFolderCopyCapability)(u))await u.copy(r,i,{overwrite:c});else{const l=await this.resolve(r);l.isDirectory?await this.doCopyFolder(u,l,n,i):await this.doCopyFile(u,r,n,i)}return a}else return u===n?(await u.rename(r,i,{overwrite:c}),a):(await this.doMoveCopy(u,r,n,i,"copy",c),await this.del(r,{recursive:!0}),"copy")}async doCopyFile(u,r,n,i){if((0,w.hasOpenReadWriteCloseCapability)(u)&&(0,w.hasOpenReadWriteCloseCapability)(n))return this.doPipeBuffered(u,r,n,i);if((0,w.hasOpenReadWriteCloseCapability)(u)&&(0,w.hasReadWriteCapability)(n))return this.doPipeBufferedToUnbuffered(u,r,n,i);if((0,w.hasReadWriteCapability)(u)&&(0,w.hasOpenReadWriteCloseCapability)(n))return this.doPipeUnbufferedToBuffered(u,r,n,i);if((0,w.hasReadWriteCapability)(u)&&(0,w.hasReadWriteCapability)(n))return this.doPipeUnbuffered(u,r,n,i)}async doCopyFolder(u,r,n,i){await n.mkdir(i),Array.isArray(r.children)&&await t.Promises.settled(r.children.map(async a=>{const c=this.getExtUri(n).providerExtUri.joinPath(i,a.name);return a.isDirectory?this.doCopyFolder(u,await this.resolve(a.resource),n,c):this.doCopyFile(u,a.resource,n,c)}))}async doValidateMoveCopy(u,r,n,i,a,c){let o=!1;if(u===n){const{providerExtUri:l,isPathCaseSensitive:f}=this.getExtUri(u);if(f||(o=l.isEqual(r,i)),o&&a==="copy")throw new Error((0,S.localize)(14,null,this.resourceForError(r),this.resourceForError(i)));if(!o&&l.isEqualOrParent(i,r))throw new Error((0,S.localize)(15,null,this.resourceForError(r),this.resourceForError(i)))}const s=await this.exists(i);if(s&&!o){if(!c)throw new w.FileOperationError((0,S.localize)(16,null,this.resourceForError(r),this.resourceForError(i)),4);if(u===n){const{providerExtUri:l}=this.getExtUri(u);if(l.isEqualOrParent(r,i))throw new Error((0,S.localize)(17,null,this.resourceForError(r),this.resourceForError(i)))}}return{exists:s,isSameResourceWithDifferentPathCase:o}}getExtUri(u){const r=this.isPathCaseSensitive(u);return{providerExtUri:r?y.extUri:y.extUriIgnorePathCase,isPathCaseSensitive:r}}isPathCaseSensitive(u){return!!(u.capabilities&1024)}async createFolder(u){const r=this.throwIfFileSystemIsReadonly(await this.withProvider(u),u);await this.mkdirp(r,u);const n=await this.resolve(u,{resolveMetadata:!0});return this._onDidRunOperation.fire(new w.FileOperationEvent(u,0,n)),n}async mkdirp(u,r){const n=[],{providerExtUri:i}=this.getExtUri(u);for(;!i.isEqual(r,i.dirname(r));)try{if(((await u.stat(r)).type&w.FileType.Directory)==0)throw new Error((0,S.localize)(18,null,this.resourceForError(r)));break}catch(a){if((0,w.toFileSystemProviderErrorCode)(a)!==w.FileSystemProviderErrorCode.FileNotFound)throw a;n.push(i.basename(r)),r=i.dirname(r)}for(let a=n.length-1;a>=0;a--){r=i.joinPath(r,n[a]);try{await u.mkdir(r)}catch(c){if((0,w.toFileSystemProviderErrorCode)(c)!==w.FileSystemProviderErrorCode.FileExists)throw c}}}async canDelete(u,r){try{await this.doValidateDelete(u,r)}catch(n){return n}return!0}async doValidateDelete(u,r){const n=this.throwIfFileSystemIsReadonly(await this.withProvider(u),u);if(!!r?.useTrash&&!(n.capabilities&4096))throw new Error((0,S.localize)(19,null,this.resourceForError(u)));let a;try{a=await n.stat(u)}catch{}if(a)this.throwIfFileIsReadonly(u,a);else throw new w.FileOperationError((0,S.localize)(20,null,this.resourceForError(u)),1);if(!!!r?.recursive){const o=await this.resolve(u);if(o.isDirectory&&Array.isArray(o.children)&&o.children.length>0)throw new Error((0,S.localize)(21,null,this.resourceForError(u)))}return n}async del(u,r){const n=await this.doValidateDelete(u,r),i=!!r?.useTrash,a=!!r?.recursive;await n.delete(u,{recursive:a,useTrash:i}),this._onDidRunOperation.fire(new w.FileOperationEvent(u,1))}async cloneFile(u,r){const n=await this.withProvider(u),i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(r),r);if(n===i&&this.getExtUri(n).providerExtUri.isEqual(u,r))return;if(n===i&&(0,w.hasFileCloneCapability)(n))return n.cloneFile(u,r);await this.mkdirp(i,this.getExtUri(i).providerExtUri.dirname(r));const a=this.writeQueue.queueFor(u,this.getExtUri(n).providerExtUri);return n===i&&(0,w.hasFileFolderCopyCapability)(n)?a.queue(()=>n.copy(u,r,{overwrite:!0})):a.queue(()=>this.doCopyFile(n,u,i,r))}watch(u,r={recursive:!1,excludes:[]}){const n=new I.DisposableStore;let i=!1,a=()=>{i=!0};return n.add((0,I.toDisposable)(()=>a())),(async()=>{try{const c=await this.doWatch(u,r);i?(0,I.dispose)(c):a=()=>(0,I.dispose)(c)}catch(c){this.logService.error(c)}})(),n}async doWatch(u,r){const n=await this.withProvider(u),i=(0,C.hash)([this.getExtUri(n).providerExtUri.getComparisonKey(u),r]);let a=this.activeWatchers.get(i);return a||(a={count:0,disposable:n.watch(u,r)},this.activeWatchers.set(i,a)),a.count+=1,(0,I.toDisposable)(()=>{a&&(a.count--,a.count===0&&((0,I.dispose)(a.disposable),this.activeWatchers.delete(i)))})}dispose(){super.dispose();for(const[,u]of this.activeWatchers)(0,I.dispose)(u.disposable);this.activeWatchers.clear()}async doWriteBuffered(u,r,n,i){return this.writeQueue.queueFor(r,this.getExtUri(u).providerExtUri).queue(async()=>{const a=await u.open(r,{create:!0,unlock:n?.unlock??!1});try{(0,h.isReadableStream)(i)||(0,h.isReadableBufferedStream)(i)?await this.doWriteStreamBufferedQueued(u,a,i):await this.doWriteReadableBufferedQueued(u,a,i)}catch(c){throw(0,w.ensureFileSystemProviderError)(c)}finally{await u.close(a)}})}async doWriteStreamBufferedQueued(u,r,n){let i=0,a;if((0,h.isReadableBufferedStream)(n)){if(n.buffer.length>0){const c=k.VSBuffer.concat(n.buffer);await this.doWriteBuffer(u,r,c,c.byteLength,i,0),i+=c.byteLength}if(n.ended)return;a=n.stream}else a=n;return new Promise((c,o)=>{(0,h.listenStream)(a,{onData:async s=>{a.pause();try{await this.doWriteBuffer(u,r,s,s.byteLength,i,0)}catch(l){return o(l)}i+=s.byteLength,setTimeout(()=>a.resume())},onError:s=>o(s),onEnd:()=>c()})})}async doWriteReadableBufferedQueued(u,r,n){let i=0,a;for(;(a=n.read())!==null;)await this.doWriteBuffer(u,r,a,a.byteLength,i,0),i+=a.byteLength}async doWriteBuffer(u,r,n,i,a,c){let o=0;for(;o<i;)o+=await u.write(r,a+o,n.buffer,c+o,i-o)}async doWriteUnbuffered(u,r,n,i){return this.writeQueue.queueFor(r,this.getExtUri(u).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(u,r,n,i))}async doWriteUnbufferedQueued(u,r,n,i){let a;i instanceof k.VSBuffer?a=i:(0,h.isReadableStream)(i)?a=await(0,k.streamToBuffer)(i):(0,h.isReadableBufferedStream)(i)?a=await(0,k.bufferedStreamToBuffer)(i):a=(0,k.readableToBuffer)(i),await u.writeFile(r,a.buffer,{create:!0,overwrite:!0,unlock:n?.unlock??!1})}async doPipeBuffered(u,r,n,i){return this.writeQueue.queueFor(i,this.getExtUri(n).providerExtUri).queue(()=>this.doPipeBufferedQueued(u,r,n,i))}async doPipeBufferedQueued(u,r,n,i){let a,c;try{a=await u.open(r,{create:!1}),c=await n.open(i,{create:!0,unlock:!1});const o=k.VSBuffer.alloc(this.BUFFER_SIZE);let s=0,l=0,f=0;do f=await u.read(a,s,o.buffer,l,o.byteLength-l),await this.doWriteBuffer(n,c,o,f,s,l),s+=f,l+=f,l===o.byteLength&&(l=0);while(f>0)}catch(o){throw(0,w.ensureFileSystemProviderError)(o)}finally{await t.Promises.settled([typeof a=="number"?u.close(a):Promise.resolve(),typeof c=="number"?n.close(c):Promise.resolve()])}}async doPipeUnbuffered(u,r,n,i){return this.writeQueue.queueFor(i,this.getExtUri(n).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(u,r,n,i))}async doPipeUnbufferedQueued(u,r,n,i){return n.writeFile(i,await u.readFile(r),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(u,r,n,i){return this.writeQueue.queueFor(i,this.getExtUri(n).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(u,r,n,i))}async doPipeUnbufferedToBufferedQueued(u,r,n,i){const a=await n.open(i,{create:!0,unlock:!1});try{const c=await u.readFile(r);await this.doWriteBuffer(n,a,k.VSBuffer.wrap(c),c.byteLength,0,0)}catch(c){throw(0,w.ensureFileSystemProviderError)(c)}finally{await n.close(a)}}async doPipeBufferedToUnbuffered(u,r,n,i){const a=await(0,k.streamToBuffer)(this.readFileBuffered(u,r,T.CancellationToken.None));await this.doWriteUnbuffered(n,i,void 0,a)}throwIfFileSystemIsReadonly(u,r){if(u.capabilities&2048)throw new w.FileOperationError((0,S.localize)(22,null,this.resourceForError(r)),6);return u}throwIfFileIsReadonly(u,r){if((r.permissions??0)&w.FilePermission.Readonly)throw new w.FileOperationError((0,S.localize)(23,null,this.resourceForError(u)),6)}resourceForError(u){return u.scheme===b.Schemas.file?u.fsPath:u.toString(!0)}};m=fe([Q(0,v.ILogService)],m),e.FileService=m}),define(re[189],se([0,1,54,270,6,38,16,3,43,2,13,4,18,42,27,150,10,92,186,37,180,179]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v,m,g,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0,(()=>{try{(0,t.gracefulify)(R)}catch(n){console.error(`Error enabling graceful-fs: ${(0,m.toErrorMessage)(n)}`)}})();class r extends v.AbstractDiskFileSystemProvider{constructor(i,a){super(i,a);this.onDidChangeCapabilities=C.Event.None,this.resourceLocks=new T.ResourceMap(c=>p.extUriBiasedIgnorePathCase.getComparisonKey(c)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384|32768,b.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(i){try{const{stat:a,symbolicLink:c}=await h.SymlinkSupport.stat(this.toFilePath(i));return{type:this.toType(a,c),ctime:a.birthtime.getTime(),mtime:a.mtime.getTime(),size:a.size}}catch(a){throw this.toFileSystemProviderError(a)}}async readdir(i){try{const a=await h.Promises.readdir(this.toFilePath(i),{withFileTypes:!0}),c=[];return await Promise.all(a.map(async o=>{try{let s;o.isSymbolicLink()?s=(await this.stat((0,p.joinPath)(i,o.name))).type:s=this.toType(o),c.push([o.name,s])}catch(s){this.logService.trace(s)}})),c}catch(a){throw this.toFileSystemProviderError(a)}}toType(i,a){let c;return a?.dangling?c=w.FileType.Unknown:i.isFile()?c=w.FileType.File:i.isDirectory()?c=w.FileType.Directory:c=w.FileType.Unknown,a&&(c|=w.FileType.SymbolicLink),c}async createResourceLock(i){const a=this.toFilePath(i);this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${a})`);let c;for(;c=this.resourceLocks.get(i);)this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${a})`),await c.wait();const o=new k.Barrier;return this.resourceLocks.set(i,o),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${a})`),(0,I.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${a})`),this.resourceLocks.get(i)===o&&(this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${a})`),this.resourceLocks.delete(i)),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${a})`),o.open()})}async readFile(i,a){let c;try{a?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(i)})`),c=await this.createResourceLock(i));const o=this.toFilePath(i);return await h.Promises.readFile(o)}catch(o){throw this.toFileSystemProviderError(o)}finally{c?.dispose()}}readFileStream(i,a,c){const o=(0,y.newWriteableStream)(s=>A.VSBuffer.concat(s.map(l=>A.VSBuffer.wrap(l))).buffer);return(0,d.readFileIntoStream)(this,i,o,s=>s.buffer,{...a,bufferSize:256*1024},c),o}async writeFile(i,a,c){let o;try{const s=this.toFilePath(i);if(!c.create||!c.overwrite){if(await h.Promises.exists(s)){if(!c.overwrite)throw(0,w.createFileSystemProviderError)((0,S.localize)(0,null),w.FileSystemProviderErrorCode.FileExists)}else if(!c.create)throw(0,w.createFileSystemProviderError)((0,S.localize)(1,null),w.FileSystemProviderErrorCode.FileNotFound)}o=await this.open(i,{create:!0,unlock:c.unlock}),await this.write(o,0,a,0,a.byteLength)}catch(s){throw await this.toFileSystemProviderWriteError(i,s)}finally{typeof o=="number"&&await this.close(o)}}async open(i,a){const c=this.toFilePath(i);let o;(0,w.isFileOpenForWriteOptions)(a)&&(o=await this.createResourceLock(i));let s;try{if((0,w.isFileOpenForWriteOptions)(a)&&a.unlock)try{const{stat:f}=await h.SymlinkSupport.stat(c);f.mode&128||await h.Promises.chmod(c,f.mode|128)}catch(f){this.logService.trace(f)}let l;if((0,w.isFileOpenForWriteOptions)(a)){if(b.isWindows)try{await h.Promises.truncate(c,0),l="r+"}catch(f){f.code!=="ENOENT"&&this.logService.trace(f)}l||(l="w")}else l="r";s=await h.Promises.open(c,l)}catch(l){throw o?.dispose(),(0,w.isFileOpenForWriteOptions)(a)?await this.toFileSystemProviderWriteError(i,l):this.toFileSystemProviderError(l)}if(this.mapHandleToPos.set(s,0),(0,w.isFileOpenForWriteOptions)(a)&&this.writeHandles.set(s,i),o){const l=this.mapHandleToLock.get(s);this.logService.trace(`[Disk FileSystemProvider]: open() - storing lock for handle ${s} (${c})`),this.mapHandleToLock.set(s,o),l&&(this.logService.trace(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${s} (${c})`),l.dispose())}return s}async close(i){const a=this.mapHandleToLock.get(i);try{if(this.mapHandleToPos.delete(i),this.writeHandles.delete(i)&&this.canFlush)try{await h.Promises.fdatasync(i)}catch(c){this.canFlush=!1,this.logService.error(c)}return await h.Promises.close(i)}catch(c){throw this.toFileSystemProviderError(c)}finally{a&&(this.mapHandleToLock.get(i)===a&&(this.logService.trace(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${i}`),this.mapHandleToLock.delete(i)),this.logService.trace(`[Disk FileSystemProvider]: close() - disposing lock for handle ${i}`),a.dispose())}}async read(i,a,c,o,s){const l=this.normalizePos(i,a);let f=null;try{f=(await h.Promises.read(i,c,o,s,l)).bytesRead}catch(E){throw this.toFileSystemProviderError(E)}finally{this.updatePos(i,l,f)}return f}normalizePos(i,a){return a===this.mapHandleToPos.get(i)?null:a}updatePos(i,a,c){const o=this.mapHandleToPos.get(i);typeof o=="number"&&(typeof a=="number"||(typeof c=="number"?this.mapHandleToPos.set(i,o+c):this.mapHandleToPos.delete(i)))}async write(i,a,c,o,s){return(0,k.retry)(()=>this.doWrite(i,a,c,o,s),100,3)}async doWrite(i,a,c,o,s){const l=this.normalizePos(i,a);let f=null;try{f=(await h.Promises.write(i,c,o,s,l)).bytesWritten}catch(E){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(i),E)}finally{this.updatePos(i,l,f)}return f}async mkdir(i){try{await h.Promises.mkdir(this.toFilePath(i))}catch(a){throw this.toFileSystemProviderError(a)}}async delete(i,a){try{const c=this.toFilePath(i);a.recursive?await h.Promises.rm(c,h.RimRafMode.MOVE):await h.Promises.unlink(c)}catch(c){throw this.toFileSystemProviderError(c)}}async rename(i,a,c){const o=this.toFilePath(i),s=this.toFilePath(a);if(o!==s)try{await this.validateTargetDeleted(i,a,"move",c.overwrite),await h.Promises.move(o,s)}catch(l){throw(l.code==="EINVAL"||l.code==="EBUSY"||l.code==="ENAMETOOLONG")&&(l=new Error((0,S.localize)(2,null,(0,D.basename)(o),(0,D.basename)((0,D.dirname)(s)),l.toString()))),this.toFileSystemProviderError(l)}}async copy(i,a,c){const o=this.toFilePath(i),s=this.toFilePath(a);if(o!==s)try{await this.validateTargetDeleted(i,a,"copy",c.overwrite),await h.Promises.copy(o,s,{preserveSymlinks:!0})}catch(l){throw(l.code==="EINVAL"||l.code==="EBUSY"||l.code==="ENAMETOOLONG")&&(l=new Error((0,S.localize)(3,null,(0,D.basename)(o),(0,D.basename)((0,D.dirname)(s)),l.toString()))),this.toFileSystemProviderError(l)}}async validateTargetDeleted(i,a,c,o){const s=this.toFilePath(i),l=this.toFilePath(a);let f=!1;if(!!(this.capabilities&1024)||(f=(0,P.isEqual)(s,l,!0)),f&&c==="copy")throw(0,w.createFileSystemProviderError)((0,S.localize)(4,null),w.FileSystemProviderErrorCode.FileExists);if(!f&&await h.Promises.exists(l)){if(!o)throw(0,w.createFileSystemProviderError)((0,S.localize)(5,null),w.FileSystemProviderErrorCode.FileExists);await this.delete(a,{recursive:!0,useTrash:!1})}}async cloneFile(i,a){return this.doCloneFile(i,a,!1)}async doCloneFile(i,a,c){const o=this.toFilePath(i),s=this.toFilePath(a),l=!!(this.capabilities&1024);if((0,P.isEqual)(o,s,!l))return;const f=new I.DisposableStore;try{const[E,U]=await Promise.all([this.createResourceLock(i),this.createResourceLock(a)]);f.add(E),f.add(U),c&&await h.Promises.mkdir((0,D.dirname)(s),{recursive:!0}),await h.Promises.copyFile(o,s)}catch(E){if(E.code==="ENOENT"&&!c)return this.doCloneFile(i,a,!0);throw this.toFileSystemProviderError(E)}finally{f.dispose()}}createUniversalWatcher(i,a,c){return new g.UniversalWatcherClient(o=>i(o),o=>a(o),c)}createNonRecursiveWatcher(i,a,c){return new u.NodeJSWatcherClient(o=>i(o),o=>a(o),c)}toFileSystemProviderError(i){if(i instanceof w.FileSystemProviderError)return i;let a;switch(i.code){case"ENOENT":a=w.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":a=w.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":a=w.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":a=w.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":a=w.FileSystemProviderErrorCode.NoPermissions;break;default:a=w.FileSystemProviderErrorCode.Unknown}return(0,w.createFileSystemProviderError)(i,a)}async toFileSystemProviderWriteError(i,a){let c=this.toFileSystemProviderError(a);if(i&&c.code===w.FileSystemProviderErrorCode.NoPermissions)try{const{stat:o}=await h.SymlinkSupport.stat(this.toFilePath(i));o.mode&128||(c=(0,w.createFileSystemProviderError)(a,w.FileSystemProviderErrorCode.FileWriteLocked))}catch(o){this.logService.trace(o)}return c}}e.DiskFileSystemProvider=r}),define(re[95],se([0,1,3,8,7]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class T{constructor(p){this.service=p,this.onDidChangeLogLevel=R.Event.buffer(p.onDidChangeLogLevel,!0)}listen(p,y){switch(y){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${y}`)}async call(p,y,h){switch(y){case"setLevel":return this.service.setLevel(h)}throw new Error(`Call not found: ${y}`)}}e.LogLevelChannel=T;class A{constructor(p){this.channel=p}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(p){A.setLevel(this.channel,p)}static setLevel(p,y){return p.call("setLevel",y)}}e.LogLevelChannelClient=A;class C{constructor(p){this.loggerService=p,this.loggers=new Map}listen(p,y){throw new Error(`Event not found: ${y}`)}async call(p,y,h){switch(y){case"createLogger":this.createLogger(t.URI.revive(h[0]),h[1]);return;case"log":return this.log(t.URI.revive(h[0]),h[1]);case"consoleLog":return this.consoleLog(h[0],h[1])}throw new Error(`Call not found: ${y}`)}createLogger(p,y){this.loggers.set(p.toString(),this.loggerService.createLogger(p,y))}consoleLog(p,y){let h=console.log;switch(p){case k.LogLevel.Error:h=console.error;break;case k.LogLevel.Warning:h=console.warn;break;case k.LogLevel.Info:h=console.info;break}h.call(console,...y)}log(p,y){const h=this.loggers.get(p.toString());if(!h)throw new Error("Create the logger before logging");for(const[S,w]of y)(0,k.log)(h,S,w)}}e.LoggerChannel=C;class P extends k.AbstractLoggerService{constructor(p,y,h){super(p,y);this.channel=h}createConsoleMainLogger(){return new k.AdapterLogger({log:(p,y)=>{this.channel.call("consoleLog",[p,y])}})}doCreateLogger(p,y,h){return new I(this.channel,p,y,h)}}e.LoggerChannelClient=P;class I extends k.AbstractMessageLogger{constructor(p,y,h,S){super(S?.always);this.channel=p,this.file=y,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(h),this.channel.call("createLogger",[y,S]).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(p,y){const h=[[p,y]];this.isLoggerCreated?this.doLog(h):this.buffer.push(...h)}doLog(p){this.channel.call("log",[this.file,p])}}class D extends k.LogService{constructor(p,y){super(y);this.parent=p,this._register(p.onDidChangeLogLevel(h=>y.setLevel(h)))}setLevel(p){super.setLevel(p),this.parent.setLevel(p)}}e.FollowerLogService=D}),define(re[67],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeHostService=void 0,e.INativeHostService=(0,R.createDecorator)("nativeHostService")}),define(re[58],se([0,1,3,52,2,5]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullPolicyService=e.AbstractPolicyService=e.IPolicyService=void 0,e.IPolicyService=(0,T.createDecorator)("policy");class A extends k.Disposable{constructor(){super(...arguments);this.policyDefinitions={},this.policies=new Map,this._onDidChange=this._register(new R.Emitter),this.onDidChange=this._onDidChange.event}async registerPolicyDefinitions(I){const D=Object.keys(this.policyDefinitions).length;return this.policyDefinitions={...I,...this.policyDefinitions},D!==Object.keys(this.policyDefinitions).length&&await this.initializePolicies(I),t.Iterable.reduce(this.policies.entries(),(b,[p,y])=>({...b,[p]:y}),{})}getPolicyValue(I){return this.policies.get(I)}serialize(){return t.Iterable.reduce(Object.entries(this.policyDefinitions),(I,[D,b])=>({...I,[D]:{definition:b,value:this.policies.get(D)}}),{})}}e.AbstractPolicyService=A;class C{constructor(){this.onDidChange=R.Event.None}async registerPolicyDefinitions(){return{}}getPolicyValue(){}serialize(){}}e.NullPolicyService=C}),define(re[190],se([0,1,3,2,58]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PolicyChannelClient=e.PolicyChannel=void 0;class T{constructor(P){this.service=P,this.disposables=new t.DisposableStore}listen(P,I){switch(I){case"onDidChange":return R.Event.map(this.service.onDidChange,D=>D.reduce((b,p)=>({...b,[p]:this.service.getPolicyValue(p)??null}),{}),this.disposables)}throw new Error(`Event not found: ${I}`)}call(P,I,D){switch(I){case"registerPolicyDefinitions":return this.service.registerPolicyDefinitions(D)}throw new Error(`Call not found: ${I}`)}dispose(){this.disposables.dispose()}}e.PolicyChannel=T;class A extends k.AbstractPolicyService{constructor(P,I){super();this.channel=I;for(const D in P){const{definition:b,value:p}=P[D];this.policyDefinitions[D]=b,p!==void 0&&this.policies.set(D,p)}this.channel.listen("onDidChange")(D=>{for(const b in D){const p=D[b];p===null?this.policies.delete(b):this.policies.set(b,p)}this._onDidChange.fire(Object.keys(D))})}async initializePolicies(P){const I=await this.channel.call("registerPolicyDefinitions",P);for(const D in I)this.policies.set(D,I[D])}}e.PolicyChannelClient=A}),define(re[96],se([0,1,20,4,35,18]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let A;if(typeof t.globals.vscode!="undefined"&&typeof t.globals.vscode.context!="undefined"){const C=t.globals.vscode.context.configuration();if(C)A=C.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof Z?.__$__nodeRequire=="function"){const C=(0,T.dirname)(R.FileAccess.asFileUri("",Z));A=Z.__$__nodeRequire((0,T.joinPath)(C,"product.json").fsPath);const P=Z.__$__nodeRequire((0,T.joinPath)(C,"package.json").fsPath);k.env.VSCODE_DEV&&Object.assign(A,{nameShort:`${A.nameShort} Dev`,nameLong:`${A.nameLong} Dev`,dataFolderName:`${A.dataFolderName}-dev`,serverDataFolderName:A.serverDataFolderName?`${A.serverDataFolderName}-dev`:void 0}),Object.assign(A,{version:P.version})}else A={},Object.keys(A).length===0&&Object.assign(A,{version:"1.67.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=A}),define(re[24],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,R.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"}),define(re[191],se([0,1,6,9,2,13,27,7,24]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeCacheCleaner=void 0;let I=class extends k.Disposable{constructor(b,p,y){super();this.productService=p,this.logService=y,this._DataMaxAge=this.productService.quality!=="stable"?1e3*60*60*24*7:1e3*60*60*24*30*3,b&&this._register(new R.RunOnceScheduler(()=>{this.cleanUpCodeCaches(b)},30*1e3)).schedule()}async cleanUpCodeCaches(b){this.logService.trace("[code cache cleanup]: Starting to clean up old code cache folders.");try{const p=Date.now(),y=(0,T.dirname)(b),h=(0,T.basename)(b),S=await A.Promises.readdir(y);await Promise.all(S.map(async w=>{if(w===h)return;const d=(0,T.join)(y,w),v=await A.Promises.stat(d);if(v.isDirectory()&&p-v.mtime.getTime()>this._DataMaxAge)return this.logService.trace(`[code cache cleanup]: Removing code cache folder ${w}.`),A.Promises.rm(d)}))}catch(p){(0,t.onUnexpectedError)(p)}}};I=fe([Q(1,P.IProductService),Q(2,C.ILogService)],I),e.CodeCacheCleaner=I}),define(re[192],se([0,1,6,9,2,13,27,15,7,24]),function(Z,e,R,t,k,T,A,C,P,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguagePackCachedDataCleaner=void 0;let D=class extends k.Disposable{constructor(p,y,h){super();this.environmentService=p,this.logService=y,this.productService=h,this._DataMaxAge=this.productService.quality!=="stable"?1e3*60*60*24*7:1e3*60*60*24*30*3,this.environmentService.isBuilt&&this._register(new R.RunOnceScheduler(()=>{this.cleanUpLanguagePackCache()},40*1e3)).schedule()}async cleanUpLanguagePackCache(){this.logService.trace("[language pack cache cleanup]: Starting to clean up unused language packs.");try{const p=Object.create(null),y=JSON.parse(await A.Promises.readFile((0,T.join)(this.environmentService.userDataPath,"languagepacks.json"),"utf8"));for(const v of Object.keys(y)){const m=y[v];p[`${m.hash}.${v}`]=!0}const h=(0,T.join)(this.environmentService.userDataPath,"clp");if(!await A.Promises.exists(h))return;const w=await A.Promises.readdir(h);for(const v of w){if(p[v]){this.logService.trace(`[language pack cache cleanup]: Skipping folder ${v}. Language pack still in use.`);continue}this.logService.trace(`[language pack cache cleanup]: Removing unused language pack: ${v}`),await A.Promises.rm((0,T.join)(h,v))}const d=Date.now();for(const v of Object.keys(p)){const m=(0,T.join)(h,v),g=await A.Promises.readdir(m);for(const u of g){if(u==="tcf.json")continue;const r=(0,T.join)(m,u),n=await A.Promises.stat(r);n.isDirectory()&&d-n.mtime.getTime()>this._DataMaxAge&&(this.logService.trace(`[language pack cache cleanup]: Removing language pack cache folder: ${(0,T.join)(v,u)}`),await A.Promises.rm(r))}}}catch(p){(0,t.onUnexpectedError)(p)}}};D=fe([Q(0,C.INativeEnvironmentService),Q(1,P.ILogService),Q(2,I.IProductService)],D),e.LanguagePackCachedDataCleaner=D}),define(re[193],se([0,1,13,5]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Utils=e.IV8InspectProfilingService=void 0,e.IV8InspectProfilingService=(0,t.createDecorator)("IV8InspectProfilingService");var k;(function(T){function A(C,P="noAbsolutePaths"){for(const I of C.nodes)I.callFrame&&I.callFrame.url&&((0,R.isAbsolute)(I.callFrame.url)||/^\w[\w\d+.-]*:\/\/\//.test(I.callFrame.url))&&(I.callFrame.url=(0,R.join)(P,(0,R.basename)(I.callFrame.url)));return C}T.rewriteAbsolutePaths=A})(k=e.Utils||(e.Utils={}))}),define(re[194],se([0,1,31]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InspectProfilingService=void 0;class t{constructor(){this._sessions=new Map}async startProfiling(T){const C=await(await new Promise((I,D)=>{Z(["v8-inspect-profiler"],I,D)})).startProfiling({port:T.port,checkForPaused:!0}),P=(0,R.generateUuid)();return this._sessions.set(P,C),P}async stopProfiling(T){const A=this._sessions.get(T);if(!A)throw new Error(`UNKNOWN session '${T}'`);const C=await A.stop();return this._sessions.delete(T),C.profile}}e.InspectProfilingService=t}),define(re[40],se([0,1,109,14]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class k{constructor(){this.data=new Map}add(A,C){R.ok(t.isString(A)),R.ok(t.isObject(C)),R.ok(!this.data.has(A),"There is already an extension with this id"),this.data.set(A,C)}knows(A){return this.data.has(A)}as(A){return this.data.get(A)||null}}e.Registry=new k}),define(re[97],se([0,1,3,40]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function k(C){return C.length>0&&C.charAt(C.length-1)==="#"?C.substring(0,C.length-1):C}class T{constructor(){this._onDidChangeSchema=new R.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(P,I){this.schemasById[k(P)]=I,this._onDidChangeSchema.fire(P)}notifySchemaChanged(P){this._onDidChangeSchema.fire(P)}getSchemaContributions(){return{schemas:this.schemasById}}}const A=new T;t.Registry.add(e.Extensions.JSONContribution,A)}),define(re[44],se([0,1,17,3,14,137,19,97,40]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var I;(function(u){u.Multiline="multilineText",u.Singleline="singlelineText"})(I=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var D;(function(u){u[u.APPLICATION=1]="APPLICATION",u[u.MACHINE=2]="MACHINE",u[u.WINDOW=3]="WINDOW",u[u.RESOURCE=4]="RESOURCE",u[u.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",u[u.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(D=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const b=P.Registry.as(C.Extensions.JSONContribution);class p{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new t.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new t.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:T.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.policyConfigurations=new Map,this.excludedConfigurationProperties={},b.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(r,n=!0){this.registerConfigurations([r],n)}registerConfigurations(r,n=!0){const i=this.doRegisterConfigurations(r,n);b.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:i})}deregisterConfigurations(r){const n=this.doDeregisterConfigurations(r);b.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n})}updateConfigurations({add:r,remove:n}){const i=[];i.push(...this.doDeregisterConfigurations(n)),i.push(...this.doRegisterConfigurations(r,!1)),b.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,R.distinct)(i)})}registerDefaultConfigurations(r){const n=[],i=[];for(const{overrides:a,source:c}of r)for(const o in a)if(n.push(o),e.OVERRIDE_PROPERTY_REGEX.test(o)){const s=this.configurationDefaultsOverrides.get(o),l=s?.valuesSources??new Map;if(c)for(const _ of Object.keys(a[o]))l.set(_,c);const f={...s?.value||{},...a[o]};this.configurationDefaultsOverrides.set(o,{source:c,value:f,valuesSources:l});const E=(0,A.getLanguageTagSettingPlainKey)(o),U={type:"object",default:f,description:T.localize(1,null,E),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:f,source:k.isString(c)?void 0:c,defaultValueSource:c};i.push(...S(o)),this.configurationProperties[o]=U,this.defaultLanguageConfigurationOverridesNode.properties[o]=U}else{this.configurationDefaultsOverrides.set(o,{value:a[o],source:c});const s=this.configurationProperties[o];s&&(this.updatePropertyDefaultValue(o,s),this.updateSchema(o,s))}this.registerOverrideIdentifiers(i),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n,defaultsOverrides:!0})}deregisterDefaultConfigurations(r){const n=[];for(const{overrides:i,source:a}of r)for(const c in i){const o=this.configurationDefaultsOverrides.get(c),s=k.isString(a)?a:a?.id,l=k.isString(o?.source)?o?.source:o?.source?.id;if(s===l)if(n.push(c),this.configurationDefaultsOverrides.delete(c),e.OVERRIDE_PROPERTY_REGEX.test(c))delete this.configurationProperties[c],delete this.defaultLanguageConfigurationOverridesNode.properties[c];else{const f=this.configurationProperties[c];f&&(this.updatePropertyDefaultValue(c,f),this.updateSchema(c,f))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...r){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(r){for(const n of r)this.overrideIdentifiers.add(n);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(r,n){const i=[];return r.forEach(a=>{i.push(...this.validateAndRegisterProperties(a,n,a.extensionInfo,a.restrictedProperties)),this.configurationContributors.push(a),this.registerJSONConfiguration(a)}),i}doDeregisterConfigurations(r){const n=[],i=a=>{if(a.properties)for(const c in a.properties){n.push(c);const o=this.configurationProperties[c];o?.policy?.name&&this.policyConfigurations.delete(o.policy.name),delete this.configurationProperties[c],this.removeFromSchema(c,a.properties[c])}a.allOf?.forEach(c=>i(c))};for(const a of r){i(a);const c=this.configurationContributors.indexOf(a);c!==-1&&this.configurationContributors.splice(c,1)}return n}validateAndRegisterProperties(r,n=!0,i,a,c=3){c=k.isUndefinedOrNull(r.scope)?c:r.scope;const o=[],s=r.properties;if(s)for(const f in s){const E=s[f];if(n&&m(f,E)){delete s[f];continue}if(E.source=i,E.defaultDefaultValue=s[f].default,this.updatePropertyDefaultValue(f,E),e.OVERRIDE_PROPERTY_REGEX.test(f)?E.scope=void 0:(E.scope=k.isUndefinedOrNull(E.scope)?c:E.scope,E.restricted=k.isUndefinedOrNull(E.restricted)?!!a?.includes(f):E.restricted),s[f].hasOwnProperty("included")&&!s[f].included){this.excludedConfigurationProperties[f]=s[f],delete s[f];continue}else this.configurationProperties[f]=s[f],s[f].policy?.name&&this.policyConfigurations.set(s[f].policy.name,f);!s[f].deprecationMessage&&s[f].markdownDeprecationMessage&&(s[f].deprecationMessage=s[f].markdownDeprecationMessage),o.push(f)}const l=r.allOf;if(l)for(const f of l)o.push(...this.validateAndRegisterProperties(f,n,i,a,c));return o}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getPolicyConfigurations(){return this.policyConfigurations}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(r){const n=i=>{const a=i.properties;if(a)for(const o in a)this.updateSchema(o,a[o]);i.allOf?.forEach(n)};n(r)}updateSchema(r,n){switch(e.allSettings.properties[r]=n,n.scope){case 1:e.applicationSettings.properties[r]=n;break;case 2:e.machineSettings.properties[r]=n;break;case 6:e.machineOverridableSettings.properties[r]=n;break;case 3:e.windowSettings.properties[r]=n;break;case 4:e.resourceSettings.properties[r]=n;break;case 5:e.resourceSettings.properties[r]=n,this.resourceLanguageSettingsSchema.properties[r]=n;break}}removeFromSchema(r,n){switch(delete e.allSettings.properties[r],n.scope){case 1:delete e.applicationSettings.properties[r];break;case 2:delete e.machineSettings.properties[r];break;case 6:delete e.machineOverridableSettings.properties[r];break;case 3:delete e.windowSettings.properties[r];break;case 4:case 5:delete e.resourceSettings.properties[r],delete this.resourceLanguageSettingsSchema.properties[r];break}}updateOverridePropertyPatternKey(){for(const r of this.overrideIdentifiers.values()){const n=`[${r}]`,i={type:"object",description:T.localize(2,null),errorMessage:T.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(n,i),e.allSettings.properties[n]=i,e.applicationSettings.properties[n]=i,e.machineSettings.properties[n]=i,e.machineOverridableSettings.properties[n]=i,e.windowSettings.properties[n]=i,e.resourceSettings.properties[n]=i}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const r={type:"object",description:T.localize(4,null),errorMessage:T.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=r,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=r,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=r,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=r,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=r,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=r,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(r,n){const i=this.configurationDefaultsOverrides.get(r);let a=i?.value,c=i?.source;k.isUndefined(a)&&(a=n.defaultDefaultValue,c=void 0),k.isUndefined(a)&&(a=d(n.type)),n.default=a,n.defaultValueSource=c}}const y="\\[([^\\]]+)\\]",h=new RegExp(y,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${y})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function S(u){const r=[];if(e.OVERRIDE_PROPERTY_REGEX.test(u)){let n=h.exec(u);for(;n?.length;){const i=n[1].trim();i&&r.push(i),n=h.exec(u)}}return(0,R.distinct)(r)}e.overrideIdentifiersFromKey=S;function w(u){return u.reduce((r,n)=>`${r}[${n}]`,"")}e.keyFromOverrideIdentifiers=w;function d(u){switch(Array.isArray(u)?u[0]:u){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=d;const v=new p;P.Registry.add(e.Extensions.Configuration,v);function m(u,r){return u.trim()?e.OVERRIDE_PROPERTY_REGEX.test(u)?T.localize(7,null,u):v.getConfigurationProperties()[u]!==void 0?T.localize(8,null,u):r.policy?.name&&v.getPolicyConfigurations().get(r.policy?.name)!==void 0?T.localize(9,null,u,r.policy?.name,v.getPolicyConfigurations().get(r.policy?.name)):null:T.localize(6,null)}e.validateProperty=m;function g(){const u=[],r=v.getConfigurationProperties();for(const n of Object.keys(r))u.push([n,r[n].scope]);return u.push(["launch",4]),u.push(["task",4]),u}e.getScopes=g}),define(re[68],se([0,1,17,3,34,2,38,30,14,8,19,44,40]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.ConfigurationModel=void 0;class y{constructor(n={},i=[],a=[]){this._contents=n,this._keys=i,this._overrides=a,this.frozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}isFrozen(){return this.frozen}getValue(n){return n?(0,D.getConfigurationValue)(this.contents,n):this.contents}getOverrideValue(n,i){const a=this.getContentsForOverrideIdentifer(i);return a?n?(0,D.getConfigurationValue)(a,n):a:void 0}getKeysForOverrideIdentifier(n){const i=[];for(const a of this.overrides)a.identifiers.includes(n)&&i.push(...a.keys);return R.distinct(i)}getAllOverrideIdentifiers(){const n=[];for(const i of this.overrides)n.push(...i.identifiers);return R.distinct(n)}override(n){let i=this.overrideConfigurations.get(n);return i||(i=this.createOverrideConfigurationModel(n),this.overrideConfigurations.set(n,i)),i}merge(...n){const i=C.deepClone(this.contents),a=C.deepClone(this.overrides),c=[...this.keys];for(const o of n)if(!o.isEmpty()){this.mergeContents(i,o.contents);for(const s of o.overrides){const[l]=a.filter(f=>R.equals(f.identifiers,s.identifiers));l?(this.mergeContents(l.contents,s.contents),l.keys.push(...s.keys),l.keys=R.distinct(l.keys)):a.push(C.deepClone(s))}for(const s of o.keys)c.indexOf(s)===-1&&c.push(s)}return new y(i,c,a)}freeze(){return this.frozen=!0,this}clone(){return new y(C.deepClone(this.contents),[...this.keys],C.deepClone(this.overrides))}createOverrideConfigurationModel(n){const i=this.getContentsForOverrideIdentifer(n);if(!i||typeof i!="object"||!Object.keys(i).length)return this;const a={};for(const c of R.distinct([...Object.keys(this.contents),...Object.keys(i)])){let o=this.contents[c];const s=i[c];s&&(typeof o=="object"&&typeof s=="object"?(o=C.deepClone(o),this.mergeContents(o,s)):o=s),a[c]=o}return new y(a,this.keys,this.overrides)}mergeContents(n,i){for(const a of Object.keys(i)){if(a in n&&P.isObject(n[a])&&P.isObject(i[a])){this.mergeContents(n[a],i[a]);continue}n[a]=C.deepClone(i[a])}}checkAndFreeze(n){return this.frozen&&!Object.isFrozen(n)?C.deepFreeze(n):n}getContentsForOverrideIdentifer(n){let i=null,a=null;const c=o=>{o&&(a?this.mergeContents(a,o):a=C.deepClone(o))};for(const o of this.overrides)R.equals(o.identifiers,[n])?i=o.contents:o.identifiers.includes(n)&&c(o.contents);return c(i),a}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(n,i){this.addKey(n),(0,D.addToValueTree)(this.contents,n,i,a=>{throw new Error(a)})}removeValue(n){this.removeKey(n)&&(0,D.removeFromValueTree)(this.contents,n)}addKey(n){let i=this.keys.length;for(let a=0;a<i;a++)n.indexOf(this.keys[a])===0&&(i=a);this.keys.splice(i,1,n)}removeKey(n){const i=this.keys.indexOf(n);return i!==-1?(this.keys.splice(i,1),!0):!1}}e.ConfigurationModel=y;class h{constructor(n){this._name=n,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new y}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(n,i){if(!P.isUndefinedOrNull(n)){const a=this.doParseContent(n);this.parseRaw(a,i)}}reparse(n){this._raw&&this.parseRaw(this._raw,n)}parseRaw(n,i){this._raw=n;const{contents:a,keys:c,overrides:o,restricted:s}=this.doParseRaw(n,i);this._configurationModel=new y(a,c,o),this._restrictedConfigurations=s||[]}doParseContent(n){let i={},a=null,c=[];const o=[],s=[];function l(E){Array.isArray(c)?c.push(E):a!==null&&(c[a]=E)}const f={onObjectBegin:()=>{const E={};l(E),o.push(c),c=E,a=null},onObjectProperty:E=>{a=E},onObjectEnd:()=>{c=o.pop()},onArrayBegin:()=>{const E=[];l(E),o.push(c),c=E,a=null},onArrayEnd:()=>{c=o.pop()},onLiteralValue:l,onError:(E,U,_)=>{s.push({error:E,offset:U,length:_})}};if(n)try{k.visit(n,f),i=c[0]||{}}catch(E){console.error(`Error while parsing settings file ${this._name}: ${E}`),this._parseErrors=[E]}return i}doParseRaw(n,i){const a=p.Registry.as(b.Extensions.Configuration).getConfigurationProperties(),c=this.filter(n,a,!0,i);n=c.raw;const o=(0,D.toValuesTree)(n,f=>console.error(`Conflict in settings file ${this._name}: ${f}`)),s=Object.keys(n),l=this.toOverrides(n,f=>console.error(`Conflict in settings file ${this._name}: ${f}`));return{contents:o,keys:s,overrides:l,restricted:c.restricted}}filter(n,i,a,c){if(!c?.scopes&&!c?.skipRestricted)return{raw:n,restricted:[]};const o={},s=[];for(const l in n)if(b.OVERRIDE_PROPERTY_REGEX.test(l)&&a){const f=this.filter(n[l],i,!1,c);o[l]=f.raw,s.push(...f.restricted)}else{const f=i[l],E=f?typeof f.scope!="undefined"?f.scope:3:void 0;f?.restricted&&s.push(l),(E===void 0||c.scopes===void 0||c.scopes.includes(E))&&(c.skipRestricted&&f?.restricted||(o[l]=n[l]))}return{raw:o,restricted:s}}toOverrides(n,i){const a=[];for(const c of Object.keys(n))if(b.OVERRIDE_PROPERTY_REGEX.test(c)){const o={};for(const s in n[c])o[s]=n[c][s];a.push({identifiers:(0,b.overrideIdentifiersFromKey)(c),keys:Object.keys(o),contents:(0,D.toValuesTree)(o,i)})}return a}}e.ConfigurationModelParser=h;class S extends T.Disposable{constructor(n,i,a,c){super();this.userSettingsResource=n,this.scopes=i,this.fileService=c,this._onDidChange=this._register(new t.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new h(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(a.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(t.Event.any(t.Event.filter(this.fileService.onDidFilesChange,o=>o.contains(this.userSettingsResource)),t.Event.filter(this.fileService.onDidRunOperation,o=>(o.isOperation(0)||o.isOperation(3)||o.isOperation(1)||o.isOperation(4))&&a.isEqual(o.resource,n)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const n=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(n.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new y}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=S;class w{constructor(n,i,a,c,o=new y,s=new y,l=new A.ResourceMap,f=new y,E=new A.ResourceMap,U=!0){this._defaultConfiguration=n,this._policyConfiguration=i,this._applicationConfiguration=a,this._localUserConfiguration=c,this._remoteUserConfiguration=o,this._workspaceConfiguration=s,this._folderConfigurations=l,this._memoryConfiguration=f,this._memoryConfigurationByResource=E,this._freeze=U,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new A.ResourceMap,this._userConfiguration=null}getValue(n,i,a){return this.getConsolidatedConfigurationModel(n,i,a).getValue(n)}updateValue(n,i,a={}){let c;a.resource?(c=this._memoryConfigurationByResource.get(a.resource),c||(c=new y,this._memoryConfigurationByResource.set(a.resource,c))):c=this._memoryConfiguration,i===void 0?c.removeValue(n):c.setValue(n,i),a.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(n,i,a){const c=this.getConsolidatedConfigurationModel(n,i,a),o=this.getFolderConfigurationModelForResource(i.resource,a),s=i.resource?this._memoryConfigurationByResource.get(i.resource)||this._memoryConfiguration:this._memoryConfiguration,l=i.overrideIdentifier?this._defaultConfiguration.freeze().override(i.overrideIdentifier).getValue(n):this._defaultConfiguration.freeze().getValue(n),f=this._policyConfiguration.isEmpty()?void 0:this._policyConfiguration.freeze().getValue(n),E=this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration.freeze().getValue(n),U=i.overrideIdentifier?this.userConfiguration.freeze().override(i.overrideIdentifier).getValue(n):this.userConfiguration.freeze().getValue(n),_=i.overrideIdentifier?this.localUserConfiguration.freeze().override(i.overrideIdentifier).getValue(n):this.localUserConfiguration.freeze().getValue(n),N=i.overrideIdentifier?this.remoteUserConfiguration.freeze().override(i.overrideIdentifier).getValue(n):this.remoteUserConfiguration.freeze().getValue(n),L=a?i.overrideIdentifier?this._workspaceConfiguration.freeze().override(i.overrideIdentifier).getValue(n):this._workspaceConfiguration.freeze().getValue(n):void 0,M=o?i.overrideIdentifier?o.freeze().override(i.overrideIdentifier).getValue(n):o.freeze().getValue(n):void 0,O=i.overrideIdentifier?s.override(i.overrideIdentifier).getValue(n):s.getValue(n),H=c.getValue(n),W=R.distinct(c.overrides.map(z=>z.identifiers).flat()).filter(z=>c.getOverrideValue(n,z)!==void 0);return{defaultValue:l,policyValue:f,applicationValue:E,userValue:U,userLocalValue:_,userRemoteValue:N,workspaceValue:L,workspaceFolderValue:M,memoryValue:O,value:H,default:l!==void 0?{value:this._defaultConfiguration.freeze().getValue(n),override:i.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,policy:f!==void 0?{value:f}:void 0,application:E!==void 0?{value:E,override:i.overrideIdentifier?this.applicationConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,user:U!==void 0?{value:this.userConfiguration.freeze().getValue(n),override:i.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,userLocal:_!==void 0?{value:this.localUserConfiguration.freeze().getValue(n),override:i.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,userRemote:N!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(n),override:i.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,workspace:L!==void 0?{value:this._workspaceConfiguration.freeze().getValue(n),override:i.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,workspaceFolder:M!==void 0?{value:o?.freeze().getValue(n),override:i.overrideIdentifier?o?.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,memory:O!==void 0?{value:s.getValue(n),override:i.overrideIdentifier?s.getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,overrideIdentifiers:W.length?W:void 0}}keys(n){const i=this.getFolderConfigurationModelForResource(void 0,n);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:i?i.freeze().keys:[]}}updateDefaultConfiguration(n){this._defaultConfiguration=n,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updatePolicyConfiguration(n){this._policyConfiguration=n}updateApplicationConfiguration(n){this._applicationConfiguration=n,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(n){this._localUserConfiguration=n,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(n){this._remoteUserConfiguration=n,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(n){this._workspaceConfiguration=n,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(n,i){this._folderConfigurations.set(n,i),this._foldersConsolidatedConfigurations.delete(n)}deleteFolderConfiguration(n){this.folderConfigurations.delete(n),this._foldersConsolidatedConfigurations.delete(n)}compareAndUpdateDefaultConfiguration(n,i){const a=[];if(!i){const{added:c,updated:o,removed:s}=g(this._defaultConfiguration,n);i=[...c,...o,...s]}for(const c of i)for(const o of(0,b.overrideIdentifiersFromKey)(c)){const s=this._defaultConfiguration.getKeysForOverrideIdentifier(o),l=n.getKeysForOverrideIdentifier(o),f=[...l.filter(E=>s.indexOf(E)===-1),...s.filter(E=>l.indexOf(E)===-1),...s.filter(E=>!C.equals(this._defaultConfiguration.override(o).getValue(E),n.override(o).getValue(E)))];a.push([o,f])}return this.updateDefaultConfiguration(n),{keys:i,overrides:a}}compareAndUpdatePolicyConfiguration(n){const{added:i,updated:a,removed:c}=g(this._policyConfiguration,n),o=[...i,...a,...c];return o.length&&this.updatePolicyConfiguration(n),{keys:o,overrides:[]}}compareAndUpdateApplicationConfiguration(n){const{added:i,updated:a,removed:c,overrides:o}=g(this.applicationConfiguration,n),s=[...i,...a,...c];return s.length&&this.updateApplicationConfiguration(n),{keys:s,overrides:o}}compareAndUpdateLocalUserConfiguration(n){const{added:i,updated:a,removed:c,overrides:o}=g(this.localUserConfiguration,n),s=[...i,...a,...c];return s.length&&this.updateLocalUserConfiguration(n),{keys:s,overrides:o}}compareAndUpdateRemoteUserConfiguration(n){const{added:i,updated:a,removed:c,overrides:o}=g(this.remoteUserConfiguration,n),s=[...i,...a,...c];return s.length&&this.updateRemoteUserConfiguration(n),{keys:s,overrides:o}}compareAndUpdateWorkspaceConfiguration(n){const{added:i,updated:a,removed:c,overrides:o}=g(this.workspaceConfiguration,n),s=[...i,...a,...c];return s.length&&this.updateWorkspaceConfiguration(n),{keys:s,overrides:o}}compareAndUpdateFolderConfiguration(n,i){const a=this.folderConfigurations.get(n),{added:c,updated:o,removed:s,overrides:l}=g(a,i),f=[...c,...o,...s];return(f.length||!a)&&this.updateFolderConfiguration(n,i),{keys:f,overrides:l}}compareAndDeleteFolderConfiguration(n){const i=this.folderConfigurations.get(n);if(!i)throw new Error("Unknown folder");this.deleteFolderConfiguration(n);const{added:a,updated:c,removed:o,overrides:s}=g(i,void 0);return{keys:[...a,...c,...o],overrides:s}}get defaults(){return this._defaultConfiguration}get applicationConfiguration(){return this._applicationConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidatedConfigurationModel(n,i,a){let c=this.getConsolidatedConfigurationModelForResource(i,a);return i.overrideIdentifier&&(c=c.override(i.overrideIdentifier)),!this._policyConfiguration.isEmpty()&&this._policyConfiguration.getValue(n)!==void 0&&(c=c.merge(this._policyConfiguration)),c}getConsolidatedConfigurationModelForResource({resource:n},i){let a=this.getWorkspaceConsolidatedConfiguration();if(i&&n){const c=i.getFolder(n);c&&(a=this.getFolderConsolidatedConfiguration(c.uri)||a);const o=this._memoryConfigurationByResource.get(n);o&&(a=a.merge(o))}return a}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.applicationConfiguration,this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(n){let i=this._foldersConsolidatedConfigurations.get(n);if(!i){const a=this.getWorkspaceConsolidatedConfiguration(),c=this._folderConfigurations.get(n);c?(i=a.merge(c),this._freeze&&(i=i.freeze()),this._foldersConsolidatedConfigurations.set(n,i)):i=a}return i}getFolderConfigurationModelForResource(n,i){if(i&&n){const a=i.getFolder(n);if(a)return this._folderConfigurations.get(a.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},policy:{contents:this._policyConfiguration.contents,overrides:this._policyConfiguration.overrides,keys:this._policyConfiguration.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((n,i)=>{const{contents:a,overrides:c,keys:o}=this._folderConfigurations.get(i);return n.push([i,{contents:a,overrides:c,keys:o}]),n},[])}}allKeys(){const n=new Set;return this._defaultConfiguration.freeze().keys.forEach(i=>n.add(i)),this.userConfiguration.freeze().keys.forEach(i=>n.add(i)),this._workspaceConfiguration.freeze().keys.forEach(i=>n.add(i)),this._folderConfigurations.forEach(i=>i.freeze().keys.forEach(a=>n.add(a))),[...n.values()]}allOverrideIdentifiers(){const n=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>n.add(i)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>n.add(i)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>n.add(i)),this._folderConfigurations.forEach(i=>i.freeze().getAllOverrideIdentifiers().forEach(a=>n.add(a))),[...n.values()]}getAllKeysForOverrideIdentifier(n){const i=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(n).forEach(a=>i.add(a)),this.userConfiguration.getKeysForOverrideIdentifier(n).forEach(a=>i.add(a)),this._workspaceConfiguration.getKeysForOverrideIdentifier(n).forEach(a=>i.add(a)),this._folderConfigurations.forEach(a=>a.getKeysForOverrideIdentifier(n).forEach(c=>i.add(c))),[...i.values()]}static parse(n){const i=this.parseConfigurationModel(n.defaults),a=this.parseConfigurationModel(n.policy),c=this.parseConfigurationModel(n.application),o=this.parseConfigurationModel(n.user),s=this.parseConfigurationModel(n.workspace),l=n.folders.reduce((f,E)=>(f.set(I.URI.revive(E[0]),this.parseConfigurationModel(E[1])),f),new A.ResourceMap);return new w(i,a,c,o,new y,s,l,new y,new A.ResourceMap,!1)}static parseConfigurationModel(n){return new y(n.contents,n.keys,n.overrides).freeze()}}e.Configuration=w;function d(...r){if(r.length===0)return{keys:[],overrides:[]};if(r.length===1)return r[0];const n=new Set,i=new Map;for(const c of r)c.keys.forEach(o=>n.add(o)),c.overrides.forEach(([o,s])=>{const l=(0,A.getOrSet)(i,o,new Set);s.forEach(f=>l.add(f))});const a=[];return i.forEach((c,o)=>a.push([o,[...c.values()]])),{keys:[...n.values()],overrides:a}}e.mergeChanges=d;class v{constructor(n,i,a,c){this.change=n,this.previous=i,this.currentConfiguraiton=a,this.currentWorkspace=c,this._previousConfiguration=void 0;const o=new Set;n.keys.forEach(l=>o.add(l)),n.overrides.forEach(([,l])=>l.forEach(f=>o.add(f))),this.affectedKeys=[...o.values()];const s=new y;this.affectedKeys.forEach(l=>s.setValue(l,{})),this.affectedKeysTree=s.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=w.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(n,i){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,n)){if(i){const a=this.previousConfiguration?this.previousConfiguration.getValue(n,i,this.previous?.workspace):void 0,c=this.currentConfiguraiton.getValue(n,i,this.currentWorkspace);return!C.equals(a,c)}return!0}return!1}doesAffectedKeysTreeContains(n,i){let a=(0,D.toValuesTree)({[i]:!0},()=>{}),c;for(;typeof a=="object"&&(c=Object.keys(a)[0]);){if(n=n[c],!n)return!1;a=a[c]}return!0}}e.ConfigurationChangeEvent=v;class m extends v{constructor(n,i,a,c){super({keys:n.allKeys(),overrides:[]},void 0,n,i);this.source=a,this.sourceConfig=c}}e.AllKeysConfigurationChangeEvent=m;function g(r,n){const{added:i,removed:a,updated:c}=u(n,r),o=[],s=r?.getAllOverrideIdentifiers()||[],l=n?.getAllOverrideIdentifiers()||[];if(n){const f=l.filter(E=>!s.includes(E));for(const E of f)o.push([E,n.getKeysForOverrideIdentifier(E)])}if(r){const f=s.filter(E=>!l.includes(E));for(const E of f)o.push([E,r.getKeysForOverrideIdentifier(E)])}if(n&&r){for(const f of s)if(l.includes(f)){const E=u({contents:r.getOverrideValue(void 0,f)||{},keys:r.getKeysForOverrideIdentifier(f)},{contents:n.getOverrideValue(void 0,f)||{},keys:n.getKeysForOverrideIdentifier(f)});o.push([f,[...E.added,...E.removed,...E.updated]])}}return{added:i,removed:a,updated:c,overrides:o}}function u(r,n){const i=r?n?r.keys.filter(o=>n.keys.indexOf(o)===-1):[...r.keys]:[],a=n?r?n.keys.filter(o=>r.keys.indexOf(o)===-1):[...n.keys]:[],c=[];if(r&&n){for(const o of n.keys)if(r.keys.indexOf(o)!==-1){const s=(0,D.getConfigurationValue)(n.contents,o),l=(0,D.getConfigurationValue)(r.contents,o);C.equals(s,l)||c.push(o)}}return{added:i,removed:a,updated:c}}}),define(re[195],se([0,1,17,3,2,30,14,19,68,44,7,58,40]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PolicyConfiguration=e.NullPolicyConfiguration=e.DefaultConfigurationModel=e.DefaultConfiguration=void 0;class y extends k.Disposable{constructor(){super(...arguments);this._onDidChangeConfiguration=this._register(new t.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event}get configurationModel(){return this._configurationModel||(this._configurationModel=new h(this.getConfigurationDefaultOverrides())),this._configurationModel}async initialize(){return this._configurationModel=void 0,this._register(p.Registry.as(I.Extensions.Configuration).onDidUpdateConfiguration(({properties:v,defaultsOverrides:m})=>this.onDidUpdateConfiguration(v,m))),this.configurationModel}reload(){return this._configurationModel=void 0,this.configurationModel}onDidUpdateConfiguration(v,m){this._configurationModel=void 0,this._onDidChangeConfiguration.fire({defaults:this.configurationModel,properties:v})}getConfigurationDefaultOverrides(){return{}}}e.DefaultConfiguration=y;class h extends P.ConfigurationModel{constructor(v={}){const m=p.Registry.as(I.Extensions.Configuration).getConfigurationProperties(),g=Object.keys(m),u=Object.create(null),r=[];for(const n in m){const i=v[n],a=i!==void 0?i:m[n].default;(0,C.addToValueTree)(u,n,a,c=>console.error(`Conflict in default settings: ${c}`))}for(const n of Object.keys(u))I.OVERRIDE_PROPERTY_REGEX.test(n)&&r.push({identifiers:(0,I.overrideIdentifiersFromKey)(n),keys:Object.keys(u[n]),contents:(0,C.toValuesTree)(u[n],i=>console.error(`Conflict in default settings file: ${i}`))});super(u,g,r)}}e.DefaultConfigurationModel=h;class S{constructor(){this.onDidChangeConfiguration=t.Event.None,this.configurationModel=new P.ConfigurationModel}async initialize(){return this.configurationModel}}e.NullPolicyConfiguration=S;let w=class extends k.Disposable{constructor(v,m,g){super();this.defaultConfiguration=v,this.policyService=m,this.logService=g,this._onDidChangeConfiguration=this._register(new t.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this._configurationModel=new P.ConfigurationModel}get configurationModel(){return this._configurationModel}async initialize(){return this.update(await this.registerPolicyDefinitions(this.defaultConfiguration.configurationModel.keys),!1),this._register(this.policyService.onDidChange(v=>this.onDidChangePolicies(v))),this._register(this.defaultConfiguration.onDidChangeConfiguration(async({properties:v})=>this.update(await this.registerPolicyDefinitions(v),!0))),this._configurationModel}async registerPolicyDefinitions(v){const m={},g=[],u=p.Registry.as(I.Extensions.Configuration).getConfigurationProperties();for(const r of v){const n=u[r];if(!n){g.push(r);continue}if(n.policy){if(n.type!=="string"&&n.type!=="number"){this.logService.warn(`Policy ${n.policy.name} has unsupported type ${n.type}`);continue}g.push(r),m[n.policy.name]={type:n.type}}}return(0,A.isEmptyObject)(m)||await this.policyService.registerPolicyDefinitions(m),g}onDidChangePolicies(v){const m=p.Registry.as(I.Extensions.Configuration).getPolicyConfigurations(),g=(0,R.coalesce)(v.map(u=>m.get(u)));this.update(g,!0)}update(v,m){const g=p.Registry.as(I.Extensions.Configuration).getConfigurationProperties(),u=[],r=this._configurationModel.isEmpty();for(const n of v){const i=g[n]?.policy?.name;if(i){const a=this.policyService.getPolicyValue(i);(r?a!==void 0:!(0,T.equals)(this._configurationModel.getValue(n),a))&&u.push([n,a])}else this._configurationModel.getValue(n)!==void 0&&u.push([n,void 0])}if(u.length){const n=this._configurationModel;this._configurationModel=new P.ConfigurationModel;for(const i of n.keys)this._configurationModel.setValue(i,n.getValue(i));for(const[i,a]of u)a===void 0?this._configurationModel.removeValue(i):this._configurationModel.setValue(i,a);m&&this._onDidChangeConfiguration.fire(this._configurationModel)}}};w=fe([Q(1,b.IPolicyService),Q(2,D.ILogService)],w),e.PolicyConfiguration=w}),define(re[196],se([0,1,6,3,2,18,19,68,195,58]),function(Z,e,R,t,k,T,A,C,P,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class D extends k.Disposable{constructor(p,y,h,S){super();this.settingsResource=p,this._onDidChangeConfiguration=this._register(new t.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.defaultConfiguration=this._register(new P.DefaultConfiguration),this.policyConfiguration=h instanceof I.NullPolicyService?new P.NullPolicyConfiguration:this._register(new P.PolicyConfiguration(this.defaultConfiguration,h,S)),this.userConfiguration=this._register(new C.UserSettings(this.settingsResource,void 0,T.extUriBiasedIgnorePathCase,y)),this.configuration=new C.Configuration(this.defaultConfiguration.configurationModel,this.policyConfiguration.configurationModel,new C.ConfigurationModel,new C.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new R.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(this.defaultConfiguration.onDidChangeConfiguration(({defaults:w,properties:d})=>this.onDidDefaultConfigurationChange(w,d))),this._register(this.policyConfiguration.onDidChangeConfiguration(w=>this.onDidPolicyConfigurationChange(w))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const[p,y,h]=await Promise.all([this.defaultConfiguration.initialize(),this.policyConfiguration.initialize(),this.userConfiguration.loadConfiguration()]);this.configuration=new C.Configuration(p,y,new C.ConfigurationModel,h)}getConfigurationData(){return this.configuration.toData()}getValue(p,y){const h=typeof p=="string"?p:void 0,S=(0,A.isConfigurationOverrides)(p)?p:(0,A.isConfigurationOverrides)(y)?y:{};return this.configuration.getValue(h,S,void 0)}updateValue(p,y,h,S){return Promise.reject(new Error("not supported"))}inspect(p){return this.configuration.inspect(p,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const p=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(p)}onDidChangeUserConfiguration(p){const y=this.configuration.toData(),h=this.configuration.compareAndUpdateLocalUserConfiguration(p);this.trigger(h,y,1)}onDidDefaultConfigurationChange(p,y){const h=this.configuration.toData(),S=this.configuration.compareAndUpdateDefaultConfiguration(p,y);this.trigger(S,h,6)}onDidPolicyConfigurationChange(p){const y=this.configuration.toData(),h=this.configuration.compareAndUpdatePolicyConfiguration(p);this.trigger(h,y,6)}trigger(p,y,h){const S=new C.ConfigurationChangeEvent(p,{data:y},this.configuration);S.source=h,S.sourceConfig=this.getTargetConfiguration(h),this._onDidChangeConfiguration.fire(S)}getTargetConfiguration(p){switch(p){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=D}),define(re[197],se([0,1,9,5]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,t.createDecorator)("remoteAuthorityResolverService");var k;(function(A){A.Unknown="Unknown",A.NotAvailable="NotAvailable",A.TemporarilyNotAvailable="TemporarilyNotAvailable",A.NoResolverFound="NoResolverFound"})(k=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class T extends R.ErrorNoTelemetry{constructor(C,P=k.Unknown,I){super(C);this._message=C,this._code=P,this._detail=I,this.isHandled=P===k.NotAvailable&&I===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,T.prototype)}static isTemporarilyNotAvailable(C){return C instanceof T&&C._code===k.TemporarilyNotAvailable}static isNoResolverFound(C){return C instanceof T&&C._code===k.NoResolverFound}static isHandled(C){return C instanceof T&&C.isHandled}}e.RemoteAuthorityResolverError=T}),define(re[98],se([0,1,20]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseAuthorityWithOptionalPort=e.parseAuthorityWithPort=e.getRemoteServerRootPath=e.getRemoteName=e.getRemoteAuthority=void 0;function t(I){return I.scheme===R.Schemas.vscodeRemote?I.authority:void 0}e.getRemoteAuthority=t;function k(I){if(!I)return;const D=I.indexOf("+");return D<0?I:I.substr(0,D)}e.getRemoteName=k;function T(I){return`/${I.quality??"oss"}-${I.commit??"dev"}`}e.getRemoteServerRootPath=T;function A(I){const{host:D,port:b}=P(I);if(typeof b=="undefined")throw new Error("Remote authority doesn't contain a port!");return{host:D,port:b}}e.parseAuthorityWithPort=A;function C(I,D){let{host:b,port:p}=P(I);return typeof p=="undefined"&&(p=D),{host:b,port:p}}e.parseAuthorityWithOptionalPort=C;function P(I){const D=I.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(D)return{host:D[1],port:parseInt(D[2],10)};const b=I.match(/^(\[[0-9a-z:]+\])$/);if(b)return{host:b[1],port:void 0};const p=I.match(/(.*):(\d+)$/);return p?{host:p[1],port:parseInt(p[2],10)}:{host:I,port:void 0}}}),define(re[49],se([0,1,26,5,98]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.isApplicationScopedExtension=e.ExtensionIdentifier=e.TargetPlatform=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.UNDEFINED_PUBLISHER=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.UNDEFINED_PUBLISHER="undefined_publisher",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function T(h){if(typeof h=="object"&&h!==null&&h.supported!==!0)return h.description}e.getWorkspaceSupportTypeMessage=T;function A(h){return h&&typeof h=="object"&&typeof h.id=="string"&&(!h.uuid||typeof h.uuid=="string")}e.isIExtensionIdentifier=A,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var C;(function(h){h[h.System=0]="System",h[h.User=1]="User"})(C=e.ExtensionType||(e.ExtensionType={}));var P;(function(h){h.WIN32_X64="win32-x64",h.WIN32_IA32="win32-ia32",h.WIN32_ARM64="win32-arm64",h.LINUX_X64="linux-x64",h.LINUX_ARM64="linux-arm64",h.LINUX_ARMHF="linux-armhf",h.ALPINE_X64="alpine-x64",h.ALPINE_ARM64="alpine-arm64",h.DARWIN_X64="darwin-x64",h.DARWIN_ARM64="darwin-arm64",h.WEB="web",h.UNIVERSAL="universal",h.UNKNOWN="unknown",h.UNDEFINED="undefined"})(P=e.TargetPlatform||(e.TargetPlatform={}));class I{constructor(S){this.value=S,this._lower=S.toLowerCase()}static equals(S,w){if(typeof S=="undefined"||S===null)return typeof w=="undefined"||w===null;if(typeof w=="undefined"||w===null)return!1;if(typeof S=="string"||typeof w=="string"){const d=typeof S=="string"?S:S.value,v=typeof w=="string"?w:w.value;return R.equalsIgnoreCase(d,v)}return S._lower===w._lower}static toKey(S){return typeof S=="string"?S.toLowerCase():S._lower}}e.ExtensionIdentifier=I;function D(h){return b(h)}e.isApplicationScopedExtension=D;function b(h){return h.contributes&&h.contributes.localizations?h.contributes.localizations.length>0:!1}e.isLanguagePackExtension=b;function p(h){return h.contributes&&h.contributes.authentication?h.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=p;function y(h,S){if(S){const w=`onResolveRemoteAuthority:${(0,k.getRemoteName)(S)}`;return h.activationEvents?.indexOf(w)!==-1}return!1}e.isResolverExtension=y,e.IBuiltinExtensionsScannerService=(0,t.createDecorator)("IBuiltinExtensionsScannerService")}),define(re[32],se([0,1,26,28,49,4,8,9,35]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeTargetPlatform=e.isAlpineLinux=e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.getIdAndVersion=e.ExtensionKey=e.areSameExtensions=void 0;function I(i,a){return i.uuid&&a.uuid?i.uuid===a.uuid:i.id===a.id?!0:(0,R.compareIgnoreCase)(i.id,a.id)===0}e.areSameExtensions=I;const D=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class b{constructor(a,c,o="undefined"){this.version=c,this.targetPlatform=o,this.id=a.id}static create(a){const c=a.manifest?a.manifest.version:a.version,o=a.manifest?a.targetPlatform:a.properties.targetPlatform;return new b(a.identifier,c,o)}static parse(a){const c=D.exec(a);return c&&c[1]&&c[2]?new b({id:c[1]},c[2],c[4]||void 0):null}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(a){return a instanceof b?I(this,a)&&this.version===a.version&&this.targetPlatform===a.targetPlatform:!1}}e.ExtensionKey=b;const p=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function y(i){const a=p.exec(i);return a&&a[1]?[S(a[1]),a[2]]:[S(i),void 0]}e.getIdAndVersion=y;function h(i,a){return`${i}.${a}`}e.getExtensionId=h;function S(i){return i.toLocaleLowerCase()}e.adoptToGalleryExtensionId=S;function w(i,a){return S(h(i,a))}e.getGalleryExtensionId=w;function d(i,a){const c=[],o=s=>{for(const l of c)if(l.some(f=>I(a(f),a(s))))return l;return null};for(const s of i){const l=o(s);l?l.push(s):c.push([s])}return c}e.groupByExtension=d;function v(i){return{id:i.identifier.id,name:i.manifest.name,galleryId:null,publisherId:i.publisherId,publisherName:i.manifest.publisher,publisherDisplayName:i.publisherDisplayName,dependencies:i.manifest.extensionDependencies&&i.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=v;function m(i){return{id:i.identifier.id,name:i.name,galleryId:i.identifier.uuid,publisherId:i.publisherId,publisherName:i.publisher,publisherDisplayName:i.publisherDisplayName,isPreReleaseVersion:i.properties.isPreReleaseVersion,dependencies:!!(i.properties.dependencies&&i.properties.dependencies.length>0),...i.telemetryData}}e.getGalleryExtensionTelemetryData=m,e.BetterMergeId=new k.ExtensionIdentifier("pprice.better-merge");function g(i){const a=new Set;if(i.malicious)for(const c of i.malicious)a.add(c.id);return a}e.getMaliciousExtensionsSet=g;function u(i,a){const c=[],o=a.manifest.extensionDependencies?.slice(0)??[];for(;o.length;){const s=o.shift();if(s&&c.every(l=>!I(l.identifier,{id:s}))){const l=i.filter(f=>I(f.identifier,{id:s}));l.length===1&&(c.push(l[0]),o.push(...l[0].manifest.extensionDependencies?.slice(0)??[]))}}return c}e.getExtensionDependencies=u;async function r(i,a){if(!T.isLinux)return!1;let c;try{c=(await i.readFile(A.URI.file("/etc/os-release"))).value.toString()}catch{try{c=(await i.readFile(A.URI.file("/usr/lib/os-release"))).value.toString()}catch(s){a.debug("Error while getting the os-release file.",(0,C.getErrorMessage)(s))}}return!!c&&(c.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}e.isAlpineLinux=r;async function n(i,a){const c=await r(i,a),o=(0,t.getTargetPlatform)(c?"alpine":T.platform,P.arch);return a.debug("ComputeTargetPlatform:",o),o}e.computeTargetPlatform=n}),define(re[41],se([0,1,6,16,2,38,8,32,10,5,7]),function(Z,e,R,t,k,T,A,C,P,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsProfileScannerService=e.IExtensionsProfileScannerService=void 0,e.IExtensionsProfileScannerService=(0,I.createDecorator)("IExtensionsProfileScannerService");let b=class extends k.Disposable{constructor(y,h){super();this.fileService=y,this.logService=h,this.resourcesAccessQueueMap=new T.ResourceMap}scanProfileExtensions(y){return this.withProfileExtensions(y)}addExtensionsToProfile(y,h){return this.withProfileExtensions(h,S=>(S=S.filter(w=>y.some(([d])=>!(0,C.areSameExtensions)(w.identifier,d.identifier))),S.push(...y.map(([w,d])=>({identifier:w.identifier,version:w.manifest.version,location:w.location,metadata:d}))),S))}removeExtensionFromProfile(y,h){return this.withProfileExtensions(h,S=>S.filter(w=>!(0,C.areSameExtensions)(w.identifier,y)))}async withProfileExtensions(y,h){return this.getResourceAccessQueue(y).queue(async()=>{let S=[];try{const w=await this.fileService.readFile(y),d=JSON.parse(w.value.toString());for(const v of d){if(!v.identifier){this.logService.info("Ignoring invalid extension while scanning. Identifier does not exist.",v);continue}if(!v.location){this.logService.info("Ignoring invalid extension while scanning. Location does not exist.",v);continue}if(!v.version){this.logService.info("Ignoring invalid extension while scanning. Version does not exist.",v);continue}S.push({identifier:v.identifier,location:A.URI.revive(v.location),version:v.version,metadata:v.metadata})}}catch(w){w.fileOperationResult!==1&&this.logService.error(w)}if(h){S=h(S);const w=S.map(d=>({identifier:d.identifier,version:d.version,location:d.location.toJSON(),metadata:d.metadata}));await this.fileService.writeFile(y,t.VSBuffer.fromString(JSON.stringify(w)))}return S})}getResourceAccessQueue(y){let h=this.resourcesAccessQueueMap.get(y);return h||(h=new R.Queue,this.resourcesAccessQueueMap.set(y,h)),h}};b=fe([Q(0,P.IFileService),Q(1,D.ILogService)],b),e.ExtensionsProfileScannerService=b}),define(re[198],se([0,1,23,32]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.migrateUnsupportedExtensions=void 0;async function k(T,A,C,P,I){try{const D=await T.getExtensionsControlManifest();if(!D.deprecated)return;const b=await T.getInstalled(1);for(const[p,y]of Object.entries(D.deprecated)){if(!y?.extension)continue;const{id:h,autoMigrate:S,preRelease:w}=y.extension;if(!S)continue;const d=b.find(m=>(0,t.areSameExtensions)(m.identifier,{id:p}));if(!d)continue;const v=(await A.getExtensions([{id:h,preRelease:w}],{targetPlatform:await T.getTargetPlatform(),compatible:!0},R.CancellationToken.None))[0];if(!v){I.info(`Skipping migrating '${d.identifier.id}' extension because, the comaptible target '${h}' extension is not found`);continue}try{I.info(`Migrating '${d.identifier.id}' extension to '${h}' extension...`);const m=!P.getDisabledExtensions().some(u=>(0,t.areSameExtensions)(u,d.identifier));await T.uninstall(d),I.info(`Uninstalled the unsupported extension '${d.identifier.id}'`);let g=b.find(u=>(0,t.areSameExtensions)(u.identifier,{id:h}));(!g||!g.isPreReleaseVersion&&m)&&(g=await T.installFromGallery(v,{installPreReleaseVersion:!0,isMachineScoped:d.isMachineScoped,operation:4}),I.info(`Installed the pre-release extension '${g.identifier.id}'`),m||(await P.disableExtension(g.identifier),I.info(`Disabled the pre-release extension '${g.identifier.id}' because the unsupported extension '${d.identifier.id}' is disabled`)),S.storage&&(C.addToMigrationList((0,t.getExtensionId)(d.manifest.publisher,d.manifest.name),(0,t.getExtensionId)(g.manifest.publisher,g.manifest.name)),I.info("Added pre-release extension to the storage migration list"))),I.info(`Migrated '${d.identifier.id}' extension to '${h}' extension.`)}catch(m){I.error(m)}}}catch(D){I.error(D)}}e.migrateUnsupportedExtensions=k}),define(re[199],se([0,1,6,9,2,4,18,55,8,31,27,15,28,32,10,7]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsDownloader=void 0;let w=class extends k.Disposable{constructor(v,m,g,u){super();this.fileService=m,this.extensionGalleryService=g,this.logService=u,this.extensionsDownloadDir=P.URI.file(v.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(v,m){await this.cleanUpPromise;const g=this.getName(v),u=(0,A.joinPath)(this.extensionsDownloadDir,g);if(!await this.fileService.exists(u)){const r=(0,A.joinPath)(this.extensionsDownloadDir,`.${(0,I.generateUuid)()}`);await this.fileService.exists(r)||await this.extensionGalleryService.download(v,r,m);try{await this.rename(r,u,Date.now()+2*60*1e3)}catch(n){try{await this.fileService.del(r)}catch{}if(n.code==="ENOTEMPTY")this.logService.info("Rename failed because vsix was downloaded by another source. So ignoring renaming.",v.identifier.id);else throw this.logService.info(`Rename failed because of ${(0,t.getErrorMessage)(n)}. Deleted the vsix from downloaded location`,r.path),n}}return u}async delete(v){await this.cleanUpPromise,await this.fileService.del(v)}async rename(v,m,g){try{await D.Promises.rename(v.fsPath,m.fsPath)}catch(u){if(T.isWindows&&u&&u.code==="EPERM"&&Date.now()<g)return this.logService.info(`Failed renaming ${v} to ${m} with 'EPERM' error. Trying again...`),this.rename(v,m,g);throw u}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const v=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(v.children){const m=[],g=[];for(const n of v.children){const i=y.ExtensionKey.parse(n.name);i&&g.push([i,n])}const u=(0,y.groupByExtension)(g,([n])=>n),r=[];for(const n of u)n.sort((i,a)=>C.rcompare(i[0].version,a[0].version)),m.push(...n.slice(1).map(i=>i[1].resource)),r.push(n[0][1]);r.sort((n,i)=>n.mtime-i.mtime),m.push(...r.slice(0,Math.max(0,r.length-this.cache)).map(n=>n.resource)),await R.Promises.settled(m.map(n=>(this.logService.trace("Deleting vsix from cache",n.path),this.fileService.del(n))))}}catch(v){this.logService.error(v)}}getName(v){return this.cache?y.ExtensionKey.create(v).toString().toLowerCase():(0,I.generateUuid)()}};w=fe([Q(0,b.INativeEnvironmentService),Q(1,h.IFileService),Q(2,p.IExtensionGalleryService),Q(3,S.ILogService)],w),e.ExtensionsDownloader=w}),define(re[200],se([0,1,2,13,27,49]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsManifestCache=void 0;class A extends R.Disposable{constructor(P,I){super();this.environmentService=P,this.extensionsManifestCache=(0,t.join)(this.environmentService.userDataPath,T.MANIFEST_CACHE_FOLDER,T.USER_MANIFEST_CACHE_FILE),this._register(I.onDidInstallExtensions(D=>this.onDidInstallExtensions(D))),this._register(I.onDidUninstallExtension(D=>this.onDidUnInstallExtension(D)))}onDidInstallExtensions(P){P.some(I=>!!I.local)&&this.invalidate()}onDidUnInstallExtension(P){P.error||this.invalidate()}invalidate(){k.Promises.rm(this.extensionsManifestCache,k.RimRafMode.MOVE).then(()=>{},()=>{})}}e.ExtensionsManifestCache=A}),define(re[201],se([0,1,175,17,6,2,20,13,27,15,28,32,7,66]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeLanguagePackService=void 0;let h=class extends y.LanguagePackBaseService{constructor(v,m,g,u){super(g);this.extensionManagementService=v,this.logService=u,this.cache=this._register(new S(m,u)),this.extensionManagementService.registerParticipant({postInstall:async r=>this.postInstallExtension(r),postUninstall:async r=>this.postUninstallExtension(r)})}async getInstalledLanguages(){const v=await this.cache.getLanguagePacks(),m=Object.keys(v).map(g=>{const u=v[g];return{...this.createQuickPickItem({locale:g,label:u.label}),extensionId:u.extensions[0].extensionIdentifier.id}});return m.push({...this.createQuickPickItem({locale:"en",label:"English"}),extensionId:"default"}),m}async postInstallExtension(v){v&&v.manifest&&v.manifest.contributes&&v.manifest.contributes.localizations&&v.manifest.contributes.localizations.length&&(this.logService.info("Adding language packs from the extension",v.identifier.id),await this.update())}async postUninstallExtension(v){const m=await this.cache.getLanguagePacks();Object.keys(m).some(g=>m[g]&&m[g].extensions.some(u=>(0,b.areSameExtensions)(u.extensionIdentifier,v.identifier)))&&(this.logService.info("Removing language packs from the extension",v.identifier.id),await this.update())}async update(){const[v,m]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),g=await this.cache.update(m);return!(0,t.equals)(Object.keys(v),Object.keys(g))}};h=fe([Q(0,D.IExtensionManagementService),Q(1,I.INativeEnvironmentService),Q(2,D.IExtensionGalleryService),Q(3,p.ILogService)],h),e.NativeLanguagePackService=h;let S=class extends T.Disposable{constructor(v,m){super();this.logService=m,this.languagePacks={},this.languagePacksFilePath=(0,C.join)(v.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new k.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(v){return this.withLanguagePacks(m=>{Object.keys(m).forEach(g=>delete m[g]),this.createLanguagePacksFromExtensions(m,...v)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(v,...m){for(const g of m)g&&g.manifest&&g.manifest.contributes&&g.manifest.contributes.localizations&&g.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(v,g);Object.keys(v).forEach(g=>this.updateHash(v[g]))}createLanguagePacksFromExtension(v,m){const g=m.identifier,u=m.manifest.contributes&&m.manifest.contributes.localizations?m.manifest.contributes.localizations:[];for(const r of u)if(m.location.scheme===A.Schemas.file&&w(r)){let n=v[r.languageId];n||(n={hash:"",extensions:[],translations:{},label:r.localizedLanguageName??r.languageName},v[r.languageId]=n);const i=n.extensions.filter(a=>(0,b.areSameExtensions)(a.extensionIdentifier,g))[0];i?i.version=m.manifest.version:n.extensions.push({extensionIdentifier:g,version:m.manifest.version});for(const a of r.translations)n.translations[a.id]=(0,C.join)(m.location.fsPath,a.path)}}updateHash(v){if(v){const m=(0,R.createHash)("md5");for(const g of v.extensions)m.update(g.extensionIdentifier.uuid||g.extensionIdentifier.id).update(g.version);v.hash=m.digest("hex")}}withLanguagePacks(v=()=>null){return this.languagePacksFileLimiter.queue(()=>{let m=null;return P.Promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,g=>g.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(g)).then(g=>{try{return JSON.parse(g)}catch{return{}}}).then(g=>(m=v(g),g)).then(g=>{for(const r of Object.keys(g))g[r]||delete g[r];this.languagePacks=g,this.initializedCache=!0;const u=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",u),P.Promises.writeFile(this.languagePacksFilePath,u)}).then(()=>m,g=>this.logService.error(g))})}};S=fe([Q(0,I.INativeEnvironmentService),Q(1,p.ILogService)],S);function w(d){if(typeof d.languageId!="string"||!Array.isArray(d.translations)||d.translations.length===0)return!1;for(const v of d.translations)if(typeof v.id!="string"||typeof v.path!="string")return!1;return!(d.languageName&&typeof d.languageName!="string"||d.localizedLanguageName&&typeof d.localizedLanguageName!="string")}}),define(re[202],se([0,1,6,16,23,9,3,2,31,83,197,98]),function(Z,e,R,t,k,T,A,C,P,I,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.PersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const p=30*1e3;var y;(function(x){x[x.Management=1]="Management",x[x.ExtensionHost=2]="ExtensionHost",x[x.Tunnel=3]="Tunnel"})(y=e.ConnectionType||(e.ConnectionType={}));function h(x){switch(x){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function S(x){const B=new k.CancellationTokenSource;return setTimeout(()=>B.cancel(),x),B.token}function w(x,B){if(x.isCancellationRequested||B.isCancellationRequested)return k.CancellationToken.Cancelled;const J=new k.CancellationTokenSource;return x.onCancellationRequested(()=>J.cancel()),B.onCancellationRequested(()=>J.cancel()),J.token}class d{constructor(B){this._state="pending",this._disposables=new C.DisposableStore,this.promise=new Promise((J,F)=>{this._resolvePromise=J,this._rejectPromise=F}),B.isCancellationRequested?this._timeout():this._disposables.add(B.onCancellationRequested(()=>this._timeout()))}get didTimeout(){return this._state==="timedout"}registerDisposable(B){this._state==="pending"?this._disposables.add(B):B.dispose()}_timeout(){this._state==="pending"&&(this._disposables.dispose(),this._state="timedout",this._rejectPromise(this._createTimeoutError()))}_createTimeoutError(){const B=new Error("Time limit reached");return B.code="ETIMEDOUT",B.syscall="connect",B}resolve(B){this._state==="pending"&&(this._disposables.dispose(),this._state="resolved",this._resolvePromise(B))}reject(B){this._state==="pending"&&(this._disposables.dispose(),this._state="rejected",this._rejectPromise(B))}}function v(x,B){const J=new d(B);return J.registerDisposable(x.onControlMessage(F=>{const $=JSON.parse(F.toString()),j=te($);j?J.reject(j):J.resolve($)})),J.promise}function m(x,B,J,F,$,j,G,q){const ee=new d(q);return B.connect(J,F,$,j,G,(ne,ae)=>{ee.didTimeout?(ne&&x.error(ne),ae?.dispose()):ne||!ae?ee.reject(ne):ee.resolve(ae)}),ee.promise}function g(x,B){const J=new d(B);return x.then(F=>{J.didTimeout||J.resolve(F)},F=>{J.didTimeout||J.reject(F)}),J.promise}async function u(x,B,J,F){const $=X(x,B);x.logService.trace(`${$} 1/6. invoking socketFactory.connect().`);let j;try{j=await m(x.logService,x.socketFactory,x.host,x.port,(0,b.getRemoteServerRootPath)(x),`reconnectionToken=${x.reconnectionToken}&reconnection=${x.reconnectionProtocol?"true":"false"}`,`renderer-${h(B)}-${x.reconnectionToken}`,F)}catch(ae){throw x.logService.error(`${$} socketFactory.connect() failed or timed out. Error:`),x.logService.error(ae),ae}x.logService.trace(`${$} 2/6. socketFactory.connect() was successful.`);let G,q;x.reconnectionProtocol?(x.reconnectionProtocol.beginAcceptReconnection(j,null),G=x.reconnectionProtocol,q=!1):(G=new I.PersistentProtocol(j,null),q=!0),x.logService.trace(`${$} 3/6. sending AuthRequest control message.`);const ee=await g(x.signService.createNewMessage((0,P.generateUuid)()),F),ne={type:"auth",auth:x.connectionToken||"00000000000000000000",data:ee.data};G.sendControl(t.VSBuffer.fromString(JSON.stringify(ne)));try{const ae=await v(G,w(F,S(1e4)));if(ae.type!=="sign"||typeof ae.data!="string"){const pe=new Error("Unexpected handshake message");throw pe.code="VSCODE_CONNECTION_ERROR",pe}if(x.logService.trace(`${$} 4/6. received SignRequest control message.`),!await g(x.signService.validate(ee,ae.signedData),F)){const pe=new Error("Refused to connect to unsupported server");throw pe.code="VSCODE_CONNECTION_ERROR",pe}const Se=await g(x.signService.sign(ae.data),F),ge={type:"connectionType",commit:x.commit,signedData:Se,desiredConnectionType:B};return J&&(ge.args=J),x.logService.trace(`${$} 5/6. sending ConnectionTypeRequest control message.`),G.sendControl(t.VSBuffer.fromString(JSON.stringify(ge))),{protocol:G,ownsProtocol:q}}catch(ae){throw ae&&ae.code==="ETIMEDOUT"&&(x.logService.error(`${$} the handshake timed out. Error:`),x.logService.error(ae)),ae&&ae.code==="VSCODE_CONNECTION_ERROR"&&(x.logService.error(`${$} received error control message when negotiating connection. Error:`),x.logService.error(ae)),q&&z(G),ae}}async function r(x,B,J,F){const $=Date.now(),j=X(x,B),{protocol:G,ownsProtocol:q}=await u(x,B,J,F),ee=new d(F);return ee.registerDisposable(G.onControlMessage(ne=>{const ae=JSON.parse(ne.toString()),le=te(ae);le?(x.logService.error(`${j} received error control message when negotiating connection. Error:`),x.logService.error(le),q&&z(G),ee.reject(le)):(x.reconnectionProtocol&&x.reconnectionProtocol.endAcceptReconnection(),x.logService.trace(`${j} 6/6. handshake finished, connection is up and running after ${K($)}!`),ee.resolve({protocol:G,firstMessage:ae}))})),ee.promise}async function n(x,B){const{protocol:J}=await r(x,1,void 0,B);return{protocol:J}}async function i(x,B,J){const{protocol:F,firstMessage:$}=await r(x,2,B,J),j=$&&$.debugPort;return{protocol:F,debugPort:j}}async function a(x,B,J){const F=Date.now(),$=X(x,3),{protocol:j}=await u(x,3,B,J);return x.logService.trace(`${$} 6/6. handshake finished, connection is up and running after ${K(F)}!`),j}async function c(x,B,J){const{host:F,port:$,connectionToken:j}=await x.addressProvider.getAddress();return{commit:x.commit,quality:x.quality,host:F,port:$,connectionToken:j,reconnectionToken:B,reconnectionProtocol:J,socketFactory:x.socketFactory,signService:x.signService,logService:x.logService}}async function o(x,B,J){try{const F=(0,P.generateUuid)(),$=await c(x,F,null),{protocol:j}=await n($,k.CancellationToken.None);return new H(x,B,J,F,j)}catch(F){throw x.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),x.logService.error(F),O.triggerPermanentFailure(0,0,D.RemoteAuthorityResolverError.isHandled(F)),F}}e.connectRemoteAgentManagement=o;async function s(x,B){try{const J=(0,P.generateUuid)(),F=await c(x,J,null),{protocol:$,debugPort:j}=await i(F,B,k.CancellationToken.None);return new W(x,B,J,$,j)}catch(J){throw x.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),x.logService.error(J),O.triggerPermanentFailure(0,0,D.RemoteAuthorityResolverError.isHandled(J)),J}}e.connectRemoteAgentExtensionHost=s;async function l(x,B,J){const F=await c(x,(0,P.generateUuid)(),null);return await a(F,{host:B,port:J},k.CancellationToken.None)}e.connectRemoteAgentTunnel=l;function f(x){return(0,R.createCancelablePromise)(B=>new Promise((J,F)=>{const $=setTimeout(J,x*1e3);B.onCancellationRequested(()=>{clearTimeout($),J()})}))}var E;(function(x){x[x.ConnectionLost=0]="ConnectionLost",x[x.ReconnectionWait=1]="ReconnectionWait",x[x.ReconnectionRunning=2]="ReconnectionRunning",x[x.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",x[x.ConnectionGain=4]="ConnectionGain"})(E=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class U{constructor(B,J){this.reconnectionToken=B,this.millisSinceLastIncomingData=J,this.type=0}}e.ConnectionLostEvent=U;class _{constructor(B,J,F,$){this.reconnectionToken=B,this.millisSinceLastIncomingData=J,this.durationSeconds=F,this.cancellableTimer=$,this.type=1}skipWait(){this.cancellableTimer.cancel()}}e.ReconnectionWaitEvent=_;class N{constructor(B,J,F){this.reconnectionToken=B,this.millisSinceLastIncomingData=J,this.attempt=F,this.type=2}}e.ReconnectionRunningEvent=N;class L{constructor(B,J,F){this.reconnectionToken=B,this.millisSinceLastIncomingData=J,this.attempt=F,this.type=4}}e.ConnectionGainEvent=L;class M{constructor(B,J,F,$){this.reconnectionToken=B,this.millisSinceLastIncomingData=J,this.attempt=F,this.handled=$,this.type=3}}e.ReconnectionPermanentFailureEvent=M;class O extends C.Disposable{constructor(B,J,F,$,j){super();this._connectionType=B,this._options=J,this.reconnectionToken=F,this.protocol=$,this._reconnectionFailureIsFatal=j,this._onDidStateChange=this._register(new A.Emitter),this.onDidStateChange=this._onDidStateChange.event,this._permanentFailure=!1,this._isReconnecting=!1,this._onDidStateChange.fire(new L(this.reconnectionToken,0,0)),this._register($.onSocketClose(G=>{const q=Y(this._connectionType,this.reconnectionToken,!0);G?G.type===0?(this._options.logService.info(`${q} received socket close event (hadError: ${G.hadError}).`),G.error&&this._options.logService.error(G.error)):(this._options.logService.info(`${q} received socket close event (wasClean: ${G.wasClean}, code: ${G.code}, reason: ${G.reason}).`),G.event&&this._options.logService.error(G.event)):this._options.logService.info(`${q} received socket close event.`),this._beginReconnecting()})),this._register($.onSocketTimeout(()=>{const G=Y(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${G} received socket timeout event.`),this._beginReconnecting()})),O._instances.push(this),this._register((0,C.toDisposable)(()=>{const G=O._instances.indexOf(this);G>=0&&O._instances.splice(G,1)})),this._isPermanentFailure&&this._gotoPermanentFailure(O._permanentFailureMillisSinceLastIncomingData,O._permanentFailureAttempt,O._permanentFailureHandled)}static triggerPermanentFailure(B,J,F){this._permanentFailure=!0,this._permanentFailureMillisSinceLastIncomingData=B,this._permanentFailureAttempt=J,this._permanentFailureHandled=F,this._instances.forEach($=>$._gotoPermanentFailure(this._permanentFailureMillisSinceLastIncomingData,this._permanentFailureAttempt,this._permanentFailureHandled))}static debugTriggerReconnection(){this._instances.forEach(B=>B._beginReconnecting())}static debugPauseSocketWriting(){this._instances.forEach(B=>B._pauseSocketWriting())}get _isPermanentFailure(){return this._permanentFailure||O._permanentFailure}async _beginReconnecting(){if(!this._isReconnecting)try{this._isReconnecting=!0,await this._runReconnectingLoop()}finally{this._isReconnecting=!1}}async _runReconnectingLoop(){if(this._isPermanentFailure)return;const B=Y(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${B} starting reconnecting loop. You can get more information with the trace log level.`),this._onDidStateChange.fire(new U(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const J=[0,5,5,10,10,10,10,10,30];let F=-1;do{F++;const $=F<J.length?J[F]:J[J.length-1];try{if($>0){const G=f($);this._onDidStateChange.fire(new _(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),$,G)),this._options.logService.info(`${B} waiting for ${$} seconds before reconnecting...`);try{await G}catch{}}if(this._isPermanentFailure){this._options.logService.error(`${B} permanent failure occurred while running the reconnecting loop.`);break}this._onDidStateChange.fire(new N(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),F+1)),this._options.logService.info(`${B} resolving connection...`);const j=await c(this._options,this.reconnectionToken,this.protocol);this._options.logService.info(`${B} connecting to ${j.host}:${j.port}...`),await this._reconnect(j,S(p)),this._options.logService.info(`${B} reconnected!`),this._onDidStateChange.fire(new L(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),F+1));break}catch(j){if(j.code==="VSCODE_CONNECTION_ERROR"){this._options.logService.error(`${B} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this._options.logService.error(j),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),F+1,!1);break}if(F>360){this._options.logService.error(`${B} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this._options.logService.error(j),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),F+1,!1);break}if(D.RemoteAuthorityResolverError.isTemporarilyNotAvailable(j)){this._options.logService.info(`${B} A temporarily not available error occurred while trying to reconnect, will try again...`),this._options.logService.trace(j);continue}if((j.code==="ETIMEDOUT"||j.code==="ENETUNREACH"||j.code==="ECONNREFUSED"||j.code==="ECONNRESET")&&j.syscall==="connect"){this._options.logService.info(`${B} A network error occurred while trying to reconnect, will try again...`),this._options.logService.trace(j);continue}if((0,T.isCancellationError)(j)){this._options.logService.info(`${B} A promise cancelation error occurred while trying to reconnect, will try again...`),this._options.logService.trace(j);continue}if(j instanceof D.RemoteAuthorityResolverError){this._options.logService.error(`${B} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this._options.logService.error(j),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),F+1,D.RemoteAuthorityResolverError.isHandled(j));break}this._options.logService.error(`${B} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this._options.logService.error(j),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),F+1,!1);break}}while(!this._isPermanentFailure)}_onReconnectionPermanentFailure(B,J,F){this._reconnectionFailureIsFatal?O.triggerPermanentFailure(B,J,F):this._gotoPermanentFailure(B,J,F)}_gotoPermanentFailure(B,J,F){this._onDidStateChange.fire(new M(this.reconnectionToken,B,J,F)),z(this.protocol)}_pauseSocketWriting(){this.protocol.pauseSocketWriting()}}e.PersistentConnection=O,O._permanentFailure=!1,O._permanentFailureMillisSinceLastIncomingData=0,O._permanentFailureAttempt=0,O._permanentFailureHandled=!1,O._instances=[];class H extends O{constructor(B,J,F,$,j){super(1,B,$,j,!0);this.client=this._register(new I.Client(j,{remoteAuthority:J,clientId:F},B.ipcLogger))}async _reconnect(B,J){await n(B,J)}}e.ManagementPersistentConnection=H;class W extends O{constructor(B,J,F,$,j){super(2,B,F,$,!1);this._startArguments=J,this.debugPort=j}async _reconnect(B,J){await i(B,this._startArguments,J)}}e.ExtensionHostPersistentConnection=W;function z(x){try{x.acceptDisconnect();const B=x.getSocket();x.dispose(),B.dispose()}catch(B){(0,T.onUnexpectedError)(B)}}function te(x){if(x&&x.type==="error"){const B=new Error(`Connection error: ${x.reason}`);return B.code="VSCODE_CONNECTION_ERROR",B}return null}function V(x,B){for(;x.length<B;)x+=" ";return x}function Y(x,B,J){return`[remote-connection][${V(h(x),13)}][${B.substr(0,5)}\u2026][${J?"reconnect":"initial"}]`}function X(x,B){return`${Y(B,x.reconnectionToken,!!x.reconnectionProtocol)}[${x.host}:${x.port}]`}function K(x){return`${Date.now()-x} ms`}}),define(re[203],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcSharedProcessTunnelChannelName=e.ISharedProcessTunnelService=void 0,e.ISharedProcessTunnelService=(0,R.createDecorator)("sharedProcessTunnelService"),e.ipcSharedProcessTunnelChannelName="sharedProcessTunnel"}),define(re[204],se([0,1,76,133]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(k,T,A,C,P,I){const D=p=>I(p,void 0),b=R.createConnection({host:k,port:T},()=>{b.removeListener("error",D);const p=Buffer.alloc(16);for(let w=0;w<16;w++)p[w]=Math.round(Math.random()*256);const y=p.toString("base64"),h=[`GET ws://${/:/.test(k)?`[${k}]`:k}:${T}${A}?${C}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${y}`];b.write(h.join(`\r
`)+`\r
\r
`);const S=w=>{w.toString().indexOf(`\r
\r
`)>=0&&(b.off("data",S),I(void 0,new t.NodeSocket(b,P)))};b.on("data",S)});b.setNoDelay(!0),b.once("error",D)}}}),define(re[205],se([0,1,117,19,7]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let T=class{constructor(C,P){this.configurationService=C,this.logService=P}async request(C,P){this.logService.trace("RequestService#request (browser) - begin",C.url),C.proxyAuthorization||(C.proxyAuthorization=this.configurationService.getValue("http.proxyAuthorization"));try{const I=await(0,R.request)(C,P);return this.logService.trace("RequestService#request (browser) - success",C.url),I}catch(I){throw this.logService.error("RequestService#request (browser) - error",C.url,I),I}}async resolveProxy(C){}};T=fe([Q(0,t.IConfigurationService),Q(1,k.ILogService)],T),e.RequestService=T}),define(re[45],se([0,1,16,152,44,5,40]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asTextOrError=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,T.createDecorator)("requestService");function C(S){return S.res.statusCode&&S.res.statusCode>=200&&S.res.statusCode<300||S.res.statusCode===1223}e.isSuccess=C;function P(S){return S.res.statusCode===204}async function I(S){return P(S)?null:(await(0,R.streamToBuffer)(S.stream)).toString()}e.asText=I;async function D(S){if(!C(S))throw new Error("Server returned "+S.res.statusCode);return I(S)}e.asTextOrError=D;async function b(S){if(!C(S))throw new Error("Server returned "+S.res.statusCode);if(P(S))return null;const d=(await(0,R.streamToBuffer)(S.stream)).toString();try{return JSON.parse(d)}catch(v){throw v.message+=`:
`+d,v}}e.asJson=b;function p(S){h(S)}e.updateProxyConfigurationsScope=p;let y;function h(S){const w=A.Registry.as(k.Extensions.Configuration),d=y;y={id:"http",order:15,title:(0,t.localize)(0,null),type:"object",scope:S,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,t.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,t.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,t.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,t.localize)(4,null),(0,t.localize)(5,null),(0,t.localize)(6,null),(0,t.localize)(7,null)],default:"override",description:(0,t.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,t.localize)(9,null),restricted:!0}}},w.updateConfigurations({add:[y],remove:d?[d]:[]})}h(2)}),define(re[206],se([0,1,23,20,10,45]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DownloadService=void 0;let A=class{constructor(P,I){this.requestService=P,this.fileService=I}async download(P,I,D=R.CancellationToken.None){if(P.scheme===t.Schemas.file||P.scheme===t.Schemas.vscodeRemote){await this.fileService.copy(P,I);return}const b={type:"GET",url:P.toString(!0)},p=await this.requestService.request(b,D);if(p.res.statusCode===200)await this.fileService.writeFile(I,p.stream);else{const y=await(0,T.asTextOrError)(p);throw new Error(`Expected 200, got back ${p.res.statusCode} instead.

${y}`)}}};A=fe([Q(0,T.IRequestService),Q(1,k.IFileService)],A),e.DownloadService=A}),define(re[207],se([0,1,17,23,2,18,168,10,7,24,45]),function(Z,e,R,t,k,T,A,C,P,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;let b=class extends k.Disposable{constructor(y,h,S,w){super();this.fileService=y,this.productService=h,this.requestService=S,this.logService=w,this.allConfigBasedTips=new Map,this.productService.configBasedExtensionTips&&Object.entries(this.productService.configBasedExtensionTips).forEach(([,d])=>this.allConfigBasedTips.set(d.configPath,d))}getConfigBasedTips(y){return this.getValidConfigBasedTips(y)}getAllWorkspacesTips(){return this.fetchWorkspacesTips()}async getImportantExecutableBasedTips(){return[]}async getOtherExecutableBasedTips(){return[]}async getValidConfigBasedTips(y){const h=[];for(const[S,w]of this.allConfigBasedTips)if(!(w.configScheme&&w.configScheme!==y.scheme))try{const d=await this.fileService.readFile((0,T.joinPath)(y,S)),v=new Map;Object.entries(w.recommendations).forEach(([g,u])=>{if((0,R.isNonEmptyArray)(u.remotes))for(const r of u.remotes)v.set(r,{extensionId:g,extensionName:u.name,configName:w.configName,important:!!u.important,isExtensionPack:!!u.isExtensionPack,whenNotInstalled:u.whenNotInstalled});else h.push({extensionId:g,extensionName:u.name,configName:w.configName,important:!!u.important,isExtensionPack:!!u.isExtensionPack,whenNotInstalled:u.whenNotInstalled})});const m=(0,A.getDomainsOfRemotes)(d.value.toString(),[...v.keys()]);for(const g of m){const u=v.get(g);u&&h.push(u)}}catch{}return h}async fetchWorkspacesTips(){if(!this.productService.extensionsGallery?.recommendationsUrl)return[];try{const y=await this.requestService.request({type:"GET",url:this.productService.extensionsGallery?.recommendationsUrl},t.CancellationToken.None);if(y.res.statusCode!==200)return[];const h=await(0,D.asJson)(y);return h?h.workspaceRecommendations||[]:[]}catch(y){return this.logService.error(y),[]}}};b=fe([Q(0,C.IFileService),Q(1,I.IProductService),Q(2,D.IRequestService),Q(3,P.ILogService)],b),e.ExtensionTipsService=b}),define(re[99],se([0,1,62,5]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcSharedProcessWorkerChannelName=e.ISharedProcessWorkerService=e.hash=void 0;function k(T){return(0,R.hash)({moduleId:T.process.moduleId,windowId:T.reply.windowId})}e.hash=k,e.ISharedProcessWorkerService=(0,t.createDecorator)("sharedProcessWorkerService"),e.ipcSharedProcessWorkerChannelName="sharedProcessWorker"}),define(re[208],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessWorkerMessages=void 0;var R;(function(t){t.Spawn="vscode:shared-process->shared-process-worker=spawn",t.Terminate="vscode:shared-process->shared-process-worker=terminate",t.SelfTerminated="vscode:shared-process-worker->shared-process=selfTerminated",t.Ready="vscode:shared-process-worker->shared-process=ready",t.Ack="vscode:shared-process-worker->shared-process=ack",t.Trace="vscode:shared-process-worker->shared-process=trace",t.Info="vscode:shared-process-worker->shared-process=info",t.Warn="vscode:shared-process-worker->shared-process=warn",t.Error="vscode:shared-process-worker->shared-process=error"})(R=e.SharedProcessWorkerMessages||(e.SharedProcessWorkerMessages={}))}),define(re[209],se([0,1,84,6,23,3,2,20,31,7,99,208]),function(Z,e,R,t,k,T,A,C,P,I,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessWorkerService=void 0;let p=class{constructor(S){this.logService=S,this.workers=new Map,this.processeDisposables=new Map,this.processResolvers=new Map}async createWorker(S){const w=`window: ${S.reply.windowId}, moduleId: ${S.process.moduleId}`;this.logService.trace(`SharedProcess: createWorker (${w})`);const d=(0,D.hash)(S);this.processeDisposables.has(d)&&(this.logService.warn(`SharedProcess: createWorker found an existing worker that will be terminated (${w})`),this.doDisposeWorker(S));const v=new k.CancellationTokenSource;let m,g,u;this.processeDisposables.set(d,a=>{v.dispose(!0),m?.terminate(S,k.CancellationToken.None),g?.close(),u?.close(),this.processeDisposables.delete(d);const c=this.processResolvers.get(d);c&&(this.processResolvers.delete(d),c({reason:a}))}),m=await this.getOrCreateWebWorker(S);const r=new Promise(a=>{this.processResolvers.set(d,a)});if(v.token.isCancellationRequested)return r;const{port1:n,port2:i}=new MessageChannel;return g=n,u=i,await m.spawn(S,u,v.token),v.token.isCancellationRequested||(this.logService.trace(`SharedProcess: createWorker sending message port back to window (${w})`),R.ipcRenderer.postMessage("vscode:relaySharedProcessWorkerMessageChannel",S,[g])),r}getOrCreateWebWorker(S){let w=this.workers.get(S.process.moduleId);if(!w){this.logService.trace(`SharedProcess: creating new web worker (${S.process.moduleId})`);const d=new y(S.process.type,this.logService);w=d.init(),d.onDidProcessSelfTerminate(({configuration:v,reason:m})=>{this.doDisposeWorker(v,m)}),this.workers.set(S.process.moduleId,w)}return w}async disposeWorker(S){return this.doDisposeWorker(S)}doDisposeWorker(S,w){const d=this.processeDisposables.get((0,D.hash)(S));d&&(this.logService.trace(`SharedProcess: disposeWorker (window: ${S.reply.windowId}, moduleId: ${S.process.moduleId})`),d(w))}};p=fe([Q(0,I.ILogService)],p),e.SharedProcessWorkerService=p;class y extends A.Disposable{constructor(S,w){super();this.type=S,this.logService=w,this._onDidProcessSelfTerminate=this._register(new T.Emitter),this.onDidProcessSelfTerminate=this._onDidProcessSelfTerminate.event,this.workerReady=this.doInit(),this.mapMessageNonceToPendingMessageResolve=new Map}async init(){return await this.workerReady,this}doInit(){const S=new t.DeferredPromise,w=new Worker("../../../base/worker/workerMain.js",{name:`Shared Process Worker (${this.type})`});return w.onerror=d=>{this.logService.error(`SharedProcess: worker error (${this.type})`,d.message)},w.onmessageerror=d=>{this.logService.error(`SharedProcess: worker message error (${this.type})`,d)},w.onmessage=d=>{const{id:v,message:m,configuration:g,nonce:u}=d.data;switch(v){case b.SharedProcessWorkerMessages.Ready:S.complete(w);break;case b.SharedProcessWorkerMessages.Ack:if(u){const r=this.mapMessageNonceToPendingMessageResolve.get(u);r&&(this.mapMessageNonceToPendingMessageResolve.delete(u),r())}break;case b.SharedProcessWorkerMessages.SelfTerminated:g&&m&&this._onDidProcessSelfTerminate.fire({configuration:g,reason:JSON.parse(m)});break;case b.SharedProcessWorkerMessages.Trace:this.logService.trace(`SharedProcess (worker, ${this.type}):`,m);break;case b.SharedProcessWorkerMessages.Info:m&&this.logService.info(m);break;case b.SharedProcessWorkerMessages.Warn:this.logService.warn(`SharedProcess (worker, ${this.type}):`,m);break;case b.SharedProcessWorkerMessages.Error:this.logService.error(`SharedProcess (worker, ${this.type}):`,m);break;default:this.logService.warn(`SharedProcess: unexpected worker message (${this.type})`,d)}},w.postMessage("vs/platform/sharedProcess/electron-browser/sharedProcessWorkerMain"),S.p}async send(S,w,d){const v=await this.workerReady;if(!w.isCancellationRequested)return new Promise(m=>{const g=(0,P.generateUuid)();this.mapMessageNonceToPendingMessageResolve.set(g,m);const u={...S,nonce:g};d?v.postMessage(u,[d]):v.postMessage(u),w.onCancellationRequested(()=>{this.mapMessageNonceToPendingMessageResolve.delete(g)&&m()})})}spawn(S,w,d){const v={id:b.SharedProcessWorkerMessages.Spawn,configuration:S,environment:{bootstrapPath:C.FileAccess.asFileUri("bootstrap-fork",Z).fsPath}};return this.send(v,d,w)}terminate(S,w){const d={id:b.SharedProcessWorkerMessages.Terminate,configuration:S};return this.send(d,w)}}}),define(re[210],se([0,1,60,20,167]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessEnvironmentService=void 0;class T extends k.NativeEnvironmentService{get userRoamingDataHome(){return this.appSettingsHome.with({scheme:t.Schemas.vscodeUserData})}}fe([R.memoize],T.prototype,"userRoamingDataHome",null),e.SharedProcessEnvironmentService=T}),define(re[211],se([0,1,47,13,153,23,37,9,4,31,135,165,6]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getResolvedShellEnv=void 0;const y=1e4;let h;async function S(d,v,m){return v["force-disable-user-env"]?(d.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):P.isWindows?(d.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,b.isLaunchedFromCli)(m)&&!v["force-user-env"]?(d.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,b.isLaunchedFromCli)(m)?d.trace("resolveShellEnv(): running (--force-user-env)"):d.trace("resolveShellEnv(): running (macOS/Linux)"),h||(h=p.Promises.withAsyncBody(async(g,u)=>{const r=new T.CancellationTokenSource,n=setTimeout(()=>{r.dispose(!0),u(new Error((0,k.localize)(0,null)))},y);try{g(await w(d,r.token))}catch(i){!(0,C.isCancellationError)(i)&&!r.token.isCancellationRequested?u(new Error((0,k.localize)(1,null,(0,A.toErrorMessage)(i)))):g({})}finally{clearTimeout(n),r.dispose()}})),h)}e.getResolvedShellEnv=S;async function w(d,v){const m=process.env.ELECTRON_RUN_AS_NODE;d.trace("getUnixShellEnvironment#runAsNode",m);const g=process.env.ELECTRON_NO_ATTACH_CONSOLE;d.trace("getUnixShellEnvironment#noAttach",g);const u=(0,I.generateUuid)().replace(/-/g,"").substr(0,12),r=new RegExp(u+"(.*)"+u),n={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};d.trace("getUnixShellEnvironment#env",n);const i=await(0,D.getSystemShell)(P.OS,n);return d.trace("getUnixShellEnvironment#shell",i),new Promise((a,c)=>{if(v.isCancellationRequested)return c((0,C.canceled)());const o=(0,t.basename)(i);let s,l;const f=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(o)?(s=`& '${process.execPath}' ${f} -p '''${u}'' + JSON.stringify(process.env) + ''${u}'''`,l=["-Login","-Command"]):(s=`'${process.execPath}' ${f} -p '"${u}" + JSON.stringify(process.env) + "${u}"'`,o==="tcsh"?l=["-ic"]:l=["-ilc"]),d.trace("getUnixShellEnvironment#spawn",JSON.stringify(l),s);const E=(0,R.spawn)(i,[...l,s],{detached:!0,stdio:["ignore","pipe","pipe"],env:n});v.onCancellationRequested(()=>(E.kill(),c((0,C.canceled)()))),E.on("error",N=>{d.error("getUnixShellEnvironment#errorChildProcess",(0,A.toErrorMessage)(N)),c(N)});const U=[];E.stdout.on("data",N=>U.push(N));const _=[];E.stderr.on("data",N=>_.push(N)),E.on("close",(N,L)=>{const M=Buffer.concat(U).toString("utf8");d.trace("getUnixShellEnvironment#raw",M);const O=Buffer.concat(_).toString("utf8");if(O.trim()&&d.trace("getUnixShellEnvironment#stderr",O),N||L)return c(new Error((0,k.localize)(2,null,N,L)));const H=r.exec(M),W=H?H[1]:"{}";try{const z=JSON.parse(W);m?z.ELECTRON_RUN_AS_NODE=m:delete z.ELECTRON_RUN_AS_NODE,g?z.ELECTRON_NO_ATTACH_CONSOLE=g:delete z.ELECTRON_NO_ATTACH_CONSOLE,delete z.XDG_RUNTIME_DIR,d.trace("getUnixShellEnvironment#result",z),a(z)}catch(z){d.error("getUnixShellEnvironment#errorCaught",(0,A.toErrorMessage)(z)),c(z)}})})}}),define(re[100],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=(0,R.createDecorator)(e.SIGN_SERVICE_ID)}),define(re[212],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class R{constructor(){this.validators=new Map}vsda(){return new Promise((k,T)=>Z(["vsda"],k,T))}async createNewMessage(k){try{const T=await this.vsda(),A=new T.validator;if(A){const C=String(R._nextId++);return this.validators.set(C,A),{id:C,data:A.createNewMessage(k)}}}catch{}return{id:"",data:k}}async validate(k,T){if(!k.id)return!0;const A=this.validators.get(k.id);if(!A)return!1;this.validators.delete(k.id);try{return A.validate(T)==="ok"}catch{return!1}}async sign(k){try{const T=await this.vsda(),A=new T.signer;if(A)return A.sign(k)}catch{}return k}}e.SignService=R,R._nextId=1}),define(re[213],se([0,1,3,2]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspaceStorageDatabaseClient=e.ProfileStorageDatabaseClient=e.ApplicationStorageDatabaseClient=void 0;class k extends t.Disposable{constructor(D,b,p){super();this.channel=D,this.profile=b,this.workspace=p}async getItems(){const D={profile:this.profile,workspace:this.workspace},b=await this.channel.call("getItems",D);return new Map(b)}updateItems(D){const b={profile:this.profile,workspace:this.workspace};return D.insert&&(b.insert=Array.from(D.insert.entries())),D.delete&&(b.delete=Array.from(D.delete.values())),this.channel.call("updateItems",b)}}class T extends k{constructor(D,b){super(D,b,void 0);this._onDidChangeItemsExternal=this._register(new R.Emitter),this.onDidChangeItemsExternal=this._onDidChangeItemsExternal.event,this.registerListeners()}registerListeners(){this._register(this.channel.listen("onDidChangeStorage",{profile:this.profile})(D=>this.onDidChangeStorage(D)))}onDidChangeStorage(D){(Array.isArray(D.changed)||Array.isArray(D.deleted))&&this._onDidChangeItemsExternal.fire({changed:D.changed?new Map(D.changed):void 0,deleted:D.deleted?new Set(D.deleted):void 0})}}class A extends T{constructor(D){super(D,void 0)}async close(){this.dispose()}}e.ApplicationStorageDatabaseClient=A;class C extends T{constructor(D,b){super(D,b)}async close(){this.dispose()}}e.ProfileStorageDatabaseClient=C;class P extends k{constructor(D,b){super(D,void 0,b);this.onDidChangeItemsExternal=R.Event.None}async close(){this.dispose()}}e.WorkspaceStorageDatabaseClient=P}),define(re[214],se([0,1,4,35,8,31]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function A(I){if(R.platform===2&&/^penguin(\.|$)/i.test(I))return"chromebook"}async function C(I,D,b,p,y,h,S,w,d,v){const m=Object.create(null);m["common.machineId"]=S,m.sessionID=(0,T.generateUuid)()+Date.now(),m.commitHash=y,m.version=h,m["common.platformVersion"]=(D||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),m["common.platform"]=(0,R.PlatformToString)(R.platform),m["common.nodePlatform"]=t.platform,m["common.nodeArch"]=p,m["common.product"]=v||"desktop";const g=P(w||[]);g&&(m["common.msftInternal"]=g);let u=0;const r=Date.now();Object.defineProperties(m,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-r,enumerable:!0},"common.sequence":{get:()=>u++,enumerable:!0}}),R.isLinuxSnap&&(m["common.snap"]="true");const n=A(b);n&&(m["common.platformDetail"]=n);try{const i=await I.readFile(k.URI.file(d));m["common.source"]=i.value.toString().slice(0,30)}catch{}return m}e.resolveCommonProperties=C;function P(I){const D=t.env.USERDNSDOMAIN;if(!D)return!1;const b=D.toLowerCase();return I.some(p=>b===p)}e.verifyMicrosoftInternalDomain=P}),define(re[21],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.TELEMETRY_OLD_SETTING_ID=e.TELEMETRY_SETTING_ID=e.TELEMETRY_SECTION_ID=e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,R.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,R.createDecorator)("customEndpointTelemetryService"),e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId",e.TELEMETRY_SECTION_ID="telemetry",e.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",e.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var t;(function(T){T[T.NONE=0]="NONE",T[T.CRASH=1]="CRASH",T[T.ERROR=2]="ERROR",T[T.USAGE=3]="USAGE"})(t=e.TelemetryLevel||(e.TelemetryLevel={}));var k;(function(T){T.OFF="off",T.CRASH="crash",T.ERROR="error",T.ON="all"})(k=e.TelemetryConfiguration||(e.TelemetryConfiguration={}))}),define(re[215],se([0,1,36,52,6,34,20,13,4,8,128,27,130,89,10,24,21]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;const d=new Map;async function v(n,i){const a=`${n}::${i.join(":")}`,c=d.get(a);if(c)return c;const o=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}],s=new Map,l=new Map,f=2e4;function E(_,N,L,M){const O=N.substring(_.length+1);return k.Promises.withAsyncBody(async H=>{let W;try{W=await b.Promises.readdir(N,{withFileTypes:!0})}catch{H();return}if(M.count>=f){M.count+=W.length,M.maxReached=!0,H();return}let z=W.length;if(z===0){H();return}let te=W;M.count+W.length>f&&(M.maxReached=!0,z=f-M.count,te=W.slice(0,z)),M.count+=W.length;for(const V of te)if(V.isDirectory()){if(L.includes(V.name)||await E(_,(0,C.join)(N,V.name),L,M),--z==0){H();return}}else{const Y=V.name.lastIndexOf(".");if(Y>=0){const X=V.name.substring(Y+1);X&&s.set(X,(s.get(X)??0)+1)}for(const X of o)X.relativePathPattern?.test(O)!==!1&&X.filePattern.test(V.name)&&l.set(X.tag,(l.get(X.tag)??0)+1);if(--z==0){H();return}}})}const U=k.Promises.withAsyncBody(async _=>{const N={count:0,maxReached:!1};await E(n,n,i,N);const L=await u(n);_({configFiles:m(l),fileTypes:m(s),fileCount:N.count,maxFilesReached:N.maxReached,launchConfigFiles:L})});return d.set(a,U),U}e.collectWorkspaceStats=v;function m(n){return[...t.Iterable.map(n.entries(),([i,a])=>({name:i,count:a}))].sort((i,a)=>a.count-i.count)}function g(){const n={os:`${R.type()} ${R.arch()} ${R.release()}`,memory:`${(R.totalmem()/h.ByteSize.GB).toFixed(2)}GB (${(R.freemem()/h.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(D.virtualMachineHint.value()*100)}%`},i=R.cpus();return i&&i.length>0&&(n.cpus=`${i[0].model} (${i.length} x ${i[0].speed})`),n}e.getMachineInfo=g;async function u(n){try{const i=new Map,a=(0,C.join)(n,".vscode","launch.json"),c=await b.Promises.readFile(a),o=[],s=(0,T.parse)(c.toString(),o);if(o.length)return console.log(`Unable to parse ${a}`),[];if((0,T.getNodeType)(s)==="object"&&s.configurations)for(const l of s.configurations){const f=l.type;f&&(i.has(f)?i.set(f,i.get(f)+1):i.set(f,1))}return m(i)}catch{return[]}}e.collectLaunchConfigs=u;let r=class{constructor(i,a){this.telemetryService=i,this.productService=a}formatMachineInfo(i){const a=[];return a.push(`OS Version:       ${i.os}`),a.push(`CPUs:             ${i.cpus}`),a.push(`Memory (System):  ${i.memory}`),a.push(`VM:               ${i.vmHint}`),a.join(`
`)}formatEnvironment(i){const a=[];a.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),a.push(`OS Version:       ${R.type()} ${R.arch()} ${R.release()}`);const c=R.cpus();return c&&c.length>0&&a.push(`CPUs:             ${c[0].model} (${c.length} x ${c[0].speed})`),a.push(`Memory (System):  ${(R.totalmem()/h.ByteSize.GB).toFixed(2)}GB (${(R.freemem()/h.ByteSize.GB).toFixed(2)}GB free)`),P.isWindows||a.push(`Load (avg):       ${R.loadavg().map(o=>Math.round(o)).join(", ")}`),a.push(`VM:               ${Math.round(D.virtualMachineHint.value()*100)}%`),a.push(`Screen Reader:    ${i.screenReader?"yes":"no"}`),a.push(`Process Argv:     ${i.mainArguments.join(" ")}`),a.push(`GPU Status:       ${this.expandGPUFeatures(i.gpuFeatureStatus)}`),a.join(`
`)}async getPerformanceInfo(i,a){return Promise.all([(0,p.listProcesses)(i.mainPID),this.formatWorkspaceMetadata(i)]).then(async c=>{let[o,s]=c,l=this.formatProcessList(i,o);return a.forEach(f=>{if((0,y.isRemoteDiagnosticError)(f))l+=`
${f.errorMessage}`,s+=`
${f.errorMessage}`;else if(l+=`

Remote: ${f.hostName}`,f.processes&&(l+=`
${this.formatProcessList(i,f.processes)}`),f.workspaceMetadata){s+=`
|  Remote: ${f.hostName}`;for(const E of Object.keys(f.workspaceMetadata)){const U=f.workspaceMetadata[E];let _=`${U.fileCount} files`;U.maxFilesReached&&(_=`more than ${_}`),s+=`|    Folder (${E}): ${_}`,s+=this.formatWorkspaceStats(U)}}}),{processInfo:l,workspaceInfo:s}})}async getSystemInfo(i,a){const{memory:c,vmHint:o,os:s,cpus:l}=g(),f={os:s,memory:c,cpus:l,vmHint:o,processArgs:`${i.mainArguments.join(" ")}`,gpuStatus:i.gpuFeatureStatus,screenReader:`${i.screenReader?"yes":"no"}`,remoteData:a};return P.isWindows||(f.load=`${R.loadavg().map(E=>Math.round(E)).join(", ")}`),P.isLinux&&(f.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(f)}async getDiagnostics(i,a){const c=[];return(0,p.listProcesses)(i.mainPID).then(async o=>(c.push(""),c.push(this.formatEnvironment(i)),c.push(""),c.push(this.formatProcessList(i,o)),i.windows.some(s=>s.folderURIs&&s.folderURIs.length>0&&!s.remoteAuthority)&&(c.push(""),c.push("Workspace Stats: "),c.push(await this.formatWorkspaceMetadata(i))),a.forEach(s=>{if((0,y.isRemoteDiagnosticError)(s))c.push(`
${s.errorMessage}`);else if(c.push(`

`),c.push(`Remote:           ${s.hostName}`),c.push(this.formatMachineInfo(s.machineInfo)),s.processes&&c.push(this.formatProcessList(i,s.processes)),s.workspaceMetadata)for(const l of Object.keys(s.workspaceMetadata)){const f=s.workspaceMetadata[l];let E=`${f.fileCount} files`;f.maxFilesReached&&(E=`more than ${E}`),c.push(`Folder (${l}): ${E}`),c.push(this.formatWorkspaceStats(f))}}),c.push(""),c.push(""),c.join(`
`)))}formatWorkspaceStats(i){const a=[],c=60;let o=0;const s=(U,_)=>{const N=` ${U}(${_})`;o+N.length>c?(a.push(l),l="|                 ",o=l.length):o+=N.length,l+=N};let l="|      File types:";const f=10,E=i.fileTypes.length>f?f:i.fileTypes.length;for(let U=0;U<E;U++){const _=i.fileTypes[U];s(_.name,_.count)}if(a.push(l),i.configFiles.length>=0&&(l="|      Conf files:",o=0,i.configFiles.forEach(U=>{s(U.name,U.count)}),a.push(l)),i.launchConfigFiles.length>0){let U="|      Launch Configs:";i.launchConfigFiles.forEach(_=>{U+=_.count>1?` ${_.name}(${_.count})`:` ${_.name}`}),a.push(U)}return a.join(`
`)}expandGPUFeatures(i){const a=Math.max(...Object.keys(i).map(c=>c.length));return Object.keys(i).map(c=>`${c}:  ${" ".repeat(a-c.length)}  ${i[c]}`).join(`
                  `)}formatWorkspaceMetadata(i){const a=[],c=[];return i.windows.forEach(o=>{o.folderURIs.length===0||!!o.remoteAuthority||(a.push(`|  Window (${o.title})`),o.folderURIs.forEach(s=>{const l=I.URI.revive(s);if(l.scheme===A.Schemas.file){const f=l.fsPath;c.push(v(f,["node_modules",".git"]).then(E=>{let U=`${E.fileCount} files`;E.maxFilesReached&&(U=`more than ${U}`),a.push(`|    Folder (${(0,C.basename)(f)}): ${U}`),a.push(this.formatWorkspaceStats(E))}).catch(E=>{a.push(`|      Error: Unable to collect workspace stats for folder ${f} (${E.toString()})`)}))}else a.push(`|    Folder (${l.toString()}): Workspace stats not available.`)}))}),Promise.all(c).then(o=>a.join(`
`)).catch(o=>`Unable to collect workspace stats: ${o}`)}formatProcessList(i,a){const c=new Map;i.windows.forEach(s=>c.set(s.pid,s.title));const o=[];return o.push("CPU %	Mem MB	   PID	Process"),a&&this.formatProcessItem(i.mainPID,c,o,a,0),o.join(`
`)}formatProcessItem(i,a,c,o,s){const l=s===0;let f;l?f=o.pid===i?`${this.productService.applicationName} main`:"remote agent":(f=`${"  ".repeat(s)} ${o.name}`,o.name==="window"&&(f=`${f} (${a.get(o.pid)})`));const E=process.platform==="win32"?o.mem:R.totalmem()*(o.mem/100);c.push(`${o.load.toFixed(0).padStart(5," ")}	${(E/h.ByteSize.MB).toFixed(0).padStart(6," ")}	${o.pid.toFixed(0).padStart(6," ")}	${f}`),Array.isArray(o.children)&&o.children.forEach(U=>this.formatProcessItem(i,a,c,U,s+1))}async getWorkspaceFileExtensions(i){const a=new Set;for(const{uri:c}of i.folders){const o=I.URI.revive(c);if(o.scheme!==A.Schemas.file)continue;const s=o.fsPath;try{(await v(s,["node_modules",".git"])).fileTypes.forEach(f=>a.add(f.name))}catch{}}return{extensions:[...a]}}async reportWorkspaceStats(i){for(const{uri:a}of i.folders){const c=I.URI.revive(a);if(c.scheme!==A.Schemas.file)continue;const o=c.fsPath;try{const s=await v(o,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":i.telemetryId,rendererSessionId:i.rendererSessionId}),s.fileTypes.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:i.rendererSessionId,type:l.name,count:l.count})}),s.launchConfigFiles.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:i.rendererSessionId,type:l.name,count:l.count})}),s.configFiles.forEach(l=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:i.rendererSessionId,type:l.name,count:l.count})})}catch{}}}};r=fe([Q(0,w.ITelemetryService),Q(1,S.IProductService)],r),e.DiagnosticsService=r}),define(re[101],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class R{constructor(T){this.appenders=T}listen(T,A){throw new Error(`Event not found: ${A}`)}call(T,A,{eventName:C,data:P}){return this.appenders.forEach(I=>I.log(C,P)),Promise.resolve(null)}}e.TelemetryAppenderChannel=R;class t{constructor(T){this.channel=T}log(T,A){return this.channel.call("log",{eventName:T,data:A}).then(void 0,C=>`Failed to log telemetry: ${console.warn(C)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=t}),define(re[50],se([0,1,30,78,14,19,21]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPiiPathsFromEnvironment=e.cleanRemoteAuthority=e.validateTelemetryData=e.getTelemetryLevel=e.supportsTelemetry=e.configurationTelemetry=e.NullAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=e.NullTelemetryServiceShape=void 0;class C{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=(0,t.staticObservableValue)(0)}publicLog(g,u){return Promise.resolve(void 0)}publicLog2(g,u){return this.publicLog(g,u)}publicLogError(g,u){return Promise.resolve(void 0)}publicLogError2(g,u){return this.publicLogError(g,u)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}e.NullTelemetryServiceShape=C,e.NullTelemetryService=new C;class P{async publicLog(g,u,r){}async publicLogError(g,u,r){}}e.NullEndpointTelemetryService=P,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function I(m,g){return g.onDidChangeConfiguration(u=>{u.source!==6&&m.publicLog2("updateConfiguration",{configurationSource:(0,T.ConfigurationTargetToString)(u.source),configurationKeys:w(u.sourceConfig)})})}e.configurationTelemetry=I;function D(m,g){return!(g.disableTelemetry||!m.enableTelemetry||g.extensionTestsLocationURI)}e.supportsTelemetry=D;function b(m){const g=m.getValue(A.TELEMETRY_SETTING_ID),u=m.getValue("telemetry.enableCrashReporter");if(m.getValue(A.TELEMETRY_OLD_SETTING_ID)===!1||u===!1)return 0;switch(g??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.getTelemetryLevel=b;function p(m){const g={},u={},r={};S(m,r);for(let n in r){n=n.length>150?n.substr(n.length-149):n;const i=r[n];typeof i=="number"?u[n]=i:typeof i=="boolean"?u[n]=i?1:0:typeof i=="string"?(i.length>8192&&console.warn(`Telemetry property: ${n} has been trimmed to 8192, the original length is ${i.length}`),g[n]=i.substring(0,8191)):typeof i!="undefined"&&i!==null&&(g[n]=i)}return{properties:g,measurements:u}}e.validateTelemetryData=p;const y=["ssh-remote","dev-container","attached-container","wsl","tunneling"];function h(m){if(!m)return"none";for(const g of y)if(m.startsWith(`${g}+`))return g;return"other"}e.cleanRemoteAuthority=h;function S(m,g,u=0,r){if(!!m)for(const n of Object.getOwnPropertyNames(m)){const i=m[n],a=r?r+n:n;Array.isArray(i)?g[a]=(0,R.safeStringify)(i):i instanceof Date?g[a]=i.toISOString():(0,k.isObject)(i)?u<2?S(i,g,u+1,a+"."):g[a]=(0,R.safeStringify)(i):g[a]=i}}function w(m){if(!m)return[];const g=[];return d(g,"",m),g}function d(m,g,u){u&&typeof u=="object"&&!Array.isArray(u)?Object.keys(u).forEach(r=>d(m,g?`${g}.${r}`:r,u[r])):m.push(g)}function v(m){return[m.appRoot,m.extensionsPath,m.userHome.fsPath,m.tmpDir.fsPath,m.userDataPath]}e.getPiiPathsFromEnvironment=v}),define(re[216],se([0,1,48,50]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=void 0;async function k(T,A,C,P,I,D,b){const p={"X-Market-Client-Id":`VSCode ${T}`,"User-Agent":`VSCode ${T} (${A.nameShort})`},y=await(0,R.getServiceMachineId)(C,I,D),{sessionId:h}=await b.getTelemetryInfo();return(0,t.supportsTelemetry)(A,C)&&(0,t.getTelemetryLevel)(P)===3&&(p["X-Market-User-Id"]=y,p["VSCode-SessionId"]=h),p}e.resolveMarketplaceHeaders=k}),define(re[217],se([0,1,9,30,50]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractOneDataSystemAppender=void 0;const T="https://mobile.events.data.microsoft.com/OneCollector/1.0";async function A(P,I,D){const b=await new Promise((w,d)=>{Z(["@microsoft/1ds-core-js"],w,d)}),p=await new Promise((w,d)=>{Z(["@microsoft/1ds-post-js"],w,d)}),y=new b.AppInsightsCore,h=new p.PostChannel,S={instrumentationKey:P,endpointUrl:T,loggingLevelTelemetry:0,loggingLevelConsole:0,disableCookiesUsage:!0,disableDbgExt:!0,disableInstrumentationKeyValidation:!0,channels:[[h]]};if(D){S.extensionConfig={};const w={alwaysUseXhrOverride:!0,httpXHROverride:D};S.extensionConfig[h.identifier]=w}return y.initialize(S,[]),y.addTelemetryInitializer(w=>{I&&(w.ext=w.ext??{},w.ext.utc=w.ext.utc??{},w.ext.utc.flags=8462029)}),y}class C{constructor(I,D,b,p,y){this._configurationService=I,this._eventPrefix=D,this._defaultData=b,this._xhrOverride=y,this.endPointUrl=T,this._defaultData||(this._defaultData={}),typeof p=="function"?this._aiCoreOrKey=p():this._aiCoreOrKey=p,this._asyncAiCore=null}_withAIClient(I){if(!!this._aiCoreOrKey){if(typeof this._aiCoreOrKey!="string"){I(this._aiCoreOrKey);return}if(!this._asyncAiCore){const D=this._configurationService?.getValue("telemetry.internalTesting");this._asyncAiCore=A(this._aiCoreOrKey,D,this._xhrOverride)}this._asyncAiCore.then(D=>{I(D)},D=>{(0,R.onUnexpectedError)(D),console.error(D)})}}log(I,D){if(!this._aiCoreOrKey)return;D=(0,t.mixin)(D,this._defaultData),D=(0,k.validateTelemetryData)(D);const b=this._eventPrefix+"/"+I;try{this._withAIClient(p=>p.track({name:b,baseData:{name:b,properties:D?.properties,measurements:D?.measurements}}))}catch{}}flush(){return this._aiCoreOrKey?new Promise(I=>{this._withAIClient(D=>{D.unload(!0,()=>{this._aiCoreOrKey=void 0,I(void 0)})})}):Promise.resolve(void 0)}}e.AbstractOneDataSystemAppender=C}),define(re[218],se([0,1,217]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OneDataSystemWebAppender=void 0;class t extends R.AbstractOneDataSystemAppender{constructor(T,A,C,P){super(T,A,C,P);fetch(this.endPointUrl,{method:"POST"}).catch(I=>{this._aiCoreOrKey=void 0})}}e.OneDataSystemWebAppender=t}),define(re[102],se([0,1,2,15,7,50]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryLogAppender=void 0;let A=class extends R.Disposable{constructor(P,I,D=""){super();this.prefix=D;const b=P.getLogger(I.telemetryLogResource);b?this.logger=this._register(b):(this.logger=this._register(P.createLogger(I.telemetryLogResource)),this.logger.info("The below are logs for every telemetry event sent from VS Code once the log level is set to trace."),this.logger.info("==========================================================="))}flush(){return Promise.resolve(void 0)}log(P,I){this.logger.trace(`${this.prefix}telemetry/${P}`,(0,T.validateTelemetryData)(I))}};A=fe([Q(0,k.ILoggerService),Q(1,t.IEnvironmentService)],A),e.TelemetryLogAppender=A}),define(re[103],se([0,1,2,30,78,4,26,154,19,44,96,24,40,21,50]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let S=class{constructor(v,m,g){this._configurationService=m,this._productService=g,this._experimentProperties={},this.telemetryLevel=new k.MutableObservableValue(3),this._disposables=new R.DisposableStore,this._cleanupPatterns=[],this._appenders=v.appenders,this._commonProperties=v.commonProperties||Promise.resolve({}),this._piiPaths=v.piiPaths||[],this._sendErrorTelemetry=!!v.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(const u of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,A.escapeRegExpCharacters)(u),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables)}setExperimentProperty(v,m){this._experimentProperties[v]=m}_updateTelemetryLevel(){let v=(0,h.getTelemetryLevel)(this._configurationService);const m=this._productService.enabledTelemetryLevels;if(m){this._sendErrorTelemetry=this.sendErrorTelemetry?m.error:!1;const g=m.usage?3:m.error?2:0;v=Math.min(v,g)}this.telemetryLevel.value=v}get sendErrorTelemetry(){return this._sendErrorTelemetry}async getTelemetryInfo(){const v=await this._commonProperties,m=v.sessionID,g=v["common.machineId"],u=v["common.firstSessionDate"],r=v["common.msftInternal"];return{sessionId:m,machineId:g,firstSessionDate:u,msftInternal:r}}dispose(){this._disposables.dispose()}_log(v,m,g,u){return this.telemetryLevel.value<m?Promise.resolve(void 0):this._commonProperties.then(r=>{g=(0,t.mixin)(g,r),g=(0,t.mixin)(g,this._experimentProperties),g=(0,t.cloneAndChange)(g,n=>{if(typeof n=="string")return this._cleanupInfo(n,u)}),this._appenders.forEach(n=>n.log(v,g))},r=>{console.error(r)})}publicLog(v,m,g){return this._log(v,3,m,g)}publicLog2(v,m,g){return this.publicLog(v,m,g)}publicLogError(v,m){return this._sendErrorTelemetry?this._log(v,2,m,!0):Promise.resolve(void 0)}publicLogError2(v,m){return this.publicLogError(v,m)}_anonymizeFilePaths(v){let m=v;const g=[];for(const i of this._cleanupPatterns)for(;;){const a=i.exec(v);if(!a)break;g.push([a.index,i.lastIndex])}const u=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,r=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let n=0;for(m="";;){const i=r.exec(v);if(!i)break;!u.test(i[0])&&g.every(([a,c])=>i.index<a||i.index>=c)&&(m+=v.substring(n,i.index)+"<REDACTED: user-file-path>",n=r.lastIndex)}return n<v.length&&(m+=v.substr(n)),m}_removePropertiesWithPossibleUserInfo(v){if(!v)return v;const m=v.toLowerCase(),g=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/},{label:"Email",regex:/@[a-zA-Z0-9-.]+/}];for(const u of g)if(u.regex.test(m))return`<REDACTED: ${u.label}>`;return v}_cleanupInfo(v,m){let g=v;m&&(g=this._anonymizeFilePaths(g));for(const u of this._cleanupPatterns)g=g.replace(u,"");return g=this._removePropertiesWithPossibleUserInfo(g),g}};S.IDLE_START_EVENT_NAME="UserIdleStart",S.IDLE_STOP_EVENT_NAME="UserIdleStop",S=fe([Q(1,P.IConfigurationService),Q(2,b.IProductService)],S),e.TelemetryService=S;function w(){const d=(0,C.localize)(0,null,D.default.nameLong),v=D.default.privacyStatementUrl?(0,C.localize)(2,null,"https://aka.ms/vscode-telemetry",D.default.privacyStatementUrl):(0,C.localize)(1,null,"https://aka.ms/vscode-telemetry"),m=T.isWeb?"":(0,C.localize)(3,null),g=(0,C.localize)(4,null),u=(0,C.localize)(5,null),r=(0,C.localize)(6,null),n=(0,C.localize)(7,null),i=`
|       | ${g} | ${u} | ${r} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,a=(0,C.localize)(8,null);return`
${d} ${v} ${m}

&nbsp;

${n}
${i}

&nbsp;

${a}
`}p.Registry.as(I.Extensions.Configuration).registerConfiguration({id:y.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,C.localize)(9,null),properties:{[y.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,C.localize)(10,null),(0,C.localize)(11,null),(0,C.localize)(12,null),(0,C.localize)(13,null)],markdownDescription:w(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),p.Registry.as(I.Extensions.Configuration).registerConfiguration({id:y.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,C.localize)(14,null),properties:{[y.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:D.default.privacyStatementUrl?(0,C.localize)(16,null,D.default.nameLong,D.default.privacyStatementUrl):(0,C.localize)(15,null,D.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,C.localize)(17,null,`\`#${y.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(re[219],se([0,1,20,64,19,15,7,24,21,101,102,103]),function(Z,e,R,t,k,T,A,C,P,I,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CustomEndpointTelemetryService=void 0;let p=class{constructor(h,S,w,d,v){this.configurationService=h,this.telemetryService=S,this.loggerService=w,this.environmentService=d,this.productService=v,this.customTelemetryServices=new Map}async getCustomTelemetryService(h){if(!this.customTelemetryServices.has(h.id)){const{machineId:S,sessionId:w}=await this.telemetryService.getTelemetryInfo(),d=Object.create(null);d["common.vscodemachineid"]=S,d["common.vscodesessionid"]=w;const v=[h.id,JSON.stringify(d),h.aiKey],g=new t.Client(R.FileAccess.asFileUri("bootstrap-fork",Z).fsPath,{serverName:"Debug Telemetry",timeout:1e3*60*5,args:v,env:{ELECTRON_RUN_AS_NODE:1,VSCODE_PIPE_LOGGING:"true",VSCODE_AMD_ENTRYPOINT:"vs/workbench/contrib/debug/node/telemetryApp"}}).getChannel("telemetryAppender"),u=[new I.TelemetryAppenderClient(g),new D.TelemetryLogAppender(this.loggerService,this.environmentService,`[${h.id}] `)];this.customTelemetryServices.set(h.id,new b.TelemetryService({appenders:u,sendErrorTelemetry:h.sendErrorTelemetry},this.configurationService,this.productService))}return this.customTelemetryServices.get(h.id)}async publicLog(h,S,w){await(await this.getCustomTelemetryService(h)).publicLog(S,w)}async publicLogError(h,S,w){await(await this.getCustomTelemetryService(h)).publicLogError(S,w)}};p=fe([Q(0,k.IConfigurationService),Q(1,P.ITelemetryService),Q(2,A.ILoggerService),Q(3,T.IEnvironmentService),Q(4,C.IProductService)],p),e.CustomEndpointTelemetryService=p}),define(re[220],se([0,1,6,23,3,2,7]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestStore=void 0;let C=class extends T.Disposable{constructor(I,D){super();this._logService=D,this._lastRequestId=0,this._pendingRequests=new Map,this._pendingRequestDisposables=new Map,this._onCreateRequest=this._register(new k.Emitter),this.onCreateRequest=this._onCreateRequest.event,this._timeout=I===void 0?15e3:I}createRequest(I){return new Promise((D,b)=>{const p=++this._lastRequestId;this._pendingRequests.set(p,D),this._onCreateRequest.fire({requestId:p,...I});const y=new t.CancellationTokenSource;(0,R.timeout)(this._timeout,y.token).then(()=>b(`Request ${p} timed out (${this._timeout}ms)`)),this._pendingRequestDisposables.set(p,[(0,T.toDisposable)(()=>y.cancel())])})}acceptReply(I,D){const b=this._pendingRequests.get(I);b?(this._pendingRequests.delete(I),(0,T.dispose)(this._pendingRequestDisposables.get(I)||[]),this._pendingRequestDisposables.delete(I),b(D)):this._logService.warn(`RequestStore#acceptReply was called without receiving a matching request ${I}`)}};C=fe([Q(1,A.ILogService)],C),e.RequestStore=C}),define(re[104],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProfileSource=e.FlowControlConstants=e.LocalReconnectConstants=e.TerminalLocationString=e.TerminalLocation=e.HeartbeatConstants=e.ProcessPropertyType=e.IPtyService=e.TerminalIpcChannels=e.TitleEventSource=e.WindowsShellType=e.PosixShellType=e.TerminalLogConstants=e.TerminalSettingId=e.TerminalSettingPrefix=void 0;var t;(function(d){d.Shell="terminal.integrated.shell.",d.ShellArgs="terminal.integrated.shellArgs.",d.DefaultProfile="terminal.integrated.defaultProfile.",d.Profiles="terminal.integrated.profiles."})(t=e.TerminalSettingPrefix||(e.TerminalSettingPrefix={}));var k;(function(d){d.ShellLinux="terminal.integrated.shell.linux",d.ShellMacOs="terminal.integrated.shell.osx",d.ShellWindows="terminal.integrated.shell.windows",d.SendKeybindingsToShell="terminal.integrated.sendKeybindingsToShell",d.AutomationShellLinux="terminal.integrated.automationShell.linux",d.AutomationShellMacOs="terminal.integrated.automationShell.osx",d.AutomationShellWindows="terminal.integrated.automationShell.windows",d.AutomationProfileLinux="terminal.integrated.automationProfile.linux",d.AutomationProfileMacOs="terminal.integrated.automationProfile.osx",d.AutomationProfileWindows="terminal.integrated.automationProfile.windows",d.ShellArgsLinux="terminal.integrated.shellArgs.linux",d.ShellArgsMacOs="terminal.integrated.shellArgs.osx",d.ShellArgsWindows="terminal.integrated.shellArgs.windows",d.ProfilesWindows="terminal.integrated.profiles.windows",d.ProfilesMacOs="terminal.integrated.profiles.osx",d.ProfilesLinux="terminal.integrated.profiles.linux",d.DefaultProfileLinux="terminal.integrated.defaultProfile.linux",d.DefaultProfileMacOs="terminal.integrated.defaultProfile.osx",d.DefaultProfileWindows="terminal.integrated.defaultProfile.windows",d.UseWslProfiles="terminal.integrated.useWslProfiles",d.TabsDefaultColor="terminal.integrated.tabs.defaultColor",d.TabsDefaultIcon="terminal.integrated.tabs.defaultIcon",d.TabsEnabled="terminal.integrated.tabs.enabled",d.TabsEnableAnimation="terminal.integrated.tabs.enableAnimation",d.TabsHideCondition="terminal.integrated.tabs.hideCondition",d.TabsShowActiveTerminal="terminal.integrated.tabs.showActiveTerminal",d.TabsShowActions="terminal.integrated.tabs.showActions",d.TabsLocation="terminal.integrated.tabs.location",d.TabsFocusMode="terminal.integrated.tabs.focusMode",d.MacOptionIsMeta="terminal.integrated.macOptionIsMeta",d.MacOptionClickForcesSelection="terminal.integrated.macOptionClickForcesSelection",d.AltClickMovesCursor="terminal.integrated.altClickMovesCursor",d.CopyOnSelection="terminal.integrated.copyOnSelection",d.EnableMultiLinePasteWarning="terminal.integrated.enableMultiLinePasteWarning",d.DrawBoldTextInBrightColors="terminal.integrated.drawBoldTextInBrightColors",d.FontFamily="terminal.integrated.fontFamily",d.FontSize="terminal.integrated.fontSize",d.LetterSpacing="terminal.integrated.letterSpacing",d.LineHeight="terminal.integrated.lineHeight",d.MinimumContrastRatio="terminal.integrated.minimumContrastRatio",d.FastScrollSensitivity="terminal.integrated.fastScrollSensitivity",d.MouseWheelScrollSensitivity="terminal.integrated.mouseWheelScrollSensitivity",d.BellDuration="terminal.integrated.bellDuration",d.FontWeight="terminal.integrated.fontWeight",d.FontWeightBold="terminal.integrated.fontWeightBold",d.CursorBlinking="terminal.integrated.cursorBlinking",d.CursorStyle="terminal.integrated.cursorStyle",d.CursorWidth="terminal.integrated.cursorWidth",d.Scrollback="terminal.integrated.scrollback",d.DetectLocale="terminal.integrated.detectLocale",d.DefaultLocation="terminal.integrated.defaultLocation",d.GpuAcceleration="terminal.integrated.gpuAcceleration",d.TerminalTitleSeparator="terminal.integrated.tabs.separator",d.TerminalTitle="terminal.integrated.tabs.title",d.TerminalDescription="terminal.integrated.tabs.description",d.RightClickBehavior="terminal.integrated.rightClickBehavior",d.Cwd="terminal.integrated.cwd",d.ConfirmOnExit="terminal.integrated.confirmOnExit",d.ConfirmOnKill="terminal.integrated.confirmOnKill",d.EnableBell="terminal.integrated.enableBell",d.CommandsToSkipShell="terminal.integrated.commandsToSkipShell",d.AllowChords="terminal.integrated.allowChords",d.AllowMnemonics="terminal.integrated.allowMnemonics",d.EnvMacOs="terminal.integrated.env.osx",d.EnvLinux="terminal.integrated.env.linux",d.EnvWindows="terminal.integrated.env.windows",d.EnvironmentChangesIndicator="terminal.integrated.environmentChangesIndicator",d.EnvironmentChangesRelaunch="terminal.integrated.environmentChangesRelaunch",d.ShowExitAlert="terminal.integrated.showExitAlert",d.SplitCwd="terminal.integrated.splitCwd",d.WindowsEnableConpty="terminal.integrated.windowsEnableConpty",d.WordSeparators="terminal.integrated.wordSeparators",d.EnableFileLinks="terminal.integrated.enableFileLinks",d.UnicodeVersion="terminal.integrated.unicodeVersion",d.LocalEchoLatencyThreshold="terminal.integrated.localEchoLatencyThreshold",d.LocalEchoEnabled="terminal.integrated.localEchoEnabled",d.LocalEchoExcludePrograms="terminal.integrated.localEchoExcludePrograms",d.LocalEchoStyle="terminal.integrated.localEchoStyle",d.EnablePersistentSessions="terminal.integrated.enablePersistentSessions",d.PersistentSessionReviveProcess="terminal.integrated.persistentSessionReviveProcess",d.CustomGlyphs="terminal.integrated.customGlyphs",d.PersistentSessionScrollback="terminal.integrated.persistentSessionScrollback",d.InheritEnv="terminal.integrated.inheritEnv",d.ShowLinkHover="terminal.integrated.showLinkHover",d.IgnoreProcessNames="terminal.integrated.ignoreProcessNames",d.AutoReplies="terminal.integrated.autoReplies",d.ShellIntegrationEnabled="terminal.integrated.shellIntegration.enabled",d.ShellIntegrationShowWelcome="terminal.integrated.shellIntegration.showWelcome",d.ShellIntegrationDecorationsEnabled="terminal.integrated.shellIntegration.decorationsEnabled",d.ShellIntegrationDecorationIcon="terminal.integrated.shellIntegration.decorationIcon",d.ShellIntegrationDecorationIconError="terminal.integrated.shellIntegration.decorationIconError",d.ShellIntegrationDecorationIconSuccess="terminal.integrated.shellIntegration.decorationIconSuccess",d.ShellIntegrationCommandHistory="terminal.integrated.shellIntegration.history"})(k=e.TerminalSettingId||(e.TerminalSettingId={}));var T;(function(d){d.FileName="ptyhost"})(T=e.TerminalLogConstants||(e.TerminalLogConstants={}));var A;(function(d){d.PowerShell="pwsh",d.Bash="bash",d.Fish="fish",d.Sh="sh",d.Csh="csh",d.Ksh="ksh",d.Zsh="zsh"})(A=e.PosixShellType||(e.PosixShellType={}));var C;(function(d){d.CommandPrompt="cmd",d.PowerShell="pwsh",d.Wsl="wsl",d.GitBash="gitbash"})(C=e.WindowsShellType||(e.WindowsShellType={}));var P;(function(d){d[d.Api=0]="Api",d[d.Process=1]="Process",d[d.Sequence=2]="Sequence",d[d.Config=3]="Config"})(P=e.TitleEventSource||(e.TitleEventSource={}));var I;(function(d){d.LocalPty="localPty",d.PtyHost="ptyHost",d.Log="log",d.Heartbeat="heartbeat"})(I=e.TerminalIpcChannels||(e.TerminalIpcChannels={})),e.IPtyService=(0,R.createDecorator)("ptyService");var D;(function(d){d.Cwd="cwd",d.InitialCwd="initialCwd",d.FixedDimensions="fixedDimensions",d.Title="title",d.ShellType="shellType",d.HasChildProcesses="hasChildProcesses",d.ResolvedShellLaunchConfig="resolvedShellLaunchConfig",d.OverrideDimensions="overrideDimensions",d.FailedShellIntegrationActivation="failedShellIntegrationActivation",d.UsedShellIntegrationInjection="usedShellIntegrationInjection"})(D=e.ProcessPropertyType||(e.ProcessPropertyType={}));var b;(function(d){d[d.BeatInterval=5e3]="BeatInterval",d[d.FirstWaitMultiplier=1.2]="FirstWaitMultiplier",d[d.SecondWaitMultiplier=1]="SecondWaitMultiplier",d[d.CreateProcessTimeout=5e3]="CreateProcessTimeout"})(b=e.HeartbeatConstants||(e.HeartbeatConstants={}));var p;(function(d){d[d.Panel=1]="Panel",d[d.Editor=2]="Editor"})(p=e.TerminalLocation||(e.TerminalLocation={}));var y;(function(d){d.TerminalView="view",d.Editor="editor"})(y=e.TerminalLocationString||(e.TerminalLocationString={}));var h;(function(d){d[d.GraceTime=6e4]="GraceTime",d[d.ShortGraceTime=6e3]="ShortGraceTime"})(h=e.LocalReconnectConstants||(e.LocalReconnectConstants={}));var S;(function(d){d[d.HighWatermarkChars=1e5]="HighWatermarkChars",d[d.LowWatermarkChars=5e3]="LowWatermarkChars",d[d.CharCountAckSize=5e3]="CharCountAckSize"})(S=e.FlowControlConstants||(e.FlowControlConstants={}));var w;(function(d){d.GitBash="Git Bash",d.Pwsh="PowerShell"})(w=e.ProfileSource||(e.ProfileSource={}))}),define(re[221],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ILocalPtyService=void 0,e.ILocalPtyService=(0,R.createDecorator)("localPtyService")}),define(re[222],se([0,1,36,20,30,13,4,35,26,14,27]),function(Z,e,R,t,k,T,A,C,P,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shellIntegrationArgs=e.ShellIntegrationExecutable=e.getShellIntegrationInjection=e.findExecutable=e.getWindowsBuildNumber=void 0;function b(){const g=/(\d+)\.(\d+)\.(\d+)/g.exec(R.release());let u=0;return g&&g.length===4&&(u=parseInt(g[3])),u}e.getWindowsBuildNumber=b;async function p(g,u,r,n=C.env,i=D.Promises.exists){if(T.isAbsolute(g))return await i(g)?g:void 0;if(u===void 0&&(u=C.cwd()),T.dirname(g)!=="."){const s=T.join(u,g);return await i(s)?s:void 0}const c=(0,k.getCaseInsensitive)(n,"PATH");if(r===void 0&&(0,I.isString)(c)&&(r=c.split(T.delimiter)),r===void 0||r.length===0){const s=T.join(u,g);return await i(s)?s:void 0}for(const s of r){let l;if(T.isAbsolute(s)?l=T.join(s,g):l=T.join(u,s,g),await i(l))return l;if(A.isWindows){let f=l+".com";if(await i(f)||(f=l+".exe",await i(f)))return f}}const o=T.join(u,g);return await i(o)?o:void 0}e.findExecutable=p;function y(g,u,r){if(!u.enabled||!g.executable||g.isFeatureTerminal||g.hideFromUser||g.ignoreShellIntegration)return;const n=g.args,i=C.platform==="win32"?T.basename(g.executable).toLowerCase():T.basename(g.executable),a=T.dirname(t.FileAccess.asFileUri("",Z).fsPath);let c;const o={VSCODE_INJECTION:"1"};if(A.isWindows){if(i==="pwsh.exe")return!n||v(n)?c=e.shellIntegrationArgs.get(h.WindowsPwsh):d(n)&&(c=e.shellIntegrationArgs.get(h.WindowsPwshLogin)),c?(c&&(c=[...c],c[c.length-1]=(0,P.format)(c[c.length-1],a,"")),{newArgs:c,envMixin:o}):void 0;r.warn(`Shell integration cannot be enabled for executable "${g.executable}" and args`,g.args);return}switch(i){case"bash":return!n||n.length===0?c=e.shellIntegrationArgs.get(h.Bash):m(n)&&(o.VSCODE_SHELL_LOGIN="1",c=e.shellIntegrationArgs.get(h.Bash)),c?(c=[...c],c[c.length-1]=(0,P.format)(c[c.length-1],a),{newArgs:c,envMixin:o}):void 0;case"pwsh":return!n||v(n)?c=e.shellIntegrationArgs.get(h.Pwsh):d(n)&&(c=e.shellIntegrationArgs.get(h.PwshLogin)),c?(c=[...c],c[c.length-1]=(0,P.format)(c[c.length-1],a,""),{newArgs:c,envMixin:o}):void 0;case"zsh":{if(!n||n.length===0?c=e.shellIntegrationArgs.get(h.Zsh):m(n)?c=e.shellIntegrationArgs.get(h.ZshLogin):(n===e.shellIntegrationArgs.get(h.Zsh)||n===e.shellIntegrationArgs.get(h.ZshLogin))&&(c=n),!c)return;c=[...c],c[c.length-1]=(0,P.format)(c[c.length-1],a);const s=T.join(R.tmpdir(),"vscode-zsh");o.ZDOTDIR=s;const l=[];return l.push({source:T.join(a,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-rc.zsh"),dest:T.join(s,".zshrc")}),l.push({source:T.join(a,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-profile.zsh"),dest:T.join(s,".zprofile")}),l.push({source:T.join(a,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-env.zsh"),dest:T.join(s,".zshenv")}),l.push({source:T.join(a,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-login.zsh"),dest:T.join(s,".zlogin")}),{newArgs:c,envMixin:o,filesToCopy:l}}}r.warn(`Shell integration cannot be enabled for executable "${g.executable}" and args`,g.args)}e.getShellIntegrationInjection=y;var h;(function(g){g.WindowsPwsh="windows-pwsh",g.WindowsPwshLogin="windows-pwsh-login",g.Pwsh="pwsh",g.PwshLogin="pwsh-login",g.Zsh="zsh",g.ZshLogin="zsh-login",g.Bash="bash"})(h=e.ShellIntegrationExecutable||(e.ShellIntegrationExecutable={})),e.shellIntegrationArgs=new Map,e.shellIntegrationArgs.set(h.WindowsPwsh,["-noexit","-command",'. "{0}\\out\\vs\\workbench\\contrib\\terminal\\browser\\media\\shellIntegration.ps1"{1}']),e.shellIntegrationArgs.set(h.WindowsPwshLogin,["-l","-noexit","-command",'. "{0}\\out\\vs\\workbench\\contrib\\terminal\\browser\\media\\shellIntegration.ps1"{1}']),e.shellIntegrationArgs.set(h.Pwsh,["-noexit","-command",'. "{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration.ps1"{1}']),e.shellIntegrationArgs.set(h.PwshLogin,["-l","-noexit","-command",'. "{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration.ps1"']),e.shellIntegrationArgs.set(h.Zsh,["-i"]),e.shellIntegrationArgs.set(h.ZshLogin,["-il"]),e.shellIntegrationArgs.set(h.Bash,["--init-file","{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration-bash.sh"]);const S=["-login","-l"],w=["-nol","-nologo"];function d(g){return typeof g=="string"?S.includes(g.toLowerCase()):g.length===1&&S.includes(g[0].toLowerCase())||g.length===2&&(S.includes(g[0].toLowerCase())||S.includes(g[1].toLowerCase()))&&(w.includes(g[0].toLowerCase())||w.includes(g[1].toLowerCase()))}function v(g){return typeof g=="string"?w.includes(g.toLowerCase()):g.length===0||g?.length===1&&w.includes(g[0].toLowerCase())}function m(g){return g==="string"&&S.includes(g.toLowerCase())||typeof g!="string"&&g.length===1&&S.includes(g[0].toLowerCase())}}),define(re[223],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isDark=e.isHighContrast=e.ColorScheme=void 0;var R;(function(T){T.DARK="dark",T.LIGHT="light",T.HIGH_CONTRAST_DARK="hcDark",T.HIGH_CONTRAST_LIGHT="hcLight"})(R=e.ColorScheme||(e.ColorScheme={}));function t(T){return T===R.HIGH_CONTRAST_DARK||T===R.HIGH_CONTRAST_LIGHT}e.isHighContrast=t;function k(T){return T===R.DARK||T===R.HIGH_CONTRAST_DARK}e.isDark=k}),define(re[105],se([0,1,51,3,2,5,40,223]),function(Z,e,R,t,k,T,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,T.createDecorator)("themeService");var P;(function(w){function d(v){return v&&typeof v=="object"&&typeof v.id=="string"}w.isThemeColor=d})(P=e.ThemeColor||(e.ThemeColor={}));function I(w){return{id:w}}e.themeColorFromId=I;var D;(function(w){function d(a){return a&&typeof a=="object"&&typeof a.id=="string"&&(typeof a.color=="undefined"||P.isThemeColor(a.color))}w.isThemeIcon=d;const v=new RegExp(`^\\$\\((${R.CSSIcon.iconNameExpression}(?:${R.CSSIcon.iconModifierExpression})?)\\)$`);function m(a){const c=v.exec(a);if(!c)return;const[,o]=c;return{id:o}}w.fromString=m;function g(a){return{id:a}}w.fromId=g;function u(a,c){let o=a.id;const s=o.lastIndexOf("~");return s!==-1&&(o=o.substring(0,s)),c&&(o=`${o}~${c}`),{id:o}}w.modify=u;function r(a){const c=a.id.lastIndexOf("~");if(c!==-1)return a.id.substring(c+1)}w.getModifier=r;function n(a,c){return a.id===c.id&&a.color?.id===c.color?.id}w.isEqual=n;function i(a,c){return{id:a.id,color:c?I(c):void 0}}w.asThemeIcon=i,w.asClassNameArray=R.CSSIcon.asClassNameArray,w.asClassName=R.CSSIcon.asClassName,w.asCSSSelector=R.CSSIcon.asCSSSelector})(D=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=R.Codicon.file,e.FolderThemeIcon=R.Codicon.folder;function b(w){switch(w){case C.ColorScheme.DARK:return"vs-dark";case C.ColorScheme.HIGH_CONTRAST_DARK:return"hc-black";case C.ColorScheme.HIGH_CONTRAST_LIGHT:return"hc-light";default:return"vs"}}e.getThemeTypeSelector=b,e.Extensions={ThemingContribution:"base.contributions.theming"};class p{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new t.Emitter}onColorThemeChange(d){return this.themingParticipants.push(d),this.onThemingParticipantAddedEmitter.fire(d),(0,k.toDisposable)(()=>{const v=this.themingParticipants.indexOf(d);this.themingParticipants.splice(v,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}const y=new p;A.Registry.add(e.Extensions.ThemingContribution,y);function h(w){return y.onColorThemeChange(w)}e.registerThemingParticipant=h;class S extends k.Disposable{constructor(d){super();this.themeService=d,this.theme=d.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(v=>this.onThemeChange(v)))}onThemeChange(d){this.theme=d,this.updateStyles()}updateStyles(){}getColor(d,v){let m=this.theme.getColor(d);return m&&v&&(m=v(m,this.theme)),m?m.toString():null}}e.Themable=S}),define(re[224],se([0,1,51,8,156,105]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isUriComponents=e.terminalIconsEqual=e.terminalProfileArgsMatch=e.createProfileSchemaEnums=void 0;function A(p,y){const h=[{name:null,description:(0,k.localize)(0,null)}];return h.push(...p.map(S=>({name:S.profileName,description:C(S)}))),y&&h.push(...y.map(S=>({name:S.title,description:P(S)}))),{values:h.map(S=>S.name),markdownDescriptions:h.map(S=>S.description)}}e.createProfileSchemaEnums=A;function C(p){let y=`$(${T.ThemeIcon.isThemeIcon(p.icon)?p.icon.id:p.icon?p.icon:R.Codicon.terminal.id}) ${p.profileName}
- path: ${p.path}`;return p.args&&(typeof p.args=="string"?y+=`
- args: "${p.args}"`:y+=`
- args: [${p.args.length===0?"":`'${p.args.join("','")}'`}]`),p.overrideName!==void 0&&(y+=`
- overrideName: ${p.overrideName}`),p.color&&(y+=`
- color: ${p.color}`),p.env&&(y+=`
- env: ${JSON.stringify(p.env)}`),y}function P(p){return`$(${T.ThemeIcon.isThemeIcon(p.icon)?p.icon.id:p.icon?p.icon:R.Codicon.terminal.id}) ${p.title}
- extensionIdentifier: ${p.extensionIdentifier}`}function I(p,y){if(!p&&!y)return!0;if(typeof p=="string"&&typeof y=="string")return p===y;if(Array.isArray(p)&&Array.isArray(y)){if(p.length!==y.length)return!1;for(let h=0;h<p.length;h++)if(p[h]!==y[h])return!1;return!0}return!1}e.terminalProfileArgsMatch=I;function D(p,y){if(!p&&!y)return!0;if(!p||!y)return!1;if(T.ThemeIcon.isThemeIcon(p)&&T.ThemeIcon.isThemeIcon(y))return p.id===y.id&&p.color===y.color;if(typeof p=="object"&&p&&"light"in p&&"dark"in p&&typeof y=="object"&&y&&"light"in y&&"dark"in y){const h=p,S=y;if((t.URI.isUri(h.light)||b(h.light))&&(t.URI.isUri(h.dark)||b(h.dark))&&(t.URI.isUri(S.light)||b(S.light))&&(t.URI.isUri(S.dark)||b(S.dark)))return h.light.path===S.light.path&&h.dark.path===S.dark.path}if(t.URI.isUri(p)&&t.URI.isUri(y)||b(p)||b(y)){const h=p,S=y;return h.path===S.path&&h.scheme===S.scheme}return!1}e.terminalIconsEqual=D;function b(p){return p?typeof p.path=="string"&&typeof p.scheme=="string":!1}e.isUriComponents=b}),define(re[225],se([0,1,51,155,44,40,224]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerTerminalDefaultProfileConfiguration=e.registerTerminalPlatformConfiguration=e.terminalIconSchema=e.terminalColorSchema=void 0,e.terminalColorSchema={type:["string","null"],enum:["terminal.ansiBlack","terminal.ansiRed","terminal.ansiGreen","terminal.ansiYellow","terminal.ansiBlue","terminal.ansiMagenta","terminal.ansiCyan","terminal.ansiWhite"],default:null},e.terminalIconSchema={type:"string",enum:Array.from(R.Codicon.getAll(),g=>g.id),markdownEnumDescriptions:Array.from(R.Codicon.getAll(),g=>`$(${g.id})`)};const C={args:{description:(0,t.localize)(0,null),type:"array",items:{type:"string"}},overrideName:{description:(0,t.localize)(1,null),type:"boolean"},icon:{description:(0,t.localize)(2,null),...e.terminalIconSchema},color:{description:(0,t.localize)(3,null),...e.terminalColorSchema},env:{markdownDescription:(0,t.localize)(4,null),type:"object",additionalProperties:{type:["string","null"]},default:{}}},P={type:"object",required:["path"],properties:{path:{description:(0,t.localize)(5,null),type:["string","array"],items:{type:"string"}},...C}},I={type:"object",required:["path"],properties:{path:{description:(0,t.localize)(6,null),type:["string"],items:{type:"string"}},...C}},D=(0,t.localize)(7,null,"`#terminal.integrated.profiles.linux#`","`#terminal.integrated.defaultProfile.linux#`"),b=(0,t.localize)(8,null,"`#terminal.integrated.profiles.osx#`","`#terminal.integrated.defaultProfile.osx#`"),p=(0,t.localize)(9,null,"`#terminal.integrated.profiles.windows#`","`#terminal.integrated.defaultProfile.windows#`"),y=(0,t.localize)(10,null,"`#terminal.integrated.automationProfile.linux#`"),h=(0,t.localize)(11,null,"`#terminal.integrated.automationProfile.osx#`"),S=(0,t.localize)(12,null,"`#terminal.integrated.automationProfile.windows#`"),w={id:"terminal",order:100,title:(0,t.localize)(13,null),type:"object",properties:{["terminal.integrated.automationShell.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(14,null,"`terminal.integrated.shell.linux`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:y},["terminal.integrated.automationShell.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(15,null,"`terminal.integrated.shell.osx`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:h},["terminal.integrated.automationShell.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(16,null,"`terminal.integrated.shell.windows`","`shellArgs`"),type:["string","null"],default:null,markdownDeprecationMessage:S},["terminal.integrated.automationProfile.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(17,null,"`#terminal.integrated.automationShell.linux#`"),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(18,null,"`#terminal.integrated.automationShell.osx#`"),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.automationProfile.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(19,null,"`#terminal.integrated.automationShell.windows#`"),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},["terminal.integrated.shell.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(20,null),type:["string","null"],default:null,markdownDeprecationMessage:D},["terminal.integrated.shell.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(21,null),type:["string","null"],default:null,markdownDeprecationMessage:b},["terminal.integrated.shell.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(22,null),type:["string","null"],default:null,markdownDeprecationMessage:p},["terminal.integrated.shellArgs.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(23,null),type:"array",items:{type:"string"},default:[],markdownDeprecationMessage:D},["terminal.integrated.shellArgs.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(24,null),type:"array",items:{type:"string"},default:["-l"],markdownDeprecationMessage:b},["terminal.integrated.shellArgs.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(25,null),anyOf:[{type:"array",items:{type:"string",markdownDescription:(0,t.localize)(26,null)}},{type:"string",markdownDescription:(0,t.localize)(27,null)}],default:[],markdownDeprecationMessage:p},["terminal.integrated.profiles.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(28,null,"`source`","`path`","`args`","`null`",'`"Ubuntu-20.04 (WSL)": null`'),type:"object",default:{PowerShell:{source:"PowerShell",icon:"terminal-powershell"},"Command Prompt":{path:["${env:windir}\\Sysnative\\cmd.exe","${env:windir}\\System32\\cmd.exe"],args:[],icon:"terminal-cmd"},"Git Bash":{source:"Git Bash"}},additionalProperties:{anyOf:[{type:"object",required:["source"],properties:{source:{description:(0,t.localize)(29,null),enum:["PowerShell","Git Bash"]},...C}},{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,t.localize)(30,null),type:"string"},id:{description:(0,t.localize)(31,null),type:"string"},title:{description:(0,t.localize)(32,null),type:"string"},...C}},{type:"null"},P]}},["terminal.integrated.profiles.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(33,null,"`path`","`args`","`null`",'`"bash": null`'),type:"object",default:{bash:{path:"bash",args:["-l"],icon:"terminal-bash"},zsh:{path:"zsh",args:["-l"]},fish:{path:"fish",args:["-l"]},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,t.localize)(34,null),type:"string"},id:{description:(0,t.localize)(35,null),type:"string"},title:{description:(0,t.localize)(36,null),type:"string"},...C}},{type:"null"},P]}},["terminal.integrated.profiles.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(37,null,"`path`","`args`","`null`",'`"bash": null`'),type:"object",default:{bash:{path:"bash",icon:"terminal-bash"},zsh:{path:"zsh"},fish:{path:"fish"},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,t.localize)(38,null),type:"string"},id:{description:(0,t.localize)(39,null),type:"string"},title:{description:(0,t.localize)(40,null),type:"string"},...C}},{type:"null"},P]}},["terminal.integrated.useWslProfiles"]:{description:(0,t.localize)(41,null),type:"boolean",default:!0},["terminal.integrated.inheritEnv"]:{scope:1,description:(0,t.localize)(42,null),type:"boolean",default:!0},["terminal.integrated.persistentSessionScrollback"]:{scope:1,markdownDescription:(0,t.localize)(43,null),type:"number",default:100},["terminal.integrated.showLinkHover"]:{scope:1,description:(0,t.localize)(44,null),type:"boolean",default:!0},["terminal.integrated.ignoreProcessNames"]:{description:(0,t.localize)(45,null,"`terminal.integrated.confirmOnKill`"),type:"array",items:{type:"string",uniqueItems:!0},default:["starship","oh-my-posh","bash","zsh"]}}};function d(){T.Registry.as(k.Extensions.Configuration).registerConfiguration(w),m()}e.registerTerminalPlatformConfiguration=d;let v;function m(g,u){const r=T.Registry.as(k.Extensions.Configuration);let n;g&&(n=(0,A.createProfileSchemaEnums)(g?.profiles,u));const i=v;v={id:"terminal",order:100,title:(0,t.localize)(46,null),type:"object",properties:{["terminal.integrated.defaultProfile.linux"]:{restricted:!0,markdownDescription:(0,t.localize)(47,null,"`terminal.integrated.shell.linux`","`terminal.integrated.shellArgs.linux`"),type:["string","null"],default:null,enum:g?.os===3?n?.values:void 0,markdownEnumDescriptions:g?.os===3?n?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.osx"]:{restricted:!0,markdownDescription:(0,t.localize)(48,null,"`terminal.integrated.shell.osx`","`terminal.integrated.shellArgs.osx`"),type:["string","null"],default:null,enum:g?.os===2?n?.values:void 0,markdownEnumDescriptions:g?.os===2?n?.markdownDescriptions:void 0},["terminal.integrated.defaultProfile.windows"]:{restricted:!0,markdownDescription:(0,t.localize)(49,null,"`terminal.integrated.shell.windows`","`terminal.integrated.shellArgs.windows`"),type:["string","null"],default:null,enum:g?.os===1?n?.values:void 0,markdownEnumDescriptions:g?.os===1?n?.markdownDescriptions:void 0}}},r.updateConfigurations({add:[v],remove:i?[i]:[]})}e.registerTerminalDefaultProfileConfiguration=m}),define(re[226],se([0,1,47,51,13,4,27,82,222,105]),function(Z,e,R,t,k,T,A,C,P,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.detectAvailableProfiles=void 0;let D,b=!0;function p(n,i,a,c,o=process.env,s,l,f,E){return s=s||{existsFile:A.SymlinkSupport.existsFile,readFile:A.Promises.readFile},T.isWindows?y(a,s,o,l,c.getValue("terminal.integrated.useWslProfiles")!==!1,n&&typeof n=="object"?{...n}:c.getValue("terminal.integrated.profiles.windows"),typeof i=="string"?i:c.getValue("terminal.integrated.defaultProfile.windows"),E,f):g(s,l,a,n&&typeof n=="object"?{...n}:c.getValue(T.isLinux?"terminal.integrated.profiles.linux":"terminal.integrated.profiles.osx"),typeof i=="string"?i:c.getValue(T.isLinux?"terminal.integrated.defaultProfile.linux":"terminal.integrated.defaultProfile.osx"),E,f,o)}e.detectAvailableProfiles=p;async function y(n,i,a,c,o,s,l,f,E){const U=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),_=`${process.env.windir}\\${U?"Sysnative":"System32"}`;let N=!1;(0,P.getWindowsBuildNumber)()>=16299&&(N=!0),await w(f);const L=new Map;n&&(L.set("PowerShell",{source:"PowerShell",icon:t.Codicon.terminalPowershell,isAutoDetected:!0}),L.set("Windows PowerShell",{path:`${_}\\WindowsPowerShell\\v1.0\\powershell.exe`,icon:t.Codicon.terminalPowershell,isAutoDetected:!0}),L.set("Git Bash",{source:"Git Bash",isAutoDetected:!0}),L.set("Cygwin",{path:[`${process.env.HOMEDRIVE}\\cygwin64\\bin\\bash.exe`,`${process.env.HOMEDRIVE}\\cygwin\\bin\\bash.exe`],args:["--login"],isAutoDetected:!0}),L.set("Command Prompt",{path:`${_}\\cmd.exe`,icon:t.Codicon.terminalCmd,isAutoDetected:!0})),u(s,L);const M=await h(L.entries(),l,i,a,c,E);if(n||!n&&o)try{const O=await v(`${_}\\${N?"wsl":"bash"}.exe`,l);for(const H of O)(!s||!(H.profileName in s))&&M.push(H)}catch{b&&(c?.info("WSL is not installed, so could not detect WSL profiles"),b=!1)}return M}async function h(n,i,a,c=process.env,o,s){const l=[];for(const[f,E]of n){if(E===null)continue;let U,_,N;if("source"in E){const O=D?.get(E.source);if(!O)continue;U=O.paths,_=E.args||O.args,E.icon?N=S(E.icon):O.icon&&(N=O.icon)}else U=Array.isArray(E.path)?E.path:[E.path],_=T.isWindows||Array.isArray(E.args)?E.args:void 0,N=S(E.icon);const L=await s?.(U)||U.slice(),M=await r(f,i,L,a,c,_,E.env,E.overrideName,E.isAutoDetected,o);M?(M.isAutoDetected=E.isAutoDetected,M.icon=N,M.color=E.color,l.push(M)):o?.debug("Terminal profile not validated",f,U)}return o?.debug("Validated terminal profiles",l),l}function S(n){return typeof n=="string"?{id:n}:n}async function w(n){D&&!n||(D=new Map,D.set("Git Bash",{profileName:"Git Bash",paths:[`${process.env.ProgramW6432}\\Git\\bin\\bash.exe`,`${process.env.ProgramW6432}\\Git\\usr\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\usr\\bin\\bash.exe`,`${process.env.LocalAppData}\\Programs\\Git\\bin\\bash.exe`,`${process.env.UserProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`,`${process.env.AllUsersProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`],args:["--login"]}),D.set("PowerShell",{profileName:"PowerShell",paths:n||await d(),icon:I.ThemeIcon.asThemeIcon(t.Codicon.terminalPowershell)}))}async function d(){const n=[];for await(const i of(0,C.enumeratePowerShellInstallations)())n.push(i.exePath);return n}async function v(n,i){const a=[],c=await new Promise((l,f)=>{R.exec("wsl.exe -l -q",{encoding:"utf16le",timeout:1e3},(E,U)=>{if(E)return f("Problem occurred when getting wsl distros");l(U)})});if(!c)return[];const o=new RegExp(/[\r?\n]/),s=c.split(o).filter(l=>l.trim().length>0&&l!=="");for(const l of s){if(l===""||l.startsWith("docker-desktop"))continue;const f=`${l} (WSL)`,E={profileName:f,path:n,args:["-d",`${l}`],isDefault:f===i,icon:m(l),isAutoDetected:!1};a.push(E)}return a}function m(n){return n.includes("Ubuntu")?I.ThemeIcon.asThemeIcon(t.Codicon.terminalUbuntu):n.includes("Debian")?I.ThemeIcon.asThemeIcon(t.Codicon.terminalDebian):I.ThemeIcon.asThemeIcon(t.Codicon.terminalLinux)}async function g(n,i,a,c,o,s,l,f){const E=new Map;if(a){const U=(await n.readFile("/etc/shells")).toString(),_=s||U.split(`
`).filter(L=>L.trim().indexOf("#")!==0&&L.trim().length>0),N=new Map;for(const L of _){let M=(0,k.basename)(L),O=N.get(M)||0;O++,O>1&&(M=`${M} (${O})`),N.set(M,O),E.set(M,{path:L,isAutoDetected:!0})}}return u(c,E),await h(E.entries(),o,n,f,i,l)}function u(n,i){if(!!n)for(const[a,c]of Object.entries(n))c===null||!("path"in c)&&!("source"in c)?i.delete(a):(c.icon=c.icon||i.get(a)?.icon,i.set(a,c))}async function r(n,i,a,c,o,s,l,f,E,U){if(a.length===0)return Promise.resolve(void 0);const _=a.shift();if(_==="")return r(n,i,a,c,o,s,l,f,E);const N={profileName:n,path:_,args:s,env:l,overrideName:f,isAutoDetected:E,isDefault:n===i};if((0,k.basename)(_)===_){const M=o.PATH?o.PATH.split(k.delimiter):void 0,O=await(0,P.findExecutable)(_,void 0,M,void 0,c.existsFile);return O?(N.path=O,N.isFromPath=!0,N):r(n,i,a,c,o,s)}return await c.existsFile((0,k.normalize)(_))?N:r(n,i,a,c,o,s,l,f,E)}}),define(re[227],se([0,1,3,2,20,4,39,64,19,15,87,211,7,95,220,104,225,226]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PtyHostService=void 0;var v;(function(u){u[u.MaxRestarts=5]="MaxRestarts"})(v||(v={}));let m=0,g=class extends t.Disposable{constructor(r,n,i,a){super();this._reconnectConstants=r,this._configurationService=n,this._environmentService=i,this._logService=a,this._restartCount=0,this._isResponsive=!0,this._isDisposed=!1,this._onPtyHostExit=this._register(new R.Emitter),this.onPtyHostExit=this._onPtyHostExit.event,this._onPtyHostStart=this._register(new R.Emitter),this.onPtyHostStart=this._onPtyHostStart.event,this._onPtyHostUnresponsive=this._register(new R.Emitter),this.onPtyHostUnresponsive=this._onPtyHostUnresponsive.event,this._onPtyHostResponsive=this._register(new R.Emitter),this.onPtyHostResponsive=this._onPtyHostResponsive.event,this._onPtyHostRequestResolveVariables=this._register(new R.Emitter),this.onPtyHostRequestResolveVariables=this._onPtyHostRequestResolveVariables.event,this._onProcessData=this._register(new R.Emitter),this.onProcessData=this._onProcessData.event,this._onProcessReady=this._register(new R.Emitter),this.onProcessReady=this._onProcessReady.event,this._onProcessReplay=this._register(new R.Emitter),this.onProcessReplay=this._onProcessReplay.event,this._onProcessOrphanQuestion=this._register(new R.Emitter),this.onProcessOrphanQuestion=this._onProcessOrphanQuestion.event,this._onDidRequestDetach=this._register(new R.Emitter),this.onDidRequestDetach=this._onDidRequestDetach.event,this._onDidChangeProperty=this._register(new R.Emitter),this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=this._register(new R.Emitter),this.onProcessExit=this._onProcessExit.event,(0,w.registerTerminalPlatformConfiguration)(),this._shellEnv=this._resolveShellEnv(),this._register((0,t.toDisposable)(()=>this._disposePtyHost())),this._resolveVariablesRequestStore=this._register(new h.RequestStore(void 0,this._logService)),this._resolveVariablesRequestStore.onCreateRequest(this._onPtyHostRequestResolveVariables.fire,this._onPtyHostRequestResolveVariables),[this._client,this._proxy]=this._startPtyHost(),this._register(this._configurationService.onDidChangeConfiguration(async c=>{c.affectsConfiguration("terminal.integrated.ignoreProcessNames")&&await this._refreshIgnoreProcessNames()}))}initialize(){this._refreshIgnoreProcessNames()}get _ignoreProcessNames(){return this._configurationService.getValue("terminal.integrated.ignoreProcessNames")}async _refreshIgnoreProcessNames(){return this._proxy.refreshIgnoreProcessNames?.(this._ignoreProcessNames)}async _resolveShellEnv(){if(T.isWindows)return process.env;try{return await(0,b.getResolvedShellEnv)(this._logService,{_:[]},process.env)}catch(r){return this._logService.error("ptyHost was unable to resolve shell environment",r),{}}}_startPtyHost(){const r={serverName:"Pty Host",args:["--type=ptyHost","--logsPath",this._environmentService.logsPath],env:{VSCODE_LAST_PTY_ID:m,VSCODE_AMD_ENTRYPOINT:"vs/platform/terminal/node/ptyHostMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true",VSCODE_RECONNECT_GRACE_TIME:this._reconnectConstants.graceTime,VSCODE_RECONNECT_SHORT_GRACE_TIME:this._reconnectConstants.shortGraceTime,VSCODE_RECONNECT_SCROLLBACK:this._reconnectConstants.scrollback}},n=(0,D.parsePtyHostPort)(this._environmentService.args,this._environmentService.isBuilt);n&&(n.break&&n.port?r.debugBrk=n.port:!n.break&&n.port&&(r.debug=n.port));const i=new C.Client(k.FileAccess.asFileUri("bootstrap-fork",Z).fsPath,r);this._onPtyHostStart.fire(),A.ProxyChannel.toService(i.getChannel(S.TerminalIpcChannels.Heartbeat)).onBeat(()=>this._handleHeartbeat()),this._handleHeartbeat(),this._register(i.onDidProcessExit(s=>{this._onPtyHostExit.fire(s.code),this._isDisposed||(this._restartCount<=v.MaxRestarts?(this._logService.error(`ptyHost terminated unexpectedly with code ${s.code}`),this._restartCount++,this.restartPtyHost()):this._logService.error(`ptyHost terminated unexpectedly with code ${s.code}, giving up`))}));const c=i.getChannel(S.TerminalIpcChannels.Log);y.LogLevelChannelClient.setLevel(c,this._logService.getLevel()),this._register(this._logService.onDidChangeLogLevel(()=>{y.LogLevelChannelClient.setLevel(c,this._logService.getLevel())}));const o=A.ProxyChannel.toService(i.getChannel(S.TerminalIpcChannels.PtyHost));return this._register(o.onProcessData(s=>this._onProcessData.fire(s))),this._register(o.onProcessReady(s=>this._onProcessReady.fire(s))),this._register(o.onProcessExit(s=>this._onProcessExit.fire(s))),this._register(o.onDidChangeProperty(s=>this._onDidChangeProperty.fire(s))),this._register(o.onProcessReplay(s=>this._onProcessReplay.fire(s))),this._register(o.onProcessOrphanQuestion(s=>this._onProcessOrphanQuestion.fire(s))),this._register(o.onDidRequestDetach(s=>this._onDidRequestDetach.fire(s))),[i,o]}dispose(){this._isDisposed=!0,super.dispose()}async createProcess(r,n,i,a,c,o,s,l,f,E,U){const _=setTimeout(()=>this._handleUnresponsiveCreateProcess(),S.HeartbeatConstants.CreateProcessTimeout),N=await this._proxy.createProcess(r,n,i,a,c,o,s,l,f,E,U);return clearTimeout(_),m=Math.max(m,N),N}updateTitle(r,n,i){return this._proxy.updateTitle(r,n,i)}updateIcon(r,n,i){return this._proxy.updateIcon(r,n,i)}attachToProcess(r){return this._proxy.attachToProcess(r)}detachFromProcess(r){return this._proxy.detachFromProcess(r)}listProcesses(){return this._proxy.listProcesses()}reduceConnectionGraceTime(){return this._proxy.reduceConnectionGraceTime()}start(r){return this._proxy.start(r)}shutdown(r,n){return this._proxy.shutdown(r,n)}input(r,n){return this._proxy.input(r,n)}processBinary(r,n){return this._proxy.processBinary(r,n)}resize(r,n,i){return this._proxy.resize(r,n,i)}acknowledgeDataEvent(r,n){return this._proxy.acknowledgeDataEvent(r,n)}setUnicodeVersion(r,n){return this._proxy.setUnicodeVersion(r,n)}getInitialCwd(r){return this._proxy.getInitialCwd(r)}getCwd(r){return this._proxy.getCwd(r)}getLatency(r){return this._proxy.getLatency(r)}orphanQuestionReply(r){return this._proxy.orphanQuestionReply(r)}installAutoReply(r,n){return this._proxy.installAutoReply(r,n)}uninstallAllAutoReplies(){return this._proxy.uninstallAllAutoReplies()}uninstallAutoReply(r){return this._proxy.uninstallAutoReply(r)}getDefaultSystemShell(r){return this._proxy.getDefaultSystemShell(r)}async getProfiles(r,n,i,a=!1){const c=await this._shellEnv;return(0,d.detectAvailableProfiles)(n,i,a,this._configurationService,c,void 0,this._logService,this._resolveVariables.bind(this,r))}getEnvironment(){return this._proxy.getEnvironment()}getWslPath(r){return this._proxy.getWslPath(r)}getRevivedPtyNewId(r){return this._proxy.getRevivedPtyNewId(r)}setTerminalLayoutInfo(r){return this._proxy.setTerminalLayoutInfo(r)}async getTerminalLayoutInfo(r){return await this._proxy.getTerminalLayoutInfo(r)}async requestDetachInstance(r,n){return this._proxy.requestDetachInstance(r,n)}async acceptDetachInstanceReply(r,n){return this._proxy.acceptDetachInstanceReply(r,n)}async serializeTerminalState(r){return this._proxy.serializeTerminalState(r)}async reviveTerminalProcesses(r,n){return this._proxy.reviveTerminalProcesses(r,n)}async refreshProperty(r,n){return this._proxy.refreshProperty(r,n)}async updateProperty(r,n,i){return this._proxy.updateProperty(r,n,i)}async restartPtyHost(){this._isResponsive=!0,this._disposePtyHost(),[this._client,this._proxy]=this._startPtyHost()}_disposePtyHost(){this._proxy.shutdownAll?.(),this._client.dispose()}_handleHeartbeat(){this._clearHeartbeatTimeouts(),this._heartbeatFirstTimeout=setTimeout(()=>this._handleHeartbeatFirstTimeout(),S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier),this._isResponsive||(this._isResponsive=!0,this._onPtyHostResponsive.fire())}_handleHeartbeatFirstTimeout(){this._logService.warn(`No ptyHost heartbeat after ${S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier/1e3} seconds`),this._heartbeatFirstTimeout=void 0,this._heartbeatSecondTimeout=setTimeout(()=>this._handleHeartbeatSecondTimeout(),S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.SecondWaitMultiplier)}_handleHeartbeatSecondTimeout(){this._logService.error(`No ptyHost heartbeat after ${(S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier+S.HeartbeatConstants.BeatInterval*S.HeartbeatConstants.FirstWaitMultiplier)/1e3} seconds`),this._heartbeatSecondTimeout=void 0,this._isResponsive&&(this._isResponsive=!1,this._onPtyHostUnresponsive.fire())}_handleUnresponsiveCreateProcess(){this._clearHeartbeatTimeouts(),this._logService.error(`No ptyHost response to createProcess after ${S.HeartbeatConstants.CreateProcessTimeout/1e3} seconds`),this._isResponsive&&(this._isResponsive=!1,this._onPtyHostUnresponsive.fire())}_clearHeartbeatTimeouts(){this._heartbeatFirstTimeout&&(clearTimeout(this._heartbeatFirstTimeout),this._heartbeatFirstTimeout=void 0),this._heartbeatSecondTimeout&&(clearTimeout(this._heartbeatSecondTimeout),this._heartbeatSecondTimeout=void 0)}_resolveVariables(r,n){return this._resolveVariablesRequestStore.createRequest({workspaceId:r,originalText:n})}async acceptPtyHostResolvedVariables(r,n){this._resolveVariablesRequestStore.acceptReply(r,n)}};g=fe([Q(1,P.IConfigurationService),Q(2,I.IEnvironmentService),Q(3,p.ILogService)],g),e.PtyHostService=g}),define(re[69],se([0,1,3,4,5,7]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.DisposableTunnel=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,k.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,k.createDecorator)("sharedTunnelsService");var A;(function(S){S.Http="http",S.Https="https"})(A=e.TunnelProtocol||(e.TunnelProtocol={}));var C;(function(S){S.ConstantPrivate="constantPrivate",S.Private="private",S.Public="public"})(C=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var P;(function(S){S[S.Notify=1]="Notify",S[S.OpenBrowser=2]="OpenBrowser",S[S.OpenPreview=3]="OpenPreview",S[S.Silent=4]="Silent",S[S.Ignore=5]="Ignore",S[S.OpenBrowserOnce=6]="OpenBrowserOnce"})(P=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function I(S){if(S.scheme!=="http"&&S.scheme!=="https")return;const w=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(S.authority);if(!!w)return{address:w[1],port:+w[2]}}e.extractLocalHostUriMetaDataForPortMapping=I,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function D(S){return e.LOCALHOST_ADDRESSES.indexOf(S)>=0}e.isLocalhost=D,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function b(S){return e.ALL_INTERFACES_ADDRESSES.indexOf(S)>=0}e.isAllInterfaces=b;function p(S,w){return w?w!==1&&S<1024:!t.isWindows&&S<1024}e.isPortPrivileged=p;class y{constructor(w,d,v){this.remoteAddress=w,this.localAddress=d,this._dispose=v,this._onDispose=new R.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}e.DisposableTunnel=y;let h=class{constructor(w){this.logService=w,this._onTunnelOpened=new R.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new R.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new R.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[],this._factoryInProgress=new Set}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(w){return this._tunnelProvider=w,w?(this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}setTunnelFeatures(w){this._canElevate=w.elevation,this._privacyOptions=w.privacyOptions}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const w=[],d=Array.from(this._tunnels.values());for(const v of d){const m=Array.from(v.values());for(const g of m){const u=await g.value;u&&w.push(u)}}return w}async dispose(){for(const w of this._tunnels.values()){for(const{value:d}of w.values())await d.then(v=>v?.dispose());w.clear()}this._tunnels.clear()}openTunnel(w,d,v,m,g=!1,u,r){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${d}:${v} on local port ${m}.`),!w)return;if(d||(d="localhost"),this._tunnelProvider&&this._factoryInProgress.has(v)){this.logService.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const n=this.retainOrCreateTunnel(w,d,v,m,g,u,r);return n?n.then(i=>{if(!i){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(d,v);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const a=this.makeTunnel(i);return(i.tunnelRemoteHost!==d||i.tunnelRemotePort!==v)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(a),a}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),n)}makeTunnel(w){return{tunnelRemotePort:w.tunnelRemotePort,tunnelRemoteHost:w.tunnelRemoteHost,tunnelLocalPort:w.tunnelLocalPort,localAddress:w.localAddress,privacy:w.privacy,protocol:w.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${w.tunnelRemoteHost}:${w.tunnelRemotePort} `);const d=this._tunnels.get(w.tunnelRemoteHost);if(d){const v=d.get(w.tunnelRemotePort);v&&(v.refcount--,await this.tryDisposeTunnel(w.tunnelRemoteHost,w.tunnelRemotePort,v))}}}}async tryDisposeTunnel(w,d,v){if(v.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${w}:${d}.`);const m=v.value.then(async g=>{g&&(await g.dispose(!0),this._onTunnelClosed.fire({host:g.tunnelRemoteHost,port:g.tunnelRemotePort}))});return this._tunnels.has(w)&&this._tunnels.get(w).delete(d),m}}async closeTunnel(w,d){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${w}:${d} `);const v=this._tunnels.get(w);if(v&&v.has(d)){const m=v.get(d);m.refcount=0,await this.tryDisposeTunnel(w,d,m)}}addTunnelToMap(w,d,v){this._tunnels.has(w)||this._tunnels.set(w,new Map),this._tunnels.get(w).set(d,{refcount:1,value:v})}async removeEmptyTunnelFromMap(w,d){const v=this._tunnels.get(w);v&&(await v.get(d)||v.delete(d),v.size===0&&this._tunnels.delete(w))}getTunnelFromMap(w,d){const v=[w];D(w)?(v.push(...e.LOCALHOST_ADDRESSES),v.push(...e.ALL_INTERFACES_ADDRESSES)):b(w)&&v.push(...e.ALL_INTERFACES_ADDRESSES);const m=v.map(g=>this._tunnels.get(g));for(const g of m){const u=g?.get(d);if(u)return u}}canTunnel(w){return!!I(w)}createWithProvider(w,d,v,m,g,u,r){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${d}:${v} on local port ${m}.`);const n=v;this._factoryInProgress.add(n);const a={elevationRequired:g?p(m===void 0?v:m):!1},c={remoteAddress:{host:d,port:v},localAddressPort:m,privacy:u,public:u?u!==C.Private:void 0,protocol:r},o=w.forwardPort(c,a);return o?(this.addTunnelToMap(d,v,o),o.finally(()=>{this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this._factoryInProgress.delete(n)})):this._factoryInProgress.delete(n),o}};h=fe([Q(0,T.ILogService)],h),e.AbstractTunnelService=h}),define(re[228],se([0,1,7,69,2,9,6]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcessTunnelService=void 0;class C extends k.Disposable{constructor(){super();this._address=null,this._addressPromise=null}async getAddress(){return this._address?this._address:(this._addressPromise||(this._addressPromise=new A.DeferredPromise),this._addressPromise.p)}setAddress(D){this._address=D,this._addressPromise&&(this._addressPromise.complete(D),this._addressPromise=null)}setTunnel(D){this._register(D)}}let P=class Ct extends k.Disposable{constructor(D,b){super();this._tunnelService=D,this._logService=b,this._tunnels=new Map,this._disposedTunnels=new Set}dispose(){super.dispose(),this._tunnels.forEach(D=>D.dispose())}async createTunnel(){return{id:String(++Ct._lastId)}}async startTunnel(D,b,p,y,h,S){const w=new C,d=await Promise.resolve(this._tunnelService.openTunnel(D,w,p,y,h,S));if(!d)throw this._logService.info(`[SharedProcessTunnelService] Could not create a tunnel to ${p}:${y} (remote).`),w.dispose(),new Error("Could not create tunnel");if(this._disposedTunnels.has(b))throw this._disposedTunnels.delete(b),w.dispose(),await d.dispose(),(0,T.canceled)();return w.setTunnel(d),this._tunnels.set(b,w),this._logService.info(`[SharedProcessTunnelService] Created tunnel ${b}: ${d.localAddress} (local) to ${p}:${y} (remote).`),{tunnelLocalPort:d.tunnelLocalPort,localAddress:d.localAddress}}async setAddress(D,b){const p=this._tunnels.get(D);!p||p.setAddress(b)}async destroyTunnel(D){const b=this._tunnels.get(D);if(b){this._logService.info(`[SharedProcessTunnelService] Disposing tunnel ${D}.`),this._tunnels.delete(D),await b.dispose();return}this._disposedTunnels.add(D)}};P._lastId=0,P=fe([Q(0,t.ISharedTunnelsService),Q(1,R.ILogService)],P),e.SharedProcessTunnelService=P}),define(re[229],se([0,1,76,115,204,6,2,19,7,24,202,69,100]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedTunnelsService=e.TunnelService=e.BaseTunnelService=void 0;async function y(v,m,g,u,r){let n;for(let i=3;i&&(n&&n.dispose(),n=await new h(v,m,g,u,r).waitForReady(),!(r&&t.BROWSER_RESTRICTED_PORTS[r]||!t.BROWSER_RESTRICTED_PORTS[n.tunnelLocalPort]));i--);return n}class h extends A.Disposable{constructor(m,g,u,r,n){super();this.defaultTunnelHost=g,this.suggestedLocalPort=n,this.privacy=b.TunnelPrivacyId.Private,this._socketsDispose=new Map,this._options=m,this._server=R.createServer(),this._barrier=new T.Barrier,this._listeningListener=()=>this._barrier.open(),this._server.on("listening",this._listeningListener),this._connectionListener=i=>this._onConnection(i),this._server.on("connection",this._connectionListener),this._errorListener=()=>{},this._server.on("error",this._errorListener),this.tunnelRemotePort=r,this.tunnelRemoteHost=u}async dispose(){super.dispose(),this._server.removeListener("listening",this._listeningListener),this._server.removeListener("connection",this._connectionListener),this._server.removeListener("error",this._errorListener),this._server.close(),Array.from(this._socketsDispose.values()).forEach(g=>{g()})}async waitForReady(){let m=await(0,t.findFreePortFaster)(this.suggestedLocalPort??this.tunnelRemotePort,2,1e3),g=null;return this._server.listen(m,this.defaultTunnelHost),await this._barrier.wait(),g=this._server.address(),g||(m=0,this._server.listen(m,this.defaultTunnelHost),await this._barrier.wait(),g=this._server.address()),this.tunnelLocalPort=g.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${g.port}`,this}async _onConnection(m){m.pause();const g=(0,b.isLocalhost)(this.tunnelRemoteHost)||(0,b.isAllInterfaces)(this.tunnelRemoteHost)?"localhost":this.tunnelRemoteHost,u=await(0,D.connectRemoteAgentTunnel)(this._options,g,this.tunnelRemotePort),r=u.getSocket().socket,n=u.readEntireBuffer();u.dispose(),n.byteLength>0&&m.write(n.buffer),m.on("end",()=>{m.localAddress&&this._socketsDispose.delete(m.localAddress),r.end()}),m.on("close",()=>r.end()),m.on("error",()=>{m.localAddress&&this._socketsDispose.delete(m.localAddress),r.destroy()}),r.on("end",()=>m.end()),r.on("close",()=>m.end()),r.on("error",()=>{m.destroy()}),m.pipe(r),r.pipe(m),m.localAddress&&this._socketsDispose.set(m.localAddress,()=>{m.end(),r.end()})}}let S=class extends b.AbstractTunnelService{constructor(m,g,u,r,n){super(g);this.socketFactory=m,this.signService=u,this.productService=r,this.configurationService=n}get defaultTunnelHost(){const m=this.configurationService.getValue("remote.localPortHost");return!m||m==="localhost"?"127.0.0.1":"0.0.0.0"}retainOrCreateTunnel(m,g,u,r,n,i,a){const c=this.getTunnelFromMap(g,u);if(c)return++c.refcount,c.value;if(this._tunnelProvider)return this.createWithProvider(this._tunnelProvider,g,u,r,n,i,a);{this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${g}:${u} on local port ${r}.`);const o={commit:this.productService.commit,quality:this.productService.quality,socketFactory:this.socketFactory,addressProvider:m,signService:this.signService,logService:this.logService,ipcLogger:null},s=y(o,this.defaultTunnelHost,g,u,r);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.addTunnelToMap(g,u,s),s}}};S=fe([Q(1,P.ILogService),Q(2,p.ISignService),Q(3,I.IProductService),Q(4,C.IConfigurationService)],S),e.BaseTunnelService=S;let w=class extends S{constructor(m,g,u,r){super(k.nodeSocketFactory,m,g,u,r)}};w=fe([Q(0,P.ILogService),Q(1,p.ISignService),Q(2,I.IProductService),Q(3,C.IConfigurationService)],w),e.TunnelService=w;let d=class extends A.Disposable{constructor(m,g,u,r){super();this.logService=m,this.productService=g,this.signService=u,this.configurationService=r,this._tunnelServices=new Map}async openTunnel(m,g,u,r,n,i,a,c){if(this.logService.trace(`ForwardedPorts: (SharedTunnelService) openTunnel request for ${u}:${r} on local port ${n}.`),!this._tunnelServices.has(m)){const o=new w(this.logService,this.signService,this.productService,this.configurationService);this._register(o),this._tunnelServices.set(m,o),o.onTunnelClosed(async()=>{(await o.tunnels).length===0&&(o.dispose(),this._tunnelServices.delete(m))})}return this._tunnelServices.get(m).openTunnel(g,u,r,n,i,a,c)}};d=fe([Q(0,P.ILogService),Q(1,I.IProductService),Q(2,p.ISignService),Q(3,C.IConfigurationService)],d),e.SharedTunnelsService=d}),define(re[33],se([0,1,5]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUriIdentityService=void 0,e.IUriIdentityService=(0,R.createDecorator)("IUriIdentityService")}),define(re[230],se([0,1,3,2,8,15,32,10,7,33]),function(Z,e,R,t,k,T,A,C,P,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsWatcher=void 0;let D=class extends t.Disposable{constructor(p,y,h,S,w){super();this.extensionsManagementService=p,this.logService=S,this.uriIdentityService=w,this._onDidChangeExtensionsByAnotherSource=this._register(new R.Emitter),this.onDidChangeExtensionsByAnotherSource=this._onDidChangeExtensionsByAnotherSource.event,this.startTimestamp=0,this.installingExtensions=[],this.extensionsManagementService.getInstalled().then(v=>{this.installedExtensions=v.map(m=>m.identifier),this.startTimestamp=Date.now()}),this._register(p.onInstallExtension(v=>this.onInstallExtension(v))),this._register(p.onDidInstallExtensions(v=>this.onDidInstallExtensions(v))),this._register(p.onDidUninstallExtension(v=>this.onDidUninstallExtension(v)));const d=k.URI.file(h.extensionsPath);this._register(y.watch(d)),this._register(R.Event.filter(y.onDidFilesChange,v=>v.rawChanges.some(m=>this.doesChangeAffects(m,d)))(()=>this.onDidChange()))}doesChangeAffects(p,y){return p.type!==1&&p.type!==2||!this.uriIdentityService.extUri.isEqual(this.uriIdentityService.extUri.dirname(p.resource),y)?!1:this.uriIdentityService.extUri.isEqual(p.resource,this.uriIdentityService.extUri.joinPath(y,".obsolete"))?!0:!this.uriIdentityService.extUri.basename(p.resource).startsWith(".")}onInstallExtension(p){this.addInstallingExtension(p.identifier)}onDidInstallExtensions(p){for(const y of p)this.removeInstallingExtension(y.identifier),y.local&&this.addInstalledExtension(y.identifier)}onDidUninstallExtension(p){p.error||this.removeInstalledExtension(p.identifier)}addInstallingExtension(p){this.removeInstallingExtension(p),this.installingExtensions.push(p)}removeInstallingExtension(p){this.installingExtensions=this.installingExtensions.filter(y=>!(0,A.areSameExtensions)(y,p))}addInstalledExtension(p){this.installedExtensions&&(this.removeInstalledExtension(p),this.installedExtensions.push(p))}removeInstalledExtension(p){this.installedExtensions&&(this.installedExtensions=this.installedExtensions.filter(y=>!(0,A.areSameExtensions)(y,p)))}async onDidChange(){if(this.installedExtensions){const p=await this.extensionsManagementService.getInstalled(),y=p.filter(S=>[...this.installingExtensions,...this.installedExtensions].some(w=>(0,A.areSameExtensions)(w,S.identifier))?!1:S.installedTimestamp&&S.installedTimestamp>this.startTimestamp?(this.logService.info("Detected extension installed from another source",S.identifier.id),!0):(this.logService.info("Ignored extension installed by another source because of invalid timestamp",S.identifier.id),!1)),h=this.installedExtensions.filter(S=>this.installingExtensions.some(w=>(0,A.areSameExtensions)(w,S))?!1:p.every(w=>!(0,A.areSameExtensions)(w.identifier,S))?(this.logService.info("Detected extension removed from another source",S.id),!0):!1);this.installedExtensions=p.map(S=>S.identifier),(y.length||h.length)&&this._onDidChangeExtensionsByAnotherSource.fire({added:y,removed:h})}}};D=fe([Q(1,C.IFileService),Q(2,T.INativeEnvironmentService),Q(3,P.ILogService),Q(4,I.IUriIdentityService)],D),e.ExtensionsWatcher=D}),define(re[231],se([0,1,33,88,10,18,112,3,2]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UriIdentityService=void 0;class I{constructor(p){this.uri=p,this.time=I._clock++}touch(){return this.time=I._clock++,this}}I._clock=0;let D=class{constructor(p){this._fileService=p,this._dispooables=new P.DisposableStore,this._limit=2**16;const y=new Map,h=S=>{let w=y.get(S.scheme);return w===void 0&&(w=p.hasProvider(S)&&!this._fileService.hasCapability(S,1024),y.set(S.scheme,w)),w};this._dispooables.add(C.Event.any(p.onDidChangeFileSystemProviderRegistrations,p.onDidChangeFileSystemProviderCapabilities)(S=>{y.delete(S.scheme)})),this.extUri=new T.ExtUri(h),this._canonicalUris=new A.SkipList((S,w)=>this.extUri.compare(S,w,!0),this._limit)}dispose(){this._dispooables.dispose(),this._canonicalUris.clear()}asCanonicalUri(p){this._fileService.hasProvider(p)&&(p=(0,T.normalizePath)(p));const y=this._canonicalUris.get(p);return y?y.touch().uri.with({fragment:p.fragment}):(this._canonicalUris.set(p,new I(p)),this._checkTrim(),p)}_checkTrim(){if(this._canonicalUris.size<this._limit)return;const p=[...this._canonicalUris.entries()].sort((h,S)=>h[1].touch<S[1].touch?1:h[1].touch>S[1].touch?-1:0);I._clock=0,this._canonicalUris.clear();const y=this._limit*.5;for(let h=0;h<y;h++)this._canonicalUris.set(p[h][0],p[h][1].touch())}};D=fe([Q(0,k.IFileService)],D),e.UriIdentityService=D,(0,t.registerSingleton)(R.IUriIdentityService,D,!0)}),define(re[232],se([0,1,3,2,10,42,38,16]),function(Z,e,R,t,k,T,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileUserDataProvider=void 0;class P extends t.Disposable{constructor(D,b,p,y){super();this.fileSystemScheme=D,this.fileSystemProvider=b,this.userDataScheme=p,this.logService=y,this.onDidChangeCapabilities=this.fileSystemProvider.onDidChangeCapabilities,this._onDidChangeFile=this._register(new R.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.watchResources=A.TernarySearchTree.forUris(()=>!(this.capabilities&1024)),this._register(this.fileSystemProvider.onDidChangeFile(h=>this.handleFileChanges(h)))}get capabilities(){return this.fileSystemProvider.capabilities&~4}watch(D,b){this.watchResources.set(D,D);const p=this.fileSystemProvider.watch(this.toFileSystemResource(D),b);return(0,t.toDisposable)(()=>{this.watchResources.delete(D),p.dispose()})}stat(D){return this.fileSystemProvider.stat(this.toFileSystemResource(D))}mkdir(D){return this.fileSystemProvider.mkdir(this.toFileSystemResource(D))}rename(D,b,p){return this.fileSystemProvider.rename(this.toFileSystemResource(D),this.toFileSystemResource(b),p)}readFile(D){return this.fileSystemProvider.readFile(this.toFileSystemResource(D),{atomic:!0})}readFileStream(D,b,p){const y=(0,T.newWriteableStream)(h=>C.VSBuffer.concat(h.map(S=>C.VSBuffer.wrap(S))).buffer);return(async()=>{try{const h=await this.readFile(D);y.end(h)}catch(h){y.error(h),y.end()}})(),y}readdir(D){return this.fileSystemProvider.readdir(this.toFileSystemResource(D))}writeFile(D,b,p){return this.fileSystemProvider.writeFile(this.toFileSystemResource(D),b,p)}delete(D,b){return this.fileSystemProvider.delete(this.toFileSystemResource(D),b)}copy(D,b,p){if((0,k.hasFileFolderCopyCapability)(this.fileSystemProvider))return this.fileSystemProvider.copy(this.toFileSystemResource(D),this.toFileSystemResource(b),p);throw new Error("copy not supported")}handleFileChanges(D){const b=[];for(const p of D){if(p.resource.scheme!==this.fileSystemScheme)continue;const y=this.toUserDataResource(p.resource);this.watchResources.findSubstr(y)&&b.push({resource:y,type:p.type})}b.length&&(this.logService.debug("User data changed"),this._onDidChangeFile.fire(b))}toFileSystemResource(D){return D.with({scheme:this.fileSystemScheme})}toUserDataResource(D){return D.with({scheme:this.userDataScheme})}}e.FileUserDataProvider=P}),define(re[29],se([0,1,62,3,2,18,14,8,157,15,10,5,7]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesService=e.toUserDataProfile=e.EXTENSIONS_RESOURCE_NAME=e.reviveProfile=e.IUserDataProfilesService=e.PROFILES_ENABLEMENT_CONFIG=e.isUserDataProfile=void 0;function y(d){const v=d;return!!(v&&typeof v=="object"&&typeof v.id=="string"&&typeof v.isDefault=="boolean"&&typeof v.name=="string"&&C.URI.isUri(v.location)&&C.URI.isUri(v.globalStorageHome)&&C.URI.isUri(v.settingsResource)&&C.URI.isUri(v.keybindingsResource)&&C.URI.isUri(v.tasksResource)&&C.URI.isUri(v.snippetsHome)&&((0,A.isUndefined)(v.extensionsResource)||C.URI.isUri(v.extensionsResource)))}e.isUserDataProfile=y,e.PROFILES_ENABLEMENT_CONFIG="workbench.experimental.settingsProfiles.enabled",e.IUserDataProfilesService=(0,b.createDecorator)("IUserDataProfilesService");function h(d,v){return{id:d.id,isDefault:d.isDefault,name:d.name,location:C.URI.revive(d.location).with({scheme:v}),globalStorageHome:C.URI.revive(d.globalStorageHome).with({scheme:v}),settingsResource:C.URI.revive(d.settingsResource).with({scheme:v}),keybindingsResource:C.URI.revive(d.keybindingsResource).with({scheme:v}),tasksResource:C.URI.revive(d.tasksResource).with({scheme:v}),snippetsHome:C.URI.revive(d.snippetsHome).with({scheme:v}),extensionsResource:C.URI.revive(d.extensionsResource)?.with({scheme:v})}}e.reviveProfile=h,e.EXTENSIONS_RESOURCE_NAME="extensions.json";function S(d,v,m){return{id:(0,R.hash)(v.path).toString(16),name:d,location:v,isDefault:!1,globalStorageHome:(0,T.joinPath)(v,"globalStorage"),settingsResource:(0,T.joinPath)(v,"settings.json"),keybindingsResource:(0,T.joinPath)(v,"keybindings.json"),tasksResource:(0,T.joinPath)(v,"tasks.json"),snippetsHome:(0,T.joinPath)(v,"snippets"),extensionsResource:(0,T.joinPath)(v,e.EXTENSIONS_RESOURCE_NAME),useDefaultFlags:m}}e.toUserDataProfile=S;let w=class extends k.Disposable{constructor(v,m,g){super();this.environmentService=v,this.fileService=m,this.logService=g,this._profiles=[this.createDefaultUserDataProfile(!1)],this._onDidChangeProfiles=this._register(new t.Emitter),this.onDidChangeProfiles=this._onDidChangeProfiles.event,this.profilesHome=(0,T.joinPath)(this.environmentService.userRoamingDataHome,"profiles")}get defaultProfile(){return this.profiles[0]}get profiles(){return this._profiles}createDefaultUserDataProfile(v){const m=S((0,P.localize)(0,null),this.environmentService.userRoamingDataHome);return{...m,isDefault:!0,extensionsResource:v?m.extensionsResource:void 0}}createProfile(v,m,g){throw new Error("Not implemented")}setProfileForWorkspace(v,m){throw new Error("Not implemented")}getProfile(v){throw new Error("Not implemented")}removeProfile(v){throw new Error("Not implemented")}};w=fe([Q(0,I.IEnvironmentService),Q(1,D.IFileService),Q(2,p.ILogService)],w),e.UserDataProfilesService=w}),define(re[233],se([0,1,17,6,23,9,3,2,4,8,140,28,32,41,7,24,21,33,29]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtensionTask=e.reportTelemetry=e.joinErrors=e.AbstractExtensionManagementService=void 0;let m=class extends C.Disposable{constructor(o,s,l,f,E,U,_){super();this.userDataProfilesService=o,this.uriIdenityService=s,this.galleryService=l,this.extensionsProfileScannerService=f,this.telemetryService=E,this.logService=U,this.productService=_,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new A.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new A.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new A.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new A.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this.participants=[],this._register((0,C.toDisposable)(()=>{this.installingExtensions.forEach(N=>N.cancel()),this.uninstallingExtensions.forEach(N=>N.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async canInstall(o){const s=await this.getTargetPlatform();return o.allTargetPlatforms.some(l=>(0,b.isTargetPlatformCompatible)(l,o.allTargetPlatforms,s))}async installFromGallery(o,s={}){try{if(!this.galleryService.isEnabled())throw new b.ExtensionManagementError(D.localize(0,null),b.ExtensionManagementErrorCode.Internal);const l=await this.checkAndGetCompatibleVersion(o,!!s.installGivenVersion,!!s.installPreReleaseVersion);return await this.installExtension(l.manifest,l.extension,s)}catch(l){throw r(this.telemetryService,"extensionGallery:install",{extensionData:(0,p.getGalleryExtensionTelemetryData)(o),error:l}),this.logService.error("Failed to install extension.",o.identifier.id),this.logService.error(l),u(l)}}async uninstall(o,s={}){return this.logService.trace("ExtensionManagementService#uninstall",o.identifier.id),this.unininstallExtension(o,s)}async reinstallFromGallery(o){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",o.identifier.id),!this.galleryService.isEnabled())throw new Error(D.localize(1,null));const s=await this.getTargetPlatform(),[l]=await this.galleryService.getExtensions([{...o.identifier,preRelease:o.preRelease}],{targetPlatform:s,compatible:!0},k.CancellationToken.None);if(!l)throw new Error(D.localize(2,null));await this.createDefaultUninstallExtensionTask(o,{remove:!0,versionOnly:!0}).run(),await this.installFromGallery(l)}getExtensionsControlManifest(){const o=new Date().getTime();return(!this.extensionsControlManifest||o-this.lastReportTimestamp>1e3*60*5)&&(this.extensionsControlManifest=this.updateControlCache(),this.lastReportTimestamp=o),this.extensionsControlManifest}registerParticipant(o){this.participants.push(o)}async installExtension(o,s,l){if(!I.URI.isUri(s)){const N=this.installingExtensions.get(p.ExtensionKey.create(s).toString());if(N){this.logService.info("Extensions is already requested to install",s.identifier.id);const L=this.createWaitUntilInstallExtensionTaskIsFinishedTask(N,l),{local:M}=await L.waitUntilTaskIsFinished();return M}l={...l,installOnlyNewlyAddedFromExtensionPack:!0}}const f=[],E=[],U=this.createInstallExtensionTask(o,s,l);I.URI.isUri(s)||this.installingExtensions.set(p.ExtensionKey.create(s).toString(),U),this._onInstallExtension.fire({identifier:U.identifier,source:s,profileLocation:l.profileLocation}),this.logService.info("Installing extension:",U.identifier.id),f.push({task:U,manifest:o});let _=!1;try{if(l.donotIncludePackAndDependencies)this.logService.info("Installing the extension without checking dependencies and pack",U.identifier.id);else try{const L=await this.getAllDepsAndPackExtensionsToInstall(U.identifier,o,!!l.installOnlyNewlyAddedFromExtensionPack,!!l.installPreReleaseVersion,l.profileLocation);for(const{gallery:M,manifest:O}of L){_=_||!!O.extensionDependencies?.some(W=>(0,p.areSameExtensions)({id:W},U.identifier));const H=p.ExtensionKey.create(M).toString();if(this.installingExtensions.has(H))this.logService.info("Extension is already requested to install",M.identifier.id);else{const W=this.createInstallExtensionTask(O,M,{...l,donotIncludePackAndDependencies:!0});this.installingExtensions.set(H,W),this._onInstallExtension.fire({identifier:W.identifier,source:M,profileLocation:l.profileLocation}),this.logService.info("Installing extension:",W.identifier.id),f.push({task:W,manifest:O})}}}catch(L){if(I.URI.isUri(U.source))(0,R.isNonEmptyArray)(o.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",U.identifier.id,L.message),(0,R.isNonEmptyArray)(o.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",U.identifier.id,L.message);else throw this.logService.error("Error while preparing to install dependencies and extension packs of the extension:",U.identifier.id),L}const N=f.reduce((L,{task:M,manifest:O})=>(L.set(M.identifier.id.toLowerCase(),{task:M,manifest:O}),L),new Map);for(;N.size;){let L;const M=[...N.values()].filter(({manifest:O})=>!O.extensionDependencies?.some(H=>N.has(H.toLowerCase())));M.length?L=N.size===1?M:M.filter(({task:O})=>!(O===U&&!_)):(this.logService.info("Found extensions with circular dependencies",M.map(({task:O})=>O.identifier.id)),L=[...N.values()]),await this.joinAllSettled(L.map(async({task:O})=>{const H=new Date().getTime();try{const{local:W}=await O.run();if(await this.joinAllSettled(this.participants.map(z=>z.postInstall(W,O.source,l,k.CancellationToken.None))),!I.URI.isUri(O.source)){const z=O.operation===3,te=z?void 0:(new Date().getTime()-O.source.lastUpdated)/1e3;if(r(this.telemetryService,z?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,p.getGalleryExtensionTelemetryData)(O.source),duration:new Date().getTime()-H,durationSinceUpdate:te}),P.isWeb&&O.operation!==3)try{await this.galleryService.reportStatistic(W.manifest.publisher,W.manifest.name,W.manifest.version,"install")}catch{}}E.push({local:W,identifier:O.identifier,operation:O.operation,source:O.source,context:l.context,profileLocation:l.profileLocation,applicationScoped:W.isApplicationScoped})}catch(W){throw I.URI.isUri(O.source)||r(this.telemetryService,O.operation===3?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,p.getGalleryExtensionTelemetryData)(O.source),duration:new Date().getTime()-H,error:W}),this.logService.error("Error while installing the extension:",O.identifier.id),W}finally{N.delete(O.identifier.id.toLowerCase())}}))}return E.forEach(({identifier:L})=>this.logService.info("Extension installed successfully:",L.id)),this._onDidInstallExtensions.fire(E),E.filter(({identifier:L})=>(0,p.areSameExtensions)(L,U.identifier))[0].local}catch(N){if(f.forEach(({task:L})=>L.cancel()),E.length)try{const L=await Promise.allSettled(E.map(({local:M})=>this.createUninstallExtensionTask(M,{versionOnly:!0},l.profileLocation).run()));for(let M=0;M<L.length;M++){const O=L[M],{identifier:H}=E[M];O.status==="fulfilled"?this.logService.info("Rollback: Uninstalled extension",H.id):this.logService.warn("Rollback: Error while uninstalling extension",H.id,(0,T.getErrorMessage)(O.reason))}}catch(L){this.logService.warn("Error while rolling back extensions",(0,T.getErrorMessage)(L),E.map(({identifier:M})=>M.id))}throw this._onDidInstallExtensions.fire(f.map(({task:L})=>({identifier:L.identifier,operation:2,source:L.source,context:l.context,profileLocation:l.profileLocation}))),N}finally{for(const{task:N}of f)if(!I.URI.isUri(N.source)){const L=p.ExtensionKey.create(N.source).toString();this.installingExtensions.delete(L)||this.logService.warn("Installation task is not found in the cache",L)}}}async joinAllSettled(o){const s=[],l=[],f=await Promise.allSettled(o);for(const E of f)E.status==="fulfilled"?s.push(E.value):l.push(E.reason);if(l.length)throw g(l);return s}async getAllDepsAndPackExtensionsToInstall(o,s,l,f,E){if(!this.galleryService.isEnabled())return[];let U=await this.getInstalled(void 0,E);const _=[o,...U.map(M=>M.identifier)],N=[],L=async(M,O)=>{const H=O.extensionDependencies||[],W=[...H];if(O.extensionPack){const z=l?U.find(te=>(0,p.areSameExtensions)(te.identifier,M)):void 0;for(const te of O.extensionPack)z&&z.manifest.extensionPack&&z.manifest.extensionPack.some(V=>(0,p.areSameExtensions)({id:V},{id:te}))||W.every(V=>!(0,p.areSameExtensions)({id:V},{id:te}))&&W.push(te)}if(W.length){const z=[..._,...N.map(V=>V.gallery.identifier)],te=W.filter(V=>z.every(Y=>!(0,p.areSameExtensions)(Y,{id:V})));if(te.length){const V=await this.galleryService.getExtensions(te.map(Y=>({id:Y,preRelease:f})),k.CancellationToken.None);for(const Y of V){if(z.find(x=>(0,p.areSameExtensions)(x,Y.identifier)))continue;const X=H.some(x=>(0,p.areSameExtensions)({id:x},Y.identifier));let K;try{K=await this.checkAndGetCompatibleVersion(Y,!1,f)}catch(x){if(x instanceof b.ExtensionManagementError&&x.code===b.ExtensionManagementErrorCode.IncompatibleTargetPlatform&&!X){this.logService.info("Skipping the packed extension as it cannot be installed",Y.identifier.id);continue}else throw x}N.push({gallery:K.extension,manifest:K.manifest}),await L(K.extension.identifier,K.manifest)}}}};return await L(o,s),U=await this.getInstalled(void 0,E),N.filter(M=>!U.some(O=>(0,p.areSameExtensions)(O.identifier,M.gallery.identifier)))}async checkAndGetCompatibleVersion(o,s,l){const f=await this.getExtensionsControlManifest();if((0,p.getMaliciousExtensionsSet)(f).has(o.identifier.id))throw new b.ExtensionManagementError(D.localize(3,null,o.identifier.id),b.ExtensionManagementErrorCode.Malicious);if(!await this.canInstall(o)){const _=await this.getTargetPlatform();throw new b.ExtensionManagementError(D.localize(4,null,o.identifier.id,this.productService.nameLong,(0,b.TargetPlatformToString)(_)),b.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}const E=await this.getCompatibleVersion(o,s,l);if(E){if(l&&!s&&o.hasPreReleaseVersion&&!E.properties.isPreReleaseVersion)throw new b.ExtensionManagementError(D.localize(5,null,o.identifier.id,this.productService.nameLong,this.productService.version),b.ExtensionManagementErrorCode.IncompatiblePreRelease)}else throw!l&&o.properties.isPreReleaseVersion&&(await this.galleryService.getExtensions([o.identifier],k.CancellationToken.None))[0]?new b.ExtensionManagementError(D.localize(6,null,o.identifier.id),b.ExtensionManagementErrorCode.ReleaseVersionNotFound):new b.ExtensionManagementError(D.localize(7,null,o.identifier.id,this.productService.nameLong,this.productService.version),b.ExtensionManagementErrorCode.Incompatible);this.logService.info("Getting Manifest...",E.identifier.id);const U=await this.galleryService.getManifest(E,k.CancellationToken.None);if(U===null)throw new b.ExtensionManagementError(`Missing manifest for extension ${o.identifier.id}`,b.ExtensionManagementErrorCode.Invalid);if(U.version!==E.version)throw new b.ExtensionManagementError(`Cannot install '${o.identifier.id}' extension because of version mismatch in Marketplace`,b.ExtensionManagementErrorCode.Invalid);return{extension:E,manifest:U}}async getCompatibleVersion(o,s,l){const f=await this.getTargetPlatform();let E=null;return!s&&o.hasPreReleaseVersion&&o.properties.isPreReleaseVersion!==l&&(E=(await this.galleryService.getExtensions([{...o.identifier,preRelease:l}],{targetPlatform:f,compatible:!0},k.CancellationToken.None))[0]||null),!E&&await this.galleryService.isExtensionCompatible(o,l,f)&&(E=o),E||(s?E=(await this.galleryService.getExtensions([{...o.identifier,version:o.version}],{targetPlatform:f,compatible:!0},k.CancellationToken.None))[0]||null:E=await this.galleryService.getCompatibleExtension(o,l,f)),E}async unininstallExtension(o,s){const l=L=>`${L.id.toLowerCase()}${s.profileLocation?`@${s.profileLocation.toString()}`:""}`,f=this.uninstallingExtensions.get(l(o.identifier));if(f)return this.logService.info("Extensions is already requested to uninstall",o.identifier.id),f.waitUntilTaskIsFinished();const E=(L,M)=>{const O=this.createUninstallExtensionTask(L,M,s.profileLocation);return this.uninstallingExtensions.set(l(O.extension.identifier),O),s.profileLocation?this.logService.info("Uninstalling extension from the profile:",`${L.identifier.id}@${L.manifest.version}`,s.profileLocation.toString()):this.logService.info("Uninstalling extension:",`${L.identifier.id}@${L.manifest.version}`),this._onUninstallExtension.fire({identifier:L.identifier,profileLocation:s.profileLocation,applicationScoped:L.isApplicationScoped}),O},U=(L,M)=>{M?s.profileLocation?this.logService.error("Failed to uninstall extension from the profile:",`${L.identifier.id}@${L.manifest.version}`,s.profileLocation.toString(),M.message):this.logService.error("Failed to uninstall extension:",`${L.identifier.id}@${L.manifest.version}`,M.message):s.profileLocation?this.logService.info("Successfully uninstalled extension from the profile",`${L.identifier.id}@${L.manifest.version}`,s.profileLocation.toString()):this.logService.info("Successfully uninstalled extension:",`${L.identifier.id}@${L.manifest.version}`),r(this.telemetryService,"extensionGallery:uninstall",{extensionData:(0,p.getLocalExtensionTelemetryData)(L),error:M}),this._onDidUninstallExtension.fire({identifier:L.identifier,version:L.manifest.version,error:M?.code,profileLocation:s.profileLocation,applicationScoped:L.isApplicationScoped})},_=[],N=[];try{_.push(E(o,s));const L=await this.getInstalled(1,s.profileLocation);if(s.donotIncludePack)this.logService.info("Uninstalling the extension without including packed extension",`${o.identifier.id}@${o.manifest.version}`);else{const M=this.getAllPackExtensionsToUninstall(o,L);for(const O of M)this.uninstallingExtensions.has(l(O.identifier))?this.logService.info("Extensions is already requested to uninstall",O.identifier.id):_.push(E(O,s))}s.donotCheckDependents?this.logService.info("Uninstalling the extension without checking dependents",`${o.identifier.id}@${o.manifest.version}`):this.checkForDependents(_.map(M=>M.extension),L,o),await this.joinAllSettled(_.map(async M=>{try{if(await M.run(),await this.joinAllSettled(this.participants.map(O=>O.postUninstall(M.extension,s,k.CancellationToken.None))),M.extension.identifier.uuid)try{await this.galleryService.reportStatistic(M.extension.manifest.publisher,M.extension.manifest.name,M.extension.manifest.version,"uninstall")}catch{}U(M.extension)}catch(O){const H=O instanceof b.ExtensionManagementError?O:new b.ExtensionManagementError((0,T.getErrorMessage)(O),b.ExtensionManagementErrorCode.Internal);throw U(M.extension,H),H}finally{N.push(M)}}))}catch(L){const M=L instanceof b.ExtensionManagementError?L:new b.ExtensionManagementError((0,T.getErrorMessage)(L),b.ExtensionManagementErrorCode.Internal);for(const O of _){try{O.cancel()}catch{}N.includes(O)||U(O.extension,M)}throw M}finally{for(const L of _)this.uninstallingExtensions.delete(l(L.extension.identifier))||this.logService.warn("Uninstallation task is not found in the cache",L.extension.identifier.id)}}checkForDependents(o,s,l){for(const f of o){const E=this.getDependents(f,s);if(E.length){const U=E.filter(_=>!o.some(N=>(0,p.areSameExtensions)(N.identifier,_.identifier)));if(U.length)throw new Error(this.getDependentsErrorMessage(f,U,l))}}}getDependentsErrorMessage(o,s,l){return l===o?s.length===1?D.localize(8,null,l.manifest.displayName||l.manifest.name,s[0].manifest.displayName||s[0].manifest.name):s.length===2?D.localize(9,null,l.manifest.displayName||l.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):D.localize(10,null,l.manifest.displayName||l.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):s.length===1?D.localize(11,null,l.manifest.displayName||l.manifest.name,o.manifest.displayName||o.manifest.name,s[0].manifest.displayName||s[0].manifest.name):s.length===2?D.localize(12,null,l.manifest.displayName||l.manifest.name,o.manifest.displayName||o.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name):D.localize(13,null,l.manifest.displayName||l.manifest.name,o.manifest.displayName||o.manifest.name,s[0].manifest.displayName||s[0].manifest.name,s[1].manifest.displayName||s[1].manifest.name)}getAllPackExtensionsToUninstall(o,s,l=[]){if(l.indexOf(o)!==-1)return[];l.push(o);const f=o.manifest.extensionPack?o.manifest.extensionPack:[];if(f.length){const E=s.filter(_=>!_.isBuiltin&&f.some(N=>(0,p.areSameExtensions)({id:N},_.identifier))),U=[];for(const _ of E)U.push(...this.getAllPackExtensionsToUninstall(_,s,l));return[...E,...U]}return[]}getDependents(o,s){return s.filter(l=>l.manifest.extensionDependencies&&l.manifest.extensionDependencies.some(f=>(0,p.areSameExtensions)({id:f},o.identifier)))}async updateControlCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const o=await this.galleryService.getExtensionsControlManifest();return this.logService.trace("ExtensionManagementService.refreshControlCache",o),o}catch{return this.logService.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest"),{malicious:[],deprecated:{}}}}createInstallExtensionTask(o,s,l){const f=this.createDefaultInstallExtensionTask(o,s,l);return l.profileLocation&&this.userDataProfilesService.defaultProfile.extensionsResource?new i(f,l.profileLocation,this.userDataProfilesService.defaultProfile.extensionsResource,this.extensionsProfileScannerService):f}createWaitUntilInstallExtensionTaskIsFinishedTask(o,s){return!s.profileLocation||!this.userDataProfilesService.defaultProfile.extensionsResource||o instanceof i&&this.uriIdenityService.extUri.isEqual(o.profileLocation,s.profileLocation)?o:new i(o,s.profileLocation,this.userDataProfilesService.defaultProfile.extensionsResource,this.extensionsProfileScannerService)}createUninstallExtensionTask(o,s,l){return l&&this.userDataProfilesService.defaultProfile.extensionsResource?new a(o,l,this.userDataProfilesService,this.extensionsProfileScannerService):this.createDefaultUninstallExtensionTask(o,s)}};m=fe([Q(0,v.IUserDataProfilesService),Q(1,d.IUriIdentityService),Q(2,b.IExtensionGalleryService),Q(3,y.IExtensionsProfileScannerService),Q(4,w.ITelemetryService),Q(5,h.ILogService),Q(6,S.IProductService)],m),e.AbstractExtensionManagementService=m;function g(c){const o=Array.isArray(c)?c:[c];return o.length===1?o[0]instanceof Error?o[0]:new Error(o[0]):o.reduce((s,l)=>new Error(`${s.message}${s.message?",":""}${l instanceof Error?l.message:l}`),new Error(""))}e.joinErrors=g;function u(c){if(c instanceof b.ExtensionManagementError)return c;const o=new b.ExtensionManagementError(c.message,b.ExtensionManagementErrorCode.Internal);return o.stack=c.stack,o}function r(c,o,{extensionData:s,duration:l,error:f,durationSinceUpdate:E}){const U=f?f instanceof b.ExtensionManagementError?f.code:b.ExtensionManagementErrorCode.Internal:void 0;c.publicLog(o,{...s,success:!f,duration:l,errorcode:U,durationSinceUpdate:E})}e.reportTelemetry=r;class n{constructor(){this.barrier=new t.Barrier}async waitUntilTaskIsFinished(){return await this.barrier.wait(),this.cancellablePromise}async run(){return this.cancellablePromise||(this.cancellablePromise=(0,t.createCancelablePromise)(o=>this.doRun(o))),this.barrier.open(),this.cancellablePromise}cancel(){this.cancellablePromise||(this.cancellablePromise=(0,t.createCancelablePromise)(o=>new Promise((s,l)=>{const f=o.onCancellationRequested(()=>{f.dispose(),l(new T.CancellationError)})})),this.barrier.open()),this.cancellablePromise.cancel()}}e.AbstractExtensionTask=n;class i{constructor(o,s,l,f){this.task=o,this.profileLocation=s,this.defaultProfileLocation=l,this.extensionsProfileScannerService=f,this.identifier=this.task.identifier,this.source=this.task.source,this.operation=this.task.operation,this.promise=this.waitAndAddExtensionToProfile()}async waitAndAddExtensionToProfile(){const o=await this.task.waitUntilTaskIsFinished(),s=o.local.isApplicationScoped?this.defaultProfileLocation:this.profileLocation;return await this.extensionsProfileScannerService.addExtensionsToProfile([[o.local,o.metadata]],s),o}async run(){return await this.task.run(),this.promise}waitUntilTaskIsFinished(){return this.promise}cancel(){return this.task.cancel()}}class a extends n{constructor(o,s,l,f){super();this.extension=o,this.profileLocation=s,this.userDataProfilesService=l,this.extensionsProfileScannerService=f}async doRun(o){const s=[];s.push(this.extensionsProfileScannerService.removeExtensionFromProfile(this.extension.identifier,this.profileLocation)),this.extension.isApplicationScoped&&this.userDataProfilesService.defaultProfile.extensionsResource&&s.push(this.extensionsProfileScannerService.removeExtensionFromProfile(this.extension.identifier,this.userDataProfilesService.defaultProfile.extensionsResource)),await Promise.all(s)}}}),define(re[70],se([0,1,17,6,30,16,9,34,121,2,20,13,4,18,55,80,14,8,142,15,32,49,65,10,5,7,24,3,63,41,29]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v,m,g,u,r,n,i,a,c,o,s,l,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtensionsScannerService=e.toExtensionDescription=e.AbstractExtensionsScannerService=e.IExtensionsScannerService=e.Translations=void 0;var E;(function(H){function W(z,te){if(z===te)return!0;const V=Object.keys(z),Y=new Set;for(const X of Object.keys(te))Y.add(X);if(V.length!==Y.size)return!1;for(const X of V){if(z[X]!==te[X])return!1;Y.delete(X)}return Y.size===0}H.equals=W})(E=e.Translations||(e.Translations={})),e.IExtensionsScannerService=(0,i.createDecorator)("IExtensionsScannerService");let U=class extends I.Disposable{constructor(W,z,te,V,Y,X,K,x,B,J){super();this.systemExtensionsLocation=W,this.userExtensionsLocation=z,this.extensionsControlLocation=te,this.cacheLocation=V,this.userDataProfilesService=Y,this.extensionsProfileScannerService=X,this.fileService=K,this.logService=x,this.environmentService=B,this.productService=J,this._onDidChangeCache=this._register(new o.Emitter),this.onDidChangeCache=this._onDidChangeCache.event,this.obsoleteFile=(0,y.joinPath)(this.userExtensionsLocation,".obsolete"),this.systemExtensionsCachedScanner=this._register(new L((0,y.joinPath)(this.cacheLocation,u.BUILTIN_MANIFEST_CACHE_FILE),this.obsoleteFile,this.extensionsProfileScannerService,this.fileService,this.logService)),this.userExtensionsCachedScanner=this._register(new L((0,y.joinPath)(this.cacheLocation,u.USER_MANIFEST_CACHE_FILE),this.obsoleteFile,this.extensionsProfileScannerService,this.fileService,this.logService)),this.extensionsScanner=this._register(new N(this.obsoleteFile,this.extensionsProfileScannerService,this.fileService,this.logService)),this._register(this.systemExtensionsCachedScanner.onDidChangeCache(()=>this._onDidChangeCache.fire(0))),this._register(this.userExtensionsCachedScanner.onDidChangeCache(()=>this._onDidChangeCache.fire(1)))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(0,g.computeTargetPlatform)(this.fileService,this.logService)),this._targetPlatformPromise}async scanAllExtensions(W,z){const[te,V]=await Promise.all([this.scanSystemExtensions(W),this.scanUserExtensions(z)]),Y=await this.scanExtensionsUnderDevelopment(W,[...te,...V]);return this.dedupExtensions(te,V,Y,await this.getTargetPlatform(),!0)}async scanSystemExtensions(W){const z=[];z.push(this.scanDefaultSystemExtensions(!!W.useCache,W.language)),z.push(this.scanDevSystemExtensions(W.language,!!W.checkControlFile));const[te,V]=await Promise.all(z);return this.applyScanOptions([...te,...V],0,W,!1)}async scanUserExtensions(W){this.logService.trace("Started scanning user extensions");const z=await this.createExtensionScannerInput(W.profileLocation??this.userExtensionsLocation,!!W.profileLocation,1,!W.includeUninstalled,W.language);let V=await(W.useCache&&!z.devMode&&z.excludeObsolete?this.userExtensionsCachedScanner:this.extensionsScanner).scanExtensions(z);return V=await this.applyScanOptions(V,1,W,!0),this.logService.trace("Scanned user extensions:",V.length),V}async scanExtensionsUnderDevelopment(W,z){if(this.environmentService.isExtensionDevelopment&&this.environmentService.extensionDevelopmentLocationURI){const te=(await Promise.all(this.environmentService.extensionDevelopmentLocationURI.filter(V=>V.scheme===D.Schemas.file).map(async V=>{const Y=await this.createExtensionScannerInput(V,!1,1,!0,W.language,!1);return(await this.extensionsScanner.scanOneOrMultipleExtensions(Y)).map(K=>(K.type=z.find(x=>(0,g.areSameExtensions)(x.identifier,K.identifier))?.type??K.type,this.extensionsScanner.validate(K,Y)))}))).flat();return this.applyScanOptions(te,"development",W,!0)}return[]}async scanExistingExtension(W,z,te){const V=await this.createExtensionScannerInput(W,!1,z,!0,te.language),Y=await this.extensionsScanner.scanExtension(V);return!Y||!te.includeInvalid&&!Y.isValid?null:Y}async scanOneOrMultipleExtensions(W,z,te){const V=await this.createExtensionScannerInput(W,!1,z,!0,te.language),Y=await this.extensionsScanner.scanOneOrMultipleExtensions(V);return this.applyScanOptions(Y,z,te,!0)}async scanMetadata(W){const z=(0,y.joinPath)(W,"package.json"),te=(await this.fileService.readFile(z)).value.toString();return JSON.parse(te).__metadata}async updateMetadata(W,z){const te=(0,y.joinPath)(W,"package.json"),V=(await this.fileService.readFile(te)).value.toString(),Y=JSON.parse(V);z.isMachineScoped=z.isMachineScoped||void 0,z.isBuiltin=z.isBuiltin||void 0,z.installedTimestamp=z.installedTimestamp||void 0,Y.__metadata={...Y.__metadata,...z},await this.fileService.writeFile((0,y.joinPath)(W,"package.json"),T.VSBuffer.fromString(JSON.stringify(Y,null,"	")))}async applyScanOptions(W,z,te,V){return te.includeAllVersions||(W=this.dedupExtensions(z===0?W:void 0,z===1?W:void 0,z==="development"?W:void 0,await this.getTargetPlatform(),V)),te.includeInvalid||(W=W.filter(Y=>Y.isValid)),W.sort((Y,X)=>{const K=b.basename(Y.location.fsPath),x=b.basename(X.location.fsPath);return K<x?-1:K>x?1:0})}dedupExtensions(W,z,te,V,Y){const X=(x,B)=>{if(x.isValid&&!B.isValid)return!1;if(x.isValid===B.isValid){if(Y&&h.gt(x.manifest.version,B.manifest.version))return this.logService.debug(`Skipping extension ${B.location.path} with lower version ${B.manifest.version} in favour of ${x.location.path} with version ${x.manifest.version}`),!1;if(h.eq(x.manifest.version,B.manifest.version)){if(x.type===0)return this.logService.debug(`Skipping extension ${B.location.path} in favour of system extension ${x.location.path} with same version`),!1;if(x.targetPlatform===V)return this.logService.debug(`Skipping extension ${B.location.path} from different target platform ${B.targetPlatform}`),!1}}return x.type===0?this.logService.debug(`Overwriting system extension ${x.location.path} with ${B.location.path}.`):this.logService.warn(`Overwriting user extension ${x.location.path} with ${B.location.path}.`),!0},K=new Map;return W?.forEach(x=>{const B=u.ExtensionIdentifier.toKey(x.identifier.id),J=K.get(B);(!J||X(J,x))&&K.set(B,x)}),z?.forEach(x=>{const B=u.ExtensionIdentifier.toKey(x.identifier.id),J=K.get(B);if(!J&&W&&x.type===0){this.logService.debug(`Skipping obsolete system extension ${x.location.path}.`);return}(!J||X(J,x))&&K.set(B,x)}),te?.forEach(x=>{const B=u.ExtensionIdentifier.toKey(x.identifier.id),J=K.get(B);(!J||X(J,x))&&K.set(B,x),K.set(B,x)}),[...K.values()]}async scanDefaultSystemExtensions(W,z){this.logService.trace("Started scanning system extensions");const te=await this.createExtensionScannerInput(this.systemExtensionsLocation,!1,0,!0,z),Y=await(W&&!te.devMode?this.systemExtensionsCachedScanner:this.extensionsScanner).scanExtensions(te);return this.logService.trace("Scanned system extensions:",Y.length),Y}async scanDevSystemExtensions(W,z){const te=this.environmentService.isBuilt?[]:this.productService.builtInExtensions;if(!te?.length)return[];this.logService.trace("Started scanning dev system extensions");const V=z?await this.getBuiltInExtensionControl():{},Y=[],X=d.URI.file(b.normalize(b.join(D.FileAccess.asFileUri("",Z).fsPath,"..",".build","builtInExtensions")));for(const x of te){const B=V[x.name]||"marketplace";switch(B){case"disabled":break;case"marketplace":Y.push((0,y.joinPath)(X,x.name));break;default:Y.push(d.URI.file(B));break}}const K=await Promise.all(Y.map(async x=>this.extensionsScanner.scanExtension(await this.createExtensionScannerInput(x,!1,0,!0,W))));return this.logService.trace("Scanned dev system extensions:",K.length),(0,R.coalesce)(K)}async getBuiltInExtensionControl(){try{const W=await this.fileService.readFile(this.extensionsControlLocation);return JSON.parse(W.value.toString())}catch{return{}}}async createExtensionScannerInput(W,z,te,V,Y,X=!0){const K=await this.getTranslations(Y??p.language),x=await this.getMtime(W),B=z?this.userDataProfilesService.defaultProfile.extensionsResource:void 0,J=B?await this.getMtime(B):void 0;return new _(W,x,B,J,z,te,V,X,this.productService.version,this.productService.date,this.productService.commit,!this.environmentService.isBuilt,Y,K)}async getMtime(W){try{const z=await this.fileService.stat(W);if(typeof z.mtime=="number")return z.mtime}catch{}}};U=fe([Q(4,f.IUserDataProfilesService),Q(5,l.IExtensionsProfileScannerService),Q(6,n.IFileService),Q(7,a.ILogService),Q(8,m.IEnvironmentService),Q(9,c.IProductService)],U),e.AbstractExtensionsScannerService=U;class _{constructor(W,z,te,V,Y,X,K,x,B,J,F,$,j,G){this.location=W,this.mtime=z,this.applicationExtensionslocation=te,this.applicationExtensionslocationMtime=V,this.profile=Y,this.type=X,this.excludeObsolete=K,this.validate=x,this.productVersion=B,this.productDate=J,this.productCommit=F,this.devMode=$,this.language=j,this.translations=G}static createNlsConfiguration(W){return{language:W.language,pseudo:W.language==="pseudo",devMode:W.devMode,translations:W.translations}}static equals(W,z){return(0,y.isEqual)(W.location,z.location)&&W.mtime===z.mtime&&(0,y.isEqual)(W.applicationExtensionslocation,z.applicationExtensionslocation)&&W.applicationExtensionslocationMtime===z.applicationExtensionslocationMtime&&W.profile===z.profile&&W.type===z.type&&W.excludeObsolete===z.excludeObsolete&&W.validate===z.validate&&W.productVersion===z.productVersion&&W.productDate===z.productDate&&W.productCommit===z.productCommit&&W.devMode===z.devMode&&W.language===z.language&&E.equals(W.translations,z.translations)}}class N extends I.Disposable{constructor(W,z,te,V){super();this.obsoleteFile=W,this.extensionsProfileScannerService=z,this.fileService=te,this.logService=V}async scanExtensions(W){const z=W.profile?await this.scanExtensionsFromProfile(W):await this.scanExtensionsFromLocation(W);let te={};if(W.excludeObsolete&&W.type===1)try{const V=(await this.fileService.readFile(this.obsoleteFile)).value.toString();te=JSON.parse(V)}catch{}return(0,w.isEmptyObject)(te)?z:z.filter(V=>!te[g.ExtensionKey.create(V).toString()])}async scanExtensionsFromLocation(W){const z=await this.fileService.resolve(W.location);if(!z.children?.length)return[];const te=await Promise.all(z.children.map(async V=>{if(!V.isDirectory||W.type===1&&(0,y.basename)(V.resource).indexOf(".")===0)return null;const Y=new _(V.resource,W.mtime,W.applicationExtensionslocation,W.applicationExtensionslocationMtime,W.profile,W.type,W.excludeObsolete,W.validate,W.productVersion,W.productDate,W.productCommit,W.devMode,W.language,W.translations);return this.scanExtension(Y)}));return(0,R.coalesce)(te).sort((V,Y)=>V.location.path<Y.location.path?-1:1)}async scanExtensionsFromProfile(W){const z=await this.scanExtensionsFromProfileResource(W.location,()=>!0,W),te=await this.scanApplicationExtensions(W);return[...z,...te]}async scanApplicationExtensions(W){return W.applicationExtensionslocation?this.scanExtensionsFromProfileResource(W.applicationExtensionslocation,z=>!!z.metadata?.isApplicationScoped,W):[]}async scanExtensionsFromProfileResource(W,z,te){const V=await this.extensionsProfileScannerService.scanProfileExtensions(W);if(!V.length)return[];const Y=await Promise.all(V.map(async X=>{if(z(X)){const K=new _(X.location,te.mtime,te.applicationExtensionslocation,te.applicationExtensionslocationMtime,te.profile,te.type,te.excludeObsolete,te.validate,te.productVersion,te.productDate,te.productCommit,te.devMode,te.language,te.translations);return this.scanExtension(K,X.metadata)}return null}));return(0,R.coalesce)(Y)}async scanOneOrMultipleExtensions(W){try{if(await this.fileService.exists((0,y.joinPath)(W.location,"package.json"))){const z=await this.scanExtension(W);return z?[z]:[]}else return await this.scanExtensions(W)}catch(z){return this.logService.error(`Error scanning extensions at ${W.location.path}:`,(0,A.getErrorMessage)(z)),[]}}async scanExtension(W,z){try{let te=await this.scanExtensionManifest(W.location);if(te){te.publisher||(te.publisher=u.UNDEFINED_PUBLISHER),z=z??te.__metadata,delete te.__metadata;const V=(0,g.getGalleryExtensionId)(te.publisher,te.name),Y=z?.id?{id:V,uuid:z.id}:{id:V},X=z?.isSystem?0:W.type,K=X===0||!!z?.isBuiltin;te=await this.translateManifest(W.location,te,_.createNlsConfiguration(W));const x={type:X,identifier:Y,manifest:te,location:W.location,isBuiltin:K,targetPlatform:z?.targetPlatform??"undefined",metadata:z,isValid:!0,validations:[]};return W.validate?this.validate(x,W):x}}catch(te){W.type!==0&&this.logService.error(te)}return null}validate(W,z){let te=!0;const V=(0,r.validateExtensionManifest)(z.productVersion,z.productDate,z.location,W.manifest,W.isBuiltin);for(const[Y,X]of V)Y===S.default.Error&&(te=!1,this.logService.error(this.formatMessage(z.location,X)));return W.isValid=te,W.validations=V,W}async scanExtensionManifest(W){const z=(0,y.joinPath)(W,"package.json");let te;try{te=(await this.fileService.readFile(z)).value.toString()}catch(Y){return(0,n.toFileOperationResult)(Y)!==1&&this.logService.error(this.formatMessage(W,(0,v.localize)(0,null,z.path,Y.message))),null}let V;try{V=JSON.parse(te)}catch{const X=[];(0,C.parse)(te,X);for(const K of X)this.logService.error(this.formatMessage(W,(0,v.localize)(1,null,z.path,K.offset,K.length,(0,P.getParseErrorMessage)(K.error))));return null}return(0,C.getNodeType)(V)!=="object"?(this.logService.error(this.formatMessage(W,(0,v.localize)(2,null,z.path))),null):V}async translateManifest(W,z,te){const V=await this.getLocalizedMessages(W,z,te);if(V)try{const Y=[],X=await this.resolveOriginalMessageBundle(V.default,Y);if(Y.length>0)return Y.forEach(x=>{this.logService.error(this.formatMessage(W,(0,v.localize)(3,null,V.default?.path,(0,P.getParseErrorMessage)(x.error))))}),z;if((0,C.getNodeType)(V)!=="object")return this.logService.error(this.formatMessage(W,(0,v.localize)(4,null,V.default?.path))),z;const K=V.values||Object.create(null);this.replaceNLStrings(te.pseudo,z,K,X,W)}catch{}return z}async getLocalizedMessages(W,z,te){const V=(0,y.joinPath)(W,"package.nls.json"),Y=(B,J)=>{J.forEach(F=>{this.logService.error(this.formatMessage(W,(0,v.localize)(5,null,B?.path,(0,P.getParseErrorMessage)(F.error))))})},X=B=>{this.logService.error(this.formatMessage(W,(0,v.localize)(6,null,B?.path)))},K=`${z.publisher}.${z.name}`,x=te.translations[K];if(x)try{const B=d.URI.file(x),J=(await this.fileService.readFile(B)).value.toString(),F=[],$=(0,C.parse)(J,F);return F.length>0?(Y(B,F),{values:void 0,default:V}):(0,C.getNodeType)($)!=="object"?(X(B),{values:void 0,default:V}):{values:$.contents?$.contents.package:void 0,default:V}}catch{return{values:void 0,default:V}}else{if(!await this.fileService.exists(V))return;let J;try{J=await this.findMessageBundles(W,te)}catch{return}if(!J.localized)return{values:void 0,default:J.original};try{const F=(await this.fileService.readFile(J.localized)).value.toString(),$=[],j=(0,C.parse)(F,$);return $.length>0?(Y(J.localized,$),{values:void 0,default:J.original}):(0,C.getNodeType)(j)!=="object"?(X(J.localized),{values:void 0,default:J.original}):{values:j,default:J.original}}catch{return{values:void 0,default:J.original}}}}async resolveOriginalMessageBundle(W,z){if(W)try{const te=(await this.fileService.readFile(W)).value.toString();return(0,C.parse)(te,z)}catch{return null}else return null}findMessageBundles(W,z){return new Promise((te,V)=>{const Y=X=>{const K=(0,y.joinPath)(W,`package.nls.${X}.json`);this.fileService.exists(K).then(x=>{x&&te({localized:K,original:(0,y.joinPath)(W,"package.nls.json")});const B=X.lastIndexOf("-");B===-1?te({localized:(0,y.joinPath)(W,"package.nls.json"),original:null}):(X=X.substring(0,B),Y(X))})};if(z.devMode||z.pseudo||!z.language)return te({localized:(0,y.joinPath)(W,"package.nls.json"),original:null});Y(z.language)})}replaceNLStrings(W,z,te,V,Y){const X=(K,x,B)=>{const J=K[x];if((0,w.isString)(J)){const F=J,$=F.length;if($>1&&F[0]==="%"&&F[$-1]==="%"){const j=F.substr(1,$-2);let G=te[j];G===void 0&&V&&(G=V[j]);let q=typeof G=="string"?G:typeof G?.message=="string"?G.message:void 0;q!==void 0?(W&&(q="\uFF3B"+q.replace(/[aouei]/g,"$&$&")+"\uFF3D"),K[x]=B&&(x==="title"||x==="category")&&V?{value:q,original:V[j]}:q):this.logService.warn(this.formatMessage(Y,(0,v.localize)(7,null,j)))}}else if((0,w.isObject)(J))for(const F in J)J.hasOwnProperty(F)&&(F==="commands"?X(J,F,!0):X(J,F,B));else if((0,w.isArray)(J))for(let F=0;F<J.length;F++)X(J,F,B)};for(const K in z)z.hasOwnProperty(K)&&X(z,K)}formatMessage(W,z){return`[${W.path}]: ${z}`}}class L extends N{constructor(W,z,te,V,Y){super(z,te,V,Y);this.cacheFile=W,this.cacheValidatorThrottler=this._register(new t.ThrottledDelayer(3e3)),this._onDidChangeCache=this._register(new o.Emitter),this.onDidChangeCache=this._onDidChangeCache.event}async scanExtensions(W){const z=await this.readExtensionCache();if(this.input=W,z&&z.input&&_.equals(z.input,this.input))return this.cacheValidatorThrottler.trigger(()=>this.validateCache()),z.result.map(V=>(V.location=d.URI.revive(V.location),V));const te=await super.scanExtensions(W);return await this.writeExtensionCache({input:W,result:te}),te}async readExtensionCache(){try{const W=await this.fileService.readFile(this.cacheFile),z=JSON.parse(W.value.toString());return{result:z.result,input:(0,s.revive)(z.input)}}catch(W){this.logService.debug("Error while reading the extension cache file:",this.cacheFile.path,(0,A.getErrorMessage)(W))}return null}async writeExtensionCache(W){try{await this.fileService.writeFile(this.cacheFile,T.VSBuffer.fromString(JSON.stringify(W)))}catch(z){this.logService.debug("Error while writing the extension cache file:",this.cacheFile.path,(0,A.getErrorMessage)(z))}}async validateCache(){if(!this.input)return;const W=await this.readExtensionCache();if(!W)return;const z=W.result,te=JSON.parse(JSON.stringify(await super.scanExtensions(this.input)));if(!k.equals(te,z))try{await this.fileService.del(this.cacheFile),this._onDidChangeCache.fire()}catch(V){this.logService.error(V)}}}function M(H,W){const z=(0,g.getExtensionId)(H.manifest.publisher,H.manifest.name);return{id:z,identifier:new u.ExtensionIdentifier(z),isBuiltin:H.type===0,isUserBuiltin:H.type===1&&H.isBuiltin,isUnderDevelopment:W,extensionLocation:H.location,uuid:H.identifier.uuid,targetPlatform:H.targetPlatform,...H.manifest}}e.toExtensionDescription=M;class O extends U{constructor(W,z,te,V,Y,X,K,x,B,J){super(W,z,(0,y.joinPath)(te,".vscode-oss-dev","extensions","control.json"),(0,y.joinPath)(V,u.MANIFEST_CACHE_FOLDER),Y,X,K,x,B,J);this.translationsPromise=(async()=>{if(p.translationsConfigFile)try{const F=await this.fileService.readFile(d.URI.file(p.translationsConfigFile));return JSON.parse(F.value.toString())}catch{}return Object.create(null)})()}getTranslations(W){return this.translationsPromise}}e.NativeExtensionsScannerService=O}),define(re[234],se([0,1,2,18,28,41,10,29]),function(Z,e,R,t,k,T,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DefaultExtensionsProfileInitService=void 0;let P=class extends R.Disposable{constructor(D,b,p,y){super();this.userDataProfilesService=D,this.fileService=b,this.extensionManagementService=p,this.extensionsProfileScannerService=y}async initialize(){const D=this.getDefaultExtensionsProfileResource();try{await this.fileService.del(D)}catch{}const b=await this.extensionManagementService.getInstalled(1),p=await Promise.all(b.map(async y=>[y,await this.extensionManagementService.getMetadata(y)]));await this.extensionsProfileScannerService.addExtensionsToProfile(p,D)}async uninitialize(){try{await this.fileService.del(this.getDefaultExtensionsProfileResource())}catch{}}getDefaultExtensionsProfileResource(){return this.userDataProfilesService.defaultProfile.extensionsResource??(0,t.joinPath)(this.userDataProfilesService.defaultProfile.location,C.EXTENSIONS_RESOURCE_NAME)}};P=fe([Q(0,C.IUserDataProfilesService),Q(1,A.IFileService),Q(2,k.IExtensionManagementService),Q(3,T.IExtensionsProfileScannerService)],P),e.DefaultExtensionsProfileInitService=P}),define(re[235],se([0,1,47,6,37,3,2,20,13,27,7,29]),function(Z,e,R,t,k,T,A,C,P,I,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsLifecycle=void 0;let p=class extends A.Disposable{constructor(h,S){super();this.userDataProfilesService=h,this.logService=S,this.processesLimiter=new t.Limiter(5)}async postUninstall(h){const S=this.parseScript(h,"uninstall");return S&&(this.logService.info(h.identifier.id,h.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(S.script,"uninstall",S.args,!0,h).then(()=>this.logService.info(h.identifier.id,h.manifest.version,"Finished running post uninstall script"),w=>this.logService.error(h.identifier.id,h.manifest.version,`Failed to run post uninstall script: ${w}`)))),I.Promises.rm(this.getExtensionStoragePath(h)).then(void 0,w=>this.logService.error("Error while removing extension storage path",w))}parseScript(h,S){const w=`vscode:${S}`;if(h.location.scheme===C.Schemas.file&&h.manifest&&h.manifest.scripts&&typeof h.manifest.scripts[w]=="string"){const d=h.manifest.scripts[w].split(" ");return d.length<2||d[0]!=="node"||!d[1]?(this.logService.warn(h.identifier.id,h.manifest.version,`${w} should be a node script`),null):{script:(0,P.join)(h.location.fsPath,d[1]),args:d.slice(2)||[]}}return null}runLifecycleHook(h,S,w,d,v){return new Promise((m,g)=>{const u=this.start(h,S,w,v);let r;const n=i=>{r&&(clearTimeout(r),r=null),i?g(i):m(void 0)};u.on("error",i=>{n((0,k.toErrorMessage)(i)||"Unknown")}),u.on("exit",(i,a)=>{n(i?`post-${S} process exited with code ${i}`:void 0)}),d&&(r=setTimeout(()=>{r=null,u.kill(),g("timed out")},5e3))})}start(h,S,w,d){const v={silent:!0,execArgv:void 0},m=(0,R.fork)(h,[`--type=extension-post-${S}`,...w],v);m.stdout.setEncoding("utf8"),m.stderr.setEncoding("utf8");const g=T.Event.fromNodeEventEmitter(m.stdout,"data"),u=T.Event.fromNodeEventEmitter(m.stderr,"data");g(i=>this.logService.info(d.identifier.id,d.manifest.version,`post-${S}`,i)),u(i=>this.logService.error(d.identifier.id,d.manifest.version,`post-${S}`,i));const r=T.Event.any(T.Event.map(g,i=>({data:`%c${i}`,format:[""]})),T.Event.map(u,i=>({data:`%c${i}`,format:["color: red"]})));return T.Event.debounce(r,(i,a)=>i?{data:i.data+a.data,format:[...i.format,...a.format]}:{data:a.data,format:a.format},100)(i=>{console.group(d.identifier.id),console.log(i.data,...i.format),console.groupEnd()}),m}getExtensionStoragePath(h){return(0,P.join)(this.userDataProfilesService.defaultProfile.globalStorageHome.fsPath,h.identifier.id.toLowerCase())}};p=fe([Q(0,b.IUserDataProfilesService),Q(1,D.ILogService)],p),e.ExtensionsLifecycle=p}),define(re[236],se([0,1,8,15,41,70,10,7,24,29]),function(Z,e,R,t,k,T,A,C,P,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsScannerService=void 0;let D=class extends T.NativeExtensionsScannerService{constructor(p,y,h,S,w,d){super(R.URI.file(w.builtinExtensionsPath),R.URI.file(w.extensionsPath),w.userHome,R.URI.file(w.userDataPath),p,y,h,S,w,d)}};D=fe([Q(0,I.IUserDataProfilesService),Q(1,k.IExtensionsProfileScannerService),Q(2,A.IFileService),Q(3,C.ILogService),Q(4,t.INativeEnvironmentService),Q(5,P.IProductService)],D),e.ExtensionsScannerService=D}),define(re[22],se([0,1,6,3,2,188,14,85,5,29]),function(Z,e,R,t,k,T,A,C,P,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.isProfileUsingDefaultStorage=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const D="__$__targetStorageMarker";e.IStorageService=(0,P.createDecorator)("storageService");var b;(function(v){v[v.NONE=0]="NONE",v[v.SHUTDOWN=1]="SHUTDOWN"})(b=e.WillSaveStateReason||(e.WillSaveStateReason={}));var p;(function(v){v[v.APPLICATION=-1]="APPLICATION",v[v.PROFILE=0]="PROFILE",v[v.WORKSPACE=1]="WORKSPACE"})(p=e.StorageScope||(e.StorageScope={}));var y;(function(v){v[v.USER=0]="USER",v[v.MACHINE=1]="MACHINE"})(y=e.StorageTarget||(e.StorageTarget={}));class h extends k.Disposable{constructor(m={flushInterval:h.DEFAULT_FLUSH_INTERVAL}){super();this.options=m,this._onDidChangeValue=this._register(new t.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new t.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new t.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new R.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new k.MutableDisposable),this._workspaceKeyTargets=void 0,this._profileKeyTargets=void 0,this._applicationKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,R.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,k.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,T.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,T.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(m,g){if(g===D){switch(m){case-1:this._applicationKeyTargets=void 0;break;case 0:this._profileKeyTargets=void 0;break;case 1:this._workspaceKeyTargets=void 0;break}this._onDidChangeTarget.fire({scope:m})}else this._onDidChangeValue.fire({scope:m,key:g,target:this.getKeyTargets(m)[g]})}emitWillSaveState(m){this._onWillSaveState.fire({reason:m})}get(m,g,u){return this.getStorage(g)?.get(m,u)}getBoolean(m,g,u){return this.getStorage(g)?.getBoolean(m,u)}getNumber(m,g,u){return this.getStorage(g)?.getNumber(m,u)}store(m,g,u,r){if((0,A.isUndefinedOrNull)(g)){this.remove(m,u);return}this.withPausedEmitters(()=>{this.updateKeyTarget(m,u,r),this.getStorage(u)?.set(m,g)})}remove(m,g){this.withPausedEmitters(()=>{this.updateKeyTarget(m,g,void 0),this.getStorage(g)?.delete(m)})}withPausedEmitters(m){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{m()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(m,g){const u=[],r=this.getKeyTargets(m);for(const n of Object.keys(r))r[n]===g&&u.push(n);return u}updateKeyTarget(m,g,u){const r=this.getKeyTargets(g);typeof u=="number"?r[m]!==u&&(r[m]=u,this.getStorage(g)?.set(D,JSON.stringify(r))):typeof r[m]=="number"&&(delete r[m],this.getStorage(g)?.set(D,JSON.stringify(r)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get profileKeyTargets(){return this._profileKeyTargets||(this._profileKeyTargets=this.loadKeyTargets(0)),this._profileKeyTargets}get applicationKeyTargets(){return this._applicationKeyTargets||(this._applicationKeyTargets=this.loadKeyTargets(-1)),this._applicationKeyTargets}getKeyTargets(m){switch(m){case-1:return this.applicationKeyTargets;case 0:return this.profileKeyTargets;default:return this.workspaceKeyTargets}}loadKeyTargets(m){const g=this.get(D,m);if(g)try{return JSON.parse(g)}catch{}return Object.create(null)}isNew(m){return this.getBoolean(e.IS_NEW_KEY,m)===!0}async flush(m=b.NONE){this._onWillSaveState.fire({reason:m});const g=this.getStorage(-1),u=this.getStorage(0),r=this.getStorage(1);switch(m){case b.NONE:await R.Promises.settled([g?.whenFlushed()??Promise.resolve(),u?.whenFlushed()??Promise.resolve(),r?.whenFlushed()??Promise.resolve()]);break;case b.SHUTDOWN:await R.Promises.settled([g?.flush(0)??Promise.resolve(),u?.flush(0)??Promise.resolve(),r?.flush(0)??Promise.resolve()]);break}}async log(){const m=this.getStorage(-1)?.items??new Map,g=this.getStorage(0)?.items??new Map,u=this.getStorage(1)?.items??new Map;return d(m,g,u,this.getLogDetails(-1)??"",this.getLogDetails(0)??"",this.getLogDetails(1)??"")}async switch(m,g){return this.emitWillSaveState(b.NONE),(0,I.isUserDataProfile)(m)?this.switchToProfile(m,g):this.switchToWorkspace(m,g)}canSwitchProfile(m,g){return!(m.id===g.id||S(g)&&S(m))}switchData(m,g,u,r){this.withPausedEmitters(()=>{if(r)for(const[n,i]of m)g.set(n,i);else{const n=new Set;for(const[i,a]of m)n.add(i),g.get(i)!==a&&this.emitDidChangeValue(u,i);for(const[i]of g.items)n.has(i)||this.emitDidChangeValue(u,i)}})}}e.AbstractStorageService=h,h.DEFAULT_FLUSH_INTERVAL=60*1e3;function S(v){return v.isDefault||!!v.useDefaultFlags?.uiState}e.isProfileUsingDefaultStorage=S;class w extends h{constructor(){super();this.applicationStorage=this._register(new C.Storage(new C.InMemoryStorageDatabase)),this.profileStorage=this._register(new C.Storage(new C.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new C.Storage(new C.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(m=>this.emitDidChangeValue(1,m))),this._register(this.profileStorage.onDidChangeStorage(m=>this.emitDidChangeValue(0,m))),this._register(this.applicationStorage.onDidChangeStorage(m=>this.emitDidChangeValue(-1,m)))}getStorage(m){switch(m){case-1:return this.applicationStorage;case 0:return this.profileStorage;default:return this.workspaceStorage}}getLogDetails(m){switch(m){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async doInitialize(){}async switchToProfile(){}async switchToWorkspace(){}}e.InMemoryStorageService=w;async function d(v,m,g,u,r,n){const i=_=>{try{return JSON.parse(_)}catch{return _}},a=new Map,c=new Map;v.forEach((_,N)=>{a.set(N,_),c.set(N,i(_))});const o=new Map,s=new Map;m.forEach((_,N)=>{o.set(N,_),s.set(N,i(_))});const l=new Map,f=new Map;g.forEach((_,N)=>{l.set(N,_),f.set(N,i(_))}),console.group(u!==r?`Storage: Application (path: ${u})`:`Storage: Application & Profile (path: ${u}, default profile)`);const E=[];if(a.forEach((_,N)=>{E.push({key:N,value:_})}),console.table(E),console.groupEnd(),console.log(c),u!==r){console.group(`Storage: Profile (path: ${r}, profile specific)`);const _=[];o.forEach((N,L)=>{_.push({key:L,value:N})}),console.table(_),console.groupEnd(),console.log(s)}console.group(`Storage: Workspace (path: ${n})`);const U=[];l.forEach((_,N)=>{U.push({key:N,value:_})}),console.table(U),console.groupEnd(),console.log(f)}e.logStorage=d}),define(re[237],se([0,1,3,2,14,28,32,22]),function(Z,e,R,t,k,T,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageManager=e.GlobalExtensionEnablementService=void 0;let P=class extends t.Disposable{constructor(b,p){super();this._onDidChangeEnablement=new R.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this.storageManger=this._register(new I(b)),this._register(this.storageManger.onDidChange(y=>this._onDidChangeEnablement.fire({extensions:y,source:"storage"}))),this._register(p.onDidInstallExtensions(y=>y.forEach(({local:h,operation:S})=>{h&&S===4&&this._removeFromDisabledExtensions(h.identifier)})))}async enableExtension(b,p){return this._removeFromDisabledExtensions(b)?(this._onDidChangeEnablement.fire({extensions:[b],source:p}),!0):!1}async disableExtension(b,p){return this._addToDisabledExtensions(b)?(this._onDidChangeEnablement.fire({extensions:[b],source:p}),!0):!1}getDisabledExtensions(){return this._getExtensions(T.DISABLED_EXTENSIONS_STORAGE_PATH)}async getDisabledExtensionsAsync(){return this.getDisabledExtensions()}_addToDisabledExtensions(b){const p=this.getDisabledExtensions();return p.every(y=>!(0,A.areSameExtensions)(y,b))?(p.push(b),this._setDisabledExtensions(p),!0):!1}_removeFromDisabledExtensions(b){const p=this.getDisabledExtensions();for(let y=0;y<p.length;y++){const h=p[y];if((0,A.areSameExtensions)(h,b))return p.splice(y,1),this._setDisabledExtensions(p),!0}return!1}_setDisabledExtensions(b){this._setExtensions(T.DISABLED_EXTENSIONS_STORAGE_PATH,b)}_getExtensions(b){return this.storageManger.get(b,0)}_setExtensions(b,p){this.storageManger.set(b,p,0)}};P=fe([Q(0,C.IStorageService),Q(1,T.IExtensionManagementService)],P),e.GlobalExtensionEnablementService=P;class I extends t.Disposable{constructor(b){super();this.storageService=b,this.storage=Object.create(null),this._onDidChange=this._register(new R.Emitter),this.onDidChange=this._onDidChange.event,this._register(b.onDidChangeValue(p=>this.onDidStorageChange(p)))}get(b,p){let y;return p===0?((0,k.isUndefinedOrNull)(this.storage[b])&&(this.storage[b]=this._get(b,p)),y=this.storage[b]):y=this._get(b,p),JSON.parse(y)}set(b,p,y){const h=JSON.stringify(p.map(({id:w,uuid:d})=>({id:w,uuid:d})));this._get(b,y)!==h&&(y===0&&(p.length?this.storage[b]=h:delete this.storage[b]),this._set(b,p.length?h:void 0,y))}onDidStorageChange(b){if(b.scope===0&&!(0,k.isUndefinedOrNull)(this.storage[b.key])&&this._get(b.key,b.scope)!==this.storage[b.key]){const y=this.get(b.key,b.scope);delete this.storage[b.key];const h=this.get(b.key,b.scope),S=y.filter(d=>!h.some(v=>(0,A.areSameExtensions)(d,v))),w=h.filter(d=>!y.some(v=>(0,A.areSameExtensions)(v,d)));(S.length||w.length)&&this._onDidChange.fire([...S,...w])}}_get(b,p){return this.storageService.get(b,p,"[]")}_set(b,p,y){p?this.storageService.store(b,p,y,1):this.storageService.remove(b,y)}}e.StorageManager=I}),define(re[238],se([0,1,17,23,9,4,35,14,8,19,15,28,32,65,10,7,24,45,216,22,21]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v,m,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGalleryServiceWithNoStorageService=e.ExtensionGalleryService=e.sortExtensionVersions=void 0;const u=T.isWeb?"web":(0,b.getTargetPlatform)(T.platform,A.arch);var r;(function(F){F[F.None=0]="None",F[F.IncludeVersions=1]="IncludeVersions",F[F.IncludeFiles=2]="IncludeFiles",F[F.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",F[F.IncludeSharedAccounts=8]="IncludeSharedAccounts",F[F.IncludeVersionProperties=16]="IncludeVersionProperties",F[F.ExcludeNonValidated=32]="ExcludeNonValidated",F[F.IncludeInstallationTargets=64]="IncludeInstallationTargets",F[F.IncludeAssetUri=128]="IncludeAssetUri",F[F.IncludeStatistics=256]="IncludeStatistics",F[F.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",F[F.Unpublished=4096]="Unpublished",F[F.IncludeNameConflictInfo=32768]="IncludeNameConflictInfo"})(r||(r={}));function n(...F){return String(F.reduce(($,j)=>$|j,0))}var i;(function(F){F[F.Tag=1]="Tag",F[F.ExtensionId=4]="ExtensionId",F[F.Category=5]="Category",F[F.ExtensionName=7]="ExtensionName",F[F.Target=8]="Target",F[F.Featured=9]="Featured",F[F.SearchText=10]="SearchText",F[F.ExcludeWithFlags=12]="ExcludeWithFlags"})(i||(i={}));const a={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},c={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension",SponsorLink:"Microsoft.VisualStudio.Code.SponsorLink"},s={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:r.None,criteria:[],assetTypes:[]};class l{constructor($=s){this.state=$}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage($,j=this.state.pageSize){return new l({...this.state,pageNumber:$,pageSize:j})}withFilter($,...j){const G=[...this.state.criteria,...j.length?j.map(q=>({filterType:$,value:q})):[{filterType:$}]];return new l({...this.state,criteria:G})}withSortBy($){return new l({...this.state,sortBy:$})}withSortOrder($){return new l({...this.state,sortOrder:$})}withFlags(...$){return new l({...this.state,flags:$.reduce((j,G)=>j|G,0)})}withAssetTypes(...$){return new l({...this.state,assetTypes:$})}withSource($){return new l({...this.state,source:$})}get raw(){const{criteria:$,pageNumber:j,pageSize:G,sortBy:q,sortOrder:ee,flags:ne,assetTypes:ae}=this.state;return{filters:[{criteria:$,pageNumber:j,pageSize:G,sortBy:q,sortOrder:ee}],assetTypes:ae,flags:ne}}get searchText(){const $=this.state.criteria.filter(j=>j.filterType===i.SearchText)[0];return $&&$.value?$.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map($=>String($.filterType)),flags:this.state.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder),pageNumber:String(this.pageNumber),source:this.state.source,searchTextLength:this.searchText.length}}}function f(F,$){const j=(F||[]).filter(G=>G.statisticName===$)[0];return j?j.value:0}function E(F){const $="Microsoft.VisualStudio.Code.Translation.";return F.files.filter(G=>G.assetType.indexOf($)===0).reduce((G,q)=>{const ee=N(F,q.assetType);return ee&&G.push([q.assetType.substring($.length),ee]),G},[])}function U(F){if(F.properties){const $=F.properties.filter(q=>q.key===a.Repository),j=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),G=$.filter(q=>j.test(q.value))[0];return G?{uri:G.value,fallbackUri:G.value}:null}return N(F,a.Repository)}function _(F){return{uri:`${F.fallbackAssetUri}/${a.VSIX}?redirect=true${F.targetPlatform?`&targetPlatform=${F.targetPlatform}`:""}`,fallbackUri:`${F.fallbackAssetUri}/${a.VSIX}${F.targetPlatform?`?targetPlatform=${F.targetPlatform}`:""}`}}function N(F,$){return F.files.filter(G=>G.assetType===$)[0]?{uri:`${F.assetUri}/${$}${F.targetPlatform?`?targetPlatform=${F.targetPlatform}`:""}`,fallbackUri:`${F.fallbackAssetUri}/${$}${F.targetPlatform?`?targetPlatform=${F.targetPlatform}`:""}`}:null}function L(F,$){const j=F.properties?F.properties.filter(q=>q.key===$):[],G=j.length>0&&j[0].value;return G?G.split(",").map(q=>(0,p.adoptToGalleryExtensionId)(q)):[]}function M(F){const $=F.properties?F.properties.filter(j=>j.key===c.Engine):[];return $.length>0&&$[0].value||""}function O(F){const $=F.properties?F.properties.filter(j=>j.key===c.PreRelease):[];return $.length>0&&$[0].value==="true"}function H(F){const $=F.properties?F.properties.filter(G=>G.key===c.LocalizedLanguages):[],j=$.length>0&&$[0].value||"";return j?j.split(","):[]}function W(F){return F.properties?.find($=>$.key===c.SponsorLink)?.value}function z(F){return F.indexOf("preview")!==-1}function te(F){return F.targetPlatform?(0,b.toTargetPlatform)(F.targetPlatform):"undefined"}function V(F){const $=(0,R.distinct)(F.versions.map(te)),j=!!F.tags?.includes(b.WEB_EXTENSION_TAG),G=$.indexOf("web");return j?G===-1&&$.push("web"):G!==-1&&$.splice(G,1),$}function Y(F,$){const j=(0,b.getFallbackTargetPlarforms)($);for(let G=0;G<F.length;G++){const q=F[G];if(q.version===F[G-1]?.version){let ee=G;const ne=te(q);if(ne===$)for(;ee>0&&F[ee-1].version===q.version;)ee--;else if(j.includes(ne))for(;ee>0&&F[ee-1].version===q.version&&te(F[ee-1])!==$;)ee--;ee!==G&&(F.splice(G,1),F.splice(ee,0,q))}}return F}e.sortExtensionVersions=Y;function X(F,$,j){F.telemetryData={index:$,querySource:j}}function K(F,$,j){const G=F.versions[0],q={manifest:N($,a.Manifest),readme:N($,a.Details),changelog:N($,a.Changelog),license:N($,a.License),repository:U($),download:_($),icon:N($,a.Icon),coreTranslations:E($)};return{identifier:{id:(0,p.getGalleryExtensionId)(F.publisher.publisherName,F.extensionName),uuid:F.extensionId},name:F.extensionName,version:$.version,displayName:F.displayName,publisherId:F.publisher.publisherId,publisher:F.publisher.publisherName,publisherDisplayName:F.publisher.displayName,publisherDomain:F.publisher.domain?{link:F.publisher.domain,verified:!!F.publisher.isDomainVerified}:void 0,publisherSponsorLink:W(G),description:F.shortDescription||"",installCount:f(F.statistics,"install"),rating:f(F.statistics,"averagerating"),ratingCount:f(F.statistics,"ratingcount"),categories:F.categories||[],tags:F.tags||[],releaseDate:Date.parse(F.releaseDate),lastUpdated:Date.parse(F.lastUpdated),allTargetPlatforms:j,assets:q,properties:{dependencies:L($,c.Dependency),extensionPack:L($,c.ExtensionPack),engine:M($),localizedLanguages:H($),targetPlatform:te($),isPreReleaseVersion:O($)},hasPreReleaseVersion:O(G),hasReleaseVersion:!0,preview:z(F.flags)}}let x=class{constructor($,j,G,q,ee,ne,ae,le){this.requestService=j,this.logService=G,this.environmentService=q,this.telemetryService=ee,this.fileService=ne,this.productService=ae,this.configurationService=le;const Se=ae.extensionsGallery;this.extensionsGalleryUrl=Se&&Se.serviceUrl,this.extensionsControlUrl=Se&&Se.controlUrl,this.commonHeadersPromise=(0,v.resolveMarketplaceHeaders)(ae.version,ae,this.environmentService,this.configurationService,this.fileService,$,this.telemetryService)}api($=""){return`${this.extensionsGalleryUrl}${$}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions($,j,G){const q=t.CancellationToken.isCancellationToken(j)?{}:j,ee=t.CancellationToken.isCancellationToken(j)?j:G,ne=[],ae=[],le=[],Se=[];let ge=!0;for(const be of $){be.uuid?ae.push(be.uuid):ne.push(be.id);const Pe=!!(be.version||be.preRelease);le.push({id:be.id,uuid:be.uuid,includePreRelease:Pe}),be.version&&Se.push({id:be.id,uuid:be.uuid,version:be.version}),ge=ge&&!!be.hasPreRelease&&!Pe}if(!ae.length&&!ne.length)return[];let pe=new l().withPage(1,$.length);ae.length&&(pe=pe.withFilter(i.ExtensionId,...ae)),ne.length&&(pe=pe.withFilter(i.ExtensionName,...ne)),(q.queryAllVersions||ge)&&(pe=pe.withFlags(pe.flags,r.IncludeVersions)),q.source&&(pe=pe.withSource(q.source));const{extensions:Ce}=await this.queryGalleryExtensions(pe,{targetPlatform:q.targetPlatform??u,includePreRelease:le,versions:Se,compatible:!!q.compatible},ee);return q.source&&Ce.forEach((be,Pe)=>X(be,Pe,q.source)),Ce}async getCompatibleExtension($,j,G){if((0,b.isNotWebExtensionInWebTargetPlatform)($.allTargetPlatforms,G))return null;if(await this.isExtensionCompatible($,j,G))return $;const q=new l().withFlags(r.IncludeVersions).withPage(1,1).withFilter(i.ExtensionId,$.identifier.uuid),{extensions:ee}=await this.queryGalleryExtensions(q,{targetPlatform:G,compatible:!0,includePreRelease:j},t.CancellationToken.None);return ee[0]||null}async isExtensionCompatible($,j,G){if(!(0,b.isTargetPlatformCompatible)($.properties.targetPlatform,$.allTargetPlatforms,G)||!j&&$.properties.isPreReleaseVersion)return!1;let q=$.properties.engine;if(!q){const ee=await this.getManifest($,t.CancellationToken.None);if(!ee)throw new Error("Manifest was not found");q=ee.engines.vscode}return(0,y.isEngineValid)(q,this.productService.version,this.productService.date)}async isValidVersion($,j,G,q,ee){if(!(0,b.isTargetPlatformCompatible)(te($),q,ee)||j!=="any"&&O($)!==(j==="prerelease"))return!1;if(G)try{const ne=await this.getEngine($);if(!(0,y.isEngineValid)(ne,this.productService.version,this.productService.date))return!1}catch(ne){return this.logService.error(`Error while getting the engine for the version ${$.version}.`,(0,k.getErrorMessage)(ne)),!1}return!0}async query($,j){if(!this.isEnabled())throw new Error("No extension gallery service configured.");let G=$.text||"";const q=$.pageSize??50;let ee=new l().withPage(1,q);G?(G=G.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ge,pe,Ce)=>(ee=ee.withFilter(i.Category,Ce||pe),"")),G=G.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(ge,pe,Ce)=>(ee=ee.withFilter(i.Tag,Ce||pe),"")),G=G.replace(/\bfeatured(\s+|\b|$)/g,()=>(ee=ee.withFilter(i.Featured),"")),G=G.trim(),G&&(G=G.length<200?G:G.substring(0,200),ee=ee.withFilter(i.SearchText,G)),ee=ee.withSortBy(0)):$.ids?ee=ee.withFilter(i.ExtensionId,...$.ids):$.names?ee=ee.withFilter(i.ExtensionName,...$.names):ee=ee.withSortBy(4),typeof $.sortBy=="number"&&(ee=ee.withSortBy($.sortBy)),typeof $.sortOrder=="number"&&(ee=ee.withSortOrder($.sortOrder)),$.source&&(ee=ee.withSource($.source));const ne=async(ge,pe)=>{const{extensions:Ce,total:be}=await this.queryGalleryExtensions(ge,{targetPlatform:u,compatible:!1,includePreRelease:!!$.includePreRelease},pe);return Ce.forEach((Pe,We)=>X(Pe,(ge.pageNumber-1)*ge.pageSize+We,$.source)),{extensions:Ce,total:be}},{extensions:ae,total:le}=await ne(ee,j),Se=async(ge,pe)=>{if(pe.isCancellationRequested)throw new k.CancellationError;const{extensions:Ce}=await ne(ee.withPage(ge+1),pe);return Ce};return{firstPage:ae,total:le,pageSize:ee.pageSize,getPage:Se}}async queryGalleryExtensions($,j,G){const q=$.flags;!!($.flags&r.IncludeLatestVersionOnly)&&!!($.flags&r.IncludeVersions)&&($=$.withFlags($.flags&~r.IncludeVersions,r.IncludeLatestVersionOnly)),!($.flags&r.IncludeLatestVersionOnly)&&!($.flags&r.IncludeVersions)&&($=$.withFlags($.flags,r.IncludeLatestVersionOnly)),j.versions?.length&&($=$.withFlags($.flags&~r.IncludeLatestVersionOnly,r.IncludeVersions)),$=$.withFlags($.flags,r.IncludeAssetUri,r.IncludeCategoryAndTags,r.IncludeFiles,r.IncludeStatistics,r.IncludeVersionProperties);const{galleryExtensions:ee,total:ne}=await this.queryRawGalleryExtensions($,G);if(!($.flags&r.IncludeLatestVersionOnly)){const ge=[];for(const pe of ee){const Ce=await this.toGalleryExtensionWithCriteria(pe,j);Ce&&ge.push(Ce)}return{extensions:ge,total:ne}}const le=[],Se=new Map;for(let ge=0;ge<ee.length;ge++){const pe=ee[ge],Ce={id:(0,p.getGalleryExtensionId)(pe.publisher.publisherName,pe.extensionName),uuid:pe.extensionId},be=(0,C.isBoolean)(j.includePreRelease)?j.includePreRelease:!!j.includePreRelease.find(We=>(0,p.areSameExtensions)(We,Ce))?.includePreRelease;if(j.compatible&&(0,b.isNotWebExtensionInWebTargetPlatform)(V(pe),j.targetPlatform))continue;const Pe=await this.toGalleryExtensionWithCriteria(pe,j);!Pe||Pe.properties.isPreReleaseVersion&&(!be||!Pe.hasReleaseVersion)||!Pe.properties.isPreReleaseVersion&&Pe.properties.targetPlatform!==j.targetPlatform&&Pe.hasPreReleaseVersion?Se.set(pe.extensionId,ge):le.push([ge,Pe])}if(Se.size){const ge=new Date().getTime(),pe=new l().withFlags(q&~r.IncludeLatestVersionOnly,r.IncludeVersions).withPage(1,Se.size).withFilter(i.ExtensionId,...Se.keys()),{extensions:Ce}=await this.queryGalleryExtensions(pe,j,G);this.telemetryService.publicLog2("galleryService:additionalQuery",{duration:new Date().getTime()-ge,count:Se.size});for(const be of Ce){const Pe=Se.get(be.identifier.uuid);le.push([Pe,be])}}return{extensions:le.sort((ge,pe)=>ge[0]-pe[0]).map(([,ge])=>ge),total:ne}}async toGalleryExtensionWithCriteria($,j){const G={id:(0,p.getGalleryExtensionId)($.publisher.publisherName,$.extensionName),uuid:$.extensionId},q=j.versions?.find(le=>(0,p.areSameExtensions)(le,G))?.version,ee=(0,C.isBoolean)(j.includePreRelease)?j.includePreRelease:!!j.includePreRelease.find(le=>(0,p.areSameExtensions)(le,G))?.includePreRelease,ne=V($),ae=Y($.versions,j.targetPlatform);if(j.compatible&&(0,b.isNotWebExtensionInWebTargetPlatform)(ne,j.targetPlatform))return null;for(let le=0;le<ae.length;le++){const Se=ae[le];if(!(q&&Se.version!==q)){if(await this.isValidVersion(Se,ee?"any":"release",j.compatible,ne,j.targetPlatform))return K($,Se,ne);if(q&&Se.version===q)return null}}return q||j.compatible?null:K($,$.versions[0],ne)}async queryRawGalleryExtensions($,j){if(!this.isEnabled())throw new Error("No extension gallery service configured.");$=$.withFlags($.flags,r.ExcludeNonValidated).withFilter(i.Target,"Microsoft.VisualStudio.Code").withFilter(i.ExcludeWithFlags,n(r.Unpublished));const G=await this.commonHeadersPromise,q=JSON.stringify($.raw),ee={...G,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(q.length)},ne=new Date().getTime();let ae,le,Se=0;try{if(ae=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:q,headers:ee},j),ae.res.statusCode&&ae.res.statusCode>=400&&ae.res.statusCode<500)return{galleryExtensions:[],total:Se};const ge=await(0,d.asJson)(ae);if(ge){const pe=ge.results[0],Ce=pe.extensions,be=pe.resultMetadata&&pe.resultMetadata.filter(Pe=>Pe.metadataType==="ResultCount")[0];return Se=be&&be.metadataItems.filter(Pe=>Pe.name==="TotalCount")[0].count||0,{galleryExtensions:Ce,total:Se}}return{galleryExtensions:[],total:Se}}catch(ge){throw le=ge,ge}finally{this.telemetryService.publicLog2("galleryService:query",{...$.telemetryData,requestBodySize:String(q.length),duration:new Date().getTime()-ne,success:!!ae&&(0,d.isSuccess)(ae),responseBodySize:ae?.res.headers["Content-Length"],statusCode:ae?String(ae.res.statusCode):void 0,errorCode:le?(0,k.isCancellationError)(le)?"canceled":(0,k.getErrorMessage)(le).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(Se)})}}async reportStatistic($,j,G,q){if(!this.isEnabled())return;const ee=T.isWeb?this.api(`/itemName/${$}.${j}/version/${G}/statType/${q==="install"?"1":"3"}/vscodewebextension`):this.api(`/publishers/${$}/extensions/${j}/${G}/stats?statType=${q}`),ne=T.isWeb?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",le={...await this.commonHeadersPromise,Accept:ne};try{await this.requestService.request({type:"POST",url:ee,headers:le},t.CancellationToken.None)}catch{}}async download($,j,G){this.logService.trace("ExtensionGalleryService#download",$.identifier.id);const q=(0,p.getGalleryExtensionTelemetryData)($),ee=new Date().getTime(),ne=ge=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...q,duration:ge}),ae=G===2?"install":G===3?"update":"",le=ae?{uri:`${$.assets.download.uri}${P.URI.parse($.assets.download.uri).query?"&":"?"}${ae}=true`,fallbackUri:`${$.assets.download.fallbackUri}${P.URI.parse($.assets.download.fallbackUri).query?"&":"?"}${ae}=true`}:$.assets.download,Se=await this.getAsset(le);await this.fileService.writeFile(j,Se.stream),ne(new Date().getTime()-ee)}async getReadme($,j){if($.assets.readme){const G=await this.getAsset($.assets.readme,{},j);return await(0,d.asTextOrError)(G)||""}return""}async getManifest($,j){if($.assets.manifest){const G=await this.getAsset($.assets.manifest,{},j),q=await(0,d.asTextOrError)(G);return q?JSON.parse(q):null}return null}async getManifestFromRawExtensionVersion($,j){const G=N($,a.Manifest);if(!G)throw new Error("Manifest was not found");const q={"Accept-Encoding":"gzip"},ee=await this.getAsset(G,{headers:q});return await(0,d.asJson)(ee)}async getCoreTranslation($,j){const G=$.assets.coreTranslations.filter(q=>q[0]===j.toUpperCase())[0];if(G){const q=await this.getAsset(G[1]),ee=await(0,d.asTextOrError)(q);return ee?JSON.parse(ee):null}return null}async getChangelog($,j){if($.assets.changelog){const G=await this.getAsset($.assets.changelog,{},j);return await(0,d.asTextOrError)(G)||""}return""}async getAllCompatibleVersions($,j,G){let q=new l().withFlags(r.IncludeVersions,r.IncludeCategoryAndTags,r.IncludeFiles,r.IncludeVersionProperties).withPage(1,1);$.identifier.uuid?q=q.withFilter(i.ExtensionId,$.identifier.uuid):q=q.withFilter(i.ExtensionName,$.identifier.id);const{galleryExtensions:ee}=await this.queryRawGalleryExtensions(q,t.CancellationToken.None);if(!ee.length)return[];const ne=V(ee[0]);if((0,b.isNotWebExtensionInWebTargetPlatform)(ne,G))return[];const ae=[];await Promise.all(ee[0].versions.map(async ge=>{try{await this.isValidVersion(ge,j?"any":"release",!0,ne,G)&&ae.push(ge)}catch{}}));const le=[],Se=new Set;for(const ge of Y(ae,G))Se.has(ge.version)||(Se.add(ge.version),le.push({version:ge.version,date:ge.lastUpdated,isPreReleaseVersion:O(ge)}));return le}async getAsset($,j={},G=t.CancellationToken.None){const q=await this.commonHeadersPromise,ee={type:"GET"},ne={...q,...j.headers||{}};j={...j,...ee,headers:ne};const ae=$.uri,le=$.fallbackUri,Se={...j,url:ae};try{const ge=await this.requestService.request(Se,G);if(ge.res.statusCode===200)return ge;const pe=await(0,d.asTextOrError)(ge);throw new Error(`Expected 200, got back ${ge.res.statusCode} instead.

${pe}`)}catch(ge){if((0,k.isCancellationError)(ge))throw ge;const pe=(0,k.getErrorMessage)(ge);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:ae,message:pe});const Ce={...j,url:le};return this.requestService.request(Ce,G)}}async getEngine($){let j=M($);if(!j){const G=await this.getManifestFromRawExtensionVersion($,t.CancellationToken.None);if(!G)throw new Error("Manifest was not found");j=G.engines.vscode}return j}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return{malicious:[],deprecated:{}};const $=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},t.CancellationToken.None);if($.res.statusCode!==200)throw new Error("Could not get extensions report.");const j=await(0,d.asJson)($),G=[],q={};if(j){for(const ee of j.malicious)G.push({id:ee});if(j.migrateToPreRelease)for(const[ee,ne]of Object.entries(j.migrateToPreRelease))(!ne.engine||(0,y.isEngineValid)(ne.engine,this.productService.version,this.productService.date))&&(q[ee.toLowerCase()]={disallowInstall:!0,extension:{id:ne.id,displayName:ne.displayName,autoMigrate:{storage:!!ne.migrateStorage},preRelease:!0}});if(j.deprecated)for(const[ee,ne]of Object.entries(j.deprecated))ne&&(q[ee.toLowerCase()]=(0,C.isBoolean)(ne)?{}:ne)}return{malicious:G,deprecated:q}}};x=fe([Q(1,d.IRequestService),Q(2,S.ILogService),Q(3,D.IEnvironmentService),Q(4,g.ITelemetryService),Q(5,h.IFileService),Q(6,w.IProductService),Q(7,I.IConfigurationService)],x);let B=class extends x{constructor($,j,G,q,ee,ne,ae,le){super($,j,G,q,ee,ne,ae,le)}};B=fe([Q(0,m.IStorageService),Q(1,d.IRequestService),Q(2,S.ILogService),Q(3,D.IEnvironmentService),Q(4,g.ITelemetryService),Q(5,h.IFileService),Q(6,w.IProductService),Q(7,I.IConfigurationService)],B),e.ExtensionGalleryService=B;let J=class extends x{constructor($,j,G,q,ee,ne,ae){super(void 0,$,j,G,q,ee,ne,ae)}};J=fe([Q(0,d.IRequestService),Q(1,S.ILogService),Q(2,D.IEnvironmentService),Q(3,g.ITelemetryService),Q(4,h.IFileService),Q(5,w.IProductService),Q(6,I.IConfigurationService)],J),e.ExtensionGalleryServiceWithNoStorageService=J}),define(re[71],se([0,1,5,3,2,22,32,24,17,7,14]),function(Z,e,R,t,k,T,A,C,P,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStorageService=e.IExtensionStorageService=void 0,e.IExtensionStorageService=(0,R.createDecorator)("IExtensionStorageService");const b=/^extensionKeys\/([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;let p=class Je extends k.Disposable{constructor(h,S,w){super();this.storageService=h,this.productService=S,this.logService=w,this._onDidChangeExtensionStorageToSync=this._register(new t.Emitter),this.onDidChangeExtensionStorageToSync=this._onDidChangeExtensionStorageToSync.event,this.extensionsWithKeysForSync=Je.readAllExtensionsWithKeysForSync(h),this._register(this.storageService.onDidChangeValue(d=>this.onDidChangeStorageValue(d)))}static toKey(h){return`extensionKeys/${(0,A.adoptToGalleryExtensionId)(h.id)}@${h.version}`}static fromKey(h){const S=b.exec(h);if(S&&S[1])return{id:S[1],version:S[2]}}static async removeOutdatedExtensionVersions(h,S){const w=await h.getInstalled(),d=[];for(const[v,m]of Je.readAllExtensionsWithKeysForSync(S)){const g=w.find(u=>(0,A.areSameExtensions)(u.identifier,{id:v}))?.manifest.version;for(const u of m)g!==u&&d.push(Je.toKey({id:v,version:u}))}for(const v of d)S.remove(v,0)}static readAllExtensionsWithKeysForSync(h){const S=new Map,w=h.keys(0,1);for(const d of w){const v=Je.fromKey(d);if(v){let m=S.get(v.id.toLowerCase());m||S.set(v.id.toLowerCase(),m=[]),m.push(v.version)}}return S}onDidChangeStorageValue(h){if(h.scope!==0)return;if(this.extensionsWithKeysForSync.has(h.key.toLowerCase())){this._onDidChangeExtensionStorageToSync.fire();return}const S=Je.fromKey(h.key);if(S){if(this.storageService.get(h.key,0)===void 0)this.extensionsWithKeysForSync.delete(S.id.toLowerCase());else{let w=this.extensionsWithKeysForSync.get(S.id.toLowerCase());w||this.extensionsWithKeysForSync.set(S.id.toLowerCase(),w=[]),w.push(S.version),this._onDidChangeExtensionStorageToSync.fire()}return}}getExtensionId(h){if((0,D.isString)(h))return h;const S=h.manifest?h.manifest.publisher:h.publisher,w=h.manifest?h.manifest.name:h.name;return(0,A.getExtensionId)(S,w)}getExtensionState(h,S){const w=this.getExtensionId(h),d=this.storageService.get(w,S?0:1);if(d)try{return JSON.parse(d)}catch(v){this.logService.error(`[mainThreadStorage] unexpected error parsing storage contents (extensionId: ${w}, global: ${S}): ${v}`)}}setExtensionState(h,S,w){const d=this.getExtensionId(h);S===void 0?this.storageService.remove(d,w?0:1):this.storageService.store(d,JSON.stringify(S),w?0:1,1)}setKeysForSync(h,S){this.storageService.store(Je.toKey(h),JSON.stringify(S),0,1)}getKeysForSync(h){const S=this.productService.extensionSyncedKeys?.[h.id.toLowerCase()],w=this.storageService.get(Je.toKey(h),0),d=w?JSON.parse(w):void 0;return d&&S?(0,P.distinct)([...d,...S]):d||S}addToMigrationList(h,S){if(h!==S){const w=this.migrationList.filter(d=>!d.includes(h)&&!d.includes(S));w.push([h,S]),this.migrationList=w}}getSourceExtensionToMigrate(h){const S=this.migrationList.find(([,w])=>h===w);return S?S[0]:void 0}get migrationList(){const h=this.storageService.get("extensionStorage.migrationList",-1,"[]");try{const S=JSON.parse(h);if((0,D.isArray)(S))return S}catch{}return[]}set migrationList(h){h.length?this.storageService.store("extensionStorage.migrationList",JSON.stringify(h),-1,1):this.storageService.remove("extensionStorage.migrationList",-1)}};p=fe([Q(0,T.IStorageService),Q(1,C.IProductService),Q(2,I.ILogService)],p),e.ExtensionStorageService=p}),define(re[239],se([0,1,17,6,3,13,4,35,8,143,15,28,32,207,91,10,7,67,24,45,22,21]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v,m,g,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;const r="extensionTips/promptedExecutableTips",n="extensionTips/lastPromptedMediumImpExeTime";let i=class extends y.ExtensionTipsService{constructor(c,o,s,l,f,E,U,_,N,L){super(U,_,N,L);this.environmentService=c,this.telemetryService=o,this.extensionManagementService=s,this.storageService=l,this.nativeHostService=f,this.extensionRecommendationNotificationService=E,this.highImportanceExecutableTips=new Map,this.mediumImportanceExecutableTips=new Map,this.allOtherExecutableTips=new Map,this.highImportanceTipsByExe=new Map,this.mediumImportanceTipsByExe=new Map,_.exeBasedExtensionTips&&Object.entries(_.exeBasedExtensionTips).forEach(([M,O])=>{const H=[],W=[],z=[];Object.entries(O.recommendations).forEach(([te,V])=>{V.important?O.important?H.push({extensionId:te,extensionName:V.name,isExtensionPack:!!V.isExtensionPack}):W.push({extensionId:te,extensionName:V.name,isExtensionPack:!!V.isExtensionPack}):z.push({extensionId:te,extensionName:V.name,isExtensionPack:!!V.isExtensionPack})}),H.length&&this.highImportanceExecutableTips.set(M,{exeFriendlyName:O.friendlyName,windowsPath:O.windowsPath,recommendations:H}),W.length&&this.mediumImportanceExecutableTips.set(M,{exeFriendlyName:O.friendlyName,windowsPath:O.windowsPath,recommendations:W}),z.length&&this.allOtherExecutableTips.set(M,{exeFriendlyName:O.friendlyName,windowsPath:O.windowsPath,recommendations:z})}),(0,t.timeout)(3e3).then(async()=>{await this.collectTips(),this.promptHighImportanceExeBasedTip(),this.promptMediumImportanceExeBasedTip()})}async getImportantExecutableBasedTips(){const c=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),o=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips);return[...c,...o]}getOtherExecutableBasedTips(){return this.getValidExecutableBasedExtensionTips(this.allOtherExecutableTips)}async collectTips(){const c=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),o=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips),s=await this.extensionManagementService.getInstalled();this.highImportanceTipsByExe=this.groupImportantTipsByExe(c,s),this.mediumImportanceTipsByExe=this.groupImportantTipsByExe(o,s)}groupImportantTipsByExe(c,o){const s=new Map;c.forEach(_=>s.set(_.extensionId.toLowerCase(),_));const{installed:l,uninstalled:f}=this.groupByInstalled([...s.keys()],o);for(const _ of l){const N=s.get(_);N&&this.telemetryService.publicLog2("exeExtensionRecommendations:alreadyInstalled",{extensionId:_,exeName:N.exeName})}for(const _ of f){const N=s.get(_);N&&this.telemetryService.publicLog2("exeExtensionRecommendations:notInstalled",{extensionId:_,exeName:N.exeName})}const E=this.getPromptedExecutableTips(),U=new Map;for(const _ of f){const N=s.get(_);if(N&&(!E[N.exeName]||!E[N.exeName].includes(N.extensionId))){let L=U.get(N.exeName);L||(L=[],U.set(N.exeName,L)),L.push(N)}}return U}promptHighImportanceExeBasedTip(){if(this.highImportanceTipsByExe.size===0)return;const[c,o]=[...this.highImportanceTipsByExe.entries()][0];this.promptExeRecommendations(o).then(s=>{switch(s){case"reacted":this.addToRecommendedExecutables(o[0].exeName,o);break;case"ignored":this.highImportanceTipsByExe.delete(c);break;case"incompatibleWindow":{const l=k.Event.once(k.Event.latch(k.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(l(()=>this.promptHighImportanceExeBasedTip()));break}case"toomany":{const l=this._register((0,t.disposableTimeout)(()=>{l.dispose(),this.promptHighImportanceExeBasedTip()},60*60*1e3));break}}})}promptMediumImportanceExeBasedTip(){if(this.mediumImportanceTipsByExe.size===0)return;const c=this.getLastPromptedMediumExeTime(),o=Date.now()-c,s=7*24*60*60*1e3;if(o<s){const E=this._register((0,t.disposableTimeout)(()=>{E.dispose(),this.promptMediumImportanceExeBasedTip()},s-o));return}const[l,f]=[...this.mediumImportanceTipsByExe.entries()][0];this.promptExeRecommendations(f).then(E=>{switch(E){case"reacted":{this.updateLastPromptedMediumExeTime(Date.now()),this.mediumImportanceTipsByExe.delete(l),this.addToRecommendedExecutables(f[0].exeName,f);const U=this._register((0,t.disposableTimeout)(()=>{U.dispose(),this.promptMediumImportanceExeBasedTip()},s));break}case"ignored":this.mediumImportanceTipsByExe.delete(l),this.promptMediumImportanceExeBasedTip();break;case"incompatibleWindow":{const U=k.Event.once(k.Event.latch(k.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(U(()=>this.promptMediumImportanceExeBasedTip()));break}case"toomany":{const U=this._register((0,t.disposableTimeout)(()=>{U.dispose(),this.promptMediumImportanceExeBasedTip()},60*60*1e3));break}}})}async promptExeRecommendations(c){const o=await this.extensionManagementService.getInstalled(1),s=c.filter(f=>!f.whenNotInstalled||f.whenNotInstalled.every(E=>o.every(U=>!(0,p.areSameExtensions)(U.identifier,{id:E})))).map(({extensionId:f})=>f.toLowerCase()),l=(0,I.localize)(0,null,c[0].exeFriendlyName);return this.extensionRecommendationNotificationService.promptImportantExtensionsInstallNotification(s,l,`@exe:"${c[0].exeName}"`,3)}getLastPromptedMediumExeTime(){let c=this.storageService.getNumber(n,-1);return c||(c=Date.now(),this.updateLastPromptedMediumExeTime(c)),c}updateLastPromptedMediumExeTime(c){this.storageService.store(n,c,-1,1)}getPromptedExecutableTips(){return JSON.parse(this.storageService.get(r,-1,"{}"))}addToRecommendedExecutables(c,o){const s=this.getPromptedExecutableTips();s[c]=o.map(({extensionId:l})=>l.toLowerCase()),this.storageService.store(r,JSON.stringify(s),-1,0)}groupByInstalled(c,o){const s=[],l=[],f=o.reduce((E,U)=>(E.add(U.identifier.id.toLowerCase()),E),new Set);return c.forEach(E=>{f.has(E.toLowerCase())?s.push(E):l.push(E)}),{installed:s,uninstalled:l}}async getValidExecutableBasedExtensionTips(c){const o=[],s=new Map;for(const l of c.keys()){const f=c.get(l);if(!f||!(0,R.isNonEmptyArray)(f.recommendations))continue;const E=[];A.isWindows?f.windowsPath&&E.push(f.windowsPath.replace("%USERPROFILE%",C.env.USERPROFILE).replace("%ProgramFiles(x86)%",C.env["ProgramFiles(x86)"]).replace("%ProgramFiles%",C.env.ProgramFiles).replace("%APPDATA%",C.env.APPDATA).replace("%WINDIR%",C.env.WINDIR)):(E.push((0,T.join)("/usr/local/bin",l)),E.push((0,T.join)("/usr/bin",l)),E.push((0,T.join)(this.environmentService.userHome.fsPath,l)));for(const U of E){let _=s.get(U);if(_===void 0&&(_=await this.fileService.exists(P.URI.file(U)),s.set(U,_)),_)for(const{extensionId:N,extensionName:L,isExtensionPack:M,whenNotInstalled:O}of f.recommendations)o.push({extensionId:N,extensionName:L,isExtensionPack:M,exeName:l,exeFriendlyName:f.exeFriendlyName,windowsPath:f.windowsPath,whenNotInstalled:O})}}return o}};i=fe([Q(0,D.INativeEnvironmentService),Q(1,u.ITelemetryService),Q(2,b.IExtensionManagementService),Q(3,g.IStorageService),Q(4,d.INativeHostService),Q(5,h.IExtensionRecommendationNotificationService),Q(6,S.IFileService),Q(7,v.IProductService),Q(8,m.IRequestService),Q(9,w.ILogService)],i),e.ExtensionTipsService=i}),define(re[240],se([0,1,6,2,18,85,22,213]),function(Z,e,R,t,k,T,A,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeStorageService=void 0;class P extends A.AbstractStorageService{constructor(D,b,p,y){super();this.initialWorkspace=D,this.initialProfiles=b,this.mainProcessService=p,this.environmentService=y,this.applicationStorageProfile=this.initialProfiles.defaultProfile,this.applicationStorage=this.createApplicationStorage(),this.profileStorageProfile=this.initialProfiles.currentProfile,this.profileStorageDisposables=this._register(new t.DisposableStore),this.profileStorage=this.createProfileStorage(this.profileStorageProfile),this.workspaceStorageId=this.initialWorkspace?.id,this.workspaceStorageDisposables=this._register(new t.DisposableStore),this.workspaceStorage=this.createWorkspaceStorage(this.initialWorkspace)}createApplicationStorage(){const D=this._register(new C.ApplicationStorageDatabaseClient(this.mainProcessService.getChannel("storage"))),b=this._register(new T.Storage(D));return this._register(b.onDidChangeStorage(p=>this.emitDidChangeValue(-1,p))),b}createProfileStorage(D){this.profileStorageDisposables.clear(),this.profileStorageProfile=D;let b;if((0,A.isProfileUsingDefaultStorage)(D))b=this.applicationStorage;else{const p=this.profileStorageDisposables.add(new C.ProfileStorageDatabaseClient(this.mainProcessService.getChannel("storage"),D));b=this.profileStorageDisposables.add(new T.Storage(p))}return this.profileStorageDisposables.add(b.onDidChangeStorage(p=>this.emitDidChangeValue(0,p))),b}createWorkspaceStorage(D){this.workspaceStorageDisposables.clear(),this.workspaceStorageId=D?.id;let b;if(D){const p=this.workspaceStorageDisposables.add(new C.WorkspaceStorageDatabaseClient(this.mainProcessService.getChannel("storage"),D));b=this.workspaceStorageDisposables.add(new T.Storage(p)),this.workspaceStorageDisposables.add(b.onDidChangeStorage(y=>this.emitDidChangeValue(1,y)))}return b}async doInitialize(){await R.Promises.settled([this.applicationStorage.init(),this.profileStorage.init(),this.workspaceStorage?.init()??Promise.resolve()])}getStorage(D){switch(D){case-1:return this.applicationStorage;case 0:return this.profileStorage;default:return this.workspaceStorage}}getLogDetails(D){switch(D){case-1:return this.applicationStorageProfile.globalStorageHome.fsPath;case 0:return this.profileStorageProfile?.globalStorageHome.fsPath;default:return this.workspaceStorageId?`${(0,k.joinPath)(this.environmentService.workspaceStorageHome,this.workspaceStorageId,"state.vscdb").fsPath}`:void 0}}async close(){this.stopFlushWhenIdle(),this.emitWillSaveState(A.WillSaveStateReason.SHUTDOWN),await R.Promises.settled([this.applicationStorage.close(),this.profileStorage.close(),this.workspaceStorage?.close()??Promise.resolve()])}async switchToProfile(D,b){if(!this.canSwitchProfile(this.profileStorageProfile,D))return;const p=this.profileStorage,y=p.items;p!==this.applicationStorage&&await p.close(),this.profileStorage=this.createProfileStorage(D),await this.profileStorage.init(),this.switchData(y,this.profileStorage,0,b)}async switchToWorkspace(D,b){const p=this.workspaceStorage,y=p?.items??new Map;await p?.close(),this.workspaceStorage=this.createWorkspaceStorage(D),await this.workspaceStorage.init(),this.switchData(y,this.workspaceStorage,1,b)}}e.NativeStorageService=P}),define(re[241],se([0,1,15,10,94,7,29]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesNativeService=void 0;let C=class extends A.UserDataProfilesService{constructor(I,D,b,p,y){super(b,p,y);this.channel=D.getChannel("userDataProfiles"),this._profiles=I.map(h=>(0,A.reviveProfile)(h,this.profilesHome.scheme)),this._register(this.channel.listen("onDidChangeProfiles")(h=>{const S=h.added.map(d=>(0,A.reviveProfile)(d,this.profilesHome.scheme)),w=h.removed.map(d=>(0,A.reviveProfile)(d,this.profilesHome.scheme));this._profiles=h.all.map(d=>(0,A.reviveProfile)(d,this.profilesHome.scheme)),this._onDidChangeProfiles.fire({added:S,removed:w,all:this.profiles})}))}get profiles(){return this._profiles}async createProfile(I,D,b){const p=await this.channel.call("createProfile",[I,D,b]);return(0,A.reviveProfile)(p,this.profilesHome.scheme)}async setProfileForWorkspace(I,D){await this.channel.call("setProfileForWorkspace",[I,D])}removeProfile(I){return this.channel.call("removeProfile",[I])}};C=fe([Q(1,k.IMainProcessService),Q(2,R.IEnvironmentService),Q(3,t.IFileService),Q(4,T.ILogService)],C),e.UserDataProfilesNativeService=C}),define(re[59],se([0,1,75]),function(Z,e,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLineEndOffset=e.getLineStartOffset=e.edit=void 0;function t(A,C,P,I){const D=(0,R.setProperty)(A,C,P,I)[0];return D&&(A=A.substring(0,D.offset)+D.content+A.substring(D.offset+D.length)),A}e.edit=t;function k(A,C,P){let I=P;for(;I>=0;){if(A.charAt(I)===C.charAt(C.length-1)&&C.length===1)return I+1;if(I--,C.length===2&&I>=0&&A.charAt(I)===C.charAt(0))return I+2}return 0}e.getLineStartOffset=k;function T(A,C,P){let I=P;for(;I>=0;)if(A.charAt(I)===C.charAt(C.length-1)&&C.length===1||(I++,C.length===2&&I>=0&&A.charAt(I)===C.charAt(1)))return I;return A.length-1}e.getLineEndOffset=T}),define(re[242],se([0,1,30,55,14]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function T(p,y,h,S,w){const d=[],v=[],m=[];if(!y){const _=p.filter(({identifier:N})=>w.every(L=>L.toLowerCase()!==N.id.toLowerCase()));return{local:{added:d,removed:v,updated:m},remote:_.length>0?{added:_,updated:[],removed:[],all:_}:null}}p=p.map(D),y=y.map(D),h=h?h.map(D):null;const g=new Map,u=_=>{_.uuid&&g.set(_.id.toLowerCase(),_.uuid)};p.forEach(({identifier:_})=>u(_)),y.forEach(({identifier:_})=>u(_)),h?.forEach(({identifier:_})=>u(_));const r=_=>{const N=_.identifier.uuid||g.get(_.identifier.id.toLowerCase());return N?`uuid:${N}`:`id:${_.identifier.id.toLowerCase()}`},n=(_,N)=>(_.set(r(N),N),_),i=p.reduce(n,new Map),a=y.reduce(n,new Map),c=y.reduce((_,N)=>{const L=r(N);N=(0,R.deepClone)(N);const M=i.get(L);return M&&(M.installed&&(N.installed=!0),N.version||(N.version=M.version)),n(_,N)},new Map),o=h?h.reduce(n,new Map):null,s=S.reduce(n,new Map),l=w.reduce((_,N)=>{const L=g.get(N.toLowerCase());return _.add(L?`uuid:${L}`:`id:${N.toLowerCase()}`)},new Set),f=A(i,a,l);if(f.added.size>0||f.removed.size>0||f.updated.size>0){const _=A(o,i,l),N=A(o,a,l),L=(M,O)=>{const H=i.get(M);if(H){const W=a.get(M),z=O?W:H;return{...z,version:W.version&&(!H.installed||t.gt(W.version,H.version))?W.version:H.version,state:C(H,W,o?.get(M)),preRelease:(0,k.isUndefined)(z.preRelease)?H.preRelease:H.installed?z.preRelease:W.preRelease}}};for(const M of N.removed.values()){const O=i.get(M);O&&v.push(O.identifier)}for(const M of N.added.values())if(_.added.has(M)){if(f.updated.has(M)){const O=L(M,!0);O&&(m.push(b(O,M)),c.set(M,O))}}else{const O=a.get(M);O.installed&&d.push(b(O,M))}for(const M of N.updated.values()){const O=L(M,!0);O&&(m.push(b(O,M)),c.set(M,O))}for(const M of _.added.values())N.added.has(M)||c.set(M,i.get(M));for(const M of _.updated.values())if(!N.removed.has(M)&&!N.updated.has(M)){const O=L(M,!1);O&&(c.get(M)?.installed&&(O.installed=!0),c.set(M,O))}for(const M of _.removed.values())!s.has(M)&&!N.updated.has(M)&&o?.get(M)?.installed&&c.delete(M)}const E=[],U=A(a,c,new Set,{checkInstalledProperty:!0,checkVersionProperty:!0});return(U.added.size>0||U.updated.size>0||U.removed.size>0)&&c.forEach((_,N)=>E.push(b(_,N))),{local:{added:d,removed:v,updated:m},remote:E.length?{added:[...U.added].map(_=>c.get(_)),updated:[...U.updated].map(_=>c.get(_)),removed:[...U.removed].map(_=>a.get(_)),all:E}:null}}e.merge=T;function A(p,y,h,{checkInstalledProperty:S,checkVersionProperty:w}={checkInstalledProperty:!1,checkVersionProperty:!1}){const d=p?[...p.keys()].filter(r=>!h.has(r)):[],v=[...y.keys()].filter(r=>!h.has(r)),m=v.filter(r=>d.indexOf(r)===-1).reduce((r,n)=>(r.add(n),r),new Set),g=d.filter(r=>v.indexOf(r)===-1).reduce((r,n)=>(r.add(n),r),new Set),u=new Set;for(const r of d){if(g.has(r))continue;const n=p.get(r),i=y.get(r);(!i||n.disabled!==i.disabled||n.installed&&i.installed&&n.preRelease!==i.preRelease||!I(n.state,i.state)||w&&n.version!==i.version||S&&n.installed!==i.installed)&&u.add(r)}return{added:m,removed:g,updated:u}}function C(p,y,h){const S=p.state,w=y.state,d=h?.state;if(!y.version||S&&t.gt(p.version,y.version))return S;if(w&&t.gt(y.version,p.version)||!S)return w;if(!w)return S;const v=(0,R.deepClone)(S),m=d?P(d,w):{added:Object.keys(w).reduce((u,r)=>(u.add(r),u),new Set),removed:new Set,updated:new Set},g=d?P(d,S):{added:Object.keys(S).reduce((u,r)=>(u.add(r),u),new Set),removed:new Set,updated:new Set};for(const u of[...m.added.values(),...m.updated.values()])v[u]=w[u];for(const u of m.removed.values())g.updated.has(u)||delete v[u];return v}function P(p,y){const h=Object.keys(p),S=Object.keys(y),w=S.filter(m=>h.indexOf(m)===-1).reduce((m,g)=>(m.add(g),m),new Set),d=h.filter(m=>S.indexOf(m)===-1).reduce((m,g)=>(m.add(g),m),new Set),v=new Set;for(const m of h){if(d.has(m))continue;const g=p[m],u=y[m];(0,R.equals)(g,u)||v.add(m)}return{added:w,removed:d,updated:v}}function I(p={},y={}){const{added:h,removed:S,updated:w}=P(p,y);return h.size===0&&S.size===0&&w.size===0}function D(p){return{...p,disabled:!!p.disabled,installed:!!p.installed}}function b(p,y){const h={identifier:{id:p.identifier.id,uuid:y.startsWith("uuid:")?y.substring("uuid:".length):void 0},preRelease:!!p.preRelease};return p.version&&(h.version=p.version),p.disabled&&(h.disabled=!0),p.installed&&(h.installed=!0),p.state&&(h.state=p.state),h}}),define(re[106],se([0,1,17,19,5]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IgnoredExtensionsManagementService=e.IIgnoredExtensionsManagementService=void 0,e.IIgnoredExtensionsManagementService=(0,k.createDecorator)("IIgnoredExtensionsManagementService");let T=class{constructor(C){this.configurationService=C}hasToNeverSyncExtension(C){return this.getConfiguredIgnoredExtensions().includes(C.toLowerCase())}hasToAlwaysSyncExtension(C){return this.getConfiguredIgnoredExtensions().includes(`-${C.toLowerCase()}`)}updateIgnoredExtensions(C,P){let I=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(D=>D.toLowerCase());return I=I.filter(D=>D!==C&&D!==`-${C}`),P&&I.push(C.toLowerCase()),this.configurationService.updateValue("settingsSync.ignoredExtensions",I.length?I:void 0,1)}updateSynchronizedExtensions(C,P){let I=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(D=>D.toLowerCase());return I=I.filter(D=>D!==C&&D!==`-${C}`),P&&I.push(`-${C.toLowerCase()}`),this.configurationService.updateValue("settingsSync.ignoredExtensions",I.length?I:void 0,1)}getIgnoredExtensions(C){const P=C.filter(p=>p.isMachineScoped).map(p=>p.identifier.id.toLowerCase()),I=this.getConfiguredIgnoredExtensions().map(p=>p.toLowerCase()),D=[],b=[];if(Array.isArray(I))for(const p of I)p.startsWith("-")?b.push(p.substring(1)):D.push(p);return(0,R.distinct)([...P,...D].filter(p=>b.indexOf(p)===-1))}getConfiguredIgnoredExtensions(){let C=this.configurationService.inspect("settingsSync.ignoredExtensions").userValue;return C!==void 0||(C=this.configurationService.inspect("sync.ignoredExtensions").userValue,C!==void 0)?C:(this.configurationService.getValue("settingsSync.ignoredExtensions")||[]).map(P=>P.toLowerCase())}};T=fe([Q(0,t.IConfigurationService)],T),e.IgnoredExtensionsManagementService=T}),define(re[243],se([0,1,17,34,30,172,59]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=e.parseKeybindings=void 0;function C(g){return(0,t.parse)(g)||[]}e.parseKeybindings=C;async function P(g,u,r,n,i){const a=C(g),c=C(u),o=r?C(r):null,s=[...a,...c,...o||[]].map(W=>W.key),l=await i.resolveUserBindings(s),f=D(a,c,o,l);if(!f.hasLocalForwarded&&!f.hasRemoteForwarded)return{mergeContent:g,hasChanges:!1,hasConflicts:!1};if(!f.hasLocalForwarded&&f.hasRemoteForwarded)return{mergeContent:u,hasChanges:!0,hasConflicts:!1};if(f.hasLocalForwarded&&!f.hasRemoteForwarded)return{mergeContent:g,hasChanges:!0,hasConflicts:!1};const E=p(a),U=p(c),_=o?p(o):null,N=h(E,U,l),L=_?h(_,E,l):{added:[...E.keys()].reduce((W,z)=>(W.add(z),W),new Set),removed:new Set,updated:new Set},M=_?h(_,U,l):{added:[...U.keys()].reduce((W,z)=>(W.add(z),W),new Set),removed:new Set,updated:new Set},O=I(N,L,M);let H=g;for(const W of O.removed.values())O.conflicts.has(W)||(H=v(H,W,n));for(const W of O.added.values()){if(O.conflicts.has(W))continue;const z=U.get(W);if(z.some(te=>te.command!==`-${W}`&&f.conflicts.has(l[te.key]))){O.conflicts.add(W);continue}H=d(H,z,n)}for(const W of O.updated.values()){if(O.conflicts.has(W))continue;const z=U.get(W);if(z.some(te=>te.command!==`-${W}`&&f.conflicts.has(l[te.key]))){O.conflicts.add(W);continue}H=m(H,W,z,n)}return{mergeContent:H,hasChanges:!0,hasConflicts:O.conflicts.size>0}}e.merge=P;function I(g,u,r){const n=new Set,i=new Set,a=new Set,c=new Set;for(const o of u.removed.values())r.updated.has(o)&&c.add(o);for(const o of r.removed.values())c.has(o)||(u.updated.has(o)?c.add(o):i.add(o));for(const o of u.added.values())c.has(o)||r.added.has(o)&&g.updated.has(o)&&c.add(o);for(const o of r.added.values())c.has(o)||(u.added.has(o)?g.updated.has(o)&&c.add(o):n.add(o));for(const o of u.updated.values())c.has(o)||r.updated.has(o)&&g.updated.has(o)&&c.add(o);for(const o of r.updated.values())c.has(o)||(u.updated.has(o)?g.updated.has(o)&&c.add(o):a.add(o));return{added:n,removed:i,updated:a,conflicts:c}}function D(g,u,r,n){const i=new Set,a=b(g,n),c=b(u,n),o=r?b(r,n):null,s=y(a,c);if(s.added.size===0&&s.removed.size===0&&s.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!1,added:i,removed:i,updated:i,conflicts:i};const l=o?y(o,a):{added:[...a.keys()].reduce((L,M)=>(L.add(M),L),new Set),removed:new Set,updated:new Set};if(l.added.size===0&&l.removed.size===0&&l.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!0,added:i,removed:i,updated:i,conflicts:i};const f=o?y(o,c):{added:[...c.keys()].reduce((L,M)=>(L.add(M),L),new Set),removed:new Set,updated:new Set};if(f.added.size===0&&f.removed.size===0&&f.updated.size===0)return{hasLocalForwarded:!0,hasRemoteForwarded:!1,added:i,removed:i,updated:i,conflicts:i};const{added:E,removed:U,updated:_,conflicts:N}=I(s,l,f);return{hasLocalForwarded:!0,hasRemoteForwarded:!0,added:E,removed:U,updated:_,conflicts:N}}function b(g,u){const r=new Map;for(const n of g){const i=u[n.key];let a=r.get(i);a||(a=[],r.set(i,a)),a.push(n)}return r}function p(g){const u=new Map;for(const r of g){const n=r.command[0]==="-"?r.command.substring(1):r.command;let i=u.get(n);i||(i=[],u.set(n,i)),i.push(r)}return u}function y(g,u){const r=[...g.keys()],n=[...u.keys()],i=n.filter(o=>r.indexOf(o)===-1).reduce((o,s)=>(o.add(s),o),new Set),a=r.filter(o=>n.indexOf(o)===-1).reduce((o,s)=>(o.add(s),o),new Set),c=new Set;for(const o of r){if(a.has(o))continue;const s=g.get(o).map(f=>({...f,key:o})),l=u.get(o).map(f=>({...f,key:o}));(0,R.equals)(s,l,(f,E)=>w(f,E))||c.add(o)}return{added:i,removed:a,updated:c}}function h(g,u,r){const n=[...g.keys()],i=[...u.keys()],a=i.filter(s=>n.indexOf(s)===-1).reduce((s,l)=>(s.add(l),s),new Set),c=n.filter(s=>i.indexOf(s)===-1).reduce((s,l)=>(s.add(l),s),new Set),o=new Set;for(const s of n){if(c.has(s))continue;const l=g.get(s).map(E=>({...E,key:r[E.key]})),f=u.get(s).map(E=>({...E,key:r[E.key]}));S(l,f)||o.add(s)}return{added:a,removed:c,updated:o}}function S(g,u){return!(!(0,R.equals)(g.filter(({command:r})=>r[0]!=="-"),u.filter(({command:r})=>r[0]!=="-"),(r,n)=>w(r,n))||!(0,R.equals)(g.filter(({command:r})=>r[0]==="-"),u.filter(({command:r})=>r[0]==="-"),(r,n)=>w(r,n)))}function w(g,u){if(g.command!==u.command||g.key!==u.key)return!1;const r=T.ContextKeyExpr.deserialize(g.when),n=T.ContextKeyExpr.deserialize(u.when);return!(r&&!n||!r&&n||r&&n&&!r.equals(n)||!k.equals(g.args,u.args))}function d(g,u,r){for(const n of u)g=A.edit(g,[-1],n,r);return g}function v(g,u,r){const n=C(g);for(let i=n.length-1;i>=0;i--)(n[i].command===u||n[i].command===`-${u}`)&&(g=A.edit(g,[i],void 0,r));return g}function m(g,u,r,n){const i=C(g),a=i.findIndex(c=>c.command===u||c.command===`-${u}`);for(let c=i.length-1;c>=0;c--)(i[c].command===u||i[c].command===`-${u}`)&&(g=A.edit(g,[c],void 0,n));for(let c=r.length-1;c>=0;c--)g=A.edit(g,[a],r[c],n);return g}}),define(re[244],se([0,1]),function(Z,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.areSame=e.merge=void 0;function R(T,A,C){const P={},I={},D=new Set;if(!A)return{local:{added:P,updated:I,removed:[...D.values()]},remote:{added:T,updated:{},removed:[]},conflicts:[]};const b=t(T,A);if(b.added.size===0&&b.removed.size===0&&b.updated.size===0)return{local:{added:P,updated:I,removed:[...D.values()]},remote:{added:{},updated:{},removed:[]},conflicts:[]};const p=t(C,T),y=t(C,A),h={},S={},w=new Set,d=new Set;for(const v of p.removed.values())y.updated.has(v)?P[v]=A[v]:w.add(v);for(const v of y.removed.values())d.has(v)||(p.updated.has(v)?d.add(v):D.add(v));for(const v of p.updated.values())d.has(v)||(y.updated.has(v)?b.updated.has(v)&&d.add(v):S[v]=T[v]);for(const v of y.updated.values())d.has(v)||(p.updated.has(v)?b.updated.has(v)&&d.add(v):T[v]!==void 0&&(I[v]=A[v]));for(const v of p.added.values())d.has(v)||(y.added.has(v)?b.updated.has(v)&&d.add(v):h[v]=T[v]);for(const v of y.added.values())d.has(v)||(p.added.has(v)?b.updated.has(v)&&d.add(v):P[v]=A[v]);return{local:{added:P,removed:[...D.values()],updated:I},remote:{added:h,removed:[...w.values()],updated:S},conflicts:[...d.values()]}}e.merge=R;function t(T,A){const C=T?Object.keys(T):[],P=A?Object.keys(A):[],I=P.filter(p=>C.indexOf(p)===-1).reduce((p,y)=>(p.add(y),p),new Set),D=C.filter(p=>P.indexOf(p)===-1).reduce((p,y)=>(p.add(y),p),new Set),b=new Set;for(const p of C){if(D.has(p))continue;const y=T[p],h=A[p];y!==h&&b.add(p)}return{added:I,removed:D,updated:b}}function k(T,A){const{added:C,removed:P,updated:I}=t(T,A);return C.size===0&&P.size===0&&I.size===0}e.areSame=k}),define(re[25],se([0,1,17,18,14,162,44,28,5,97,40]),function(Z,e,R,t,k,T,A,C,P,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSyncResourceFromLocalPreview=e.PREVIEW_DIR_NAME=e.USER_DATA_SYNC_SCHEME=e.IUserDataSyncLogService=e.IUserDataSyncUtilService=e.IUserDataAutoSyncService=e.IUserDataSyncService=e.IUserDataSyncEnablementService=e.getEnablementKey=e.SYNC_SERVICE_URL_TYPE=e.MergeState=e.Change=e.SyncStatus=e.UserDataAutoSyncError=e.UserDataSyncStoreError=e.UserDataSyncError=e.UserDataSyncErrorCode=e.createSyncHeaders=e.HEADER_EXECUTION_ID=e.HEADER_OPERATION_ID=e.IUserDataSyncBackupStoreService=e.IUserDataSyncStoreService=e.IUserDataSyncStoreManagementService=e.getLastSyncResourceUri=e.ALL_SYNC_RESOURCES=e.SyncResource=e.isAuthenticationProvider=e.registerConfiguration=e.USER_DATA_SYNC_CONFIGURATION_SCOPE=e.getDefaultIgnoredSettings=e.getDisallowedIgnoredSettings=e.CONFIGURATION_SYNC_STORE_KEY=void 0,e.CONFIGURATION_SYNC_STORE_KEY="configurationSync.store";function b(){const o=D.Registry.as(A.Extensions.Configuration).getConfigurationProperties();return Object.keys(o).filter(s=>!!o[s].disallowSyncIgnore)}e.getDisallowedIgnoredSettings=b;function p(){const o=D.Registry.as(A.Extensions.Configuration).getConfigurationProperties(),s=Object.keys(o).filter(E=>!!o[E].ignoreSync),l=Object.keys(o).filter(E=>o[E].scope===2||o[E].scope===6),f=b();return(0,R.distinct)([e.CONFIGURATION_SYNC_STORE_KEY,...s,...l,...f])}e.getDefaultIgnoredSettings=p,e.USER_DATA_SYNC_CONFIGURATION_SCOPE="settingsSync";function y(){const o="vscode://schemas/ignoredSettings",s=D.Registry.as(A.Extensions.Configuration);s.registerConfiguration({id:"settingsSync",order:30,title:(0,T.localize)(0,null),type:"object",properties:{"settingsSync.keybindingsPerPlatform":{type:"boolean",description:(0,T.localize)(1,null),default:!0,scope:1,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredExtensions":{type:"array",markdownDescription:(0,T.localize)(2,null),items:[{type:"string",pattern:C.EXTENSION_IDENTIFIER_PATTERN,errorMessage:(0,T.localize)(3,null)}],default:[],scope:1,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredSettings":{type:"array",description:(0,T.localize)(4,null),default:[],scope:1,$ref:o,additionalProperties:!0,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]}}});const l=D.Registry.as(I.Extensions.JSONContribution),f=()=>{const E=b(),U=p().filter(M=>M!==e.CONFIGURATION_SYNC_STORE_KEY),_=Object.keys(A.allSettings.properties).filter(M=>U.indexOf(M)===-1),N=U.filter(M=>E.indexOf(M)===-1),L={items:{type:"string",enum:[..._,...N.map(M=>`-${M}`)]}};l.registerSchema(o,L)};return s.onDidUpdateConfiguration(()=>f())}e.registerConfiguration=y;function h(o){return o&&(0,k.isObject)(o)&&(0,k.isString)(o.id)&&(0,k.isArray)(o.scopes)}e.isAuthenticationProvider=h;var S;(function(o){o.Settings="settings",o.Keybindings="keybindings",o.Snippets="snippets",o.Tasks="tasks",o.Extensions="extensions",o.GlobalState="globalState"})(S=e.SyncResource||(e.SyncResource={})),e.ALL_SYNC_RESOURCES=["settings","keybindings","snippets","tasks","extensions","globalState"];function w(o,s,l){return l.joinPath(s.userDataSyncHome,o,`lastSync${o}.json`)}e.getLastSyncResourceUri=w,e.IUserDataSyncStoreManagementService=(0,P.createDecorator)("IUserDataSyncStoreManagementService"),e.IUserDataSyncStoreService=(0,P.createDecorator)("IUserDataSyncStoreService"),e.IUserDataSyncBackupStoreService=(0,P.createDecorator)("IUserDataSyncBackupStoreService"),e.HEADER_OPERATION_ID="x-operation-id",e.HEADER_EXECUTION_ID="X-Execution-Id";function d(o){const s={};return s[e.HEADER_EXECUTION_ID]=o,s}e.createSyncHeaders=d;var v;(function(o){o.Unauthorized="Unauthorized",o.Conflict="Conflict",o.Gone="Gone",o.PreconditionFailed="PreconditionFailed",o.TooLarge="TooLarge",o.UpgradeRequired="UpgradeRequired",o.PreconditionRequired="PreconditionRequired",o.TooManyRequests="RemoteTooManyRequests",o.TooManyRequestsAndRetryAfter="TooManyRequestsAndRetryAfter",o.RequestFailed="RequestFailed",o.RequestCanceled="RequestCanceled",o.RequestTimeout="RequestTimeout",o.RequestProtocolNotSupported="RequestProtocolNotSupported",o.RequestPathNotEscaped="RequestPathNotEscaped",o.RequestHeadersNotObject="RequestHeadersNotObject",o.NoRef="NoRef",o.EmptyResponse="EmptyResponse",o.TurnedOff="TurnedOff",o.SessionExpired="SessionExpired",o.ServiceChanged="ServiceChanged",o.DefaultServiceChanged="DefaultServiceChanged",o.LocalTooManyRequests="LocalTooManyRequests",o.LocalPreconditionFailed="LocalPreconditionFailed",o.LocalInvalidContent="LocalInvalidContent",o.LocalError="LocalError",o.IncompatibleLocalContent="IncompatibleLocalContent",o.IncompatibleRemoteContent="IncompatibleRemoteContent",o.UnresolvedConflicts="UnresolvedConflicts",o.Unknown="Unknown"})(v=e.UserDataSyncErrorCode||(e.UserDataSyncErrorCode={}));class m extends Error{constructor(s,l,f,E){super(s);this.code=l,this.resource=f,this.operationId=E,this.name=`${this.code} (UserDataSyncError) syncResource:${this.resource||"unknown"} operationId:${this.operationId||"unknown"}`}}e.UserDataSyncError=m;class g extends m{constructor(s,l,f,E,U){super(s,f,void 0,U);this.url=l,this.serverCode=E}}e.UserDataSyncStoreError=g;class u extends m{constructor(s,l){super(s,l)}}e.UserDataAutoSyncError=u,function(o){function s(l){if(l instanceof o)return l;const f=/^(.+) \(UserDataSyncError\) syncResource:(.+) operationId:(.+)$/.exec(l.name);if(f&&f[1]){const E=f[2]==="unknown"?void 0:f[2],U=f[3]==="unknown"?void 0:f[3];return new o(l.message,f[1],E,U)}return new o(l.message,"Unknown")}o.toUserDataSyncError=s}(m=e.UserDataSyncError||(e.UserDataSyncError={}));var r;(function(o){o.Uninitialized="uninitialized",o.Idle="idle",o.Syncing="syncing",o.HasConflicts="hasConflicts"})(r=e.SyncStatus||(e.SyncStatus={}));var n;(function(o){o[o.None=0]="None",o[o.Added=1]="Added",o[o.Modified=2]="Modified",o[o.Deleted=3]="Deleted"})(n=e.Change||(e.Change={}));var i;(function(o){o.Preview="preview",o.Conflict="conflict",o.Accepted="accepted"})(i=e.MergeState||(e.MergeState={})),e.SYNC_SERVICE_URL_TYPE="sync.store.url.type";function a(o){return`sync.enable.${o}`}e.getEnablementKey=a,e.IUserDataSyncEnablementService=(0,P.createDecorator)("IUserDataSyncEnablementService"),e.IUserDataSyncService=(0,P.createDecorator)("IUserDataSyncService"),e.IUserDataAutoSyncService=(0,P.createDecorator)("IUserDataAutoSyncService"),e.IUserDataSyncUtilService=(0,P.createDecorator)("IUserDataSyncUtilService"),e.IUserDataSyncLogService=(0,P.createDecorator)("IUserDataSyncLogService"),e.USER_DATA_SYNC_SCHEME="vscode-userdata-sync",e.PREVIEW_DIR_NAME="preview";function c(o,s){if(o.scheme!==e.USER_DATA_SYNC_SCHEME)return o=o.with({scheme:s.userDataSyncHome.scheme}),e.ALL_SYNC_RESOURCES.filter(l=>(0,t.isEqualOrParent)(o,(0,t.joinPath)(s.userDataSyncHome,l,e.PREVIEW_DIR_NAME)))[0]}e.getSyncResourceFromLocalPreview=c}),define(re[46],se([0,1,17,6,16,23,3,34,2,26,14,8,158,19,15,10,7,48,22,21,33,25,29]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v,m,g,u,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractInitializer=e.AbstractJsonFileSynchroniser=e.AbstractFileSynchroniser=e.AbstractSynchroniser=e.isSyncData=void 0;function n(s){return!!(s&&s.version!==void 0&&typeof s.version=="number"&&s.content!==void 0&&typeof s.content=="string"&&(Object.keys(s).length===2||Object.keys(s).length===3&&s.machineId!==void 0&&typeof s.machineId=="string"))}e.isSyncData=n;let i=class extends P.Disposable{constructor(l,f,E,U,_,N,L,M,O,H,W){super();this.resource=l,this.fileService=f,this.environmentService=E,this.userDataSyncStoreService=_,this.userDataSyncBackupStoreService=N,this.userDataSyncEnablementService=L,this.telemetryService=M,this.logService=O,this.configurationService=H,this.syncPreviewPromise=null,this._status="idle",this._onDidChangStatus=this._register(new A.Emitter),this.onDidChangeStatus=this._onDidChangStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new A.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this.localChangeTriggerThrottler=new t.ThrottledDelayer(50),this._onDidChangeLocal=this._register(new A.Emitter),this.onDidChangeLocal=this._onDidChangeLocal.event,this.hasSyncResourceStateVersionChanged=!1,this.syncHeaders={},this.syncResourceLogLabel=(0,I.uppercaseFirstLetter)(this.resource),this.extUri=W.extUri,this.syncFolder=this.extUri.joinPath(E.userDataSyncHome,l),this.syncPreviewFolder=this.extUri.joinPath(this.syncFolder,u.PREVIEW_DIR_NAME),this.lastSyncResource=(0,u.getLastSyncResourceUri)(l,E,this.extUri),this.currentMachineIdPromise=(0,d.getServiceMachineId)(E,f,U)}get status(){return this._status}get conflicts(){return this._conflicts}triggerLocalChange(){this.localChangeTriggerThrottler.trigger(()=>this.doTriggerLocalChange())}async doTriggerLocalChange(){if(this.status==="hasConflicts"){this.logService.info(`${this.syncResourceLogLabel}: In conflicts state and local change detected. Syncing again...`);const l=await this.syncPreviewPromise;this.syncPreviewPromise=null;const f=await this.performSync(l.remoteUserData,l.lastSyncUserData,!0,this.getUserDataSyncConfiguration());this.setStatus(f)}else{this.logService.trace(`${this.syncResourceLogLabel}: Checking for local changes...`);const l=await this.getLastSyncUserData();(l?await this.hasRemoteChanged(l):!0)&&this._onDidChangeLocal.fire()}}setStatus(l){this._status!==l&&(this._status=l,this._onDidChangStatus.fire(l))}async sync(l,f={}){await this._sync(l,!0,this.getUserDataSyncConfiguration(),f)}async preview(l,f,E={}){return this._sync(l,!1,f,E)}async apply(l,f={}){try{this.syncHeaders={...f};const E=await this.doApply(l);return this.setStatus(E),this.syncPreviewPromise}finally{this.syncHeaders={}}}async _sync(l,f,E,U){try{if(this.syncHeaders={...U},this.status==="hasConflicts")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as there are conflicts.`),this.syncPreviewPromise;if(this.status==="syncing")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as it is running already.`),this.syncPreviewPromise;this.logService.trace(`${this.syncResourceLogLabel}: Started synchronizing ${this.resource.toLowerCase()}...`),this.setStatus("syncing");let _="idle";try{const N=await this.getLastSyncUserData(),L=await this.getLatestRemoteUserData(l,N);return _=await this.performSync(L,N,f,E),_==="hasConflicts"?this.logService.info(`${this.syncResourceLogLabel}: Detected conflicts while synchronizing ${this.resource.toLowerCase()}.`):_==="idle"&&this.logService.trace(`${this.syncResourceLogLabel}: Finished synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise||null}finally{this.setStatus(_)}}finally{this.syncHeaders={}}}async replace(l){const f=await this.resolveContent(l);if(!f)return!1;const E=this.parseSyncData(f);if(!E)return!1;await this.stop();try{this.logService.trace(`${this.syncResourceLogLabel}: Started resetting ${this.resource.toLowerCase()}...`),this.setStatus("syncing");const U=await this.getLastSyncUserData(),_=await this.getLatestRemoteUserData(null,U),N=await this.isRemoteDataFromCurrentMachine(_),L=await this.generateSyncPreview({ref:_.ref,syncData:E},U,N,this.getUserDataSyncConfiguration(),T.CancellationToken.None),M=[];for(const O of L){const H=await this.getAcceptResult(O,O.remoteResource,void 0,T.CancellationToken.None),{remoteChange:W}=await this.getAcceptResult(O,O.previewResource,O.remoteContent,T.CancellationToken.None);M.push([O,{...H,remoteChange:W!==0?W:2}])}await this.applyResult(_,U,M,!1),this.logService.info(`${this.syncResourceLogLabel}: Finished resetting ${this.resource.toLowerCase()}.`)}finally{this.setStatus("idle")}return!0}async isRemoteDataFromCurrentMachine(l){const f=await this.currentMachineIdPromise;return!!l.syncData?.machineId&&l.syncData.machineId===f}async getLatestRemoteUserData(l,f){if(f){const E=l&&l.latest?l.latest[this.resource]:void 0;if(f.ref===E||E===void 0&&f.syncData===null)return f}return this.getRemoteUserData(f)}async performSync(l,f,E,U){if(l.syncData&&l.syncData.version>this.version)throw this.telemetryService.publicLog2("sync/incompatible",{source:this.resource}),new u.UserDataSyncError((0,p.localize)(0,null,this.resource,this.version,l.syncData.version),"IncompatibleLocalContent",this.resource);try{return await this.doSync(l,f,E,U)}catch(_){if(_ instanceof u.UserDataSyncError)switch(_.code){case"LocalPreconditionFailed":return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize ${this.syncResourceLogLabel} as there is a new local version available. Synchronizing again...`),this.performSync(l,f,E,U);case"Conflict":case"PreconditionFailed":return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize as there is a new remote version available. Synchronizing again...`),l=await this.getRemoteUserData(null),f=await this.getLastSyncUserData(),this.performSync(l,f,E,U)}throw _}}async doSync(l,f,E,U){try{this.syncPreviewPromise||(this.syncPreviewPromise=(0,t.createCancelablePromise)(N=>this.doGenerateSyncResourcePreview(l,f,E,U,N)));const _=await this.syncPreviewPromise;return this.updateConflicts(_.resourcePreviews),_.resourcePreviews.some(({mergeState:N})=>N==="conflict")?"hasConflicts":E?await this.doApply(!1):"syncing"}catch(_){throw this.syncPreviewPromise=null,_}}async merge(l){return await this.updateSyncResourcePreview(l,async f=>{const E=await this.getMergeResult(f,T.CancellationToken.None);await this.fileService.writeFile(f.previewResource,k.VSBuffer.fromString(E?.content||""));const U=E&&!E.hasConflicts?await this.getAcceptResult(f,f.previewResource,void 0,T.CancellationToken.None):void 0;return f.acceptResult=U,f.mergeState=E.hasConflicts?"conflict":U?"accepted":"preview",f.localChange=U?U.localChange:E.localChange,f.remoteChange=U?U.remoteChange:E.remoteChange,f}),this.syncPreviewPromise}async accept(l,f){return await this.updateSyncResourcePreview(l,async E=>{const U=await this.getAcceptResult(E,l,f,T.CancellationToken.None);return E.acceptResult=U,E.mergeState="accepted",E.localChange=U.localChange,E.remoteChange=U.remoteChange,E}),this.syncPreviewPromise}async discard(l){return await this.updateSyncResourcePreview(l,async f=>{const E=await this.getMergeResult(f,T.CancellationToken.None);return await this.fileService.writeFile(f.previewResource,k.VSBuffer.fromString(E.content||"")),f.acceptResult=void 0,f.mergeState="preview",f.localChange=E.localChange,f.remoteChange=E.remoteChange,f}),this.syncPreviewPromise}async updateSyncResourcePreview(l,f){if(!this.syncPreviewPromise)return;let E=await this.syncPreviewPromise;const U=E.resourcePreviews.findIndex(({localResource:_,remoteResource:N,previewResource:L})=>this.extUri.isEqual(_,l)||this.extUri.isEqual(N,l)||this.extUri.isEqual(L,l));U!==-1&&(this.syncPreviewPromise=(0,t.createCancelablePromise)(async _=>{const N=[...E.resourcePreviews];return N[U]=await f(N[U]),{...E,resourcePreviews:N}}),E=await this.syncPreviewPromise,this.updateConflicts(E.resourcePreviews),E.resourcePreviews.some(({mergeState:_})=>_==="conflict")?this.setStatus("hasConflicts"):this.setStatus("syncing"))}async doApply(l){if(!this.syncPreviewPromise)return"idle";const f=await this.syncPreviewPromise;return f.resourcePreviews.some(({mergeState:E})=>E==="conflict")?"hasConflicts":f.resourcePreviews.some(({mergeState:E})=>E!=="accepted")?"syncing":(await this.applyResult(f.remoteUserData,f.lastSyncUserData,f.resourcePreviews.map(E=>[E,E.acceptResult]),l),this.syncPreviewPromise=null,await this.clearPreviewFolder(),"idle")}async clearPreviewFolder(){try{await this.fileService.del(this.syncPreviewFolder,{recursive:!0})}catch{}}updateConflicts(l){const f=l.filter(({mergeState:E})=>E==="conflict");(0,R.equals)(this._conflicts,f,(E,U)=>this.extUri.isEqual(E.previewResource,U.previewResource))||(this._conflicts=f,this._onDidChangeConflicts.fire(f))}async hasPreviouslySynced(){const l=await this.getLastSyncUserData();return!!l&&l.syncData!==null}async getRemoteSyncResourceHandles(){return(await this.userDataSyncStoreService.getAllRefs(this.resource)).map(({created:f,ref:E})=>({created:f,uri:this.toRemoteBackupResource(E)}))}async getLocalSyncResourceHandles(){return(await this.userDataSyncBackupStoreService.getAllRefs(this.resource)).map(({created:f,ref:E})=>({created:f,uri:this.toLocalBackupResource(E)}))}toRemoteBackupResource(l){return b.URI.from({scheme:u.USER_DATA_SYNC_SCHEME,authority:"remote-backup",path:`/${this.resource}/${l}`})}toLocalBackupResource(l){return b.URI.from({scheme:u.USER_DATA_SYNC_SCHEME,authority:"local-backup",path:`/${this.resource}/${l}`})}async getMachineId({uri:l}){const f=this.extUri.basename(l);if(this.extUri.isEqual(l,this.toRemoteBackupResource(f))){const{content:E}=await this.getUserData(f);if(E)return this.parseSyncData(E)?.machineId}}async resolveContent(l){const f=this.extUri.basename(l);if(this.extUri.isEqual(l,this.toRemoteBackupResource(f))){const{content:E}=await this.getUserData(f);return E}return this.extUri.isEqual(l,this.toLocalBackupResource(f))?this.userDataSyncBackupStoreService.resolveContent(this.resource,f):null}async resolvePreviewContent(l){const f=this.syncPreviewPromise?await this.syncPreviewPromise:null;if(f)for(const E of f.resourcePreviews){if(this.extUri.isEqual(E.acceptedResource,l))return E.acceptResult?E.acceptResult.content:null;if(this.extUri.isEqual(E.remoteResource,l))return E.remoteContent;if(this.extUri.isEqual(E.localResource,l))return E.localContent;if(this.extUri.isEqual(E.baseResource,l))return E.baseContent}return null}async resetLocal(){try{await this.fileService.del(this.lastSyncResource)}catch{}}async doGenerateSyncResourcePreview(l,f,E,U,_){const N=await this.isRemoteDataFromCurrentMachine(l),L=await this.generateSyncPreview(l,f,N,U,_),M=[];for(const O of L){const H=O.previewResource.with({scheme:u.USER_DATA_SYNC_SCHEME,authority:"accepted"});if(O.localChange===0&&O.remoteChange===0)M.push({...O,acceptedResource:H,acceptResult:{content:null,localChange:0,remoteChange:0},mergeState:"accepted"});else{const W=E?await this.getMergeResult(O,_):void 0;if(_.isCancellationRequested)break;await this.fileService.writeFile(O.previewResource,k.VSBuffer.fromString(W?.content||""));const z=W&&!W.hasConflicts?await this.getAcceptResult(O,O.previewResource,void 0,_):void 0;M.push({...O,acceptResult:z,mergeState:W?.hasConflicts?"conflict":z?"accepted":"preview",localChange:z?z.localChange:W?W.localChange:O.localChange,remoteChange:z?z.remoteChange:W?W.remoteChange:O.remoteChange})}}return{remoteUserData:l,lastSyncUserData:f,resourcePreviews:M,isLastSyncFromCurrentMachine:N}}async getLastSyncUserData(){try{const l=await this.fileService.readFile(this.lastSyncResource),f=JSON.parse(l.value.toString()),E=this.userDataSyncEnablementService.getResourceSyncStateVersion(this.resource);if(this.hasSyncResourceStateVersionChanged=f.version&&E&&f.version!==E,this.hasSyncResourceStateVersionChanged)return this.logService.info(`${this.syncResourceLogLabel}: Reset last sync state because last sync state version ${f.version} is not compatible with current sync state version ${E}.`),await this.resetLocal(),null;const U=f;if(U.content===null)return{ref:f.ref,syncData:null};const _=JSON.parse(U.content);if(n(_))return{...f,syncData:_,content:void 0}}catch(l){l instanceof S.FileOperationError&&l.fileOperationResult===1||this.logService.error(l)}return null}async updateLastSyncUserData(l,f={}){if(f.ref||f.content||f.version)throw new Error("Cannot have core properties as additional");const E=this.userDataSyncEnablementService.getResourceSyncStateVersion(this.resource),U={ref:l.ref,content:l.syncData?JSON.stringify(l.syncData):null,version:E,...f};await this.fileService.writeFile(this.lastSyncResource,k.VSBuffer.fromString(JSON.stringify(U)))}async getRemoteUserData(l){const{ref:f,content:E}=await this.getUserData(l);let U=null;return E!==null&&(U=this.parseSyncData(E)),{ref:f,syncData:U}}parseSyncData(l){try{const f=JSON.parse(l);if(n(f))return f}catch(f){this.logService.error(f)}throw new u.UserDataSyncError((0,p.localize)(1,null),"IncompatibleRemoteContent",this.resource)}async getUserData(l){if((0,D.isString)(l)){const f=await this.userDataSyncStoreService.resolveContent(this.resource,l);return{ref:l,content:f}}else{const f=l?{ref:l.ref,content:l.syncData?JSON.stringify(l.syncData):null}:null;return this.userDataSyncStoreService.read(this.resource,f,this.syncHeaders)}}async updateRemoteUserData(l,f){const E=await this.currentMachineIdPromise,U={version:this.version,machineId:E,content:l};return f=await this.userDataSyncStoreService.write(this.resource,JSON.stringify(U),f,this.syncHeaders),{ref:f,syncData:U}}async backupLocal(l){const f={version:this.version,content:l};return this.userDataSyncBackupStoreService.backup(this.resource,JSON.stringify(f))}async stop(){this.status!=="idle"&&(this.logService.trace(`${this.syncResourceLogLabel}: Stopping synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise&&(this.syncPreviewPromise.cancel(),this.syncPreviewPromise=null),this.updateConflicts([]),await this.clearPreviewFolder(),this.setStatus("idle"),this.logService.info(`${this.syncResourceLogLabel}: Stopped synchronizing ${this.resource.toLowerCase()}.`))}getUserDataSyncConfiguration(){return this.configurationService.getValue(u.USER_DATA_SYNC_CONFIGURATION_SCOPE)}};i=fe([Q(1,S.IFileService),Q(2,h.IEnvironmentService),Q(3,v.IStorageService),Q(4,u.IUserDataSyncStoreService),Q(5,u.IUserDataSyncBackupStoreService),Q(6,u.IUserDataSyncEnablementService),Q(7,m.ITelemetryService),Q(8,u.IUserDataSyncLogService),Q(9,y.IConfigurationService),Q(10,g.IUriIdentityService)],i),e.AbstractSynchroniser=i;let a=class extends i{constructor(l,f,E,U,_,N,L,M,O,H,W,z){super(f,E,U,_,N,L,M,O,H,W,z);this.file=l,this._register(this.fileService.watch(this.extUri.dirname(l))),this._register(this.fileService.onDidFilesChange(te=>this.onFileChanges(te)))}async getLocalFileContent(){try{return await this.fileService.readFile(this.file)}catch{return null}}async updateLocalFileContent(l,f,E){try{f?await this.fileService.writeFile(this.file,k.VSBuffer.fromString(l),E?void 0:f):await this.fileService.createFile(this.file,k.VSBuffer.fromString(l),{overwrite:E})}catch(U){throw U instanceof S.FileOperationError&&U.fileOperationResult===1||U instanceof S.FileOperationError&&U.fileOperationResult===3?new u.UserDataSyncError(U.message,"LocalPreconditionFailed"):U}}onFileChanges(l){!l.contains(this.file)||this.triggerLocalChange()}};a=fe([Q(2,S.IFileService),Q(3,h.IEnvironmentService),Q(4,v.IStorageService),Q(5,u.IUserDataSyncStoreService),Q(6,u.IUserDataSyncBackupStoreService),Q(7,u.IUserDataSyncEnablementService),Q(8,m.ITelemetryService),Q(9,u.IUserDataSyncLogService),Q(10,y.IConfigurationService),Q(11,g.IUriIdentityService)],a),e.AbstractFileSynchroniser=a;let c=class extends a{constructor(l,f,E,U,_,N,L,M,O,H,W,z,te){super(l,f,E,U,_,N,L,M,O,H,z,te);this.userDataSyncUtilService=W,this._formattingOptions=void 0}hasErrors(l,f){const E=[],U=(0,C.parse)(l,E,{allowEmptyContent:!0,allowTrailingComma:!0});return E.length>0||!(0,D.isUndefined)(U)&&f!==Array.isArray(U)}getFormattingOptions(){return this._formattingOptions||(this._formattingOptions=this.userDataSyncUtilService.resolveFormattingOptions(this.file)),this._formattingOptions}};c=fe([Q(2,S.IFileService),Q(3,h.IEnvironmentService),Q(4,v.IStorageService),Q(5,u.IUserDataSyncStoreService),Q(6,u.IUserDataSyncBackupStoreService),Q(7,u.IUserDataSyncEnablementService),Q(8,m.ITelemetryService),Q(9,u.IUserDataSyncLogService),Q(10,u.IUserDataSyncUtilService),Q(11,y.IConfigurationService),Q(12,g.IUriIdentityService)],c),e.AbstractJsonFileSynchroniser=c;let o=class{constructor(l,f,E,U,_,N){this.resource=l,this.userDataProfilesService=f,this.environmentService=E,this.logService=U,this.fileService=_,this.extUri=N.extUri,this.lastSyncResource=(0,u.getLastSyncResourceUri)(this.resource,E,this.extUri)}async initialize({ref:l,content:f}){if(!f){this.logService.info("Remote content does not exist.",this.resource);return}const E=this.parseSyncData(f);if(!!E)try{await this.doInitialize({ref:l,syncData:E})}catch(U){this.logService.error(U)}}parseSyncData(l){try{const f=JSON.parse(l);if(n(f))return f}catch(f){this.logService.error(f)}this.logService.info("Cannot parse sync data as it is not compatible with the current version.",this.resource)}async updateLastSyncUserData(l,f={}){const E={ref:l.ref,content:l.syncData?JSON.stringify(l.syncData):null,...f};await this.fileService.writeFile(this.lastSyncResource,k.VSBuffer.fromString(JSON.stringify(E)))}};o=fe([Q(1,r.IUserDataProfilesService),Q(2,h.IEnvironmentService),Q(3,w.ILogService),Q(4,S.IFileService),Q(5,g.IUriIdentityService)],o),e.AbstractInitializer=o}),define(re[245],se([0,1,6,23,9,3,53,26,8,19,15,28,32,71,10,7,22,21,33,29,46,242,106,25]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v,m,g,u,r,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtensionsInitializer=e.ExtensionsSynchroniser=void 0;async function i(o,s){const l=JSON.parse(o.content);if(o.version===1||o.version===2){const f=(await s.getInstalled(0)).filter(E=>E.isBuiltin);for(const E of l)o.version===1&&(E.enabled===!1&&(E.disabled=!0),delete E.enabled),o.version===2&&f.every(U=>!(0,p.areSameExtensions)(U.identifier,E.identifier))&&(E.installed=!0)}return l}let a=class mt extends g.AbstractSynchroniser{constructor(s,l,f,E,U,_,N,L,M,O,H,W,z,te,V){super("extensions",l,s,f,E,U,W,z,M,H,V);this.extensionManagementService=_,this.extensionEnablementService=N,this.ignoredExtensionsManagementService=L,this.extensionGalleryService=O,this.extensionStorageService=te,this.version=5,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"extensions.json"),this.baseResource=this.previewResource.with({scheme:n.USER_DATA_SYNC_SCHEME,authority:"base"}),this.localResource=this.previewResource.with({scheme:n.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:n.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:n.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(T.Event.any(T.Event.filter(this.extensionManagementService.onDidInstallExtensions,Y=>Y.some(({local:X})=>!!X)),T.Event.filter(this.extensionManagementService.onDidUninstallExtension,Y=>!Y.error),this.extensionEnablementService.onDidChangeEnablement,this.extensionStorageService.onDidChangeExtensionStorageToSync)(()=>this.triggerLocalChange()))}async generateSyncPreview(s,l){const f=s.syncData?await i(s.syncData,this.extensionManagementService):null,E=l?.skippedExtensions||[],U=l?.syncData?await i(l.syncData,this.extensionManagementService):null,_=await this.extensionManagementService.getInstalled(void 0),N=this.getLocalExtensions(_),L=this.ignoredExtensionsManagementService.getIgnoredExtensions(_);f?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote extensions with local extensions...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote extensions does not exist. Synchronizing extensions for the first time.`);const{local:M,remote:O}=(0,u.merge)(N,f,U,E,L),H={local:M,remote:O,content:this.getPreviewContent(N,M.added,M.updated,M.removed),localChange:M.added.length>0||M.removed.length>0||M.updated.length>0?2:0,remoteChange:O!==null?2:0},W=this.stringify(N,!1);return[{skippedExtensions:E,baseResource:this.baseResource,baseContent:U?this.stringify(U,!1):W,localResource:this.localResource,localContent:W,localExtensions:N,remoteResource:this.remoteResource,remoteContent:f?this.stringify(f,!1):null,previewResource:this.previewResource,previewResult:H,localChange:H.localChange,remoteChange:H.remoteChange,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(s){const l=s.syncData?await i(s.syncData,this.extensionManagementService):null,f=await this.extensionManagementService.getInstalled(void 0),E=this.getLocalExtensions(f),U=this.ignoredExtensionsManagementService.getIgnoredExtensions(f),{remote:_}=(0,u.merge)(E,l,l,s.skippedExtensions||[],U);return _!==null}getPreviewContent(s,l,f,E){const U=[...l,...f],_=new Set,N=L=>{_.add(L.id.toLowerCase()),L.uuid&&_.add(L.uuid)};U.forEach(({identifier:L})=>N(L)),E.forEach(N);for(const L of s)_.has(L.identifier.id.toLowerCase())||L.identifier.uuid&&_.has(L.identifier.uuid)||U.push(L);return this.stringify(U,!1)}async getMergeResult(s,l){return{...s.previewResult,hasConflicts:!1}}async getAcceptResult(s,l,f,E){if(this.extUri.isEqual(l,this.localResource))return this.acceptLocal(s);if(this.extUri.isEqual(l,this.remoteResource))return this.acceptRemote(s);if(this.extUri.isEqual(l,this.previewResource))return s.previewResult;throw new Error(`Invalid Resource: ${l.toString()}`)}async acceptLocal(s){const l=await this.extensionManagementService.getInstalled(),f=this.ignoredExtensionsManagementService.getIgnoredExtensions(l),E=(0,u.merge)(s.localExtensions,null,null,s.skippedExtensions,f),{local:U,remote:_}=E;return{content:s.localContent,local:U,remote:_,localChange:U.added.length>0||U.removed.length>0||U.updated.length>0?2:0,remoteChange:_!==null?2:0}}async acceptRemote(s){const l=await this.extensionManagementService.getInstalled(),f=this.ignoredExtensionsManagementService.getIgnoredExtensions(l),E=s.remoteContent?JSON.parse(s.remoteContent):null;if(E!==null){const U=(0,u.merge)(s.localExtensions,E,s.localExtensions,[],f),{local:_,remote:N}=U;return{content:s.remoteContent,local:_,remote:N,localChange:_.added.length>0||_.removed.length>0||_.updated.length>0?2:0,remoteChange:N!==null?2:0}}else return{content:s.remoteContent,local:{added:[],removed:[],updated:[]},remote:null,localChange:0,remoteChange:0}}async applyResult(s,l,f,E){let{skippedExtensions:U,localExtensions:_}=f[0][0];const{local:N,remote:L,localChange:M,remoteChange:O}=f[0][1];if(M===0&&O===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing extensions.`),M!==0&&(await this.backupLocal(JSON.stringify(_)),U=await this.updateLocalExtensions(N.added,N.removed,N.updated,U)),L){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote extensions...`);const H=JSON.stringify(L.all);s=await this.updateRemoteUserData(H,E?null:s.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote extensions.${L.added.length?` Added: ${JSON.stringify(L.added.map(W=>W.identifier.id))}.`:""}${L.updated.length?` Updated: ${JSON.stringify(L.updated.map(W=>W.identifier.id))}.`:""}${L.removed.length?` Removed: ${JSON.stringify(L.removed.map(W=>W.identifier.id))}.`:""}`)}l?.ref!==s.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized extensions...`),await this.updateLastSyncUserData(s,{skippedExtensions:U}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized extensions.${U.length?` Skipped: ${JSON.stringify(U.map(H=>H.identifier.id))}.`:""}`))}async getAssociatedResources({uri:s}){return[{resource:this.extUri.joinPath(s,"extensions.json"),comparableResource:mt.EXTENSIONS_DATA_URI}]}async resolveContent(s){if(this.extUri.isEqual(s,mt.EXTENSIONS_DATA_URI)){const f=await this.extensionManagementService.getInstalled(),E=this.ignoredExtensionsManagementService.getIgnoredExtensions(f),U=this.getLocalExtensions(f).filter(_=>!E.some(N=>(0,p.areSameExtensions)({id:N},_.identifier)));return this.stringify(U,!0)}if(this.extUri.isEqual(this.remoteResource,s)||this.extUri.isEqual(this.baseResource,s)||this.extUri.isEqual(this.localResource,s)||this.extUri.isEqual(this.acceptedResource,s)){const f=await this.resolvePreviewContent(s);return f&&this.stringify(JSON.parse(f),!0)}let l=await super.resolveContent(s);if(l)return l;if(l=await super.resolveContent(this.extUri.dirname(s)),l){const f=this.parseSyncData(l);if(f)switch(this.extUri.basename(s)){case"extensions.json":return this.stringify(this.parseExtensions(f),!0)}}return null}stringify(s,l){return s.sort((f,E)=>!f.identifier.uuid&&E.identifier.uuid?-1:f.identifier.uuid&&!E.identifier.uuid?1:(0,C.compare)(f.identifier.id,E.identifier.id)),l?(0,A.toFormattedString)(s,{}):JSON.stringify(s)}async hasLocalData(){try{const s=await this.extensionManagementService.getInstalled();if(this.getLocalExtensions(s).some(f=>f.installed||f.disabled))return!0}catch{}return!1}async updateLocalExtensions(s,l,f,E){const U=[],_=[],N=await this.extensionManagementService.getInstalled();if(l.length){const M=N.filter(({identifier:O,isBuiltin:H})=>!H&&l.some(W=>(0,p.areSameExtensions)(O,W)));await R.Promises.settled(M.map(async O=>{this.logService.trace(`${this.syncResourceLogLabel}: Uninstalling local extension...`,O.identifier.id),await this.extensionManagementService.uninstall(O,{donotIncludePack:!0,donotCheckDependents:!0}),this.logService.info(`${this.syncResourceLogLabel}: Uninstalled local extension.`,O.identifier.id),U.push(O.identifier)}))}(s.length||f.length)&&await R.Promises.settled([...s,...f].map(async M=>{const O=N.find(W=>(0,p.areSameExtensions)(W.identifier,M.identifier));if(O&&O.isBuiltin){M.state&&O.manifest.version===M.version&&this.updateExtensionState(M.state,O,O.manifest.version),this.extensionEnablementService.getDisabledExtensions().some(z=>(0,p.areSameExtensions)(z,M.identifier))!==!!M.disabled&&(M.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,M.identifier.id),await this.extensionEnablementService.disableExtension(M.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,M.identifier.id)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,M.identifier.id),await this.extensionEnablementService.enableExtension(M.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,M.identifier.id))),U.push(M.identifier);return}const H=(await this.extensionGalleryService.getExtensions([{...M.identifier,preRelease:M.preRelease}],t.CancellationToken.None))[0];if(M.state&&(O?O.manifest.version===M.version:!!H)&&this.updateExtensionState(M.state,O||H,O?.manifest.version),H)try{this.extensionEnablementService.getDisabledExtensions().some(z=>(0,p.areSameExtensions)(z,M.identifier))!==!!M.disabled&&(M.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,M.identifier.id,H.version),await this.extensionEnablementService.disableExtension(H.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,M.identifier.id,H.version)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,M.identifier.id,H.version),await this.extensionEnablementService.enableExtension(H.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,M.identifier.id,H.version))),(!O||O.preRelease!==M.preRelease)&&(await this.extensionManagementService.canInstall(H)?(this.logService.trace(`${this.syncResourceLogLabel}: Installing extension...`,M.identifier.id,H.version),await this.extensionManagementService.installFromGallery(H,{isMachineScoped:!1,donotIncludePackAndDependencies:!0,installPreReleaseVersion:M.preRelease}),this.logService.info(`${this.syncResourceLogLabel}: Installed extension.`,M.identifier.id,H.version),U.push(H.identifier)):(this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because it cannot be installed.`,H.displayName||H.identifier.id),_.push(M)))}catch(W){_.push(M),W instanceof b.ExtensionManagementError&&[b.ExtensionManagementErrorCode.Incompatible,b.ExtensionManagementErrorCode.IncompatiblePreRelease,b.ExtensionManagementErrorCode.IncompatibleTargetPlatform].includes(W.code)?this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because the compatible extension is not found.`,H.displayName||H.identifier.id):(this.logService.error(W),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension`,H.displayName||H.identifier.id))}else _.push(M),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension because the extension is not found.`,M.identifier.id)}));const L=[];for(const M of E)U.some(O=>(0,p.areSameExtensions)(O,M.identifier))||L.push(M);for(const M of _)L.some(O=>(0,p.areSameExtensions)(O.identifier,M.identifier))||L.push(M);return L}updateExtensionState(s,l,f){const E=this.extensionStorageService.getExtensionState(l,!0)||{},U=f?this.extensionStorageService.getKeysForSync({id:l.identifier.id,version:f}):void 0;U?U.forEach(_=>{E[_]=s[_]}):Object.keys(s).forEach(_=>E[_]=s[_]),this.extensionStorageService.setExtensionState(l,E,!0)}parseExtensions(s){return JSON.parse(s.content)}getLocalExtensions(s){const l=this.extensionEnablementService.getDisabledExtensions();return s.map(f=>{const{identifier:E,isBuiltin:U,manifest:_,preRelease:N}=f,L={identifier:E,preRelease:N,version:_.version};l.some(M=>(0,p.areSameExtensions)(M,E))&&(L.disabled=!0),U||(L.installed=!0);try{const M=this.extensionStorageService.getKeysForSync({id:E.id,version:_.version});if(M){const O=this.extensionStorageService.getExtensionState(f,!0)||{};L.state=Object.keys(O).reduce((H,W)=>(M.includes(W)&&(H[W]=O[W]),H),{})}}catch(M){this.logService.info(`${this.syncResourceLogLabel}: Error while parsing extension state`,(0,k.getErrorMessage)(M))}return L})}};a.EXTENSIONS_DATA_URI=P.URI.from({scheme:n.USER_DATA_SYNC_SCHEME,authority:"extensions",path:"/extensions.json"}),a=fe([Q(0,D.IEnvironmentService),Q(1,h.IFileService),Q(2,w.IStorageService),Q(3,n.IUserDataSyncStoreService),Q(4,n.IUserDataSyncBackupStoreService),Q(5,b.IExtensionManagementService),Q(6,b.IGlobalExtensionEnablementService),Q(7,r.IIgnoredExtensionsManagementService),Q(8,n.IUserDataSyncLogService),Q(9,b.IExtensionGalleryService),Q(10,I.IConfigurationService),Q(11,n.IUserDataSyncEnablementService),Q(12,d.ITelemetryService),Q(13,y.IExtensionStorageService),Q(14,v.IUriIdentityService)],a),e.ExtensionsSynchroniser=a;let c=class extends g.AbstractInitializer{constructor(s,l,f,E,U,_,N){super("extensions",E,U,_,f,N);this.extensionManagementService=s,this.ignoredExtensionsManagementService=l}async parseExtensions(s){return s.syncData?await i(s.syncData,this.extensionManagementService):null}generatePreview(s,l){const f=[],E=[],U=[];for(const _ of s){if(this.ignoredExtensionsManagementService.hasToNeverSyncExtension(_.identifier.id))continue;const N=l.find(L=>(0,p.areSameExtensions)(L.identifier,_.identifier));N?(f.push(N),_.disabled&&U.push(_.identifier)):_.installed&&(E.push({..._.identifier,preRelease:!!_.preRelease}),_.disabled&&U.push(_.identifier))}return{installedExtensions:f,newExtensions:E,disabledExtensions:U,remoteExtensions:s}}};c=fe([Q(0,b.IExtensionManagementService),Q(1,r.IIgnoredExtensionsManagementService),Q(2,h.IFileService),Q(3,m.IUserDataProfilesService),Q(4,D.IEnvironmentService),Q(5,S.ILogService),Q(6,v.IUriIdentityService)],c),e.AbstractExtensionsInitializer=c}),define(re[246],se([0,1,30,25]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function k(C,P,I,D,b){if(!P)return{remote:Object.keys(C).length>0?C:null,local:{added:{},removed:[],updated:{}}};const p=T(C,P);if(p.added.size===0&&p.removed.size===0&&p.updated.size===0)return{remote:null,local:{added:{},removed:[],updated:{}}};const y=I?T(I,P):{added:Object.keys(P).reduce((v,m)=>(v.add(m),v),new Set),removed:new Set,updated:new Set},h=I?T(I,C):{added:Object.keys(C).reduce((v,m)=>(v.add(m),v),new Set),removed:new Set,updated:new Set},S={added:{},removed:[],updated:{}},w=R.deepClone(P),d=!I;for(const v of h.added.values())v!==t.SYNC_SERVICE_URL_TYPE&&d&&y.added.has(v)||(w[v]=C[v]);for(const v of h.updated.values())w[v]=C[v];for(const v of h.removed.values())D.unregistered.includes(v)||delete w[v];for(const v of y.added.values()){const m=P[v];if(D.machine.includes(v)){b.info(`GlobalState: Skipped adding ${v} in local storage because it is declared as machine scoped.`);continue}if(I&&h.added.has(v))continue;const g=C[v];g&&g.value===m.value||v===t.SYNC_SERVICE_URL_TYPE&&d&&h.added.has(v)||(g?S.updated[v]=m:S.added[v]=m)}for(const v of y.updated.values()){const m=P[v];if(D.machine.includes(v)){b.info(`GlobalState: Skipped updating ${v} in local storage because it is declared as machine scoped.`);continue}if(h.updated.has(v)||h.removed.has(v))continue;const g=C[v];g&&g.value===m.value||(S.updated[v]=m)}for(const v of y.removed.values()){if(D.machine.includes(v)){b.trace(`GlobalState: Skipped removing ${v} in local storage because it is declared as machine scoped.`);continue}h.updated.has(v)||h.removed.has(v)||S.removed.push(v)}return{local:S,remote:A(w,P)?null:w}}e.merge=k;function T(C,P){const I=Object.keys(C),D=Object.keys(P),b=D.filter(h=>I.indexOf(h)===-1).reduce((h,S)=>(h.add(S),h),new Set),p=I.filter(h=>D.indexOf(h)===-1).reduce((h,S)=>(h.add(S),h),new Set),y=new Set;for(const h of I){if(p.has(h))continue;const S=C[h],w=P[h];R.equals(S,w)||y.add(h)}return{added:b,removed:p,updated:y}}function A(C,P){const{added:I,removed:D,updated:b}=T(C,P);return I.size===0&&D.size===0&&b.size===0}}),define(re[247],se([0,1,16,9,3,34,53,4,8,31,19,15,10,7,48,22,21,33,46,59,246,25,29]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v,m,g,u,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreTypeSynchronizer=e.GlobalStateInitializer=e.GlobalStateSynchroniser=void 0;const n="globalState.argv.",i=["locale"];function a(f,E){const U=f.storage?Object.keys(f.storage).sort():[],_={};return U.forEach(N=>_[N]=f.storage[N]),f.storage=_,E?(0,A.toFormattedString)(f,{}):JSON.stringify(f)}const c=1;let o=class vt extends v.AbstractSynchroniser{constructor(E,U,_,N,L,M,O,H,W,z){super("globalState",E,L,W,U,_,M,O,N,H,z);this.storageService=W,this.version=c,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"globalState.json"),this.baseResource=this.previewResource.with({scheme:u.USER_DATA_SYNC_SCHEME,authority:"base"}),this.localResource=this.previewResource.with({scheme:u.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:u.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:u.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(E.watch(this.extUri.dirname(this.environmentService.argvResource))),this._register(k.Event.any(k.Event.filter(E.onDidFilesChange,te=>te.contains(this.environmentService.argvResource)),k.Event.filter(W.onDidChangeValue,te=>te.scope===0&&te.target!==void 0?te.target===0:W.keys(0,0).includes(te.key)),this.storageService.onDidChangeTarget)(()=>this.triggerLocalChange()))}async generateSyncPreview(E,U,_){const N=E.syncData?JSON.parse(E.syncData.content):null;U=U===null&&_?E:U;const L=U&&U.syncData?JSON.parse(U.syncData.content):null,M=await this.getLocalGlobalState();N?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote ui state with local ui state...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote ui state does not exist. Synchronizing ui state for the first time.`);const O=this.getStorageKeys(L),{local:H,remote:W}=(0,g.merge)(M.storage,N?N.storage:null,L?L.storage:null,O,this.logService),z={content:null,local:H,remote:W,localChange:Object.keys(H.added).length>0||Object.keys(H.updated).length>0||H.removed.length>0?2:0,remoteChange:W!==null?2:0},te=a(M,!1);return[{baseResource:this.baseResource,baseContent:L?a(L,!1):te,localResource:this.localResource,localContent:te,localUserData:M,remoteResource:this.remoteResource,remoteContent:N?a(N,!1):null,previewResource:this.previewResource,previewResult:z,localChange:z.localChange,remoteChange:z.remoteChange,acceptedResource:this.acceptedResource,storageKeys:O}]}async hasRemoteChanged(E){const U=E.syncData?JSON.parse(E.syncData.content):null;if(U===null)return!0;const _=await this.getLocalGlobalState(),N=this.getStorageKeys(U),{remote:L}=(0,g.merge)(_.storage,U.storage,U.storage,N,this.logService);return L!==null}async getMergeResult(E,U){return{...E.previewResult,hasConflicts:!1}}async getAcceptResult(E,U,_,N){if(this.extUri.isEqual(U,this.localResource))return this.acceptLocal(E);if(this.extUri.isEqual(U,this.remoteResource))return this.acceptRemote(E);if(this.extUri.isEqual(U,this.previewResource))return E.previewResult;throw new Error(`Invalid Resource: ${U.toString()}`)}async acceptLocal(E){return{content:E.localContent,local:{added:{},removed:[],updated:{}},remote:E.localUserData.storage,localChange:0,remoteChange:2}}async acceptRemote(E){if(E.remoteContent!==null){const U=JSON.parse(E.remoteContent),{local:_,remote:N}=(0,g.merge)(E.localUserData.storage,U.storage,null,E.storageKeys,this.logService);return{content:E.remoteContent,local:_,remote:N,localChange:Object.keys(_.added).length>0||Object.keys(_.updated).length>0||_.removed.length>0?2:0,remoteChange:N!==null?2:0}}else return{content:E.remoteContent,local:{added:{},removed:[],updated:{}},remote:null,localChange:0,remoteChange:0}}async applyResult(E,U,_,N){const{localUserData:L}=_[0][0],{local:M,remote:O,localChange:H,remoteChange:W}=_[0][1];if(H===0&&W===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing ui state.`),H!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local ui state...`),await this.backupLocal(JSON.stringify(L)),await this.writeLocalGlobalState(M),this.logService.info(`${this.syncResourceLogLabel}: Updated local ui state`)),W!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote ui state...`);const z=JSON.stringify({storage:O});E=await this.updateRemoteUserData(z,N?null:E.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote ui state`)}U?.ref!==E.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized ui state...`),await this.updateLastSyncUserData(E),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized ui state`))}async getAssociatedResources({uri:E}){return[{resource:this.extUri.joinPath(E,"globalState.json"),comparableResource:vt.GLOBAL_STATE_DATA_URI}]}async resolveContent(E){if(this.extUri.isEqual(E,vt.GLOBAL_STATE_DATA_URI)){const _=await this.getLocalGlobalState();return a(_,!0)}if(this.extUri.isEqual(this.remoteResource,E)||this.extUri.isEqual(this.baseResource,E)||this.extUri.isEqual(this.localResource,E)||this.extUri.isEqual(this.acceptedResource,E)){const _=await this.resolvePreviewContent(E);return _&&a(JSON.parse(_),!0)}let U=await super.resolveContent(E);if(U)return U;if(U=await super.resolveContent(this.extUri.dirname(E)),U){const _=this.parseSyncData(U);if(_)switch(this.extUri.basename(E)){case"globalState.json":return a(JSON.parse(_.content),!0)}}return null}async hasLocalData(){try{const{storage:E}=await this.getLocalGlobalState();if(Object.keys(E).length>1||E[`${n}.locale`]?.value!=="en")return!0}catch{}return!1}async getLocalGlobalState(){const E={},U=await this.getLocalArgvContent(),_=(0,T.parse)(U);for(const N of i)_[N]!==void 0&&(E[`${n}${N}`]={version:1,value:_[N]});for(const N of this.storageService.keys(0,0)){const L=this.storageService.get(N,0);L&&(E[N]={version:1,value:L})}return{storage:E}}async getLocalArgvContent(){try{this.logService.debug("GlobalStateSync#getLocalArgvContent",this.environmentService.argvResource);const E=await this.fileService.readFile(this.environmentService.argvResource);return this.logService.debug("GlobalStateSync#getLocalArgvContent - Resolved",this.environmentService.argvResource),E.value.toString()}catch(E){this.logService.debug((0,t.getErrorMessage)(E))}return"{}"}async writeLocalGlobalState({added:E,removed:U,updated:_}){const N={},L={},M=(H,W)=>{for(const z of H){if(z.startsWith(n)){N[z.substring(n.length)]=W?W[z].value:void 0;continue}if(W){const te=W[z];te.value!==String(this.storageService.get(z,0))&&(L[z]=te.value)}else this.storageService.get(z,0)!==void 0&&(L[z]=void 0)}};if(M(Object.keys(E),E),M(Object.keys(_),_),M(U),Object.keys(N).length&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.updateArgv(N),this.logService.info(`${this.syncResourceLogLabel}: Updated locale`)),Object.keys(L).length){this.logService.trace(`${this.syncResourceLogLabel}: Updating global state...`);for(const H of Object.keys(L))this.storageService.store(H,L[H],0,0);this.logService.info(`${this.syncResourceLogLabel}: Updated global state`,Object.keys(L))}}async updateArgv(E){const U=await this.getLocalArgvContent();let _=U;for(const N of Object.keys(E))_=(0,m.edit)(_,[N],E[N],{});U!==_&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.fileService.writeFile(this.environmentService.argvResource,R.VSBuffer.fromString(_)),this.logService.info(`${this.syncResourceLogLabel}: Updated locale.`))}getStorageKeys(E){const U=this.storageService.keys(0,0),_=this.storageService.keys(0,1),N=[...U,..._],L=E?.storage?Object.keys(E.storage).filter(M=>!M.startsWith(n)&&!N.includes(M)&&this.storageService.get(M,0)!==void 0):[];if(!C.isWeb){const M=[...u.ALL_SYNC_RESOURCES.map(O=>(0,u.getEnablementKey)(O)),u.SYNC_SERVICE_URL_TYPE];L.push(...M),_.push(...M)}return{user:U,machine:_,unregistered:L}}};o.GLOBAL_STATE_DATA_URI=P.URI.from({scheme:u.USER_DATA_SYNC_SCHEME,authority:"globalState",path:"/globalState.json"}),o=fe([Q(0,p.IFileService),Q(1,u.IUserDataSyncStoreService),Q(2,u.IUserDataSyncBackupStoreService),Q(3,u.IUserDataSyncLogService),Q(4,b.IEnvironmentService),Q(5,u.IUserDataSyncEnablementService),Q(6,w.ITelemetryService),Q(7,D.IConfigurationService),Q(8,S.IStorageService),Q(9,d.IUriIdentityService)],o),e.GlobalStateSynchroniser=o;let s=class extends v.AbstractInitializer{constructor(E,U,_,N,L,M){super("globalState",_,N,L,U,M);this.storageService=E}async doInitialize(E){const U=E.syncData?JSON.parse(E.syncData.content):null;if(!U){this.logService.info("Skipping initializing global state because remote global state does not exist.");return}const _={},N={};for(const L of Object.keys(U.storage))L.startsWith(n)?_[L.substring(n.length)]=U.storage[L].value:this.storageService.get(L,0)===void 0&&(N[L]=U.storage[L].value);if(Object.keys(_).length){let L="{}";try{L=(await this.fileService.readFile(this.environmentService.argvResource)).value.toString()}catch{}for(const M of Object.keys(_))L=(0,m.edit)(L,[M],_[M],{});await this.fileService.writeFile(this.environmentService.argvResource,R.VSBuffer.fromString(L))}if(Object.keys(N).length)for(const L of Object.keys(N))this.storageService.store(L,N[L],0,0)}};s=fe([Q(0,S.IStorageService),Q(1,p.IFileService),Q(2,r.IUserDataProfilesService),Q(3,b.IEnvironmentService),Q(4,u.IUserDataSyncLogService),Q(5,d.IUriIdentityService)],s),e.GlobalStateInitializer=s;let l=class{constructor(E,U,_,N,L){this.userDataSyncStoreClient=E,this.storageService=U,this.environmentService=_,this.fileService=N,this.logService=L}getSyncStoreType(E){return this.parseGlobalState(E)?.storage[u.SYNC_SERVICE_URL_TYPE]?.value}async sync(E){const U=(0,u.createSyncHeaders)((0,I.generateUuid)());try{return await this.doSync(E,U)}catch(_){if(_ instanceof u.UserDataSyncError)switch(_.code){case"PreconditionFailed":return this.logService.info("Failed to synchronize UserDataSyncStoreType as there is a new remote version available. Synchronizing again..."),this.doSync(E,U)}throw _}}async doSync(E,U){const _=await this.userDataSyncStoreClient.read("globalState",null,U),N=this.parseGlobalState(_)||{storage:{}};N.storage[u.SYNC_SERVICE_URL_TYPE]={value:E,version:c};const L=await(0,h.getServiceMachineId)(this.environmentService,this.fileService,this.storageService),M={version:c,machineId:L,content:a(N,!1)};await this.userDataSyncStoreClient.write("globalState",JSON.stringify(M),_.ref,U)}parseGlobalState({content:E}){if(!E)return null;const U=JSON.parse(E);if((0,v.isSyncData)(U))return U?JSON.parse(U.content):null;throw new Error("Invalid remote data")}};l=fe([Q(1,S.IStorageService),Q(2,b.IEnvironmentService),Q(3,p.IFileService),Q(4,y.ILogService)],l),e.UserDataSyncStoreTypeSynchronizer=l}),define(re[248],se([0,1,17,16,3,34,4,14,159,19,15,10,22,21,33,29,46,243,25]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingsInitializer=e.KeybindingsSynchroniser=e.getKeybindingsContentFromSyncContent=void 0;function m(r,n,i){try{const a=JSON.parse(r);if(!n)return(0,C.isUndefined)(a.all)?null:a.all;switch(A.OS){case 2:return(0,C.isUndefined)(a.mac)?null:a.mac;case 3:return(0,C.isUndefined)(a.linux)?null:a.linux;case 1:return(0,C.isUndefined)(a.windows)?null:a.windows}}catch(a){return i.error(a),null}}e.getKeybindingsContentFromSyncContent=m;let g=class extends w.AbstractJsonFileSynchroniser{constructor(n,i,a,c,o,s,l,f,E,U,_,N){super(l.defaultProfile.keybindingsResource,"keybindings",s,f,E,n,i,o,_,a,U,c,N);this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"keybindings.json"),this.baseResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"base"}),this.localResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(k.Event.filter(c.onDidChangeConfiguration,L=>L.affectsConfiguration("settingsSync.keybindingsPerPlatform"))(()=>this.triggerLocalChange()))}async generateSyncPreview(n,i,a,c){const o=n.syncData?m(n.syncData.content,c.keybindingsPerPlatform??this.syncKeybindingsPerPlatform(),this.logService):null;i=i===null&&a?n:i;const s=i?this.getKeybindingsContentFromLastSyncUserData(i):null,l=await this.getLocalFileContent(),f=await this.getFormattingOptions();let E=null,U=!1,_=!1,N=!1;if(o){let O=l?l.value.toString():"[]";if(O=O||"[]",this.hasErrors(O,!0))throw new v.UserDataSyncError((0,P.localize)(0,null),"LocalInvalidContent",this.resource);if(!s||s!==O||s!==o){this.logService.trace(`${this.syncResourceLogLabel}: Merging remote keybindings with local keybindings...`);const H=await(0,d.merge)(O,o,s,f,this.userDataSyncUtilService);H.hasChanges&&(E=H.mergeContent,N=H.hasConflicts,U=N||H.mergeContent!==O,_=N||H.mergeContent!==o)}}else l&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote keybindings does not exist. Synchronizing keybindings for the first time.`),E=l.value.toString(),_=!0);const L={content:E,localChange:U?l?2:1:0,remoteChange:_?2:0,hasConflicts:N},M=l?l.value.toString():null;return[{fileContent:l,baseResource:this.baseResource,baseContent:s!==null?s:M,localResource:this.localResource,localContent:M,localChange:L.localChange,remoteResource:this.remoteResource,remoteContent:o,remoteChange:L.remoteChange,previewResource:this.previewResource,previewResult:L,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(n){const i=this.getKeybindingsContentFromLastSyncUserData(n);if(i===null)return!0;const a=await this.getLocalFileContent(),c=a?a.value.toString():"",o=await this.getFormattingOptions(),s=await(0,d.merge)(c||"[]",i,i,o,this.userDataSyncUtilService);return s.hasConflicts||s.mergeContent!==i}async getMergeResult(n,i){return n.previewResult}async getAcceptResult(n,i,a,c){if(this.extUri.isEqual(i,this.localResource))return{content:n.fileContent?n.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.extUri.isEqual(i,this.remoteResource))return{content:n.remoteContent,localChange:2,remoteChange:0};if(this.extUri.isEqual(i,this.previewResource))return a===void 0?{content:n.previewResult.content,localChange:n.previewResult.localChange,remoteChange:n.previewResult.remoteChange}:{content:a,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${i.toString()}`)}async applyResult(n,i,a,c){const{fileContent:o}=a[0][0];let{content:s,localChange:l,remoteChange:f}=a[0][1];if(l===0&&f===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing keybindings.`),s!==null&&(s=s.trim(),s=s||"[]",this.hasErrors(s,!0)))throw new v.UserDataSyncError((0,P.localize)(1,null),"LocalInvalidContent",this.resource);if(l!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local keybindings...`),o&&await this.backupLocal(this.toSyncContent(o.value.toString())),await this.updateLocalFileContent(s||"[]",o,c),this.logService.info(`${this.syncResourceLogLabel}: Updated local keybindings`)),f!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote keybindings...`);const E=this.toSyncContent(s||"[]",n.syncData?.content);n=await this.updateRemoteUserData(E,c?null:n.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote keybindings`)}try{await this.fileService.del(this.previewResource)}catch{}i?.ref!==n.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized keybindings...`),await this.updateLastSyncUserData(n,{platformSpecific:this.syncKeybindingsPerPlatform()}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized keybindings`))}async hasLocalData(){try{const n=await this.getLocalFileContent();if(n){const i=(0,T.parse)(n.value.toString());if((0,R.isNonEmptyArray)(i))return!0}}catch(n){if(n.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:n}){const i=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(n,"keybindings.json"),comparableResource:i}]}async resolveContent(n){if(this.extUri.isEqual(this.remoteResource,n)||this.extUri.isEqual(this.baseResource,n)||this.extUri.isEqual(this.localResource,n)||this.extUri.isEqual(this.acceptedResource,n))return this.resolvePreviewContent(n);let i=await super.resolveContent(n);if(i)return i;if(i=await super.resolveContent(this.extUri.dirname(n)),i){const a=this.parseSyncData(i);if(a)switch(this.extUri.basename(n)){case"keybindings.json":return m(a.content,this.syncKeybindingsPerPlatform(),this.logService)}}return null}getKeybindingsContentFromLastSyncUserData(n){return!n.syncData||n.platformSpecific!==void 0&&n.platformSpecific!==this.syncKeybindingsPerPlatform()?null:m(n.syncData.content,this.syncKeybindingsPerPlatform(),this.logService)}toSyncContent(n,i){let a={};try{a=JSON.parse(i||"{}")}catch(c){this.logService.error(c)}switch(this.syncKeybindingsPerPlatform()?delete a.all:a.all=n,A.OS){case 2:a.mac=n;break;case 3:a.linux=n;break;case 1:a.windows=n;break}return JSON.stringify(a)}syncKeybindingsPerPlatform(){return!!this.configurationService.getValue("settingsSync.keybindingsPerPlatform")}};g=fe([Q(0,v.IUserDataSyncStoreService),Q(1,v.IUserDataSyncBackupStoreService),Q(2,v.IUserDataSyncLogService),Q(3,I.IConfigurationService),Q(4,v.IUserDataSyncEnablementService),Q(5,b.IFileService),Q(6,S.IUserDataProfilesService),Q(7,D.IEnvironmentService),Q(8,p.IStorageService),Q(9,v.IUserDataSyncUtilService),Q(10,y.ITelemetryService),Q(11,h.IUriIdentityService)],g),e.KeybindingsSynchroniser=g;let u=class extends w.AbstractInitializer{constructor(n,i,a,c,o){super("keybindings",i,a,c,n,o)}async doInitialize(n){const i=n.syncData?this.getKeybindingsContentFromSyncContent(n.syncData.content):null;if(!i){this.logService.info("Skipping initializing keybindings because remote keybindings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing keybindings because local keybindings exist.");return}await this.fileService.writeFile(this.userDataProfilesService.defaultProfile.keybindingsResource,t.VSBuffer.fromString(i)),await this.updateLastSyncUserData(n)}async isEmpty(){try{const n=await this.fileService.readFile(this.userDataProfilesService.defaultProfile.settingsResource),i=(0,T.parse)(n.value.toString());return!(0,R.isNonEmptyArray)(i)}catch(n){return n.fileOperationResult===1}}getKeybindingsContentFromSyncContent(n){try{return m(n,!0,this.logService)}catch(i){return this.logService.error(i),null}}};u=fe([Q(0,b.IFileService),Q(1,S.IUserDataProfilesService),Q(2,D.IEnvironmentService),Q(3,v.IUserDataSyncLogService),Q(4,h.IUriIdentityService)],u),e.KeybindingsInitializer=u}),define(re[249],se([0,1,17,34,75,53,30,59,25]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.addSetting=e.isEmpty=e.areSame=e.merge=e.updateIgnoredSettings=e.removeComments=e.getIgnoredSettings=void 0;function I(s,l,f){let E=[];f?E=b(f):E=D(l);const U=[],_=[...(0,P.getDisallowedIgnoredSettings)()];if(Array.isArray(E))for(const N of E)N.startsWith("-")?_.push(N.substring(1)):U.push(N);return(0,R.distinct)([...s,...U].filter(N=>_.indexOf(N)===-1))}e.getIgnoredSettings=I;function D(s){let l=s.inspect("settingsSync.ignoredSettings").userValue;return l!==void 0||(l=s.inspect("sync.ignoredSettings").userValue,l!==void 0)?l:s.getValue("settingsSync.ignoredSettings")||[]}function b(s){const l=(0,t.parse)(s);return l?l["settingsSync.ignoredSettings"]||l["sync.ignoredSettings"]||[]:[]}function p(s,l){const f=(0,t.parse)(s)||{};let E="{}";for(const U of Object.keys(f)){const _=(0,k.setProperty)(E,[U],f[U],l);E=(0,k.applyEdits)(E,_)}return E}e.removeComments=p;function y(s,l,f,E){if(f.length){const U=o(l),_=(0,t.parse)(l)||{},N=(0,t.parse)(s);if(!N)return s;const L=[];for(const M of f){const O=_[M],H=N[M];O===void 0?s=C.edit(s,[M],void 0,E):H!==void 0?s=C.edit(s,[M],O,E):L.push(r(M,U))}L.sort((M,O)=>M.startOffset-O.startOffset),L.forEach(M=>s=v(M.setting.key,l,s,E))}return s}e.updateIgnoredSettings=y;function h(s,l,f,E,U,_){const N=y(s,l,E,_),L=f!==N,M=f!==l;if(!L&&!M)return{conflictsSettings:[],localContent:null,remoteContent:null,hasConflicts:!1};if(L&&!M)return{conflictsSettings:[],localContent:null,remoteContent:N,hasConflicts:!1};if(M&&!L)return{conflictsSettings:[],localContent:y(l,s,E,_),remoteContent:null,hasConflicts:!1};if(f===null&&w(s)){const G=S(s,l,E)?null:y(l,s,E,_);return{conflictsSettings:[],localContent:G,remoteContent:null,hasConflicts:!1}}let O=s,H=l;const W=(0,t.parse)(s),z=(0,t.parse)(l),te=f?(0,t.parse)(f):null,V=E.reduce((G,q)=>(G.add(q),G),new Set),Y=d(W,z,V),X=d(te,W,V),K=d(te,z,V),x=new Map,B=new Set,J=G=>{B.add(G);const q=U.filter(({key:ee})=>ee===G)[0];q?(O=C.edit(O,[G],q.value,_),H=C.edit(H,[G],q.value,_)):x.set(G,{key:G,localValue:W[G],remoteValue:z[G]})};for(const G of X.removed.values())K.updated.has(G)?J(G):H=C.edit(H,[G],void 0,_);for(const G of K.removed.values())B.has(G)||(X.updated.has(G)?J(G):O=C.edit(O,[G],void 0,_));for(const G of X.updated.values())B.has(G)||(K.updated.has(G)?Y.updated.has(G)&&J(G):H=C.edit(H,[G],W[G],_));for(const G of K.updated.values())B.has(G)||(X.updated.has(G)?Y.updated.has(G)&&J(G):O=C.edit(O,[G],z[G],_));for(const G of X.added.values())B.has(G)||(K.added.has(G)?Y.updated.has(G)&&J(G):H=v(G,O,H,_));for(const G of K.added.values())B.has(G)||(X.added.has(G)?Y.updated.has(G)&&J(G):O=v(G,H,O,_));const F=x.size>0||!S(O,H,E),$=F||!S(O,s,[]),j=F||!S(H,l,[]);return{localContent:$?O:null,remoteContent:j?H:null,conflictsSettings:[...x.values()],hasConflicts:F}}e.merge=h;function S(s,l,f){if(s===l)return!0;const E=(0,t.parse)(s),U=(0,t.parse)(l),_=f.reduce((M,O)=>(M.add(O),M),new Set),N=o(s).filter(M=>!(M.setting&&_.has(M.setting.key))),L=o(l).filter(M=>!(M.setting&&_.has(M.setting.key)));if(N.length!==L.length)return!1;for(let M=0;M<N.length;M++){const O=N[M],H=L[M];if(O.setting&&H.setting){if(O.setting.key!==H.setting.key||!A.equals(E[O.setting.key],U[O.setting.key]))return!1}else if(!O.setting&&!H.setting){if(O.value!==H.value)return!1}else return!1}return!0}e.areSame=S;function w(s){return s?o(s).length===0:!0}e.isEmpty=w;function d(s,l,f){const E=s?Object.keys(s).filter(M=>!f.has(M)):[],U=Object.keys(l).filter(M=>!f.has(M)),_=U.filter(M=>E.indexOf(M)===-1).reduce((M,O)=>(M.add(O),M),new Set),N=E.filter(M=>U.indexOf(M)===-1).reduce((M,O)=>(M.add(O),M),new Set),L=new Set;if(s)for(const M of E){if(N.has(M))continue;const O=s[M],H=l[M];A.equals(O,H)||L.add(M)}return{added:_,removed:N,updated:L}}function v(s,l,f,E){const U=(0,t.parse)(l),_=o(l),N=o(f),L=m(s,_,N);return g(f,s,U[s],L,N,E)}e.addSetting=v;function m(s,l,f){const E=l.findIndex(_=>_.setting?.key===s),U=l[E-1];if(U){if(U.setting){const N=r(U.setting.key,f);if(N)return{index:f.indexOf(N),insertAfter:!0}}else{const N=n(E,l);if(N){const L=r(N.setting.key,f);if(L){const M=i(f.indexOf(L),f),O=a(l,N,l[E]);if(M){const H=a(f,L,M),W=c(O,H);return W?{index:f.indexOf(W),insertAfter:!0}:{index:f.indexOf(M),insertAfter:!1}}else{const H=a(f,L,f[f.length-1]),W=c(O,H);return W?{index:f.indexOf(W),insertAfter:!0}:{index:f.length-1,insertAfter:!0}}}}}const _=l[E+1];if(_)if(_.setting){const N=r(_.setting.key,f);if(N)return{index:f.indexOf(N),insertAfter:!1}}else{const N=i(E,l);if(N){const L=r(N.setting.key,f);if(L){const M=n(f.indexOf(L),f),O=a(l,l[E],N);if(M){const H=a(f,M,L),W=c(O.reverse(),H.reverse());return W?{index:f.indexOf(W),insertAfter:!1}:{index:f.indexOf(M),insertAfter:!0}}else{const H=a(f,f[0],L),W=c(O.reverse(),H.reverse());return W?{index:f.indexOf(W),insertAfter:!1}:{index:0,insertAfter:!1}}}}}}return{index:f.length-1,insertAfter:!0}}function g(s,l,f,E,U,_){let N;return E.index===-1?N=(0,k.setProperty)(s,[l],f,_):N=u(s,l,f,E,U,_).map(L=>(0,k.withFormatting)(s,L,_)[0]),(0,k.applyEdits)(s,N)}function u(s,l,f,E,U,_){const N=`${JSON.stringify(l)}: ${JSON.stringify(f)}`,L=(0,T.getEOL)(_,s),M=U[E.index];if(E.insertAfter){const O=[];if(M.setting)O.push({offset:M.endOffset,length:0,content:","+N});else{const H=i(E.index,U),W=n(E.index,U),z=W?.setting?.commaOffset;W&&z===void 0&&O.push({offset:W.endOffset,length:0,content:","});const te=z!==void 0&&z>M.endOffset;O.push({offset:te?z+1:M.endOffset,length:0,content:H?L+N+",":L+N})}return O}else{if(M.setting)return[{offset:M.startOffset,length:0,content:N+","}];const O=(U[E.index-1]&&!U[E.index-1].setting?L:"")+N+(i(E.index,U)?",":"")+L;return[{offset:M.startOffset,length:0,content:O}]}}function r(s,l){return l.filter(f=>f.setting?.key===s)[0]}function n(s,l){for(let f=s-1;f>=0;f--)if(l[f].setting)return l[f]}function i(s,l){for(let f=s+1;f<l.length;f++)if(l[f].setting)return l[f]}function a(s,l,f){const E=s.indexOf(l),U=s.indexOf(f);return s.filter((_,N)=>E<N&&N<U)}function c(s,l){if(s.length&&l.length){let f=0;for(;f<l.length&&f<s.length;f++)if(s[f].value!==l[f].value)return l[f-1];return l[f-1]}}function o(s){const l=[];let f=-1,E,U;const _={onObjectBegin:N=>{f++},onObjectProperty:(N,L,M)=>{f===0&&(E=L,U=N)},onObjectEnd:(N,L)=>{f--,f===0&&l.push({startOffset:E,endOffset:N+L,value:s.substring(E,N+L),setting:{key:U,commaOffset:void 0}})},onArrayBegin:(N,L)=>{f++},onArrayEnd:(N,L)=>{f--,f===0&&l.push({startOffset:E,endOffset:N+L,value:s.substring(E,N+L),setting:{key:U,commaOffset:void 0}})},onLiteralValue:(N,L,M)=>{f===0&&l.push({startOffset:E,endOffset:L+M,value:s.substring(E,L+M),setting:{key:U,commaOffset:void 0}})},onSeparator:(N,L,M)=>{if(f===0&&N===","){let O=l.length-1;for(;O>=0&&!l[O].setting;O--);const H=l[O];H&&l.splice(O,1,{startOffset:H.startOffset,endOffset:H.endOffset,value:H.value,setting:{key:H.setting.key,commaOffset:L}})}},onComment:(N,L)=>{f===0&&l.push({startOffset:N,endOffset:N+L,value:s.substring(N,N+L)})}};return(0,t.visit)(s,_),l}}),define(re[250],se([0,1,16,3,160,19,68,15,28,10,22,21,33,29,46,59,249,25]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SettingsInitializer=e.SettingsSynchroniser=e.parseSettingsSyncContent=void 0;function v(r){return r&&r.settings&&typeof r.settings=="string"&&Object.keys(r).length===1}function m(r){const n=JSON.parse(r);return v(n)?n:{settings:r}}e.parseSettingsSyncContent=m;let g=class extends h.AbstractJsonFileSynchroniser{constructor(n,i,a,c,o,s,l,f,E,U,_,N,L){super(i.defaultProfile.settingsResource,"settings",n,a,c,o,s,U,_,l,f,E,L);this.extensionManagementService=N,this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"settings.json"),this.baseResource=this.previewResource.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"base"}),this.localResource=this.previewResource.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:d.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._defaultIgnoredSettings=void 0}async getRemoteUserDataSyncConfiguration(n){const i=await this.getLastSyncUserData(),a=await this.getLatestRemoteUserData(n,i),c=this.getSettingsSyncContent(a),o=new A.ConfigurationModelParser(d.USER_DATA_SYNC_CONFIGURATION_SCOPE);return c?.settings&&o.parse(c.settings),o.configurationModel.getValue(d.USER_DATA_SYNC_CONFIGURATION_SCOPE)||{}}async generateSyncPreview(n,i,a){const c=await this.getLocalFileContent(),o=await this.getFormattingOptions(),s=this.getSettingsSyncContent(n);i=i===null&&a?n:i;const l=i?this.getSettingsSyncContent(i):null,f=await this.getIgnoredSettings();let E=null,U=!1,_=!1,N=!1;if(s){let O=c?c.value.toString().trim():"{}";O=O||"{}",this.validateContent(O),this.logService.trace(`${this.syncResourceLogLabel}: Merging remote settings with local settings...`);const H=(0,w.merge)(O,s.settings,l?l.settings:null,f,[],o);E=H.localContent||H.remoteContent,U=H.localContent!==null,_=H.remoteContent!==null,N=H.hasConflicts}else c&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote settings does not exist. Synchronizing settings for the first time.`),E=c.value.toString().trim()||"{}",this.validateContent(E),_=!0);const L={content:E,localChange:U?2:0,remoteChange:_?2:0,hasConflicts:N},M=c?c.value.toString():null;return[{fileContent:c,baseResource:this.baseResource,baseContent:l?l.settings:M,localResource:this.localResource,localContent:M,localChange:L.localChange,remoteResource:this.remoteResource,remoteContent:s?s.settings:null,remoteChange:L.remoteChange,previewResource:this.previewResource,previewResult:L,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(n){const i=this.getSettingsSyncContent(n);if(i===null)return!0;const a=await this.getLocalFileContent(),c=a?a.value.toString().trim():"",o=await this.getIgnoredSettings(),s=await this.getFormattingOptions();return(0,w.merge)(c||"{}",i.settings,i.settings,o,[],s).remoteContent!==null}async getMergeResult(n,i){const a=await this.getFormattingOptions(),c=await this.getIgnoredSettings();return{...n.previewResult,content:n.previewResult.content?(0,w.updateIgnoredSettings)(n.previewResult.content,"{}",c,a):null}}async getAcceptResult(n,i,a,c){const o=await this.getFormattingOptions(),s=await this.getIgnoredSettings();if(this.extUri.isEqual(i,this.localResource))return{content:n.fileContent?(0,w.updateIgnoredSettings)(n.fileContent.value.toString(),"{}",s,o):null,localChange:0,remoteChange:2};if(this.extUri.isEqual(i,this.remoteResource))return{content:n.remoteContent!==null?(0,w.updateIgnoredSettings)(n.remoteContent,n.fileContent?n.fileContent.value.toString():"{}",s,o):null,localChange:2,remoteChange:0};if(this.extUri.isEqual(i,this.previewResource))return a===void 0?{content:n.previewResult.content,localChange:n.previewResult.localChange,remoteChange:n.previewResult.remoteChange}:{content:a!==null?(0,w.updateIgnoredSettings)(a,n.fileContent?n.fileContent.value.toString():"{}",s,o):null,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${i.toString()}`)}async applyResult(n,i,a,c){const{fileContent:o}=a[0][0];let{content:s,localChange:l,remoteChange:f}=a[0][1];if(l===0&&f===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing settings.`),s=s?s.trim():"{}",s=s||"{}",this.validateContent(s),l!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local settings...`),o&&await this.backupLocal(JSON.stringify(this.toSettingsSyncContent(o.value.toString()))),await this.updateLocalFileContent(s,o,c),await this.configurationService.reloadConfiguration(2),this.logService.info(`${this.syncResourceLogLabel}: Updated local settings`)),f!==0){const E=await this.getFormattingOptions(),U=this.getSettingsSyncContent(n),_=await this.getIgnoredSettings(s);s=(0,w.updateIgnoredSettings)(s,U?U.settings:"{}",_,E),this.logService.trace(`${this.syncResourceLogLabel}: Updating remote settings...`),n=await this.updateRemoteUserData(JSON.stringify(this.toSettingsSyncContent(s)),c?null:n.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote settings`)}try{await this.fileService.del(this.previewResource)}catch{}i?.ref!==n.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized settings...`),await this.updateLastSyncUserData(n),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized settings`))}async hasLocalData(){try{const n=await this.getLocalFileContent();if(n){const i=await this.getFormattingOptions(),a=(0,S.edit)(n.value.toString(),[d.CONFIGURATION_SYNC_STORE_KEY],void 0,i);return!(0,w.isEmpty)(a)}}catch(n){if(n.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:n}){const i=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(n,"settings.json"),comparableResource:i}]}async resolveContent(n){if(this.extUri.isEqual(this.remoteResource,n)||this.extUri.isEqual(this.localResource,n)||this.extUri.isEqual(this.acceptedResource,n)||this.extUri.isEqual(this.baseResource,n))return this.resolvePreviewContent(n);let i=await super.resolveContent(n);if(i)return i;if(i=await super.resolveContent(this.extUri.dirname(n)),i){const a=this.parseSyncData(i);if(a){const c=this.parseSettingsSyncContent(a.content);if(c)switch(this.extUri.basename(n)){case"settings.json":return c.settings}}}return null}async resolvePreviewContent(n){let i=await super.resolvePreviewContent(n);if(i){const a=await this.getFormattingOptions(),c=await this.getIgnoredSettings();i=(0,w.updateIgnoredSettings)(i,"{}",c,a)}return i}getSettingsSyncContent(n){return n.syncData?this.parseSettingsSyncContent(n.syncData.content):null}parseSettingsSyncContent(n){try{return m(n)}catch(i){this.logService.error(i)}return null}toSettingsSyncContent(n){return{settings:n}}async getIgnoredSettings(n){if(!this._defaultIgnoredSettings){this._defaultIgnoredSettings=this.userDataSyncUtilService.resolveDefaultIgnoredSettings();const a=t.Event.any(t.Event.filter(this.extensionManagementService.onDidInstallExtensions,c=>c.some(({local:o})=>!!o)),t.Event.filter(this.extensionManagementService.onDidUninstallExtension,c=>!c.error))(()=>{a.dispose(),this._defaultIgnoredSettings=void 0})}const i=await this._defaultIgnoredSettings;return(0,w.getIgnoredSettings)(i,this.configurationService,n)}validateContent(n){if(this.hasErrors(n,!1))throw new d.UserDataSyncError((0,k.localize)(0,null),"LocalInvalidContent",this.resource)}};g=fe([Q(0,I.IFileService),Q(1,y.IUserDataProfilesService),Q(2,C.IEnvironmentService),Q(3,D.IStorageService),Q(4,d.IUserDataSyncStoreService),Q(5,d.IUserDataSyncBackupStoreService),Q(6,d.IUserDataSyncLogService),Q(7,d.IUserDataSyncUtilService),Q(8,T.IConfigurationService),Q(9,d.IUserDataSyncEnablementService),Q(10,b.ITelemetryService),Q(11,P.IExtensionManagementService),Q(12,p.IUriIdentityService)],g),e.SettingsSynchroniser=g;let u=class extends h.AbstractInitializer{constructor(n,i,a,c,o){super("settings",i,a,c,n,o)}async doInitialize(n){const i=n.syncData?this.parseSettingsSyncContent(n.syncData.content):null;if(!i){this.logService.info("Skipping initializing settings because remote settings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing settings because local settings exist.");return}await this.fileService.writeFile(this.userDataProfilesService.defaultProfile.settingsResource,R.VSBuffer.fromString(i.settings)),await this.updateLastSyncUserData(n)}async isEmpty(){try{const n=await this.fileService.readFile(this.userDataProfilesService.defaultProfile.settingsResource);return(0,w.isEmpty)(n.value.toString().trim())}catch(n){return n.fileOperationResult===1}}parseSettingsSyncContent(n){try{return m(n)}catch(i){this.logService.error(i)}return null}};u=fe([Q(0,I.IFileService),Q(1,y.IUserDataProfilesService),Q(2,C.IEnvironmentService),Q(3,d.IUserDataSyncLogService),Q(4,p.IUriIdentityService)],u),e.SettingsInitializer=u}),define(re[251],se([0,1,16,3,30,19,15,10,22,21,33,29,46,244,25]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnippetsInitializer=e.SnippetsSynchroniser=void 0;let S=class extends p.AbstractSynchroniser{constructor(v,m,g,u,r,n,i,a,c,o,s){super("snippets",m,v,u,r,n,c,o,i,a,s);this.version=1,this.snippetsFolder=g.defaultProfile.snippetsHome,this._register(this.fileService.watch(v.userRoamingDataHome)),this._register(this.fileService.watch(this.snippetsFolder)),this._register(t.Event.filter(this.fileService.onDidFilesChange,l=>l.affects(this.snippetsFolder))(()=>this.triggerLocalChange()))}async generateSyncPreview(v,m,g){const u=await this.getSnippetsFileContents(),r=this.toSnippetsContents(u),n=v.syncData?this.parseSnippets(v.syncData):null;m=m===null&&g?v:m;const i=m&&m.syncData?this.parseSnippets(m.syncData):null;n?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote snippets with local snippets...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote snippets does not exist. Synchronizing snippets for the first time.`);const a=(0,y.merge)(r,n,i);return this.getResourcePreviews(a,u,n||{},i||{})}async hasRemoteChanged(v){const m=v.syncData?this.parseSnippets(v.syncData):null;if(m===null)return!0;const g=await this.getSnippetsFileContents(),u=this.toSnippetsContents(g),r=(0,y.merge)(u,m,m);return Object.keys(r.remote.added).length>0||Object.keys(r.remote.updated).length>0||r.remote.removed.length>0||r.conflicts.length>0}async getMergeResult(v,m){return v.previewResult}async getAcceptResult(v,m,g,u){if(this.extUri.isEqualOrParent(m,this.syncPreviewFolder.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"})))return{content:v.fileContent?v.fileContent.value.toString():null,localChange:0,remoteChange:v.fileContent?v.remoteContent!==null?2:1:3};if(this.extUri.isEqualOrParent(m,this.syncPreviewFolder.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"})))return{content:v.remoteContent,localChange:v.remoteContent!==null?v.fileContent?2:1:3,remoteChange:0};if(this.extUri.isEqualOrParent(m,this.syncPreviewFolder))return g===void 0?{content:v.previewResult.content,localChange:v.previewResult.localChange,remoteChange:v.previewResult.remoteChange}:{content:g,localChange:g===null?v.fileContent!==null?3:0:2,remoteChange:g===null?v.remoteContent!==null?3:0:2};throw new Error(`Invalid Resource: ${m.toString()}`)}async applyResult(v,m,g,u){const r=g.map(([n,i])=>({...n,acceptResult:i}));r.every(({localChange:n,remoteChange:i})=>n===0&&i===0)&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing snippets.`),r.some(({localChange:n})=>n!==0)&&(await this.updateLocalBackup(r),await this.updateLocalSnippets(r,u)),r.some(({remoteChange:n})=>n!==0)&&(v=await this.updateRemoteSnippets(r,v,u)),m?.ref!==v.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized snippets...`),await this.updateLastSyncUserData(v),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized snippets`));for(const{previewResource:n}of r)try{await this.fileService.del(n)}catch{}}getResourcePreviews(v,m,g,u){const r=new Map;for(const n of Object.keys(v.local.added)){const i={content:v.local.added[n],hasConflicts:!1,localChange:1,remoteChange:0};r.set(n,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:null,fileContent:null,localResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"}),localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[n],previewResource:this.extUri.joinPath(this.syncPreviewFolder,n),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const n of Object.keys(v.local.updated)){const i={content:v.local.updated[n],hasConflicts:!1,localChange:2,remoteChange:0},a=m[n]?m[n].value.toString():null;r.set(n,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:u[n]??a,localResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:m[n],localContent:a,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[n],previewResource:this.extUri.joinPath(this.syncPreviewFolder,n),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const n of v.local.removed){const i={content:null,hasConflicts:!1,localChange:3,remoteChange:0},a=m[n]?m[n].value.toString():null;r.set(n,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:u[n]??a,localResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:m[n],localContent:a,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,n),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const n of Object.keys(v.remote.added)){const i={content:v.remote.added[n],hasConflicts:!1,localChange:0,remoteChange:1},a=m[n]?m[n].value.toString():null;r.set(n,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:u[n]??a,localResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:m[n],localContent:a,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,n),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const n of Object.keys(v.remote.updated)){const i={content:v.remote.updated[n],hasConflicts:!1,localChange:0,remoteChange:2},a=m[n]?m[n].value.toString():null;r.set(n,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:u[n]??a,localResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:m[n],localContent:a,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[n],previewResource:this.extUri.joinPath(this.syncPreviewFolder,n),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const n of v.remote.removed){const i={content:null,hasConflicts:!1,localChange:0,remoteChange:3};r.set(n,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:u[n]??null,localResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:null,localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[n],previewResource:this.extUri.joinPath(this.syncPreviewFolder,n),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const n of v.conflicts){const i={content:m[n]?m[n].value.toString():null,hasConflicts:!0,localChange:m[n]?2:1,remoteChange:g[n]?2:1},a=m[n]?m[n].value.toString():null;r.set(n,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:u[n]??a,localResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:m[n]||null,localContent:a,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[n]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,n),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const n of Object.keys(m))if(!r.has(n)){const i={content:m[n]?m[n].value.toString():null,hasConflicts:!1,localChange:0,remoteChange:0},a=m[n]?m[n].value.toString():null;r.set(n,{baseResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"base"}),baseContent:u[n]??a,localResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:m[n]||null,localContent:a,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[n]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,n),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}return[...r.values()]}async getAssociatedResources({uri:v}){const m=await super.resolveContent(v);if(m){const g=this.parseSyncData(m);if(g){const u=this.parseSnippets(g),r=[];for(const n of Object.keys(u)){const i=this.extUri.joinPath(v,n),a=this.extUri.joinPath(this.snippetsFolder,n),c=await this.fileService.exists(a);r.push({resource:i,comparableResource:c?a:this.extUri.joinPath(this.syncPreviewFolder,n).with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"})})}return r}}return[]}async resolveContent(v){if(this.extUri.isEqualOrParent(v,this.syncPreviewFolder.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"remote"}))||this.extUri.isEqualOrParent(v,this.syncPreviewFolder.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"local"}))||this.extUri.isEqualOrParent(v,this.syncPreviewFolder.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"base"}))||this.extUri.isEqualOrParent(v,this.syncPreviewFolder.with({scheme:h.USER_DATA_SYNC_SCHEME,authority:"accepted"})))return this.resolvePreviewContent(v);let m=await super.resolveContent(v);if(m)return m;if(m=await super.resolveContent(this.extUri.dirname(v)),m){const g=this.parseSyncData(m);if(g)return this.parseSnippets(g)[this.extUri.basename(v)]||null}return null}async hasLocalData(){try{const v=await this.getSnippetsFileContents();if(Object.keys(v).length)return!0}catch{}return!1}async updateLocalBackup(v){const m={};for(const g of v)g.fileContent&&(m[this.extUri.basename(g.localResource)]=g.fileContent);await this.backupLocal(JSON.stringify(this.toSnippetsContents(m)))}async updateLocalSnippets(v,m){for(const{fileContent:g,acceptResult:u,localResource:r,remoteResource:n,localChange:i}of v)if(i!==0){const a=n?this.extUri.basename(n):this.extUri.basename(r),c=this.extUri.joinPath(this.snippetsFolder,a);i===3?(this.logService.trace(`${this.syncResourceLogLabel}: Deleting snippet...`,this.extUri.basename(c)),await this.fileService.del(c),this.logService.info(`${this.syncResourceLogLabel}: Deleted snippet`,this.extUri.basename(c))):i===1?(this.logService.trace(`${this.syncResourceLogLabel}: Creating snippet...`,this.extUri.basename(c)),await this.fileService.createFile(c,R.VSBuffer.fromString(u.content),{overwrite:m}),this.logService.info(`${this.syncResourceLogLabel}: Created snippet`,this.extUri.basename(c))):(this.logService.trace(`${this.syncResourceLogLabel}: Updating snippet...`,this.extUri.basename(c)),await this.fileService.writeFile(c,R.VSBuffer.fromString(u.content),m?void 0:g),this.logService.info(`${this.syncResourceLogLabel}: Updated snippet`,this.extUri.basename(c)))}}async updateRemoteSnippets(v,m,g){const u=m.syncData?this.parseSnippets(m.syncData):{},r=(0,k.deepClone)(u);for(const{acceptResult:n,localResource:i,remoteResource:a,remoteChange:c}of v)if(c!==0){const o=i?this.extUri.basename(i):this.extUri.basename(a);c===3?delete r[o]:r[o]=n.content}return(0,y.areSame)(u,r)||(this.logService.trace(`${this.syncResourceLogLabel}: Updating remote snippets...`),m=await this.updateRemoteUserData(JSON.stringify(r),g?null:m.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote snippets`)),m}parseSnippets(v){return JSON.parse(v.content)}toSnippetsContents(v){const m={};for(const g of Object.keys(v))m[g]=v[g].value.toString();return m}async getSnippetsFileContents(){const v={};let m;try{m=await this.fileService.resolve(this.snippetsFolder)}catch(g){if(g instanceof C.FileOperationError&&g.fileOperationResult===1)return v;throw g}for(const g of m.children||[]){const u=g.resource,r=this.extUri.extname(u);if(r===".json"||r===".code-snippets"){const n=this.extUri.relativePath(this.snippetsFolder,u),i=await this.fileService.readFile(u);v[n]=i}}return v}};S=fe([Q(0,A.IEnvironmentService),Q(1,C.IFileService),Q(2,b.IUserDataProfilesService),Q(3,P.IStorageService),Q(4,h.IUserDataSyncStoreService),Q(5,h.IUserDataSyncBackupStoreService),Q(6,h.IUserDataSyncLogService),Q(7,T.IConfigurationService),Q(8,h.IUserDataSyncEnablementService),Q(9,I.ITelemetryService),Q(10,D.IUriIdentityService)],S),e.SnippetsSynchroniser=S;let w=class extends p.AbstractInitializer{constructor(v,m,g,u,r){super("snippets",m,g,u,v,r)}async doInitialize(v){const m=v.syncData?JSON.parse(v.syncData.content):null;if(!m){this.logService.info("Skipping initializing snippets because remote snippets does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing snippets because local snippets exist.");return}for(const u of Object.keys(m)){const r=m[u];if(r){const n=this.extUri.joinPath(this.userDataProfilesService.defaultProfile.snippetsHome,u);await this.fileService.createFile(n,R.VSBuffer.fromString(r)),this.logService.info("Created snippet",this.extUri.basename(n))}}await this.updateLastSyncUserData(v)}async isEmpty(){try{return!(await this.fileService.resolve(this.userDataProfilesService.defaultProfile.snippetsHome)).children?.length}catch(v){return v.fileOperationResult===1}}};w=fe([Q(0,C.IFileService),Q(1,b.IUserDataProfilesService),Q(2,A.IEnvironmentService),Q(3,h.IUserDataSyncLogService),Q(4,D.IUriIdentityService)],w),e.SnippetsInitializer=w}),define(re[252],se([0,1,16,19,15,10,22,21,33,29,46,25]),function(Z,e,R,t,k,T,A,C,P,I,D,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TasksInitializer=e.TasksSynchroniser=e.getTasksContentFromSyncContent=void 0;function p(w,d){try{return JSON.parse(w).tasks}catch(v){return d.error(v),null}}e.getTasksContentFromSyncContent=p;let y=class extends D.AbstractFileSynchroniser{constructor(d,v,m,g,u,r,n,i,a,c,o){super(o.defaultProfile.tasksResource,"tasks",r,n,i,d,v,u,a,m,g,c);this.version=1,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"tasks.json"),this.baseResource=this.previewResource.with({scheme:b.USER_DATA_SYNC_SCHEME,authority:"base"}),this.localResource=this.previewResource.with({scheme:b.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:b.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:b.USER_DATA_SYNC_SCHEME,authority:"accepted"})}async generateSyncPreview(d,v,m,g){const u=d.syncData?p(d.syncData.content,this.logService):null;v=v===null&&m?d:v;const r=v?.syncData?p(v.syncData.content,this.logService):null,n=await this.getLocalFileContent();let i=null,a=!1,c=!1,o=!1;if(u){const f=n?n.value.toString():null;if(!r||r!==f||r!==u){this.logService.trace(`${this.syncResourceLogLabel}: Merging remote tasks with local tasks...`);const E=S(f,u,r);i=E.content,o=E.hasConflicts,a=E.hasLocalChanged,c=E.hasRemoteChanged}}else n&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote tasks does not exist. Synchronizing tasks for the first time.`),i=n.value.toString(),c=!0);const s={content:i,localChange:a?n?2:1:0,remoteChange:c?2:0,hasConflicts:o},l=n?n.value.toString():null;return[{fileContent:n,baseResource:this.baseResource,baseContent:r!==null?r:l,localResource:this.localResource,localContent:l,localChange:s.localChange,remoteResource:this.remoteResource,remoteContent:u,remoteChange:s.remoteChange,previewResource:this.previewResource,previewResult:s,acceptedResource:this.acceptedResource}]}async hasRemoteChanged(d){const v=d?.syncData?p(d.syncData.content,this.logService):null;if(v===null)return!0;const m=await this.getLocalFileContent(),g=m?m.value.toString():null,u=S(g,v,v);return u.hasLocalChanged||u.hasRemoteChanged}async getMergeResult(d,v){return d.previewResult}async getAcceptResult(d,v,m,g){if(this.extUri.isEqual(v,this.localResource))return{content:d.fileContent?d.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.extUri.isEqual(v,this.remoteResource))return{content:d.remoteContent,localChange:2,remoteChange:0};if(this.extUri.isEqual(v,this.previewResource))return m===void 0?{content:d.previewResult.content,localChange:d.previewResult.localChange,remoteChange:d.previewResult.remoteChange}:{content:m,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${v.toString()}`)}async applyResult(d,v,m,g){const{fileContent:u}=m[0][0],{content:r,localChange:n,remoteChange:i}=m[0][1];if(n===0&&i===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing tasks.`),n!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local tasks...`),u&&await this.backupLocal(JSON.stringify(this.toTasksSyncContent(u.value.toString()))),await this.updateLocalFileContent(r||"{}",u,g),this.logService.info(`${this.syncResourceLogLabel}: Updated local tasks`)),i!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote tasks...`);const a=JSON.stringify(this.toTasksSyncContent(r||"{}"));d=await this.updateRemoteUserData(a,g?null:d.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote tasks`)}try{await this.fileService.del(this.previewResource)}catch{}v?.ref!==d.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized tasks...`),await this.updateLastSyncUserData(d),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized tasks`))}async hasLocalData(){return this.fileService.exists(this.file)}async getAssociatedResources({uri:d}){const v=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(d,"tasks.json"),comparableResource:v}]}async resolveContent(d){if(this.extUri.isEqual(this.remoteResource,d)||this.extUri.isEqual(this.baseResource,d)||this.extUri.isEqual(this.localResource,d)||this.extUri.isEqual(this.acceptedResource,d))return this.resolvePreviewContent(d);let v=await super.resolveContent(d);if(v)return v;if(v=await super.resolveContent(this.extUri.dirname(d)),v){const m=this.parseSyncData(v);if(m)switch(this.extUri.basename(d)){case"tasks.json":return p(m.content,this.logService)}}return null}toTasksSyncContent(d){return{tasks:d}}};y=fe([Q(0,b.IUserDataSyncStoreService),Q(1,b.IUserDataSyncBackupStoreService),Q(2,b.IUserDataSyncLogService),Q(3,t.IConfigurationService),Q(4,b.IUserDataSyncEnablementService),Q(5,T.IFileService),Q(6,k.IEnvironmentService),Q(7,A.IStorageService),Q(8,C.ITelemetryService),Q(9,P.IUriIdentityService),Q(10,I.IUserDataProfilesService)],y),e.TasksSynchroniser=y;let h=class extends D.AbstractInitializer{constructor(d,v,m,g,u){super("tasks",v,m,g,d,u);this.tasksResource=this.userDataProfilesService.defaultProfile.tasksResource}async doInitialize(d){const v=d.syncData?p(d.syncData.content,this.logService):null;if(!v){this.logService.info("Skipping initializing tasks because remote tasks does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing tasks because local tasks exist.");return}await this.fileService.writeFile(this.tasksResource,R.VSBuffer.fromString(v)),await this.updateLastSyncUserData(d)}async isEmpty(){return this.fileService.exists(this.tasksResource)}};h=fe([Q(0,T.IFileService),Q(1,I.IUserDataProfilesService),Q(2,k.IEnvironmentService),Q(3,b.IUserDataSyncLogService),Q(4,P.IUriIdentityService)],h),e.TasksInitializer=h;function S(w,d,v){if(w===null&&d===null&&v===null)return{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1};if(w===d)return{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1};const m=v!==w,g=v!==d;return!m&&!g?{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1}:m&&!g?{content:w,hasRemoteChanged:!0,hasLocalChanged:!1,hasConflicts:!1}:g&&!m?{content:d,hasLocalChanged:!0,hasRemoteChanged:!1,hasConflicts:!1}:{content:w,hasLocalChanged:!0,hasRemoteChanged:!0,hasConflicts:!0}}}),define(re[72],se([0,1,3,2,5,25]),function(Z,e,R,t,k,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncAccountService=e.IUserDataSyncAccountService=void 0,e.IUserDataSyncAccountService=(0,k.createDecorator)("IUserDataSyncAccountService");let A=class extends t.Disposable{constructor(P,I){super();this.userDataSyncStoreService=P,this.logService=I,this._onDidChangeAccount=this._register(new R.Emitter),this.onDidChangeAccount=this._onDidChangeAccount.event,this._onTokenFailed=this._register(new R.Emitter),this.onTokenFailed=this._onTokenFailed.event,this.wasTokenFailed=!1,this._register(P.onTokenFailed(()=>{this.logService.info("Settings Sync auth token failed",this.account?.authenticationProviderId,this.wasTokenFailed),this.updateAccount(void 0),this._onTokenFailed.fire(this.wasTokenFailed),this.wasTokenFailed=!0})),this._register(P.onTokenSucceed(()=>this.wasTokenFailed=!1))}get account(){return this._account}async updateAccount(P){(P&&this._account?P.token!==this._account.token||P.authenticationProviderId!==this._account.authenticationProviderId:P!==this._account)&&(this._account=P,this._account&&this.userDataSyncStoreService.setAuthToken(this._account.token,this._account.authenticationProviderId),this._onDidChangeAccount.fire(P))}};A=fe([Q(0,T.IUserDataSyncStoreService),Q(1,T.IUserDataSyncLogService)],A),e.UserDataSyncAccountService=A}),define(re[253],se([0,1,6,16,61,2,18,19,15,10,25]),function(Z,e,R,t,k,T,A,C,P,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncBackupStoreService=void 0;let b=class extends T.Disposable{constructor(y,h,S,w){super();this.environmentService=y,this.fileService=h,this.configurationService=S,this.logService=w,D.ALL_SYNC_RESOURCES.forEach(d=>this.cleanUpBackup(d))}async getAllRefs(y){const h=(0,A.joinPath)(this.environmentService.userDataSyncHome,y),S=await this.fileService.resolve(h);return S.children?S.children.filter(d=>d.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(d.name)).sort().reverse().map(d=>({ref:d.name,created:this.getCreationTime(d)})):[]}async resolveContent(y,h){if(!h){const S=await this.getAllRefs(y);S.length&&(h=S[S.length-1].ref)}if(h){const S=(0,A.joinPath)(this.environmentService.userDataSyncHome,y,h);return(await this.fileService.readFile(S)).value.toString()}return null}async backup(y,h){const S=(0,A.joinPath)(this.environmentService.userDataSyncHome,y),w=(0,A.joinPath)(S,`${(0,k.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}.json`);try{await this.fileService.writeFile(w,t.VSBuffer.fromString(h))}catch(d){this.logService.error(d)}try{this.cleanUpBackup(y)}catch{}}async cleanUpBackup(y){const h=(0,A.joinPath)(this.environmentService.userDataSyncHome,y);try{try{if(!await this.fileService.exists(h))return}catch{return}const S=await this.fileService.resolve(h);if(S.children){const w=S.children.filter(g=>g.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(g.name)).sort(),d=1e3*60*60*24*(this.configurationService.getValue("sync.localBackupDuration")||30);let v=w.filter(g=>Date.now()-this.getCreationTime(g)>d);const m=w.length-v.length;m<10&&(v=v.slice(10-m)),await R.Promises.settled(v.map(async g=>{this.logService.info("Deleting from backup",g.resource.path),await this.fileService.del(g.resource)}))}}catch(S){this.logService.error(S)}}getCreationTime(y){return y.ctime||new Date(parseInt(y.name.substring(0,4)),parseInt(y.name.substring(4,6))-1,parseInt(y.name.substring(6,8)),parseInt(y.name.substring(9,11)),parseInt(y.name.substring(11,13)),parseInt(y.name.substring(13,15))).getTime()}};b=fe([Q(0,P.IEnvironmentService),Q(1,I.IFileService),Q(2,C.IConfigurationService),Q(3,D.IUserDataSyncLogService)],b),e.UserDataSyncBackupStoreService=b}),define(re[254],se([0,1,3,2,4,15,22,21,25]),function(Z,e,R,t,k,T,A,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncEnablementService=void 0;const I="sync.enable";let D=class extends t.Disposable{constructor(p,y,h,S){super();this.storageService=p,this.telemetryService=y,this.environmentService=h,this.userDataSyncStoreManagementService=S,this._onDidChangeEnablement=new R.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this._onDidChangeResourceEnablement=new R.Emitter,this.onDidChangeResourceEnablement=this._onDidChangeResourceEnablement.event,this._register(p.onDidChangeValue(w=>this.onDidStorageChange(w)))}isEnabled(){switch(this.environmentService.sync){case"on":return!0;case"off":return!1}return this.storageService.getBoolean(I,-1,!1)}canToggleEnablement(){return this.userDataSyncStoreManagementService.userDataSyncStore!==void 0&&this.environmentService.sync===void 0}setEnablement(p){p&&!this.canToggleEnablement()||(this.telemetryService.publicLog2(I,{enabled:p}),this.storageService.store(I,p,-1,1))}isResourceEnabled(p){return this.storageService.getBoolean((0,P.getEnablementKey)(p),-1,!0)}setResourceEnablement(p,y){if(this.isResourceEnabled(p)!==y){const h=(0,P.getEnablementKey)(p);this.storeResourceEnablement(h,y)}}getResourceSyncStateVersion(p){}storeResourceEnablement(p,y){this.storageService.store(p,y,-1,k.isWeb?0:1)}onDidStorageChange(p){if(p.scope!==-1)return;if(I===p.key){this._onDidChangeEnablement.fire(this.isEnabled());return}const y=P.ALL_SYNC_RESOURCES.filter(h=>(0,P.getEnablementKey)(h)===p.key)[0];if(y){this._onDidChangeResourceEnablement.fire([y,this.isResourceEnabled(y)]);return}}};D=fe([Q(0,A.IStorageService),Q(1,C.ITelemetryService),Q(2,T.IEnvironmentService),Q(3,P.IUserDataSyncStoreManagementService)],D),e.UserDataSyncEnablementService=D}),define(re[255],se([0,1,2,8]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreManagementServiceChannelClient=e.UserDataSyncStoreManagementServiceChannel=e.UserDataSyncAccountServiceChannel=e.UserDataSyncMachinesServiceChannel=e.UserDataSyncUtilServiceClient=e.UserDataSycnUtilServiceChannel=e.UserDataAutoSyncChannel=void 0;class k{constructor(p){this.service=p}listen(p,y){switch(y){case"onError":return this.service.onError}throw new Error(`Event not found: ${y}`)}call(p,y,h){switch(y){case"triggerSync":return this.service.triggerSync(h[0],h[1],h[2]);case"turnOn":return this.service.turnOn();case"turnOff":return this.service.turnOff(h[0])}throw new Error("Invalid call")}}e.UserDataAutoSyncChannel=k;class T{constructor(p){this.service=p}listen(p,y){throw new Error(`Event not found: ${y}`)}call(p,y,h){switch(y){case"resolveDefaultIgnoredSettings":return this.service.resolveDefaultIgnoredSettings();case"resolveUserKeybindings":return this.service.resolveUserBindings(h[0]);case"resolveFormattingOptions":return this.service.resolveFormattingOptions(t.URI.revive(h[0]))}throw new Error("Invalid call")}}e.UserDataSycnUtilServiceChannel=T;class A{constructor(p){this.channel=p}async resolveDefaultIgnoredSettings(){return this.channel.call("resolveDefaultIgnoredSettings")}async resolveUserBindings(p){return this.channel.call("resolveUserKeybindings",[p])}async resolveFormattingOptions(p){return this.channel.call("resolveFormattingOptions",[p])}}e.UserDataSyncUtilServiceClient=A;class C{constructor(p){this.service=p}listen(p,y){switch(y){case"onDidChange":return this.service.onDidChange}throw new Error(`Event not found: ${y}`)}async call(p,y,h){switch(y){case"getMachines":return this.service.getMachines();case"addCurrentMachine":return this.service.addCurrentMachine();case"removeCurrentMachine":return this.service.removeCurrentMachine();case"renameMachine":return this.service.renameMachine(h[0],h[1]);case"setEnablements":return this.service.setEnablements(h)}throw new Error("Invalid call")}}e.UserDataSyncMachinesServiceChannel=C;class P{constructor(p){this.service=p}listen(p,y){switch(y){case"onDidChangeAccount":return this.service.onDidChangeAccount;case"onTokenFailed":return this.service.onTokenFailed}throw new Error(`Event not found: ${y}`)}call(p,y,h){switch(y){case"_getInitialData":return Promise.resolve(this.service.account);case"updateAccount":return this.service.updateAccount(h)}throw new Error("Invalid call")}}e.UserDataSyncAccountServiceChannel=P;class I{constructor(p){this.service=p}listen(p,y){switch(y){case"onDidChangeUserDataSyncStore":return this.service.onDidChangeUserDataSyncStore}throw new Error(`Event not found: ${y}`)}call(p,y,h){switch(y){case"switch":return this.service.switch(h[0]);case"getPreviousUserDataSyncStore":return this.service.getPreviousUserDataSyncStore()}throw new Error("Invalid call")}}e.UserDataSyncStoreManagementServiceChannel=I;class D extends R.Disposable{constructor(p){super();this.channel=p,this.onDidChangeUserDataSyncStore=this.channel.listen("onDidChangeUserDataSyncStore")}async switch(p){return this.channel.call("switch",[p])}async getPreviousUserDataSyncStore(){const p=await this.channel.call("getPreviousUserDataSyncStore");return this.revive(p)}revive(p){return{url:t.URI.revive(p.url),type:p.type,defaultUrl:t.URI.revive(p.defaultUrl),insidersUrl:t.URI.revive(p.insidersUrl),stableUrl:t.URI.revive(p.stableUrl),canSwitch:p.canSwitch,authenticationProviders:p.authenticationProviders}}}e.UserDataSyncStoreManagementServiceChannelClient=D}),define(re[256],se([0,1,15,7]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncLogService=void 0;let k=class extends t.AbstractLogger{constructor(A,C){super();this.logger=this._register(A.createLogger(C.userDataSyncLogResource,{name:"settingssync"}))}trace(A,...C){this.logger.trace(A,...C)}debug(A,...C){this.logger.debug(A,...C)}info(A,...C){this.logger.info(A,...C)}warn(A,...C){this.logger.warn(A,...C)}error(A,...C){this.logger.error(A,...C)}critical(A,...C){this.logger.critical(A,...C)}flush(){this.logger.flush()}};k=fe([Q(0,t.ILoggerService),Q(1,R.IEnvironmentService)],k),e.UserDataSyncLogService=k}),define(re[73],se([0,1,3,2,4,26,163,15,10,5,24,48,22,25]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncMachinesService=e.isWebPlatform=e.IUserDataSyncMachinesService=void 0,e.IUserDataSyncMachinesService=(0,I.createDecorator)("IUserDataSyncMachinesService");const h="sync.currentMachineName",S="Safari",w="Chrome",d="Edge",v="Firefox",m="Android";function g(n){switch(n){case S:case w:case d:case v:case m:case(0,k.PlatformToString)(0):return!0}return!1}e.isWebPlatform=g;function u(){return k.isSafari?S:k.isChrome?w:k.isEdge?d:k.isFirefox?v:k.isAndroid?m:(0,k.PlatformToString)(k.isWeb?0:k.platform)}let r=class it extends t.Disposable{constructor(i,a,c,o,s,l){super();this.storageService=c,this.userDataSyncStoreService=o,this.logService=s,this.productService=l,this._onDidChange=this._register(new R.Emitter),this.onDidChange=this._onDidChange.event,this.userData=null,this.currentMachineIdPromise=(0,b.getServiceMachineId)(i,a,c)}async getMachines(i){const a=await this.currentMachineIdPromise;return(await this.readMachinesData(i)).machines.map(o=>({...o,isCurrent:o.id===a}))}async addCurrentMachine(i){const a=await this.currentMachineIdPromise,c=await this.readMachinesData(i);c.machines.some(({id:o})=>o===a)||(c.machines.push({id:a,name:this.computeCurrentMachineName(c.machines),platform:u()}),await this.writeMachinesData(c))}async removeCurrentMachine(i){const a=await this.currentMachineIdPromise,c=await this.readMachinesData(i),o=c.machines.filter(({id:s})=>s!==a);o.length!==c.machines.length&&(c.machines=o,await this.writeMachinesData(c))}async renameMachine(i,a,c){const o=await this.readMachinesData(c),s=o.machines.find(({id:l})=>l===i);if(s){s.name=a,await this.writeMachinesData(o);const l=await this.currentMachineIdPromise;i===l&&this.storageService.store(h,a,-1,1)}}async setEnablements(i){const a=await this.readMachinesData();for(const[c,o]of i){const s=a.machines.find(l=>l.id===c);s&&(s.disabled=o?void 0:!0)}await this.writeMachinesData(a)}computeCurrentMachineName(i){const a=this.storageService.get(h,-1);if(a)return a;const c=`${this.productService.embedderIdentifier?`${this.productService.embedderIdentifier} - `:""}${u()} (${this.productService.nameShort})`,o=new RegExp(`${(0,T.escapeRegExpCharacters)(c)}\\s#(\\d+)`);let s=0;for(const l of i){const f=o.exec(l.name),E=f?parseInt(f[1]):0;s=E>s?E:s}return`${c} #${s+1}`}async readMachinesData(i){this.userData=await this.readUserData(i);const a=this.parse(this.userData);if(a.version!==it.VERSION)throw new Error((0,A.localize)(0,null,this.productService.nameLong));return a}async writeMachinesData(i){const a=JSON.stringify(i),c=await this.userDataSyncStoreService.write(it.RESOURCE,a,this.userData?.ref||null);this.userData={ref:c,content:a},this._onDidChange.fire()}async readUserData(i){if(this.userData){const a=i&&i.latest?i.latest[it.RESOURCE]:void 0;if(this.userData.ref===a)return this.userData;if(a===void 0&&this.userData.content===null)return this.userData}return this.userDataSyncStoreService.read(it.RESOURCE,this.userData)}parse(i){if(i.content!==null)try{return JSON.parse(i.content)}catch(a){this.logService.error(a)}return{version:it.VERSION,machines:[]}}};r.VERSION=1,r.RESOURCE="machines",r=fe([Q(0,C.IEnvironmentService),Q(1,P.IFileService),Q(2,p.IStorageService),Q(3,y.IUserDataSyncStoreService),Q(4,y.IUserDataSyncLogService),Q(5,D.IProductService)],r),e.UserDataSyncMachinesService=r}),define(re[257],se([0,1,6,61,37,9,3,2,4,18,8,161,24,22,21,25,72,73]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=void 0;const v="sync.disableMachineEventually",m="sync.sessionId",g="sync.storeUrl",u="sync.productQuality";let r=class extends C.Disposable{constructor(a,c,o,s,l,f,E,U,_,N){super();this.userDataSyncStoreManagementService=c,this.userDataSyncStoreService=o,this.userDataSyncEnablementService=s,this.userDataSyncService=l,this.logService=f,this.userDataSyncAccountService=E,this.telemetryService=U,this.userDataSyncMachinesService=_,this.storageService=N,this.autoSync=this._register(new C.MutableDisposable),this.successiveFailures=0,this.lastSyncTriggerTime=void 0,this.suspendUntilRestart=!1,this._onError=this._register(new A.Emitter),this.onError=this._onError.event,this.sources=[],this.syncTriggerDelayer=this._register(new R.ThrottledDelayer(this.getSyncTriggerDelayTime())),this.lastSyncUrl=this.syncUrl,this.syncUrl=c.userDataSyncStore?.url,this.previousProductQuality=this.productQuality,this.productQuality=a.quality,this.syncUrl&&(this.logService.info("Using settings sync service",this.syncUrl.toString()),this._register(c.onDidChangeUserDataSyncStore(()=>{(0,I.isEqual)(this.syncUrl,c.userDataSyncStore?.url)||(this.lastSyncUrl=this.syncUrl,this.syncUrl=c.userDataSyncStore?.url,this.syncUrl&&this.logService.info("Using settings sync service",this.syncUrl.toString()))})),this.userDataSyncEnablementService.isEnabled()?this.logService.info("Auto Sync is enabled."):this.logService.info("Auto Sync is disabled."),this.updateAutoSync(),this.hasToDisableMachineEventually()&&this.disableMachineEventually(),this._register(E.onDidChangeAccount(()=>this.updateAutoSync())),this._register(o.onDidChangeDonotMakeRequestsUntil(()=>this.updateAutoSync())),this._register(l.onDidChangeLocal(L=>this.triggerSync([L],!1,!1))),this._register(A.Event.filter(this.userDataSyncEnablementService.onDidChangeResourceEnablement,([,L])=>L)(()=>this.triggerSync(["resourceEnablement"],!1,!1))),this._register(this.userDataSyncStoreManagementService.onDidChangeUserDataSyncStore(()=>this.triggerSync(["userDataSyncStoreChanged"],!1,!1))))}get syncUrl(){const a=this.storageService.get(g,-1);return a?D.URI.parse(a):void 0}set syncUrl(a){a?this.storageService.store(g,a.toString(),-1,1):this.storageService.remove(g,-1)}get productQuality(){return this.storageService.get(u,-1)}set productQuality(a){a?this.storageService.store(u,a,-1,1):this.storageService.remove(u,-1)}updateAutoSync(){const{enabled:a,message:c}=this.isAutoSyncEnabled();a?this.autoSync.value===void 0&&(this.autoSync.value=new n(this.lastSyncUrl,1e3*60*5,this.userDataSyncStoreManagementService,this.userDataSyncStoreService,this.userDataSyncService,this.userDataSyncMachinesService,this.logService,this.storageService),this.autoSync.value.register(this.autoSync.value.onDidStartSync(()=>this.lastSyncTriggerTime=new Date().getTime())),this.autoSync.value.register(this.autoSync.value.onDidFinishSync(o=>this.onDidFinishSync(o))),this.startAutoSync()&&this.autoSync.value.start()):(this.syncTriggerDelayer.cancel(),this.autoSync.value!==void 0?(c&&this.logService.info(c),this.autoSync.clear()):c&&this.userDataSyncEnablementService.isEnabled()&&this.logService.info(c))}startAutoSync(){return!0}isAutoSyncEnabled(){return this.userDataSyncEnablementService.isEnabled()?this.userDataSyncAccountService.account?this.userDataSyncStoreService.donotMakeRequestsUntil?{enabled:!1,message:`Auto Sync: Suspended until ${(0,t.toLocalISOString)(this.userDataSyncStoreService.donotMakeRequestsUntil)} because server is not accepting requests until then.`}:this.suspendUntilRestart?{enabled:!1,message:"Auto Sync: Suspended until restart."}:{enabled:!0}:{enabled:!1,message:"Auto Sync: Suspended until auth token is available."}:{enabled:!1,message:"Auto Sync: Disabled."}}async turnOn(){this.stopDisableMachineEventually(),this.lastSyncUrl=this.syncUrl,this.updateEnablement(!0)}async turnOff(a,c,o){try{this.userDataSyncAccountService.account&&!o&&await this.userDataSyncMachinesService.removeCurrentMachine(),this.updateEnablement(!1),this.storageService.remove(m,-1),a?(this.telemetryService.publicLog2("sync/turnOffEveryWhere"),await this.userDataSyncService.reset()):await this.userDataSyncService.resetLocal()}catch(s){if(c)this.logService.error(s),this.updateEnablement(!1);else throw s}}updateEnablement(a){this.userDataSyncEnablementService.isEnabled()!==a&&(this.userDataSyncEnablementService.setEnablement(a),this.updateAutoSync())}hasProductQualityChanged(){return!!this.previousProductQuality&&!!this.productQuality&&this.previousProductQuality!==this.productQuality}async onDidFinishSync(a){if(!a){this.successiveFailures=0;return}const c=S.UserDataSyncError.toUserDataSyncError(a);c instanceof S.UserDataAutoSyncError&&this.telemetryService.publicLog2("autosync/error",{code:c.code,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()}),c.code==="SessionExpired"?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because current session is expired")):c.code==="TurnedOff"?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because sync is turned off in the cloud")):c.code==="LocalTooManyRequests"?(this.suspendUntilRestart=!0,this.logService.info("Auto Sync: Suspended sync because of making too many requests to server"),this.updateAutoSync()):c.code==="RemoteTooManyRequests"?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because of making too many requests to server")):c.code==="UpgradeRequired"||c.code==="Gone"?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because current client is not compatible with server. Requires client upgrade.")):c.code==="IncompatibleLocalContent"?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${c.resource} content with newer version than of client. Requires client upgrade.`)):c.code==="IncompatibleRemoteContent"?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${c.resource} content with older version than of client. Requires server reset.`)):c.code==="ServiceChanged"||c.code==="DefaultServiceChanged"?P.isWeb&&c.code==="DefaultServiceChanged"&&!this.hasProductQualityChanged()?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because default sync service is changed.")):(await this.turnOff(!1,!0,!0),await this.turnOn(),this.logService.info("Auto Sync: Sync Service changed. Turned off auto sync, reset local state and turned on auto sync.")):(this.logService.error(c),this.successiveFailures++),this._onError.fire(c)}async disableMachineEventually(){this.storageService.store(v,!0,-1,1),await(0,R.timeout)(1e3*60*10),!!this.hasToDisableMachineEventually()&&(this.stopDisableMachineEventually(),!this.userDataSyncEnablementService.isEnabled()&&this.userDataSyncAccountService.account&&await this.userDataSyncMachinesService.removeCurrentMachine())}hasToDisableMachineEventually(){return this.storageService.getBoolean(v,-1,!1)}stopDisableMachineEventually(){this.storageService.remove(v,-1)}async triggerSync(a,c,o){if(this.autoSync.value===void 0)return this.syncTriggerDelayer.cancel();if(c&&this.lastSyncTriggerTime&&Math.round((new Date().getTime()-this.lastSyncTriggerTime)/1e3)<10){this.logService.debug("Auto Sync: Skipped. Limited to once per 10 seconds.");return}return this.sources.push(...a),this.syncTriggerDelayer.trigger(async()=>{this.logService.trace("activity sources",...this.sources),this.telemetryService.publicLog2("sync/triggered",{sources:this.sources}),this.sources=[],this.autoSync.value&&await this.autoSync.value.sync("Activity",o)},this.successiveFailures?this.getSyncTriggerDelayTime()*1*Math.min(Math.pow(2,this.successiveFailures),60):this.getSyncTriggerDelayTime())}getSyncTriggerDelayTime(){return 2e3}};r=fe([Q(0,p.IProductService),Q(1,S.IUserDataSyncStoreManagementService),Q(2,S.IUserDataSyncStoreService),Q(3,S.IUserDataSyncEnablementService),Q(4,S.IUserDataSyncService),Q(5,S.IUserDataSyncLogService),Q(6,w.IUserDataSyncAccountService),Q(7,h.ITelemetryService),Q(8,d.IUserDataSyncMachinesService),Q(9,y.IStorageService)],r),e.UserDataAutoSyncService=r;class n extends C.Disposable{constructor(a,c,o,s,l,f,E,U){super();this.lastSyncUrl=a,this.interval=c,this.userDataSyncStoreManagementService=o,this.userDataSyncStoreService=s,this.userDataSyncService=l,this.userDataSyncMachinesService=f,this.logService=E,this.storageService=U,this.intervalHandler=this._register(new C.MutableDisposable),this._onDidStartSync=this._register(new A.Emitter),this.onDidStartSync=this._onDidStartSync.event,this._onDidFinishSync=this._register(new A.Emitter),this.onDidFinishSync=this._onDidFinishSync.event,this.manifest=null}start(){this._register(this.onDidFinishSync(()=>this.waitUntilNextIntervalAndSync())),this._register((0,C.toDisposable)(()=>{this.syncPromise&&(this.syncPromise.cancel(),this.logService.info("Auto sync: Cancelled sync that is in progress"),this.syncPromise=void 0),this.syncTask&&this.syncTask.stop(),this.logService.info("Auto Sync: Stopped")})),this.logService.info("Auto Sync: Started"),this.sync(n.INTERVAL_SYNCING,!1)}waitUntilNextIntervalAndSync(){this.intervalHandler.value=(0,R.disposableTimeout)(()=>this.sync(n.INTERVAL_SYNCING,!1),this.interval)}sync(a,c){const o=(0,R.createCancelablePromise)(async s=>{if(this.syncPromise)try{this.logService.debug("Auto Sync: Waiting until sync is finished."),await this.syncPromise}catch(l){if((0,T.isCancellationError)(l))return}return this.doSync(a,c,s)});return this.syncPromise=o,this.syncPromise.finally(()=>this.syncPromise=void 0),this.syncPromise}hasSyncServiceChanged(){return this.lastSyncUrl!==void 0&&!(0,I.isEqual)(this.lastSyncUrl,this.userDataSyncStoreManagementService.userDataSyncStore?.url)}async hasDefaultServiceChanged(){const a=await this.userDataSyncStoreManagementService.getPreviousUserDataSyncStore(),c=this.userDataSyncStoreManagementService.userDataSyncStore;return!!c&&!!a&&(!(0,I.isEqual)(c.defaultUrl,a.defaultUrl)||!(0,I.isEqual)(c.insidersUrl,a.insidersUrl)||!(0,I.isEqual)(c.stableUrl,a.stableUrl))}async doSync(a,c,o){this.logService.info(`Auto Sync: Triggered by ${a}`),this._onDidStartSync.fire();let s;try{if(this.syncTask=await this.userDataSyncService.createSyncTask(this.manifest,c),o.isCancellationRequested)return;if(this.manifest=this.syncTask.manifest,this.manifest===null&&await this.userDataSyncService.hasPreviouslySynced())throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new S.UserDataAutoSyncError((0,b.localize)(0,null),"DefaultServiceChanged"):new S.UserDataAutoSyncError((0,b.localize)(1,null),"ServiceChanged"):new S.UserDataAutoSyncError((0,b.localize)(2,null),"TurnedOff");const l=this.storageService.get(m,-1);if(l&&this.manifest&&l!==this.manifest.session)throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new S.UserDataAutoSyncError((0,b.localize)(3,null),"DefaultServiceChanged"):new S.UserDataAutoSyncError((0,b.localize)(4,null),"ServiceChanged"):new S.UserDataAutoSyncError((0,b.localize)(5,null),"SessionExpired");const f=await this.userDataSyncMachinesService.getMachines(this.manifest||void 0);if(o.isCancellationRequested)return;const E=f.find(U=>U.isCurrent);if(E?.disabled)throw new S.UserDataAutoSyncError((0,b.localize)(6,null),"TurnedOff");if(await this.syncTask.run(),this.manifest===null)try{this.manifest=await this.userDataSyncStoreService.manifest(null)}catch(U){throw new S.UserDataAutoSyncError((0,k.toErrorMessage)(U),U instanceof S.UserDataSyncError?U.code:"Unknown")}if(this.manifest&&this.manifest.session!==l&&this.storageService.store(m,this.manifest.session,-1,1),o.isCancellationRequested)return;E||await this.userDataSyncMachinesService.addCurrentMachine(this.manifest||void 0)}catch(l){this.logService.error(l),s=l}this._onDidFinishSync.fire(s)}register(a){return super._register(a)}}n.INTERVAL_SYNCING="Interval"}),define(re[258],se([0,1,17,6,37,3,2,18,14,31,19,28,5,22,21,245,247,248,250,251,252,25]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v,m,g,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncService=void 0;const r="sync.lastSyncTime";let n=class extends A.Disposable{constructor(s,l,f,E,U,_,N,L){super();this.userDataSyncStoreService=s,this.userDataSyncStoreManagementService=l,this.instantiationService=f,this.configurationService=E,this.logService=U,this.telemetryService=_,this.storageService=N,this.userDataSyncEnablementService=L,this._status="uninitialized",this._onDidChangeStatus=this._register(new T.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._onDidChangeLocal=this._register(new T.Emitter),this.onDidChangeLocal=this._onDidChangeLocal.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new T.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._syncErrors=[],this._onSyncErrors=this._register(new T.Emitter),this.onSyncErrors=this._onSyncErrors.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new T.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onDidResetLocal=this._register(new T.Emitter),this.onDidResetLocal=this._onDidResetLocal.event,this._onDidResetRemote=this._register(new T.Emitter),this.onDidResetRemote=this._onDidResetRemote.event,this.synchronizers=this._register(new A.MutableDisposable),this.updateStatus([]),this._lastSyncTime=this.storageService.getNumber(r,-1,void 0)}get status(){return this._status}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}async createSyncTask(s,l){this.checkEnablement();const f=(0,I.generateUuid)();try{const L=(0,u.createSyncHeaders)(f);l&&(L["Cache-Control"]="no-cache"),s=await this.userDataSyncStoreService.manifest(s,L)}catch(L){const M=u.UserDataSyncError.toUserDataSyncError(L);throw this.reportUserDataSyncError(M,f),M}const E=!1,U=this,_=this.getEnabledSynchronizers();let N;return{manifest:s,async run(){if(E)throw new Error("Can run a task only once");return N=(0,t.createCancelablePromise)(L=>U.sync(_,s,f,L)),N.finally(()=>N=void 0)},async stop(){if(N&&N.cancel(),U.status!=="idle")return U.stop(_)}}}async createManualSyncTask(){if(this.checkEnablement(),this.userDataSyncEnablementService.isEnabled())throw new u.UserDataSyncError("Cannot start manual sync when sync is enabled","LocalError");const s=(0,I.generateUuid)(),l=(0,u.createSyncHeaders)(s);let f;try{f=await this.userDataSyncStoreService.manifest(null,l)}catch(_){const N=u.UserDataSyncError.toUserDataSyncError(_);throw this.reportUserDataSyncError(N,s),N}await this.resetLocal();const E=this.getEnabledSynchronizers(),U=async()=>{await this.stop(E),await this.resetLocal()};return new i(s,f,l,E,U,this.configurationService,this.logService)}async sync(s,l,f,E){if(E.isCancellationRequested||!s.length)return;const U=new Date().getTime();this._syncErrors=[];try{this.logService.trace("Sync started."),this.status!=="hasConflicts"&&this.setStatus("syncing");const _=(0,u.createSyncHeaders)(f);for(const N of s){if(E.isCancellationRequested||!this.userDataSyncEnablementService.isResourceEnabled(N.resource))return;try{await N.sync(l,_)}catch(L){let M=!1;if(L instanceof u.UserDataSyncError)switch(L.code){case"TooLarge":L=new u.UserDataSyncError(L.message,L.code,N.resource),M=!0;break;case"RemoteTooManyRequests":case"TooManyRequestsAndRetryAfter":case"LocalTooManyRequests":case"Gone":case"UpgradeRequired":case"IncompatibleRemoteContent":case"IncompatibleLocalContent":M=!0;break}const O=u.UserDataSyncError.toUserDataSyncError(L);if(this.reportUserDataSyncError(O,f),M)throw O;this.logService.error(L),this.logService.error(`${N.resource}: ${(0,k.toErrorMessage)(L)}`),this._syncErrors.push([N.resource,O])}}this.logService.info(`Sync done. Took ${new Date().getTime()-U}ms`),this.updateLastSyncTime()}catch(_){const N=u.UserDataSyncError.toUserDataSyncError(_);throw this.reportUserDataSyncError(N,f),N}finally{this.updateStatus(s),this._onSyncErrors.fire(this._syncErrors)}}async stop(s){if(this.status!=="idle")for(const l of s)try{l.status!=="idle"&&await l.stop()}catch(f){this.logService.error(f)}}async replace(s){this.checkEnablement(),await this.performSynchronizerAction(async l=>{if(await l.replace(s))return!0})}async accept(s,l,f,E){this.checkEnablement(),await this.performSynchronizerAction(async U=>{if(U.resource===s)return await U.accept(l,f),E&&await U.apply(!1,(0,u.createSyncHeaders)((0,I.generateUuid)())),!0})}async resolveContent(s){return this.performSynchronizerAction(async l=>{const f=await l.resolveContent(s);if(f)return f})}async getRemoteSyncResourceHandles(s){return await this.performSynchronizerAction(async f=>{if(f.resource===s)return f.getRemoteSyncResourceHandles()})||[]}async getLocalSyncResourceHandles(s){return await this.performSynchronizerAction(async f=>{if(f.resource===s)return f.getLocalSyncResourceHandles()})||[]}async getAssociatedResources(s,l){return await this.performSynchronizerAction(async E=>{if(E.resource===s)return E.getAssociatedResources(l)})||[]}async getMachineId(s,l){return await this.performSynchronizerAction(async E=>{if(E.resource===s)return await E.getMachineId(l)||null})||void 0}async hasLocalData(){return!!await this.performSynchronizerAction(async l=>{if(l.resource!=="globalState"&&await l.hasLocalData())return!0})}async hasPreviouslySynced(){return!!await this.performSynchronizerAction(async l=>{if(await l.hasPreviouslySynced())return!0})}async reset(){this.checkEnablement(),await this.resetRemote(),await this.resetLocal()}async resetRemote(){this.checkEnablement();try{await this.userDataSyncStoreService.clear(),this.logService.info("Cleared data on server")}catch(s){this.logService.error(s)}this._onDidResetRemote.fire()}async resetLocal(){if(this.checkEnablement(),this.storageService.remove(r,-1),this.synchronizers.value){for(const s of this.synchronizers.value.enabled)try{await s.resetLocal()}catch(l){this.logService.error(`${s.resource}: ${(0,k.toErrorMessage)(l)}`),this.logService.error(l)}this.synchronizers.value=void 0}this._onDidResetLocal.fire(),this.logService.info("Did reset the local sync state.")}async performSynchronizerAction(s){const l=new A.DisposableStore;try{const f=this.synchronizers.value||l.add(this.instantiationService.createInstance(a,()=>{},()=>{},()=>{})),E=[...f.enabled,...f.disabled.map(U=>l.add(f.createSynchronizer(U)))];for(const U of E){const _=await s(U);if(!(0,P.isUndefined)(_))return _}return null}finally{l.dispose()}}setStatus(s){const l=this._status;this._status!==s&&(this._status=s,this._onDidChangeStatus.fire(s),l==="hasConflicts"&&this.updateLastSyncTime())}updateStatus(s){this.updateConflicts(s);const l=this.computeStatus(s);this.setStatus(l)}updateConflicts(s){const l=this.computeConflicts(s);(0,R.equals)(this._conflicts,l,([f,E],[U,_])=>f===f&&(0,R.equals)(E,_,(N,L)=>(0,C.isEqual)(N.previewResource,L.previewResource)))||(this._conflicts=this.computeConflicts(s),this._onDidChangeConflicts.fire(l))}computeConflicts(s){return s.filter(l=>l.status==="hasConflicts").map(l=>[l.resource,l.conflicts.map(c)])}computeStatus(s){return this.userDataSyncStoreManagementService.userDataSyncStore?s.some(l=>l.status==="hasConflicts")?"hasConflicts":s.some(l=>l.status==="syncing")?"syncing":"idle":"uninitialized"}updateLastSyncTime(){this.status==="idle"&&(this._lastSyncTime=new Date().getTime(),this.storageService.store(r,this._lastSyncTime,-1,1),this._onDidChangeLastSyncTime.fire(this._lastSyncTime))}reportUserDataSyncError(s,l){this.telemetryService.publicLog2("sync/error",{code:s.code,serverCode:s instanceof u.UserDataSyncStoreError?String(s.serverCode):void 0,url:s instanceof u.UserDataSyncStoreError?s.url:void 0,resource:s.resource,executionId:l,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()})}getEnabledSynchronizers(){return this.synchronizers.value||(this.synchronizers.value=this.instantiationService.createInstance(a,s=>this.updateStatus(s),s=>this.updateConflicts(s),s=>this._onDidChangeLocal.fire(s))),this.synchronizers.value.enabled}checkEnablement(){if(!this.userDataSyncStoreManagementService.userDataSyncStore)throw new Error("Not enabled")}};n=fe([Q(0,u.IUserDataSyncStoreService),Q(1,u.IUserDataSyncStoreManagementService),Q(2,p.IInstantiationService),Q(3,D.IConfigurationService),Q(4,u.IUserDataSyncLogService),Q(5,h.ITelemetryService),Q(6,y.IStorageService),Q(7,u.IUserDataSyncEnablementService)],n),e.UserDataSyncService=n;class i extends A.Disposable{constructor(s,l,f,E,U,_,N){super();this.id=s,this.manifest=l,this.syncHeaders=f,this.synchronisers=E,this.onStop=U,this.configurationService=_,this.logService=N,this.synchronizingResources=[],this._onSynchronizeResources=this._register(new T.Emitter),this.onSynchronizeResources=this._onSynchronizeResources.event,this.isDisposed=!1}get status(){return this.synchronisers.some(s=>s.status==="hasConflicts")?"hasConflicts":this.synchronisers.some(s=>s.status==="syncing")?"syncing":"idle"}async preview(){try{if(this.isDisposed)throw new Error("Disposed");return this.previewsPromise||(this.previewsPromise=(0,t.createCancelablePromise)(s=>this.getPreviews(s))),this.previews||(this.previews=await this.previewsPromise),this.previews}catch(s){throw this.logService.error(s),s}}async accept(s,l){try{return await this.performAction(s,f=>f.accept(s,l))}catch(f){throw this.logService.error(f),f}}async merge(s){try{return s?await this.performAction(s,l=>l.merge(s)):await this.mergeAll()}catch(l){throw this.logService.error(l),l}}async discard(s){try{return await this.performAction(s,l=>l.discard(s))}catch(l){throw this.logService.error(l),l}}async discardConflicts(){try{if(!this.previews)throw new Error("Missing preview. Create preview and try again.");if(this.synchronizingResources.length)throw new Error("Cannot discard while synchronizing resources");const s=[];for(const[,l]of this.previews)for(const f of l.resourcePreviews)f.mergeState==="conflict"&&s.push(f.previewResource);for(const l of s)await this.discard(l);return this.previews}catch(s){throw this.logService.error(s),s}}async apply(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");const s=[];for(const[l,f]of this.previews){this.synchronizingResources.push([l,f.resourcePreviews.map(_=>_.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const E=this.synchronisers.find(_=>_.resource===l);for(const _ of f.resourcePreviews)(_.localChange!==0||_.remoteChange!==0)&&_.mergeState==="preview"&&await E.merge(_.previewResource);const U=await E.apply(!1,this.syncHeaders);U&&s.push(this.toSyncResourcePreview(E.resource,U)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(_=>_[0]===l),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=s,this.previews}catch(s){throw this.logService.error(s),s}}async pull(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[s,l]of this.previews){this.synchronizingResources.push([s,l.resourcePreviews.map(E=>E.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const f=this.synchronisers.find(E=>E.resource===s);for(const E of l.resourcePreviews)await f.accept(E.remoteResource);await f.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(E=>E[0]===s),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(s){throw this.logService.error(s),s}}async push(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[s,l]of this.previews){this.synchronizingResources.push([s,l.resourcePreviews.map(E=>E.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const f=this.synchronisers.find(E=>E.resource===s);for(const E of l.resourcePreviews)await f.accept(E.localResource);await f.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(E=>E[0]===s),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(s){throw this.logService.error(s),s}}async stop(){await this.onStop(),this.reset()}async performAction(s,l){if(!this.previews)throw new Error("Missing preview. Create preview and try again.");const f=this.previews.findIndex(([,H])=>H.resourcePreviews.some(({localResource:W,previewResource:z,remoteResource:te})=>(0,C.isEqual)(s,W)||(0,C.isEqual)(s,z)||(0,C.isEqual)(s,te)));if(f===-1)return this.previews;const[E,U]=this.previews[f],_=U.resourcePreviews.find(({localResource:H,remoteResource:W,previewResource:z})=>(0,C.isEqual)(H,s)||(0,C.isEqual)(W,s)||(0,C.isEqual)(z,s));if(!_)return this.previews;let N=this.synchronizingResources.find(H=>H[0]===E);N||(N=[E,[]],this.synchronizingResources.push(N)),N[1].some(H=>(0,C.isEqual)(H,_.localResource))||(N[1].push(_.localResource),this._onSynchronizeResources.fire(this.synchronizingResources));const L=this.synchronisers.find(H=>H.resource===this.previews[f][0]),M=await l(L);M?this.previews.splice(f,1,this.toSyncResourcePreview(L.resource,M)):this.previews.splice(f,1);const O=this.synchronizingResources.findIndex(H=>H[0]===E);return this.synchronizingResources[O][1].splice(N[1].findIndex(H=>(0,C.isEqual)(H,_.localResource)),1),N[1].length||(this.synchronizingResources.splice(O,1),this._onSynchronizeResources.fire(this.synchronizingResources)),this.previews}async mergeAll(){if(!this.previews)throw new Error("You need to create preview before merging or applying");if(this.synchronizingResources.length)throw new Error("Cannot merge or apply while synchronizing resources");const s=[];for(const[l,f]of this.previews){this.synchronizingResources.push([l,f.resourcePreviews.map(_=>_.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const E=this.synchronisers.find(_=>_.resource===l);let U=f;for(const _ of f.resourcePreviews)(_.localChange!==0||_.remoteChange!==0)&&_.mergeState==="preview"&&(U=await E.merge(_.previewResource));U&&s.push(this.toSyncResourcePreview(E.resource,U)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(_=>_[0]===l),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=s,this.previews}async getPreviews(s){const l=[],f=await this.getUserDataSyncConfiguration();for(const E of this.synchronisers){if(s.isCancellationRequested)return[];const U=await E.preview(this.manifest,f,this.syncHeaders);U&&l.push(this.toSyncResourcePreview(E.resource,U))}return l}async getUserDataSyncConfiguration(){const s=this.configurationService.getValue(u.USER_DATA_SYNC_CONFIGURATION_SCOPE),l=this.synchronisers.find(f=>f instanceof v.SettingsSynchroniser);if(l){const f=await l.getRemoteUserDataSyncConfiguration(this.manifest);return{...s,...f}}return s}toSyncResourcePreview(s,l){return[s,{isLastSyncFromCurrentMachine:l.isLastSyncFromCurrentMachine,resourcePreviews:l.resourcePreviews.map(c)}]}reset(){this.previewsPromise&&(this.previewsPromise.cancel(),this.previewsPromise=void 0),this.previews=void 0,this.synchronizingResources=[]}dispose(){this.reset(),this.isDisposed=!0}}let a=class extends A.Disposable{constructor(s,l,f,E,U,_,N){super();this.onDidChangeStatus=s,this.onDidChangeConflicts=l,this.onDidChangeLocal=f,this.userDataSyncEnablementService=E,this.instantiationService=U,this.extensionGalleryService=_,this.logService=N,this._enabled=[],this._register(E.onDidChangeResourceEnablement(([L,M])=>this.onDidChangeResourceEnablement(L,M))),this._register((0,A.toDisposable)(()=>this._enabled.splice(0,this._enabled.length).forEach(([,,L])=>L.dispose())));for(const L of u.ALL_SYNC_RESOURCES)E.isResourceEnabled(L)&&this.registerSynchronizer(L)}get enabled(){return this._enabled.sort((s,l)=>s[1]-l[1]).map(([s])=>s)}get disabled(){return u.ALL_SYNC_RESOURCES.filter(s=>!this.userDataSyncEnablementService.isResourceEnabled(s))}onDidChangeResourceEnablement(s,l){l?this.registerSynchronizer(s):this.deRegisterSynchronizer(s)}registerSynchronizer(s){if(this._enabled.some(([U])=>U.resource===s))return;if(s==="extensions"&&!this.extensionGalleryService.isEnabled()){this.logService.info("Skipping extensions sync because gallery is not configured");return}const l=new A.DisposableStore,f=l.add(this.createSynchronizer(s));l.add(f.onDidChangeStatus(()=>this.onDidChangeStatus(this.enabled))),l.add(f.onDidChangeConflicts(()=>this.onDidChangeConflicts(this.enabled))),l.add(f.onDidChangeLocal(()=>this.onDidChangeLocal(s)));const E=this.getOrder(s);this._enabled.push([f,E,l])}deRegisterSynchronizer(s){const l=this._enabled.findIndex(([f])=>f.resource===s);if(l!==-1){const f=this._enabled.splice(l,1);for(const[E,,U]of f){if(E.status!=="idle"){const _=E.conflicts.length>0;E.stop(),_&&this.onDidChangeConflicts(this.enabled),this.onDidChangeStatus(this.enabled)}U.dispose()}}}createSynchronizer(s){switch(s){case"settings":return this.instantiationService.createInstance(v.SettingsSynchroniser);case"keybindings":return this.instantiationService.createInstance(d.KeybindingsSynchroniser);case"snippets":return this.instantiationService.createInstance(m.SnippetsSynchroniser);case"tasks":return this.instantiationService.createInstance(g.TasksSynchroniser);case"globalState":return this.instantiationService.createInstance(w.GlobalStateSynchroniser);case"extensions":return this.instantiationService.createInstance(S.ExtensionsSynchroniser)}}getOrder(s){switch(s){case"settings":return 0;case"keybindings":return 1;case"snippets":return 2;case"tasks":return 3;case"globalState":return 4;case"extensions":return 5}}};a=fe([Q(3,u.IUserDataSyncEnablementService),Q(4,p.IInstantiationService),Q(5,b.IExtensionGalleryService),Q(6,u.IUserDataSyncLogService)],a);function c(o){return{baseResource:o.baseResource,localResource:o.localResource,previewResource:o.previewResource,remoteResource:o.remoteResource,acceptedResource:o.acceptedResource,localChange:o.localChange,remoteChange:o.remoteChange,mergeState:o.mergeState}}}),define(re[259],se([0,1,3,2,14,8,25]),function(Z,e,R,t,k,T,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncChannelClient=e.UserDataSyncChannel=void 0;class C{constructor(b,p){this.service=b,this.logService=p,this.manualSyncTasks=new Map,this.onManualSynchronizeResources=new R.Emitter}listen(b,p){switch(p){case"onDidChangeStatus":return this.service.onDidChangeStatus;case"onDidChangeConflicts":return this.service.onDidChangeConflicts;case"onDidChangeLocal":return this.service.onDidChangeLocal;case"onDidChangeLastSyncTime":return this.service.onDidChangeLastSyncTime;case"onSyncErrors":return this.service.onSyncErrors;case"onDidResetLocal":return this.service.onDidResetLocal;case"onDidResetRemote":return this.service.onDidResetRemote;case"manualSync/onSynchronizeResources":return this.onManualSynchronizeResources.event}throw new Error(`Event not found: ${p}`)}async call(b,p,y){try{return await this._call(b,p,y)}catch(h){throw this.logService.error(h),h}}async _call(b,p,y){switch(p){case"_getInitialData":return Promise.resolve([this.service.status,this.service.conflicts,this.service.lastSyncTime]);case"replace":return this.service.replace(T.URI.revive(y[0]));case"reset":return this.service.reset();case"resetRemote":return this.service.resetRemote();case"resetLocal":return this.service.resetLocal();case"hasPreviouslySynced":return this.service.hasPreviouslySynced();case"hasLocalData":return this.service.hasLocalData();case"accept":return this.service.accept(y[0],T.URI.revive(y[1]),y[2],y[3]);case"resolveContent":return this.service.resolveContent(T.URI.revive(y[0]));case"getLocalSyncResourceHandles":return this.service.getLocalSyncResourceHandles(y[0]);case"getRemoteSyncResourceHandles":return this.service.getRemoteSyncResourceHandles(y[0]);case"getAssociatedResources":return this.service.getAssociatedResources(y[0],{created:y[1].created,uri:T.URI.revive(y[1].uri)});case"getMachineId":return this.service.getMachineId(y[0],{created:y[1].created,uri:T.URI.revive(y[1].uri)});case"createManualSyncTask":return this.createManualSyncTask()}if(p.startsWith("manualSync/")){const h=p.substring("manualSync/".length),S=y[0],w=this.getManualSyncTask(S);switch(y=y.slice(1),h){case"preview":return w.preview();case"accept":return w.accept(T.URI.revive(y[0]),y[1]);case"merge":return w.merge(T.URI.revive(y[0]));case"discard":return w.discard(T.URI.revive(y[0]));case"discardConflicts":return w.discardConflicts();case"apply":return w.apply();case"pull":return w.pull();case"push":return w.push();case"stop":return w.stop();case"_getStatus":return w.status;case"dispose":return this.disposeManualSyncTask(w)}}throw new Error("Invalid call")}getManualSyncTask(b){const p=this.manualSyncTasks.get(this.createKey(b));if(!p)throw new Error(`Manual sync taks not found: ${b}`);return p.manualSyncTask}async createManualSyncTask(){const b=new t.DisposableStore,p=b.add(await this.service.createManualSyncTask());return b.add(p.onSynchronizeResources(y=>this.onManualSynchronizeResources.fire({manualSyncTaskId:p.id,data:y}))),this.manualSyncTasks.set(this.createKey(p.id),{manualSyncTask:p,disposables:b}),{id:p.id,manifest:p.manifest,status:p.status}}disposeManualSyncTask(b){b.dispose();const p=this.createKey(b.id);this.manualSyncTasks.get(p)?.disposables.dispose(),this.manualSyncTasks.delete(p)}createKey(b){return`manualSyncTask-${b}`}}e.UserDataSyncChannel=C;class P extends t.Disposable{constructor(b){super();this._status="uninitialized",this._onDidChangeStatus=this._register(new R.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new R.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new R.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onSyncErrors=this._register(new R.Emitter),this.onSyncErrors=this._onSyncErrors.event,this.channel={call(p,y,h){return b.call(p,y,h).then(null,S=>{throw A.UserDataSyncError.toUserDataSyncError(S)})},listen(p,y){return b.listen(p,y)}},this.channel.call("_getInitialData").then(([p,y,h])=>{this.updateStatus(p),this.updateConflicts(y),h&&this.updateLastSyncTime(h),this._register(this.channel.listen("onDidChangeStatus")(S=>this.updateStatus(S))),this._register(this.channel.listen("onDidChangeLastSyncTime")(S=>this.updateLastSyncTime(S)))}),this._register(this.channel.listen("onDidChangeConflicts")(p=>this.updateConflicts(p))),this._register(this.channel.listen("onSyncErrors")(p=>this._onSyncErrors.fire(p.map(([y,h])=>[y,A.UserDataSyncError.toUserDataSyncError(h)]))))}get status(){return this._status}get onDidChangeLocal(){return this.channel.listen("onDidChangeLocal")}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}get onDidResetLocal(){return this.channel.listen("onDidResetLocal")}get onDidResetRemote(){return this.channel.listen("onDidResetRemote")}createSyncTask(){throw new Error("not supported")}async createManualSyncTask(){const{id:b,manifest:p,status:y}=await this.channel.call("createManualSyncTask"),h=this,S=new I(b,p,y,{async call(w,d,v){return h.channel.call(`manualSync/${w}`,[b,...(0,k.isArray)(d)?d:[d]],v)},listen(w,d){return R.Event.map(R.Event.filter(h.channel.listen(`manualSync/${w}`,d),v=>!S.isDiposed()&&v.manualSyncTaskId===b),v=>v.data)}});return S}replace(b){return this.channel.call("replace",[b])}reset(){return this.channel.call("reset")}resetRemote(){return this.channel.call("resetRemote")}resetLocal(){return this.channel.call("resetLocal")}hasPreviouslySynced(){return this.channel.call("hasPreviouslySynced")}hasLocalData(){return this.channel.call("hasLocalData")}accept(b,p,y,h){return this.channel.call("accept",[b,p,y,h])}resolveContent(b){return this.channel.call("resolveContent",[b])}async getLocalSyncResourceHandles(b){return(await this.channel.call("getLocalSyncResourceHandles",[b])).map(({created:y,uri:h})=>({created:y,uri:T.URI.revive(h)}))}async getRemoteSyncResourceHandles(b){return(await this.channel.call("getRemoteSyncResourceHandles",[b])).map(({created:y,uri:h})=>({created:y,uri:T.URI.revive(h)}))}async getAssociatedResources(b,p){return(await this.channel.call("getAssociatedResources",[b,p])).map(({resource:h,comparableResource:S})=>({resource:T.URI.revive(h),comparableResource:T.URI.revive(S)}))}async getMachineId(b,p){return this.channel.call("getMachineId",[b,p])}async updateStatus(b){this._status=b,this._onDidChangeStatus.fire(b)}async updateConflicts(b){this._conflicts=b.map(([p,y])=>[p,y.map(h=>({...h,baseResource:T.URI.revive(h.baseResource),localResource:T.URI.revive(h.localResource),remoteResource:T.URI.revive(h.remoteResource),previewResource:T.URI.revive(h.previewResource)}))]),this._onDidChangeConflicts.fire(this._conflicts)}updateLastSyncTime(b){this._lastSyncTime!==b&&(this._lastSyncTime=b,this._onDidChangeLastSyncTime.fire(b))}}e.UserDataSyncChannelClient=P;class I extends t.Disposable{constructor(b,p,y,h){super();this.id=b,this.manifest=p,this._disposed=!1,this._status=y;const S=this;this.channel={async call(w,d,v){try{const m=await h.call(w,d,v);return S.isDiposed()||(S._status=await h.call("_getStatus")),m}catch(m){throw A.UserDataSyncError.toUserDataSyncError(m)}},listen(w,d){return h.listen(w,d)}}}get onSynchronizeResources(){return this.channel.listen("onSynchronizeResources")}get status(){return this._status}async preview(){const b=await this.channel.call("preview");return this.deserializePreviews(b)}async accept(b,p){const y=await this.channel.call("accept",[b,p]);return this.deserializePreviews(y)}async merge(b){const p=await this.channel.call("merge",[b]);return this.deserializePreviews(p)}async discard(b){const p=await this.channel.call("discard",[b]);return this.deserializePreviews(p)}async discardConflicts(){const b=await this.channel.call("discardConflicts");return this.deserializePreviews(b)}async apply(){const b=await this.channel.call("apply");return this.deserializePreviews(b)}pull(){return this.channel.call("pull")}push(){return this.channel.call("push")}stop(){return this.channel.call("stop")}isDiposed(){return this._disposed}dispose(){this._disposed=!0,this.channel.call("dispose")}deserializePreviews(b){return b.map(([p,y])=>[p,{isLastSyncFromCurrentMachine:y.isLastSyncFromCurrentMachine,resourcePreviews:y.resourcePreviews.map(h=>({...h,baseResource:T.URI.revive(h.baseResource),localResource:T.URI.revive(h.localResource),remoteResource:T.URI.revive(h.remoteResource),previewResource:T.URI.revive(h.previewResource),acceptedResource:T.URI.revive(h.acceptedResource)}))}])}}}),define(re[260],se([0,1,6,23,9,3,2,123,4,18,14,8,31,19,15,10,24,45,48,22,25]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v,m,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestsSession=e.UserDataSyncStoreService=e.UserDataSyncStoreClient=e.UserDataSyncStoreManagementService=e.AbstractUserDataSyncStoreManagementService=void 0;const u="sync.previous.store",r="sync.donot-make-requests-until",n="sync.user-session-id",i="sync.machine-session-id",a=100,c=1e3*60*5;let o=class extends A.Disposable{constructor(_,N,L){super();this.productService=_,this.configurationService=N,this.storageService=L,this._onDidChangeUserDataSyncStore=this._register(new T.Emitter),this.onDidChangeUserDataSyncStore=this._onDidChangeUserDataSyncStore.event,this.updateUserDataSyncStore(),this._register(T.Event.filter(L.onDidChangeValue,M=>M.key===g.SYNC_SERVICE_URL_TYPE&&M.scope===-1&&this.userDataSyncStoreType!==this.userDataSyncStore?.type)(()=>this.updateUserDataSyncStore()))}get userDataSyncStore(){return this._userDataSyncStore}get userDataSyncStoreType(){return this.storageService.get(g.SYNC_SERVICE_URL_TYPE,-1)}set userDataSyncStoreType(_){this.storageService.store(g.SYNC_SERVICE_URL_TYPE,_,-1,P.isWeb?0:1)}updateUserDataSyncStore(){this._userDataSyncStore=this.toUserDataSyncStore(this.productService[g.CONFIGURATION_SYNC_STORE_KEY],this.configurationService.getValue(g.CONFIGURATION_SYNC_STORE_KEY)),this._onDidChangeUserDataSyncStore.fire()}toUserDataSyncStore(_,N){_=P.isWeb&&_?.web?{..._,..._.web}:_;const L={..._||{},...N||{}};if(L&&(0,D.isString)(L.url)&&(0,D.isObject)(L.authenticationProviders)&&Object.keys(L.authenticationProviders).every(M=>(0,D.isArray)(L.authenticationProviders[M].scopes))){const M=L,O=!!M.canSwitch&&!N?.url,H=M.url===M.insidersUrl?"insiders":"stable",W=(O?this.userDataSyncStoreType:void 0)||H,z=N?.url||(W==="insiders"?M.insidersUrl:W==="stable"?M.stableUrl:M.url);return{url:b.URI.parse(z),type:W,defaultType:H,defaultUrl:b.URI.parse(M.url),stableUrl:b.URI.parse(M.stableUrl),insidersUrl:b.URI.parse(M.insidersUrl),canSwitch:O,authenticationProviders:Object.keys(M.authenticationProviders).reduce((te,V)=>(te.push({id:V,scopes:M.authenticationProviders[V].scopes}),te),[])}}}};o=fe([Q(0,w.IProductService),Q(1,y.IConfigurationService),Q(2,m.IStorageService)],o),e.AbstractUserDataSyncStoreManagementService=o;let s=class extends o{constructor(_,N,L){super(_,N,L);const M=this.storageService.get(u,-1);M&&(this.previousConfigurationSyncStore=JSON.parse(M));const O=this.productService[g.CONFIGURATION_SYNC_STORE_KEY];O?this.storageService.store(u,JSON.stringify(O),-1,1):this.storageService.remove(u,-1)}async switch(_){_!==this.userDataSyncStoreType&&(this.userDataSyncStoreType=_,this.updateUserDataSyncStore())}async getPreviousUserDataSyncStore(){return this.toUserDataSyncStore(this.previousConfigurationSyncStore)}};s=fe([Q(0,w.IProductService),Q(1,y.IConfigurationService),Q(2,m.IStorageService)],s),e.UserDataSyncStoreManagementService=s;let l=class extends A.Disposable{constructor(_,N,L,M,O,H,W){super();this.requestService=L,this.logService=M,this.storageService=W,this._onTokenFailed=this._register(new T.Emitter),this.onTokenFailed=this._onTokenFailed.event,this._onTokenSucceed=this._register(new T.Emitter),this.onTokenSucceed=this._onTokenSucceed.event,this._donotMakeRequestsUntil=void 0,this._onDidChangeDonotMakeRequestsUntil=this._register(new T.Emitter),this.onDidChangeDonotMakeRequestsUntil=this._onDidChangeDonotMakeRequestsUntil.event,this.resetDonotMakeRequestsUntilPromise=void 0,this.updateUserDataSyncStoreUrl(_),this.commonHeadersPromise=(0,v.getServiceMachineId)(O,H,W).then(z=>{const te={"X-Client-Name":`${N.applicationName}${P.isWeb?"-web":""}`,"X-Client-Version":N.version};return N.commit&&(te["X-Client-Commit"]=N.commit),te}),this.session=new E(a,c,this.requestService,this.logService),this.initDonotMakeRequestsUntil(),this._register((0,A.toDisposable)(()=>{this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0)}))}get donotMakeRequestsUntil(){return this._donotMakeRequestsUntil}setAuthToken(_,N){this.authToken={token:_,type:N}}updateUserDataSyncStoreUrl(_){this.userDataSyncStoreUrl=_?(0,I.joinPath)(_,"v1"):void 0}initDonotMakeRequestsUntil(){const _=this.storageService.getNumber(r,-1);_&&Date.now()<_&&this.setDonotMakeRequestsUntil(new Date(_))}setDonotMakeRequestsUntil(_){this._donotMakeRequestsUntil?.getTime()!==_?.getTime()&&(this._donotMakeRequestsUntil=_,this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0),this._donotMakeRequestsUntil?(this.storageService.store(r,this._donotMakeRequestsUntil.getTime(),-1,1),this.resetDonotMakeRequestsUntilPromise=(0,R.createCancelablePromise)(N=>(0,R.timeout)(this._donotMakeRequestsUntil.getTime()-Date.now(),N).then(()=>this.setDonotMakeRequestsUntil(void 0))),this.resetDonotMakeRequestsUntilPromise.then(null,N=>null)):this.storageService.remove(r,-1),this._onDidChangeDonotMakeRequestsUntil.fire())}async getAllRefs(_){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const N=(0,I.joinPath)(this.userDataSyncStoreUrl,"resource",_),L={},M=await this.request(N.toString(),{type:"GET",headers:L},[],t.CancellationToken.None);return(await(0,d.asJson)(M)||[]).map(({url:H,created:W})=>({ref:(0,I.relativePath)(N,N.with({path:H})),created:W*1e3}))}async resolveContent(_,N){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const L=(0,I.joinPath)(this.userDataSyncStoreUrl,"resource",_,N).toString(),M={};M["Cache-Control"]="no-cache";const O=await this.request(L,{type:"GET",headers:M},[],t.CancellationToken.None);return await(0,d.asTextOrError)(O)}async delete(_,N){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const L=N!==null?(0,I.joinPath)(this.userDataSyncStoreUrl,"resource",_,N).toString():(0,I.joinPath)(this.userDataSyncStoreUrl,"resource",_).toString(),M={};await this.request(L,{type:"DELETE",headers:M},[],t.CancellationToken.None)}async read(_,N,L={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const M=(0,I.joinPath)(this.userDataSyncStoreUrl,"resource",_,"latest").toString();L={...L},L["Cache-Control"]="no-cache",N&&(L["If-None-Match"]=N.ref);const O=await this.request(M,{type:"GET",headers:L},[304],t.CancellationToken.None);let H=null;if(O.res.statusCode===304&&(H=N),H===null){const W=O.res.headers.etag;if(!W)throw new g.UserDataSyncStoreError("Server did not return the ref",M,"NoRef",O.res.statusCode,O.res.headers[g.HEADER_OPERATION_ID]);const z=await(0,d.asTextOrError)(O);if(!z&&O.res.statusCode===304)throw new g.UserDataSyncStoreError("Empty response",M,"EmptyResponse",O.res.statusCode,O.res.headers[g.HEADER_OPERATION_ID]);H={ref:W,content:z}}return H}async write(_,N,L,M={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const O=(0,I.joinPath)(this.userDataSyncStoreUrl,"resource",_).toString();M={...M},M["Content-Type"]=C.Mimes.text,L&&(M["If-Match"]=L);const H=await this.request(O,{type:"POST",data:N,headers:M},[],t.CancellationToken.None),W=H.res.headers.etag;if(!W)throw new g.UserDataSyncStoreError("Server did not return the ref",O,"NoRef",H.res.statusCode,H.res.headers[g.HEADER_OPERATION_ID]);return W}async manifest(_,N={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const L=(0,I.joinPath)(this.userDataSyncStoreUrl,"manifest").toString();N={...N},N["Content-Type"]="application/json",_&&(N["If-None-Match"]=_.ref);const M=await this.request(L,{type:"GET",headers:N},[304],t.CancellationToken.None);let O=null;if(M.res.statusCode===304&&(O=_),!O){const W=M.res.headers.etag;if(!W)throw new g.UserDataSyncStoreError("Server did not return the ref",L,"NoRef",M.res.statusCode,M.res.headers[g.HEADER_OPERATION_ID]);const z=await(0,d.asTextOrError)(M);if(!z&&M.res.statusCode===304)throw new g.UserDataSyncStoreError("Empty response",L,"EmptyResponse",M.res.statusCode,M.res.headers[g.HEADER_OPERATION_ID]);z&&(O={...JSON.parse(z),ref:W})}const H=this.storageService.get(n,-1);return H&&O&&H!==O.session&&this.clearSession(),O===null&&H&&this.clearSession(),O&&this.storageService.store(n,O.session,-1,1),O}async clear(){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const _=(0,I.joinPath)(this.userDataSyncStoreUrl,"resource").toString(),N={"Content-Type":C.Mimes.text};await this.request(_,{type:"DELETE",headers:N},[],t.CancellationToken.None),this.clearSession()}clearSession(){this.storageService.remove(n,-1),this.storageService.remove(i,-1)}async request(_,N,L,M){if(!this.authToken)throw new g.UserDataSyncStoreError("No Auth Token Available",_,"Unauthorized",void 0,void 0);if(this._donotMakeRequestsUntil&&Date.now()<this._donotMakeRequestsUntil.getTime())throw new g.UserDataSyncStoreError(`${N.type} request '${_}' failed because of too many requests (429).`,_,"TooManyRequestsAndRetryAfter",void 0,void 0);this.setDonotMakeRequestsUntil(void 0);const O=await this.commonHeadersPromise;N.headers={...N.headers||{},...O,"X-Account-Type":this.authToken.type,authorization:`Bearer ${this.authToken.token}`},this.addSessionHeaders(N.headers),this.logService.trace("Sending request to server",{url:_,type:N.type,headers:{...N.headers,authorization:void 0}});let H;try{H=await this.session.request(_,N,M)}catch(V){if(!(V instanceof g.UserDataSyncStoreError)){let Y="RequestFailed";const X=(0,k.getErrorMessage)(V).toLowerCase();X.includes("xhr timeout")?Y="RequestTimeout":X.includes("protocol")&&X.includes("not supported")?Y="RequestProtocolNotSupported":X.includes("request path contains unescaped characters")?Y="RequestPathNotEscaped":X.includes("headers must be an object")?Y="RequestHeadersNotObject":(0,k.isCancellationError)(V)&&(Y="RequestCanceled"),V=new g.UserDataSyncStoreError(`Connection refused for the request '${_}'.`,_,Y,void 0,void 0)}throw this.logService.info("Request failed",_),V}const W=H.res.headers[g.HEADER_OPERATION_ID],z={url:_,status:H.res.statusCode,"execution-id":N.headers[g.HEADER_EXECUTION_ID],"operation-id":W},te=(0,d.isSuccess)(H)||H.res.statusCode&&L.indexOf(H.res.statusCode)!==-1;if(te?this.logService.trace("Request succeeded",z):this.logService.info("Request failed",z),H.res.statusCode===401)throw this.authToken=void 0,this._onTokenFailed.fire(),new g.UserDataSyncStoreError(`Request '${_}' failed because of Unauthorized (401).`,_,"Unauthorized",H.res.statusCode,W);if(this._onTokenSucceed.fire(),H.res.statusCode===409)throw new g.UserDataSyncStoreError(`${N.type} request '${_}' failed because of Conflict (409). There is new data for this resource. Make the request again with latest data.`,_,"Conflict",H.res.statusCode,W);if(H.res.statusCode===410)throw new g.UserDataSyncStoreError(`${N.type} request '${_}' failed because the requested resource is not longer available (410).`,_,"Gone",H.res.statusCode,W);if(H.res.statusCode===412)throw new g.UserDataSyncStoreError(`${N.type} request '${_}' failed because of Precondition Failed (412). There is new data for this resource. Make the request again with latest data.`,_,"PreconditionFailed",H.res.statusCode,W);if(H.res.statusCode===413)throw new g.UserDataSyncStoreError(`${N.type} request '${_}' failed because of too large payload (413).`,_,"TooLarge",H.res.statusCode,W);if(H.res.statusCode===426)throw new g.UserDataSyncStoreError(`${N.type} request '${_}' failed with status Upgrade Required (426). Please upgrade the client and try again.`,_,"UpgradeRequired",H.res.statusCode,W);if(H.res.statusCode===429){const V=H.res.headers["retry-after"];throw V?(this.setDonotMakeRequestsUntil(new Date(Date.now()+parseInt(V)*1e3)),new g.UserDataSyncStoreError(`${N.type} request '${_}' failed because of too many requests (429).`,_,"TooManyRequestsAndRetryAfter",H.res.statusCode,W)):new g.UserDataSyncStoreError(`${N.type} request '${_}' failed because of too many requests (429).`,_,"RemoteTooManyRequests",H.res.statusCode,W)}if(!te)throw new g.UserDataSyncStoreError("Server returned "+H.res.statusCode,_,"Unknown",H.res.statusCode,W);return H}addSessionHeaders(_){let N=this.storageService.get(i,-1);N===void 0&&(N=(0,p.generateUuid)(),this.storageService.store(i,N,-1,1)),_["X-Machine-Session-Id"]=N;const L=this.storageService.get(n,-1);L!==void 0&&(_["X-User-Session-Id"]=L)}};l=fe([Q(1,w.IProductService),Q(2,d.IRequestService),Q(3,g.IUserDataSyncLogService),Q(4,h.IEnvironmentService),Q(5,S.IFileService),Q(6,m.IStorageService)],l),e.UserDataSyncStoreClient=l;let f=class extends l{constructor(_,N,L,M,O,H,W){super(_.userDataSyncStore?.url,N,L,M,O,H,W);this._register(_.onDidChangeUserDataSyncStore(()=>this.updateUserDataSyncStoreUrl(_.userDataSyncStore?.url)))}};f=fe([Q(0,g.IUserDataSyncStoreManagementService),Q(1,w.IProductService),Q(2,d.IRequestService),Q(3,g.IUserDataSyncLogService),Q(4,h.IEnvironmentService),Q(5,S.IFileService),Q(6,m.IStorageService)],f),e.UserDataSyncStoreService=f;class E{constructor(_,N,L,M){this.limit=_,this.interval=N,this.requestService=L,this.logService=M,this.requests=[],this.startTime=void 0}request(_,N,L){if(this.isExpired()&&this.reset(),N.url=_,this.requests.length>=this.limit)throw this.logService.info("Too many requests",...this.requests),new g.UserDataSyncStoreError(`Too many requests. Only ${this.limit} requests allowed in ${this.interval/(1e3*60)} minutes.`,_,"LocalTooManyRequests",void 0,void 0);return this.startTime=this.startTime||new Date,this.requests.push(_),this.requestService.request(N,L)}isExpired(){return this.startTime!==void 0&&new Date().getTime()-this.startTime.getTime()>this.interval}reset(){this.requests=[],this.startTime=void 0}}e.RequestsSession=E}),define(re[261],se([0,1,3,67,24,22,21,257,25,72,73]),function(Z,e,R,t,k,T,A,C,P,I,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=void 0;let b=class extends C.UserDataAutoSyncService{constructor(y,h,S,w,d,v,m,g,u,r,n){super(y,h,S,w,d,m,g,u,r,n);this._register(R.Event.debounce(R.Event.any(R.Event.map(v.onDidFocusWindow,()=>"windowFocus"),R.Event.map(v.onDidOpenWindow,()=>"windowOpen")),(i,a)=>i?[...i,a]:[a],1e3)(i=>this.triggerSync(i,!0,!1)))}};b=fe([Q(0,k.IProductService),Q(1,P.IUserDataSyncStoreManagementService),Q(2,P.IUserDataSyncStoreService),Q(3,P.IUserDataSyncEnablementService),Q(4,P.IUserDataSyncService),Q(5,t.INativeHostService),Q(6,P.IUserDataSyncLogService),Q(7,I.IUserDataSyncAccountService),Q(8,A.ITelemetryService),Q(9,D.IUserDataSyncMachinesService),Q(10,T.IStorageService)],b),e.UserDataAutoSyncService=b}),define(re[262],se([0,1,6,3,2]),function(Z,e,R,t,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class T extends k.Disposable{constructor({onDidOpenWindow:C,onDidFocusWindow:P,getActiveWindowId:I}){super();this.disposables=this._register(new k.DisposableStore),t.Event.latch(t.Event.any(C,P))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=(0,R.createCancelablePromise)(()=>I()),(async()=>{try{const b=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:b}catch{}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(C){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=C}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=T}),define(re[107],se([0,1,54,6,13,14,27,136,271,272]),function(Z,e,R,t,k,T,A,C,P,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buffer=e.extract=e.zip=e.ExtractError=void 0;class D extends Error{constructor(r,n){let i=n.message;switch(r){case"CorruptZip":i=`Corrupt ZIP: ${i}`;break}super(i);this.type=r,this.cause=n}}e.ExtractError=D;function b(u){const r=u.externalFileAttributes>>16||33188;return[448,56,7].map(n=>r&n).reduce((n,i)=>n+i,r&61440)}function p(u){if(u instanceof D)return u;let r;return/end of central directory record signature not found/.test(u.message)&&(r="CorruptZip"),new D(r,u)}function y(u,r,n,i,a,c){const o=k.dirname(r),s=k.join(i,o);if(!s.startsWith(i))return Promise.reject(new Error(C.localize(0,null,r)));const l=k.join(i,r);let f;return c.onCancellationRequested(()=>{f&&f.destroy()}),Promise.resolve(A.Promises.mkdir(s,{recursive:!0})).then(()=>new Promise((E,U)=>{if(!c.isCancellationRequested)try{f=(0,R.createWriteStream)(l,{mode:n}),f.once("close",()=>E()),f.once("error",U),u.once("error",U),u.pipe(f)}catch(_){U(_)}}))}function h(u,r,n,i){let a=(0,t.createCancelablePromise)(()=>Promise.resolve()),c=0;return i.onCancellationRequested(()=>{a.cancel(),u.close()}),new Promise((o,s)=>{const l=new t.Sequencer,f=E=>{E.isCancellationRequested||(c++,u.readEntry())};u.once("error",s),u.once("close",()=>a.then(()=>{i.isCancellationRequested||u.entryCount===c?o():s(new D("Incomplete",new Error(C.localize(1,null,c,u.entryCount))))},s)),u.readEntry(),u.on("entry",E=>{if(i.isCancellationRequested)return;if(!n.sourcePathRegex.test(E.fileName)){f(i);return}const U=E.fileName.replace(n.sourcePathRegex,"");if(/\/$/.test(U)){const L=k.join(r,U);a=(0,t.createCancelablePromise)(M=>A.Promises.mkdir(L,{recursive:!0}).then(()=>f(M)).then(void 0,s));return}const _=w(u,E),N=b(E);a=(0,t.createCancelablePromise)(L=>l.queue(()=>_.then(M=>y(M,U,N,r,n,L).then(()=>f(L)))).then(null,s))})})}function S(u,r=!1){return new Promise((n,i)=>{(0,P.open)(u,r?{lazyEntries:!0}:void 0,(a,c)=>{a?i(p(a)):n((0,T.assertIsDefined)(c))})})}function w(u,r){return new Promise((n,i)=>{u.openReadStream(r,(a,c)=>{a?i(p(a)):n((0,T.assertIsDefined)(c))})})}function d(u,r){return new Promise((n,i)=>{const a=new I.ZipFile;r.forEach(o=>{o.contents?a.addBuffer(typeof o.contents=="string"?Buffer.from(o.contents,"utf8"):o.contents,o.path):o.localPath&&a.addFile(o.localPath,o.path)}),a.end();const c=(0,R.createWriteStream)(u);a.outputStream.pipe(c),a.outputStream.once("error",i),c.once("error",i),c.once("finish",()=>n(u))})}e.zip=d;function v(u,r,n={},i){const a=new RegExp(n.sourcePath?`^${n.sourcePath}`:"");let c=S(u,!0);return n.overwrite&&(c=c.then(o=>A.Promises.rm(r).then(()=>o))),c.then(o=>h(o,r,{sourcePathRegex:a},i))}e.extract=v;function m(u,r){return S(u).then(n=>new Promise((i,a)=>{n.on("entry",c=>{c.fileName===r&&w(n,c).then(o=>i(o),o=>a(o))}),n.once("close",()=>a(new Error(C.localize(2,null,r))))}))}function g(u,r){return m(u,r).then(n=>new Promise((i,a)=>{const c=[];n.once("error",a),n.on("data",o=>c.push(o)),n.on("end",()=>i(Buffer.concat(c)))}))}e.buffer=g}),define(re[263],se([0,1,107,145]),function(Z,e,R,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getManifest=void 0;function k(T){return(0,R.buffer)(T,"extension/package.json").then(A=>{try{return JSON.parse(A.toString("utf8"))}catch{throw new Error((0,t.localize)(0,null))}})}e.getManifest=k}),define(re[108],se([0,1,6,37,9,2,20,13,4,18,55,14,8,31,27,107,144,90,15,233,28,32,41,70,199,235,263,200,230,49,65,10,5,7,24,21,33,29]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v,m,g,u,r,n,i,a,c,o,s,l,f,E,U,_,N,L,M,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionManagementService=e.INativeServerExtensionManagementService=void 0,e.INativeServerExtensionManagementService=(0,U.refineServiceDecorator)(g.IServerExtensionManagementService);let H=class extends m.AbstractExtensionManagementService{constructor(K,x,B,J,F,$,j,G,q,ee,ne,ae){super(ae,ne,K,$,x,B,ee);this.environmentService=J,this.extensionsScannerService=F,this.downloadService=j,this.fileService=q;const le=this._register(G.createInstance(a.ExtensionsLifecycle));this.extensionsScanner=this._register(G.createInstance(W,ge=>le.postUninstall(ge))),this.manifestCache=this._register(new o.ExtensionsManifestCache(J,this)),this.extensionsDownloader=this._register(G.createInstance(i.ExtensionsDownloader));const Se=this._register(new s.ExtensionsWatcher(this,q,J,B,ne));this._register(Se.onDidChangeExtensionsByAnotherSource(({added:ge,removed:pe})=>{ge.length&&this._onDidInstallExtensions.fire(ge.map(Ce=>({identifier:Ce.identifier,operation:1,local:Ce}))),pe.forEach(Ce=>this._onDidUninstallExtension.fire({identifier:Ce}))}))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(0,u.computeTargetPlatform)(this.fileService,this.logService)),this._targetPlatformPromise}async zip(K){this.logService.trace("ExtensionManagementService#zip",K.identifier.id);const x=await this.collectFiles(K),B=await(0,S.zip)((0,I.joinPath)(this.environmentService.tmpDir,(0,y.generateUuid)()).fsPath,x);return p.URI.file(B)}async unzip(K){return this.logService.trace("ExtensionManagementService#unzip",K.toString()),(await this.install(K)).identifier}async getManifest(K){const x=await this.downloadVsix(K),B=C.resolve(x.fsPath);return(0,c.getManifest)(B)}getInstalled(K,x){return this.extensionsScanner.scanExtensions(K??null,x)}getAllUserInstalled(){return this.extensionsScanner.scanUserExtensions(!1)}async install(K,x={}){this.logService.trace("ExtensionManagementService#install",K.toString());const B=await this.downloadVsix(K),J=await(0,c.getManifest)(C.resolve(B.fsPath));if(J.engines&&J.engines.vscode&&!(0,f.isEngineValid)(J.engines.vscode,this.productService.version,this.productService.date))throw new Error(w.localize(0,null,(0,u.getGalleryExtensionId)(J.publisher,J.name),this.productService.version));return this.installExtension(J,B,x)}getMetadata(K){return this.extensionsScannerService.scanMetadata(K.location)}async updateMetadata(K,x){this.logService.trace("ExtensionManagementService#updateMetadata",K.identifier.id);const B={...x};return x.isPreReleaseVersion&&(B.preRelease=!0),K=await this.extensionsScanner.updateMetadata(K,B),this.manifestCache.invalidate(),K}async updateExtensionScope(K,x){return this.logService.trace("ExtensionManagementService#updateExtensionScope",K.identifier.id),K=await this.extensionsScanner.updateMetadata(K,{isMachineScoped:x}),this.manifestCache.invalidate(),K}removeUninstalledExtensions(K){return this.extensionsScanner.cleanUp(K)}async downloadVsix(K){if(K.scheme===A.Schemas.file)return K;const x=(0,I.joinPath)(this.environmentService.tmpDir,(0,y.generateUuid)());return await this.downloadService.download(K,x),x}createDefaultInstallExtensionTask(K,x,B){return p.URI.isUri(x)?new V(K,x,B,this.galleryService,this.extensionsScanner,this.logService):new te(K,x,B,this.extensionsDownloader,this.extensionsScanner,this.logService)}createDefaultUninstallExtensionTask(K,x){return new Y(K,x,this.extensionsScanner)}async collectFiles(K){const x=async J=>{let F=await h.Promises.readdir(J);F=F.map(G=>C.join(J,G));const $=await Promise.all(F.map(G=>h.Promises.stat(G)));let j=Promise.resolve([]);return $.forEach((G,q)=>{const ee=F[q];G.isFile()&&(j=j.then(ne=>[...ne,ee])),G.isDirectory()&&(j=j.then(ne=>x(ee).then(ae=>[...ne,...ae])))}),j};return(await x(K.location.fsPath)).map(J=>({path:`extension/${C.relative(K.location.fsPath,J)}`,localPath:J}))}};H=fe([Q(0,g.IExtensionGalleryService),Q(1,L.ITelemetryService),Q(2,_.ILogService),Q(3,v.INativeEnvironmentService),Q(4,n.IExtensionsScannerService),Q(5,r.IExtensionsProfileScannerService),Q(6,d.IDownloadService),Q(7,U.IInstantiationService),Q(8,E.IFileService),Q(9,N.IProductService),Q(10,M.IUriIdentityService),Q(11,O.IUserDataProfilesService)],H),e.ExtensionManagementService=H;let W=class extends T.Disposable{constructor(K,x,B,J){super();this.beforeRemovingExtension=K,this.fileService=x,this.extensionsScannerService=B,this.logService=J,this.uninstalledPath=(0,I.joinPath)(this.extensionsScannerService.userExtensionsLocation,".obsolete").fsPath,this.uninstalledFileLimiter=new R.Queue}async cleanUp(K){await this.removeUninstalledExtensions(),K&&await this.removeOutdatedExtensions()}async scanExtensions(K,x){const B={includeInvalid:!0,profileLocation:x};let J=[];return K===null||K===0?J.push(...await this.extensionsScannerService.scanAllExtensions({includeInvalid:!0},B)):K===1&&J.push(...await this.extensionsScannerService.scanUserExtensions(B)),J=K!==null?J.filter(F=>F.type===K):J,Promise.all(J.map(F=>this.toLocalExtension(F)))}async scanUserExtensions(K){const x=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!K,includeInvalid:!0});return Promise.all(x.map(B=>this.toLocalExtension(B)))}async extractUserExtension(K,x,B,J){const F=K.toString(),$=C.join(this.extensionsScannerService.userExtensionsLocation.fsPath,`.${(0,y.generateUuid)()}`),j=C.join(this.extensionsScannerService.userExtensionsLocation.fsPath,F);try{await h.Promises.rm(j)}catch{throw new g.ExtensionManagementError(w.localize(1,null,j,K.id),g.ExtensionManagementErrorCode.Delete)}await this.extractAtLocation(K,x,$,J),B={...B,installedTimestamp:Date.now()},await this.extensionsScannerService.updateMetadata(p.URI.file($),B);try{await this.rename(K,$,j,Date.now()+2*60*1e3),this.logService.info("Renamed to",j)}catch(G){try{await h.Promises.rm($)}catch{}if(G.code==="ENOTEMPTY")this.logService.info("Rename failed because extension was installed by another source. So ignoring renaming.",K.id);else throw this.logService.info(`Rename failed because of ${(0,k.getErrorMessage)(G)}. Deleted from extracted location`,$),G}return this.scanLocalExtension(p.URI.file(j),1)}async updateMetadata(K,x){return await this.extensionsScannerService.updateMetadata(K.location,x),this.scanLocalExtension(K.location,K.type)}getUninstalledExtensions(){return this.withUninstalledExtensions()}async setUninstalled(...K){const x=K.map(B=>u.ExtensionKey.create(B));await this.withUninstalledExtensions(B=>{x.forEach(J=>B[J.toString()]=!0)})}async setInstalled(K){await this.withUninstalledExtensions(J=>delete J[K.toString()]);const B=(await this.scanUserExtensions(!0)).find(J=>u.ExtensionKey.create(J).equals(K))||null;return B?this.updateMetadata(B,{installedTimestamp:Date.now()}):null}async removeExtension(K,x){this.logService.trace(`Deleting ${x} extension from disk`,K.identifier.id,K.location.fsPath),await h.Promises.rm(K.location.fsPath),this.logService.info("Deleted from disk",K.identifier.id,K.location.fsPath)}async removeUninstalledExtension(K){await this.removeExtension(K,"uninstalled"),await this.withUninstalledExtensions(x=>delete x[u.ExtensionKey.create(K).toString()])}async withUninstalledExtensions(K){return this.uninstalledFileLimiter.queue(async()=>{let x;try{x=await h.Promises.readFile(this.uninstalledPath,"utf8")}catch(J){if(J.code!=="ENOENT")throw J}let B={};if(x)try{B=JSON.parse(x)}catch{}return K&&(K(B),Object.keys(B).length?await h.Promises.writeFile(this.uninstalledPath,JSON.stringify(B)):await h.Promises.rm(this.uninstalledPath)),B})}async extractAtLocation(K,x,B,J){this.logService.trace(`Started extracting the extension from ${x} to ${B}`);try{await h.Promises.rm(B)}catch(F){throw new g.ExtensionManagementError(this.joinErrors(F).message,g.ExtensionManagementErrorCode.Delete)}try{await(0,S.extract)(x,B,{sourcePath:"extension",overwrite:!0},J),this.logService.info(`Extracted extension to ${B}:`,K.id)}catch(F){try{await h.Promises.rm(B)}catch{}let $=g.ExtensionManagementErrorCode.Extract;throw F instanceof S.ExtractError&&(F.type==="CorruptZip"?$=g.ExtensionManagementErrorCode.CorruptZip:F.type==="Incomplete"&&($=g.ExtensionManagementErrorCode.IncompleteZip)),new g.ExtensionManagementError(F.message,$)}}async rename(K,x,B,J){try{await h.Promises.rename(x,B)}catch(F){if(P.isWindows&&F&&F.code==="EPERM"&&Date.now()<J)return this.logService.info(`Failed renaming ${x} to ${B} with 'EPERM' error. Trying again...`,K.id),this.rename(K,x,B,J);throw new g.ExtensionManagementError(F.message||w.localize(2,null,x,B),F.code||g.ExtensionManagementErrorCode.Rename)}}async scanLocalExtension(K,x){const B=await this.extensionsScannerService.scanExistingExtension(K,x,{includeInvalid:!0});if(B)return this.toLocalExtension(B);throw new Error(w.localize(3,null,K.path))}async toLocalExtension(K){const x=await this.fileService.resolve(K.location);let B,J;return x.children&&(B=x.children.find(({name:F})=>/^readme(\.txt|\.md|)$/i.test(F))?.resource,J=x.children.find(({name:F})=>/^changelog(\.txt|\.md|)$/i.test(F))?.resource),{identifier:K.identifier,type:K.type,isBuiltin:K.isBuiltin||!!K.metadata?.isBuiltin,location:K.location,manifest:K.manifest,targetPlatform:K.targetPlatform,validations:K.validations,isValid:K.isValid,readmeUrl:B,changelogUrl:J,publisherDisplayName:K.metadata?.publisherDisplayName||null,publisherId:K.metadata?.publisherId||null,isApplicationScoped:!!K.metadata?.isApplicationScoped,isMachineScoped:!!K.metadata?.isMachineScoped,isPreReleaseVersion:!!K.metadata?.isPreReleaseVersion,preRelease:!!K.metadata?.preRelease,installedTimestamp:K.metadata?.installedTimestamp,updated:!!K.metadata?.updated}}async removeUninstalledExtensions(){const K=await this.getUninstalledExtensions(),x=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!0,includeUninstalled:!0,includeInvalid:!0}),B=new Set;for(const $ of x)K[u.ExtensionKey.create($).toString()]||B.add($.identifier.id.toLowerCase());const J=(0,u.groupByExtension)(x,$=>$.identifier);await R.Promises.settled(J.map(async $=>{const j=$.sort((G,q)=>D.rcompare(G.manifest.version,q.manifest.version))[0];B.has(j.identifier.id.toLowerCase())||await this.beforeRemovingExtension(await this.toLocalExtension(j))}));const F=x.filter($=>K[u.ExtensionKey.create($).toString()]);await R.Promises.settled(F.map($=>this.removeUninstalledExtension($)))}async removeOutdatedExtensions(){const K=await this.extensionsScannerService.scanSystemExtensions({}),x=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!0,includeUninstalled:!0,includeInvalid:!0}),B=[],J=await this.extensionsScannerService.getTargetPlatform(),F=(0,u.groupByExtension)(x,$=>$.identifier);for(const $ of F)if($.length>1&&B.push(...$.sort((j,G)=>{const q=D.rcompare(j.manifest.version,G.manifest.version);return q!==0?q:j.targetPlatform===J?-1:1}).slice(1)),$[0].type===0){const j=K.find(G=>(0,u.areSameExtensions)(G.identifier,$[0].identifier));(!j||D.gte(j.manifest.version,$[0].manifest.version))&&B.push($[0])}await R.Promises.settled(B.map($=>this.removeExtension($,"outdated")))}joinErrors(K){const x=Array.isArray(K)?K:[K];return x.length===1?x[0]instanceof Error?x[0]:new Error(x[0]):x.reduce((B,J)=>new Error(`${B.message}${B.message?",":""}${J instanceof Error?J.message:J}`),new Error(""))}};W=fe([Q(1,E.IFileService),Q(2,n.IExtensionsScannerService),Q(3,_.ILogService)],W);class z extends m.AbstractExtensionTask{constructor(K,x,B,J,F){super();this.identifier=K,this.source=x,this.options=B,this.extensionsScanner=J,this.logService=F,this._operation=2}get operation(){return(0,b.isUndefined)(this.options.operation)?this._operation:this.options.operation}async installExtension(K,x){try{const B=await this.unsetUninstalledAndGetLocal(K.key);if(B)return K.metadata?this.extensionsScanner.updateMetadata(B,K.metadata):B}catch{throw P.isMacintosh?new g.ExtensionManagementError(w.localize(4,null),g.ExtensionManagementErrorCode.Internal):new g.ExtensionManagementError(w.localize(5,null),g.ExtensionManagementErrorCode.Internal)}return this.extract(K,x)}async unsetUninstalledAndGetLocal(K){if(!await this.isUninstalled(K))return null;this.logService.trace("Removing the extension from uninstalled list:",K.id);const B=await this.extensionsScanner.setInstalled(K);return this.logService.info("Removed the extension from uninstalled list:",K.id),B}async isUninstalled(K){return!!(await this.extensionsScanner.getUninstalledExtensions())[K.toString()]}async extract({zipPath:K,key:x,metadata:B},J){const F=await this.extensionsScanner.extractUserExtension(x,K,B,J);return this.logService.info("Extracting completed.",x.id),F}}class te extends z{constructor(K,x,B,J,F,$){super(x.identifier,x,B,F,$);this.manifest=K,this.gallery=x,this.extensionsDownloader=J}async doRun(K){const B=(await this.extensionsScanner.scanExtensions(null,void 0)).find($=>(0,u.areSameExtensions)($.identifier,this.gallery.identifier));B&&(this._operation=3);const J={id:this.gallery.identifier.uuid,publisherId:this.gallery.publisherId,publisherDisplayName:this.gallery.publisherDisplayName,targetPlatform:this.gallery.properties.targetPlatform,isApplicationScoped:(0,l.isApplicationScopedExtension)(this.manifest),isMachineScoped:this.options.isMachineScoped||B?.isMachineScoped,isBuiltin:this.options.isBuiltin||B?.isBuiltin,isSystem:B?.type===0?!0:void 0,updated:!!B,isPreReleaseVersion:this.gallery.properties.isPreReleaseVersion,preRelease:this.gallery.properties.isPreReleaseVersion||((0,b.isBoolean)(this.options.installPreReleaseVersion)?this.options.installPreReleaseVersion:B?.preRelease)};if(B?.manifest.version===this.gallery.version)return{local:await this.extensionsScanner.updateMetadata(B,J),metadata:J};const F=await this.downloadExtension(this.gallery,this._operation);try{const $=await this.installExtension({zipPath:F,key:u.ExtensionKey.create(this.gallery),metadata:J},K);return B&&!this.options.profileLocation&&(B.targetPlatform!==$.targetPlatform||D.neq(B.manifest.version,$.manifest.version))&&await this.extensionsScanner.setUninstalled(B),{local:$,metadata:J}}catch($){throw await this.deleteDownloadedVSIX(F),$}}async deleteDownloadedVSIX(K){try{await this.extensionsDownloader.delete(p.URI.file(K))}catch(x){this.logService.warn("Error while deleting the downloaded vsix",K.toString(),(0,k.getErrorMessage)(x))}}async downloadExtension(K,x){let B;try{this.logService.trace("Started downloading extension:",K.identifier.id),B=(await this.extensionsDownloader.downloadExtension(K,x)).fsPath,this.logService.info("Downloaded extension:",K.identifier.id,B)}catch(J){throw new g.ExtensionManagementError((0,m.joinErrors)(J).message,g.ExtensionManagementErrorCode.Download)}try{return await(0,c.getManifest)(B),B}catch(J){throw await this.deleteDownloadedVSIX(B),new g.ExtensionManagementError((0,m.joinErrors)(J).message,g.ExtensionManagementErrorCode.Invalid)}}}class V extends z{constructor(K,x,B,J,F,$){super({id:(0,u.getGalleryExtensionId)(K.publisher,K.name)},x,B,F,$);this.manifest=K,this.location=x,this.galleryService=J}async doRun(K){const x=new u.ExtensionKey(this.identifier,this.manifest.version),J=(await this.extensionsScanner.scanExtensions(1,void 0)).find(j=>(0,u.areSameExtensions)(this.identifier,j.identifier)),F=await this.getMetadata(this.identifier.id,this.manifest.version,K);if(F.isApplicationScoped=(0,l.isApplicationScopedExtension)(this.manifest),F.isMachineScoped=this.options.isMachineScoped||J?.isMachineScoped,F.isBuiltin=this.options.isBuiltin||J?.isBuiltin,J)if(this._operation=3,x.equals(new u.ExtensionKey(J.identifier,J.manifest.version)))try{await this.extensionsScanner.removeExtension(J,"existing")}catch{throw new Error(w.localize(6,null,this.manifest.displayName||this.manifest.name))}else!this.options.profileLocation&&D.gt(J.manifest.version,this.manifest.version)&&await this.extensionsScanner.setUninstalled(J);else{const j=await this.unsetUninstalledAndGetLocal(x);if(j)try{await this.extensionsScanner.removeExtension(j,"existing")}catch{throw new Error(w.localize(7,null,this.manifest.displayName||this.manifest.name))}}return{local:await this.installExtension({zipPath:C.resolve(this.location.fsPath),key:x,metadata:F},K),metadata:F}}async getMetadata(K,x,B){try{let[J]=await this.galleryService.getExtensions([{id:K,version:x}],B);if(J||([J]=await this.galleryService.getExtensions([{id:K}],B)),J)return{id:J.identifier.uuid,publisherDisplayName:J.publisherDisplayName,publisherId:J.publisherId,isPreReleaseVersion:J.properties.isPreReleaseVersion,preRelease:J.properties.isPreReleaseVersion||this.options.installPreReleaseVersion}}catch{}return{}}}class Y extends m.AbstractExtensionTask{constructor(K,x,B){super();this.extension=K,this.options=x,this.extensionsScanner=B}async doRun(K){const x=[],B=await this.extensionsScanner.scanUserExtensions(!1);if(this.options.versionOnly){const J=u.ExtensionKey.create(this.extension);x.push(...B.filter(F=>J.equals(u.ExtensionKey.create(F))))}else x.push(...B.filter(J=>(0,u.areSameExtensions)(J.identifier,this.extension.identifier)));if(!x.length)throw new Error(w.localize(8,null,this.extension.manifest.displayName||this.extension.manifest.name));if(await this.extensionsScanner.setUninstalled(...x),this.options.remove)for(const J of x)try{K.isCancellationRequested||await this.extensionsScanner.removeUninstalledExtension(J)}catch(F){throw new Error(w.localize(9,null,(0,t.toErrorMessage)(F)))}}}}),define(re[264],se([0,1,2,28,32,41,71,198,108,49,5,7,22,33,29]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsCleaner=void 0;const S={versionOnly:!0,donotIncludePack:!0,donotCheckDependents:!0};let w=class extends R.Disposable{constructor(m,g,u,r,n,i,a,c){super();this.userDataProfilesService=g,m.removeUninstalledExtensions(this.userDataProfilesService.profiles.length===1),(0,C.migrateUnsupportedExtensions)(m,u,r,n,c),A.ExtensionStorageService.removeOutdatedExtensionVersions(m,a),this._register(i.createInstance(d))}};w=fe([Q(0,P.INativeServerExtensionManagementService),Q(1,h.IUserDataProfilesService),Q(2,t.IExtensionGalleryService),Q(3,A.IExtensionStorageService),Q(4,t.IGlobalExtensionEnablementService),Q(5,D.IInstantiationService),Q(6,p.IStorageService),Q(7,b.ILogService)],w),e.ExtensionsCleaner=w;let d=class extends R.Disposable{constructor(m,g,u,r,n){super();this.extensionManagementService=m,this.userDataProfilesService=g,this.extensionsProfileScannerService=u,this.uriIdentityService=r,this.logService=n,this.profileExtensionsLocations=new Map,this.profileModeDisposables=this._register(new R.MutableDisposable),this.onDidChangeProfiles({added:this.userDataProfilesService.profiles,removed:[],all:this.userDataProfilesService.profiles})}async onDidChangeProfiles({added:m,removed:g,all:u}){try{await Promise.all(g.map(r=>r.extensionsResource?this.removeExtensionsFromProfile(r.extensionsResource):Promise.resolve()))}catch(r){this.logService.error(r)}if(u.length===1){this.profileModeDisposables.clear();const r=this._register(this.userDataProfilesService.onDidChangeProfiles(()=>{r.dispose(),this.onDidChangeProfiles({added:this.userDataProfilesService.profiles,removed:[],all:this.userDataProfilesService.profiles})}));return}try{m.length&&(await Promise.all(m.map(r=>r.extensionsResource?this.populateExtensionsFromProfile(r.extensionsResource):Promise.resolve())),this.profileModeDisposables.value||(this.profileModeDisposables.value=new R.DisposableStore,this.profileModeDisposables.value.add((0,R.toDisposable)(()=>this.profileExtensionsLocations.clear())),this.profileModeDisposables.value.add(this.userDataProfilesService.onDidChangeProfiles(r=>this.onDidChangeProfiles(r))),this.profileModeDisposables.value.add(this.extensionManagementService.onDidInstallExtensions(r=>this.onDidInstallExtensions(r))),this.profileModeDisposables.value.add(this.extensionManagementService.onDidUninstallExtension(r=>this.onDidUninstallExtension(r))),await this.uninstallExtensionsNotInProfiles()))}catch(r){this.logService.error(r)}}async uninstallExtensionsNotInProfiles(){const g=(await this.extensionManagementService.getAllUserInstalled()).filter(u=>!this.profileExtensionsLocations.has(this.getKey(u.identifier,u.manifest.version)));g.length&&await Promise.all(g.map(u=>this.extensionManagementService.uninstall(u,S)))}async onDidInstallExtensions(m){for(const{local:g,profileLocation:u}of m)!g||!u||this.addExtensionWithKey(this.getKey(g.identifier,g.manifest.version),u)}async onDidUninstallExtension(m){!m.profileLocation||!m.version||this.removeExtensionWithKey(this.getKey(m.identifier,m.version),m.profileLocation)&&await this.uninstallExtensions([{identifier:m.identifier,version:m.version}])}async populateExtensionsFromProfile(m){const g=await this.extensionsProfileScannerService.scanProfileExtensions(m);for(const u of g)this.addExtensionWithKey(this.getKey(u.identifier,u.version),m)}async removeExtensionsFromProfile(m){const g=[];for(const u of[...this.profileExtensionsLocations.keys()]){if(!this.removeExtensionWithKey(u,m))continue;const r=this.fromKey(u);r&&g.push(r)}g.length&&await this.uninstallExtensions(g)}addExtensionWithKey(m,g){let u=this.profileExtensionsLocations.get(m);u||(u=[],this.profileExtensionsLocations.set(m,u)),u.push(g)}removeExtensionWithKey(m,g){const u=this.profileExtensionsLocations.get(m);if(u){const r=u.findIndex(n=>this.uriIdentityService.extUri.isEqual(n,g));r>-1&&u.splice(r,1)}return u?.length?!1:(this.profileExtensionsLocations.delete(m),!0)}async uninstallExtensions(m){const u=(await this.extensionManagementService.getAllUserInstalled()).filter(r=>m.some(n=>this.getKey(r.identifier,r.manifest.version)===this.getKey(n.identifier,n.version)));u.length&&await Promise.all(u.map(r=>this.extensionManagementService.uninstall(r,S)))}getKey(m,g){return`${I.ExtensionIdentifier.toKey(m.id)}@${g}`}fromKey(m){const[g,u]=(0,k.getIdAndVersion)(m);return u?{identifier:{id:g},version:u}:void 0}};d=fe([Q(0,P.INativeServerExtensionManagementService),Q(1,h.IUserDataProfilesService),Q(2,T.IExtensionsProfileScannerService),Q(3,y.IUriIdentityService),Q(4,b.ILogService)],d)}),define(re[273],se([0,1,84,36,37,9,2,20,18,8,39,132,191,264,192,183,184,185,171,174,19,196,89,215,90,206,15,210,237,238,28,173,239,108,91,169,10,187,189,56,5,181,93,182,94,66,201,7,95,67,96,24,205,45,22,240,214,21,101,102,103,50,219,104,221,227,71,106,25,72,253,255,256,73,254,258,259,260,261,262,100,212,69,229,203,228,99,209,33,231,4,232,176,194,193,70,236,29,41,190,58,241,218,234]),function(Z,e,R,t,k,T,A,C,P,I,D,b,p,y,h,S,w,d,v,m,g,u,r,n,i,a,c,o,s,l,f,E,U,_,N,L,M,O,H,W,z,te,V,Y,X,K,x,B,J,F,$,j,G,q,ee,ne,ae,le,Se,ge,pe,Ce,be,Pe,We,nt,Be,Ye,oe,ue,he,Ee,Ie,Oe,Re,Ne,_e,Le,Fe,ie,ce,de,ve,me,we,De,ke,Te,Ae,Me,$e,Qe,Xe,It,pt,Dt,Rt,kt,St,Lt,yt,Tt,At,_t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.main=void 0;class Ot extends A.Disposable{constructor(ye){super();this.configuration=ye,this.server=this._register(new b.Server),this.sharedProcessWorkerService=void 0,this.registerListeners()}registerListeners(){const ye=()=>this.dispose();process.once("exit",ye),R.ipcRenderer.once("vscode:electron-main->shared-process=exit",ye);const Ue="vscode:electron-main->shared-process=disposeWorker",ze=(xe,Ze)=>this.onDisposeWorker(Ze);R.ipcRenderer.on(Ue,ze),this._register((0,A.toDisposable)(()=>R.ipcRenderer.removeListener(Ue,ze)))}onDisposeWorker(ye){this.sharedProcessWorkerService?.disposeWorker(ye)}async open(){const ye=await this.initServices();(0,oe.registerConfiguration)(),ye.invokeFunction(Ue=>{const ze=Ue.get(B.ILogService);ze.trace("sharedProcess configuration",JSON.stringify(this.configuration)),this.initChannels(Ue),this.registerErrorHandler(ze)}),this._register((0,A.combinedDisposable)(ye.createInstance(p.CodeCacheCleaner,this.configuration.codeCachePath),ye.createInstance(h.LanguagePackCachedDataCleaner),ye.createInstance(d.StorageDataCleaner,this.configuration.backupWorkspacesPath),ye.createInstance(w.LogsDataCleaner),ye.createInstance(S.LocalizationsUpdater),ye.createInstance(y.ExtensionsCleaner)))}async initServices(){const ye=new V.ServiceCollection,Ue={_serviceBrand:void 0,...$.default};ye.set(j.IProductService,Ue);const ze=new D.StaticRouter(Ge=>Ge==="main"),xe=new Y.MessagePortMainProcessService(this.server,ze);ye.set(X.IMainProcessService,xe);const Ze=this.configuration.policiesData?new Lt.PolicyChannelClient(this.configuration.policiesData,xe.getChannel("policy")):new yt.NullPolicyService;ye.set(yt.IPolicyService,Ze);const qe=new o.SharedProcessEnvironmentService(this.configuration.args,Ue);ye.set(c.INativeEnvironmentService,qe);const ot=new J.LogLevelChannelClient(this.server.getChannel("logLevel",ze)),et=new J.LoggerChannelClient(this.configuration.logLevel,ot.onDidChangeLogLevel,xe.getChannel("logger"));ye.set(B.ILoggerService,et);const lt=this._register(new B.MultiplexLogService([this._register(new B.ConsoleLogger(this.configuration.logLevel)),this._register(et.createLogger((0,P.joinPath)(I.URI.file(qe.logsPath),"sharedprocess.log"),{name:"sharedprocess"}))])),je=this._register(new J.FollowerLogService(ot,lt));ye.set(B.ILogService,je),this.sharedProcessWorkerService=new Te.SharedProcessWorkerService(je),ye.set(ke.ISharedProcessWorkerService,this.sharedProcessWorkerService);const Ve=this._register(new O.FileService(je));ye.set(M.IFileService,Ve);const ut=this._register(new H.DiskFileSystemProvider(je));Ve.registerProvider(C.Schemas.file,ut);const ht=this._register(new Qe.FileUserDataProvider(C.Schemas.file,this._register(new Xe.DiskFileSystemProviderClient(xe.getChannel(Xe.LOCAL_FILE_SYSTEM_CHANNEL_NAME),{pathCaseSensitive:$e.isLinux})),C.Schemas.vscodeUserData,je));Ve.registerProvider(C.Schemas.vscodeUserData,ht);const tt=this._register(new Tt.UserDataProfilesNativeService(this.configuration.profiles,xe,qe,Ve,je));ye.set(kt.IUserDataProfilesService,tt);const He=this._register(new u.ConfigurationService(tt.defaultProfile.settingsResource,Ve,Ze,je));ye.set(g.IConfigurationService,He);const rt=new ne.NativeStorageService(void 0,{defaultProfile:tt.defaultProfile,currentProfile:tt.defaultProfile},xe,qe);ye.set(ee.IStorageService,rt),this._register((0,A.toDisposable)(()=>rt.flush())),await Promise.all([He.initialize(),rt.initialize()]),ye.set(Ae.IUriIdentityService,new Me.UriIdentityService(Ve)),ye.set(q.IRequestService,new W.SyncDescriptor(G.RequestService)),ye.set(v.IChecksumService,new W.SyncDescriptor(m.ChecksumService)),ye.set(pt.IV8InspectProfilingService,new W.SyncDescriptor(It.InspectProfilingService));const at=D.ProxyChannel.toService(xe.getChannel("nativeHost"),{context:this.configuration.windowId});ye.set(F.INativeHostService,at),ye.set(i.IDownloadService,new W.SyncDescriptor(a.DownloadService));const dt=this._register(new ie.ActiveWindowManager(at)),Mt=new D.StaticRouter(Ge=>dt.getActiveClientId().then(ft=>Ge===ft));ye.set(N.IExtensionRecommendationNotificationService,new L.ExtensionRecommendationNotificationServiceChannelClient(this.server.getChannel("extensionRecommendationNotification",Mt)));let ct;const st=[];if((0,Ce.supportsTelemetry)(Ue,qe)){const Ge=new ge.TelemetryLogAppender(et,qe);st.push(Ge);const{installSourcePath:ft}=qe;if(Ue.aiConfig?.ariaKey){const bt=new At.OneDataSystemWebAppender(He,"monacoworkbench",null,Ue.aiConfig.ariaKey);this._register((0,A.toDisposable)(()=>bt.flush())),st.push(bt)}ct=new pe.TelemetryService({appenders:st,commonProperties:(0,ae.resolveCommonProperties)(Ve,(0,t.release)(),(0,t.hostname)(),process.arch,Ue.commit,Ue.version,this.configuration.machineId,Ue.msftInternalDomains,ft),sendErrorTelemetry:!0,piiPaths:(0,Ce.getPiiPathsFromEnvironment)(qe)},He,Ue)}else{ct=Ce.NullTelemetryService;const Ge=Ce.NullAppender;st.push(Ge)}this.server.registerChannel("telemetryAppender",new Se.TelemetryAppenderChannel(st)),ye.set(le.ITelemetryService,ct);const Ft=new be.CustomEndpointTelemetryService(He,ct,et,qe,Ue);ye.set(le.ICustomEndpointTelemetryService,Ft),ye.set(St.IExtensionsProfileScannerService,new W.SyncDescriptor(St.ExtensionsProfileScannerService)),ye.set(Dt.IExtensionsScannerService,new W.SyncDescriptor(Rt.ExtensionsScannerService)),ye.set(_.INativeServerExtensionManagementService,new W.SyncDescriptor(_.ExtensionManagementService)),ye.set(f.IDefaultExtensionsProfileInitService,new W.SyncDescriptor(_t.DefaultExtensionsProfileInitService)),ye.set(f.IExtensionGalleryService,new W.SyncDescriptor(l.ExtensionGalleryService)),ye.set(f.IExtensionTipsService,new W.SyncDescriptor(U.ExtensionTipsService)),ye.set(K.ILanguagePackService,new W.SyncDescriptor(x.NativeLanguagePackService)),ye.set(r.IDiagnosticsService,new W.SyncDescriptor(n.DiagnosticsService)),ye.set(ue.IUserDataSyncAccountService,new W.SyncDescriptor(ue.UserDataSyncAccountService)),ye.set(oe.IUserDataSyncLogService,new W.SyncDescriptor(Ie.UserDataSyncLogService)),ye.set(oe.IUserDataSyncUtilService,new Ee.UserDataSyncUtilServiceClient(this.server.getChannel("userDataSyncUtil",Ge=>Ge.ctx!=="main"))),ye.set(f.IGlobalExtensionEnablementService,new W.SyncDescriptor(s.GlobalExtensionEnablementService)),ye.set(Ye.IIgnoredExtensionsManagementService,new W.SyncDescriptor(Ye.IgnoredExtensionsManagementService)),ye.set(Be.IExtensionStorageService,new W.SyncDescriptor(Be.ExtensionStorageService)),ye.set(oe.IUserDataSyncStoreManagementService,new W.SyncDescriptor(Le.UserDataSyncStoreManagementService)),ye.set(oe.IUserDataSyncStoreService,new W.SyncDescriptor(Le.UserDataSyncStoreService)),ye.set(Oe.IUserDataSyncMachinesService,new W.SyncDescriptor(Oe.UserDataSyncMachinesService)),ye.set(oe.IUserDataSyncBackupStoreService,new W.SyncDescriptor(he.UserDataSyncBackupStoreService)),ye.set(oe.IUserDataSyncEnablementService,new W.SyncDescriptor(Re.UserDataSyncEnablementService)),ye.set(oe.IUserDataSyncService,new W.SyncDescriptor(Ne.UserDataSyncService));const Et=new nt.PtyHostService({graceTime:6e4,shortGraceTime:6e3,scrollback:He.getValue("terminal.integrated.persistentSessionScrollback")??100},He,qe,je);return Et.initialize(),ye.set(We.ILocalPtyService,this._register(Et)),ye.set(ce.ISignService,new W.SyncDescriptor(de.SignService)),ye.set(ve.ISharedTunnelsService,new W.SyncDescriptor(me.SharedTunnelsService)),ye.set(we.ISharedProcessTunnelService,new W.SyncDescriptor(De.SharedProcessTunnelService)),new te.InstantiationService(ye)}initChannels(ye){const Ue=new E.ExtensionManagementChannel(ye.get(f.IExtensionManagementService),()=>null);this.server.registerChannel("extensions",Ue);const ze=D.ProxyChannel.fromService(ye.get(K.ILanguagePackService));this.server.registerChannel("languagePacks",ze);const xe=D.ProxyChannel.fromService(ye.get(r.IDiagnosticsService));this.server.registerChannel("diagnostics",xe);const Ze=new E.ExtensionTipsChannel(ye.get(f.IExtensionTipsService));this.server.registerChannel("extensionTipsService",Ze);const qe=D.ProxyChannel.fromService(ye.get(v.IChecksumService));this.server.registerChannel("checksum",qe);const ot=D.ProxyChannel.fromService(ye.get(pt.IV8InspectProfilingService));this.server.registerChannel("v8InspectProfiling",ot);const et=new Ee.UserDataSyncMachinesServiceChannel(ye.get(Oe.IUserDataSyncMachinesService));this.server.registerChannel("userDataSyncMachines",et);const lt=D.ProxyChannel.fromService(ye.get(le.ICustomEndpointTelemetryService));this.server.registerChannel("customEndpointTelemetry",lt);const je=new Ee.UserDataSyncAccountServiceChannel(ye.get(ue.IUserDataSyncAccountService));this.server.registerChannel("userDataSyncAccount",je);const Ve=new Ee.UserDataSyncStoreManagementServiceChannel(ye.get(oe.IUserDataSyncStoreManagementService));this.server.registerChannel("userDataSyncStoreManagement",Ve);const ut=new _e.UserDataSyncChannel(ye.get(oe.IUserDataSyncService),ye.get(B.ILogService));this.server.registerChannel("userDataSync",ut);const ht=this._register(ye.get(z.IInstantiationService).createInstance(Fe.UserDataAutoSyncService)),tt=new Ee.UserDataAutoSyncChannel(ht);this.server.registerChannel("userDataAutoSync",tt);const He=ye.get(We.ILocalPtyService),rt=D.ProxyChannel.fromService(He);this.server.registerChannel(Pe.TerminalIpcChannels.LocalPty,rt);const at=D.ProxyChannel.fromService(ye.get(we.ISharedProcessTunnelService));this.server.registerChannel(we.ipcSharedProcessTunnelChannelName,at);const dt=D.ProxyChannel.fromService(ye.get(ke.ISharedProcessWorkerService));this.server.registerChannel(ke.ipcSharedProcessWorkerChannelName,dt),this.server.registerChannel("IDefaultExtensionsProfileInitService",D.ProxyChannel.fromService(ye.get(f.IDefaultExtensionsProfileInitService)))}registerErrorHandler(ye){window.addEventListener("unhandledrejection",Ue=>{(0,T.onUnexpectedError)(Ue.reason),Ue.preventDefault()}),(0,T.setUnexpectedErrorHandler)(Ue=>{const ze=(0,k.toErrorMessage)(Ue,!0);!ze||ye.error(`[uncaught exception in sharedProcess]: ${ze}`)})}}async function Ut(wt){const ye=new Ot(wt);R.ipcRenderer.send("vscode:shared-process->electron-main=ipc-ready"),await ye.open(),R.ipcRenderer.send("vscode:shared-process->electron-main=init-done")}e.main=Ut})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/274aed07cc6fa04dc99984d3ee90f45d3711a7df/core/vs/code/electron-browser/sharedProcess/sharedProcessMain.js.map
