/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Ie=["exports","require","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/base/common/lifecycle","vs/workbench/api/common/extHostTypes","vs/base/common/strings","vs/base/common/path","vs/base/common/types","vs/base/common/network","vs/base/common/errors","vs/base/common/platform","vs/platform/log/common/log","vs/workbench/api/common/extHostTypeConverters","vs/base/common/arrays","vs/workbench/api/common/extHostRpcService","vs/base/common/async","vs/nls","vs/nls!vs/workbench/api/node/extensionHostProcess","vs/base/common/cancellation","vs/base/common/resources","vs/base/common/buffer","vs/base/common/objects","vs/base/common/map","vs/workbench/api/common/extHostInitDataService","vs/workbench/services/extensions/common/extensions","vs/platform/extensions/common/extensions","vs/base/node/pfs","vs/base/common/extpath","vs/workbench/services/search/common/search","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","vs/base/common/uuid","vs/editor/common/core/range","vs/base/common/glob","vs/workbench/api/common/extHostCommands","vs/workbench/api/common/extHostTerminalService","vs/workbench/api/common/extHostExtensionService","vs/base/common/process","vs/base/common/severity","child_process","vs/platform/files/common/files","vs/platform/registry/common/platform","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostVariableResolverService","vs/editor/common/core/position","vs/base/common/errorMessage","vs/base/common/stopwatch","vs/platform/contextkey/common/contextkey","vs/workbench/api/common/extHostTunnelService","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDocumentsAndEditors","vs/workbench/api/common/extHostEditorTabs","vs/base/common/assert","vs/base/common/decorators","vs/base/common/functional","vs/base/common/iterator","vs/base/common/hash","vs/base/common/marshalling","fs","vs/editor/common/languages","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/contrib/testing/common/testId","vs/workbench/contrib/testing/common/testTypes","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStoragePaths","vs/workbench/api/common/extHostWebview","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/base/common/performance","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/codicons","vs/base/common/collections","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/normalization","os","vs/platform/instantiation/common/extensions","vs/platform/configuration/common/configuration","vs/platform/extensionManagement/common/extensionManagement","vs/platform/instantiation/common/serviceCollection","vs/platform/theme/common/themeService","vs/workbench/api/common/cache","vs/workbench/common/webview","vs/workbench/contrib/testing/common/testItemCollection","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostStorage","vs/workbench/services/search/node/ripgrepSearchUtils","vs/base/common/idGenerator","vs/base/common/numbers","vs/base/common/stream","vs/base/common/uint","string_decoder","vs/editor/common/core/characterClassifier","vs/editor/common/core/wordHelper","vs/editor/common/model","vs/base/common/mime","vs/base/common/processes","vs/base/common/filters","vs/base/common/comparers","vs/base/common/fuzzyScorer","vs/base/common/htmlContent","vs/base/common/labels","vs/base/common/uriIpc","vs/base/node/extpath","vs/base/parts/ipc/common/ipc","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/node/ipc.net","vs/editor/common/services/semanticTokensDto","vs/base/node/processes","vs/editor/common/config/editorOptions","vs/platform/instantiation/common/descriptors","vs/platform/markers/common/markers","vs/platform/opener/common/opener","vs/platform/progress/common/progress","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationRegistry","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/platform/tunnel/common/tunnel","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostDocumentData","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTestItem","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostLoggerService","vs/workbench/api/common/extHostWindow","vs/workbench/api/common/extHostOutput","vs/workbench/services/search/common/textSearchManager","vs/workbench/services/search/node/textSearchManager","vs/workbench/services/search/node/ripgrepTextSearchEngine","vs/base/common/json","vs/base/common/marked/marked","vs/base/node/decoder","vs/editor/common/core/selection","vs/editor/common/core/textModelDefaults","vs/editor/common/core/wordCharacterClassifier","vs/editor/common/languages/languageConfiguration","vs/editor/common/languages/linkComputer","vs/editor/common/model/prefixSumComputer","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/platform","vs/base/common/cache","vs/base/common/iconLabels","vs/editor/common/languageSelector","vs/editor/common/model/mirrorTextModel","vs/editor/common/model/textModelSearch","vs/editor/common/tokenizationRegistry","vs/nls!vs/base/node/processes","vs/nls!vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/api/node/extHostDebugService","vs/nls!vs/workbench/api/node/extHostTunnelService","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/common/debug","vs/nls!vs/workbench/contrib/debug/node/debugAdapter","vs/nls!vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/nls!vs/workbench/contrib/tasks/common/tasks","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/nls!vs/workbench/services/extensions/common/extensionsRegistry","vs/nls!vs/workbench/services/search/common/queryBuilder","vs/platform/editor/common/editor","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/platform/environment/common/environment","vs/platform/externalTerminal/common/externalTerminal","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/instantiation/common/instantiationService","vs/platform/log/node/spdlogLog","vs/platform/notification/common/notification","vs/platform/product/common/product","vs/platform/product/common/productService","vs/platform/configuration/common/configurationModels","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/sign/node/signService","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/theme","vs/platform/workspace/common/virtualWorkspace","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/api/node/uriTransformer","vs/workbench/common/editor","vs/workbench/api/common/extHostCodeInsets","vs/workbench/contrib/debug/common/debug","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/debug/node/debugAdapter","net","vs/workbench/contrib/debug/node/terminals","vs/workbench/contrib/notebook/common/notebookExecutionService","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostProgress","vs/workbench/services/environment/common/environmentService","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostEnv","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/common/extHostLogService","vs/workbench/services/extensions/common/extensionsApiProposals","vs/workbench/services/extensions/common/extensionsRegistry","vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/workbench/contrib/tasks/common/tasks","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostConsoleForwarder","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/node/extHostCLIServer","http","vs/workbench/api/node/extHostConsoleForwarder","vs/workbench/api/node/extHostDownloadService","vs/workbench/api/node/extHostLoggerService","vs/workbench/api/node/extHostStoragePaths","vs/workbench/api/node/extHostTerminalService","vs/workbench/api/node/extHostTunnelService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/output/common/output","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/queryBuilder","vs/workbench/services/extensions/common/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/common/extensionHostMain","vs/workbench/api/node/extHostDebugService","vs/workbench/api/node/extHostTask","vs/workbench/api/node/extHostVariableResolverService","vs/workbench/api/common/extHost.common.services","vs/workbench/services/search/node/ripgrepFileSearch","@vscode/ripgrep","vs/workbench/services/search/node/fileSearch","vs/workbench/services/textfile/common/encoding","vs/workbench/services/views/common/treeViewsService","vs/workbench/api/common/extHostTreeViews","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/node/proxyResolver","vs/workbench/api/node/extHostExtensionService","vs/workbench/services/search/node/ripgrepSearchProvider","vs/workbench/services/search/node/textSearchAdapter","vs/workbench/services/search/node/rawSearchService","vs/workbench/api/node/extHostSearch","vs/workbench/api/node/extHost.node.services","util","vs/base/common/semver/semver","https","tls","vscode-proxy-agent","events","vscode-regexpp","vs/workbench/api/node/extensionHostProcess","minimist"],ke=function(Q){for(var e=[],u=0,t=Q.length;u<t;u++)e[u]=Ie[Q[u]];return e};define(Ie[56],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function u(t,D){if(!t)throw new Error(D?`Assertion failed (${D})`:"Assertion Failed")}e.ok=u}),define(Ie[76],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function u(y){return y?y.replace(/\$\((.*?)\)/g,(C,E)=>` ${E} `).trim():""}e.getCodiconAriaLabel=u;class t{constructor(C,E,I){this.id=C,this.definition=E,this.description=I,t._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return t._allCodicons}}e.Codicon=t,t._allCodicons=[],t.add=new t("add",{fontCharacter:"\\ea60"}),t.plus=new t("plus",t.add.definition),t.gistNew=new t("gist-new",t.add.definition),t.repoCreate=new t("repo-create",t.add.definition),t.lightbulb=new t("lightbulb",{fontCharacter:"\\ea61"}),t.lightBulb=new t("light-bulb",{fontCharacter:"\\ea61"}),t.repo=new t("repo",{fontCharacter:"\\ea62"}),t.repoDelete=new t("repo-delete",{fontCharacter:"\\ea62"}),t.gistFork=new t("gist-fork",{fontCharacter:"\\ea63"}),t.repoForked=new t("repo-forked",{fontCharacter:"\\ea63"}),t.gitPullRequest=new t("git-pull-request",{fontCharacter:"\\ea64"}),t.gitPullRequestAbandoned=new t("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),t.recordKeys=new t("record-keys",{fontCharacter:"\\ea65"}),t.keyboard=new t("keyboard",{fontCharacter:"\\ea65"}),t.tag=new t("tag",{fontCharacter:"\\ea66"}),t.tagAdd=new t("tag-add",{fontCharacter:"\\ea66"}),t.tagRemove=new t("tag-remove",{fontCharacter:"\\ea66"}),t.person=new t("person",{fontCharacter:"\\ea67"}),t.personFollow=new t("person-follow",{fontCharacter:"\\ea67"}),t.personOutline=new t("person-outline",{fontCharacter:"\\ea67"}),t.personFilled=new t("person-filled",{fontCharacter:"\\ea67"}),t.gitBranch=new t("git-branch",{fontCharacter:"\\ea68"}),t.gitBranchCreate=new t("git-branch-create",{fontCharacter:"\\ea68"}),t.gitBranchDelete=new t("git-branch-delete",{fontCharacter:"\\ea68"}),t.sourceControl=new t("source-control",{fontCharacter:"\\ea68"}),t.mirror=new t("mirror",{fontCharacter:"\\ea69"}),t.mirrorPublic=new t("mirror-public",{fontCharacter:"\\ea69"}),t.star=new t("star",{fontCharacter:"\\ea6a"}),t.starAdd=new t("star-add",{fontCharacter:"\\ea6a"}),t.starDelete=new t("star-delete",{fontCharacter:"\\ea6a"}),t.starEmpty=new t("star-empty",{fontCharacter:"\\ea6a"}),t.comment=new t("comment",{fontCharacter:"\\ea6b"}),t.commentAdd=new t("comment-add",{fontCharacter:"\\ea6b"}),t.alert=new t("alert",{fontCharacter:"\\ea6c"}),t.warning=new t("warning",{fontCharacter:"\\ea6c"}),t.search=new t("search",{fontCharacter:"\\ea6d"}),t.searchSave=new t("search-save",{fontCharacter:"\\ea6d"}),t.logOut=new t("log-out",{fontCharacter:"\\ea6e"}),t.signOut=new t("sign-out",{fontCharacter:"\\ea6e"}),t.logIn=new t("log-in",{fontCharacter:"\\ea6f"}),t.signIn=new t("sign-in",{fontCharacter:"\\ea6f"}),t.eye=new t("eye",{fontCharacter:"\\ea70"}),t.eyeUnwatch=new t("eye-unwatch",{fontCharacter:"\\ea70"}),t.eyeWatch=new t("eye-watch",{fontCharacter:"\\ea70"}),t.circleFilled=new t("circle-filled",{fontCharacter:"\\ea71"}),t.primitiveDot=new t("primitive-dot",{fontCharacter:"\\ea71"}),t.closeDirty=new t("close-dirty",{fontCharacter:"\\ea71"}),t.debugBreakpoint=new t("debug-breakpoint",{fontCharacter:"\\ea71"}),t.debugBreakpointDisabled=new t("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),t.debugHint=new t("debug-hint",{fontCharacter:"\\ea71"}),t.primitiveSquare=new t("primitive-square",{fontCharacter:"\\ea72"}),t.edit=new t("edit",{fontCharacter:"\\ea73"}),t.pencil=new t("pencil",{fontCharacter:"\\ea73"}),t.info=new t("info",{fontCharacter:"\\ea74"}),t.issueOpened=new t("issue-opened",{fontCharacter:"\\ea74"}),t.gistPrivate=new t("gist-private",{fontCharacter:"\\ea75"}),t.gitForkPrivate=new t("git-fork-private",{fontCharacter:"\\ea75"}),t.lock=new t("lock",{fontCharacter:"\\ea75"}),t.mirrorPrivate=new t("mirror-private",{fontCharacter:"\\ea75"}),t.close=new t("close",{fontCharacter:"\\ea76"}),t.removeClose=new t("remove-close",{fontCharacter:"\\ea76"}),t.x=new t("x",{fontCharacter:"\\ea76"}),t.repoSync=new t("repo-sync",{fontCharacter:"\\ea77"}),t.sync=new t("sync",{fontCharacter:"\\ea77"}),t.clone=new t("clone",{fontCharacter:"\\ea78"}),t.desktopDownload=new t("desktop-download",{fontCharacter:"\\ea78"}),t.beaker=new t("beaker",{fontCharacter:"\\ea79"}),t.microscope=new t("microscope",{fontCharacter:"\\ea79"}),t.vm=new t("vm",{fontCharacter:"\\ea7a"}),t.deviceDesktop=new t("device-desktop",{fontCharacter:"\\ea7a"}),t.file=new t("file",{fontCharacter:"\\ea7b"}),t.fileText=new t("file-text",{fontCharacter:"\\ea7b"}),t.more=new t("more",{fontCharacter:"\\ea7c"}),t.ellipsis=new t("ellipsis",{fontCharacter:"\\ea7c"}),t.kebabHorizontal=new t("kebab-horizontal",{fontCharacter:"\\ea7c"}),t.mailReply=new t("mail-reply",{fontCharacter:"\\ea7d"}),t.reply=new t("reply",{fontCharacter:"\\ea7d"}),t.organization=new t("organization",{fontCharacter:"\\ea7e"}),t.organizationFilled=new t("organization-filled",{fontCharacter:"\\ea7e"}),t.organizationOutline=new t("organization-outline",{fontCharacter:"\\ea7e"}),t.newFile=new t("new-file",{fontCharacter:"\\ea7f"}),t.fileAdd=new t("file-add",{fontCharacter:"\\ea7f"}),t.newFolder=new t("new-folder",{fontCharacter:"\\ea80"}),t.fileDirectoryCreate=new t("file-directory-create",{fontCharacter:"\\ea80"}),t.trash=new t("trash",{fontCharacter:"\\ea81"}),t.trashcan=new t("trashcan",{fontCharacter:"\\ea81"}),t.history=new t("history",{fontCharacter:"\\ea82"}),t.clock=new t("clock",{fontCharacter:"\\ea82"}),t.folder=new t("folder",{fontCharacter:"\\ea83"}),t.fileDirectory=new t("file-directory",{fontCharacter:"\\ea83"}),t.symbolFolder=new t("symbol-folder",{fontCharacter:"\\ea83"}),t.logoGithub=new t("logo-github",{fontCharacter:"\\ea84"}),t.markGithub=new t("mark-github",{fontCharacter:"\\ea84"}),t.github=new t("github",{fontCharacter:"\\ea84"}),t.terminal=new t("terminal",{fontCharacter:"\\ea85"}),t.console=new t("console",{fontCharacter:"\\ea85"}),t.repl=new t("repl",{fontCharacter:"\\ea85"}),t.zap=new t("zap",{fontCharacter:"\\ea86"}),t.symbolEvent=new t("symbol-event",{fontCharacter:"\\ea86"}),t.error=new t("error",{fontCharacter:"\\ea87"}),t.stop=new t("stop",{fontCharacter:"\\ea87"}),t.variable=new t("variable",{fontCharacter:"\\ea88"}),t.symbolVariable=new t("symbol-variable",{fontCharacter:"\\ea88"}),t.array=new t("array",{fontCharacter:"\\ea8a"}),t.symbolArray=new t("symbol-array",{fontCharacter:"\\ea8a"}),t.symbolModule=new t("symbol-module",{fontCharacter:"\\ea8b"}),t.symbolPackage=new t("symbol-package",{fontCharacter:"\\ea8b"}),t.symbolNamespace=new t("symbol-namespace",{fontCharacter:"\\ea8b"}),t.symbolObject=new t("symbol-object",{fontCharacter:"\\ea8b"}),t.symbolMethod=new t("symbol-method",{fontCharacter:"\\ea8c"}),t.symbolFunction=new t("symbol-function",{fontCharacter:"\\ea8c"}),t.symbolConstructor=new t("symbol-constructor",{fontCharacter:"\\ea8c"}),t.symbolBoolean=new t("symbol-boolean",{fontCharacter:"\\ea8f"}),t.symbolNull=new t("symbol-null",{fontCharacter:"\\ea8f"}),t.symbolNumeric=new t("symbol-numeric",{fontCharacter:"\\ea90"}),t.symbolNumber=new t("symbol-number",{fontCharacter:"\\ea90"}),t.symbolStructure=new t("symbol-structure",{fontCharacter:"\\ea91"}),t.symbolStruct=new t("symbol-struct",{fontCharacter:"\\ea91"}),t.symbolParameter=new t("symbol-parameter",{fontCharacter:"\\ea92"}),t.symbolTypeParameter=new t("symbol-type-parameter",{fontCharacter:"\\ea92"}),t.symbolKey=new t("symbol-key",{fontCharacter:"\\ea93"}),t.symbolText=new t("symbol-text",{fontCharacter:"\\ea93"}),t.symbolReference=new t("symbol-reference",{fontCharacter:"\\ea94"}),t.goToFile=new t("go-to-file",{fontCharacter:"\\ea94"}),t.symbolEnum=new t("symbol-enum",{fontCharacter:"\\ea95"}),t.symbolValue=new t("symbol-value",{fontCharacter:"\\ea95"}),t.symbolRuler=new t("symbol-ruler",{fontCharacter:"\\ea96"}),t.symbolUnit=new t("symbol-unit",{fontCharacter:"\\ea96"}),t.activateBreakpoints=new t("activate-breakpoints",{fontCharacter:"\\ea97"}),t.archive=new t("archive",{fontCharacter:"\\ea98"}),t.arrowBoth=new t("arrow-both",{fontCharacter:"\\ea99"}),t.arrowDown=new t("arrow-down",{fontCharacter:"\\ea9a"}),t.arrowLeft=new t("arrow-left",{fontCharacter:"\\ea9b"}),t.arrowRight=new t("arrow-right",{fontCharacter:"\\ea9c"}),t.arrowSmallDown=new t("arrow-small-down",{fontCharacter:"\\ea9d"}),t.arrowSmallLeft=new t("arrow-small-left",{fontCharacter:"\\ea9e"}),t.arrowSmallRight=new t("arrow-small-right",{fontCharacter:"\\ea9f"}),t.arrowSmallUp=new t("arrow-small-up",{fontCharacter:"\\eaa0"}),t.arrowUp=new t("arrow-up",{fontCharacter:"\\eaa1"}),t.bell=new t("bell",{fontCharacter:"\\eaa2"}),t.bold=new t("bold",{fontCharacter:"\\eaa3"}),t.book=new t("book",{fontCharacter:"\\eaa4"}),t.bookmark=new t("bookmark",{fontCharacter:"\\eaa5"}),t.debugBreakpointConditionalUnverified=new t("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),t.debugBreakpointConditional=new t("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),t.debugBreakpointConditionalDisabled=new t("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),t.debugBreakpointDataUnverified=new t("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),t.debugBreakpointData=new t("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),t.debugBreakpointDataDisabled=new t("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),t.debugBreakpointLogUnverified=new t("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),t.debugBreakpointLog=new t("debug-breakpoint-log",{fontCharacter:"\\eaab"}),t.debugBreakpointLogDisabled=new t("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),t.briefcase=new t("briefcase",{fontCharacter:"\\eaac"}),t.broadcast=new t("broadcast",{fontCharacter:"\\eaad"}),t.browser=new t("browser",{fontCharacter:"\\eaae"}),t.bug=new t("bug",{fontCharacter:"\\eaaf"}),t.calendar=new t("calendar",{fontCharacter:"\\eab0"}),t.caseSensitive=new t("case-sensitive",{fontCharacter:"\\eab1"}),t.check=new t("check",{fontCharacter:"\\eab2"}),t.checklist=new t("checklist",{fontCharacter:"\\eab3"}),t.chevronDown=new t("chevron-down",{fontCharacter:"\\eab4"}),t.dropDownButton=new t("drop-down-button",t.chevronDown.definition),t.chevronLeft=new t("chevron-left",{fontCharacter:"\\eab5"}),t.chevronRight=new t("chevron-right",{fontCharacter:"\\eab6"}),t.chevronUp=new t("chevron-up",{fontCharacter:"\\eab7"}),t.chromeClose=new t("chrome-close",{fontCharacter:"\\eab8"}),t.chromeMaximize=new t("chrome-maximize",{fontCharacter:"\\eab9"}),t.chromeMinimize=new t("chrome-minimize",{fontCharacter:"\\eaba"}),t.chromeRestore=new t("chrome-restore",{fontCharacter:"\\eabb"}),t.circleOutline=new t("circle-outline",{fontCharacter:"\\eabc"}),t.debugBreakpointUnverified=new t("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),t.circleSlash=new t("circle-slash",{fontCharacter:"\\eabd"}),t.circuitBoard=new t("circuit-board",{fontCharacter:"\\eabe"}),t.clearAll=new t("clear-all",{fontCharacter:"\\eabf"}),t.clippy=new t("clippy",{fontCharacter:"\\eac0"}),t.closeAll=new t("close-all",{fontCharacter:"\\eac1"}),t.cloudDownload=new t("cloud-download",{fontCharacter:"\\eac2"}),t.cloudUpload=new t("cloud-upload",{fontCharacter:"\\eac3"}),t.code=new t("code",{fontCharacter:"\\eac4"}),t.collapseAll=new t("collapse-all",{fontCharacter:"\\eac5"}),t.colorMode=new t("color-mode",{fontCharacter:"\\eac6"}),t.commentDiscussion=new t("comment-discussion",{fontCharacter:"\\eac7"}),t.compareChanges=new t("compare-changes",{fontCharacter:"\\eafd"}),t.creditCard=new t("credit-card",{fontCharacter:"\\eac9"}),t.dash=new t("dash",{fontCharacter:"\\eacc"}),t.dashboard=new t("dashboard",{fontCharacter:"\\eacd"}),t.database=new t("database",{fontCharacter:"\\eace"}),t.debugContinue=new t("debug-continue",{fontCharacter:"\\eacf"}),t.debugDisconnect=new t("debug-disconnect",{fontCharacter:"\\ead0"}),t.debugPause=new t("debug-pause",{fontCharacter:"\\ead1"}),t.debugRestart=new t("debug-restart",{fontCharacter:"\\ead2"}),t.debugStart=new t("debug-start",{fontCharacter:"\\ead3"}),t.debugStepInto=new t("debug-step-into",{fontCharacter:"\\ead4"}),t.debugStepOut=new t("debug-step-out",{fontCharacter:"\\ead5"}),t.debugStepOver=new t("debug-step-over",{fontCharacter:"\\ead6"}),t.debugStop=new t("debug-stop",{fontCharacter:"\\ead7"}),t.debug=new t("debug",{fontCharacter:"\\ead8"}),t.deviceCameraVideo=new t("device-camera-video",{fontCharacter:"\\ead9"}),t.deviceCamera=new t("device-camera",{fontCharacter:"\\eada"}),t.deviceMobile=new t("device-mobile",{fontCharacter:"\\eadb"}),t.diffAdded=new t("diff-added",{fontCharacter:"\\eadc"}),t.diffIgnored=new t("diff-ignored",{fontCharacter:"\\eadd"}),t.diffModified=new t("diff-modified",{fontCharacter:"\\eade"}),t.diffRemoved=new t("diff-removed",{fontCharacter:"\\eadf"}),t.diffRenamed=new t("diff-renamed",{fontCharacter:"\\eae0"}),t.diff=new t("diff",{fontCharacter:"\\eae1"}),t.discard=new t("discard",{fontCharacter:"\\eae2"}),t.editorLayout=new t("editor-layout",{fontCharacter:"\\eae3"}),t.emptyWindow=new t("empty-window",{fontCharacter:"\\eae4"}),t.exclude=new t("exclude",{fontCharacter:"\\eae5"}),t.extensions=new t("extensions",{fontCharacter:"\\eae6"}),t.eyeClosed=new t("eye-closed",{fontCharacter:"\\eae7"}),t.fileBinary=new t("file-binary",{fontCharacter:"\\eae8"}),t.fileCode=new t("file-code",{fontCharacter:"\\eae9"}),t.fileMedia=new t("file-media",{fontCharacter:"\\eaea"}),t.filePdf=new t("file-pdf",{fontCharacter:"\\eaeb"}),t.fileSubmodule=new t("file-submodule",{fontCharacter:"\\eaec"}),t.fileSymlinkDirectory=new t("file-symlink-directory",{fontCharacter:"\\eaed"}),t.fileSymlinkFile=new t("file-symlink-file",{fontCharacter:"\\eaee"}),t.fileZip=new t("file-zip",{fontCharacter:"\\eaef"}),t.files=new t("files",{fontCharacter:"\\eaf0"}),t.filter=new t("filter",{fontCharacter:"\\eaf1"}),t.flame=new t("flame",{fontCharacter:"\\eaf2"}),t.foldDown=new t("fold-down",{fontCharacter:"\\eaf3"}),t.foldUp=new t("fold-up",{fontCharacter:"\\eaf4"}),t.fold=new t("fold",{fontCharacter:"\\eaf5"}),t.folderActive=new t("folder-active",{fontCharacter:"\\eaf6"}),t.folderOpened=new t("folder-opened",{fontCharacter:"\\eaf7"}),t.gear=new t("gear",{fontCharacter:"\\eaf8"}),t.gift=new t("gift",{fontCharacter:"\\eaf9"}),t.gistSecret=new t("gist-secret",{fontCharacter:"\\eafa"}),t.gist=new t("gist",{fontCharacter:"\\eafb"}),t.gitCommit=new t("git-commit",{fontCharacter:"\\eafc"}),t.gitCompare=new t("git-compare",{fontCharacter:"\\eafd"}),t.gitMerge=new t("git-merge",{fontCharacter:"\\eafe"}),t.githubAction=new t("github-action",{fontCharacter:"\\eaff"}),t.githubAlt=new t("github-alt",{fontCharacter:"\\eb00"}),t.globe=new t("globe",{fontCharacter:"\\eb01"}),t.grabber=new t("grabber",{fontCharacter:"\\eb02"}),t.graph=new t("graph",{fontCharacter:"\\eb03"}),t.gripper=new t("gripper",{fontCharacter:"\\eb04"}),t.heart=new t("heart",{fontCharacter:"\\eb05"}),t.home=new t("home",{fontCharacter:"\\eb06"}),t.horizontalRule=new t("horizontal-rule",{fontCharacter:"\\eb07"}),t.hubot=new t("hubot",{fontCharacter:"\\eb08"}),t.inbox=new t("inbox",{fontCharacter:"\\eb09"}),t.issueClosed=new t("issue-closed",{fontCharacter:"\\eba4"}),t.issueReopened=new t("issue-reopened",{fontCharacter:"\\eb0b"}),t.issues=new t("issues",{fontCharacter:"\\eb0c"}),t.italic=new t("italic",{fontCharacter:"\\eb0d"}),t.jersey=new t("jersey",{fontCharacter:"\\eb0e"}),t.json=new t("json",{fontCharacter:"\\eb0f"}),t.kebabVertical=new t("kebab-vertical",{fontCharacter:"\\eb10"}),t.key=new t("key",{fontCharacter:"\\eb11"}),t.law=new t("law",{fontCharacter:"\\eb12"}),t.lightbulbAutofix=new t("lightbulb-autofix",{fontCharacter:"\\eb13"}),t.linkExternal=new t("link-external",{fontCharacter:"\\eb14"}),t.link=new t("link",{fontCharacter:"\\eb15"}),t.listOrdered=new t("list-ordered",{fontCharacter:"\\eb16"}),t.listUnordered=new t("list-unordered",{fontCharacter:"\\eb17"}),t.liveShare=new t("live-share",{fontCharacter:"\\eb18"}),t.loading=new t("loading",{fontCharacter:"\\eb19"}),t.location=new t("location",{fontCharacter:"\\eb1a"}),t.mailRead=new t("mail-read",{fontCharacter:"\\eb1b"}),t.mail=new t("mail",{fontCharacter:"\\eb1c"}),t.markdown=new t("markdown",{fontCharacter:"\\eb1d"}),t.megaphone=new t("megaphone",{fontCharacter:"\\eb1e"}),t.mention=new t("mention",{fontCharacter:"\\eb1f"}),t.milestone=new t("milestone",{fontCharacter:"\\eb20"}),t.mortarBoard=new t("mortar-board",{fontCharacter:"\\eb21"}),t.move=new t("move",{fontCharacter:"\\eb22"}),t.multipleWindows=new t("multiple-windows",{fontCharacter:"\\eb23"}),t.mute=new t("mute",{fontCharacter:"\\eb24"}),t.noNewline=new t("no-newline",{fontCharacter:"\\eb25"}),t.note=new t("note",{fontCharacter:"\\eb26"}),t.octoface=new t("octoface",{fontCharacter:"\\eb27"}),t.openPreview=new t("open-preview",{fontCharacter:"\\eb28"}),t.package_=new t("package",{fontCharacter:"\\eb29"}),t.paintcan=new t("paintcan",{fontCharacter:"\\eb2a"}),t.pin=new t("pin",{fontCharacter:"\\eb2b"}),t.play=new t("play",{fontCharacter:"\\eb2c"}),t.run=new t("run",{fontCharacter:"\\eb2c"}),t.plug=new t("plug",{fontCharacter:"\\eb2d"}),t.preserveCase=new t("preserve-case",{fontCharacter:"\\eb2e"}),t.preview=new t("preview",{fontCharacter:"\\eb2f"}),t.project=new t("project",{fontCharacter:"\\eb30"}),t.pulse=new t("pulse",{fontCharacter:"\\eb31"}),t.question=new t("question",{fontCharacter:"\\eb32"}),t.quote=new t("quote",{fontCharacter:"\\eb33"}),t.radioTower=new t("radio-tower",{fontCharacter:"\\eb34"}),t.reactions=new t("reactions",{fontCharacter:"\\eb35"}),t.references=new t("references",{fontCharacter:"\\eb36"}),t.refresh=new t("refresh",{fontCharacter:"\\eb37"}),t.regex=new t("regex",{fontCharacter:"\\eb38"}),t.remoteExplorer=new t("remote-explorer",{fontCharacter:"\\eb39"}),t.remote=new t("remote",{fontCharacter:"\\eb3a"}),t.remove=new t("remove",{fontCharacter:"\\eb3b"}),t.replaceAll=new t("replace-all",{fontCharacter:"\\eb3c"}),t.replace=new t("replace",{fontCharacter:"\\eb3d"}),t.repoClone=new t("repo-clone",{fontCharacter:"\\eb3e"}),t.repoForcePush=new t("repo-force-push",{fontCharacter:"\\eb3f"}),t.repoPull=new t("repo-pull",{fontCharacter:"\\eb40"}),t.repoPush=new t("repo-push",{fontCharacter:"\\eb41"}),t.report=new t("report",{fontCharacter:"\\eb42"}),t.requestChanges=new t("request-changes",{fontCharacter:"\\eb43"}),t.rocket=new t("rocket",{fontCharacter:"\\eb44"}),t.rootFolderOpened=new t("root-folder-opened",{fontCharacter:"\\eb45"}),t.rootFolder=new t("root-folder",{fontCharacter:"\\eb46"}),t.rss=new t("rss",{fontCharacter:"\\eb47"}),t.ruby=new t("ruby",{fontCharacter:"\\eb48"}),t.saveAll=new t("save-all",{fontCharacter:"\\eb49"}),t.saveAs=new t("save-as",{fontCharacter:"\\eb4a"}),t.save=new t("save",{fontCharacter:"\\eb4b"}),t.screenFull=new t("screen-full",{fontCharacter:"\\eb4c"}),t.screenNormal=new t("screen-normal",{fontCharacter:"\\eb4d"}),t.searchStop=new t("search-stop",{fontCharacter:"\\eb4e"}),t.server=new t("server",{fontCharacter:"\\eb50"}),t.settingsGear=new t("settings-gear",{fontCharacter:"\\eb51"}),t.settings=new t("settings",{fontCharacter:"\\eb52"}),t.shield=new t("shield",{fontCharacter:"\\eb53"}),t.smiley=new t("smiley",{fontCharacter:"\\eb54"}),t.sortPrecedence=new t("sort-precedence",{fontCharacter:"\\eb55"}),t.splitHorizontal=new t("split-horizontal",{fontCharacter:"\\eb56"}),t.splitVertical=new t("split-vertical",{fontCharacter:"\\eb57"}),t.squirrel=new t("squirrel",{fontCharacter:"\\eb58"}),t.starFull=new t("star-full",{fontCharacter:"\\eb59"}),t.starHalf=new t("star-half",{fontCharacter:"\\eb5a"}),t.symbolClass=new t("symbol-class",{fontCharacter:"\\eb5b"}),t.symbolColor=new t("symbol-color",{fontCharacter:"\\eb5c"}),t.symbolCustomColor=new t("symbol-customcolor",{fontCharacter:"\\eb5c"}),t.symbolConstant=new t("symbol-constant",{fontCharacter:"\\eb5d"}),t.symbolEnumMember=new t("symbol-enum-member",{fontCharacter:"\\eb5e"}),t.symbolField=new t("symbol-field",{fontCharacter:"\\eb5f"}),t.symbolFile=new t("symbol-file",{fontCharacter:"\\eb60"}),t.symbolInterface=new t("symbol-interface",{fontCharacter:"\\eb61"}),t.symbolKeyword=new t("symbol-keyword",{fontCharacter:"\\eb62"}),t.symbolMisc=new t("symbol-misc",{fontCharacter:"\\eb63"}),t.symbolOperator=new t("symbol-operator",{fontCharacter:"\\eb64"}),t.symbolProperty=new t("symbol-property",{fontCharacter:"\\eb65"}),t.wrench=new t("wrench",{fontCharacter:"\\eb65"}),t.wrenchSubaction=new t("wrench-subaction",{fontCharacter:"\\eb65"}),t.symbolSnippet=new t("symbol-snippet",{fontCharacter:"\\eb66"}),t.tasklist=new t("tasklist",{fontCharacter:"\\eb67"}),t.telescope=new t("telescope",{fontCharacter:"\\eb68"}),t.textSize=new t("text-size",{fontCharacter:"\\eb69"}),t.threeBars=new t("three-bars",{fontCharacter:"\\eb6a"}),t.thumbsdown=new t("thumbsdown",{fontCharacter:"\\eb6b"}),t.thumbsup=new t("thumbsup",{fontCharacter:"\\eb6c"}),t.tools=new t("tools",{fontCharacter:"\\eb6d"}),t.triangleDown=new t("triangle-down",{fontCharacter:"\\eb6e"}),t.triangleLeft=new t("triangle-left",{fontCharacter:"\\eb6f"}),t.triangleRight=new t("triangle-right",{fontCharacter:"\\eb70"}),t.triangleUp=new t("triangle-up",{fontCharacter:"\\eb71"}),t.twitter=new t("twitter",{fontCharacter:"\\eb72"}),t.unfold=new t("unfold",{fontCharacter:"\\eb73"}),t.unlock=new t("unlock",{fontCharacter:"\\eb74"}),t.unmute=new t("unmute",{fontCharacter:"\\eb75"}),t.unverified=new t("unverified",{fontCharacter:"\\eb76"}),t.verified=new t("verified",{fontCharacter:"\\eb77"}),t.versions=new t("versions",{fontCharacter:"\\eb78"}),t.vmActive=new t("vm-active",{fontCharacter:"\\eb79"}),t.vmOutline=new t("vm-outline",{fontCharacter:"\\eb7a"}),t.vmRunning=new t("vm-running",{fontCharacter:"\\eb7b"}),t.watch=new t("watch",{fontCharacter:"\\eb7c"}),t.whitespace=new t("whitespace",{fontCharacter:"\\eb7d"}),t.wholeWord=new t("whole-word",{fontCharacter:"\\eb7e"}),t.window=new t("window",{fontCharacter:"\\eb7f"}),t.wordWrap=new t("word-wrap",{fontCharacter:"\\eb80"}),t.zoomIn=new t("zoom-in",{fontCharacter:"\\eb81"}),t.zoomOut=new t("zoom-out",{fontCharacter:"\\eb82"}),t.listFilter=new t("list-filter",{fontCharacter:"\\eb83"}),t.listFlat=new t("list-flat",{fontCharacter:"\\eb84"}),t.listSelection=new t("list-selection",{fontCharacter:"\\eb85"}),t.selection=new t("selection",{fontCharacter:"\\eb85"}),t.listTree=new t("list-tree",{fontCharacter:"\\eb86"}),t.debugBreakpointFunctionUnverified=new t("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),t.debugBreakpointFunction=new t("debug-breakpoint-function",{fontCharacter:"\\eb88"}),t.debugBreakpointFunctionDisabled=new t("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),t.debugStackframeActive=new t("debug-stackframe-active",{fontCharacter:"\\eb89"}),t.circleSmallFilled=new t("circle-small-filled",{fontCharacter:"\\eb8a"}),t.debugStackframeDot=new t("debug-stackframe-dot",t.circleSmallFilled.definition),t.debugStackframe=new t("debug-stackframe",{fontCharacter:"\\eb8b"}),t.debugStackframeFocused=new t("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),t.debugBreakpointUnsupported=new t("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),t.symbolString=new t("symbol-string",{fontCharacter:"\\eb8d"}),t.debugReverseContinue=new t("debug-reverse-continue",{fontCharacter:"\\eb8e"}),t.debugStepBack=new t("debug-step-back",{fontCharacter:"\\eb8f"}),t.debugRestartFrame=new t("debug-restart-frame",{fontCharacter:"\\eb90"}),t.callIncoming=new t("call-incoming",{fontCharacter:"\\eb92"}),t.callOutgoing=new t("call-outgoing",{fontCharacter:"\\eb93"}),t.menu=new t("menu",{fontCharacter:"\\eb94"}),t.expandAll=new t("expand-all",{fontCharacter:"\\eb95"}),t.feedback=new t("feedback",{fontCharacter:"\\eb96"}),t.groupByRefType=new t("group-by-ref-type",{fontCharacter:"\\eb97"}),t.ungroupByRefType=new t("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),t.account=new t("account",{fontCharacter:"\\eb99"}),t.bellDot=new t("bell-dot",{fontCharacter:"\\eb9a"}),t.debugConsole=new t("debug-console",{fontCharacter:"\\eb9b"}),t.library=new t("library",{fontCharacter:"\\eb9c"}),t.output=new t("output",{fontCharacter:"\\eb9d"}),t.runAll=new t("run-all",{fontCharacter:"\\eb9e"}),t.syncIgnored=new t("sync-ignored",{fontCharacter:"\\eb9f"}),t.pinned=new t("pinned",{fontCharacter:"\\eba0"}),t.githubInverted=new t("github-inverted",{fontCharacter:"\\eba1"}),t.debugAlt=new t("debug-alt",{fontCharacter:"\\eb91"}),t.serverProcess=new t("server-process",{fontCharacter:"\\eba2"}),t.serverEnvironment=new t("server-environment",{fontCharacter:"\\eba3"}),t.pass=new t("pass",{fontCharacter:"\\eba4"}),t.stopCircle=new t("stop-circle",{fontCharacter:"\\eba5"}),t.playCircle=new t("play-circle",{fontCharacter:"\\eba6"}),t.record=new t("record",{fontCharacter:"\\eba7"}),t.debugAltSmall=new t("debug-alt-small",{fontCharacter:"\\eba8"}),t.vmConnect=new t("vm-connect",{fontCharacter:"\\eba9"}),t.cloud=new t("cloud",{fontCharacter:"\\ebaa"}),t.merge=new t("merge",{fontCharacter:"\\ebab"}),t.exportIcon=new t("export",{fontCharacter:"\\ebac"}),t.graphLeft=new t("graph-left",{fontCharacter:"\\ebad"}),t.magnet=new t("magnet",{fontCharacter:"\\ebae"}),t.notebook=new t("notebook",{fontCharacter:"\\ebaf"}),t.redo=new t("redo",{fontCharacter:"\\ebb0"}),t.checkAll=new t("check-all",{fontCharacter:"\\ebb1"}),t.pinnedDirty=new t("pinned-dirty",{fontCharacter:"\\ebb2"}),t.passFilled=new t("pass-filled",{fontCharacter:"\\ebb3"}),t.circleLargeFilled=new t("circle-large-filled",{fontCharacter:"\\ebb4"}),t.circleLargeOutline=new t("circle-large-outline",{fontCharacter:"\\ebb5"}),t.combine=new t("combine",{fontCharacter:"\\ebb6"}),t.gather=new t("gather",{fontCharacter:"\\ebb6"}),t.table=new t("table",{fontCharacter:"\\ebb7"}),t.variableGroup=new t("variable-group",{fontCharacter:"\\ebb8"}),t.typeHierarchy=new t("type-hierarchy",{fontCharacter:"\\ebb9"}),t.typeHierarchySub=new t("type-hierarchy-sub",{fontCharacter:"\\ebba"}),t.typeHierarchySuper=new t("type-hierarchy-super",{fontCharacter:"\\ebbb"}),t.gitPullRequestCreate=new t("git-pull-request-create",{fontCharacter:"\\ebbc"}),t.runAbove=new t("run-above",{fontCharacter:"\\ebbd"}),t.runBelow=new t("run-below",{fontCharacter:"\\ebbe"}),t.notebookTemplate=new t("notebook-template",{fontCharacter:"\\ebbf"}),t.debugRerun=new t("debug-rerun",{fontCharacter:"\\ebc0"}),t.workspaceTrusted=new t("workspace-trusted",{fontCharacter:"\\ebc1"}),t.workspaceUntrusted=new t("workspace-untrusted",{fontCharacter:"\\ebc2"}),t.workspaceUnspecified=new t("workspace-unspecified",{fontCharacter:"\\ebc3"}),t.terminalCmd=new t("terminal-cmd",{fontCharacter:"\\ebc4"}),t.terminalDebian=new t("terminal-debian",{fontCharacter:"\\ebc5"}),t.terminalLinux=new t("terminal-linux",{fontCharacter:"\\ebc6"}),t.terminalPowershell=new t("terminal-powershell",{fontCharacter:"\\ebc7"}),t.terminalTmux=new t("terminal-tmux",{fontCharacter:"\\ebc8"}),t.terminalUbuntu=new t("terminal-ubuntu",{fontCharacter:"\\ebc9"}),t.terminalBash=new t("terminal-bash",{fontCharacter:"\\ebca"}),t.arrowSwap=new t("arrow-swap",{fontCharacter:"\\ebcb"}),t.copy=new t("copy",{fontCharacter:"\\ebcc"}),t.personAdd=new t("person-add",{fontCharacter:"\\ebcd"}),t.filterFilled=new t("filter-filled",{fontCharacter:"\\ebce"}),t.wand=new t("wand",{fontCharacter:"\\ebcf"}),t.debugLineByLine=new t("debug-line-by-line",{fontCharacter:"\\ebd0"}),t.inspect=new t("inspect",{fontCharacter:"\\ebd1"}),t.layers=new t("layers",{fontCharacter:"\\ebd2"}),t.layersDot=new t("layers-dot",{fontCharacter:"\\ebd3"}),t.layersActive=new t("layers-active",{fontCharacter:"\\ebd4"}),t.compass=new t("compass",{fontCharacter:"\\ebd5"}),t.compassDot=new t("compass-dot",{fontCharacter:"\\ebd6"}),t.compassActive=new t("compass-active",{fontCharacter:"\\ebd7"}),t.azure=new t("azure",{fontCharacter:"\\ebd8"}),t.issueDraft=new t("issue-draft",{fontCharacter:"\\ebd9"}),t.gitPullRequestClosed=new t("git-pull-request-closed",{fontCharacter:"\\ebda"}),t.gitPullRequestDraft=new t("git-pull-request-draft",{fontCharacter:"\\ebdb"}),t.debugAll=new t("debug-all",{fontCharacter:"\\ebdc"}),t.debugCoverage=new t("debug-coverage",{fontCharacter:"\\ebdd"}),t.runErrors=new t("run-errors",{fontCharacter:"\\ebde"}),t.folderLibrary=new t("folder-library",{fontCharacter:"\\ebdf"}),t.debugContinueSmall=new t("debug-continue-small",{fontCharacter:"\\ebe0"}),t.beakerStop=new t("beaker-stop",{fontCharacter:"\\ebe1"}),t.graphLine=new t("graph-line",{fontCharacter:"\\ebe2"}),t.graphScatter=new t("graph-scatter",{fontCharacter:"\\ebe3"}),t.pieChart=new t("pie-chart",{fontCharacter:"\\ebe4"}),t.bracket=new t("bracket",t.json.definition),t.bracketDot=new t("bracket-dot",{fontCharacter:"\\ebe5"}),t.bracketError=new t("bracket-error",{fontCharacter:"\\ebe6"}),t.lockSmall=new t("lock-small",{fontCharacter:"\\ebe7"}),t.azureDevops=new t("azure-devops",{fontCharacter:"\\ebe8"}),t.verifiedFilled=new t("verified-filled",{fontCharacter:"\\ebe9"}),t.newLine=new t("newline",{fontCharacter:"\\ebea"}),t.layout=new t("layout",{fontCharacter:"\\ebeb"}),t.layoutActivitybarLeft=new t("layout-activitybar-left",{fontCharacter:"\\ebec"}),t.layoutActivitybarRight=new t("layout-activitybar-right",{fontCharacter:"\\ebed"}),t.layoutPanelLeft=new t("layout-panel-left",{fontCharacter:"\\ebee"}),t.layoutPanelCenter=new t("layout-panel-center",{fontCharacter:"\\ebef"}),t.layoutPanelJustify=new t("layout-panel-justify",{fontCharacter:"\\ebf0"}),t.layoutPanelRight=new t("layout-panel-right",{fontCharacter:"\\ebf1"}),t.layoutPanel=new t("layout-panel",{fontCharacter:"\\ebf2"}),t.layoutSidebarLeft=new t("layout-sidebar-left",{fontCharacter:"\\ebf3"}),t.layoutSidebarRight=new t("layout-sidebar-right",{fontCharacter:"\\ebf4"}),t.layoutStatusbar=new t("layout-statusbar",{fontCharacter:"\\ebf5"}),t.layoutMenubar=new t("layout-menubar",{fontCharacter:"\\ebf6"}),t.layoutCentered=new t("layout-centered",{fontCharacter:"\\ebf7"}),t.layoutSidebarRightOff=new t("layout-sidebar-right-off",{fontCharacter:"\\ec00"}),t.layoutPanelOff=new t("layout-panel-off",{fontCharacter:"\\ec01"}),t.layoutSidebarLeftOff=new t("layout-sidebar-left-off",{fontCharacter:"\\ec02"}),t.target=new t("target",{fontCharacter:"\\ebf8"}),t.indent=new t("indent",{fontCharacter:"\\ebf9"}),t.recordSmall=new t("record-small",{fontCharacter:"\\ebfa"}),t.errorSmall=new t("error-small",{fontCharacter:"\\ebfb"}),t.arrowCircleDown=new t("arrow-circle-down",{fontCharacter:"\\ebfc"}),t.arrowCircleLeft=new t("arrow-circle-left",{fontCharacter:"\\ebfd"}),t.arrowCircleRight=new t("arrow-circle-right",{fontCharacter:"\\ebfe"}),t.arrowCircleUp=new t("arrow-circle-up",{fontCharacter:"\\ebff"}),t.heartFilled=new t("heart-filled",{fontCharacter:"\\ec04"}),t.map=new t("map",{fontCharacter:"\\ec05"}),t.mapFilled=new t("map-filled",{fontCharacter:"\\ec06"}),t.circleSmall=new t("circle-small",{fontCharacter:"\\ec07"}),t.bellSlash=new t("bell-slash",{fontCharacter:"\\ec08"}),t.bellSlashDot=new t("bell-slash-dot",{fontCharacter:"\\f101"}),t.dialogError=new t("dialog-error",t.error.definition),t.dialogWarning=new t("dialog-warning",t.warning.definition),t.dialogInfo=new t("dialog-info",t.info.definition),t.dialogClose=new t("dialog-close",t.close.definition),t.treeItemExpanded=new t("tree-item-expanded",t.chevronDown.definition),t.treeFilterOnTypeOn=new t("tree-filter-on-type-on",t.listFilter.definition),t.treeFilterOnTypeOff=new t("tree-filter-on-type-off",t.listSelection.definition),t.treeFilterClear=new t("tree-filter-clear",t.close.definition),t.treeItemLoading=new t("tree-item-loading",t.loading.definition),t.menuSelection=new t("menu-selection",t.check.definition),t.menuSubmenu=new t("menu-submenu",t.chevronRight.definition),t.menuBarMore=new t("menubar-more",t.more.definition),t.scrollbarButtonLeft=new t("scrollbar-button-left",t.triangleLeft.definition),t.scrollbarButtonRight=new t("scrollbar-button-right",t.triangleRight.definition),t.scrollbarButtonUp=new t("scrollbar-button-up",t.triangleUp.definition),t.scrollbarButtonDown=new t("scrollbar-button-down",t.triangleDown.definition),t.toolBarMore=new t("toolbar-more",t.more.definition),t.quickInputBack=new t("quick-input-back",t.arrowLeft.definition);function D(y,C){const E=["codicon","codicon-"+y];return C&&E.push("codicon-modifier-"+C),E}e.getClassNamesArray=D;var T;(function(y){y.iconNameSegment="[A-Za-z0-9]+",y.iconNameExpression="[A-Za-z0-9-]+",y.iconModifierExpression="~[A-Za-z]+",y.iconNameCharacter="[A-Za-z0-9~-]";const C=new RegExp(`^(${y.iconNameExpression})(${y.iconModifierExpression})?$`);function E(k){if(k instanceof t)return["codicon","codicon-"+k.id];const _=C.exec(k.id);if(!_)return E(t.error);const[,P,w]=_,b=["codicon","codicon-"+P];return w&&b.push("codicon-modifier-"+w.substr(1)),b}y.asClassNameArray=E;function I(k){return E(k).join(" ")}y.asClassName=I;function R(k){return"."+E(k).join(".")}y.asCSSSelector=R})(T=e.CSSIcon||(e.CSSIcon={}))}),define(Ie[77],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.groupBy=void 0;function u(y,C){const E=Object.create(null);for(const I of y){const R=C(I);let k=E[R];k||(k=E[R]=[]),k.push(I)}return E}e.groupBy=u;function t(y,C){const E=[],I=[];for(const R of y)C.has(R)||E.push(R);for(const R of C)y.has(R)||I.push(R);return{removed:E,added:I}}e.diffSets=t;function D(y,C){const E=[],I=[];for(const[R,k]of y)C.has(R)||E.push(k);for(const[R,k]of C)y.has(R)||I.push(k);return{removed:E,added:I}}e.diffMaps=D;class T{constructor(){this.map=new Map}add(C,E){let I=this.map.get(C);I||(I=new Set,this.map.set(C,I)),I.add(E)}delete(C,E){const I=this.map.get(C);!I||(I.delete(E),I.size===0&&this.map.delete(C))}forEach(C,E){const I=this.map.get(C);!I||I.forEach(E)}}e.SetMap=T}),define(Ie[57],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function u(y){return(C,E,I)=>{let R=null,k=null;if(typeof I.value=="function"?(R="value",k=I.value):typeof I.get=="function"&&(R="get",k=I.get),!k)throw new Error("not supported");I[R]=y(k,E)}}e.createDecorator=u;function t(y,C,E){let I=null,R=null;if(typeof E.value=="function"?(I="value",R=E.value,R.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof E.get=="function"&&(I="get",R=E.get),!R)throw new Error("not supported");const k=`$memoize$${C}`;E[I]=function(..._){return this.hasOwnProperty(k)||Object.defineProperty(this,k,{configurable:!1,enumerable:!1,writable:!1,value:R.apply(this,_)}),this[k]}}e.memoize=t;function D(y,C,E){return u((I,R)=>{const k=`$debounce$${R}`,_=`$debounce$result$${R}`;return function(...P){this[_]||(this[_]=E?E():void 0),clearTimeout(this[k]),C&&(this[_]=C(this[_],...P),P=[this[_]]),this[k]=setTimeout(()=>{I.apply(this,P),this[_]=E?E():void 0},y)}})}e.debounce=D;function T(y,C,E){return u((I,R)=>{const k=`$throttle$timer$${R}`,_=`$throttle$result$${R}`,P=`$throttle$lastRun$${R}`,w=`$throttle$pending$${R}`;return function(...b){if(this[_]||(this[_]=E?E():void 0),(this[P]===null||this[P]===void 0)&&(this[P]=-Number.MAX_VALUE),C&&(this[_]=C(this[_],...b)),this[w])return;const g=this[P]+y;g<=Date.now()?(this[P]=Date.now(),I.apply(this,[this[_]]),this[_]=E?E():void 0):(this[w]=!0,this[k]=setTimeout(()=>{this[w]=!1,this[P]=Date.now(),I.apply(this,[this[_]]),this[_]=E?E():void 0},g-Date.now()))}})}e.throttle=T}),define(Ie[12],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BugIndicatingError=e.ErrorNoTelemetry=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isCancellationError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class u{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(a){setTimeout(()=>{throw a.stack?p.isErrorNoTelemetry(a)?new p(a.message+`

`+a.stack):new Error(a.message+`

`+a.stack):a},0)}}addListener(a){return this.listeners.push(a),()=>{this._removeListener(a)}}emit(a){this.listeners.forEach(h=>{h(a)})}_removeListener(a){this.listeners.splice(this.listeners.indexOf(a),1)}setUnexpectedErrorHandler(a){this.unexpectedErrorHandler=a}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(a){this.unexpectedErrorHandler(a),this.emit(a)}onUnexpectedExternalError(a){this.unexpectedErrorHandler(a)}}e.ErrorHandler=u,e.errorHandler=new u;function t(m){e.errorHandler.setUnexpectedErrorHandler(m)}e.setUnexpectedErrorHandler=t;function D(m){E(m)||e.errorHandler.onUnexpectedError(m)}e.onUnexpectedError=D;function T(m){E(m)||e.errorHandler.onUnexpectedExternalError(m)}e.onUnexpectedExternalError=T;function y(m){if(m instanceof Error){const{name:a,message:h}=m,r=m.stacktrace||m.stack;return{$isError:!0,name:a,message:h,stack:r,noTelemetry:p.isErrorNoTelemetry(m)}}return m}e.transformErrorForSerialization=y;const C="Canceled";function E(m){return m instanceof I?!0:m instanceof Error&&m.name===C&&m.message===C}e.isCancellationError=E;class I extends Error{constructor(){super(C);this.name=this.message}}e.CancellationError=I;function R(){const m=new Error(C);return m.name=m.message,m}e.canceled=R;function k(m){return m?new Error(`Illegal argument: ${m}`):new Error("Illegal argument")}e.illegalArgument=k;function _(m){return m?new Error(`Illegal state: ${m}`):new Error("Illegal state")}e.illegalState=_;function P(m){return m?new Error(`readonly property '${m} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=P;function w(m){const a=new Error(`${m} has been disposed`);return a.name="DISPOSED",a}e.disposed=w;function b(m){return m?m.message?m.message:m.stack?m.stack.split(`
`)[0]:String(m):"Error"}e.getErrorMessage=b;class g extends Error{constructor(a){super("NotImplemented");a&&(this.message=a)}}e.NotImplementedError=g;class f extends Error{constructor(a){super("NotSupported");a&&(this.message=a)}}e.NotSupportedError=f;class v extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=v;class p extends Error{constructor(a){super(a);this.name="ErrorNoTelemetry"}static fromError(a){if(a instanceof p)return a;const h=new p;return h.message=a.message,h.stack=a.stack,h}static isErrorNoTelemetry(a){return a.name==="ErrorNoTelemetry"}}e.ErrorNoTelemetry=p;class c extends Error{constructor(a){super(a||"An unexpected bug occurred.");Object.setPrototypeOf(this,c.prototype);debugger}}e.BugIndicatingError=c}),define(Ie[16],ke([1,0,12]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.tieBreakComparators=e.compareBy=e.CompareResult=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushMany=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.lastOrDefault=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch2=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function t(me,Pe=0){return me[me.length-(1+Pe)]}e.tail=t;function D(me){if(me.length===0)throw new Error("Invalid tail call");return[me.slice(0,me.length-1),me[me.length-1]]}e.tail2=D;function T(me,Pe,ue=(pe,be)=>pe===be){if(me===Pe)return!0;if(!me||!Pe||me.length!==Pe.length)return!1;for(let pe=0,be=me.length;pe<be;pe++)if(!ue(me[pe],Pe[pe]))return!1;return!0}e.equals=T;function y(me,Pe,ue){return C(me.length,pe=>ue(me[pe],Pe))}e.binarySearch=y;function C(me,Pe){let ue=0,pe=me-1;for(;ue<=pe;){const be=(ue+pe)/2|0,ae=Pe(be);if(ae<0)ue=be+1;else if(ae>0)pe=be-1;else return be}return-(ue+1)}e.binarySearch2=C;function E(me,Pe){let ue=0,pe=me.length;if(pe===0)return 0;for(;ue<pe;){const be=Math.floor((ue+pe)/2);Pe(me[be])?pe=be:ue=be+1}return ue}e.findFirstInSorted=E;function I(me,Pe,ue){if(me=me|0,me>=Pe.length)throw new TypeError("invalid index");const pe=Pe[Math.floor(Pe.length*Math.random())],be=[],ae=[],fe=[];for(const ne of Pe){const ie=ue(ne,pe);ie<0?be.push(ne):ie>0?ae.push(ne):fe.push(ne)}return me<be.length?I(me,be,ue):me<be.length+fe.length?fe[0]:I(me-(be.length+fe.length),ae,ue)}e.quickSelect=I;function R(me,Pe){const ue=[];let pe;for(const be of me.slice(0).sort(Pe))!pe||Pe(pe[0],be)!==0?(pe=[be],ue.push(pe)):pe.push(be);return ue}e.groupBy=R;function k(me,Pe,ue){const pe=[];function be(ne,ie,O){if(ie===0&&O.length===0)return;const H=pe[pe.length-1];H&&H.start+H.deleteCount===ne?(H.deleteCount+=ie,H.toInsert.push(...O)):pe.push({start:ne,deleteCount:ie,toInsert:O})}let ae=0,fe=0;for(;;){if(ae===me.length){be(ae,0,Pe.slice(fe));break}if(fe===Pe.length){be(ae,me.length-ae,[]);break}const ne=me[ae],ie=Pe[fe],O=ue(ne,ie);O===0?(ae+=1,fe+=1):O<0?(be(ae,1,[]),ae+=1):O>0&&(be(ae,0,[ie]),fe+=1)}return pe}e.sortedDiff=k;function _(me,Pe,ue){const pe=k(me,Pe,ue),be=[],ae=[];for(const fe of pe)be.push(...me.slice(fe.start,fe.start+fe.deleteCount)),ae.push(...fe.toInsert);return{removed:be,added:ae}}e.delta=_;function P(me,Pe,ue){if(ue===0)return[];const pe=me.slice(0,ue).sort(Pe);return b(me,Pe,pe,ue,me.length),pe}e.top=P;function w(me,Pe,ue,pe,be){return ue===0?Promise.resolve([]):new Promise((ae,fe)=>{(async()=>{const ne=me.length,ie=me.slice(0,ue).sort(Pe);for(let O=ue,H=Math.min(ue+pe,ne);O<ne;O=H,H=Math.min(H+pe,ne)){if(O>ue&&await new Promise(G=>setTimeout(G)),be&&be.isCancellationRequested)throw new u.CancellationError;b(me,Pe,ie,O,H)}return ie})().then(ae,fe)})}e.topAsync=w;function b(me,Pe,ue,pe,be){for(const ae=ue.length;pe<be;pe++){const fe=me[pe];if(Pe(fe,ue[ae-1])<0){ue.pop();const ne=E(ue,ie=>Pe(fe,ie)<0);ue.splice(ne,0,fe)}}}function g(me){return me.filter(Pe=>!!Pe)}e.coalesce=g;function f(me){let Pe=0;for(let ue=0;ue<me.length;ue++)me[ue]&&(me[Pe]=me[ue],Pe+=1);me.length=Pe}e.coalesceInPlace=f;function v(me,Pe,ue){me.splice(ue,0,me.splice(Pe,1)[0])}e.move=v;function p(me){return!Array.isArray(me)||me.length===0}e.isFalsyOrEmpty=p;function c(me){return Array.isArray(me)&&me.length>0}e.isNonEmptyArray=c;function m(me,Pe=ue=>ue){const ue=new Set;return me.filter(pe=>{const be=Pe(pe);return ue.has(be)?!1:(ue.add(be),!0)})}e.distinct=m;function a(me){const Pe=new Set;return ue=>{const pe=me(ue);return Pe.has(pe)?!1:(Pe.add(pe),!0)}}e.uniqueFilter=a;function h(me,Pe){const ue=r(me,Pe);if(ue!==-1)return me[ue]}e.findLast=h;function r(me,Pe){for(let ue=me.length-1;ue>=0;ue--){const pe=me[ue];if(Pe(pe))return ue}return-1}e.lastIndex=r;function o(me,Pe){return me.length>0?me[0]:Pe}e.firstOrDefault=o;function i(me,Pe){return me.length>0?me[me.length-1]:Pe}e.lastOrDefault=i;function n(me,Pe,ue=(pe,be)=>pe===be){let pe=0;for(let be=0,ae=Math.min(me.length,Pe.length);be<ae&&ue(me[be],Pe[be]);be++)pe++;return pe}e.commonPrefixLength=n;function s(me){return[].concat(...me)}e.flatten=s;function l(me,Pe){let ue=typeof Pe=="number"?me:0;typeof Pe=="number"?ue=me:(ue=0,Pe=me);const pe=[];if(ue<=Pe)for(let be=ue;be<Pe;be++)pe.push(be);else for(let be=ue;be>Pe;be--)pe.push(be);return pe}e.range=l;function d(me,Pe,ue){return me.reduce((pe,be)=>(pe[Pe(be)]=ue?ue(be):be,pe),Object.create(null))}e.index=d;function S(me,Pe){return me.push(Pe),()=>L(me,Pe)}e.insert=S;function L(me,Pe){const ue=me.indexOf(Pe);if(ue>-1)return me.splice(ue,1),Pe}e.remove=L;function F(me,Pe,ue){const pe=me.slice(0,Pe),be=me.slice(Pe);return pe.concat(ue,be)}e.arrayInsert=F;function N(me,Pe){let ue;if(typeof Pe=="number"){let pe=Pe;ue=()=>{const be=Math.sin(pe++)*179426549;return be-Math.floor(be)}}else ue=Math.random;for(let pe=me.length-1;pe>0;pe-=1){const be=Math.floor(ue()*(pe+1)),ae=me[pe];me[pe]=me[be],me[be]=ae}}e.shuffle=N;function A(me,Pe){const ue=me.indexOf(Pe);ue>-1&&(me.splice(ue,1),me.unshift(Pe))}e.pushToStart=A;function $(me,Pe){const ue=me.indexOf(Pe);ue>-1&&(me.splice(ue,1),me.push(Pe))}e.pushToEnd=$;function B(me,Pe){for(const ue of Pe)me.push(ue)}e.pushMany=B;function z(me,Pe){return Array.isArray(me)?me.map(Pe):Pe(me)}e.mapArrayOrNot=z;function X(me){return Array.isArray(me)?me:[me]}e.asArray=X;function M(me){return me[Math.floor(Math.random()*me.length)]}e.getRandomElement=M;function U(me,Pe){for(const ue of me){const pe=Pe(ue);if(pe!==void 0)return pe}}e.mapFind=U;function q(me,Pe,ue){const pe=V(me,Pe),be=me.length,ae=ue.length;me.length=be+ae;for(let fe=be-1;fe>=pe;fe--)me[fe+ae]=me[fe];for(let fe=0;fe<ae;fe++)me[fe+pe]=ue[fe]}e.insertInto=q;function x(me,Pe,ue,pe){const be=V(me,Pe),ae=me.splice(be,ue);return q(me,be,pe),ae}e.splice=x;function V(me,Pe){return Pe<0?Math.max(Pe+me.length,0):Math.min(Pe,me.length)}var ee;(function(me){function Pe(be){return be<0}me.isLessThan=Pe;function ue(be){return be>0}me.isGreaterThan=ue;function pe(be){return be===0}me.isNeitherLessOrGreaterThan=pe,me.greaterThan=1,me.lessThan=-1,me.neitherLessOrGreaterThan=0})(ee=e.CompareResult||(e.CompareResult={}));function Y(me,Pe){return(ue,pe)=>Pe(me(ue),me(pe))}e.compareBy=Y;function le(...me){return(Pe,ue)=>{for(const pe of me){const be=pe(Pe,ue);if(!ee.isNeitherLessOrGreaterThan(be))return be}return ee.neitherLessOrGreaterThan}}e.tieBreakComparators=le;const ve=(me,Pe)=>me-Pe;e.numberComparator=ve;function J(me,Pe){if(me.length===0)return;let ue=me[0];for(let pe=1;pe<me.length;pe++){const be=me[pe];Pe(be,ue)>0&&(ue=be)}return ue}e.findMaxBy=J;function ge(me,Pe){if(me.length===0)return;let ue=me[0];for(let pe=1;pe<me.length;pe++){const be=me[pe];Pe(be,ue)>=0&&(ue=be)}return ue}e.findLastMaxBy=ge;function _e(me,Pe){return J(me,(ue,pe)=>-Pe(ue,pe))}e.findMinBy=_e;class Te{constructor(Pe){this.items=Pe,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(Pe){let ue=this.firstIdx;for(;ue<this.items.length&&Pe(this.items[ue]);)ue++;const pe=ue===this.firstIdx?null:this.items.slice(this.firstIdx,ue);return this.firstIdx=ue,pe}takeFromEndWhile(Pe){let ue=this.lastIdx;for(;ue>=0&&Pe(this.items[ue]);)ue--;const pe=ue===this.lastIdx?null:this.items.slice(ue+1,this.lastIdx+1);return this.lastIdx=ue,pe}peek(){if(this.length!==0)return this.items[this.firstIdx]}peekLast(){if(this.length!==0)return this.items[this.lastIdx]}dequeue(){const Pe=this.items[this.firstIdx];return this.firstIdx++,Pe}removeLast(){const Pe=this.items[this.lastIdx];return this.lastIdx--,Pe}takeCount(Pe){const ue=this.items.slice(this.firstIdx,this.firstIdx+Pe);return this.firstIdx+=Pe,ue}}e.ArrayQueue=Te}),define(Ie[58],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function u(t){const D=this;let T=!1,y;return function(){return T||(T=!0,y=t.apply(D,arguments)),y}}e.once=u}),define(Ie[93],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class u{constructor(D){this._prefix=D,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=u,e.defaultGenerator=new u("id#")}),define(Ie[59],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var u;(function(t){function D(h){return h&&typeof h=="object"&&typeof h[Symbol.iterator]=="function"}t.is=D;const T=Object.freeze([]);function y(){return T}t.empty=y;function*C(h){yield h}t.single=C;function E(h){return h||T}t.from=E;function I(h){return!h||h[Symbol.iterator]().next().done===!0}t.isEmpty=I;function R(h){return h[Symbol.iterator]().next().value}t.first=R;function k(h,r){for(const o of h)if(r(o))return!0;return!1}t.some=k;function _(h,r){for(const o of h)if(r(o))return o}t.find=_;function*P(h,r){for(const o of h)r(o)&&(yield o)}t.filter=P;function*w(h,r){let o=0;for(const i of h)yield r(i,o++)}t.map=w;function*b(...h){for(const r of h)for(const o of r)yield o}t.concat=b;function*g(h){for(const r of h)for(const o of r)yield o}t.concatNested=g;function f(h,r,o){let i=o;for(const n of h)i=r(i,n);return i}t.reduce=f;function v(h,r){let o=0;for(const i of h)r(i,o++)}t.forEach=v;function*p(h,r,o=h.length){for(r<0&&(r+=h.length),o<0?o+=h.length:o>h.length&&(o=h.length);r<o;r++)yield h[r]}t.slice=p;function c(h,r=Number.POSITIVE_INFINITY){const o=[];if(r===0)return[o,h];const i=h[Symbol.iterator]();for(let n=0;n<r;n++){const s=i.next();if(s.done)return[o,t.empty()];o.push(s.value)}return[o,{[Symbol.iterator](){return i}}]}t.consume=c;function m(h){return c(h)[0]}t.collect=m;function a(h,r,o=(i,n)=>i===n){const i=h[Symbol.iterator](),n=r[Symbol.iterator]();for(;;){const s=i.next(),l=n.next();if(s.done!==l.done)return!1;if(s.done)return!0;if(!o(s.value,l.value))return!1}}t.equals=a})(u=e.Iterable||(e.Iterable={}))}),define(Ie[142],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var u;(function(a){a[a.None=0]="None",a[a.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",a[a.UnexpectedEndOfString=2]="UnexpectedEndOfString",a[a.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",a[a.InvalidUnicode=4]="InvalidUnicode",a[a.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",a[a.InvalidCharacter=6]="InvalidCharacter"})(u=e.ScanError||(e.ScanError={}));var t;(function(a){a[a.OpenBraceToken=1]="OpenBraceToken",a[a.CloseBraceToken=2]="CloseBraceToken",a[a.OpenBracketToken=3]="OpenBracketToken",a[a.CloseBracketToken=4]="CloseBracketToken",a[a.CommaToken=5]="CommaToken",a[a.ColonToken=6]="ColonToken",a[a.NullKeyword=7]="NullKeyword",a[a.TrueKeyword=8]="TrueKeyword",a[a.FalseKeyword=9]="FalseKeyword",a[a.StringLiteral=10]="StringLiteral",a[a.NumericLiteral=11]="NumericLiteral",a[a.LineCommentTrivia=12]="LineCommentTrivia",a[a.BlockCommentTrivia=13]="BlockCommentTrivia",a[a.LineBreakTrivia=14]="LineBreakTrivia",a[a.Trivia=15]="Trivia",a[a.Unknown=16]="Unknown",a[a.EOF=17]="EOF"})(t=e.SyntaxKind||(e.SyntaxKind={}));var D;(function(a){a[a.InvalidSymbol=1]="InvalidSymbol",a[a.InvalidNumberFormat=2]="InvalidNumberFormat",a[a.PropertyNameExpected=3]="PropertyNameExpected",a[a.ValueExpected=4]="ValueExpected",a[a.ColonExpected=5]="ColonExpected",a[a.CommaExpected=6]="CommaExpected",a[a.CloseBraceExpected=7]="CloseBraceExpected",a[a.CloseBracketExpected=8]="CloseBracketExpected",a[a.EndOfFileExpected=9]="EndOfFileExpected",a[a.InvalidCommentToken=10]="InvalidCommentToken",a[a.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",a[a.UnexpectedEndOfString=12]="UnexpectedEndOfString",a[a.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",a[a.InvalidUnicode=14]="InvalidUnicode",a[a.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",a[a.InvalidCharacter=16]="InvalidCharacter"})(D=e.ParseErrorCode||(e.ParseErrorCode={}));var T;(function(a){a.DEFAULT={allowTrailingComma:!0}})(T=e.ParseOptions||(e.ParseOptions={}));function y(a,h=!1){let r=0;const o=a.length;let i="",n=0,s=16,l=0;function d(B){let z=0,X=0;for(;z<B;){const M=a.charCodeAt(r);if(M>=48&&M<=57)X=X*16+M-48;else if(M>=65&&M<=70)X=X*16+M-65+10;else if(M>=97&&M<=102)X=X*16+M-97+10;else break;r++,z++}return z<B&&(X=-1),X}function S(B){r=B,i="",n=0,s=16,l=0}function L(){const B=r;if(a.charCodeAt(r)===48)r++;else for(r++;r<a.length&&I(a.charCodeAt(r));)r++;if(r<a.length&&a.charCodeAt(r)===46)if(r++,r<a.length&&I(a.charCodeAt(r)))for(r++;r<a.length&&I(a.charCodeAt(r));)r++;else return l=3,a.substring(B,r);let z=r;if(r<a.length&&(a.charCodeAt(r)===69||a.charCodeAt(r)===101))if(r++,(r<a.length&&a.charCodeAt(r)===43||a.charCodeAt(r)===45)&&r++,r<a.length&&I(a.charCodeAt(r))){for(r++;r<a.length&&I(a.charCodeAt(r));)r++;z=r}else l=3;return a.substring(B,z)}function F(){let B="",z=r;for(;;){if(r>=o){B+=a.substring(z,r),l=2;break}const X=a.charCodeAt(r);if(X===34){B+=a.substring(z,r),r++;break}if(X===92){if(B+=a.substring(z,r),r++,r>=o){l=2;break}switch(a.charCodeAt(r++)){case 34:B+='"';break;case 92:B+="\\";break;case 47:B+="/";break;case 98:B+="\b";break;case 102:B+="\f";break;case 110:B+=`
`;break;case 114:B+="\r";break;case 116:B+="	";break;case 117:{const U=d(4);U>=0?B+=String.fromCharCode(U):l=4;break}default:l=5}z=r;continue}if(X>=0&&X<=31)if(E(X)){B+=a.substring(z,r),l=2;break}else l=6;r++}return B}function N(){if(i="",l=0,n=r,r>=o)return n=o,s=17;let B=a.charCodeAt(r);if(C(B)){do r++,i+=String.fromCharCode(B),B=a.charCodeAt(r);while(C(B));return s=15}if(E(B))return r++,i+=String.fromCharCode(B),B===13&&a.charCodeAt(r)===10&&(r++,i+=`
`),s=14;switch(B){case 123:return r++,s=1;case 125:return r++,s=2;case 91:return r++,s=3;case 93:return r++,s=4;case 58:return r++,s=6;case 44:return r++,s=5;case 34:return r++,i=F(),s=10;case 47:{const z=r-1;if(a.charCodeAt(r+1)===47){for(r+=2;r<o&&!E(a.charCodeAt(r));)r++;return i=a.substring(z,r),s=12}if(a.charCodeAt(r+1)===42){r+=2;const X=o-1;let M=!1;for(;r<X;){if(a.charCodeAt(r)===42&&a.charCodeAt(r+1)===47){r+=2,M=!0;break}r++}return M||(r++,l=1),i=a.substring(z,r),s=13}return i+=String.fromCharCode(B),r++,s=16}case 45:if(i+=String.fromCharCode(B),r++,r===o||!I(a.charCodeAt(r)))return s=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return i+=L(),s=11;default:for(;r<o&&A(B);)r++,B=a.charCodeAt(r);if(n!==r){switch(i=a.substring(n,r),i){case"true":return s=8;case"false":return s=9;case"null":return s=7}return s=16}return i+=String.fromCharCode(B),r++,s=16}}function A(B){if(C(B)||E(B))return!1;switch(B){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function $(){let B;do B=N();while(B>=12&&B<=15);return B}return{setPosition:S,getPosition:()=>r,scan:h?$:N,getToken:()=>s,getTokenValue:()=>i,getTokenOffset:()=>n,getTokenLength:()=>r-n,getTokenError:()=>l}}e.createScanner=y;function C(a){return a===32||a===9||a===11||a===12||a===160||a===5760||a>=8192&&a<=8203||a===8239||a===8287||a===12288||a===65279}function E(a){return a===10||a===13||a===8232||a===8233}function I(a){return a>=48&&a<=57}var R;(function(a){a[a.nullCharacter=0]="nullCharacter",a[a.maxAsciiCharacter=127]="maxAsciiCharacter",a[a.lineFeed=10]="lineFeed",a[a.carriageReturn=13]="carriageReturn",a[a.lineSeparator=8232]="lineSeparator",a[a.paragraphSeparator=8233]="paragraphSeparator",a[a.nextLine=133]="nextLine",a[a.space=32]="space",a[a.nonBreakingSpace=160]="nonBreakingSpace",a[a.enQuad=8192]="enQuad",a[a.emQuad=8193]="emQuad",a[a.enSpace=8194]="enSpace",a[a.emSpace=8195]="emSpace",a[a.threePerEmSpace=8196]="threePerEmSpace",a[a.fourPerEmSpace=8197]="fourPerEmSpace",a[a.sixPerEmSpace=8198]="sixPerEmSpace",a[a.figureSpace=8199]="figureSpace",a[a.punctuationSpace=8200]="punctuationSpace",a[a.thinSpace=8201]="thinSpace",a[a.hairSpace=8202]="hairSpace",a[a.zeroWidthSpace=8203]="zeroWidthSpace",a[a.narrowNoBreakSpace=8239]="narrowNoBreakSpace",a[a.ideographicSpace=12288]="ideographicSpace",a[a.mathematicalSpace=8287]="mathematicalSpace",a[a.ogham=5760]="ogham",a[a._=95]="_",a[a.$=36]="$",a[a._0=48]="_0",a[a._1=49]="_1",a[a._2=50]="_2",a[a._3=51]="_3",a[a._4=52]="_4",a[a._5=53]="_5",a[a._6=54]="_6",a[a._7=55]="_7",a[a._8=56]="_8",a[a._9=57]="_9",a[a.a=97]="a",a[a.b=98]="b",a[a.c=99]="c",a[a.d=100]="d",a[a.e=101]="e",a[a.f=102]="f",a[a.g=103]="g",a[a.h=104]="h",a[a.i=105]="i",a[a.j=106]="j",a[a.k=107]="k",a[a.l=108]="l",a[a.m=109]="m",a[a.n=110]="n",a[a.o=111]="o",a[a.p=112]="p",a[a.q=113]="q",a[a.r=114]="r",a[a.s=115]="s",a[a.t=116]="t",a[a.u=117]="u",a[a.v=118]="v",a[a.w=119]="w",a[a.x=120]="x",a[a.y=121]="y",a[a.z=122]="z",a[a.A=65]="A",a[a.B=66]="B",a[a.C=67]="C",a[a.D=68]="D",a[a.E=69]="E",a[a.F=70]="F",a[a.G=71]="G",a[a.H=72]="H",a[a.I=73]="I",a[a.J=74]="J",a[a.K=75]="K",a[a.L=76]="L",a[a.M=77]="M",a[a.N=78]="N",a[a.O=79]="O",a[a.P=80]="P",a[a.Q=81]="Q",a[a.R=82]="R",a[a.S=83]="S",a[a.T=84]="T",a[a.U=85]="U",a[a.V=86]="V",a[a.W=87]="W",a[a.X=88]="X",a[a.Y=89]="Y",a[a.Z=90]="Z",a[a.ampersand=38]="ampersand",a[a.asterisk=42]="asterisk",a[a.at=64]="at",a[a.backslash=92]="backslash",a[a.bar=124]="bar",a[a.caret=94]="caret",a[a.closeBrace=125]="closeBrace",a[a.closeBracket=93]="closeBracket",a[a.closeParen=41]="closeParen",a[a.colon=58]="colon",a[a.comma=44]="comma",a[a.dot=46]="dot",a[a.doubleQuote=34]="doubleQuote",a[a.equals=61]="equals",a[a.exclamation=33]="exclamation",a[a.greaterThan=62]="greaterThan",a[a.lessThan=60]="lessThan",a[a.minus=45]="minus",a[a.openBrace=123]="openBrace",a[a.openBracket=91]="openBracket",a[a.openParen=40]="openParen",a[a.percent=37]="percent",a[a.plus=43]="plus",a[a.question=63]="question",a[a.semicolon=59]="semicolon",a[a.singleQuote=39]="singleQuote",a[a.slash=47]="slash",a[a.tilde=126]="tilde",a[a.backspace=8]="backspace",a[a.formFeed=12]="formFeed",a[a.byteOrderMark=65279]="byteOrderMark",a[a.tab=9]="tab",a[a.verticalTab=11]="verticalTab"})(R||(R={}));function k(a,h){const r=[],o=new Object;let i;const n={value:{},offset:0,length:0,type:"object",parent:void 0};let s=!1;function l(d,S,L,F){n.value=d,n.offset=S,n.length=L,n.type=F,n.colonOffset=void 0,i=n}try{p(a,{onObjectBegin:(d,S)=>{if(h<=d)throw o;i=void 0,s=h>d,r.push("")},onObjectProperty:(d,S,L)=>{if(h<S||(l(d,S,L,"property"),r[r.length-1]=d,h<=S+L))throw o},onObjectEnd:(d,S)=>{if(h<=d)throw o;i=void 0,r.pop()},onArrayBegin:(d,S)=>{if(h<=d)throw o;i=void 0,r.push(0)},onArrayEnd:(d,S)=>{if(h<=d)throw o;i=void 0,r.pop()},onLiteralValue:(d,S,L)=>{if(h<S||(l(d,S,L,m(d)),h<=S+L))throw o},onSeparator:(d,S,L)=>{if(h<=S)throw o;if(d===":"&&i&&i.type==="property")i.colonOffset=S,s=!1,i=void 0;else if(d===","){const F=r[r.length-1];typeof F=="number"?r[r.length-1]=F+1:(s=!0,r[r.length-1]=""),i=void 0}}})}catch(d){if(d!==o)throw d}return{path:r,previousNode:i,isAtPropertyKey:s,matches:d=>{let S=0;for(let L=0;S<d.length&&L<r.length;L++)if(d[S]===r[L]||d[S]==="*")S++;else if(d[S]!=="**")return!1;return S===d.length}}}e.getLocation=k;function _(a,h=[],r=T.DEFAULT){let o=null,i=[];const n=[];function s(d){Array.isArray(i)?i.push(d):o!==null&&(i[o]=d)}return p(a,{onObjectBegin:()=>{const d={};s(d),n.push(i),i=d,o=null},onObjectProperty:d=>{o=d},onObjectEnd:()=>{i=n.pop()},onArrayBegin:()=>{const d=[];s(d),n.push(i),i=d,o=null},onArrayEnd:()=>{i=n.pop()},onLiteralValue:s,onError:(d,S,L)=>{h.push({error:d,offset:S,length:L})}},r),i[0]}e.parse=_;function P(a,h=[],r=T.DEFAULT){let o={type:"array",offset:-1,length:-1,children:[],parent:void 0};function i(d){o.type==="property"&&(o.length=d-o.offset,o=o.parent)}function n(d){return o.children.push(d),d}p(a,{onObjectBegin:d=>{o=n({type:"object",offset:d,length:-1,parent:o,children:[]})},onObjectProperty:(d,S,L)=>{o=n({type:"property",offset:S,length:-1,parent:o,children:[]}),o.children.push({type:"string",value:d,offset:S,length:L,parent:o})},onObjectEnd:(d,S)=>{o.length=d+S-o.offset,o=o.parent,i(d+S)},onArrayBegin:(d,S)=>{o=n({type:"array",offset:d,length:-1,parent:o,children:[]})},onArrayEnd:(d,S)=>{o.length=d+S-o.offset,o=o.parent,i(d+S)},onLiteralValue:(d,S,L)=>{n({type:m(d),offset:S,length:L,parent:o,value:d}),i(S+L)},onSeparator:(d,S,L)=>{o.type==="property"&&(d===":"?o.colonOffset=S:d===","&&i(S))},onError:(d,S,L)=>{h.push({error:d,offset:S,length:L})}},r);const l=o.children[0];return l&&delete l.parent,l}e.parseTree=P;function w(a,h){if(!a)return;let r=a;for(const o of h)if(typeof o=="string"){if(r.type!=="object"||!Array.isArray(r.children))return;let i=!1;for(const n of r.children)if(Array.isArray(n.children)&&n.children[0].value===o){r=n.children[1],i=!0;break}if(!i)return}else{const i=o;if(r.type!=="array"||i<0||!Array.isArray(r.children)||i>=r.children.length)return;r=r.children[i]}return r}e.findNodeAtLocation=w;function b(a){if(!a.parent||!a.parent.children)return[];const h=b(a.parent);if(a.parent.type==="property"){const r=a.parent.children[0].value;h.push(r)}else if(a.parent.type==="array"){const r=a.parent.children.indexOf(a);r!==-1&&h.push(r)}return h}e.getNodePath=b;function g(a){switch(a.type){case"array":return a.children.map(g);case"object":{const h=Object.create(null);for(const r of a.children){const o=r.children[1];o&&(h[r.children[0].value]=g(o))}return h}case"null":case"string":case"number":case"boolean":return a.value;default:return}}e.getNodeValue=g;function f(a,h,r=!1){return h>=a.offset&&h<a.offset+a.length||r&&h===a.offset+a.length}e.contains=f;function v(a,h,r=!1){if(f(a,h,r)){const o=a.children;if(Array.isArray(o))for(let i=0;i<o.length&&o[i].offset<=h;i++){const n=v(o[i],h,r);if(n)return n}return a}}e.findNodeAtOffset=v;function p(a,h,r=T.DEFAULT){const o=y(a,!1);function i(le){return le?()=>le(o.getTokenOffset(),o.getTokenLength()):()=>!0}function n(le){return le?ve=>le(ve,o.getTokenOffset(),o.getTokenLength()):()=>!0}const s=i(h.onObjectBegin),l=n(h.onObjectProperty),d=i(h.onObjectEnd),S=i(h.onArrayBegin),L=i(h.onArrayEnd),F=n(h.onLiteralValue),N=n(h.onSeparator),A=i(h.onComment),$=n(h.onError),B=r&&r.disallowComments,z=r&&r.allowTrailingComma;function X(){for(;;){const le=o.scan();switch(o.getTokenError()){case 4:M(14);break;case 5:M(15);break;case 3:M(13);break;case 1:B||M(11);break;case 2:M(12);break;case 6:M(16);break}switch(le){case 12:case 13:B?M(10):A();break;case 16:M(1);break;case 15:case 14:break;default:return le}}}function M(le,ve=[],J=[]){if($(le),ve.length+J.length>0){let ge=o.getToken();for(;ge!==17;){if(ve.indexOf(ge)!==-1){X();break}else if(J.indexOf(ge)!==-1)break;ge=X()}}}function U(le){const ve=o.getTokenValue();return le?F(ve):l(ve),X(),!0}function q(){switch(o.getToken()){case 11:{let le=0;try{le=JSON.parse(o.getTokenValue()),typeof le!="number"&&(M(2),le=0)}catch{M(2)}F(le);break}case 7:F(null);break;case 8:F(!0);break;case 9:F(!1);break;default:return!1}return X(),!0}function x(){return o.getToken()!==10?(M(3,[],[2,5]),!1):(U(!1),o.getToken()===6?(N(":"),X(),Y()||M(4,[],[2,5])):M(5,[],[2,5]),!0)}function V(){s(),X();let le=!1;for(;o.getToken()!==2&&o.getToken()!==17;){if(o.getToken()===5){if(le||M(4,[],[]),N(","),X(),o.getToken()===2&&z)break}else le&&M(6,[],[]);x()||M(4,[],[2,5]),le=!0}return d(),o.getToken()!==2?M(7,[2],[]):X(),!0}function ee(){S(),X();let le=!1;for(;o.getToken()!==4&&o.getToken()!==17;){if(o.getToken()===5){if(le||M(4,[],[]),N(","),X(),o.getToken()===4&&z)break}else le&&M(6,[],[]);Y()||M(4,[],[4,5]),le=!0}return L(),o.getToken()!==4?M(8,[4],[]):X(),!0}function Y(){switch(o.getToken()){case 3:return ee();case 1:return V();case 10:return U(!0);default:return q()}}return X(),o.getToken()===17?r.allowEmptyContent?!0:(M(4,[],[]),!1):Y()?(o.getToken()!==17&&M(9,[],[]),!0):(M(4,[],[]),!1)}e.visit=p;function c(a,h){const r=y(a),o=[];let i,n=0,s;do switch(s=r.getPosition(),i=r.scan(),i){case 12:case 13:case 17:n!==s&&o.push(a.substring(n,s)),h!==void 0&&o.push(r.getTokenValue().replace(/[^\r\n]/g,h)),n=r.getPosition();break}while(i!==17);return o.join("")}e.stripComments=c;function m(a){switch(typeof a){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(a){if(Array.isArray(a))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=m}),define(Ie[78],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class u{constructor(D){this.executor=D,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(D){this._error=D}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(D){return new u(()=>D(this.getValue()))}}e.Lazy=u}),define(Ie[6],ke([1,0,58,59]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.SafeDisposable=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const D=!1;let T=null;function y(i){T=i}if(e.setDisposableTracker=y,D){const i="__is_disposable_tracked__";y(new class{trackDisposable(n){const s=new Error("Potentially leaked disposable").stack;setTimeout(()=>{n[i]||console.log(s)},3e3)}setParent(n,s){if(n&&n!==v.None)try{n[i]=!0}catch{}}markAsDisposed(n){if(n&&n!==v.None)try{n[i]=!0}catch{}}markAsSingleton(n){}})}function C(i){return T?.trackDisposable(i),i}function E(i){T?.markAsDisposed(i)}function I(i,n){T?.setParent(i,n)}function R(i,n){if(!!T)for(const s of i)T.setParent(s,n)}function k(i){return T?.markAsSingleton(i),i}e.markAsSingleton=k;class _ extends Error{constructor(n){super(`Encountered errors while disposing of store. Errors: [${n.join(", ")}]`);this.errors=n}}e.MultiDisposeError=_;function P(i){return typeof i.dispose=="function"&&i.dispose.length===0}e.isDisposable=P;function w(i){if(t.Iterable.is(i)){const n=[];for(const s of i)if(s)try{s.dispose()}catch(l){n.push(l)}if(n.length===1)throw n[0];if(n.length>1)throw new _(n);return Array.isArray(i)?[]:i}else if(i)return i.dispose(),i}e.dispose=w;function b(...i){const n=g(()=>w(i));return R(i,n),n}e.combinedDisposable=b;function g(i){const n=C({dispose:(0,u.once)(()=>{E(n),i()})});return n}e.toDisposable=g;class f{constructor(){this._toDispose=new Set,this._isDisposed=!1,C(this)}dispose(){this._isDisposed||(E(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{w(this._toDispose.values())}finally{this._toDispose.clear()}}add(n){if(!n)return n;if(n===this)throw new Error("Cannot register a disposable on itself!");return I(n,this),this._isDisposed?f.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(n),n}}e.DisposableStore=f,f.DISABLE_DISPOSED_WARNING=!1;class v{constructor(){this._store=new f,C(this),I(this._store,this)}dispose(){E(this),this._store.dispose()}_register(n){if(n===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(n)}}e.Disposable=v,v.None=Object.freeze({dispose(){}});class p{constructor(){this._isDisposed=!1,C(this)}get value(){return this._isDisposed?void 0:this._value}set value(n){this._isDisposed||n===this._value||(this._value?.dispose(),n&&I(n,this),this._value=n)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,E(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const n=this._value;return this._value=void 0,n&&I(n,null),n}}e.MutableDisposable=p;class c{constructor(n){this._disposable=n,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=c;class m{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,C(this)}set(n){let s=n;return this.unset=()=>s=void 0,this.isset=()=>s!==void 0,this.dispose=()=>{s&&(s(),s=void 0,E(this))},this}}e.SafeDisposable=m;class a{constructor(){this.references=new Map}acquire(n,...s){let l=this.references.get(n);l||(l={counter:0,object:this.createReferencedObject(n,...s)},this.references.set(n,l));const{object:d}=l,S=(0,u.once)(()=>{--l.counter==0&&(this.destroyReferencedObject(n,l.object),this.references.delete(n))});return l.counter++,{object:d,dispose:S}}}e.ReferenceCollection=a;class h{constructor(n){this.referenceCollection=n}async acquire(n,...s){const l=this.referenceCollection.acquire(n,...s);try{return{object:await l.object,dispose:()=>l.dispose()}}catch(d){throw l.dispose(),d}}}e.AsyncReferenceCollection=h;class r{constructor(n){this.object=n}dispose(){}}e.ImmortalReference=r;function o(i){const n=new f;try{i(n)}finally{n.dispose()}}e.disposeOnReturn=o}),define(Ie[79],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class u{constructor(T){this.element=T,this.next=u.Undefined,this.prev=u.Undefined}}u.Undefined=new u(void 0);class t{constructor(){this._first=u.Undefined,this._last=u.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===u.Undefined}clear(){let T=this._first;for(;T!==u.Undefined;){const y=T.next;T.prev=u.Undefined,T.next=u.Undefined,T=y}this._first=u.Undefined,this._last=u.Undefined,this._size=0}unshift(T){return this._insert(T,!1)}push(T){return this._insert(T,!0)}_insert(T,y){const C=new u(T);if(this._first===u.Undefined)this._first=C,this._last=C;else if(y){const I=this._last;this._last=C,C.prev=I,I.next=C}else{const I=this._first;this._first=C,C.next=I,I.prev=C}this._size+=1;let E=!1;return()=>{E||(E=!0,this._remove(C))}}shift(){if(this._first!==u.Undefined){const T=this._first.element;return this._remove(this._first),T}}pop(){if(this._last!==u.Undefined){const T=this._last.element;return this._remove(this._last),T}}_remove(T){if(T.prev!==u.Undefined&&T.next!==u.Undefined){const y=T.prev;y.next=T.next,T.next.prev=y}else T.prev===u.Undefined&&T.next===u.Undefined?(this._first=u.Undefined,this._last=u.Undefined):T.next===u.Undefined?(this._last=this._last.prev,this._last.next=u.Undefined):T.prev===u.Undefined&&(this._first=this._first.next,this._first.prev=u.Undefined);this._size-=1}*[Symbol.iterator](){let T=this._first;for(;T!==u.Undefined;)yield T.element,T=T.next}}e.LinkedList=t}),function(Q,e){typeof exports=="object"&&typeof module!="undefined"?e(exports):typeof define=="function"&&define.amd?define(Ie[143],ke([0]),e):(Q=typeof globalThis!="undefined"?globalThis:Q||self,e(Q.marked={}))}(this,function(Q){"use strict";function e(ue,pe){for(var be=0;be<pe.length;be++){var ae=pe[be];ae.enumerable=ae.enumerable||!1,ae.configurable=!0,"value"in ae&&(ae.writable=!0),Object.defineProperty(ue,ae.key,ae)}}function u(ue,pe,be){return pe&&e(ue.prototype,pe),be&&e(ue,be),Object.defineProperty(ue,"prototype",{writable:!1}),ue}function t(ue,pe){if(!!ue){if(typeof ue=="string")return D(ue,pe);var be=Object.prototype.toString.call(ue).slice(8,-1);if(be==="Object"&&ue.constructor&&(be=ue.constructor.name),be==="Map"||be==="Set")return Array.from(ue);if(be==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(be))return D(ue,pe)}}function D(ue,pe){(pe==null||pe>ue.length)&&(pe=ue.length);for(var be=0,ae=new Array(pe);be<pe;be++)ae[be]=ue[be];return ae}function T(ue,pe){var be=typeof Symbol!="undefined"&&ue[Symbol.iterator]||ue["@@iterator"];if(be)return(be=be.call(ue)).next.bind(be);if(Array.isArray(ue)||(be=t(ue))||pe&&ue&&typeof ue.length=="number"){be&&(ue=be);var ae=0;return function(){return ae>=ue.length?{done:!0}:{done:!1,value:ue[ae++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function y(){return{baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}Q.defaults=y();function C(ue){Q.defaults=ue}var E=/[&<>"']/,I=/[&<>"']/g,R=/[<>"']|&(?!#?\w+;)/,k=/[<>"']|&(?!#?\w+;)/g,_={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},P=function(pe){return _[pe]};function w(ue,pe){if(pe){if(E.test(ue))return ue.replace(I,P)}else if(R.test(ue))return ue.replace(k,P);return ue}var b=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function g(ue){return ue.replace(b,function(pe,be){return be=be.toLowerCase(),be==="colon"?":":be.charAt(0)==="#"?be.charAt(1)==="x"?String.fromCharCode(parseInt(be.substring(2),16)):String.fromCharCode(+be.substring(1)):""})}var f=/(^|[^\[])\^/g;function v(ue,pe){ue=typeof ue=="string"?ue:ue.source,pe=pe||"";var be={replace:function(fe,ne){return ne=ne.source||ne,ne=ne.replace(f,"$1"),ue=ue.replace(fe,ne),be},getRegex:function(){return new RegExp(ue,pe)}};return be}var p=/[^\w:]/g,c=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function m(ue,pe,be){if(ue){var ae;try{ae=decodeURIComponent(g(be)).replace(p,"").toLowerCase()}catch{return null}if(ae.indexOf("javascript:")===0||ae.indexOf("vbscript:")===0||ae.indexOf("data:")===0)return null}pe&&!c.test(be)&&(be=i(pe,be));try{be=encodeURI(be).replace(/%25/g,"%")}catch{return null}return be}var a={},h=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,o=/^([^:]+:\/*[^/]*)[\s\S]*$/;function i(ue,pe){a[" "+ue]||(h.test(ue)?a[" "+ue]=ue+"/":a[" "+ue]=d(ue,"/",!0)),ue=a[" "+ue];var be=ue.indexOf(":")===-1;return pe.substring(0,2)==="//"?be?pe:ue.replace(r,"$1")+pe:pe.charAt(0)==="/"?be?pe:ue.replace(o,"$1")+pe:ue+pe}var n={exec:function(){}};function s(ue){for(var pe=1,be,ae;pe<arguments.length;pe++){be=arguments[pe];for(ae in be)Object.prototype.hasOwnProperty.call(be,ae)&&(ue[ae]=be[ae])}return ue}function l(ue,pe){var be=ue.replace(/\|/g,function(ne,ie,O){for(var H=!1,G=ie;--G>=0&&O[G]==="\\";)H=!H;return H?"|":" |"}),ae=be.split(/ \|/),fe=0;if(ae[0].trim()||ae.shift(),ae.length>0&&!ae[ae.length-1].trim()&&ae.pop(),ae.length>pe)ae.splice(pe);else for(;ae.length<pe;)ae.push("");for(;fe<ae.length;fe++)ae[fe]=ae[fe].trim().replace(/\\\|/g,"|");return ae}function d(ue,pe,be){var ae=ue.length;if(ae===0)return"";for(var fe=0;fe<ae;){var ne=ue.charAt(ae-fe-1);if(ne===pe&&!be)fe++;else if(ne!==pe&&be)fe++;else break}return ue.slice(0,ae-fe)}function S(ue,pe){if(ue.indexOf(pe[1])===-1)return-1;for(var be=ue.length,ae=0,fe=0;fe<be;fe++)if(ue[fe]==="\\")fe++;else if(ue[fe]===pe[0])ae++;else if(ue[fe]===pe[1]&&(ae--,ae<0))return fe;return-1}function L(ue){ue&&ue.sanitize&&!ue.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function F(ue,pe){if(pe<1)return"";for(var be="";pe>1;)pe&1&&(be+=ue),pe>>=1,ue+=ue;return be+ue}function N(ue,pe,be,ae){var fe=pe.href,ne=pe.title?w(pe.title):null,ie=ue[1].replace(/\\([\[\]])/g,"$1");if(ue[0].charAt(0)!=="!"){ae.state.inLink=!0;var O={type:"link",raw:be,href:fe,title:ne,text:ie,tokens:ae.inlineTokens(ie,[])};return ae.state.inLink=!1,O}return{type:"image",raw:be,href:fe,title:ne,text:w(ie)}}function A(ue,pe){var be=ue.match(/^(\s+)(?:```)/);if(be===null)return pe;var ae=be[1];return pe.split(`
`).map(function(fe){var ne=fe.match(/^\s+/);if(ne===null)return fe;var ie=ne[0];return ie.length>=ae.length?fe.slice(ae.length):fe}).join(`
`)}var $=function(){function ue(be){this.options=be||Q.defaults}var pe=ue.prototype;return pe.space=function(ae){var fe=this.rules.block.newline.exec(ae);if(fe&&fe[0].length>0)return{type:"space",raw:fe[0]}},pe.code=function(ae){var fe=this.rules.block.code.exec(ae);if(fe){var ne=fe[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:fe[0],codeBlockStyle:"indented",text:this.options.pedantic?ne:d(ne,`
`)}}},pe.fences=function(ae){var fe=this.rules.block.fences.exec(ae);if(fe){var ne=fe[0],ie=A(ne,fe[3]||"");return{type:"code",raw:ne,lang:fe[2]?fe[2].trim():fe[2],text:ie}}},pe.heading=function(ae){var fe=this.rules.block.heading.exec(ae);if(fe){var ne=fe[2].trim();if(/#$/.test(ne)){var ie=d(ne,"#");(this.options.pedantic||!ie||/ $/.test(ie))&&(ne=ie.trim())}var O={type:"heading",raw:fe[0],depth:fe[1].length,text:ne,tokens:[]};return this.lexer.inline(O.text,O.tokens),O}},pe.hr=function(ae){var fe=this.rules.block.hr.exec(ae);if(fe)return{type:"hr",raw:fe[0]}},pe.blockquote=function(ae){var fe=this.rules.block.blockquote.exec(ae);if(fe){var ne=fe[0].replace(/^ *>[ \t]?/gm,"");return{type:"blockquote",raw:fe[0],tokens:this.lexer.blockTokens(ne,[]),text:ne}}},pe.list=function(ae){var fe=this.rules.block.list.exec(ae);if(fe){var ne,ie,O,H,G,K,de,we,se,De,Ce,ze,Ge=fe[1].trim(),Ne=Ge.length>1,Qe={type:"list",raw:"",ordered:Ne,start:Ne?+Ge.slice(0,-1):"",loose:!1,items:[]};Ge=Ne?"\\d{1,9}\\"+Ge.slice(-1):"\\"+Ge,this.options.pedantic&&(Ge=Ne?Ge:"[*+-]");for(var Z=new RegExp("^( {0,3}"+Ge+")((?:[	 ][^\\n]*)?(?:\\n|$))");ae&&(ze=!1,!(!(fe=Z.exec(ae))||this.rules.block.hr.test(ae)));){if(ne=fe[0],ae=ae.substring(ne.length),we=fe[2].split(`
`,1)[0],se=ae.split(`
`,1)[0],this.options.pedantic?(H=2,Ce=we.trimLeft()):(H=fe[2].search(/[^ ]/),H=H>4?1:H,Ce=we.slice(H),H+=fe[1].length),K=!1,!we&&/^ *$/.test(se)&&(ne+=se+`
`,ae=ae.substring(se.length+1),ze=!0),!ze)for(var re=new RegExp("^ {0,"+Math.min(3,H-1)+"}(?:[*+-]|\\d{1,9}[.)])((?: [^\\n]*)?(?:\\n|$))"),ye=new RegExp("^ {0,"+Math.min(3,H-1)+"}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)");ae&&(De=ae.split(`
`,1)[0],we=De,this.options.pedantic&&(we=we.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!(re.test(we)||ye.test(ae)));){if(we.search(/[^ ]/)>=H||!we.trim())Ce+=`
`+we.slice(H);else if(!K)Ce+=`
`+we;else break;!K&&!we.trim()&&(K=!0),ne+=De+`
`,ae=ae.substring(De.length+1)}Qe.loose||(de?Qe.loose=!0:/\n *\n *$/.test(ne)&&(de=!0)),this.options.gfm&&(ie=/^\[[ xX]\] /.exec(Ce),ie&&(O=ie[0]!=="[ ] ",Ce=Ce.replace(/^\[[ xX]\] +/,""))),Qe.items.push({type:"list_item",raw:ne,task:!!ie,checked:O,loose:!1,text:Ce}),Qe.raw+=ne}Qe.items[Qe.items.length-1].raw=ne.trimRight(),Qe.items[Qe.items.length-1].text=Ce.trimRight(),Qe.raw=Qe.raw.trimRight();var We=Qe.items.length;for(G=0;G<We;G++){this.lexer.state.top=!1,Qe.items[G].tokens=this.lexer.blockTokens(Qe.items[G].text,[]);var oe=Qe.items[G].tokens.filter(function(Be){return Be.type==="space"}),Re=oe.every(function(Be){for(var qe=Be.raw.split(""),je=0,Ve=T(qe),nt;!(nt=Ve()).done;){var ot=nt.value;if(ot===`
`&&(je+=1),je>1)return!0}return!1});!Qe.loose&&oe.length&&Re&&(Qe.loose=!0,Qe.items[G].loose=!0)}return Qe}},pe.html=function(ae){var fe=this.rules.block.html.exec(ae);if(fe){var ne={type:"html",raw:fe[0],pre:!this.options.sanitizer&&(fe[1]==="pre"||fe[1]==="script"||fe[1]==="style"),text:fe[0]};return this.options.sanitize&&(ne.type="paragraph",ne.text=this.options.sanitizer?this.options.sanitizer(fe[0]):w(fe[0]),ne.tokens=[],this.lexer.inline(ne.text,ne.tokens)),ne}},pe.def=function(ae){var fe=this.rules.block.def.exec(ae);if(fe){fe[3]&&(fe[3]=fe[3].substring(1,fe[3].length-1));var ne=fe[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:ne,raw:fe[0],href:fe[2],title:fe[3]}}},pe.table=function(ae){var fe=this.rules.block.table.exec(ae);if(fe){var ne={type:"table",header:l(fe[1]).map(function(de){return{text:de}}),align:fe[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:fe[3]&&fe[3].trim()?fe[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(ne.header.length===ne.align.length){ne.raw=fe[0];var ie=ne.align.length,O,H,G,K;for(O=0;O<ie;O++)/^ *-+: *$/.test(ne.align[O])?ne.align[O]="right":/^ *:-+: *$/.test(ne.align[O])?ne.align[O]="center":/^ *:-+ *$/.test(ne.align[O])?ne.align[O]="left":ne.align[O]=null;for(ie=ne.rows.length,O=0;O<ie;O++)ne.rows[O]=l(ne.rows[O],ne.header.length).map(function(de){return{text:de}});for(ie=ne.header.length,H=0;H<ie;H++)ne.header[H].tokens=[],this.lexer.inline(ne.header[H].text,ne.header[H].tokens);for(ie=ne.rows.length,H=0;H<ie;H++)for(K=ne.rows[H],G=0;G<K.length;G++)K[G].tokens=[],this.lexer.inline(K[G].text,K[G].tokens);return ne}}},pe.lheading=function(ae){var fe=this.rules.block.lheading.exec(ae);if(fe){var ne={type:"heading",raw:fe[0],depth:fe[2].charAt(0)==="="?1:2,text:fe[1],tokens:[]};return this.lexer.inline(ne.text,ne.tokens),ne}},pe.paragraph=function(ae){var fe=this.rules.block.paragraph.exec(ae);if(fe){var ne={type:"paragraph",raw:fe[0],text:fe[1].charAt(fe[1].length-1)===`
`?fe[1].slice(0,-1):fe[1],tokens:[]};return this.lexer.inline(ne.text,ne.tokens),ne}},pe.text=function(ae){var fe=this.rules.block.text.exec(ae);if(fe){var ne={type:"text",raw:fe[0],text:fe[0],tokens:[]};return this.lexer.inline(ne.text,ne.tokens),ne}},pe.escape=function(ae){var fe=this.rules.inline.escape.exec(ae);if(fe)return{type:"escape",raw:fe[0],text:w(fe[1])}},pe.tag=function(ae){var fe=this.rules.inline.tag.exec(ae);if(fe)return!this.lexer.state.inLink&&/^<a /i.test(fe[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(fe[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(fe[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(fe[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:fe[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(fe[0]):w(fe[0]):fe[0]}},pe.link=function(ae){var fe=this.rules.inline.link.exec(ae);if(fe){var ne=fe[2].trim();if(!this.options.pedantic&&/^</.test(ne)){if(!/>$/.test(ne))return;var ie=d(ne.slice(0,-1),"\\");if((ne.length-ie.length)%2==0)return}else{var O=S(fe[2],"()");if(O>-1){var H=fe[0].indexOf("!")===0?5:4,G=H+fe[1].length+O;fe[2]=fe[2].substring(0,O),fe[0]=fe[0].substring(0,G).trim(),fe[3]=""}}var K=fe[2],de="";if(this.options.pedantic){var we=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(K);we&&(K=we[1],de=we[3])}else de=fe[3]?fe[3].slice(1,-1):"";return K=K.trim(),/^</.test(K)&&(this.options.pedantic&&!/>$/.test(ne)?K=K.slice(1):K=K.slice(1,-1)),N(fe,{href:K&&K.replace(this.rules.inline._escapes,"$1"),title:de&&de.replace(this.rules.inline._escapes,"$1")},fe[0],this.lexer)}},pe.reflink=function(ae,fe){var ne;if((ne=this.rules.inline.reflink.exec(ae))||(ne=this.rules.inline.nolink.exec(ae))){var ie=(ne[2]||ne[1]).replace(/\s+/g," ");if(ie=fe[ie.toLowerCase()],!ie||!ie.href){var O=ne[0].charAt(0);return{type:"text",raw:O,text:O}}return N(ne,ie,ne[0],this.lexer)}},pe.emStrong=function(ae,fe,ne){ne===void 0&&(ne="");var ie=this.rules.inline.emStrong.lDelim.exec(ae);if(!!ie&&!(ie[3]&&ne.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var O=ie[1]||ie[2]||"";if(!O||O&&(ne===""||this.rules.inline.punctuation.exec(ne))){var H=ie[0].length-1,G,K,de=H,we=0,se=ie[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(se.lastIndex=0,fe=fe.slice(-1*ae.length+H);(ie=se.exec(fe))!=null;)if(G=ie[1]||ie[2]||ie[3]||ie[4]||ie[5]||ie[6],!!G){if(K=G.length,ie[3]||ie[4]){de+=K;continue}else if((ie[5]||ie[6])&&H%3&&!((H+K)%3)){we+=K;continue}if(de-=K,!(de>0)){if(K=Math.min(K,K+de+we),Math.min(H,K)%2){var De=ae.slice(1,H+ie.index+K);return{type:"em",raw:ae.slice(0,H+ie.index+K+1),text:De,tokens:this.lexer.inlineTokens(De,[])}}var Ce=ae.slice(2,H+ie.index+K-1);return{type:"strong",raw:ae.slice(0,H+ie.index+K+1),text:Ce,tokens:this.lexer.inlineTokens(Ce,[])}}}}}},pe.codespan=function(ae){var fe=this.rules.inline.code.exec(ae);if(fe){var ne=fe[2].replace(/\n/g," "),ie=/[^ ]/.test(ne),O=/^ /.test(ne)&&/ $/.test(ne);return ie&&O&&(ne=ne.substring(1,ne.length-1)),ne=w(ne,!0),{type:"codespan",raw:fe[0],text:ne}}},pe.br=function(ae){var fe=this.rules.inline.br.exec(ae);if(fe)return{type:"br",raw:fe[0]}},pe.del=function(ae){var fe=this.rules.inline.del.exec(ae);if(fe)return{type:"del",raw:fe[0],text:fe[2],tokens:this.lexer.inlineTokens(fe[2],[])}},pe.autolink=function(ae,fe){var ne=this.rules.inline.autolink.exec(ae);if(ne){var ie,O;return ne[2]==="@"?(ie=w(this.options.mangle?fe(ne[1]):ne[1]),O="mailto:"+ie):(ie=w(ne[1]),O=ie),{type:"link",raw:ne[0],text:ie,href:O,tokens:[{type:"text",raw:ie,text:ie}]}}},pe.url=function(ae,fe){var ne;if(ne=this.rules.inline.url.exec(ae)){var ie,O;if(ne[2]==="@")ie=w(this.options.mangle?fe(ne[0]):ne[0]),O="mailto:"+ie;else{var H;do H=ne[0],ne[0]=this.rules.inline._backpedal.exec(ne[0])[0];while(H!==ne[0]);ie=w(ne[0]),ne[1]==="www."?O="http://"+ie:O=ie}return{type:"link",raw:ne[0],text:ie,href:O,tokens:[{type:"text",raw:ie,text:ie}]}}},pe.inlineText=function(ae,fe){var ne=this.rules.inline.text.exec(ae);if(ne){var ie;return this.lexer.state.inRawBlock?ie=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ne[0]):w(ne[0]):ne[0]:ie=w(this.options.smartypants?fe(ne[0]):ne[0]),{type:"text",raw:ne[0],text:ie}}},ue}(),B={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:n,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};B._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,B._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,B.def=v(B.def).replace("label",B._label).replace("title",B._title).getRegex(),B.bullet=/(?:[*+-]|\d{1,9}[.)])/,B.listItemStart=v(/^( *)(bull) */).replace("bull",B.bullet).getRegex(),B.list=v(B.list).replace(/bull/g,B.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+B.def.source+")").getRegex(),B._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",B._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,B.html=v(B.html,"i").replace("comment",B._comment).replace("tag",B._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),B.paragraph=v(B._paragraph).replace("hr",B.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",B._tag).getRegex(),B.blockquote=v(B.blockquote).replace("paragraph",B.paragraph).getRegex(),B.normal=s({},B),B.gfm=s({},B.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),B.gfm.table=v(B.gfm.table).replace("hr",B.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",B._tag).getRegex(),B.gfm.paragraph=v(B._paragraph).replace("hr",B.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",B.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",B._tag).getRegex(),B.pedantic=s({},B.normal,{html:v(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",B._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:n,paragraph:v(B.normal._paragraph).replace("hr",B.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",B.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var z={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:n,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[^*]+(?=[^*])|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:n,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};z._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",z.punctuation=v(z.punctuation).replace(/punctuation/g,z._punctuation).getRegex(),z.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,z.escapedEmSt=/\\\*|\\_/g,z._comment=v(B._comment).replace("(?:-->|$)","-->").getRegex(),z.emStrong.lDelim=v(z.emStrong.lDelim).replace(/punct/g,z._punctuation).getRegex(),z.emStrong.rDelimAst=v(z.emStrong.rDelimAst,"g").replace(/punct/g,z._punctuation).getRegex(),z.emStrong.rDelimUnd=v(z.emStrong.rDelimUnd,"g").replace(/punct/g,z._punctuation).getRegex(),z._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,z._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,z._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,z.autolink=v(z.autolink).replace("scheme",z._scheme).replace("email",z._email).getRegex(),z._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,z.tag=v(z.tag).replace("comment",z._comment).replace("attribute",z._attribute).getRegex(),z._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,z._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,z._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,z.link=v(z.link).replace("label",z._label).replace("href",z._href).replace("title",z._title).getRegex(),z.reflink=v(z.reflink).replace("label",z._label).replace("ref",B._label).getRegex(),z.nolink=v(z.nolink).replace("ref",B._label).getRegex(),z.reflinkSearch=v(z.reflinkSearch,"g").replace("reflink",z.reflink).replace("nolink",z.nolink).getRegex(),z.normal=s({},z),z.pedantic=s({},z.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:v(/^!?\[(label)\]\((.*?)\)/).replace("label",z._label).getRegex(),reflink:v(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",z._label).getRegex()}),z.gfm=s({},z.normal,{escape:v(z.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),z.gfm.url=v(z.gfm.url,"i").replace("email",z.gfm._extended_email).getRegex(),z.breaks=s({},z.gfm,{br:v(z.br).replace("{2,}","*").getRegex(),text:v(z.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function X(ue){return ue.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function M(ue){var pe="",be,ae,fe=ue.length;for(be=0;be<fe;be++)ae=ue.charCodeAt(be),Math.random()>.5&&(ae="x"+ae.toString(16)),pe+="&#"+ae+";";return pe}var U=function(){function ue(be){this.tokens=[],this.tokens.links=Object.create(null),this.options=be||Q.defaults,this.options.tokenizer=this.options.tokenizer||new $,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var ae={block:B.normal,inline:z.normal};this.options.pedantic?(ae.block=B.pedantic,ae.inline=z.pedantic):this.options.gfm&&(ae.block=B.gfm,this.options.breaks?ae.inline=z.breaks:ae.inline=z.gfm),this.tokenizer.rules=ae}ue.lex=function(ae,fe){var ne=new ue(fe);return ne.lex(ae)},ue.lexInline=function(ae,fe){var ne=new ue(fe);return ne.inlineTokens(ae)};var pe=ue.prototype;return pe.lex=function(ae){ae=ae.replace(/\r\n|\r/g,`
`),this.blockTokens(ae,this.tokens);for(var fe;fe=this.inlineQueue.shift();)this.inlineTokens(fe.src,fe.tokens);return this.tokens},pe.blockTokens=function(ae,fe){var ne=this;fe===void 0&&(fe=[]),this.options.pedantic?ae=ae.replace(/\t/g,"    ").replace(/^ +$/gm,""):ae=ae.replace(/^( *)(\t+)/gm,function(de,we,se){return we+"    ".repeat(se.length)});for(var ie,O,H,G;ae;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(de){return(ie=de.call({lexer:ne},ae,fe))?(ae=ae.substring(ie.raw.length),fe.push(ie),!0):!1}))){if(ie=this.tokenizer.space(ae)){ae=ae.substring(ie.raw.length),ie.raw.length===1&&fe.length>0?fe[fe.length-1].raw+=`
`:fe.push(ie);continue}if(ie=this.tokenizer.code(ae)){ae=ae.substring(ie.raw.length),O=fe[fe.length-1],O&&(O.type==="paragraph"||O.type==="text")?(O.raw+=`
`+ie.raw,O.text+=`
`+ie.text,this.inlineQueue[this.inlineQueue.length-1].src=O.text):fe.push(ie);continue}if(ie=this.tokenizer.fences(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.heading(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.hr(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.blockquote(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.list(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.html(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.def(ae)){ae=ae.substring(ie.raw.length),O=fe[fe.length-1],O&&(O.type==="paragraph"||O.type==="text")?(O.raw+=`
`+ie.raw,O.text+=`
`+ie.raw,this.inlineQueue[this.inlineQueue.length-1].src=O.text):this.tokens.links[ie.tag]||(this.tokens.links[ie.tag]={href:ie.href,title:ie.title});continue}if(ie=this.tokenizer.table(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.lheading(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(H=ae,this.options.extensions&&this.options.extensions.startBlock&&function(){var de=1/0,we=ae.slice(1),se=void 0;ne.options.extensions.startBlock.forEach(function(De){se=De.call({lexer:this},we),typeof se=="number"&&se>=0&&(de=Math.min(de,se))}),de<1/0&&de>=0&&(H=ae.substring(0,de+1))}(),this.state.top&&(ie=this.tokenizer.paragraph(H))){O=fe[fe.length-1],G&&O.type==="paragraph"?(O.raw+=`
`+ie.raw,O.text+=`
`+ie.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=O.text):fe.push(ie),G=H.length!==ae.length,ae=ae.substring(ie.raw.length);continue}if(ie=this.tokenizer.text(ae)){ae=ae.substring(ie.raw.length),O=fe[fe.length-1],O&&O.type==="text"?(O.raw+=`
`+ie.raw,O.text+=`
`+ie.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=O.text):fe.push(ie);continue}if(ae){var K="Infinite loop on byte: "+ae.charCodeAt(0);if(this.options.silent){console.error(K);break}else throw new Error(K)}}return this.state.top=!0,fe},pe.inline=function(ae,fe){this.inlineQueue.push({src:ae,tokens:fe})},pe.inlineTokens=function(ae,fe){var ne=this;fe===void 0&&(fe=[]);var ie,O,H,G=ae,K,de,we;if(this.tokens.links){var se=Object.keys(this.tokens.links);if(se.length>0)for(;(K=this.tokenizer.rules.inline.reflinkSearch.exec(G))!=null;)se.includes(K[0].slice(K[0].lastIndexOf("[")+1,-1))&&(G=G.slice(0,K.index)+"["+F("a",K[0].length-2)+"]"+G.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(K=this.tokenizer.rules.inline.blockSkip.exec(G))!=null;)G=G.slice(0,K.index)+"["+F("a",K[0].length-2)+"]"+G.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(K=this.tokenizer.rules.inline.escapedEmSt.exec(G))!=null;)G=G.slice(0,K.index)+"++"+G.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;ae;)if(de||(we=""),de=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(Ce){return(ie=Ce.call({lexer:ne},ae,fe))?(ae=ae.substring(ie.raw.length),fe.push(ie),!0):!1}))){if(ie=this.tokenizer.escape(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.tag(ae)){ae=ae.substring(ie.raw.length),O=fe[fe.length-1],O&&ie.type==="text"&&O.type==="text"?(O.raw+=ie.raw,O.text+=ie.text):fe.push(ie);continue}if(ie=this.tokenizer.link(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.reflink(ae,this.tokens.links)){ae=ae.substring(ie.raw.length),O=fe[fe.length-1],O&&ie.type==="text"&&O.type==="text"?(O.raw+=ie.raw,O.text+=ie.text):fe.push(ie);continue}if(ie=this.tokenizer.emStrong(ae,G,we)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.codespan(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.br(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.del(ae)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(ie=this.tokenizer.autolink(ae,M)){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(!this.state.inLink&&(ie=this.tokenizer.url(ae,M))){ae=ae.substring(ie.raw.length),fe.push(ie);continue}if(H=ae,this.options.extensions&&this.options.extensions.startInline&&function(){var Ce=1/0,ze=ae.slice(1),Ge=void 0;ne.options.extensions.startInline.forEach(function(Ne){Ge=Ne.call({lexer:this},ze),typeof Ge=="number"&&Ge>=0&&(Ce=Math.min(Ce,Ge))}),Ce<1/0&&Ce>=0&&(H=ae.substring(0,Ce+1))}(),ie=this.tokenizer.inlineText(H,X)){ae=ae.substring(ie.raw.length),ie.raw.slice(-1)!=="_"&&(we=ie.raw.slice(-1)),de=!0,O=fe[fe.length-1],O&&O.type==="text"?(O.raw+=ie.raw,O.text+=ie.text):fe.push(ie);continue}if(ae){var De="Infinite loop on byte: "+ae.charCodeAt(0);if(this.options.silent){console.error(De);break}else throw new Error(De)}}return fe},u(ue,null,[{key:"rules",get:function(){return{block:B,inline:z}}}]),ue}(),q=function(){function ue(be){this.options=be||Q.defaults}var pe=ue.prototype;return pe.code=function(ae,fe,ne){var ie=(fe||"").match(/\S*/)[0];if(this.options.highlight){var O=this.options.highlight(ae,ie);O!=null&&O!==ae&&(ne=!0,ae=O)}return ae=ae.replace(/\n$/,"")+`
`,ie?'<pre><code class="'+this.options.langPrefix+w(ie,!0)+'">'+(ne?ae:w(ae,!0))+`</code></pre>
`:"<pre><code>"+(ne?ae:w(ae,!0))+`</code></pre>
`},pe.blockquote=function(ae){return`<blockquote>
`+ae+`</blockquote>
`},pe.html=function(ae){return ae},pe.heading=function(ae,fe,ne,ie){if(this.options.headerIds){var O=this.options.headerPrefix+ie.slug(ne);return"<h"+fe+' id="'+O+'">'+ae+"</h"+fe+`>
`}return"<h"+fe+">"+ae+"</h"+fe+`>
`},pe.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},pe.list=function(ae,fe,ne){var ie=fe?"ol":"ul",O=fe&&ne!==1?' start="'+ne+'"':"";return"<"+ie+O+`>
`+ae+"</"+ie+`>
`},pe.listitem=function(ae){return"<li>"+ae+`</li>
`},pe.checkbox=function(ae){return"<input "+(ae?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},pe.paragraph=function(ae){return"<p>"+ae+`</p>
`},pe.table=function(ae,fe){return fe&&(fe="<tbody>"+fe+"</tbody>"),`<table>
<thead>
`+ae+`</thead>
`+fe+`</table>
`},pe.tablerow=function(ae){return`<tr>
`+ae+`</tr>
`},pe.tablecell=function(ae,fe){var ne=fe.header?"th":"td",ie=fe.align?"<"+ne+' align="'+fe.align+'">':"<"+ne+">";return ie+ae+("</"+ne+`>
`)},pe.strong=function(ae){return"<strong>"+ae+"</strong>"},pe.em=function(ae){return"<em>"+ae+"</em>"},pe.codespan=function(ae){return"<code>"+ae+"</code>"},pe.br=function(){return this.options.xhtml?"<br/>":"<br>"},pe.del=function(ae){return"<del>"+ae+"</del>"},pe.link=function(ae,fe,ne){if(ae=m(this.options.sanitize,this.options.baseUrl,ae),ae===null)return ne;var ie='<a href="'+w(ae)+'"';return fe&&(ie+=' title="'+fe+'"'),ie+=">"+ne+"</a>",ie},pe.image=function(ae,fe,ne){if(ae=m(this.options.sanitize,this.options.baseUrl,ae),ae===null)return ne;var ie='<img src="'+ae+'" alt="'+ne+'"';return fe&&(ie+=' title="'+fe+'"'),ie+=this.options.xhtml?"/>":">",ie},pe.text=function(ae){return ae},ue}(),x=function(){function ue(){}var pe=ue.prototype;return pe.strong=function(ae){return ae},pe.em=function(ae){return ae},pe.codespan=function(ae){return ae},pe.del=function(ae){return ae},pe.html=function(ae){return ae},pe.text=function(ae){return ae},pe.link=function(ae,fe,ne){return""+ne},pe.image=function(ae,fe,ne){return""+ne},pe.br=function(){return""},ue}(),V=function(){function ue(){this.seen={}}var pe=ue.prototype;return pe.serialize=function(ae){return ae.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},pe.getNextSafeSlug=function(ae,fe){var ne=ae,ie=0;if(this.seen.hasOwnProperty(ne)){ie=this.seen[ae];do ie++,ne=ae+"-"+ie;while(this.seen.hasOwnProperty(ne))}return fe||(this.seen[ae]=ie,this.seen[ne]=0),ne},pe.slug=function(ae,fe){fe===void 0&&(fe={});var ne=this.serialize(ae);return this.getNextSafeSlug(ne,fe.dryrun)},ue}(),ee=function(){function ue(be){this.options=be||Q.defaults,this.options.renderer=this.options.renderer||new q,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new x,this.slugger=new V}ue.parse=function(ae,fe){var ne=new ue(fe);return ne.parse(ae)},ue.parseInline=function(ae,fe){var ne=new ue(fe);return ne.parseInline(ae)};var pe=ue.prototype;return pe.parse=function(ae,fe){fe===void 0&&(fe=!0);var ne="",ie,O,H,G,K,de,we,se,De,Ce,ze,Ge,Ne,Qe,Z,re,ye,We,oe,Re=ae.length;for(ie=0;ie<Re;ie++){if(Ce=ae[ie],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[Ce.type]&&(oe=this.options.extensions.renderers[Ce.type].call({parser:this},Ce),oe!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(Ce.type))){ne+=oe||"";continue}switch(Ce.type){case"space":continue;case"hr":{ne+=this.renderer.hr();continue}case"heading":{ne+=this.renderer.heading(this.parseInline(Ce.tokens),Ce.depth,g(this.parseInline(Ce.tokens,this.textRenderer)),this.slugger);continue}case"code":{ne+=this.renderer.code(Ce.text,Ce.lang,Ce.escaped);continue}case"table":{for(se="",we="",G=Ce.header.length,O=0;O<G;O++)we+=this.renderer.tablecell(this.parseInline(Ce.header[O].tokens),{header:!0,align:Ce.align[O]});for(se+=this.renderer.tablerow(we),De="",G=Ce.rows.length,O=0;O<G;O++){for(de=Ce.rows[O],we="",K=de.length,H=0;H<K;H++)we+=this.renderer.tablecell(this.parseInline(de[H].tokens),{header:!1,align:Ce.align[H]});De+=this.renderer.tablerow(we)}ne+=this.renderer.table(se,De);continue}case"blockquote":{De=this.parse(Ce.tokens),ne+=this.renderer.blockquote(De);continue}case"list":{for(ze=Ce.ordered,Ge=Ce.start,Ne=Ce.loose,G=Ce.items.length,De="",O=0;O<G;O++)Z=Ce.items[O],re=Z.checked,ye=Z.task,Qe="",Z.task&&(We=this.renderer.checkbox(re),Ne?Z.tokens.length>0&&Z.tokens[0].type==="paragraph"?(Z.tokens[0].text=We+" "+Z.tokens[0].text,Z.tokens[0].tokens&&Z.tokens[0].tokens.length>0&&Z.tokens[0].tokens[0].type==="text"&&(Z.tokens[0].tokens[0].text=We+" "+Z.tokens[0].tokens[0].text)):Z.tokens.unshift({type:"text",text:We}):Qe+=We),Qe+=this.parse(Z.tokens,Ne),De+=this.renderer.listitem(Qe,ye,re);ne+=this.renderer.list(De,ze,Ge);continue}case"html":{ne+=this.renderer.html(Ce.text);continue}case"paragraph":{ne+=this.renderer.paragraph(this.parseInline(Ce.tokens));continue}case"text":{for(De=Ce.tokens?this.parseInline(Ce.tokens):Ce.text;ie+1<Re&&ae[ie+1].type==="text";)Ce=ae[++ie],De+=`
`+(Ce.tokens?this.parseInline(Ce.tokens):Ce.text);ne+=fe?this.renderer.paragraph(De):De;continue}default:{var Be='Token with "'+Ce.type+'" type was not found.';if(this.options.silent){console.error(Be);return}else throw new Error(Be)}}}return ne},pe.parseInline=function(ae,fe){fe=fe||this.renderer;var ne="",ie,O,H,G=ae.length;for(ie=0;ie<G;ie++){if(O=ae[ie],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[O.type]&&(H=this.options.extensions.renderers[O.type].call({parser:this},O),H!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(O.type))){ne+=H||"";continue}switch(O.type){case"escape":{ne+=fe.text(O.text);break}case"html":{ne+=fe.html(O.text);break}case"link":{ne+=fe.link(O.href,O.title,this.parseInline(O.tokens,fe));break}case"image":{ne+=fe.image(O.href,O.title,O.text);break}case"strong":{ne+=fe.strong(this.parseInline(O.tokens,fe));break}case"em":{ne+=fe.em(this.parseInline(O.tokens,fe));break}case"codespan":{ne+=fe.codespan(O.text);break}case"br":{ne+=fe.br();break}case"del":{ne+=fe.del(this.parseInline(O.tokens,fe));break}case"text":{ne+=fe.text(O.text);break}default:{var K='Token with "'+O.type+'" type was not found.';if(this.options.silent){console.error(K);return}else throw new Error(K)}}}return ne},ue}();function Y(ue,pe,be){if(typeof ue=="undefined"||ue===null)throw new Error("marked(): input parameter is undefined or null");if(typeof ue!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(ue)+", string expected");if(typeof pe=="function"&&(be=pe,pe=null),pe=s({},Y.defaults,pe||{}),L(pe),be){var ae=pe.highlight,fe;try{fe=U.lex(ue,pe)}catch(H){return be(H)}var ne=function(G){var K;if(!G)try{pe.walkTokens&&Y.walkTokens(fe,pe.walkTokens),K=ee.parse(fe,pe)}catch(de){G=de}return pe.highlight=ae,G?be(G):be(null,K)};if(!ae||ae.length<3||(delete pe.highlight,!fe.length))return ne();var ie=0;Y.walkTokens(fe,function(H){H.type==="code"&&(ie++,setTimeout(function(){ae(H.text,H.lang,function(G,K){if(G)return ne(G);K!=null&&K!==H.text&&(H.text=K,H.escaped=!0),ie--,ie===0&&ne()})},0))}),ie===0&&ne();return}try{var O=U.lex(ue,pe);return pe.walkTokens&&Y.walkTokens(O,pe.walkTokens),ee.parse(O,pe)}catch(H){if(H.message+=`
Please report this to https://github.com/markedjs/marked.`,pe.silent)return"<p>An error occurred:</p><pre>"+w(H.message+"",!0)+"</pre>";throw H}}Y.options=Y.setOptions=function(ue){return s(Y.defaults,ue),C(Y.defaults),Y},Y.getDefaults=y,Y.defaults=Q.defaults,Y.use=function(){for(var ue=arguments.length,pe=new Array(ue),be=0;be<ue;be++)pe[be]=arguments[be];var ae=s.apply(void 0,[{}].concat(pe)),fe=Y.defaults.extensions||{renderers:{},childTokens:{}},ne;pe.forEach(function(ie){if(ie.extensions&&(ne=!0,ie.extensions.forEach(function(H){if(!H.name)throw new Error("extension name required");if(H.renderer){var G=fe.renderers?fe.renderers[H.name]:null;G?fe.renderers[H.name]=function(){for(var K=arguments.length,de=new Array(K),we=0;we<K;we++)de[we]=arguments[we];var se=H.renderer.apply(this,de);return se===!1&&(se=G.apply(this,de)),se}:fe.renderers[H.name]=H.renderer}if(H.tokenizer){if(!H.level||H.level!=="block"&&H.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");fe[H.level]?fe[H.level].unshift(H.tokenizer):fe[H.level]=[H.tokenizer],H.start&&(H.level==="block"?fe.startBlock?fe.startBlock.push(H.start):fe.startBlock=[H.start]:H.level==="inline"&&(fe.startInline?fe.startInline.push(H.start):fe.startInline=[H.start]))}H.childTokens&&(fe.childTokens[H.name]=H.childTokens)})),ie.renderer&&function(){var H=Y.defaults.renderer||new q,G=function(we){var se=H[we];H[we]=function(){for(var De=arguments.length,Ce=new Array(De),ze=0;ze<De;ze++)Ce[ze]=arguments[ze];var Ge=ie.renderer[we].apply(H,Ce);return Ge===!1&&(Ge=se.apply(H,Ce)),Ge}};for(var K in ie.renderer)G(K);ae.renderer=H}(),ie.tokenizer&&function(){var H=Y.defaults.tokenizer||new $,G=function(we){var se=H[we];H[we]=function(){for(var De=arguments.length,Ce=new Array(De),ze=0;ze<De;ze++)Ce[ze]=arguments[ze];var Ge=ie.tokenizer[we].apply(H,Ce);return Ge===!1&&(Ge=se.apply(H,Ce)),Ge}};for(var K in ie.tokenizer)G(K);ae.tokenizer=H}(),ie.walkTokens){var O=Y.defaults.walkTokens;ae.walkTokens=function(H){ie.walkTokens.call(this,H),O&&O.call(this,H)}}ne&&(ae.extensions=fe),Y.setOptions(ae)})},Y.walkTokens=function(ue,pe){for(var be=function(){var ie=fe.value;switch(pe.call(Y,ie),ie.type){case"table":{for(var O=T(ie.header),H;!(H=O()).done;){var G=H.value;Y.walkTokens(G.tokens,pe)}for(var K=T(ie.rows),de;!(de=K()).done;)for(var we=de.value,se=T(we),De;!(De=se()).done;){var Ce=De.value;Y.walkTokens(Ce.tokens,pe)}break}case"list":{Y.walkTokens(ie.items,pe);break}default:Y.defaults.extensions&&Y.defaults.extensions.childTokens&&Y.defaults.extensions.childTokens[ie.type]?Y.defaults.extensions.childTokens[ie.type].forEach(function(ze){Y.walkTokens(ie[ze],pe)}):ie.tokens&&Y.walkTokens(ie.tokens,pe)}},ae=T(ue),fe;!(fe=ae()).done;)be()},Y.parseInline=function(ue,pe){if(typeof ue=="undefined"||ue===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof ue!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(ue)+", string expected");pe=s({},Y.defaults,pe||{}),L(pe);try{var be=U.lexInline(ue,pe);return pe.walkTokens&&Y.walkTokens(be,pe.walkTokens),ee.parseInline(be,pe)}catch(ae){if(ae.message+=`
Please report this to https://github.com/markedjs/marked.`,pe.silent)return"<p>An error occurred:</p><pre>"+w(ae.message+"",!0)+"</pre>";throw ae}},Y.Parser=ee,Y.parser=ee.parse,Y.Renderer=q,Y.TextRenderer=x,Y.Lexer=U,Y.lexer=U.lex,Y.Tokenizer=$,Y.Slugger=V,Y.parse=Y;var le=Y.options,ve=Y.setOptions,J=Y.use,ge=Y.walkTokens,_e=Y.parseInline,Te=Y,me=ee.parse,Pe=U.lex;Q.Lexer=U,Q.Parser=ee,Q.Renderer=q,Q.Slugger=V,Q.TextRenderer=x,Q.Tokenizer=$,Q.getDefaults=y,Q.lexer=Pe,Q.marked=Y,Q.options=le,Q.parse=Te,Q.parseInline=_e,Q.parser=me,Q.setOptions=ve,Q.use=J,Q.walkTokens=ge,Object.defineProperty(Q,"__esModule",{value:!0})}),define(Ie[94],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SlidingWindowAverage=e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function u(C,E,I){return Math.min(Math.max(C,E),I)}e.clamp=u;function t(C,E){return(E+C%E)%E}e.rot=t;class D{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=D;class T{constructor(){this._n=1,this._val=0}update(E){return this._val=this._val+(E-this._val)/this._n,this._n+=1,this._val}get value(){return this._val}}e.MovingAverage=T;class y{constructor(E){this._n=0,this._val=0,this._values=[],this._index=0,this._sum=0,this._values=new Array(E),this._values.fill(0,0,E)}update(E){const I=this._values[this._index];return this._values[this._index]=E,this._index=(this._index+1)%this._values.length,this._sum-=I,this._sum+=E,this._n<this._values.length&&(this._n+=1),this._val=this._sum/this._n,this._val}get value(){return this._val}}e.SlidingWindowAverage=y}),function(){function Q(D){const T=[];typeof D=="number"&&T.push("code/timeOrigin",D);function y(E){T.push(E,Date.now())}function C(){const E=[];for(let I=0;I<T.length;I+=2)E.push({name:T[I],startTime:T[I+1]});return E}return{mark:y,getMarks:C}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?Q():{mark(D){performance.mark(D)},getMarks(){let D=performance.timeOrigin;typeof D!="number"&&(D=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const T=[{name:"code/timeOrigin",startTime:Math.round(D)}];for(const y of performance.getEntriesByType("mark"))T.push({name:y.name,startTime:Math.round(D+y.startTime)});return T}};if(typeof process=="object"){const D=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return Q(D)}else return console.trace("perf-util loaded in UNKNOWN environment"),Q()}function u(D){return D.MonacoPerformanceMarks||(D.MonacoPerformanceMarks=e()),D.MonacoPerformanceMarks}var t;typeof global=="object"?t=global:typeof self=="object"?t=self:t={},typeof define=="function"?define("vs/base/common/performance",[],function(){return u(t)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=u(t):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),t.perf=u(t))}(),function(Q,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var u=e();for(var t in u)(typeof exports=="object"?exports:Q)[t]=u[t]}}(typeof self!="undefined"?self:this,function(){return function(Q){var e={};function u(t){if(e[t])return e[t].exports;var D=e[t]={i:t,l:!1,exports:{}};return Q[t].call(D.exports,D,D.exports,u),D.l=!0,D.exports}return u.m=Q,u.c=e,u.d=function(t,D,T){u.o(t,D)||Object.defineProperty(t,D,{enumerable:!0,get:T})},u.r=function(t){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},u.t=function(t,D){if(1&D&&(t=u(t)),8&D||4&D&&typeof t=="object"&&t&&t.__esModule)return t;var T=Object.create(null);if(u.r(T),Object.defineProperty(T,"default",{enumerable:!0,value:t}),2&D&&typeof t!="string")for(var y in t)u.d(T,y,function(C){return t[C]}.bind(null,y));return T},u.n=function(t){var D=t&&t.__esModule?function(){return t.default}:function(){return t};return u.d(D,"a",D),D},u.o=function(t,D){return Object.prototype.hasOwnProperty.call(t,D)},u.p="",u(u.s=0)}([function(Q,e,u){(function(t){var D;e=Q.exports=J,D=typeof t=="object"&&t.env&&t.env.NODE_DEBUG&&/\bsemver\b/i.test(t.env.NODE_DEBUG)?function(){var se=Array.prototype.slice.call(arguments,0);se.unshift("SEMVER"),console.log.apply(console,se)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var T=256,y=Number.MAX_SAFE_INTEGER||9007199254740991,C=e.re=[],E=e.src=[],I=0,R=I++;E[R]="0|[1-9]\\d*";var k=I++;E[k]="[0-9]+";var _=I++;E[_]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var P=I++;E[P]="("+E[R]+")\\.("+E[R]+")\\.("+E[R]+")";var w=I++;E[w]="("+E[k]+")\\.("+E[k]+")\\.("+E[k]+")";var b=I++;E[b]="(?:"+E[R]+"|"+E[_]+")";var g=I++;E[g]="(?:"+E[k]+"|"+E[_]+")";var f=I++;E[f]="(?:-("+E[b]+"(?:\\."+E[b]+")*))";var v=I++;E[v]="(?:-?("+E[g]+"(?:\\."+E[g]+")*))";var p=I++;E[p]="[0-9A-Za-z-]+";var c=I++;E[c]="(?:\\+("+E[p]+"(?:\\."+E[p]+")*))";var m=I++,a="v?"+E[P]+E[f]+"?"+E[c]+"?";E[m]="^"+a+"$";var h="[v=\\s]*"+E[w]+E[v]+"?"+E[c]+"?",r=I++;E[r]="^"+h+"$";var o=I++;E[o]="((?:<|>)?=?)";var i=I++;E[i]=E[k]+"|x|X|\\*";var n=I++;E[n]=E[R]+"|x|X|\\*";var s=I++;E[s]="[v=\\s]*("+E[n]+")(?:\\.("+E[n]+")(?:\\.("+E[n]+")(?:"+E[f]+")?"+E[c]+"?)?)?";var l=I++;E[l]="[v=\\s]*("+E[i]+")(?:\\.("+E[i]+")(?:\\.("+E[i]+")(?:"+E[v]+")?"+E[c]+"?)?)?";var d=I++;E[d]="^"+E[o]+"\\s*"+E[s]+"$";var S=I++;E[S]="^"+E[o]+"\\s*"+E[l]+"$";var L=I++;E[L]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var F=I++;E[F]="(?:~>?)";var N=I++;E[N]="(\\s*)"+E[F]+"\\s+",C[N]=new RegExp(E[N],"g");var A=I++;E[A]="^"+E[F]+E[s]+"$";var $=I++;E[$]="^"+E[F]+E[l]+"$";var B=I++;E[B]="(?:\\^)";var z=I++;E[z]="(\\s*)"+E[B]+"\\s+",C[z]=new RegExp(E[z],"g");var X=I++;E[X]="^"+E[B]+E[s]+"$";var M=I++;E[M]="^"+E[B]+E[l]+"$";var U=I++;E[U]="^"+E[o]+"\\s*("+h+")$|^$";var q=I++;E[q]="^"+E[o]+"\\s*("+a+")$|^$";var x=I++;E[x]="(\\s*)"+E[o]+"\\s*("+h+"|"+E[s]+")",C[x]=new RegExp(E[x],"g");var V=I++;E[V]="^\\s*("+E[s]+")\\s+-\\s+("+E[s]+")\\s*$";var ee=I++;E[ee]="^\\s*("+E[l]+")\\s+-\\s+("+E[l]+")\\s*$";var Y=I++;E[Y]="(<|>)?=?\\s*\\*";for(var le=0;le<35;le++)D(le,E[le]),C[le]||(C[le]=new RegExp(E[le]));function ve(se,De){if(se instanceof J)return se;if(typeof se!="string"||se.length>T||!(De?C[r]:C[m]).test(se))return null;try{return new J(se,De)}catch{return null}}function J(se,De){if(se instanceof J){if(se.loose===De)return se;se=se.version}else if(typeof se!="string")throw new TypeError("Invalid Version: "+se);if(se.length>T)throw new TypeError("version is longer than "+T+" characters");if(!(this instanceof J))return new J(se,De);D("SemVer",se,De),this.loose=De;var Ce=se.trim().match(De?C[r]:C[m]);if(!Ce)throw new TypeError("Invalid Version: "+se);if(this.raw=se,this.major=+Ce[1],this.minor=+Ce[2],this.patch=+Ce[3],this.major>y||this.major<0)throw new TypeError("Invalid major version");if(this.minor>y||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>y||this.patch<0)throw new TypeError("Invalid patch version");Ce[4]?this.prerelease=Ce[4].split(".").map(function(ze){if(/^[0-9]+$/.test(ze)){var Ge=+ze;if(Ge>=0&&Ge<y)return Ge}return ze}):this.prerelease=[],this.build=Ce[5]?Ce[5].split("."):[],this.format()}e.parse=ve,e.valid=function(se,De){var Ce=ve(se,De);return Ce?Ce.version:null},e.clean=function(se,De){var Ce=ve(se.trim().replace(/^[=v]+/,""),De);return Ce?Ce.version:null},e.SemVer=J,J.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},J.prototype.toString=function(){return this.version},J.prototype.compare=function(se){return D("SemVer.compare",this.version,this.loose,se),se instanceof J||(se=new J(se,this.loose)),this.compareMain(se)||this.comparePre(se)},J.prototype.compareMain=function(se){return se instanceof J||(se=new J(se,this.loose)),_e(this.major,se.major)||_e(this.minor,se.minor)||_e(this.patch,se.patch)},J.prototype.comparePre=function(se){if(se instanceof J||(se=new J(se,this.loose)),this.prerelease.length&&!se.prerelease.length)return-1;if(!this.prerelease.length&&se.prerelease.length)return 1;if(!this.prerelease.length&&!se.prerelease.length)return 0;var De=0;do{var Ce=this.prerelease[De],ze=se.prerelease[De];if(D("prerelease compare",De,Ce,ze),Ce===void 0&&ze===void 0)return 0;if(ze===void 0)return 1;if(Ce===void 0)return-1;if(Ce!==ze)return _e(Ce,ze)}while(++De)},J.prototype.inc=function(se,De){switch(se){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",De);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",De);break;case"prepatch":this.prerelease.length=0,this.inc("patch",De),this.inc("pre",De);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",De),this.inc("pre",De);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var Ce=this.prerelease.length;--Ce>=0;)typeof this.prerelease[Ce]=="number"&&(this.prerelease[Ce]++,Ce=-2);Ce===-1&&this.prerelease.push(0)}De&&(this.prerelease[0]===De?isNaN(this.prerelease[1])&&(this.prerelease=[De,0]):this.prerelease=[De,0]);break;default:throw new Error("invalid increment argument: "+se)}return this.format(),this.raw=this.version,this},e.inc=function(se,De,Ce,ze){typeof Ce=="string"&&(ze=Ce,Ce=void 0);try{return new J(se,Ce).inc(De,ze).version}catch{return null}},e.diff=function(se,De){if(ue(se,De))return null;var Ce=ve(se),ze=ve(De);if(Ce.prerelease.length||ze.prerelease.length){for(var Ge in Ce)if((Ge==="major"||Ge==="minor"||Ge==="patch")&&Ce[Ge]!==ze[Ge])return"pre"+Ge;return"prerelease"}for(var Ge in Ce)if((Ge==="major"||Ge==="minor"||Ge==="patch")&&Ce[Ge]!==ze[Ge])return Ge},e.compareIdentifiers=_e;var ge=/^[0-9]+$/;function _e(se,De){var Ce=ge.test(se),ze=ge.test(De);return Ce&&ze&&(se=+se,De=+De),Ce&&!ze?-1:ze&&!Ce?1:se<De?-1:se>De?1:0}function Te(se,De,Ce){return new J(se,Ce).compare(new J(De,Ce))}function me(se,De,Ce){return Te(se,De,Ce)>0}function Pe(se,De,Ce){return Te(se,De,Ce)<0}function ue(se,De,Ce){return Te(se,De,Ce)===0}function pe(se,De,Ce){return Te(se,De,Ce)!==0}function be(se,De,Ce){return Te(se,De,Ce)>=0}function ae(se,De,Ce){return Te(se,De,Ce)<=0}function fe(se,De,Ce,ze){var Ge;switch(De){case"===":typeof se=="object"&&(se=se.version),typeof Ce=="object"&&(Ce=Ce.version),Ge=se===Ce;break;case"!==":typeof se=="object"&&(se=se.version),typeof Ce=="object"&&(Ce=Ce.version),Ge=se!==Ce;break;case"":case"=":case"==":Ge=ue(se,Ce,ze);break;case"!=":Ge=pe(se,Ce,ze);break;case">":Ge=me(se,Ce,ze);break;case">=":Ge=be(se,Ce,ze);break;case"<":Ge=Pe(se,Ce,ze);break;case"<=":Ge=ae(se,Ce,ze);break;default:throw new TypeError("Invalid operator: "+De)}return Ge}function ne(se,De){if(se instanceof ne){if(se.loose===De)return se;se=se.value}if(!(this instanceof ne))return new ne(se,De);D("comparator",se,De),this.loose=De,this.parse(se),this.semver===ie?this.value="":this.value=this.operator+this.semver.version,D("comp",this)}e.rcompareIdentifiers=function(se,De){return _e(De,se)},e.major=function(se,De){return new J(se,De).major},e.minor=function(se,De){return new J(se,De).minor},e.patch=function(se,De){return new J(se,De).patch},e.compare=Te,e.compareLoose=function(se,De){return Te(se,De,!0)},e.rcompare=function(se,De,Ce){return Te(De,se,Ce)},e.sort=function(se,De){return se.sort(function(Ce,ze){return e.compare(Ce,ze,De)})},e.rsort=function(se,De){return se.sort(function(Ce,ze){return e.rcompare(Ce,ze,De)})},e.gt=me,e.lt=Pe,e.eq=ue,e.neq=pe,e.gte=be,e.lte=ae,e.cmp=fe,e.Comparator=ne;var ie={};function O(se,De){if(se instanceof O)return se.loose===De?se:new O(se.raw,De);if(se instanceof ne)return new O(se.value,De);if(!(this instanceof O))return new O(se,De);if(this.loose=De,this.raw=se,this.set=se.split(/\s*\|\|\s*/).map(function(Ce){return this.parseRange(Ce.trim())},this).filter(function(Ce){return Ce.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+se);this.format()}function H(se){return!se||se.toLowerCase()==="x"||se==="*"}function G(se,De,Ce,ze,Ge,Ne,Qe,Z,re,ye,We,oe,Re){return((De=H(Ce)?"":H(ze)?">="+Ce+".0.0":H(Ge)?">="+Ce+"."+ze+".0":">="+De)+" "+(Z=H(re)?"":H(ye)?"<"+(+re+1)+".0.0":H(We)?"<"+re+"."+(+ye+1)+".0":oe?"<="+re+"."+ye+"."+We+"-"+oe:"<="+Z)).trim()}function K(se,De){for(var Ce=0;Ce<se.length;Ce++)if(!se[Ce].test(De))return!1;if(De.prerelease.length){for(Ce=0;Ce<se.length;Ce++)if(D(se[Ce].semver),se[Ce].semver!==ie&&se[Ce].semver.prerelease.length>0){var ze=se[Ce].semver;if(ze.major===De.major&&ze.minor===De.minor&&ze.patch===De.patch)return!0}return!1}return!0}function de(se,De,Ce){try{De=new O(De,Ce)}catch{return!1}return De.test(se)}function we(se,De,Ce,ze){var Ge,Ne,Qe,Z,re;switch(se=new J(se,ze),De=new O(De,ze),Ce){case">":Ge=me,Ne=ae,Qe=Pe,Z=">",re=">=";break;case"<":Ge=Pe,Ne=be,Qe=me,Z="<",re="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(de(se,De,ze))return!1;for(var ye=0;ye<De.set.length;++ye){var We=De.set[ye],oe=null,Re=null;if(We.forEach(function(Be){Be.semver===ie&&(Be=new ne(">=0.0.0")),oe=oe||Be,Re=Re||Be,Ge(Be.semver,oe.semver,ze)?oe=Be:Qe(Be.semver,Re.semver,ze)&&(Re=Be)}),oe.operator===Z||oe.operator===re||(!Re.operator||Re.operator===Z)&&Ne(se,Re.semver)||Re.operator===re&&Qe(se,Re.semver))return!1}return!0}ne.prototype.parse=function(se){var De=this.loose?C[U]:C[q],Ce=se.match(De);if(!Ce)throw new TypeError("Invalid comparator: "+se);this.operator=Ce[1],this.operator==="="&&(this.operator=""),Ce[2]?this.semver=new J(Ce[2],this.loose):this.semver=ie},ne.prototype.toString=function(){return this.value},ne.prototype.test=function(se){return D("Comparator.test",se,this.loose),this.semver===ie||(typeof se=="string"&&(se=new J(se,this.loose)),fe(se,this.operator,this.semver,this.loose))},ne.prototype.intersects=function(se,De){if(!(se instanceof ne))throw new TypeError("a Comparator is required");var Ce;if(this.operator==="")return Ce=new O(se.value,De),de(this.value,Ce,De);if(se.operator==="")return Ce=new O(this.value,De),de(se.semver,Ce,De);var ze=!(this.operator!==">="&&this.operator!==">"||se.operator!==">="&&se.operator!==">"),Ge=!(this.operator!=="<="&&this.operator!=="<"||se.operator!=="<="&&se.operator!=="<"),Ne=this.semver.version===se.semver.version,Qe=!(this.operator!==">="&&this.operator!=="<="||se.operator!==">="&&se.operator!=="<="),Z=fe(this.semver,"<",se.semver,De)&&(this.operator===">="||this.operator===">")&&(se.operator==="<="||se.operator==="<"),re=fe(this.semver,">",se.semver,De)&&(this.operator==="<="||this.operator==="<")&&(se.operator===">="||se.operator===">");return ze||Ge||Ne&&Qe||Z||re},e.Range=O,O.prototype.format=function(){return this.range=this.set.map(function(se){return se.join(" ").trim()}).join("||").trim(),this.range},O.prototype.toString=function(){return this.range},O.prototype.parseRange=function(se){var De=this.loose;se=se.trim(),D("range",se,De);var Ce=De?C[ee]:C[V];se=se.replace(Ce,G),D("hyphen replace",se),se=se.replace(C[x],"$1$2$3"),D("comparator trim",se,C[x]),se=(se=(se=se.replace(C[N],"$1~")).replace(C[z],"$1^")).split(/\s+/).join(" ");var ze=De?C[U]:C[q],Ge=se.split(" ").map(function(Ne){return function(Qe,Z){return D("comp",Qe),Qe=function(re,ye){return re.trim().split(/\s+/).map(function(We){return function(oe,Re){D("caret",oe,Re);var Be=Re?C[M]:C[X];return oe.replace(Be,function(qe,je,Ve,nt,ot){var rt;return D("caret",oe,qe,je,Ve,nt,ot),H(je)?rt="":H(Ve)?rt=">="+je+".0.0 <"+(+je+1)+".0.0":H(nt)?rt=je==="0"?">="+je+"."+Ve+".0 <"+je+"."+(+Ve+1)+".0":">="+je+"."+Ve+".0 <"+(+je+1)+".0.0":ot?(D("replaceCaret pr",ot),ot.charAt(0)!=="-"&&(ot="-"+ot),rt=je==="0"?Ve==="0"?">="+je+"."+Ve+"."+nt+ot+" <"+je+"."+Ve+"."+(+nt+1):">="+je+"."+Ve+"."+nt+ot+" <"+je+"."+(+Ve+1)+".0":">="+je+"."+Ve+"."+nt+ot+" <"+(+je+1)+".0.0"):(D("no pr"),rt=je==="0"?Ve==="0"?">="+je+"."+Ve+"."+nt+" <"+je+"."+Ve+"."+(+nt+1):">="+je+"."+Ve+"."+nt+" <"+je+"."+(+Ve+1)+".0":">="+je+"."+Ve+"."+nt+" <"+(+je+1)+".0.0"),D("caret return",rt),rt})}(We,ye)}).join(" ")}(Qe,Z),D("caret",Qe),Qe=function(re,ye){return re.trim().split(/\s+/).map(function(We){return function(oe,Re){var Be=Re?C[$]:C[A];return oe.replace(Be,function(qe,je,Ve,nt,ot){var rt;return D("tilde",oe,qe,je,Ve,nt,ot),H(je)?rt="":H(Ve)?rt=">="+je+".0.0 <"+(+je+1)+".0.0":H(nt)?rt=">="+je+"."+Ve+".0 <"+je+"."+(+Ve+1)+".0":ot?(D("replaceTilde pr",ot),ot.charAt(0)!=="-"&&(ot="-"+ot),rt=">="+je+"."+Ve+"."+nt+ot+" <"+je+"."+(+Ve+1)+".0"):rt=">="+je+"."+Ve+"."+nt+" <"+je+"."+(+Ve+1)+".0",D("tilde return",rt),rt})}(We,ye)}).join(" ")}(Qe,Z),D("tildes",Qe),Qe=function(re,ye){return D("replaceXRanges",re,ye),re.split(/\s+/).map(function(We){return function(oe,Re){oe=oe.trim();var Be=Re?C[S]:C[d];return oe.replace(Be,function(qe,je,Ve,nt,ot,rt){D("xRange",oe,qe,je,Ve,nt,ot,rt);var Je=H(Ve),at=Je||H(nt),pt=at||H(ot);return je==="="&&pt&&(je=""),Je?qe=je===">"||je==="<"?"<0.0.0":"*":je&&pt?(at&&(nt=0),pt&&(ot=0),je===">"?(je=">=",at?(Ve=+Ve+1,nt=0,ot=0):pt&&(nt=+nt+1,ot=0)):je==="<="&&(je="<",at?Ve=+Ve+1:nt=+nt+1),qe=je+Ve+"."+nt+"."+ot):at?qe=">="+Ve+".0.0 <"+(+Ve+1)+".0.0":pt&&(qe=">="+Ve+"."+nt+".0 <"+Ve+"."+(+nt+1)+".0"),D("xRange return",qe),qe})}(We,ye)}).join(" ")}(Qe,Z),D("xrange",Qe),Qe=function(re,ye){return D("replaceStars",re,ye),re.trim().replace(C[Y],"")}(Qe,Z),D("stars",Qe),Qe}(Ne,De)}).join(" ").split(/\s+/);return this.loose&&(Ge=Ge.filter(function(Ne){return!!Ne.match(ze)})),Ge=Ge.map(function(Ne){return new ne(Ne,De)})},O.prototype.intersects=function(se,De){if(!(se instanceof O))throw new TypeError("a Range is required");return this.set.some(function(Ce){return Ce.every(function(ze){return se.set.some(function(Ge){return Ge.every(function(Ne){return ze.intersects(Ne,De)})})})})},e.toComparators=function(se,De){return new O(se,De).set.map(function(Ce){return Ce.map(function(ze){return ze.value}).join(" ").trim().split(" ")})},O.prototype.test=function(se){if(!se)return!1;typeof se=="string"&&(se=new J(se,this.loose));for(var De=0;De<this.set.length;De++)if(K(this.set[De],se))return!0;return!1},e.satisfies=de,e.maxSatisfying=function(se,De,Ce){var ze=null,Ge=null;try{var Ne=new O(De,Ce)}catch{return null}return se.forEach(function(Qe){Ne.test(Qe)&&(ze&&Ge.compare(Qe)!==-1||(Ge=new J(ze=Qe,Ce)))}),ze},e.minSatisfying=function(se,De,Ce){var ze=null,Ge=null;try{var Ne=new O(De,Ce)}catch{return null}return se.forEach(function(Qe){Ne.test(Qe)&&(ze&&Ge.compare(Qe)!==1||(Ge=new J(ze=Qe,Ce)))}),ze},e.validRange=function(se,De){try{return new O(se,De).range||"*"}catch{return null}},e.ltr=function(se,De,Ce){return we(se,De,"<",Ce)},e.gtr=function(se,De,Ce){return we(se,De,">",Ce)},e.outside=we,e.prerelease=function(se,De){var Ce=ve(se,De);return Ce&&Ce.prerelease.length?Ce.prerelease:null},e.intersects=function(se,De,Ce){return se=new O(se,Ce),De=new O(De,Ce),se.intersects(De)},e.coerce=function(se){if(se instanceof J)return se;if(typeof se!="string")return null;var De=se.match(C[L]);return De==null?null:ve((De[1]||"0")+"."+(De[2]||"0")+"."+(De[3]||"0"))}}).call(this,u(1))},function(Q,e){var u,t,D=Q.exports={};function T(){throw new Error("setTimeout has not been defined")}function y(){throw new Error("clearTimeout has not been defined")}function C(g){if(u===setTimeout)return setTimeout(g,0);if((u===T||!u)&&setTimeout)return u=setTimeout,setTimeout(g,0);try{return u(g,0)}catch{try{return u.call(null,g,0)}catch{return u.call(this,g,0)}}}(function(){try{u=typeof setTimeout=="function"?setTimeout:T}catch{u=T}try{t=typeof clearTimeout=="function"?clearTimeout:y}catch{t=y}})();var E,I=[],R=!1,k=-1;function _(){R&&E&&(R=!1,E.length?I=E.concat(I):k=-1,I.length&&P())}function P(){if(!R){var g=C(_);R=!0;for(var f=I.length;f;){for(E=I,I=[];++k<f;)E&&E[k].run();k=-1,f=I.length}E=null,R=!1,function(v){if(t===clearTimeout)return clearTimeout(v);if((t===y||!t)&&clearTimeout)return t=clearTimeout,clearTimeout(v);try{t(v)}catch{try{return t.call(null,v)}catch{return t.call(this,v)}}}(g)}}function w(g,f){this.fun=g,this.array=f}function b(){}D.nextTick=function(g){var f=new Array(arguments.length-1);if(arguments.length>1)for(var v=1;v<arguments.length;v++)f[v-1]=arguments[v];I.push(new w(g,f)),I.length!==1||R||C(P)},w.prototype.run=function(){this.fun.apply(null,this.array)},D.title="browser",D.browser=!0,D.env={},D.argv=[],D.version="",D.versions={},D.on=b,D.addListener=b,D.once=b,D.off=b,D.removeListener=b,D.removeAllListeners=b,D.emit=b,D.prependListener=b,D.prependOnceListener=b,D.listeners=function(g){return[]},D.binding=function(g){throw new Error("process.binding is not supported")},D.cwd=function(){return"/"},D.chdir=function(g){throw new Error("process.chdir is not supported")},D.umask=function(){return 0}}])}),define(Ie[95],ke([1,0,12,6]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=e.isReadable=void 0;function D(c){const m=c;return m?typeof m.read=="function":!1}e.isReadable=D;function T(c){const m=c;return m?[m.on,m.pause,m.resume,m.destroy].every(a=>typeof a=="function"):!1}e.isReadableStream=T;function y(c){const m=c;return m?T(m.stream)&&Array.isArray(m.buffer)&&typeof m.ended=="boolean":!1}e.isReadableBufferedStream=y;function C(c,m){return new E(c,m)}e.newWriteableStream=C;class E{constructor(m,a){this.reducer=m,this.options=a,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(m){if(!this.state.destroyed){if(this.state.flowing)this.emitData(m);else if(this.buffer.data.push(m),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(a=>this.pendingWritePromises.push(a))}}error(m){this.state.destroyed||(this.state.flowing?this.emitError(m):this.buffer.error.push(m))}end(m){this.state.destroyed||(typeof m!="undefined"&&this.write(m),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(m){this.listeners.data.slice(0).forEach(a=>a(m))}emitError(m){this.listeners.error.length===0?(0,u.onUnexpectedError)(m):this.listeners.error.slice(0).forEach(a=>a(m))}emitEnd(){this.listeners.end.slice(0).forEach(m=>m())}on(m,a){if(!this.state.destroyed)switch(m){case"data":this.listeners.data.push(a),this.resume();break;case"end":this.listeners.end.push(a),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(a),this.state.flowing&&this.flowErrors();break}}removeListener(m,a){if(this.state.destroyed)return;let h;switch(m){case"data":h=this.listeners.data;break;case"end":h=this.listeners.end;break;case"error":h=this.listeners.error;break}if(h){const r=h.indexOf(a);r>=0&&h.splice(r,1)}}flowData(){if(this.buffer.data.length>0){const m=this.reducer(this.buffer.data);this.emitData(m),this.buffer.data.length=0;const a=[...this.pendingWritePromises];this.pendingWritePromises.length=0,a.forEach(h=>h())}}flowErrors(){if(this.listeners.error.length>0){for(const m of this.buffer.error)this.emitError(m);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function I(c,m){const a=[];let h;for(;(h=c.read())!==null;)a.push(h);return m(a)}e.consumeReadable=I;function R(c,m,a){const h=[];let r;for(;(r=c.read())!==null&&h.length<a;)h.push(r);return r===null&&h.length>0?m(h):{read:()=>{if(h.length>0)return h.shift();if(typeof r!="undefined"){const o=r;return r=void 0,o}return c.read()}}}e.peekReadable=R;function k(c,m){return new Promise((a,h)=>{const r=[];_(c,{onData:o=>{m&&r.push(o)},onError:o=>{m?h(o):a(void 0)},onEnd:()=>{a(m?m(r):void 0)}})})}e.consumeStream=k;function _(c,m){let a=!1;return c.on("error",h=>{a||m.onError(h)}),c.on("end",()=>{a||m.onEnd()}),c.on("data",h=>{a||m.onData(h)}),(0,t.toDisposable)(()=>a=!0)}e.listenStream=_;function P(c,m){return new Promise((a,h)=>{const r=new t.DisposableStore,o=[],i=l=>{if(o.push(l),o.length>m)return r.dispose(),c.pause(),a({stream:c,buffer:o,ended:!1})},n=l=>h(l),s=()=>a({stream:c,buffer:o,ended:!0});r.add((0,t.toDisposable)(()=>c.removeListener("error",n))),c.on("error",n),r.add((0,t.toDisposable)(()=>c.removeListener("end",s))),c.on("end",s),r.add((0,t.toDisposable)(()=>c.removeListener("data",i))),c.on("data",i)})}e.peekStream=P;function w(c,m){const a=C(m);return a.end(c),a}e.toStream=w;function b(){const c=C(()=>{throw new Error("not supported")});return c.end(),c}e.emptyStream=b;function g(c){let m=!1;return{read:()=>m?null:(m=!0,c)}}e.toReadable=g;function f(c,m,a){const h=C(a);return _(c,{onData:r=>h.write(m.data(r)),onError:r=>h.error(m.error?m.error(r):r),onEnd:()=>h.end()}),h}e.transform=f;function v(c,m,a){let h=!1;return{read:()=>{const r=m.read();return h?r:(h=!0,r!==null?a([c,r]):c)}}}e.prefixedReadable=v;function p(c,m,a){let h=!1;const r=C(a);return _(m,{onData:o=>h?r.write(o):(h=!0,r.write(a([c,o]))),onError:o=>r.error(o),onEnd:()=>{h||(h=!0,r.write(c)),r.end()}}),r}e.prefixedStream=p}),define(Ie[23],ke([1,0,95]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const t=typeof Buffer!="undefined";let D,T;class y{constructor(l){this.buffer=l,this.byteLength=this.buffer.byteLength}static alloc(l){return t?new y(Buffer.allocUnsafe(l)):new y(new Uint8Array(l))}static wrap(l){return t&&!Buffer.isBuffer(l)&&(l=Buffer.from(l.buffer,l.byteOffset,l.byteLength)),new y(l)}static fromString(l,d){return!(d?.dontUseNodeBuffer||!1)&&t?new y(Buffer.from(l)):(D||(D=new TextEncoder),new y(D.encode(l)))}static fromByteArray(l){const d=y.alloc(l.length);for(let S=0,L=l.length;S<L;S++)d.buffer[S]=l[S];return d}static concat(l,d){if(typeof d=="undefined"){d=0;for(let F=0,N=l.length;F<N;F++)d+=l[F].byteLength}const S=y.alloc(d);let L=0;for(let F=0,N=l.length;F<N;F++){const A=l[F];S.set(A,L),L+=A.byteLength}return S}clone(){const l=y.alloc(this.byteLength);return l.set(this),l}toString(){return t?this.buffer.toString():(T||(T=new TextDecoder),T.decode(this.buffer))}slice(l,d){return new y(this.buffer.subarray(l,d))}set(l,d){if(l instanceof y)this.buffer.set(l.buffer,d);else if(l instanceof Uint8Array)this.buffer.set(l,d);else if(l instanceof ArrayBuffer)this.buffer.set(new Uint8Array(l),d);else if(ArrayBuffer.isView(l))this.buffer.set(new Uint8Array(l.buffer,l.byteOffset,l.byteLength),d);else throw new Error("Unknown argument 'array'")}readUInt32BE(l){return I(this.buffer,l)}writeUInt32BE(l,d){R(this.buffer,l,d)}readUInt32LE(l){return k(this.buffer,l)}writeUInt32LE(l,d){_(this.buffer,l,d)}readUInt8(l){return P(this.buffer,l)}writeUInt8(l,d){w(this.buffer,l,d)}}e.VSBuffer=y;function C(s,l){return s[l+0]<<0>>>0|s[l+1]<<8>>>0}e.readUInt16LE=C;function E(s,l,d){s[d+0]=l&255,l=l>>>8,s[d+1]=l&255}e.writeUInt16LE=E;function I(s,l){return s[l]*2**24+s[l+1]*2**16+s[l+2]*2**8+s[l+3]}e.readUInt32BE=I;function R(s,l,d){s[d+3]=l,l=l>>>8,s[d+2]=l,l=l>>>8,s[d+1]=l,l=l>>>8,s[d]=l}e.writeUInt32BE=R;function k(s,l){return s[l+0]<<0>>>0|s[l+1]<<8>>>0|s[l+2]<<16>>>0|s[l+3]<<24>>>0}e.readUInt32LE=k;function _(s,l,d){s[d+0]=l&255,l=l>>>8,s[d+1]=l&255,l=l>>>8,s[d+2]=l&255,l=l>>>8,s[d+3]=l&255}e.writeUInt32LE=_;function P(s,l){return s[l]}e.readUInt8=P;function w(s,l,d){s[d]=l}e.writeUInt8=w;function b(s){return u.consumeReadable(s,l=>y.concat(l))}e.readableToBuffer=b;function g(s){return u.toReadable(s)}e.bufferToReadable=g;function f(s){return u.consumeStream(s,l=>y.concat(l))}e.streamToBuffer=f;async function v(s){return s.ended?y.concat(s.buffer):y.concat([...s.buffer,await f(s.stream)])}e.bufferedStreamToBuffer=v;function p(s){return u.toStream(s,l=>y.concat(l))}e.bufferToStream=p;function c(s){return u.transform(s,{data:l=>typeof l=="string"?y.fromString(l):y.wrap(l)},l=>y.concat(l))}e.streamToBufferReadableStream=c;function m(s){return u.newWriteableStream(l=>y.concat(l),s)}e.newWriteableBufferStream=m;function a(s,l){return u.prefixedReadable(s,l,d=>y.concat(d))}e.prefixedBufferReadable=a;function h(s,l){return u.prefixedStream(s,l,d=>y.concat(d))}e.prefixedBufferStream=h;function r(s){let l=0,d=0,S=0;const L=new Uint8Array(Math.floor(s.length/4*3)),F=A=>{switch(d){case 3:L[S++]=l|A,d=0;break;case 2:L[S++]=l|A>>>2,l=A<<6,d=3;break;case 1:L[S++]=l|A>>>4,l=A<<4,d=2;break;default:l=A<<2,d=1}};for(let A=0;A<s.length;A++){const $=s.charCodeAt(A);if($>=65&&$<=90)F($-65);else if($>=97&&$<=122)F($-97+26);else if($>=48&&$<=57)F($-48+52);else if($===43||$===45)F(62);else if($===47||$===95)F(63);else{if($===61)break;throw new SyntaxError(`Unexpected base64 character ${s[A]}`)}}const N=S;for(;d>0;)F(0);return y.wrap(L).slice(0,N)}e.decodeBase64=r;const o="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function n({buffer:s},l=!0,d=!1){const S=d?i:o;let L="";const F=s.byteLength%3;let N=0;for(;N<s.byteLength-F;N+=3){const A=s[N+0],$=s[N+1],B=s[N+2];L+=S[A>>>2],L+=S[(A<<4|$>>>4)&63],L+=S[($<<2|B>>>6)&63],L+=S[B&63]}if(F===1){const A=s[N+0];L+=S[A>>>2],L+=S[A<<4&63],l&&(L+="==")}else if(F===2){const A=s[N+0],$=s[N+1];L+=S[A>>>2],L+=S[(A<<4|$>>>4)&63],L+=S[$<<2&63],l&&(L+="=")}return L}e.encodeBase64=n}),define(Ie[10],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isTypedArray=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function u(s){return Array.isArray(s)}e.isArray=u;function t(s){return typeof s=="string"}e.isString=t;function D(s){return Array.isArray(s)&&s.every(l=>t(l))}e.isStringArray=D;function T(s){return typeof s=="object"&&s!==null&&!Array.isArray(s)&&!(s instanceof RegExp)&&!(s instanceof Date)}e.isObject=T;function y(s){return typeof s=="object"&&(s instanceof Uint8Array||s instanceof Uint16Array||s instanceof Uint32Array||s instanceof Float32Array||s instanceof Float64Array||s instanceof Int8Array||s instanceof Int16Array||s instanceof Int32Array||s instanceof BigInt64Array||s instanceof BigUint64Array||s instanceof Uint8ClampedArray)}e.isTypedArray=y;function C(s){return typeof s=="number"&&!isNaN(s)}e.isNumber=C;function E(s){return!!s&&typeof s[Symbol.iterator]=="function"}e.isIterable=E;function I(s){return s===!0||s===!1}e.isBoolean=I;function R(s){return typeof s=="undefined"}e.isUndefined=R;function k(s){return!_(s)}e.isDefined=k;function _(s){return R(s)||s===null}e.isUndefinedOrNull=_;function P(s,l){if(!s)throw new Error(l?`Unexpected type, expected '${l}'`:"Unexpected type")}e.assertType=P;function w(s){if(_(s))throw new Error("Assertion Failed: argument is undefined or null");return s}e.assertIsDefined=w;function b(...s){const l=[];for(let d=0;d<s.length;d++){const S=s[d];if(_(S))throw new Error(`Assertion Failed: argument at index ${d} is undefined or null`);l.push(S)}return l}e.assertAllDefined=b;const g=Object.prototype.hasOwnProperty;function f(s){if(!T(s))return!1;for(const l in s)if(g.call(s,l))return!1;return!0}e.isEmptyObject=f;function v(s){return typeof s=="function"}e.isFunction=v;function p(...s){return s.length>0&&s.every(v)}e.areFunctions=p;function c(s,l){const d=Math.min(s.length,l.length);for(let S=0;S<d;S++)m(s[S],l[S])}e.validateConstraints=c;function m(s,l){if(t(l)){if(typeof s!==l)throw new Error(`argument does not match constraint: typeof ${l}`)}else if(v(l)){try{if(s instanceof l)return}catch{}if(!_(s)&&s.constructor===l||l.length===1&&l.call(void 0,s)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=m;function a(s){let l=[],d=Object.getPrototypeOf(s);for(;Object.prototype!==d;)l=l.concat(Object.getOwnPropertyNames(d)),d=Object.getPrototypeOf(d);return l}e.getAllPropertyNames=a;function h(s){const l=[];for(const d of a(s))typeof s[d]=="function"&&l.push(d);return l}e.getAllMethodNames=h;function r(s,l){const d=L=>function(){const F=Array.prototype.slice.call(arguments,0);return l(L,F)},S={};for(const L of s)S[L]=d(L);return S}e.createProxyObject=r;function o(s){return s===null?void 0:s}e.withNullAsUndefined=o;function i(s){return typeof s=="undefined"?null:s}e.withUndefinedAsNull=i;function n(s,l="Unreachable"){throw new Error(l)}e.assertNever=n}),define(Ie[24],ke([1,0,10]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function t(w){if(!w||typeof w!="object"||w instanceof RegExp)return w;const b=Array.isArray(w)?[]:{};return Object.keys(w).forEach(g=>{w[g]&&typeof w[g]=="object"?b[g]=t(w[g]):b[g]=w[g]}),b}e.deepClone=t;function D(w){if(!w||typeof w!="object")return w;const b=[w];for(;b.length>0;){const g=b.shift();Object.freeze(g);for(const f in g)if(T.call(g,f)){const v=g[f];typeof v=="object"&&!Object.isFrozen(v)&&!(0,u.isTypedArray)(v)&&b.push(v)}}return w}e.deepFreeze=D;const T=Object.prototype.hasOwnProperty;function y(w,b){return C(w,b,new Set)}e.cloneAndChange=y;function C(w,b,g){if((0,u.isUndefinedOrNull)(w))return w;const f=b(w);if(typeof f!="undefined")return f;if((0,u.isArray)(w)){const v=[];for(const p of w)v.push(C(p,b,g));return v}if((0,u.isObject)(w)){if(g.has(w))throw new Error("Cannot clone recursive data-structure");g.add(w);const v={};for(const p in w)T.call(w,p)&&(v[p]=C(w[p],b,g));return g.delete(w),v}return w}function E(w,b,g=!0){return(0,u.isObject)(w)?((0,u.isObject)(b)&&Object.keys(b).forEach(f=>{f in w?g&&((0,u.isObject)(w[f])&&(0,u.isObject)(b[f])?E(w[f],b[f],g):w[f]=b[f]):w[f]=b[f]}),w):b}e.mixin=E;function I(w,b){if(w===b)return!0;if(w==null||b===null||b===void 0||typeof w!=typeof b||typeof w!="object"||Array.isArray(w)!==Array.isArray(b))return!1;let g,f;if(Array.isArray(w)){if(w.length!==b.length)return!1;for(g=0;g<w.length;g++)if(!I(w[g],b[g]))return!1}else{const v=[];for(f in w)v.push(f);v.sort();const p=[];for(f in b)p.push(f);if(p.sort(),!I(v,p))return!1;for(g=0;g<v.length;g++)if(!I(w[v[g]],b[v[g]]))return!1}return!0}e.equals=I;function R(w){const b=new Set;return JSON.stringify(w,(g,f)=>{if((0,u.isObject)(f)||Array.isArray(f)){if(b.has(f))return"[Circular]";b.add(f)}return f})}e.safeStringify=R;function k(w,b){const g=Object.create(null);return!w||!b||Object.keys(b).forEach(v=>{const p=w[v],c=b[v];I(p,c)||(g[v]=c)}),g}e.distinct=k;function _(w,b){const g=b.toLowerCase(),f=Object.keys(w).find(v=>v.toLowerCase()===g);return f?w[f]:w[b]}e.getCaseInsensitive=_;function P(w,b){const g=Object.create(null);for(const[f,v]of Object.entries(w))b(f,v)&&(g[f]=v);return g}e.filter=P}),define(Ie[96],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var u;(function(T){T[T.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",T[T.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",T[T.MAX_UINT_8=255]="MAX_UINT_8",T[T.MAX_UINT_16=65535]="MAX_UINT_16",T[T.MAX_UINT_32=4294967295]="MAX_UINT_32",T[T.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(u=e.Constants||(e.Constants={}));function t(T){return T<0?0:T>255?255:T|0}e.toUint8=t;function D(T){return T<0?0:T>4294967295?4294967295:T|0}e.toUint32=D}),define(Ie[34],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const u=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function t(D){return u.test(D)}e.isUUID=t,e.generateUuid=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let D;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?D=crypto.getRandomValues.bind(crypto):D=function(C){for(let E=0;E<C.length;E++)C[E]=Math.floor(Math.random()*256);return C};const T=new Uint8Array(16),y=[];for(let C=0;C<256;C++)y.push(C.toString(16).padStart(2,"0"));return function(){D(T),T[6]=T[6]&15|64,T[8]=T[8]&63|128;let E=0,I="";return I+=y[T[E++]],I+=y[T[E++]],I+=y[T[E++]],I+=y[T[E++]],I+="-",I+=y[T[E++]],I+=y[T[E++]],I+="-",I+=y[T[E++]],I+=y[T[E++]],I+="-",I+=y[T[E++]],I+=y[T[E++]],I+="-",I+=y[T[E++]],I+=y[T[E++]],I+=y[T[E++]],I+=y[T[E++]],I+=y[T[E++]],I+=y[T[E++]],I}}()}),define(Ie[144],ke([1,0,97]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class t{constructor(T="utf8"){this.stringDecoder=new u.StringDecoder(T),this.remaining=null}write(T){const y=[],C=this.remaining?this.remaining+this.stringDecoder.write(T):this.stringDecoder.write(T);if(C.length<1)return y;let E=0,I,R=E;for(;R<C.length;)if(I=C.charCodeAt(R),I===13||I===10){if(y.push(C.substring(E,R)),R++,R<C.length){const k=I;I=C.charCodeAt(R),(k===13&&I===10||k===10&&I===13)&&R++}E=R}else R++;return this.remaining=E<C.length?C.substr(E):null,y}end(){return this.remaining}}e.LineDecoder=t}),define(Ie[98],ke([1,0,96]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class t{constructor(C){const E=(0,u.toUint8)(C);this._defaultValue=E,this._asciiMap=t._createAsciiMap(E),this._map=new Map}static _createAsciiMap(C){const E=new Uint8Array(256);for(let I=0;I<256;I++)E[I]=C;return E}set(C,E){const I=(0,u.toUint8)(E);C>=0&&C<256?this._asciiMap[C]=I:this._map.set(C,I)}get(C){return C>=0&&C<256?this._asciiMap[C]:this._map.get(C)||this._defaultValue}}e.CharacterClassifier=t;var D;(function(y){y[y.False=0]="False",y[y.True=1]="True"})(D||(D={}));class T{constructor(){this._actual=new t(0)}add(C){this._actual.set(C,1)}has(C){return this._actual.get(C)===1}}e.CharacterSet=T}),define(Ie[48],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class u{constructor(D,T){this.lineNumber=D,this.column=T}with(D=this.lineNumber,T=this.column){return D===this.lineNumber&&T===this.column?this:new u(D,T)}delta(D=0,T=0){return this.with(this.lineNumber+D,this.column+T)}equals(D){return u.equals(this,D)}static equals(D,T){return!D&&!T?!0:!!D&&!!T&&D.lineNumber===T.lineNumber&&D.column===T.column}isBefore(D){return u.isBefore(this,D)}static isBefore(D,T){return D.lineNumber<T.lineNumber?!0:T.lineNumber<D.lineNumber?!1:D.column<T.column}isBeforeOrEqual(D){return u.isBeforeOrEqual(this,D)}static isBeforeOrEqual(D,T){return D.lineNumber<T.lineNumber?!0:T.lineNumber<D.lineNumber?!1:D.column<=T.column}static compare(D,T){const y=D.lineNumber|0,C=T.lineNumber|0;if(y===C){const E=D.column|0,I=T.column|0;return E-I}return y-C}clone(){return new u(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(D){return new u(D.lineNumber,D.column)}static isIPosition(D){return D&&typeof D.lineNumber=="number"&&typeof D.column=="number"}}e.Position=u}),define(Ie[35],ke([1,0,48]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class t{constructor(T,y,C,E){T>C||T===C&&y>E?(this.startLineNumber=C,this.startColumn=E,this.endLineNumber=T,this.endColumn=y):(this.startLineNumber=T,this.startColumn=y,this.endLineNumber=C,this.endColumn=E)}isEmpty(){return t.isEmpty(this)}static isEmpty(T){return T.startLineNumber===T.endLineNumber&&T.startColumn===T.endColumn}containsPosition(T){return t.containsPosition(this,T)}static containsPosition(T,y){return!(y.lineNumber<T.startLineNumber||y.lineNumber>T.endLineNumber||y.lineNumber===T.startLineNumber&&y.column<T.startColumn||y.lineNumber===T.endLineNumber&&y.column>T.endColumn)}static strictContainsPosition(T,y){return!(y.lineNumber<T.startLineNumber||y.lineNumber>T.endLineNumber||y.lineNumber===T.startLineNumber&&y.column<=T.startColumn||y.lineNumber===T.endLineNumber&&y.column>=T.endColumn)}containsRange(T){return t.containsRange(this,T)}static containsRange(T,y){return!(y.startLineNumber<T.startLineNumber||y.endLineNumber<T.startLineNumber||y.startLineNumber>T.endLineNumber||y.endLineNumber>T.endLineNumber||y.startLineNumber===T.startLineNumber&&y.startColumn<T.startColumn||y.endLineNumber===T.endLineNumber&&y.endColumn>T.endColumn)}strictContainsRange(T){return t.strictContainsRange(this,T)}static strictContainsRange(T,y){return!(y.startLineNumber<T.startLineNumber||y.endLineNumber<T.startLineNumber||y.startLineNumber>T.endLineNumber||y.endLineNumber>T.endLineNumber||y.startLineNumber===T.startLineNumber&&y.startColumn<=T.startColumn||y.endLineNumber===T.endLineNumber&&y.endColumn>=T.endColumn)}plusRange(T){return t.plusRange(this,T)}static plusRange(T,y){let C,E,I,R;return y.startLineNumber<T.startLineNumber?(C=y.startLineNumber,E=y.startColumn):y.startLineNumber===T.startLineNumber?(C=y.startLineNumber,E=Math.min(y.startColumn,T.startColumn)):(C=T.startLineNumber,E=T.startColumn),y.endLineNumber>T.endLineNumber?(I=y.endLineNumber,R=y.endColumn):y.endLineNumber===T.endLineNumber?(I=y.endLineNumber,R=Math.max(y.endColumn,T.endColumn)):(I=T.endLineNumber,R=T.endColumn),new t(C,E,I,R)}intersectRanges(T){return t.intersectRanges(this,T)}static intersectRanges(T,y){let C=T.startLineNumber,E=T.startColumn,I=T.endLineNumber,R=T.endColumn;const k=y.startLineNumber,_=y.startColumn,P=y.endLineNumber,w=y.endColumn;return C<k?(C=k,E=_):C===k&&(E=Math.max(E,_)),I>P?(I=P,R=w):I===P&&(R=Math.min(R,w)),C>I||C===I&&E>R?null:new t(C,E,I,R)}equalsRange(T){return t.equalsRange(this,T)}static equalsRange(T,y){return!!T&&!!y&&T.startLineNumber===y.startLineNumber&&T.startColumn===y.startColumn&&T.endLineNumber===y.endLineNumber&&T.endColumn===y.endColumn}getEndPosition(){return t.getEndPosition(this)}static getEndPosition(T){return new u.Position(T.endLineNumber,T.endColumn)}getStartPosition(){return t.getStartPosition(this)}static getStartPosition(T){return new u.Position(T.startLineNumber,T.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(T,y){return new t(this.startLineNumber,this.startColumn,T,y)}setStartPosition(T,y){return new t(T,y,this.endLineNumber,this.endColumn)}collapseToStart(){return t.collapseToStart(this)}static collapseToStart(T){return new t(T.startLineNumber,T.startColumn,T.startLineNumber,T.startColumn)}static fromPositions(T,y=T){return new t(T.lineNumber,T.column,y.lineNumber,y.column)}static lift(T){return T?new t(T.startLineNumber,T.startColumn,T.endLineNumber,T.endColumn):null}static isIRange(T){return T&&typeof T.startLineNumber=="number"&&typeof T.startColumn=="number"&&typeof T.endLineNumber=="number"&&typeof T.endColumn=="number"}static areIntersectingOrTouching(T,y){return!(T.endLineNumber<y.startLineNumber||T.endLineNumber===y.startLineNumber&&T.endColumn<y.startColumn||y.endLineNumber<T.startLineNumber||y.endLineNumber===T.startLineNumber&&y.endColumn<T.startColumn)}static areIntersecting(T,y){return!(T.endLineNumber<y.startLineNumber||T.endLineNumber===y.startLineNumber&&T.endColumn<=y.startColumn||y.endLineNumber<T.startLineNumber||y.endLineNumber===T.startLineNumber&&y.endColumn<=T.startColumn)}static compareRangesUsingStarts(T,y){if(T&&y){const I=T.startLineNumber|0,R=y.startLineNumber|0;if(I===R){const k=T.startColumn|0,_=y.startColumn|0;if(k===_){const P=T.endLineNumber|0,w=y.endLineNumber|0;if(P===w){const b=T.endColumn|0,g=y.endColumn|0;return b-g}return P-w}return k-_}return I-R}return(T?1:0)-(y?1:0)}static compareRangesUsingEnds(T,y){return T.endLineNumber===y.endLineNumber?T.endColumn===y.endColumn?T.startLineNumber===y.startLineNumber?T.startColumn-y.startColumn:T.startLineNumber-y.startLineNumber:T.endColumn-y.endColumn:T.endLineNumber-y.endLineNumber}static spansMultipleLines(T){return T.endLineNumber>T.startLineNumber}toJSON(){return this}}e.Range=t}),define(Ie[145],ke([1,0,48,35]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var D;(function(y){y[y.LTR=0]="LTR",y[y.RTL=1]="RTL"})(D=e.SelectionDirection||(e.SelectionDirection={}));class T extends t.Range{constructor(C,E,I,R){super(C,E,I,R);this.selectionStartLineNumber=C,this.selectionStartColumn=E,this.positionLineNumber=I,this.positionColumn=R}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(C){return T.selectionsEqual(this,C)}static selectionsEqual(C,E){return C.selectionStartLineNumber===E.selectionStartLineNumber&&C.selectionStartColumn===E.selectionStartColumn&&C.positionLineNumber===E.positionLineNumber&&C.positionColumn===E.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(C,E){return this.getDirection()===0?new T(this.startLineNumber,this.startColumn,C,E):new T(C,E,this.startLineNumber,this.startColumn)}getPosition(){return new u.Position(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new u.Position(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(C,E){return this.getDirection()===0?new T(C,E,this.endLineNumber,this.endColumn):new T(this.endLineNumber,this.endColumn,C,E)}static fromPositions(C,E=C){return new T(C.lineNumber,C.column,E.lineNumber,E.column)}static fromRange(C,E){return E===0?new T(C.startLineNumber,C.startColumn,C.endLineNumber,C.endColumn):new T(C.endLineNumber,C.endColumn,C.startLineNumber,C.startColumn)}static liftSelection(C){return new T(C.selectionStartLineNumber,C.selectionStartColumn,C.positionLineNumber,C.positionColumn)}static selectionsArrEqual(C,E){if(C&&!E||!C&&E)return!1;if(!C&&!E)return!0;if(C.length!==E.length)return!1;for(let I=0,R=C.length;I<R;I++)if(!this.selectionsEqual(C[I],E[I]))return!1;return!0}static isISelection(C){return C&&typeof C.selectionStartLineNumber=="number"&&typeof C.selectionStartColumn=="number"&&typeof C.positionLineNumber=="number"&&typeof C.positionColumn=="number"}static createWithDirection(C,E,I,R,k){return k===0?new T(C,E,I,R):new T(I,R,C,E)}}e.Selection=T}),define(Ie[146],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EDITOR_MODEL_DEFAULTS=void 0,e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0,bracketPairColorizationOptions:{enabled:!0,independentColorPoolPerBracketType:!1}}}),define(Ie[147],ke([1,0,98]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var t;(function(y){y[y.Regular=0]="Regular",y[y.Whitespace=1]="Whitespace",y[y.WordSeparator=2]="WordSeparator"})(t=e.WordCharacterClass||(e.WordCharacterClass={}));class D extends u.CharacterClassifier{constructor(C){super(0);for(let E=0,I=C.length;E<I;E++)this.set(C.charCodeAt(E),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=D;function T(y){const C={};return E=>(C.hasOwnProperty(E)||(C[E]=y(E)),C[E])}e.getMapForWordSeparators=T(y=>new D(y))}),define(Ie[99],ke([1,0,59,6,79]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.setDefaultGetWordAtTextConfig=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function T(k=""){let _="(-?\\d*\\.\\d\\w*)|([^";for(const P of e.USUAL_WORD_SEPARATORS)k.indexOf(P)>=0||(_+="\\"+P);return _+="\\s]+)",new RegExp(_,"g")}e.DEFAULT_WORD_REGEXP=T();function y(k){let _=e.DEFAULT_WORD_REGEXP;if(k&&k instanceof RegExp)if(k.global)_=k;else{let P="g";k.ignoreCase&&(P+="i"),k.multiline&&(P+="m"),k.unicode&&(P+="u"),_=new RegExp(k.source,P)}return _.lastIndex=0,_}e.ensureValidWordDefinition=y;const C=new D.LinkedList;C.unshift({maxLen:1e3,windowSize:15,timeBudget:150});function E(k){const _=C.unshift(k);return(0,t.toDisposable)(_)}e.setDefaultGetWordAtTextConfig=E;function I(k,_,P,w,b){if(b||(b=u.Iterable.first(C)),P.length>b.maxLen){let c=k-b.maxLen/2;return c<0?c=0:w+=c,P=P.substring(c,k+b.maxLen/2),I(k,_,P,w,b)}const g=Date.now(),f=k-1-w;let v=-1,p=null;for(let c=1;!(Date.now()-g>=b.timeBudget);c++){const m=f-b.windowSize*c;_.lastIndex=Math.max(0,m);const a=R(_,P,f,v);if(!a&&p||(p=a,m<=0))break;v=m}if(p){const c={word:p[0],startColumn:w+1+p.index,endColumn:w+1+p.index+p[0].length};return _.lastIndex=0,c}return null}e.getWordAtText=I;function R(k,_,P,w){let b;for(;b=k.exec(_);){const g=b.index||0;if(g<=P&&k.lastIndex>=P)return b;if(w>0&&g>w)return null}return null}}),define(Ie[148],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var u;(function(y){y[y.None=0]="None",y[y.Indent=1]="Indent",y[y.IndentOutdent=2]="IndentOutdent",y[y.Outdent=3]="Outdent"})(u=e.IndentAction||(e.IndentAction={}));class t{constructor(C){if(this._neutralCharacter=null,this._neutralCharacterSearched=!1,this.open=C.open,this.close=C.close,this._inString=!0,this._inComment=!0,this._inRegEx=!0,Array.isArray(C.notIn))for(let E=0,I=C.notIn.length;E<I;E++)switch(C.notIn[E]){case"string":this._inString=!1;break;case"comment":this._inComment=!1;break;case"regex":this._inRegEx=!1;break}}isOK(C){switch(C){case 0:return!0;case 1:return this._inComment;case 2:return this._inString;case 3:return this._inRegEx}}shouldAutoClose(C,E){if(C.getTokenCount()===0)return!0;const I=C.findTokenIndexAtOffset(E-2),R=C.getStandardTokenType(I);return this.isOK(R)}_findNeutralCharacterInRange(C,E){for(let I=C;I<=E;I++){const R=String.fromCharCode(I);if(!this.open.includes(R)&&!this.close.includes(R))return R}return null}findNeutralCharacter(){return this._neutralCharacterSearched||(this._neutralCharacterSearched=!0,this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(48,57)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(97,122)),this._neutralCharacter||(this._neutralCharacter=this._findNeutralCharacterInRange(65,90))),this._neutralCharacter}}e.StandardAutoClosingPairConditional=t;class D{constructor(C){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const E of C)T(this.autoClosingPairsOpenByStart,E.open.charAt(0),E),T(this.autoClosingPairsOpenByEnd,E.open.charAt(E.open.length-1),E),T(this.autoClosingPairsCloseByStart,E.close.charAt(0),E),T(this.autoClosingPairsCloseByEnd,E.close.charAt(E.close.length-1),E),E.close.length===1&&E.open.length===1&&T(this.autoClosingPairsCloseSingleChar,E.close,E)}}e.AutoClosingPairs=D;function T(y,C,E){y.has(C)?y.get(C).push(E):y.set(C,[E])}}),define(Ie[149],ke([1,0,98]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var t;(function(P){P[P.Invalid=0]="Invalid",P[P.Start=1]="Start",P[P.H=2]="H",P[P.HT=3]="HT",P[P.HTT=4]="HTT",P[P.HTTP=5]="HTTP",P[P.F=6]="F",P[P.FI=7]="FI",P[P.FIL=8]="FIL",P[P.BeforeColon=9]="BeforeColon",P[P.AfterColon=10]="AfterColon",P[P.AlmostThere=11]="AlmostThere",P[P.End=12]="End",P[P.Accept=13]="Accept",P[P.LastKnownState=14]="LastKnownState"})(t=e.State||(e.State={}));class D{constructor(w,b,g){const f=new Uint8Array(w*b);for(let v=0,p=w*b;v<p;v++)f[v]=g;this._data=f,this.rows=w,this.cols=b}get(w,b){return this._data[w*this.cols+b]}set(w,b,g){this._data[w*this.cols+b]=g}}e.Uint8Matrix=D;class T{constructor(w){let b=0,g=0;for(let v=0,p=w.length;v<p;v++){const[c,m,a]=w[v];m>b&&(b=m),c>g&&(g=c),a>g&&(g=a)}b++,g++;const f=new D(g,b,0);for(let v=0,p=w.length;v<p;v++){const[c,m,a]=w[v];f.set(c,m,a)}this._states=f,this._maxCharCode=b}nextState(w,b){return b<0||b>=this._maxCharCode?0:this._states.get(w,b)}}e.StateMachine=T;let y=null;function C(){return y===null&&(y=new T([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),y}var E;(function(P){P[P.None=0]="None",P[P.ForceTermination=1]="ForceTermination",P[P.CannotEndIn=2]="CannotEndIn"})(E||(E={}));let I=null;function R(){if(I===null){I=new u.CharacterClassifier(0);const P=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let b=0;b<P.length;b++)I.set(P.charCodeAt(b),1);const w=".,;:";for(let b=0;b<w.length;b++)I.set(w.charCodeAt(b),2)}return I}class k{static _createLink(w,b,g,f,v){let p=v-1;do{const c=b.charCodeAt(p);if(w.get(c)!==2)break;p--}while(p>f);if(f>0){const c=b.charCodeAt(f-1),m=b.charCodeAt(p);(c===40&&m===41||c===91&&m===93||c===123&&m===125)&&p--}return{range:{startLineNumber:g,startColumn:f+1,endLineNumber:g,endColumn:p+2},url:b.substring(f,p+1)}}static computeLinks(w,b=C()){const g=R(),f=[];for(let v=1,p=w.getLineCount();v<=p;v++){const c=w.getLineContent(v),m=c.length;let a=0,h=0,r=0,o=1,i=!1,n=!1,s=!1,l=!1;for(;a<m;){let d=!1;const S=c.charCodeAt(a);if(o===13){let L;switch(S){case 40:i=!0,L=0;break;case 41:L=i?0:1;break;case 91:s=!0,n=!0,L=0;break;case 93:s=!1,L=n?0:1;break;case 123:l=!0,L=0;break;case 125:L=l?0:1;break;case 39:L=r===39?1:0;break;case 34:L=r===34?1:0;break;case 96:L=r===96?1:0;break;case 42:L=r===42?1:0;break;case 124:L=r===124?1:0;break;case 32:L=s?0:1;break;default:L=g.get(S)}L===1&&(f.push(k._createLink(g,c,v,h,a)),d=!0)}else if(o===12){let L;S===91?(n=!0,L=0):L=g.get(S),L===1?d=!0:o=13}else o=b.nextState(o,S),o===0&&(d=!0);d&&(o=1,i=!1,n=!1,l=!1,h=a+1,r=S),a++}o===13&&f.push(k._createLink(g,c,v,h,m))}return f}}e.LinkComputer=k;function _(P){return!P||typeof P.getLineCount!="function"||typeof P.getLineContent!="function"?[]:k.computeLinks(P)}e.computeLinks=_}),define(Ie[100],ke([1,0,24]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.ApplyEditsResult=e.SearchData=e.ValidAnnotatedEditOperation=e.ModelConstants=e.PositionAffinity=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.InjectedTextCursorStops=e.MinimapPosition=e.OverviewRulerLane=void 0;var t;(function(v){v[v.Left=1]="Left",v[v.Center=2]="Center",v[v.Right=4]="Right",v[v.Full=7]="Full"})(t=e.OverviewRulerLane||(e.OverviewRulerLane={}));var D;(function(v){v[v.Inline=1]="Inline",v[v.Gutter=2]="Gutter"})(D=e.MinimapPosition||(e.MinimapPosition={}));var T;(function(v){v[v.Both=0]="Both",v[v.Right=1]="Right",v[v.Left=2]="Left",v[v.None=3]="None"})(T=e.InjectedTextCursorStops||(e.InjectedTextCursorStops={}));var y;(function(v){v[v.TextDefined=0]="TextDefined",v[v.LF=1]="LF",v[v.CRLF=2]="CRLF"})(y=e.EndOfLinePreference||(e.EndOfLinePreference={}));var C;(function(v){v[v.LF=1]="LF",v[v.CRLF=2]="CRLF"})(C=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var E;(function(v){v[v.LF=0]="LF",v[v.CRLF=1]="CRLF"})(E=e.EndOfLineSequence||(e.EndOfLineSequence={}));class I{constructor(p){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,p.tabSize|0),this.indentSize=p.tabSize|0,this.insertSpaces=Boolean(p.insertSpaces),this.defaultEOL=p.defaultEOL|0,this.trimAutoWhitespace=Boolean(p.trimAutoWhitespace),this.bracketPairColorizationOptions=p.bracketPairColorizationOptions}equals(p){return this.tabSize===p.tabSize&&this.indentSize===p.indentSize&&this.insertSpaces===p.insertSpaces&&this.defaultEOL===p.defaultEOL&&this.trimAutoWhitespace===p.trimAutoWhitespace&&(0,u.equals)(this.bracketPairColorizationOptions,p.bracketPairColorizationOptions)}createChangeEvent(p){return{tabSize:this.tabSize!==p.tabSize,indentSize:this.indentSize!==p.indentSize,insertSpaces:this.insertSpaces!==p.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==p.trimAutoWhitespace}}}e.TextModelResolvedOptions=I;class R{constructor(p,c){this._findMatchBrand=void 0,this.range=p,this.matches=c}}e.FindMatch=R;var k;(function(v){v[v.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",v[v.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",v[v.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",v[v.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(k=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));var _;(function(v){v[v.Left=0]="Left",v[v.Right=1]="Right",v[v.None=2]="None",v[v.LeftOfInjectedText=3]="LeftOfInjectedText",v[v.RightOfInjectedText=4]="RightOfInjectedText"})(_=e.PositionAffinity||(e.PositionAffinity={}));var P;(function(v){v[v.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(P=e.ModelConstants||(e.ModelConstants={}));class w{constructor(p,c,m,a,h,r){this.identifier=p,this.range=c,this.text=m,this.forceMoveMarkers=a,this.isAutoWhitespaceEdit=h,this._isTracked=r}}e.ValidAnnotatedEditOperation=w;class b{constructor(p,c,m){this.regex=p,this.wordSeparators=c,this.simpleSearch=m}}e.SearchData=b;class g{constructor(p,c,m){this.reverseEdits=p,this.changes=c,this.trimAutoWhitespaceLineNumbers=m}}e.ApplyEditsResult=g;function f(v){return!v.isTooLargeForSyncing()&&!v.isForSimpleWidget}e.shouldSynchronizeModel=f}),define(Ie[150],ke([1,0,16,96]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumIndexOfResult=e.ConstantTimePrefixSumComputer=e.PrefixSumComputer=void 0;class D{constructor(E){this.values=E,this.prefixSum=new Uint32Array(E.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(E,I){E=(0,t.toUint32)(E);const R=this.values,k=this.prefixSum,_=I.length;return _===0?!1:(this.values=new Uint32Array(R.length+_),this.values.set(R.subarray(0,E),0),this.values.set(R.subarray(E),E+_),this.values.set(I,E),E-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=E-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(k.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}setValue(E,I){return E=(0,t.toUint32)(E),I=(0,t.toUint32)(I),this.values[E]===I?!1:(this.values[E]=I,E-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=E-1),!0)}removeValues(E,I){E=(0,t.toUint32)(E),I=(0,t.toUint32)(I);const R=this.values,k=this.prefixSum;if(E>=R.length)return!1;const _=R.length-E;return I>=_&&(I=_),I===0?!1:(this.values=new Uint32Array(R.length-I),this.values.set(R.subarray(0,E),0),this.values.set(R.subarray(E+I),E),this.prefixSum=new Uint32Array(this.values.length),E-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=E-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(k.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalSum(){return this.values.length===0?0:this._getPrefixSum(this.values.length-1)}getPrefixSum(E){return E<0?0:(E=(0,t.toUint32)(E),this._getPrefixSum(E))}_getPrefixSum(E){if(E<=this.prefixSumValidIndex[0])return this.prefixSum[E];let I=this.prefixSumValidIndex[0]+1;I===0&&(this.prefixSum[0]=this.values[0],I++),E>=this.values.length&&(E=this.values.length-1);for(let R=I;R<=E;R++)this.prefixSum[R]=this.prefixSum[R-1]+this.values[R];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],E),this.prefixSum[E]}getIndexOf(E){E=Math.floor(E),this.getTotalSum();let I=0,R=this.values.length-1,k=0,_=0,P=0;for(;I<=R;)if(k=I+(R-I)/2|0,_=this.prefixSum[k],P=_-this.values[k],E<P)R=k-1;else if(E>=_)I=k+1;else break;return new y(k,E-P)}}e.PrefixSumComputer=D;class T{constructor(E){this._values=E,this._isValid=!1,this._validEndIndex=-1,this._prefixSum=[],this._indexBySum=[]}getTotalSum(){return this._ensureValid(),this._indexBySum.length}getPrefixSum(E){return this._ensureValid(),E===0?0:this._prefixSum[E-1]}getIndexOf(E){this._ensureValid();const I=this._indexBySum[E],R=I>0?this._prefixSum[I-1]:0;return new y(I,E-R)}removeValues(E,I){this._values.splice(E,I),this._invalidate(E)}insertValues(E,I){this._values=(0,u.arrayInsert)(this._values,E,I),this._invalidate(E)}_invalidate(E){this._isValid=!1,this._validEndIndex=Math.min(this._validEndIndex,E-1)}_ensureValid(){if(!this._isValid){for(let E=this._validEndIndex+1,I=this._values.length;E<I;E++){const R=this._values[E],k=E>0?this._prefixSum[E-1]:0;this._prefixSum[E]=k+R;for(let _=0;_<R;_++)this._indexBySum[k+_]=E}this._prefixSum.length=this._values.length,this._indexBySum.length=this._prefixSum[this._prefixSum.length-1],this._isValid=!0,this._validEndIndex=this._values.length-1}}setValue(E,I){this._values[E]!==I&&(this._values[E]=I,this._invalidate(E))}}e.ConstantTimePrefixSumComputer=T;class y{constructor(E,I){this.index=E,this.remainder=I,this._prefixSumIndexOfResultBrand=void 0,this.index=E,this.remainder=I}}e.PrefixSumIndexOfResult=y}),define(Ie[151],ke([19,20]),function(Q,e){return Q.create("vs/base/common/date",e)}),define(Ie[152],ke([1,0,151]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const t=60,D=t*60,T=D*24,y=T*7,C=T*30,E=T*365;function I(k,_,P){typeof k!="number"&&(k=k.getTime());const w=Math.round((new Date().getTime()-k)/1e3);if(w<-30)return(0,u.localize)(0,null,I(new Date().getTime()+w*1e3,!1));if(w<30)return(0,u.localize)(1,null);let b;return w<t?(b=w,_?b===1?P?(0,u.localize)(2,null,b):(0,u.localize)(3,null,b):P?(0,u.localize)(4,null,b):(0,u.localize)(5,null,b):b===1?P?(0,u.localize)(6,null,b):(0,u.localize)(7,null,b):P?(0,u.localize)(8,null,b):(0,u.localize)(9,null,b)):w<D?(b=Math.floor(w/t),_?b===1?P?(0,u.localize)(10,null,b):(0,u.localize)(11,null,b):P?(0,u.localize)(12,null,b):(0,u.localize)(13,null,b):b===1?P?(0,u.localize)(14,null,b):(0,u.localize)(15,null,b):P?(0,u.localize)(16,null,b):(0,u.localize)(17,null,b)):w<T?(b=Math.floor(w/D),_?b===1?P?(0,u.localize)(18,null,b):(0,u.localize)(19,null,b):P?(0,u.localize)(20,null,b):(0,u.localize)(21,null,b):b===1?P?(0,u.localize)(22,null,b):(0,u.localize)(23,null,b):P?(0,u.localize)(24,null,b):(0,u.localize)(25,null,b)):w<y?(b=Math.floor(w/T),_?b===1?(0,u.localize)(26,null,b):(0,u.localize)(27,null,b):b===1?(0,u.localize)(28,null,b):(0,u.localize)(29,null,b)):w<C?(b=Math.floor(w/y),_?b===1?P?(0,u.localize)(30,null,b):(0,u.localize)(31,null,b):P?(0,u.localize)(32,null,b):(0,u.localize)(33,null,b):b===1?P?(0,u.localize)(34,null,b):(0,u.localize)(35,null,b):P?(0,u.localize)(36,null,b):(0,u.localize)(37,null,b)):w<E?(b=Math.floor(w/C),_?b===1?P?(0,u.localize)(38,null,b):(0,u.localize)(39,null,b):P?(0,u.localize)(40,null,b):(0,u.localize)(41,null,b):b===1?P?(0,u.localize)(42,null,b):(0,u.localize)(43,null,b):P?(0,u.localize)(44,null,b):(0,u.localize)(45,null,b)):(b=Math.floor(w/E),_?b===1?P?(0,u.localize)(46,null,b):(0,u.localize)(47,null,b):P?(0,u.localize)(48,null,b):(0,u.localize)(49,null,b):b===1?P?(0,u.localize)(50,null,b):(0,u.localize)(51,null,b):P?(0,u.localize)(52,null,b):(0,u.localize)(53,null,b))}e.fromNow=I;function R(k){return k.getFullYear()+"-"+String(k.getMonth()+1).padStart(2,"0")+"-"+String(k.getDate()).padStart(2,"0")+"T"+String(k.getHours()).padStart(2,"0")+":"+String(k.getMinutes()).padStart(2,"0")+":"+String(k.getSeconds()).padStart(2,"0")+"."+(k.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=R}),define(Ie[153],ke([19,20]),function(Q,e){return Q.create("vs/base/common/errorMessage",e)}),define(Ie[49],ke([1,0,16,10,153]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function T(k,_){return _&&(k.stack||k.stacktrace)?D.localize(0,null,C(k),y(k.stack)||y(k.stacktrace)):C(k)}function y(k){return Array.isArray(k)?k.join(`
`):k}function C(k){return typeof k.code=="string"&&typeof k.errno=="number"&&typeof k.syscall=="string"?D.localize(1,null,k.message):k.message||D.localize(2,null)}function E(k=null,_=!1){if(!k)return D.localize(3,null);if(Array.isArray(k)){const P=u.coalesce(k),w=E(P[0],_);return P.length>1?D.localize(4,null,w,P.length):w}if(t.isString(k))return k;if(k.detail){const P=k.detail;if(P.error)return T(P.error,_);if(P.exception)return T(P.exception,_)}return k.stack?T(k,_):k.message?k.message:D.localize(5,null)}e.toErrorMessage=E;function I(k){const _=k;return _ instanceof Error&&Array.isArray(_.actions)}e.isErrorWithActions=I;function R(k,_){let P;return typeof k=="string"?P=new Error(k):P=k,P.actions=_,P}e.createErrorWithActions=R}),define(Ie[154],ke([19,20]),function(Q,e){return Q.create("vs/base/common/platform",e)}),define(Ie[13],ke([1,0,154]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isAndroid=e.isEdge=e.isSafari=e.isFirefox=e.isChrome=e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.setTimeout0IsFaster=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isCI=e.isIOS=e.isWebWorker=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.globals=void 0;const t="en";let D=!1,T=!1,y=!1,C=!1,E=!1,I=!1,R=!1,k=!1,_=!1,P,w=t,b,g;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let f;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?f=e.globals.vscode.process:typeof process!="undefined"&&(f=process);const v=typeof f?.versions?.electron=="string",p=v&&f?.type==="renderer";if(typeof navigator=="object"&&!p)g=navigator.userAgent,D=g.indexOf("Windows")>=0,T=g.indexOf("Macintosh")>=0,k=(g.indexOf("Macintosh")>=0||g.indexOf("iPad")>=0||g.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,y=g.indexOf("Linux")>=0,I=!0,P=u.getConfiguredDefaultLocale(u.localize(0,null))||t,w=P;else if(typeof f=="object"){D=f.platform==="win32",T=f.platform==="darwin",y=f.platform==="linux",C=y&&!!f.env.SNAP&&!!f.env.SNAP_REVISION,R=v,_=!!f.env.CI||!!f.env.BUILD_ARTIFACTSTAGINGDIRECTORY,P=t,w=t;const s=f.env.VSCODE_NLS_CONFIG;if(s)try{const l=JSON.parse(s),d=l.availableLanguages["*"];P=l.locale,w=d||t,b=l._translationsConfigFile}catch{}E=!0}else console.error("Unable to resolve platform.");var c;(function(s){s[s.Web=0]="Web",s[s.Mac=1]="Mac",s[s.Linux=2]="Linux",s[s.Windows=3]="Windows"})(c=e.Platform||(e.Platform={}));function m(s){switch(s){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=m;let a=0;T?a=1:D?a=3:y&&(a=2),e.isWindows=D,e.isMacintosh=T,e.isLinux=y,e.isLinuxSnap=C,e.isNative=E,e.isElectron=R,e.isWeb=I,e.isWebWorker=I&&typeof e.globals.importScripts=="function",e.isIOS=k,e.isCI=_,e.platform=a,e.userAgent=g,e.language=w;var h;(function(s){function l(){return e.language}s.value=l;function d(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}s.isDefaultVariant=d;function S(){return e.language==="en"}s.isDefault=S})(h=e.Language||(e.Language={})),e.locale=P,e.translationsConfigFile=b,e.setTimeout0IsFaster=typeof e.globals.postMessage=="function"&&!e.globals.importScripts,e.setTimeout0=(()=>{if(e.setTimeout0IsFaster){const s=[];e.globals.addEventListener("message",d=>{if(d.data&&d.data.vscodeScheduleAsyncWork)for(let S=0,L=s.length;S<L;S++){const F=s[S];if(F.id===d.data.vscodeScheduleAsyncWork){s.splice(S,1),F.callback();return}}});let l=0;return d=>{const S=++l;s.push({id:S,callback:d}),e.globals.postMessage({vscodeScheduleAsyncWork:S},"*")}}return s=>setTimeout(s)})();var r;(function(s){s[s.Windows=1]="Windows",s[s.Macintosh=2]="Macintosh",s[s.Linux=3]="Linux"})(r=e.OperatingSystem||(e.OperatingSystem={})),e.OS=T||k?2:D?1:3;let o=!0,i=!1;function n(){if(!i){i=!0;const s=new Uint8Array(2);s[0]=1,s[1]=2,o=new Uint16Array(s.buffer)[0]===(2<<8)+1}return o}e.isLittleEndian=n,e.isChrome=!!(e.userAgent&&e.userAgent.indexOf("Chrome")>=0),e.isFirefox=!!(e.userAgent&&e.userAgent.indexOf("Firefox")>=0),e.isSafari=!!(!e.isChrome&&e.userAgent&&e.userAgent.indexOf("Safari")>=0),e.isEdge=!!(e.userAgent&&e.userAgent.indexOf("Edg/")>=0),e.isAndroid=!!(e.userAgent&&e.userAgent.indexOf("Android")>=0)}),define(Ie[40],ke([1,0,13]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let t;if(typeof u.globals.vscode!="undefined"&&typeof u.globals.vscode.process!="undefined"){const D=u.globals.vscode.process;t={get platform(){return D.platform},get arch(){return D.arch},get env(){return D.env},cwd(){return D.cwd()}}}else typeof process!="undefined"?t={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:t={get platform(){return u.isWindows?"win32":u.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=t.cwd,e.env=t.env,e.platform=t.platform,e.arch=t.arch}),define(Ie[9],ke([1,0,40]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const t=65,D=97,T=90,y=122,C=46,E=47,I=92,R=58,k=63;class _ extends Error{constructor(c,m,a){let h;typeof m=="string"&&m.indexOf("not ")===0?(h="must not be",m=m.replace(/^not /,"")):h="must be";const r=c.indexOf(".")!==-1?"property":"argument";let o=`The "${c}" ${r} ${h} of type ${m}`;o+=`. Received type ${typeof a}`;super(o);this.code="ERR_INVALID_ARG_TYPE"}}function P(p,c){if(typeof p!="string")throw new _(c,"string",p)}function w(p){return p===E||p===I}function b(p){return p===E}function g(p){return p>=t&&p<=T||p>=D&&p<=y}function f(p,c,m,a){let h="",r=0,o=-1,i=0,n=0;for(let s=0;s<=p.length;++s){if(s<p.length)n=p.charCodeAt(s);else{if(a(n))break;n=E}if(a(n)){if(!(o===s-1||i===1))if(i===2){if(h.length<2||r!==2||h.charCodeAt(h.length-1)!==C||h.charCodeAt(h.length-2)!==C){if(h.length>2){const l=h.lastIndexOf(m);l===-1?(h="",r=0):(h=h.slice(0,l),r=h.length-1-h.lastIndexOf(m)),o=s,i=0;continue}else if(h.length!==0){h="",r=0,o=s,i=0;continue}}c&&(h+=h.length>0?`${m}..`:"..",r=2)}else h.length>0?h+=`${m}${p.slice(o+1,s)}`:h=p.slice(o+1,s),r=s-o-1;o=s,i=0}else n===C&&i!==-1?++i:i=-1}return h}function v(p,c){if(c===null||typeof c!="object")throw new _("pathObject","Object",c);const m=c.dir||c.root,a=c.base||`${c.name||""}${c.ext||""}`;return m?m===c.root?`${m}${a}`:`${m}${p}${a}`:a}e.win32={resolve(...p){let c="",m="",a=!1;for(let h=p.length-1;h>=-1;h--){let r;if(h>=0){if(r=p[h],P(r,"path"),r.length===0)continue}else c.length===0?r=u.cwd():(r=u.env[`=${c}`]||u.cwd(),(r===void 0||r.slice(0,2).toLowerCase()!==c.toLowerCase()&&r.charCodeAt(2)===I)&&(r=`${c}\\`));const o=r.length;let i=0,n="",s=!1;const l=r.charCodeAt(0);if(o===1)w(l)&&(i=1,s=!0);else if(w(l))if(s=!0,w(r.charCodeAt(1))){let d=2,S=d;for(;d<o&&!w(r.charCodeAt(d));)d++;if(d<o&&d!==S){const L=r.slice(S,d);for(S=d;d<o&&w(r.charCodeAt(d));)d++;if(d<o&&d!==S){for(S=d;d<o&&!w(r.charCodeAt(d));)d++;(d===o||d!==S)&&(n=`\\\\${L}\\${r.slice(S,d)}`,i=d)}}}else i=1;else g(l)&&r.charCodeAt(1)===R&&(n=r.slice(0,2),i=2,o>2&&w(r.charCodeAt(2))&&(s=!0,i=3));if(n.length>0)if(c.length>0){if(n.toLowerCase()!==c.toLowerCase())continue}else c=n;if(a){if(c.length>0)break}else if(m=`${r.slice(i)}\\${m}`,a=s,s&&c.length>0)break}return m=f(m,!a,"\\",w),a?`${c}\\${m}`:`${c}${m}`||"."},normalize(p){P(p,"path");const c=p.length;if(c===0)return".";let m=0,a,h=!1;const r=p.charCodeAt(0);if(c===1)return b(r)?"\\":p;if(w(r))if(h=!0,w(p.charCodeAt(1))){let i=2,n=i;for(;i<c&&!w(p.charCodeAt(i));)i++;if(i<c&&i!==n){const s=p.slice(n,i);for(n=i;i<c&&w(p.charCodeAt(i));)i++;if(i<c&&i!==n){for(n=i;i<c&&!w(p.charCodeAt(i));)i++;if(i===c)return`\\\\${s}\\${p.slice(n)}\\`;i!==n&&(a=`\\\\${s}\\${p.slice(n,i)}`,m=i)}}}else m=1;else g(r)&&p.charCodeAt(1)===R&&(a=p.slice(0,2),m=2,c>2&&w(p.charCodeAt(2))&&(h=!0,m=3));let o=m<c?f(p.slice(m),!h,"\\",w):"";return o.length===0&&!h&&(o="."),o.length>0&&w(p.charCodeAt(c-1))&&(o+="\\"),a===void 0?h?`\\${o}`:o:h?`${a}\\${o}`:`${a}${o}`},isAbsolute(p){P(p,"path");const c=p.length;if(c===0)return!1;const m=p.charCodeAt(0);return w(m)||c>2&&g(m)&&p.charCodeAt(1)===R&&w(p.charCodeAt(2))},join(...p){if(p.length===0)return".";let c,m;for(let r=0;r<p.length;++r){const o=p[r];P(o,"path"),o.length>0&&(c===void 0?c=m=o:c+=`\\${o}`)}if(c===void 0)return".";let a=!0,h=0;if(typeof m=="string"&&w(m.charCodeAt(0))){++h;const r=m.length;r>1&&w(m.charCodeAt(1))&&(++h,r>2&&(w(m.charCodeAt(2))?++h:a=!1))}if(a){for(;h<c.length&&w(c.charCodeAt(h));)h++;h>=2&&(c=`\\${c.slice(h)}`)}return e.win32.normalize(c)},relative(p,c){if(P(p,"from"),P(c,"to"),p===c)return"";const m=e.win32.resolve(p),a=e.win32.resolve(c);if(m===a||(p=m.toLowerCase(),c=a.toLowerCase(),p===c))return"";let h=0;for(;h<p.length&&p.charCodeAt(h)===I;)h++;let r=p.length;for(;r-1>h&&p.charCodeAt(r-1)===I;)r--;const o=r-h;let i=0;for(;i<c.length&&c.charCodeAt(i)===I;)i++;let n=c.length;for(;n-1>i&&c.charCodeAt(n-1)===I;)n--;const s=n-i,l=o<s?o:s;let d=-1,S=0;for(;S<l;S++){const F=p.charCodeAt(h+S);if(F!==c.charCodeAt(i+S))break;F===I&&(d=S)}if(S!==l){if(d===-1)return a}else{if(s>l){if(c.charCodeAt(i+S)===I)return a.slice(i+S+1);if(S===2)return a.slice(i+S)}o>l&&(p.charCodeAt(h+S)===I?d=S:S===2&&(d=3)),d===-1&&(d=0)}let L="";for(S=h+d+1;S<=r;++S)(S===r||p.charCodeAt(S)===I)&&(L+=L.length===0?"..":"\\..");return i+=d,L.length>0?`${L}${a.slice(i,n)}`:(a.charCodeAt(i)===I&&++i,a.slice(i,n))},toNamespacedPath(p){if(typeof p!="string")return p;if(p.length===0)return"";const c=e.win32.resolve(p);if(c.length<=2)return p;if(c.charCodeAt(0)===I){if(c.charCodeAt(1)===I){const m=c.charCodeAt(2);if(m!==k&&m!==C)return`\\\\?\\UNC\\${c.slice(2)}`}}else if(g(c.charCodeAt(0))&&c.charCodeAt(1)===R&&c.charCodeAt(2)===I)return`\\\\?\\${c}`;return p},dirname(p){P(p,"path");const c=p.length;if(c===0)return".";let m=-1,a=0;const h=p.charCodeAt(0);if(c===1)return w(h)?p:".";if(w(h)){if(m=a=1,w(p.charCodeAt(1))){let i=2,n=i;for(;i<c&&!w(p.charCodeAt(i));)i++;if(i<c&&i!==n){for(n=i;i<c&&w(p.charCodeAt(i));)i++;if(i<c&&i!==n){for(n=i;i<c&&!w(p.charCodeAt(i));)i++;if(i===c)return p;i!==n&&(m=a=i+1)}}}}else g(h)&&p.charCodeAt(1)===R&&(m=c>2&&w(p.charCodeAt(2))?3:2,a=m);let r=-1,o=!0;for(let i=c-1;i>=a;--i)if(w(p.charCodeAt(i))){if(!o){r=i;break}}else o=!1;if(r===-1){if(m===-1)return".";r=m}return p.slice(0,r)},basename(p,c){c!==void 0&&P(c,"ext"),P(p,"path");let m=0,a=-1,h=!0,r;if(p.length>=2&&g(p.charCodeAt(0))&&p.charCodeAt(1)===R&&(m=2),c!==void 0&&c.length>0&&c.length<=p.length){if(c===p)return"";let o=c.length-1,i=-1;for(r=p.length-1;r>=m;--r){const n=p.charCodeAt(r);if(w(n)){if(!h){m=r+1;break}}else i===-1&&(h=!1,i=r+1),o>=0&&(n===c.charCodeAt(o)?--o==-1&&(a=r):(o=-1,a=i))}return m===a?a=i:a===-1&&(a=p.length),p.slice(m,a)}for(r=p.length-1;r>=m;--r)if(w(p.charCodeAt(r))){if(!h){m=r+1;break}}else a===-1&&(h=!1,a=r+1);return a===-1?"":p.slice(m,a)},extname(p){P(p,"path");let c=0,m=-1,a=0,h=-1,r=!0,o=0;p.length>=2&&p.charCodeAt(1)===R&&g(p.charCodeAt(0))&&(c=a=2);for(let i=p.length-1;i>=c;--i){const n=p.charCodeAt(i);if(w(n)){if(!r){a=i+1;break}continue}h===-1&&(r=!1,h=i+1),n===C?m===-1?m=i:o!==1&&(o=1):m!==-1&&(o=-1)}return m===-1||h===-1||o===0||o===1&&m===h-1&&m===a+1?"":p.slice(m,h)},format:v.bind(null,"\\"),parse(p){P(p,"path");const c={root:"",dir:"",base:"",ext:"",name:""};if(p.length===0)return c;const m=p.length;let a=0,h=p.charCodeAt(0);if(m===1)return w(h)?(c.root=c.dir=p,c):(c.base=c.name=p,c);if(w(h)){if(a=1,w(p.charCodeAt(1))){let d=2,S=d;for(;d<m&&!w(p.charCodeAt(d));)d++;if(d<m&&d!==S){for(S=d;d<m&&w(p.charCodeAt(d));)d++;if(d<m&&d!==S){for(S=d;d<m&&!w(p.charCodeAt(d));)d++;d===m?a=d:d!==S&&(a=d+1)}}}}else if(g(h)&&p.charCodeAt(1)===R){if(m<=2)return c.root=c.dir=p,c;if(a=2,w(p.charCodeAt(2))){if(m===3)return c.root=c.dir=p,c;a=3}}a>0&&(c.root=p.slice(0,a));let r=-1,o=a,i=-1,n=!0,s=p.length-1,l=0;for(;s>=a;--s){if(h=p.charCodeAt(s),w(h)){if(!n){o=s+1;break}continue}i===-1&&(n=!1,i=s+1),h===C?r===-1?r=s:l!==1&&(l=1):r!==-1&&(l=-1)}return i!==-1&&(r===-1||l===0||l===1&&r===i-1&&r===o+1?c.base=c.name=p.slice(o,i):(c.name=p.slice(o,r),c.base=p.slice(o,i),c.ext=p.slice(r,i))),o>0&&o!==a?c.dir=p.slice(0,o-1):c.dir=c.root,c},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...p){let c="",m=!1;for(let a=p.length-1;a>=-1&&!m;a--){const h=a>=0?p[a]:u.cwd();P(h,"path"),h.length!==0&&(c=`${h}/${c}`,m=h.charCodeAt(0)===E)}return c=f(c,!m,"/",b),m?`/${c}`:c.length>0?c:"."},normalize(p){if(P(p,"path"),p.length===0)return".";const c=p.charCodeAt(0)===E,m=p.charCodeAt(p.length-1)===E;return p=f(p,!c,"/",b),p.length===0?c?"/":m?"./":".":(m&&(p+="/"),c?`/${p}`:p)},isAbsolute(p){return P(p,"path"),p.length>0&&p.charCodeAt(0)===E},join(...p){if(p.length===0)return".";let c;for(let m=0;m<p.length;++m){const a=p[m];P(a,"path"),a.length>0&&(c===void 0?c=a:c+=`/${a}`)}return c===void 0?".":e.posix.normalize(c)},relative(p,c){if(P(p,"from"),P(c,"to"),p===c||(p=e.posix.resolve(p),c=e.posix.resolve(c),p===c))return"";const m=1,a=p.length,h=a-m,r=1,o=c.length-r,i=h<o?h:o;let n=-1,s=0;for(;s<i;s++){const d=p.charCodeAt(m+s);if(d!==c.charCodeAt(r+s))break;d===E&&(n=s)}if(s===i)if(o>i){if(c.charCodeAt(r+s)===E)return c.slice(r+s+1);if(s===0)return c.slice(r+s)}else h>i&&(p.charCodeAt(m+s)===E?n=s:s===0&&(n=0));let l="";for(s=m+n+1;s<=a;++s)(s===a||p.charCodeAt(s)===E)&&(l+=l.length===0?"..":"/..");return`${l}${c.slice(r+n)}`},toNamespacedPath(p){return p},dirname(p){if(P(p,"path"),p.length===0)return".";const c=p.charCodeAt(0)===E;let m=-1,a=!0;for(let h=p.length-1;h>=1;--h)if(p.charCodeAt(h)===E){if(!a){m=h;break}}else a=!1;return m===-1?c?"/":".":c&&m===1?"//":p.slice(0,m)},basename(p,c){c!==void 0&&P(c,"ext"),P(p,"path");let m=0,a=-1,h=!0,r;if(c!==void 0&&c.length>0&&c.length<=p.length){if(c===p)return"";let o=c.length-1,i=-1;for(r=p.length-1;r>=0;--r){const n=p.charCodeAt(r);if(n===E){if(!h){m=r+1;break}}else i===-1&&(h=!1,i=r+1),o>=0&&(n===c.charCodeAt(o)?--o==-1&&(a=r):(o=-1,a=i))}return m===a?a=i:a===-1&&(a=p.length),p.slice(m,a)}for(r=p.length-1;r>=0;--r)if(p.charCodeAt(r)===E){if(!h){m=r+1;break}}else a===-1&&(h=!1,a=r+1);return a===-1?"":p.slice(m,a)},extname(p){P(p,"path");let c=-1,m=0,a=-1,h=!0,r=0;for(let o=p.length-1;o>=0;--o){const i=p.charCodeAt(o);if(i===E){if(!h){m=o+1;break}continue}a===-1&&(h=!1,a=o+1),i===C?c===-1?c=o:r!==1&&(r=1):c!==-1&&(r=-1)}return c===-1||a===-1||r===0||r===1&&c===a-1&&c===m+1?"":p.slice(c,a)},format:v.bind(null,"/"),parse(p){P(p,"path");const c={root:"",dir:"",base:"",ext:"",name:""};if(p.length===0)return c;const m=p.charCodeAt(0)===E;let a;m?(c.root="/",a=1):a=0;let h=-1,r=0,o=-1,i=!0,n=p.length-1,s=0;for(;n>=a;--n){const l=p.charCodeAt(n);if(l===E){if(!i){r=n+1;break}continue}o===-1&&(i=!1,o=n+1),l===C?h===-1?h=n:s!==1&&(s=1):h!==-1&&(s=-1)}if(o!==-1){const l=r===0&&m?1:r;h===-1||s===0||s===1&&h===o-1&&h===r+1?c.base=c.name=p.slice(l,o):(c.name=p.slice(l,h),c.base=p.slice(l,o),c.ext=p.slice(h,o))}return r>0?c.dir=p.slice(0,r-1):m&&(c.dir="/"),c},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=u.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=u.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=u.platform==="win32"?e.win32.join:e.posix.join,e.resolve=u.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=u.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=u.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=u.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=u.platform==="win32"?e.win32.extname:e.posix.extname,e.format=u.platform==="win32"?e.win32.format:e.posix.format,e.parse=u.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=u.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=u.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=u.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(Ie[101],ke([1,0,9]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeMimeType=e.getExtensionForMimeType=e.getMediaMime=e.getMediaOrTextMime=e.Mimes=void 0,e.Mimes=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const t={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},D={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function T(R){const k=(0,u.extname)(R),_=t[k.toLowerCase()];return _!==void 0?_:y(R)}e.getMediaOrTextMime=T;function y(R){const k=(0,u.extname)(R);return D[k.toLowerCase()]}e.getMediaMime=y;function C(R){for(const k in D)if(D[k]===R)return k}e.getExtensionForMimeType=C;const E=/^(.+)\/(.+?)(;.+)?$/;function I(R,k){const _=E.exec(R);return _?`${_[1].toLowerCase()}/${_[2].toLowerCase()}${_[3]??""}`:k?void 0:R}e.normalizeMimeType=I}),define(Ie[102],ke([1,0,13]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeDangerousEnvVariables=e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var t;(function(C){C[C.stdout=0]="stdout",C[C.stderr=1]="stderr"})(t=e.Source||(e.Source={}));var D;(function(C){C[C.Success=0]="Success",C[C.Unknown=1]="Unknown",C[C.AccessDenied=2]="AccessDenied",C[C.ProcessNotFound=3]="ProcessNotFound"})(D=e.TerminateResponseCode||(e.TerminateResponseCode={}));function T(C,...E){const I=E.reduce((_,P)=>(_[P]=!0,_),{}),R=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(C).filter(_=>!I[_]).forEach(_=>{for(let P=0;P<R.length;P++)if(_.search(R[P])!==-1){delete C[_];break}})}e.sanitizeProcessEnvironment=T;function y(C){!C||(delete C.DEBUG,u.isMacintosh&&delete C.DYLD_LIBRARY_PATH,u.isLinux&&delete C.LD_PRELOAD)}e.removeDangerousEnvVariables=y}),define(Ie[50],ke([1,0,13]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const t=u.globals.performance&&typeof u.globals.performance.now=="function";class D{constructor(y){this._highResolution=t&&y,this._startTime=this._now(),this._stopTime=-1}static create(y=!0){return new D(y)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?u.globals.performance.now():Date.now()}}e.StopWatch=D}),define(Ie[3],ke([1,0,12,58,6,79,50]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.EventDeliveryQueue=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;const C=!1,E=!1;var I;(function(n){n.None=()=>D.Disposable.None;function s(ge){if(E){const{onListenerDidAdd:_e}=ge,Te=w.create();let me=0;ge.onListenerDidAdd=()=>{++me==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),Te.print()),_e?.()}}}function l(ge){return(_e,Te=null,me)=>{let Pe=!1,ue;return ue=ge(pe=>{if(!Pe)return ue?ue.dispose():Pe=!0,_e.call(Te,pe)},null,me),Pe&&ue.dispose(),ue}}n.once=l;function d(ge,_e,Te){return $((me,Pe=null,ue)=>ge(pe=>me.call(Pe,_e(pe)),null,ue),Te)}n.map=d;function S(ge,_e,Te){return $((me,Pe=null,ue)=>ge(pe=>{_e(pe),me.call(Pe,pe)},null,ue),Te)}n.forEach=S;function L(ge,_e,Te){return $((me,Pe=null,ue)=>ge(pe=>_e(pe)&&me.call(Pe,pe),null,ue),Te)}n.filter=L;function F(ge){return ge}n.signal=F;function N(...ge){return(_e,Te=null,me)=>(0,D.combinedDisposable)(...ge.map(Pe=>Pe(ue=>_e.call(Te,ue),null,me)))}n.any=N;function A(ge,_e,Te,me){let Pe=Te;return d(ge,ue=>(Pe=_e(Pe,ue),Pe),me)}n.reduce=A;function $(ge,_e){let Te;const me={onFirstListenerAdd(){Te=ge(Pe.fire,Pe)},onLastListenerRemove(){Te?.dispose()}};_e||s(me);const Pe=new g(me);return _e?.add(Pe),Pe.event}function B(ge,_e,Te=100,me=!1,Pe,ue){let pe,be,ae,fe=0;const ne={leakWarningThreshold:Pe,onFirstListenerAdd(){pe=ge(O=>{fe++,be=_e(be,O),me&&!ae&&(ie.fire(be),be=void 0),clearTimeout(ae),ae=setTimeout(()=>{const H=be;be=void 0,ae=void 0,(!me||fe>1)&&ie.fire(H),fe=0},Te)})},onLastListenerRemove(){pe.dispose()}};ue||s(ne);const ie=new g(ne);return ue?.add(ie),ie.event}n.debounce=B;function z(ge,_e=(me,Pe)=>me===Pe,Te){let me=!0,Pe;return L(ge,ue=>{const pe=me||!_e(ue,Pe);return me=!1,Pe=ue,pe},Te)}n.latch=z;function X(ge,_e,Te){return[n.filter(ge,_e,Te),n.filter(ge,me=>!_e(me),Te)]}n.split=X;function M(ge,_e=!1,Te=[]){let me=Te.slice(),Pe=ge(be=>{me?me.push(be):pe.fire(be)});const ue=()=>{me?.forEach(be=>pe.fire(be)),me=null},pe=new g({onFirstListenerAdd(){Pe||(Pe=ge(be=>pe.fire(be)))},onFirstListenerDidAdd(){me&&(_e?setTimeout(ue):ue())},onLastListenerRemove(){Pe&&Pe.dispose(),Pe=null}});return pe.event}n.buffer=M;class U{constructor(_e){this.event=_e,this.disposables=new D.DisposableStore}map(_e){return new U(d(this.event,_e,this.disposables))}forEach(_e){return new U(S(this.event,_e,this.disposables))}filter(_e){return new U(L(this.event,_e,this.disposables))}reduce(_e,Te){return new U(A(this.event,_e,Te,this.disposables))}latch(){return new U(z(this.event,void 0,this.disposables))}debounce(_e,Te=100,me=!1,Pe){return new U(B(this.event,_e,Te,me,Pe,this.disposables))}on(_e,Te,me){return this.event(_e,Te,me)}once(_e,Te,me){return l(this.event)(_e,Te,me)}dispose(){this.disposables.dispose()}}function q(ge){return new U(ge)}n.chain=q;function x(ge,_e,Te=me=>me){const me=(...be)=>pe.fire(Te(...be)),Pe=()=>ge.on(_e,me),ue=()=>ge.removeListener(_e,me),pe=new g({onFirstListenerAdd:Pe,onLastListenerRemove:ue});return pe.event}n.fromNodeEventEmitter=x;function V(ge,_e,Te=me=>me){const me=(...be)=>pe.fire(Te(...be)),Pe=()=>ge.addEventListener(_e,me),ue=()=>ge.removeEventListener(_e,me),pe=new g({onFirstListenerAdd:Pe,onLastListenerRemove:ue});return pe.event}n.fromDOMEventEmitter=V;function ee(ge){return new Promise(_e=>l(ge)(_e))}n.toPromise=ee;function Y(ge,_e){return _e(void 0),ge(Te=>_e(Te))}n.runAndSubscribe=Y;function le(ge,_e){let Te=null;function me(ue){Te?.dispose(),Te=new D.DisposableStore,_e(ue,Te)}me(void 0);const Pe=ge(ue=>me(ue));return(0,D.toDisposable)(()=>{Pe.dispose(),Te?.dispose()})}n.runAndSubscribeWithStore=le;class ve{constructor(_e,Te){this.obs=_e,this._counter=0,this._hasChanged=!1;const me={onFirstListenerAdd:()=>{_e.addObserver(this)},onLastListenerRemove:()=>{_e.removeObserver(this)}};Te||s(me),this.emitter=new g(me),Te&&Te.add(this.emitter)}beginUpdate(_e){this._counter++}handleChange(_e,Te){this._hasChanged=!0}endUpdate(_e){--this._counter==0&&this._hasChanged&&(this._hasChanged=!1,this.emitter.fire(this.obs.get()))}}function J(ge,_e){return new ve(ge,_e).emitter.event}n.fromObservable=J})(I=e.Event||(e.Event={}));class R{constructor(s){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${s}_${R._idPool++}`}start(s){this._stopWatch=new y.StopWatch(!0),this._listenerCount=s}stop(){if(this._stopWatch){const s=this._stopWatch.elapsed();this._elapsedOverall+=s,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${s.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}R._idPool=0;let k=-1;function _(n){const s=k;return k=n,{dispose(){k=s}}}e.setGlobalLeakWarningThreshold=_;class P{constructor(s,l=Math.random().toString(18).slice(2,5)){this.customThreshold=s,this.name=l,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(s,l){let d=k;if(typeof this.customThreshold=="number"&&(d=this.customThreshold),d<=0||l<d)return;this._stacks||(this._stacks=new Map);const S=this._stacks.get(s.value)||0;if(this._stacks.set(s.value,S+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=d*.5;let L,F=0;for(const[N,A]of this._stacks)(!L||F<A)&&(L=N,F=A);console.warn(`[${this.name}] potential listener LEAK detected, having ${l} listeners already. MOST frequent listener (${F}):`),console.warn(L)}return()=>{const L=this._stacks.get(s.value)||0;this._stacks.set(s.value,L-1)}}}class w{constructor(s){this.value=s}static create(){return new w(new Error().stack??"")}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class b{constructor(s,l,d){this.callback=s,this.callbackThis=l,this.stack=d,this.subscription=new D.SafeDisposable}invoke(s){this.callback.call(this.callbackThis,s)}}class g{constructor(s){this._disposed=!1,this._options=s,this._leakageMon=k>0?new P(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new R(this._options._profName):void 0,this._deliveryQueue=this._options?.deliveryQueue}dispose(){if(!this._disposed){if(this._disposed=!0,this._listeners){if(C){const s=Array.from(this._listeners);queueMicrotask(()=>{for(const l of s)l.subscription.isset()&&(l.subscription.unset(),l.stack?.print())})}this._listeners.clear()}this._deliveryQueue?.clear(this),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose()}}get event(){return this._event||(this._event=(s,l,d)=>{this._listeners||(this._listeners=new T.LinkedList);const S=this._listeners.isEmpty();S&&this._options?.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);let L,F;this._leakageMon&&this._listeners.size>=30&&(F=w.create(),L=this._leakageMon.check(F,this._listeners.size+1)),C&&(F=F??w.create());const N=new b(s,l,F),A=this._listeners.push(N);S&&this._options?.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options?.onListenerDidAdd&&this._options.onListenerDidAdd(this,s,l);const $=N.subscription.set(()=>{L?.(),this._disposed||(A(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return d instanceof D.DisposableStore?d.add($):Array.isArray(d)&&d.push($),$}),this._event}fire(s){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new v);for(const l of this._listeners)this._deliveryQueue.push(this,l,s);this._perfMon?.start(this._deliveryQueue.size),this._deliveryQueue.deliver(),this._perfMon?.stop()}}hasListeners(){return this._listeners?!this._listeners.isEmpty():!1}}e.Emitter=g;class f{constructor(){this._queue=new T.LinkedList}get size(){return this._queue.size}push(s,l,d){this._queue.push(new p(s,l,d))}clear(s){const l=new T.LinkedList;for(const d of this._queue)d.emitter!==s&&l.push(d);this._queue=l}deliver(){for(;this._queue.size>0;){const s=this._queue.shift();try{s.listener.invoke(s.event)}catch(l){(0,u.onUnexpectedError)(l)}}}}e.EventDeliveryQueue=f;class v extends f{clear(s){this._queue.clear()}}class p{constructor(s,l,d){this.emitter=s,this.listener=l,this.event=d}}class c extends g{async fireAsync(s,l,d){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new T.LinkedList);for(const S of this._listeners)this._asyncDeliveryQueue.push([S,s]);for(;this._asyncDeliveryQueue.size>0&&!l.isCancellationRequested;){const[S,L]=this._asyncDeliveryQueue.shift(),F=[],N={...L,token:l,waitUntil:A=>{if(Object.isFrozen(F))throw new Error("waitUntil can NOT be called asynchronous");d&&(A=d(A,S.callback)),F.push(A)}};try{S.invoke(N)}catch(A){(0,u.onUnexpectedError)(A);continue}Object.freeze(F),await Promise.allSettled(F).then(A=>{for(const $ of A)$.status==="rejected"&&(0,u.onUnexpectedError)($.reason)})}}}}e.AsyncEmitter=c;class m extends g{constructor(s){super(s);this._isPaused=0,this._eventQueue=new T.LinkedList,this._mergeFn=s?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const s=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(s))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(s){this._listeners&&(this._isPaused!==0?this._eventQueue.push(s):super.fire(s))}}e.PauseableEmitter=m;class a extends m{constructor(s){super(s);this._delay=s.delay??100}fire(s){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(s)}}e.DebounceEmitter=a;class h extends g{constructor(s){super(s);this._queuedEvents=[],this._mergeFn=s?.merge}fire(s){this._queuedEvents.push(s),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(l=>super.fire(l)),this._queuedEvents=[]})}}e.MicrotaskEmitter=h;class r{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new g({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(s){const l={event:s,listener:null};this.events.push(l),this.hasListeners&&this.hook(l);const d=()=>{this.hasListeners&&this.unhook(l);const S=this.events.indexOf(l);this.events.splice(S,1)};return(0,D.toDisposable)((0,t.once)(d))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(s=>this.hook(s))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(s=>this.unhook(s))}hook(s){s.listener=s.event(l=>this.emitter.fire(l))}unhook(s){s.listener&&s.listener.dispose(),s.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=r;class o{constructor(){this.buffers=[]}wrapEvent(s){return(l,d,S)=>s(L=>{const F=this.buffers[this.buffers.length-1];F?F.push(()=>l.call(d,L)):l.call(d,L)},void 0,S)}bufferEvents(s){const l=[];this.buffers.push(l);const d=s();return this.buffers.pop(),l.forEach(S=>S()),d}}e.EventBufferer=o;class i{constructor(){this.listening=!1,this.inputEvent=I.None,this.inputEventListener=D.Disposable.None,this.emitter=new g({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(s){this.inputEvent=s,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=s(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=i}),define(Ie[21],ke([1,0,3]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const t=Object.freeze(function(C,E){const I=setTimeout(C.bind(E),0);return{dispose(){clearTimeout(I)}}});var D;(function(C){function E(I){return I===C.None||I===C.Cancelled||I instanceof T?!0:!I||typeof I!="object"?!1:typeof I.isCancellationRequested=="boolean"&&typeof I.onCancellationRequested=="function"}C.isCancellationToken=E,C.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:u.Event.None}),C.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:t})})(D=e.CancellationToken||(e.CancellationToken={}));class T{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?t:(this._emitter||(this._emitter=new u.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class y{constructor(E){this._token=void 0,this._parentListener=void 0,this._parentListener=E&&E.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new T),this._token}cancel(){this._token?this._token instanceof T&&this._token.cancel():this._token=D.Cancelled}dispose(E=!1){E&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof T&&this._token.dispose():this._token=D.None}}e.CancellationTokenSource=y}),define(Ie[155],ke([1,0,21]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CachedFunction=e.LRUCachedFunction=e.Cache=void 0;class t{constructor(C){this.task=C,this.result=null}get(){if(this.result)return this.result;const C=new u.CancellationTokenSource,E=this.task(C.token);return this.result={promise:E,dispose:()=>{this.result=null,C.cancel(),C.dispose()}},this.result}}e.Cache=t;class D{constructor(C){this.fn=C,this.lastCache=void 0,this.lastArgKey=void 0}get(C){const E=JSON.stringify(C);return this.lastArgKey!==E&&(this.lastArgKey=E,this.lastCache=this.fn(C)),this.lastCache}}e.LRUCachedFunction=D;class T{constructor(C){this.fn=C,this._map=new Map}get cachedValues(){return this._map}get(C){if(this._map.has(C))return this._map.get(C);const E=this.fn(C);return this._map.set(C,E),E}}e.CachedFunction=T}),define(Ie[8],ke([1,0,155,78]),function(Q,e,u,t){"use strict";var D;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.isAsciiDigit=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.replaceAsync=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function T(oe){return!oe||typeof oe!="string"?!0:oe.trim().length===0}e.isFalsyOrWhitespace=T;const y=/{(\d+)}/g;function C(oe,...Re){return Re.length===0?oe:oe.replace(y,function(Be,qe){const je=parseInt(qe,10);return isNaN(je)||je<0||je>=Re.length?Be:Re[je]})}e.format=C;const E=/{([^}]+)}/g;function I(oe,Re){return oe.replace(E,(Be,qe)=>Re[qe]??Be)}e.format2=I;function R(oe){return oe.replace(/[<>&]/g,function(Re){switch(Re){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return Re}})}e.escape=R;function k(oe){return oe.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=k;function _(oe,Re){let Be=0;const qe=Re.charCodeAt(0);for(let je=oe.length-1;je>=0;je--)oe.charCodeAt(je)===qe&&Be++;return Be}e.count=_;function P(oe,Re,Be="\u2026"){return oe.length<=Re?oe:`${oe.substr(0,Re)}${Be}`}e.truncate=P;function w(oe,Re=" "){const Be=b(oe,Re);return g(Be,Re)}e.trim=w;function b(oe,Re){if(!oe||!Re)return oe;const Be=Re.length;if(Be===0||oe.length===0)return oe;let qe=0;for(;oe.indexOf(Re,qe)===qe;)qe=qe+Be;return oe.substring(qe)}e.ltrim=b;function g(oe,Re){if(!oe||!Re)return oe;const Be=Re.length,qe=oe.length;if(Be===0||qe===0)return oe;let je=qe,Ve=-1;for(;Ve=oe.lastIndexOf(Re,je-1),!(Ve===-1||Ve+Be!==je);){if(Ve===0)return"";je=Ve}return oe.substring(0,je)}e.rtrim=g;function f(oe){return oe.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=f;function v(oe){return oe.replace(/\*/g,"")}e.stripWildcards=v;function p(oe,Re,Be={}){if(!oe)throw new Error("Cannot create regex from empty string");Re||(oe=k(oe)),Be.wholeWord&&(/\B/.test(oe.charAt(0))||(oe="\\b"+oe),/\B/.test(oe.charAt(oe.length-1))||(oe=oe+"\\b"));let qe="";return Be.global&&(qe+="g"),Be.matchCase||(qe+="i"),Be.multiline&&(qe+="m"),Be.unicode&&(qe+="u"),new RegExp(oe,qe)}e.createRegExp=p;function c(oe){return oe.source==="^"||oe.source==="^$"||oe.source==="$"||oe.source==="^\\s*$"?!1:!!(oe.exec("")&&oe.lastIndex===0)}e.regExpLeadsToEndlessLoop=c;function m(oe){return!!oe.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=m;function a(oe){return(oe.global?"g":"")+(oe.ignoreCase?"i":"")+(oe.multiline?"m":"")+(oe.unicode?"u":"")}e.regExpFlags=a;function h(oe){return oe.split(/\r\n|\r|\n/)}e.splitLines=h;function r(oe){for(let Re=0,Be=oe.length;Re<Be;Re++){const qe=oe.charCodeAt(Re);if(qe!==32&&qe!==9)return Re}return-1}e.firstNonWhitespaceIndex=r;function o(oe,Re=0,Be=oe.length){for(let qe=Re;qe<Be;qe++){const je=oe.charCodeAt(qe);if(je!==32&&je!==9)return oe.substring(Re,qe)}return oe.substring(Re,Be)}e.getLeadingWhitespace=o;function i(oe,Re=oe.length-1){for(let Be=Re;Be>=0;Be--){const qe=oe.charCodeAt(Be);if(qe!==32&&qe!==9)return Be}return-1}e.lastNonWhitespaceIndex=i;function n(oe,Re,Be){const qe=[];let je=0;for(const Ve of oe.matchAll(Re)){if(qe.push(oe.slice(je,Ve.index)),Ve.index===void 0)throw new Error("match.index should be defined");je=Ve.index+Ve[0].length,qe.push(Be(Ve[0],...Ve.slice(1),Ve.index,oe,Ve.groups))}return qe.push(oe.slice(je)),Promise.all(qe).then(Ve=>Ve.join(""))}e.replaceAsync=n;function s(oe,Re){return oe<Re?-1:oe>Re?1:0}e.compare=s;function l(oe,Re,Be=0,qe=oe.length,je=0,Ve=Re.length){for(;Be<qe&&je<Ve;Be++,je++){const rt=oe.charCodeAt(Be),Je=Re.charCodeAt(je);if(rt<Je)return-1;if(rt>Je)return 1}const nt=qe-Be,ot=Ve-je;return nt<ot?-1:nt>ot?1:0}e.compareSubstring=l;function d(oe,Re){return S(oe,Re,0,oe.length,0,Re.length)}e.compareIgnoreCase=d;function S(oe,Re,Be=0,qe=oe.length,je=0,Ve=Re.length){for(;Be<qe&&je<Ve;Be++,je++){let rt=oe.charCodeAt(Be),Je=Re.charCodeAt(je);if(rt===Je)continue;if(rt>=128||Je>=128)return l(oe.toLowerCase(),Re.toLowerCase(),Be,qe,je,Ve);F(rt)&&(rt-=32),F(Je)&&(Je-=32);const at=rt-Je;if(at!==0)return at}const nt=qe-Be,ot=Ve-je;return nt<ot?-1:nt>ot?1:0}e.compareSubstringIgnoreCase=S;function L(oe){return oe>=48&&oe<=57}e.isAsciiDigit=L;function F(oe){return oe>=97&&oe<=122}e.isLowerAsciiLetter=F;function N(oe){return oe>=65&&oe<=90}e.isUpperAsciiLetter=N;function A(oe,Re){return oe.length===Re.length&&S(oe,Re)===0}e.equalsIgnoreCase=A;function $(oe,Re){const Be=Re.length;return Re.length>oe.length?!1:S(oe,Re,0,Be)===0}e.startsWithIgnoreCase=$;function B(oe,Re){const Be=Math.min(oe.length,Re.length);let qe;for(qe=0;qe<Be;qe++)if(oe.charCodeAt(qe)!==Re.charCodeAt(qe))return qe;return Be}e.commonPrefixLength=B;function z(oe,Re){const Be=Math.min(oe.length,Re.length);let qe;const je=oe.length-1,Ve=Re.length-1;for(qe=0;qe<Be;qe++)if(oe.charCodeAt(je-qe)!==Re.charCodeAt(Ve-qe))return qe;return Be}e.commonSuffixLength=z;function X(oe){return 55296<=oe&&oe<=56319}e.isHighSurrogate=X;function M(oe){return 56320<=oe&&oe<=57343}e.isLowSurrogate=M;function U(oe,Re){return(oe-55296<<10)+(Re-56320)+65536}e.computeCodePoint=U;function q(oe,Re,Be){const qe=oe.charCodeAt(Be);if(X(qe)&&Be+1<Re){const je=oe.charCodeAt(Be+1);if(M(je))return U(qe,je)}return qe}e.getNextCodePoint=q;function x(oe,Re){const Be=oe.charCodeAt(Re-1);if(M(Be)&&Re>1){const qe=oe.charCodeAt(Re-2);if(X(qe))return U(qe,Be)}return Be}class V{constructor(Re,Be=0){this._str=Re,this._len=Re.length,this._offset=Be}get offset(){return this._offset}setOffset(Re){this._offset=Re}prevCodePoint(){const Re=x(this._str,this._offset);return this._offset-=Re>=65536?2:1,Re}nextCodePoint(){const Re=q(this._str,this._len,this._offset);return this._offset+=Re>=65536?2:1,Re}eol(){return this._offset>=this._len}}e.CodePointIterator=V;class ee{constructor(Re,Be=0){this._iterator=new V(Re,Be)}get offset(){return this._iterator.offset}nextGraphemeLength(){const Re=ze.getInstance(),Be=this._iterator,qe=Be.offset;let je=Re.getGraphemeBreakType(Be.nextCodePoint());for(;!Be.eol();){const Ve=Be.offset,nt=Re.getGraphemeBreakType(Be.nextCodePoint());if(De(je,nt)){Be.setOffset(Ve);break}je=nt}return Be.offset-qe}prevGraphemeLength(){const Re=ze.getInstance(),Be=this._iterator,qe=Be.offset;let je=Re.getGraphemeBreakType(Be.prevCodePoint());for(;Be.offset>0;){const Ve=Be.offset,nt=Re.getGraphemeBreakType(Be.prevCodePoint());if(De(nt,je)){Be.setOffset(Ve);break}je=nt}return qe-Be.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=ee;function Y(oe,Re){return new ee(oe,Re).nextGraphemeLength()}e.nextCharLength=Y;function le(oe,Re){return new ee(oe,Re).prevGraphemeLength()}e.prevCharLength=le;function ve(oe,Re){Re>0&&M(oe.charCodeAt(Re))&&Re--;const Be=Re+Y(oe,Re);return[Be-le(oe,Be),Be]}e.getCharContainingOffset=ve;const J=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function ge(oe){return J.test(oe)}e.containsRTL=ge;const _e=/^[\t\n\r\x20-\x7E]*$/;function Te(oe){return _e.test(oe)}e.isBasicASCII=Te,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function me(oe){return e.UNUSUAL_LINE_TERMINATORS.test(oe)}e.containsUnusualLineTerminators=me;function Pe(oe){return oe>=11904&&oe<=55215||oe>=63744&&oe<=64255||oe>=65281&&oe<=65374}e.isFullWidthCharacter=Pe;function ue(oe){return oe>=127462&&oe<=127487||oe===8986||oe===8987||oe===9200||oe===9203||oe>=9728&&oe<=10175||oe===11088||oe===11093||oe>=127744&&oe<=128591||oe>=128640&&oe<=128764||oe>=128992&&oe<=129008||oe>=129280&&oe<=129535||oe>=129648&&oe<=129782}e.isEmojiImprecise=ue;function pe(oe,Re){if(oe.length<Re)return oe;const Be=/\b/g;let qe=0;for(;Be.test(oe)&&!(oe.length-Be.lastIndex<Re);)qe=Be.lastIndex,Be.lastIndex+=1;return oe.substring(qe).replace(/^\s/,"")}e.lcut=pe;const be=/\x1B\x5B[12]?K/g,ae=/\x1b\[\d+m/g,fe=/\x1b\[0?m/g;function ne(oe){return oe&&(oe=oe.replace(be,""),oe=oe.replace(ae,""),oe=oe.replace(fe,"")),oe}e.removeAnsiEscapeCodes=ne,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function ie(oe){return!!(oe&&oe.length>0&&oe.charCodeAt(0)===65279)}e.startsWithUTF8BOM=ie;function O(oe){return ie(oe)?oe.substr(1):oe}e.stripUTF8BOM=O;function H(oe,Re){if(!oe||!Re||oe.length<Re.length)return!1;const Be=Re.length,qe=oe.toLowerCase();let je=0,Ve=-1;for(;je<Be;){const nt=qe.indexOf(Re[je],Ve+1);if(nt<0)return!1;Ve=nt,je++}return!0}e.fuzzyContains=H;function G(oe,Re=!1){return oe?(Re&&(oe=oe.replace(/\\./g,"")),oe.toLowerCase()!==oe):!1}e.containsUppercaseCharacter=G;function K(oe){return oe.charAt(0).toUpperCase()+oe.slice(1)}e.uppercaseFirstLetter=K;function de(oe,Re=1){if(Re===0)return"";let Be=-1;do Be=oe.indexOf(`
`,Be+1),Re--;while(Re>0&&Be>=0);return Be===-1?oe:(oe[Be-1]==="\r"&&Be--,oe.substr(0,Be))}e.getNLines=de;function we(oe){const Re=90-65+1;return oe=oe%(2*Re),oe<Re?String.fromCharCode(97+oe):String.fromCharCode(65+oe-Re)}e.singleLetterHash=we;function se(oe){return ze.getInstance().getGraphemeBreakType(oe)}e.getGraphemeBreakType=se;function De(oe,Re){return oe===0?Re!==5&&Re!==7:oe===2&&Re===3?!1:oe===4||oe===2||oe===3||Re===4||Re===2||Re===3?!0:!(oe===8&&(Re===8||Re===9||Re===11||Re===12)||(oe===11||oe===9)&&(Re===9||Re===10)||(oe===12||oe===10)&&Re===10||Re===5||Re===13||Re===7||oe===1||oe===13&&Re===14||oe===6&&Re===6)}var Ce;(function(oe){oe[oe.Other=0]="Other",oe[oe.Prepend=1]="Prepend",oe[oe.CR=2]="CR",oe[oe.LF=3]="LF",oe[oe.Control=4]="Control",oe[oe.Extend=5]="Extend",oe[oe.Regional_Indicator=6]="Regional_Indicator",oe[oe.SpacingMark=7]="SpacingMark",oe[oe.L=8]="L",oe[oe.V=9]="V",oe[oe.T=10]="T",oe[oe.LV=11]="LV",oe[oe.LVT=12]="LVT",oe[oe.ZWJ=13]="ZWJ",oe[oe.Extended_Pictographic=14]="Extended_Pictographic"})(Ce=e.GraphemeBreakType||(e.GraphemeBreakType={}));class ze{constructor(){this._data=Ge()}static getInstance(){return ze._INSTANCE||(ze._INSTANCE=new ze),ze._INSTANCE}getGraphemeBreakType(Re){if(Re<32)return Re===10?3:Re===13?2:4;if(Re<127)return 0;const Be=this._data,qe=Be.length/3;let je=1;for(;je<=qe;)if(Re<Be[3*je])je=2*je;else if(Re>Be[3*je+1])je=2*je+1;else return Be[3*je+2];return 0}}ze._INSTANCE=null;function Ge(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function Ne(oe,Re){if(oe===0)return 0;const Be=Qe(oe,Re);if(Be!==void 0)return Be;const qe=new V(Re,oe);return qe.prevCodePoint(),qe.offset}e.getLeftDeleteOffset=Ne;function Qe(oe,Re){const Be=new V(Re,oe);let qe=Be.prevCodePoint();for(;Z(qe)||qe===65039||qe===8419;){if(Be.offset===0)return;qe=Be.prevCodePoint()}if(!ue(qe))return;let je=Be.offset;return je>0&&Be.prevCodePoint()===8205&&(je=Be.offset),je}function Z(oe){return 127995<=oe&&oe<=127999}var re;(function(oe){oe[oe.zwj=8205]="zwj",oe[oe.emojiVariantSelector=65039]="emojiVariantSelector",oe[oe.enclosingKeyCap=8419]="enclosingKeyCap"})(re||(re={})),e.noBreakWhitespace="\xA0";class ye{constructor(Re){this.confusableDictionary=Re}static getInstance(Re){return ye.cache.get(Array.from(Re))}static getLocales(){return ye._locales.getValue()}isAmbiguous(Re){return this.confusableDictionary.has(Re)}getPrimaryConfusable(Re){return this.confusableDictionary.get(Re)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=ye,D=ye,ye.ambiguousCharacterData=new t.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),ye.cache=new u.LRUCachedFunction(oe=>{function Re(Je){const at=new Map;for(let pt=0;pt<Je.length;pt+=2)at.set(Je[pt],Je[pt+1]);return at}function Be(Je,at){const pt=new Map(Je);for(const[Pt,St]of at)pt.set(Pt,St);return pt}function qe(Je,at){if(!Je)return at;const pt=new Map;for(const[Pt,St]of Je)at.has(Pt)&&pt.set(Pt,St);return pt}const je=D.ambiguousCharacterData.getValue();let Ve=oe.filter(Je=>!Je.startsWith("_")&&Je in je);Ve.length===0&&(Ve=["_default"]);let nt;for(const Je of Ve){const at=Re(je[Je]);nt=qe(nt,at)}const ot=Re(je._common),rt=Be(ot,nt);return new ye(rt)}),ye._locales=new t.Lazy(()=>Object.keys(ye.ambiguousCharacterData.getValue()).filter(oe=>!oe.startsWith("_")));class We{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(We.getRawData())),this._data}static isInvisibleCharacter(Re){return We.getData().has(Re)}static get codePoints(){return We.getData()}}e.InvisibleCharacters=We,We._data=void 0}),define(Ie[30],ke([1,0,9,13,8,10]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function y(i){return i===47||i===92}e.isPathSeparator=y;function C(i){return i.replace(/[\\/]/g,u.posix.sep)}e.toSlashes=C;function E(i){return i.indexOf("/")===-1&&(i=C(i)),/^[a-zA-Z]:(\/|$)/.test(i)&&(i="/"+i),i}e.toPosixPath=E;function I(i,n=u.posix.sep){if(!i)return"";const s=i.length,l=i.charCodeAt(0);if(y(l)){if(y(i.charCodeAt(1))&&!y(i.charCodeAt(2))){let S=3;const L=S;for(;S<s&&!y(i.charCodeAt(S));S++);if(L!==S&&!y(i.charCodeAt(S+1))){for(S+=1;S<s;S++)if(y(i.charCodeAt(S)))return i.slice(0,S+1).replace(/[\\/]/g,n)}}return n}else if(f(l)&&i.charCodeAt(1)===58)return y(i.charCodeAt(2))?i.slice(0,2)+n:i.slice(0,2);let d=i.indexOf("://");if(d!==-1){for(d+=3;d<s;d++)if(y(i.charCodeAt(d)))return i.slice(0,d+1)}return""}e.getRoot=I;function R(i){if(!t.isWindows||!i||i.length<5)return!1;let n=i.charCodeAt(0);if(n!==92||(n=i.charCodeAt(1),n!==92))return!1;let s=2;const l=s;for(;s<i.length&&(n=i.charCodeAt(s),n!==92);s++);return!(l===s||(n=i.charCodeAt(s+1),isNaN(n)||n===92))}e.isUNC=R;const k=/[\\/:\*\?"<>\|]/g,_=/[\\/]/g,P=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function w(i,n=t.isWindows){const s=n?k:_;return!(!i||i.length===0||/^\s+$/.test(i)||(s.lastIndex=0,s.test(i))||n&&P.test(i)||i==="."||i===".."||n&&i[i.length-1]==="."||n&&i.length!==i.trim().length||i.length>255)}e.isValidBasename=w;function b(i,n,s){const l=i===n;return!s||l?l:!i||!n?!1:(0,D.equalsIgnoreCase)(i,n)}e.isEqual=b;function g(i,n,s,l=u.sep){if(i===n)return!0;if(!i||!n||n.length>i.length)return!1;if(s){if(!(0,D.startsWithIgnoreCase)(i,n))return!1;if(n.length===i.length)return!0;let S=n.length;return n.charAt(n.length-1)===l&&S--,i.charAt(S)===l}return n.charAt(n.length-1)!==l&&(n+=l),i.indexOf(n)===0}e.isEqualOrParent=g;function f(i){return i>=65&&i<=90||i>=97&&i<=122}e.isWindowsDriveLetter=f;function v(i,n){return t.isWindows&&i.endsWith(":")&&(i+=u.sep),(0,u.isAbsolute)(i)||(i=(0,u.join)(n,i)),i=(0,u.normalize)(i),t.isWindows?(i=(0,D.rtrim)(i,u.sep),i.endsWith(":")&&(i+=u.sep)):(i=(0,D.rtrim)(i,u.sep),i||(i=u.sep)),i}e.sanitizeFilePath=v;function p(i){const n=(0,u.normalize)(i);return t.isWindows?i.length>3?!1:c(n)&&(i.length===2||n.charCodeAt(2)===92):n===u.posix.sep}e.isRootOrDriveLetter=p;function c(i,n=t.isWindows){return n?f(i.charCodeAt(0))&&i.charCodeAt(1)===58:!1}e.hasDriveLetter=c;function m(i){return c(i)?i[0]:void 0}e.getDriveLetter=m;function a(i,n,s){return n.length>i.length?-1:i===n?0:(s&&(i=i.toLowerCase(),n=n.toLowerCase()),i.indexOf(n))}e.indexOfPath=a;function h(i){const n=i.split(":");let s,l,d;for(const S of n){const L=Number(S);(0,T.isNumber)(L)?l===void 0?l=L:d===void 0&&(d=L):s=s?[s,S].join(":"):S}if(!s)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:s,line:l!==void 0?l:void 0,column:d!==void 0?d:l!==void 0?1:void 0}}e.parseLineAndColumnAware=h;const r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function o(i,n,s=8){let l="";for(let S=0;S<s;S++)l+=r.charAt(Math.floor(Math.random()*r.length));let d;return n?d=`${n}-${l}`:d=l,i?(0,u.join)(i,d):d}e.randomPath=o}),define(Ie[60],ke([1,0,8]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function t(f){return D(f,0)}e.hash=t;function D(f,v){switch(typeof f){case"object":return f===null?T(349,v):Array.isArray(f)?E(f,v):I(f,v);case"string":return C(f,v);case"boolean":return y(f,v);case"number":return T(f,v);case"undefined":return T(937,v);default:return T(617,v)}}e.doHash=D;function T(f,v){return(v<<5)-v+f|0}e.numberHash=T;function y(f,v){return T(f?433:863,v)}function C(f,v){v=T(149417,v);for(let p=0,c=f.length;p<c;p++)v=T(f.charCodeAt(p),v);return v}e.stringHash=C;function E(f,v){return v=T(104579,v),f.reduce((p,c)=>D(c,p),v)}function I(f,v){return v=T(181387,v),Object.keys(f).sort().reduce((p,c)=>(p=C(c,p),D(f[c],p)),v)}class R{constructor(){this._value=0}get value(){return this._value}hash(v){return this._value=D(v,this._value),this._value}}e.Hasher=R;var k;(function(f){f[f.BLOCK_SIZE=64]="BLOCK_SIZE",f[f.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(k||(k={}));function _(f,v,p=32){const c=p-v,m=~((1<<c)-1);return(f<<v|(m&f)>>>c)>>>0}function P(f,v=0,p=f.byteLength,c=0){for(let m=0;m<p;m++)f[v+m]=c}function w(f,v,p="0"){for(;f.length<v;)f=p+f;return f}function b(f,v=32){return f instanceof ArrayBuffer?Array.from(new Uint8Array(f)).map(p=>p.toString(16).padStart(2,"0")).join(""):w((f>>>0).toString(16),v/4)}e.toHexString=b;class g{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(v){const p=v.length;if(p===0)return;const c=this._buff;let m=this._buffLen,a=this._leftoverHighSurrogate,h,r;for(a!==0?(h=a,r=-1,a=0):(h=v.charCodeAt(0),r=0);;){let o=h;if(u.isHighSurrogate(h))if(r+1<p){const i=v.charCodeAt(r+1);u.isLowSurrogate(i)?(r++,o=u.computeCodePoint(h,i)):o=65533}else{a=h;break}else u.isLowSurrogate(h)&&(o=65533);if(m=this._push(c,m,o),r++,r<p)h=v.charCodeAt(r);else break}this._buffLen=m,this._leftoverHighSurrogate=a}_push(v,p,c){return c<128?v[p++]=c:c<2048?(v[p++]=192|(c&1984)>>>6,v[p++]=128|(c&63)>>>0):c<65536?(v[p++]=224|(c&61440)>>>12,v[p++]=128|(c&4032)>>>6,v[p++]=128|(c&63)>>>0):(v[p++]=240|(c&1835008)>>>18,v[p++]=128|(c&258048)>>>12,v[p++]=128|(c&4032)>>>6,v[p++]=128|(c&63)>>>0),p>=64&&(this._step(),p-=64,this._totalLen+=64,v[0]=v[64+0],v[1]=v[64+1],v[2]=v[64+2]),p}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),b(this._h0)+b(this._h1)+b(this._h2)+b(this._h3)+b(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,P(this._buff,this._buffLen),this._buffLen>56&&(this._step(),P(this._buff));const v=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(v/4294967296),!1),this._buffDV.setUint32(60,v%4294967296,!1),this._step()}_step(){const v=g._bigBlock32,p=this._buffDV;for(let s=0;s<64;s+=4)v.setUint32(s,p.getUint32(s,!1),!1);for(let s=64;s<320;s+=4)v.setUint32(s,_(v.getUint32(s-12,!1)^v.getUint32(s-32,!1)^v.getUint32(s-56,!1)^v.getUint32(s-64,!1),1),!1);let c=this._h0,m=this._h1,a=this._h2,h=this._h3,r=this._h4,o,i,n;for(let s=0;s<80;s++)s<20?(o=m&a|~m&h,i=1518500249):s<40?(o=m^a^h,i=1859775393):s<60?(o=m&a|m&h|a&h,i=2400959708):(o=m^a^h,i=3395469782),n=_(c,5)+o+r+i+v.getUint32(s*4,!1)&4294967295,r=h,h=a,a=_(m,30),m=c,c=n;this._h0=this._h0+c&4294967295,this._h1=this._h1+m&4294967295,this._h2=this._h2+a&4294967295,this._h3=this._h3+h&4294967295,this._h4=this._h4+r&4294967295}}e.StringSHA1=g,g._bigBlock32=new DataView(new ArrayBuffer(320))});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[25],ke([1,0,16,8]),function(Q,e,u,t){"use strict";var D,T,y,C;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceSet=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function E(i,n,s){let l=i.get(n);return l===void 0&&(l=s,i.set(n,l)),l}e.getOrSet=E;function I(i){const n=[];return i.forEach((s,l)=>{n.push(`${l} => ${s}`)}),`Map(${i.size}) {${n.join(", ")}}`}e.mapToString=I;function R(i){const n=[];return i.forEach(s=>{n.push(s)}),`Set(${i.size}) {${n.join(", ")}}`}e.setToString=R;class k{constructor(){this._value="",this._pos=0}reset(n){return this._value=n,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(n){const s=n.charCodeAt(0),l=this._value.charCodeAt(this._pos);return s-l}value(){return this._value[this._pos]}}e.StringIterator=k;class _{constructor(n=!0){this._caseSensitive=n}reset(n){return this._value=n,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let n=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(n)this._from++;else break;else n=!1;return this}cmp(n){return this._caseSensitive?(0,t.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=_;class P{constructor(n=!0,s=!0){this._splitOnBackslash=n,this._caseSensitive=s}reset(n){this._from=0,this._to=0,this._value=n,this._valueLen=n.length;for(let s=n.length-1;s>=0;s--,this._valueLen--){const l=this._value.charCodeAt(s);if(!(l===47||this._splitOnBackslash&&l===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let n=!0;for(;this._to<this._valueLen;this._to++){const s=this._value.charCodeAt(this._to);if(s===47||this._splitOnBackslash&&s===92)if(n)this._from++;else break;else n=!1}return this}cmp(n){return this._caseSensitive?(0,t.compareSubstring)(n,this._value,0,n.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(n,this._value,0,n.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=P;var w;(function(i){i[i.Scheme=1]="Scheme",i[i.Authority=2]="Authority",i[i.Path=3]="Path",i[i.Query=4]="Query",i[i.Fragment=5]="Fragment"})(w||(w={}));class b{constructor(n,s){this._ignorePathCasing=n,this._ignoreQueryAndFragment=s,this._states=[],this._stateIdx=0}reset(n){return this._value=n,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new P(!1,!this._ignorePathCasing(n)),this._pathIterator.reset(n.path),this._pathIterator.value()&&this._states.push(3)),this._ignoreQueryAndFragment(n)||(this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5)),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(n){if(this._states[this._stateIdx]===1)return(0,t.compareIgnoreCase)(n,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,t.compareIgnoreCase)(n,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(n);if(this._states[this._stateIdx]===4)return(0,t.compare)(n,this._value.query);if(this._states[this._stateIdx]===5)return(0,t.compare)(n,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=b;class g{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const n=this.right;return this.right=n.left,n.left=this,this.updateHeight(),n.updateHeight(),n}rotateRight(){const n=this.left;return this.left=n.right,n.right=this,this.updateHeight(),n.updateHeight(),n}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var f;(function(i){i[i.Left=-1]="Left",i[i.Mid=0]="Mid",i[i.Right=1]="Right"})(f||(f={}));class v{constructor(n){this._iter=n}static forUris(n=()=>!1,s=()=>!1){return new v(new b(n,s))}static forPaths(n=!1){return new v(new P(void 0,!n))}static forStrings(){return new v(new k)}static forConfigKeys(){return new v(new _)}clear(){this._root=void 0}fill(n,s){if(s){const l=s.slice(0);(0,u.shuffle)(l);for(const d of l)this.set(d,n)}else{const l=n.slice(0);(0,u.shuffle)(l);for(const d of l)this.set(d[0],d[1])}}set(n,s){const l=this._iter.reset(n);let d;this._root||(this._root=new g,this._root.segment=l.value());const S=[];for(d=this._root;;){const F=l.cmp(d.segment);if(F>0)d.left||(d.left=new g,d.left.segment=l.value()),S.push([-1,d]),d=d.left;else if(F<0)d.right||(d.right=new g,d.right.segment=l.value()),S.push([1,d]),d=d.right;else if(l.hasNext())l.next(),d.mid||(d.mid=new g,d.mid.segment=l.value()),S.push([0,d]),d=d.mid;else break}const L=d.value;d.value=s,d.key=n;for(let F=S.length-1;F>=0;F--){const N=S[F][1];N.updateHeight();const A=N.balanceFactor();if(A<-1||A>1){const $=S[F][0],B=S[F+1][0];if($===1&&B===1)S[F][1]=N.rotateLeft();else if($===-1&&B===-1)S[F][1]=N.rotateRight();else if($===1&&B===-1)N.right=S[F+1][1]=S[F+1][1].rotateRight(),S[F][1]=N.rotateLeft();else if($===-1&&B===1)N.left=S[F+1][1]=S[F+1][1].rotateLeft(),S[F][1]=N.rotateRight();else throw new Error;if(F>0)switch(S[F-1][0]){case-1:S[F-1][1].left=S[F][1];break;case 1:S[F-1][1].right=S[F][1];break;case 0:S[F-1][1].mid=S[F][1];break}else this._root=S[0][1]}}return L}get(n){return this._getNode(n)?.value}_getNode(n){const s=this._iter.reset(n);let l=this._root;for(;l;){const d=s.cmp(l.segment);if(d>0)l=l.left;else if(d<0)l=l.right;else if(s.hasNext())s.next(),l=l.mid;else break}return l}has(n){const s=this._getNode(n);return!(s?.value===void 0&&s?.mid===void 0)}delete(n){return this._delete(n,!1)}deleteSuperstr(n){return this._delete(n,!0)}_delete(n,s){const l=this._iter.reset(n),d=[];let S=this._root;for(;S;){const L=l.cmp(S.segment);if(L>0)d.push([-1,S]),S=S.left;else if(L<0)d.push([1,S]),S=S.right;else if(l.hasNext())l.next(),d.push([0,S]),S=S.mid;else break}if(!!S){if(s?(S.left=void 0,S.mid=void 0,S.right=void 0,S.height=1):(S.key=void 0,S.value=void 0),!S.mid&&!S.value)if(S.left&&S.right){const L=this._min(S.right),{key:F,value:N,segment:A}=L;this._delete(L.key,!1),S.key=F,S.value=N,S.segment=A}else{const L=S.left??S.right;if(d.length>0){const[F,N]=d[d.length-1];switch(F){case-1:N.left=L;break;case 0:N.mid=L;break;case 1:N.right=L;break}}else this._root=L}for(let L=d.length-1;L>=0;L--){const F=d[L][1];F.updateHeight();const N=F.balanceFactor();if(N>1?(F.right.balanceFactor()>=0||(F.right=F.right.rotateRight()),d[L][1]=F.rotateLeft()):N<-1&&(F.left.balanceFactor()<=0||(F.left=F.left.rotateLeft()),d[L][1]=F.rotateRight()),L>0)switch(d[L-1][0]){case-1:d[L-1][1].left=d[L][1];break;case 1:d[L-1][1].right=d[L][1];break;case 0:d[L-1][1].mid=d[L][1];break}else this._root=d[0][1]}}}_min(n){for(;n.left;)n=n.left;return n}findSubstr(n){const s=this._iter.reset(n);let l=this._root,d;for(;l;){const S=s.cmp(l.segment);if(S>0)l=l.left;else if(S<0)l=l.right;else if(s.hasNext())s.next(),d=l.value||d,l=l.mid;else break}return l&&l.value||d}findSuperstr(n){const s=this._iter.reset(n);let l=this._root;for(;l;){const d=s.cmp(l.segment);if(d>0)l=l.left;else if(d<0)l=l.right;else if(s.hasNext())s.next(),l=l.mid;else return l.mid?this._entries(l.mid):void 0}}forEach(n){for(const[s,l]of this)n(l,s)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(n){!n||(n.left&&(yield*this._entries(n.left)),n.value&&(yield[n.key,n.value]),n.mid&&(yield*this._entries(n.mid)),n.right&&(yield*this._entries(n.right)))}_isBalanced(){const n=s=>{if(!s)return!0;const l=s.balanceFactor();return l<-1||l>1?!1:n(s.left)&&n(s.right)};return n(this._root)}}e.TernarySearchTree=v;class p{constructor(n,s){this.uri=n,this.value=s}}class c{constructor(n,s){this[D]="ResourceMap",n instanceof c?(this.map=new Map(n.map),this.toKey=s??c.defaultToKey):(this.map=new Map,this.toKey=n??c.defaultToKey)}set(n,s){return this.map.set(this.toKey(n),new p(n,s)),this}get(n){return this.map.get(this.toKey(n))?.value}has(n){return this.map.has(this.toKey(n))}get size(){return this.map.size}clear(){this.map.clear()}delete(n){return this.map.delete(this.toKey(n))}forEach(n,s){typeof s!="undefined"&&(n=n.bind(s));for(const[l,d]of this.map)n(d.value,d.uri,this)}*values(){for(const n of this.map.values())yield n.value}*keys(){for(const n of this.map.values())yield n.uri}*entries(){for(const n of this.map.values())yield[n.uri,n.value]}*[(D=Symbol.toStringTag,Symbol.iterator)](){for(const[,n]of this.map)yield[n.uri,n.value]}}e.ResourceMap=c,c.defaultToKey=i=>i.toString();class m{constructor(n,s){this[T]="ResourceSet",!n||typeof n=="function"?this._map=new c(n):(this._map=new c(s),n.forEach(this.add,this))}get size(){return this._map.size}add(n){return this._map.set(n,n),this}clear(){this._map.clear()}delete(n){return this._map.delete(n)}forEach(n,s){this._map.forEach((l,d)=>n.call(s,d,d,this))}has(n){return this._map.has(n)}entries(){return this._map.entries()}keys(){return this._map.keys()}values(){return this._map.keys()}[(T=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.ResourceSet=m;var a;(function(i){i[i.None=0]="None",i[i.AsOld=1]="AsOld",i[i.AsNew=2]="AsNew"})(a=e.Touch||(e.Touch={}));class h{constructor(){this[y]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(n){return this._map.has(n)}get(n,s=0){const l=this._map.get(n);if(!!l)return s!==0&&this.touch(l,s),l.value}set(n,s,l=0){let d=this._map.get(n);if(d)d.value=s,l!==0&&this.touch(d,l);else{switch(d={key:n,value:s,next:void 0,previous:void 0},l){case 0:this.addItemLast(d);break;case 1:this.addItemFirst(d);break;case 2:this.addItemLast(d);break;default:this.addItemLast(d);break}this._map.set(n,d),this._size++}return this}delete(n){return!!this.remove(n)}remove(n){const s=this._map.get(n);if(!!s)return this._map.delete(n),this.removeItem(s),this._size--,s.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const n=this._head;return this._map.delete(n.key),this.removeItem(n),this._size--,n.value}forEach(n,s){const l=this._state;let d=this._head;for(;d;){if(s?n.bind(s)(d.value,d.key,this):n(d.value,d.key,this),this._state!==l)throw new Error("LinkedMap got modified during iteration.");d=d.next}}keys(){const n=this,s=this._state;let l=this._head;const d={[Symbol.iterator](){return d},next(){if(n._state!==s)throw new Error("LinkedMap got modified during iteration.");if(l){const S={value:l.key,done:!1};return l=l.next,S}else return{value:void 0,done:!0}}};return d}values(){const n=this,s=this._state;let l=this._head;const d={[Symbol.iterator](){return d},next(){if(n._state!==s)throw new Error("LinkedMap got modified during iteration.");if(l){const S={value:l.value,done:!1};return l=l.next,S}else return{value:void 0,done:!0}}};return d}entries(){const n=this,s=this._state;let l=this._head;const d={[Symbol.iterator](){return d},next(){if(n._state!==s)throw new Error("LinkedMap got modified during iteration.");if(l){const S={value:[l.key,l.value],done:!1};return l=l.next,S}else return{value:void 0,done:!0}}};return d}[(y=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(n){if(n>=this.size)return;if(n===0){this.clear();return}let s=this._head,l=this.size;for(;s&&l>n;)this._map.delete(s.key),s=s.next,l--;this._head=s,this._size=l,s&&(s.previous=void 0),this._state++}addItemFirst(n){if(!this._head&&!this._tail)this._tail=n;else if(this._head)n.next=this._head,this._head.previous=n;else throw new Error("Invalid list");this._head=n,this._state++}addItemLast(n){if(!this._head&&!this._tail)this._head=n;else if(this._tail)n.previous=this._tail,this._tail.next=n;else throw new Error("Invalid list");this._tail=n,this._state++}removeItem(n){if(n===this._head&&n===this._tail)this._head=void 0,this._tail=void 0;else if(n===this._head){if(!n.next)throw new Error("Invalid list");n.next.previous=void 0,this._head=n.next}else if(n===this._tail){if(!n.previous)throw new Error("Invalid list");n.previous.next=void 0,this._tail=n.previous}else{const s=n.next,l=n.previous;if(!s||!l)throw new Error("Invalid list");s.previous=l,l.next=s}n.next=void 0,n.previous=void 0,this._state++}touch(n,s){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(s!==1&&s!==2)){if(s===1){if(n===this._head)return;const l=n.next,d=n.previous;n===this._tail?(d.next=void 0,this._tail=d):(l.previous=d,d.next=l),n.previous=void 0,n.next=this._head,this._head.previous=n,this._head=n,this._state++}else if(s===2){if(n===this._tail)return;const l=n.next,d=n.previous;n===this._head?(l.previous=void 0,this._head=l):(l.previous=d,d.next=l),n.next=void 0,n.previous=this._tail,this._tail.next=n,this._tail=n,this._state++}}}toJSON(){const n=[];return this.forEach((s,l)=>{n.push([l,s])}),n}fromJSON(n){this.clear();for(const[s,l]of n)this.set(s,l)}}e.LinkedMap=h;class r extends h{constructor(n,s=1){super();this._limit=n,this._ratio=Math.min(Math.max(0,s),1)}get limit(){return this._limit}set limit(n){this._limit=n,this.checkTrim()}get ratio(){return this._ratio}set ratio(n){this._ratio=Math.min(Math.max(0,n),1),this.checkTrim()}get(n,s=2){return super.get(n,s)}peek(n){return super.get(n,0)}set(n,s){return super.set(n,s,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=r;class o{constructor(n){C.set(this,void 0),tt(this,C,n,"f")}get size(){return Me(this,C,"f").size}forEach(n,s){Me(this,C,"f").forEach(n,s)}get(n){return Me(this,C,"f").get(n)}has(n){return Me(this,C,"f").has(n)}entries(){return Me(this,C,"f").entries()}keys(){return Me(this,C,"f").keys()}values(){return Me(this,C,"f").values()}[(C=new WeakMap,Symbol.iterator)](){return Me(this,C,"f").entries()}}e.ReadonlyMapView=o}),define(Ie[103],ke([1,0,25,8]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScoreOptions=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function D(...ne){return function(ie,O){for(let H=0,G=ne.length;H<G;H++){const K=ne[H](ie,O);if(K)return K}return null}}e.or=D,e.matchesStrictPrefix=T.bind(void 0,!1),e.matchesPrefix=T.bind(void 0,!0);function T(ne,ie,O){if(!O||O.length<ie.length)return null;let H;return ne?H=t.startsWithIgnoreCase(O,ie):H=O.indexOf(ie)===0,H?ie.length>0?[{start:0,end:ie.length}]:[]:null}function y(ne,ie){const O=ie.toLowerCase().indexOf(ne.toLowerCase());return O===-1?null:[{start:O,end:O+ne.length}]}e.matchesContiguousSubString=y;function C(ne,ie){return E(ne.toLowerCase(),ie.toLowerCase(),0,0)}e.matchesSubString=C;function E(ne,ie,O,H){if(O===ne.length)return[];if(H===ie.length)return null;if(ne[O]===ie[H]){let G=null;return(G=E(ne,ie,O+1,H+1))?f({start:H,end:H+1},G):null}return E(ne,ie,O,H+1)}function I(ne){return 97<=ne&&ne<=122}function R(ne){return 65<=ne&&ne<=90}e.isUpper=R;function k(ne){return 48<=ne&&ne<=57}function _(ne){return ne===32||ne===9||ne===10||ne===13}const P=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(ne=>P.add(ne.charCodeAt(0)));function w(ne){return _(ne)||P.has(ne)}function b(ne,ie){return ne===ie||w(ne)&&w(ie)}function g(ne){return I(ne)||R(ne)||k(ne)}function f(ne,ie){return ie.length===0?ie=[ne]:ne.end===ie[0].start?ie[0].start=ne.start:ie.unshift(ne),ie}function v(ne,ie){for(let O=ie;O<ne.length;O++){const H=ne.charCodeAt(O);if(R(H)||k(H)||O>0&&!g(ne.charCodeAt(O-1)))return O}return ne.length}function p(ne,ie,O,H){if(O===ne.length)return[];if(H===ie.length)return null;if(ne[O]!==ie[H].toLowerCase())return null;{let G=null,K=H+1;for(G=p(ne,ie,O+1,H+1);!G&&(K=v(ie,K))<ie.length;)G=p(ne,ie,O+1,K),K++;return G===null?null:f({start:H,end:H+1},G)}}function c(ne){let ie=0,O=0,H=0,G=0,K=0;for(let Ce=0;Ce<ne.length;Ce++)K=ne.charCodeAt(Ce),R(K)&&ie++,I(K)&&O++,g(K)&&H++,k(K)&&G++;const de=ie/ne.length,we=O/ne.length,se=H/ne.length,De=G/ne.length;return{upperPercent:de,lowerPercent:we,alphaPercent:se,numericPercent:De}}function m(ne){const{upperPercent:ie,lowerPercent:O}=ne;return O===0&&ie>.6}function a(ne){const{upperPercent:ie,lowerPercent:O,alphaPercent:H,numericPercent:G}=ne;return O>.2&&ie<.8&&H>.6&&G<.2}function h(ne){let ie=0,O=0,H=0,G=0;for(let K=0;K<ne.length;K++)H=ne.charCodeAt(K),R(H)&&ie++,I(H)&&O++,_(H)&&G++;return(ie===0||O===0)&&G===0?ne.length<=30:ie<=5}function r(ne,ie){if(!ie||(ie=ie.trim(),ie.length===0)||!h(ne)||ie.length>60)return null;const O=c(ie);if(!a(O)){if(!m(O))return null;ie=ie.toLowerCase()}let H=null,G=0;for(ne=ne.toLowerCase();G<ie.length&&(H=p(ne,ie,0,G))===null;)G=v(ie,G+1);return H}e.matchesCamelCase=r;function o(ne,ie,O=!1){if(!ie||ie.length===0)return null;let H=null,G=0;for(ne=ne.toLowerCase(),ie=ie.toLowerCase();G<ie.length&&(H=i(ne,ie,0,G,O))===null;)G=n(ie,G+1);return H}e.matchesWords=o;function i(ne,ie,O,H,G){if(O===ne.length)return[];if(H===ie.length)return null;if(b(ne.charCodeAt(O),ie.charCodeAt(H))){let K=null,de=H+1;if(K=i(ne,ie,O+1,H+1,G),!G)for(;!K&&(de=n(ie,de))<ie.length;)K=i(ne,ie,O+1,de,G),de++;return K===null?null:f({start:H,end:H+1},K)}else return null}function n(ne,ie){for(let O=ie;O<ne.length;O++)if(w(ne.charCodeAt(O))||O>0&&w(ne.charCodeAt(O-1)))return O;return ne.length}const s=D(e.matchesPrefix,r,y),l=D(e.matchesPrefix,r,C),d=new u.LRUCache(1e4);function S(ne,ie,O=!1){if(typeof ne!="string"||typeof ie!="string")return null;let H=d.get(ne);H||(H=new RegExp(t.convertSimple2RegExpPattern(ne),"i"),d.set(ne,H));const G=H.exec(ie);return G?[{start:G.index,end:G.index+G[0].length}]:O?l(ne,ie):s(ne,ie)}e.matchesFuzzy=S;function L(ne,ie){const O=me(ne,ne.toLowerCase(),0,ie,ie.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return O?N(O):null}e.matchesFuzzy2=L;function F(ne,ie,O,H,G,K){const de=Math.min(13,ne.length);for(;O<de;O++){const we=me(ne,ie,O,H,G,K,{firstMatchCanBeWeak:!1,boostFullMatch:!0});if(we)return we}return[0,K]}e.anyScore=F;function N(ne){if(typeof ne=="undefined")return[];const ie=[],O=ne[1];for(let H=ne.length-1;H>1;H--){const G=ne[H]+O,K=ie[ie.length-1];K&&K.end===G?K.end=G+1:ie.push({start:G,end:G+1})}return ie}e.createMatches=N;const A=128;function $(){const ne=[],ie=[];for(let O=0;O<=A;O++)ie[O]=0;for(let O=0;O<=A;O++)ne.push(ie.slice(0));return ne}function B(ne){const ie=[];for(let O=0;O<=ne;O++)ie[O]=0;return ie}const z=B(2*A),X=B(2*A),M=$(),U=$(),q=$(),x=!1;function V(ne,ie,O,H,G){function K(we,se,De=" "){for(;we.length<se;)we=De+we;return we}let de=` |   |${H.split("").map(we=>K(we,3)).join("|")}
`;for(let we=0;we<=O;we++)we===0?de+=" |":de+=`${ie[we-1]}|`,de+=ne[we].slice(0,G+1).map(se=>K(se.toString(),3)).join("|")+`
`;return de}function ee(ne,ie,O,H){ne=ne.substr(ie),O=O.substr(H),console.log(V(U,ne,ne.length,O,O.length)),console.log(V(q,ne,ne.length,O,O.length)),console.log(V(M,ne,ne.length,O,O.length))}function Y(ne,ie){if(ie<0||ie>=ne.length)return!1;const O=ne.codePointAt(ie);switch(O){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 62:case 40:case 41:case 91:case 93:case 123:case 125:return!0;case void 0:return!1;default:return!!t.isEmojiImprecise(O)}}function le(ne,ie){if(ie<0||ie>=ne.length)return!1;switch(ne.charCodeAt(ie)){case 32:case 9:return!0;default:return!1}}function ve(ne,ie,O){return ie[ne]!==O[ne]}function J(ne,ie,O,H,G,K,de=!1){for(;ie<O&&G<K;)ne[ie]===H[G]&&(de&&(z[ie]=G),ie+=1),G+=1;return ie===O}e.isPatternInWord=J;var ge;(function(ne){ne[ne.Diag=1]="Diag",ne[ne.Left=2]="Left",ne[ne.LeftLeft=3]="LeftLeft"})(ge||(ge={}));var _e;(function(ne){ne.Default=[-100,0];function ie(O){return!O||O.length===2&&O[0]===-100&&O[1]===0}ne.isDefault=ie})(_e=e.FuzzyScore||(e.FuzzyScore={}));class Te{constructor(ie,O){this.firstMatchCanBeWeak=ie,this.boostFullMatch=O}}e.FuzzyScoreOptions=Te,Te.default={boostFullMatch:!0,firstMatchCanBeWeak:!1};function me(ne,ie,O,H,G,K,de=Te.default){const we=ne.length>A?A:ne.length,se=H.length>A?A:H.length;if(O>=we||K>=se||we-O>se-K||!J(ie,O,we,G,K,se,!0))return;Pe(we,se,O,K,ie,G);let De=1,Ce=1,ze=O,Ge=K;const Ne=[!1];for(De=1,ze=O;ze<we;De++,ze++){const We=z[ze],oe=X[ze],Re=ze+1<we?X[ze+1]:se;for(Ce=We-K+1,Ge=We;Ge<Re;Ce++,Ge++){let Be=Number.MIN_SAFE_INTEGER,qe=!1;Ge<=oe&&(Be=ue(ne,ie,ze,O,H,G,Ge,se,K,M[De-1][Ce-1]===0,Ne));let je=0;Be!==Number.MAX_SAFE_INTEGER&&(qe=!0,je=Be+U[De-1][Ce-1]);const Ve=Ge>We,nt=Ve?U[De][Ce-1]+(M[De][Ce-1]>0?-5:0):0,ot=Ge>We+1&&M[De][Ce-1]>0,rt=ot?U[De][Ce-2]+(M[De][Ce-2]>0?-5:0):0;if(ot&&(!Ve||rt>=nt)&&(!qe||rt>=je))U[De][Ce]=rt,q[De][Ce]=3,M[De][Ce]=0;else if(Ve&&(!qe||nt>=je))U[De][Ce]=nt,q[De][Ce]=2,M[De][Ce]=0;else if(qe)U[De][Ce]=je,q[De][Ce]=1,M[De][Ce]=M[De-1][Ce-1]+1;else throw new Error("not possible")}}if(x&&ee(ne,O,H,K),!Ne[0]&&!de.firstMatchCanBeWeak)return;De--,Ce--;const Qe=[U[De][Ce],K];let Z=0,re=0;for(;De>=1;){let We=Ce;do{const oe=q[De][We];if(oe===3)We=We-2;else if(oe===2)We=We-1;else break}while(We>=1);Z>1&&ie[O+De-1]===G[K+Ce-1]&&!ve(We+K-1,H,G)&&Z+1>M[De][We]&&(We=Ce),We===Ce?Z++:Z=1,re||(re=We),De--,Ce=We-1,Qe.push(Ce)}se===we&&de.boostFullMatch&&(Qe[0]+=2);const ye=re-we;return Qe[0]-=ye,Qe}e.fuzzyScore=me;function Pe(ne,ie,O,H,G,K){let de=ne-1,we=ie-1;for(;de>=O&&we>=H;)G[de]===K[we]&&(X[de]=we,de--),we--}function ue(ne,ie,O,H,G,K,de,we,se,De,Ce){if(ie[O]!==K[de])return Number.MIN_SAFE_INTEGER;let ze=1,Ge=!1;return de===O-H?ze=ne[O]===G[de]?7:5:ve(de,G,K)&&(de===0||!ve(de-1,G,K))?(ze=ne[O]===G[de]?7:5,Ge=!0):Y(K,de)&&(de===0||!Y(K,de-1))?ze=5:(Y(K,de-1)||le(K,de-1))&&(ze=5,Ge=!0),ze>1&&O===H&&(Ce[0]=!0),Ge||(Ge=ve(de,G,K)||Y(K,de-1)||le(K,de-1)),O===H?de>se&&(ze-=Ge?3:5):De?ze+=Ge?2:0:ze+=Ge?0:1,de+1===we&&(ze-=Ge?3:5),ze}function pe(ne,ie,O,H,G,K,de){return ae(ne,ie,O,H,G,K,!0,de)}e.fuzzyScoreGracefulAggressive=pe;function be(ne,ie,O,H,G,K,de){return ae(ne,ie,O,H,G,K,!1,de)}e.fuzzyScoreGraceful=be;function ae(ne,ie,O,H,G,K,de,we){let se=me(ne,ie,O,H,G,K,we);if(se&&!de)return se;if(ne.length>=3){const De=Math.min(7,ne.length-1);for(let Ce=O+1;Ce<De;Ce++){const ze=fe(ne,Ce);if(ze){const Ge=me(ze,ze.toLowerCase(),O,H,G,K,we);Ge&&(Ge[0]-=3,(!se||Ge[0]>se[0])&&(se=Ge))}}}return se}function fe(ne,ie){if(ie+1>=ne.length)return;const O=ne[ie],H=ne[ie+1];if(O!==H)return ne.slice(0,ie)+H+O+ne.slice(ie+2)}}),define(Ie[156],ke([1,0,76,103,8]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const T=new RegExp(`\\$\\(${u.CSSIcon.iconNameExpression}(?:${u.CSSIcon.iconModifierExpression})?\\)`,"g"),y=new RegExp(u.CSSIcon.iconNameCharacter),C=new RegExp(`(\\\\)?${T.source}`,"g");function E(g){return g.replace(C,(f,v)=>v?f:`\\${f}`)}e.escapeIcons=E;const I=new RegExp(`\\\\${T.source}`,"g");function R(g){return g.replace(I,f=>`\\${f}`)}e.markdownEscapeEscapedIcons=R;const k=new RegExp(`(\\s)?(\\\\)?${T.source}(\\s)?`,"g");function _(g){return g.indexOf(e.iconStartMarker)===-1?g:g.replace(k,(f,v,p,c)=>p?f:v||c||"")}e.stripIcons=_;function P(g){const f=g.indexOf(e.iconStartMarker);return f===-1?{text:g}:w(g,f)}e.parseLabelWithIcons=P;function w(g,f){const v=[];let p="";function c(s){if(s){p+=s;for(const l of s)v.push(h)}}let m=-1,a="",h=0,r,o,i=f;const n=g.length;for(c(g.substr(0,f));i<n;)r=g[i],o=g[i+1],r===e.iconStartMarker[0]&&o===e.iconStartMarker[1]?(m=i,c(a),a=e.iconStartMarker,i++):r===")"&&m!==-1?(h+=i-m+1,m=-1,a=""):m!==-1?y.test(r)?a+=r:(c(a),m=-1,a=""):c(r),i++;return c(a),{text:p,iconOffsets:v}}function b(g,f,v=!1){const{text:p,iconOffsets:c}=f;if(!c||c.length===0)return(0,t.matchesFuzzy)(g,p,v);const m=(0,D.ltrim)(p," "),a=p.length-m.length,h=(0,t.matchesFuzzy)(g,m,v);if(h)for(const r of h){const o=c[r.start+a]+a;r.start+=o,r.end+=o}return h}e.matchesFuzzyIconAware=b}),define(Ie[80],ke([1,0,25]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const t=new u.LRUCache(1e4);function D(I){return E(I,"NFC",t)}e.normalizeNFC=D;const T=new u.LRUCache(1e4);function y(I){return E(I,"NFD",T)}e.normalizeNFD=y;const C=/[^\u0000-\u0080]/;function E(I,R,k){if(!I)return I;const _=k.get(I);if(_)return _;let P;return C.test(I)?P=I.normalize(R):P=I,k.set(I,P),P}e.removeAccents=function(){const I=/[\u0300-\u036f]/g;return function(R){return y(R).replace(I,"")}}()}),define(Ie[41],ke([1,0,8]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t;(function(D){D[D.Ignore=0]="Ignore",D[D.Info=1]="Info",D[D.Warning=2]="Warning",D[D.Error=3]="Error"})(t||(t={})),function(D){const T="error",y="warning",C="warn",E="info",I="ignore";function R(_){return _?u.equalsIgnoreCase(T,_)?D.Error:u.equalsIgnoreCase(y,_)||u.equalsIgnoreCase(C,_)?D.Warning:u.equalsIgnoreCase(E,_)?D.Info:D.Ignore:D.Ignore}D.fromValue=R;function k(_){switch(_){case D.Error:return T;case D.Warning:return y;case D.Info:return E;default:return I}}D.toString=k}(t||(t={})),e.default=t}),define(Ie[2],ke([1,0,9,13]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const D=/^\w[\w\d+.-]*$/,T=/^\//,y=/^\/\//;function C(r,o){if(!r.scheme&&o)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${r.authority}", path: "${r.path}", query: "${r.query}", fragment: "${r.fragment}"}`);if(r.scheme&&!D.test(r.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(r.path){if(r.authority){if(!T.test(r.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(y.test(r.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function E(r,o){return!r&&!o?"file":r}function I(r,o){switch(r){case"https":case"http":case"file":o?o[0]!==k&&(o=k+o):o=k;break}return o}const R="",k="/",_=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class P{constructor(o,i,n,s,l,d=!1){typeof o=="object"?(this.scheme=o.scheme||R,this.authority=o.authority||R,this.path=o.path||R,this.query=o.query||R,this.fragment=o.fragment||R):(this.scheme=E(o,d),this.authority=i||R,this.path=I(this.scheme,n||R),this.query=s||R,this.fragment=l||R,C(this,d))}static isUri(o){return o instanceof P?!0:o?typeof o.authority=="string"&&typeof o.fragment=="string"&&typeof o.path=="string"&&typeof o.query=="string"&&typeof o.scheme=="string"&&typeof o.fsPath=="string"&&typeof o.with=="function"&&typeof o.toString=="function":!1}get fsPath(){return p(this,!1)}with(o){if(!o)return this;let{scheme:i,authority:n,path:s,query:l,fragment:d}=o;return i===void 0?i=this.scheme:i===null&&(i=R),n===void 0?n=this.authority:n===null&&(n=R),s===void 0?s=this.path:s===null&&(s=R),l===void 0?l=this.query:l===null&&(l=R),d===void 0?d=this.fragment:d===null&&(d=R),i===this.scheme&&n===this.authority&&s===this.path&&l===this.query&&d===this.fragment?this:new b(i,n,s,l,d)}static parse(o,i=!1){const n=_.exec(o);return n?new b(n[2]||R,h(n[4]||R),h(n[5]||R),h(n[7]||R),h(n[9]||R),i):new b(R,R,R,R,R)}static file(o){let i=R;if(t.isWindows&&(o=o.replace(/\\/g,k)),o[0]===k&&o[1]===k){const n=o.indexOf(k,2);n===-1?(i=o.substring(2),o=k):(i=o.substring(2,n),o=o.substring(n)||k)}return new b("file",i,o,R,R)}static from(o){const i=new b(o.scheme,o.authority,o.path,o.query,o.fragment);return C(i,!0),i}static joinPath(o,...i){if(!o.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let n;return t.isWindows&&o.scheme==="file"?n=P.file(u.win32.join(p(o,!0),...i)).path:n=u.posix.join(o.path,...i),o.with({path:n})}toString(o=!1){return c(this,o)}toJSON(){return this}static revive(o){if(o){if(o instanceof P)return o;{const i=new b(o);return i._formatted=o.external,i._fsPath=o._sep===w?o.fsPath:null,i}}else return o}}e.URI=P;const w=t.isWindows?1:void 0;class b extends P{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=p(this,!1)),this._fsPath}toString(o=!1){return o?c(this,!0):(this._formatted||(this._formatted=c(this,!1)),this._formatted)}toJSON(){const o={$mid:1};return this._fsPath&&(o.fsPath=this._fsPath,o._sep=w),this._formatted&&(o.external=this._formatted),this.path&&(o.path=this.path),this.scheme&&(o.scheme=this.scheme),this.authority&&(o.authority=this.authority),this.query&&(o.query=this.query),this.fragment&&(o.fragment=this.fragment),o}}const g={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function f(r,o){let i,n=-1;for(let s=0;s<r.length;s++){const l=r.charCodeAt(s);if(l>=97&&l<=122||l>=65&&l<=90||l>=48&&l<=57||l===45||l===46||l===95||l===126||o&&l===47)n!==-1&&(i+=encodeURIComponent(r.substring(n,s)),n=-1),i!==void 0&&(i+=r.charAt(s));else{i===void 0&&(i=r.substr(0,s));const d=g[l];d!==void 0?(n!==-1&&(i+=encodeURIComponent(r.substring(n,s)),n=-1),i+=d):n===-1&&(n=s)}}return n!==-1&&(i+=encodeURIComponent(r.substring(n))),i!==void 0?i:r}function v(r){let o;for(let i=0;i<r.length;i++){const n=r.charCodeAt(i);n===35||n===63?(o===void 0&&(o=r.substr(0,i)),o+=g[n]):o!==void 0&&(o+=r[i])}return o!==void 0?o:r}function p(r,o){let i;return r.authority&&r.path.length>1&&r.scheme==="file"?i=`//${r.authority}${r.path}`:r.path.charCodeAt(0)===47&&(r.path.charCodeAt(1)>=65&&r.path.charCodeAt(1)<=90||r.path.charCodeAt(1)>=97&&r.path.charCodeAt(1)<=122)&&r.path.charCodeAt(2)===58?o?i=r.path.substr(1):i=r.path[1].toLowerCase()+r.path.substr(2):i=r.path,t.isWindows&&(i=i.replace(/\//g,"\\")),i}e.uriToFsPath=p;function c(r,o){const i=o?v:f;let n="",{scheme:s,authority:l,path:d,query:S,fragment:L}=r;if(s&&(n+=s,n+=":"),(l||s==="file")&&(n+=k,n+=k),l){let F=l.indexOf("@");if(F!==-1){const N=l.substr(0,F);l=l.substr(F+1),F=N.indexOf(":"),F===-1?n+=i(N,!1):(n+=i(N.substr(0,F),!1),n+=":",n+=i(N.substr(F+1),!1)),n+="@"}l=l.toLowerCase(),F=l.indexOf(":"),F===-1?n+=i(l,!1):(n+=i(l.substr(0,F),!1),n+=l.substr(F))}if(d){if(d.length>=3&&d.charCodeAt(0)===47&&d.charCodeAt(2)===58){const F=d.charCodeAt(1);F>=65&&F<=90&&(d=`/${String.fromCharCode(F+32)}:${d.substr(3)}`)}else if(d.length>=2&&d.charCodeAt(1)===58){const F=d.charCodeAt(0);F>=65&&F<=90&&(d=`${String.fromCharCode(F+32)}:${d.substr(2)}`)}n+=i(d,!0)}return S&&(n+="?",n+=i(S,!1)),L&&(n+="#",n+=o?L:f(L,!1)),n}function m(r){try{return decodeURIComponent(r)}catch{return r.length>3?r.substr(0,3)+m(r.substr(3)):r}}const a=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function h(r){return r.match(a)?r.replace(a,o=>m(o)):r}}),define(Ie[61],ke([1,0,23,8,2]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function T(I){return JSON.stringify(I,C)}e.stringify=T;function y(I){let R=JSON.parse(I);return R=E(R),R}e.parse=y;function C(I,R){return R instanceof RegExp?{$mid:2,source:R.source,flags:(0,t.regExpFlags)(R)}:R}function E(I,R=0){if(!I||R>200)return I;if(typeof I=="object"){switch(I.$mid){case 1:return D.URI.revive(I);case 2:return new RegExp(I.source,I.flags);case 14:return new Date(I.source)}if(I instanceof u.VSBuffer||I instanceof Uint8Array)return I;if(Array.isArray(I))for(let k=0;k<I.length;++k)I[k]=E(I[k],R+1);else for(const k in I)Object.hasOwnProperty.call(I,k)&&(I[k]=E(I[k],R+1))}return I}e.revive=E}),define(Ie[11],ke([1,0,13,2]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var D;(function(C){C.inMemory="inmemory",C.vscode="vscode",C.internal="private",C.walkThrough="walkThrough",C.walkThroughSnippet="walkThroughSnippet",C.http="http",C.https="https",C.file="file",C.mailto="mailto",C.untitled="untitled",C.data="data",C.command="command",C.vscodeRemote="vscode-remote",C.vscodeRemoteResource="vscode-remote-resource",C.vscodeUserData="vscode-userdata",C.vscodeCustomEditor="vscode-custom-editor",C.vscodeNotebook="vscode-notebook",C.vscodeNotebookCell="vscode-notebook-cell",C.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",C.vscodeNotebookCellOutput="vscode-notebook-cell-output",C.vscodeInteractive="vscode-interactive",C.vscodeInteractiveInput="vscode-interactive-input",C.vscodeSettings="vscode-settings",C.vscodeWorkspaceTrust="vscode-workspace-trust",C.vscodeTerminal="vscode-terminal",C.webviewPanel="webview-panel",C.vscodeWebview="vscode-webview",C.extension="extension",C.vscodeFileResource="vscode-file",C.tmp="tmp",C.vsls="vsls"})(D=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class T{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null,this._remoteResourcesPath=`/${D.vscodeRemoteResource}`}setPreferredWebSchema(E){this._preferredWebSchema=E}setDelegate(E){this._delegate=E}setServerRootPath(E){this._remoteResourcesPath=`${E}/${D.vscodeRemoteResource}`}set(E,I,R){this._hosts[E]=I,this._ports[E]=R}setConnectionToken(E,I){this._connectionTokens[E]=I}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(E){if(this._delegate)return this._delegate(E);const I=E.authority;let R=this._hosts[I];R&&R.indexOf(":")!==-1&&(R=`[${R}]`);const k=this._ports[I],_=this._connectionTokens[I];let P=`path=${encodeURIComponent(E.path)}`;return typeof _=="string"&&(P+=`&${e.connectionTokenQueryName}=${encodeURIComponent(_)}`),t.URI.from({scheme:u.isWeb?this._preferredWebSchema:D.vscodeRemoteResource,authority:`${R}:${k}`,path:this._remoteResourcesPath,query:P})}}e.RemoteAuthorities=new T;class y{asBrowserUri(E,I){const R=this.toUri(E,I);return R.scheme===D.vscodeRemote?e.RemoteAuthorities.rewrite(R):R.scheme===D.file&&(u.isNative||u.isWebWorker&&u.globals.origin===`${D.vscodeFileResource}://${y.FALLBACK_AUTHORITY}`)?R.with({scheme:D.vscodeFileResource,authority:R.authority||y.FALLBACK_AUTHORITY,query:null,fragment:null}):R}asFileUri(E,I){const R=this.toUri(E,I);return R.scheme===D.vscodeFileResource?R.with({scheme:D.file,authority:R.authority!==y.FALLBACK_AUTHORITY?R.authority:null,query:null,fragment:null}):R}toUri(E,I){return t.URI.isUri(E)?E:t.URI.parse(I.toUrl(E))}}y.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new y}),define(Ie[22],ke([1,0,30,11,9,13,8,2]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function E(P){return(0,C.uriToFsPath)(P,!0)}e.originalFSPath=E;class I{constructor(w){this._ignorePathCasing=w}compare(w,b,g=!1){return w===b?0:(0,y.compare)(this.getComparisonKey(w,g),this.getComparisonKey(b,g))}isEqual(w,b,g=!1){return w===b?!0:!w||!b?!1:this.getComparisonKey(w,g)===this.getComparisonKey(b,g)}getComparisonKey(w,b=!1){return w.with({path:this._ignorePathCasing(w)?w.path.toLowerCase():void 0,fragment:b?null:void 0}).toString()}ignorePathCasing(w){return this._ignorePathCasing(w)}isEqualOrParent(w,b,g=!1){if(w.scheme===b.scheme){if(w.scheme===t.Schemas.file)return u.isEqualOrParent(E(w),E(b),this._ignorePathCasing(w))&&w.query===b.query&&(g||w.fragment===b.fragment);if((0,e.isEqualAuthority)(w.authority,b.authority))return u.isEqualOrParent(w.path,b.path,this._ignorePathCasing(w),"/")&&w.query===b.query&&(g||w.fragment===b.fragment)}return!1}joinPath(w,...b){return C.URI.joinPath(w,...b)}basenameOrAuthority(w){return(0,e.basename)(w)||w.authority}basename(w){return D.posix.basename(w.path)}extname(w){return D.posix.extname(w.path)}dirname(w){if(w.path.length===0)return w;let b;return w.scheme===t.Schemas.file?b=C.URI.file(D.dirname(E(w))).path:(b=D.posix.dirname(w.path),w.authority&&b.length&&b.charCodeAt(0)!==47&&(console.error(`dirname("${w.toString})) resulted in a relative path`),b="/")),w.with({path:b})}normalizePath(w){if(!w.path.length)return w;let b;return w.scheme===t.Schemas.file?b=C.URI.file(D.normalize(E(w))).path:b=D.posix.normalize(w.path),w.with({path:b})}relativePath(w,b){if(w.scheme!==b.scheme||!(0,e.isEqualAuthority)(w.authority,b.authority))return;if(w.scheme===t.Schemas.file){const v=D.relative(E(w),E(b));return T.isWindows?u.toSlashes(v):v}let g=w.path||"/";const f=b.path||"/";if(this._ignorePathCasing(w)){let v=0;for(const p=Math.min(g.length,f.length);v<p&&!(g.charCodeAt(v)!==f.charCodeAt(v)&&g.charAt(v).toLowerCase()!==f.charAt(v).toLowerCase());v++);g=f.substr(0,v)+g.substr(v)}return D.posix.relative(g,f)}resolvePath(w,b){if(w.scheme===t.Schemas.file){const g=C.URI.file(D.resolve(E(w),b));return w.with({authority:g.authority,path:g.path})}return b=u.toPosixPath(b),w.with({path:D.posix.resolve(w.path,b)})}isAbsolutePath(w){return!!w.path&&w.path[0]==="/"}isEqualAuthority(w,b){return w===b||w!==void 0&&b!==void 0&&(0,y.equalsIgnoreCase)(w,b)}hasTrailingPathSeparator(w,b=D.sep){if(w.scheme===t.Schemas.file){const g=E(w);return g.length>u.getRoot(g).length&&g[g.length-1]===b}else{const g=w.path;return g.length>1&&g.charCodeAt(g.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(w.fsPath)}}removeTrailingPathSeparator(w,b=D.sep){return(0,e.hasTrailingPathSeparator)(w,b)?w.with({path:w.path.substr(0,w.path.length-1)}):w}addTrailingPathSeparator(w,b=D.sep){let g=!1;if(w.scheme===t.Schemas.file){const f=E(w);g=f!==void 0&&f.length===u.getRoot(f).length&&f[f.length-1]===b}else{b="/";const f=w.path;g=f.length===1&&f.charCodeAt(f.length-1)===47}return!g&&!(0,e.hasTrailingPathSeparator)(w,b)?w.with({path:w.path+"/"}):w}}e.ExtUri=I,e.extUri=new I(()=>!1),e.extUriBiasedIgnorePathCase=new I(P=>P.scheme===t.Schemas.file?!T.isLinux:!0),e.extUriIgnorePathCase=new I(P=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function R(P,w){const b=[];for(let g=0;g<P.length;g++){const f=w(P[g]);P.some((v,p)=>p===g?!1:(0,e.isEqualOrParent)(f,w(v)))||b.push(P[g])}return b}e.distinctParents=R;var k;(function(P){P.META_DATA_LABEL="label",P.META_DATA_DESCRIPTION="description",P.META_DATA_SIZE="size",P.META_DATA_MIME="mime";function w(b){const g=new Map;b.path.substring(b.path.indexOf(";")+1,b.path.lastIndexOf(";")).split(";").forEach(p=>{const[c,m]=p.split(":");c&&m&&g.set(c,m)});const v=b.path.substring(0,b.path.indexOf(";"));return v&&g.set(P.META_DATA_MIME,v),g}P.parseMetaData=w})(k=e.DataUri||(e.DataUri={}));function _(P,w,b){if(w){let g=P.path;return g&&g[0]!==D.posix.sep&&(g=D.posix.sep+g),P.with({scheme:b,authority:w,path:g})}return P.with({scheme:b})}e.toLocalResource=_}),define(Ie[18],ke([1,0,21,12,3,6,22,13]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function E(ve){return!!ve&&typeof ve.then=="function"}e.isThenable=E;function I(ve){const J=new u.CancellationTokenSource,ge=ve(J.token),_e=new Promise((Te,me)=>{const Pe=J.token.onCancellationRequested(()=>{Pe.dispose(),J.dispose(),me(new t.CancellationError)});Promise.resolve(ge).then(ue=>{Pe.dispose(),J.dispose(),Te(ue)},ue=>{Pe.dispose(),J.dispose(),me(ue)})});return new class{cancel(){J.cancel()}then(Te,me){return _e.then(Te,me)}catch(Te){return this.then(void 0,Te)}finally(Te){return _e.finally(Te)}}}e.createCancelablePromise=I;function R(ve,J,ge){return new Promise((_e,Te)=>{const me=J.onCancellationRequested(()=>{me.dispose(),_e(ge)});ve.then(_e,Te).finally(()=>me.dispose())})}e.raceCancellation=R;function k(ve,J){return new Promise((ge,_e)=>{const Te=J.onCancellationRequested(()=>{Te.dispose(),_e(new t.CancellationError)});ve.then(ge,_e).finally(()=>Te.dispose())})}e.raceCancellationError=k;async function _(ve){let J=-1;const ge=ve.map((Te,me)=>Te.then(Pe=>(J=me,Pe))),_e=await Promise.race(ge);return ve.forEach((Te,me)=>{me!==J&&Te.cancel()}),_e}e.raceCancellablePromises=_;function P(ve,J,ge){let _e;const Te=setTimeout(()=>{_e?.(void 0),ge?.()},J);return Promise.race([ve.finally(()=>clearTimeout(Te)),new Promise(me=>_e=me)])}e.raceTimeout=P;function w(ve){return new Promise((J,ge)=>{const _e=ve();E(_e)?_e.then(J,ge):J(_e)})}e.asPromise=w;class b{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(J){if(this.activePromise){if(this.queuedPromiseFactory=J,!this.queuedPromise){const ge=()=>{this.queuedPromise=null;const _e=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,_e};this.queuedPromise=new Promise(_e=>{this.activePromise.then(ge,ge).then(_e)})}return new Promise((ge,_e)=>{this.queuedPromise.then(ge,_e)})}return this.activePromise=J(),new Promise((ge,_e)=>{this.activePromise.then(Te=>{this.activePromise=null,ge(Te)},Te=>{this.activePromise=null,_e(Te)})})}}e.Throttler=b;class g{constructor(){this.current=Promise.resolve(null)}queue(J){return this.current=this.current.then(()=>J(),()=>J())}}e.Sequencer=g;class f{constructor(){this.promiseMap=new Map}queue(J,ge){const Te=(this.promiseMap.get(J)??Promise.resolve()).catch(()=>{}).then(ge).finally(()=>{this.promiseMap.get(J)===Te&&this.promiseMap.delete(J)});return this.promiseMap.set(J,Te),Te}}e.SequencerByKey=f;const v=(ve,J)=>{let ge=!0;const _e=setTimeout(()=>{ge=!1,J()},ve);return{isTriggered:()=>ge,dispose:()=>{clearTimeout(_e),ge=!1}}},p=ve=>{let J=!0;return queueMicrotask(()=>{J&&(J=!1,ve())}),{isTriggered:()=>J,dispose:()=>{J=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class c{constructor(J){this.defaultDelay=J,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(J,ge=this.defaultDelay){this.task=J,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((Te,me)=>{this.doResolve=Te,this.doReject=me}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const Te=this.task;return this.task=null,Te()}}));const _e=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=ge===e.MicrotaskDelay?p(_e):v(ge,_e),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject?.(new t.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=c;class m{constructor(J){this.delayer=new c(J),this.throttler=new b}trigger(J,ge){return this.delayer.trigger(()=>this.throttler.queue(J),ge)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=m;class a{constructor(){this._isOpen=!1,this._promise=new Promise((J,ge)=>{this._completePromise=J})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=a;class h extends a{constructor(J){super();this._timeout=setTimeout(()=>this.open(),J)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=h;function r(ve,J){return J?new Promise((ge,_e)=>{const Te=setTimeout(()=>{me.dispose(),ge()},ve),me=J.onCancellationRequested(()=>{clearTimeout(Te),me.dispose(),_e(new t.CancellationError)})}):I(ge=>r(ve,ge))}e.timeout=r;function o(ve,J=0){const ge=setTimeout(ve,J);return(0,T.toDisposable)(()=>clearTimeout(ge))}e.disposableTimeout=o;function i(ve){const J=[];let ge=0;const _e=ve.length;function Te(){return ge<_e?ve[ge++]():null}function me(Pe){Pe!=null&&J.push(Pe);const ue=Te();return ue?ue.then(me):Promise.resolve(J)}return Promise.resolve(null).then(me)}e.sequence=i;function n(ve,J=_e=>!!_e,ge=null){let _e=0;const Te=ve.length,me=()=>{if(_e>=Te)return Promise.resolve(ge);const Pe=ve[_e++];return Promise.resolve(Pe()).then(pe=>J(pe)?Promise.resolve(pe):me())};return me()}e.first=n;function s(ve,J=_e=>!!_e,ge=null){if(ve.length===0)return Promise.resolve(ge);let _e=ve.length;const Te=()=>{_e=-1;for(const me of ve)me.cancel?.()};return new Promise((me,Pe)=>{for(const ue of ve)ue.then(pe=>{--_e>=0&&J(pe)?(Te(),me(pe)):_e===0&&me(ge)}).catch(pe=>{--_e>=0&&(Te(),Pe(pe))})})}e.firstParallel=s;class l{constructor(J){this._size=0,this.maxDegreeOfParalellism=J,this.outstandingPromises=[],this.runningPromises=0,this._onDrained=new D.Emitter}get onDrained(){return this._onDrained.event}get size(){return this._size}queue(J){return this._size++,new Promise((ge,_e)=>{this.outstandingPromises.push({factory:J,c:ge,e:_e}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const J=this.outstandingPromises.shift();this.runningPromises++;const ge=J.factory();ge.then(J.c,J.e),ge.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onDrained.fire()}dispose(){this._onDrained.dispose()}}e.Limiter=l;class d extends l{constructor(){super(1)}}e.Queue=d;class S{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const J=new q;return this.drainers.add(J),J.p}isDrained(){for(const[,J]of this.queues)if(J.size>0)return!1;return!0}queueFor(J,ge=y.extUri){const _e=ge.getComparisonKey(J);let Te=this.queues.get(_e);return Te||(Te=new d,D.Event.once(Te.onDrained)(()=>{Te?.dispose(),this.queues.delete(_e),this.onDidQueueDrain()}),this.queues.set(_e,Te)),Te}onDidQueueDrain(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const J of this.drainers)J.complete();this.drainers.clear()}dispose(){for(const[,J]of this.queues)J.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=S;class L{constructor(J,ge){this._token=-1,typeof J=="function"&&typeof ge=="number"&&this.setIfNotSet(J,ge)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(J,ge){this.cancel(),this._token=setTimeout(()=>{this._token=-1,J()},ge)}setIfNotSet(J,ge){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,J()},ge))}}e.TimeoutTimer=L;class F{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(J,ge){this.cancel(),this._token=setInterval(()=>{J()},ge)}}e.IntervalTimer=F;class N{constructor(J,ge){this.timeoutToken=-1,this.runner=J,this.timeout=ge,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(J=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,J)}get delay(){return this.timeout}set delay(J){this.timeout=J}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner?.()}}e.RunOnceScheduler=N;class A{constructor(J,ge){ge%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${ge}ms is not a multiple of 1000ms.`),this.runner=J,this.timeout=ge,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(J=this.timeout){J%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${J}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(J/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner?.())}}e.ProcessTimeRunOnceScheduler=A;class $ extends N{constructor(J,ge){super(J,ge);this.units=[]}work(J){this.units.push(J),this.isScheduled()||this.schedule()}doRun(){const J=this.units;this.units=[],this.runner?.(J)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=$;class B extends T.Disposable{constructor(J,ge){super();this.options=J,this.handler=ge,this.pendingWork=[],this.throttler=this._register(new T.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(J){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+J.length>this.options.maxBufferedWork)return!1}else if(this.pending+J.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...J),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new N(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=B,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=ve=>{(0,C.setTimeout0)(()=>{if(J)return;const ge=Date.now()+15;ve(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,ge-Date.now())}}))});let J=!1;return{dispose(){J||(J=!0)}}}:e.runWhenIdle=(ve,J)=>{const ge=requestIdleCallback(ve,typeof J=="number"?{timeout:J}:void 0);let _e=!1;return{dispose(){_e||(_e=!0,cancelIdleCallback(ge))}}}}();class z{constructor(J){this._didRun=!1,this._executor=()=>{try{this._value=J()}catch(ge){this._error=ge}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=z;async function X(ve,J,ge){let _e;for(let Te=0;Te<ge;Te++)try{return await ve()}catch(me){_e=me,await r(J)}throw _e}e.retry=X;class M{hasPending(J){return this._pending?typeof J=="number"?this._pending.taskId===J:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(J,ge,_e){return this._pending={taskId:J,cancel:()=>_e?.(),promise:ge},ge.then(()=>this.donePending(J),()=>this.donePending(J)),ge}donePending(J){this._pending&&J===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const J=this._next;this._next=void 0,J.run().then(J.promiseResolve,J.promiseReject)}}setNext(J){if(this._next)this._next.run=J;else{let ge,_e;const Te=new Promise((me,Pe)=>{ge=me,_e=Pe});this._next={run:J,promise:Te,promiseResolve:ge,promiseReject:_e}}return this._next.promise}}e.TaskSequentializer=M;class U{constructor(J,ge=()=>Date.now()){this.interval=J,this.nowFn=ge,this.lastIncrementTime=0,this.value=0}increment(){const J=this.nowFn();return J-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=J,this.value=0),this.value++,this.value}}e.IntervalCounter=U;class q{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((J,ge)=>{this.completeCallback=J,this.errorCallback=ge})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(J){return new Promise(ge=>{this.completeCallback(J),this.resolved=!0,ge()})}error(J){return new Promise(ge=>{this.errorCallback(J),this.rejected=!0,ge()})}cancel(){new Promise(J=>{this.errorCallback(new t.CancellationError),this.rejected=!0,J()})}}e.DeferredPromise=q;var x;(function(ve){async function J(_e){let Te;const me=await Promise.all(_e.map(Pe=>Pe.then(ue=>ue,ue=>{Te||(Te=ue)})));if(typeof Te!="undefined")throw Te;return me}ve.settled=J;function ge(_e){return new Promise(async(Te,me)=>{try{await _e(Te,me)}catch(Pe){me(Pe)}})}ve.withAsyncBody=ge})(x=e.Promises||(e.Promises={}));var V;(function(ve){ve[ve.Initial=0]="Initial",ve[ve.DoneOK=1]="DoneOK",ve[ve.DoneError=2]="DoneError"})(V||(V={}));class ee{constructor(J){this._state=0,this._results=[],this._error=null,this._onStateChanged=new D.Emitter,queueMicrotask(async()=>{const ge={emitOne:_e=>this.emitOne(_e),emitMany:_e=>this.emitMany(_e),reject:_e=>this.reject(_e)};try{await Promise.resolve(J(ge)),this.resolve()}catch(_e){this.reject(_e)}finally{ge.emitOne=void 0,ge.emitMany=void 0,ge.reject=void 0}})}static fromArray(J){return new ee(ge=>{ge.emitMany(J)})}static fromPromise(J){return new ee(async ge=>{ge.emitMany(await J)})}static fromPromises(J){return new ee(async ge=>{await Promise.all(J.map(async _e=>ge.emitOne(await _e)))})}static merge(J){return new ee(async ge=>{await Promise.all(J.map(async _e=>{for await(const Te of _e)ge.emitOne(Te)}))})}[Symbol.asyncIterator](){let J=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(J<this._results.length)return{done:!1,value:this._results[J++]};if(this._state===1)return{done:!0,value:void 0};await D.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(J,ge){return new ee(async _e=>{for await(const Te of J)_e.emitOne(ge(Te))})}map(J){return ee.map(this,J)}static filter(J,ge){return new ee(async _e=>{for await(const Te of J)ge(Te)&&_e.emitOne(Te)})}filter(J){return ee.filter(this,J)}static coalesce(J){return ee.filter(J,ge=>!!ge)}coalesce(){return ee.coalesce(this)}static async toPromise(J){const ge=[];for await(const _e of J)ge.push(_e);return ge}toPromise(){return ee.toPromise(this)}emitOne(J){this._state===0&&(this._results.push(J),this._onStateChanged.fire())}emitMany(J){this._state===0&&(this._results=this._results.concat(J),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(J){this._state===0&&(this._state=2,this._error=J,this._onStateChanged.fire())}}e.AsyncIterableObject=ee,ee.EMPTY=ee.fromArray([]);class Y extends ee{constructor(J,ge){super(ge);this._source=J}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=Y;function le(ve){const J=new u.CancellationTokenSource,ge=ve(J.token);return new Y(J,async _e=>{const Te=J.token.onCancellationRequested(()=>{Te.dispose(),J.dispose(),_e.reject(new t.CancellationError)});try{for await(const me of ge){if(J.token.isCancellationRequested)return;_e.emitOne(me)}Te.dispose(),J.dispose()}catch(me){Te.dispose(),J.dispose(),_e.reject(me)}})}e.createCancelableAsyncIterable=le}),define(Ie[104],ke([1,0,18,9]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsUnicode=e.compareFileExtensionsLower=e.compareFileExtensionsUpper=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesUnicode=e.compareFileNamesLower=e.compareFileNamesUpper=e.compareFileNamesDefault=e.compareFileNames=void 0;const D=new u.IdleValue(()=>{const d=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:d,collatorIsNumeric:d.resolvedOptions().numeric}}),T=new u.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),y=new u.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function C(d,S,L=!1){const F=d||"",N=S||"",A=D.value.collator.compare(F,N);return D.value.collatorIsNumeric&&A===0&&F!==N?F<N?-1:1:A}e.compareFileNames=C;function E(d,S){const L=T.value.collator;return d=d||"",S=S||"",m(L,d,S)}e.compareFileNamesDefault=E;function I(d,S){const L=T.value.collator;return d=d||"",S=S||"",o(d,S)||m(L,d,S)}e.compareFileNamesUpper=I;function R(d,S){const L=T.value.collator;return d=d||"",S=S||"",r(d,S)||m(L,d,S)}e.compareFileNamesLower=R;function k(d,S){return d=d||"",S=S||"",d===S?0:d<S?-1:1}e.compareFileNamesUnicode=k;function _(d,S,L=!1){L||(d=d&&d.toLowerCase(),S=S&&S.toLowerCase());const[F,N]=p(d),[A,$]=p(S);return F!==A?F<A?-1:1:N===$?0:N<$?-1:1}e.noIntlCompareFileNames=_;function P(d,S){const[L,F]=p(d),[N,A]=p(S);let $=D.value.collator.compare(F,A);if($===0){if(D.value.collatorIsNumeric&&F!==A)return F<A?-1:1;if($=D.value.collator.compare(L,N),D.value.collatorIsNumeric&&$===0&&L!==N)return L<N?-1:1}return $}e.compareFileExtensions=P;function w(d,S){d=d||"",S=S||"";const L=c(d),F=c(S),N=T.value.collator,A=y.value.collator;return m(A,L,F)||m(N,d,S)}e.compareFileExtensionsDefault=w;function b(d,S){d=d||"",S=S||"";const L=c(d),F=c(S),N=T.value.collator,A=y.value.collator;return m(A,L,F)||o(d,S)||m(N,d,S)}e.compareFileExtensionsUpper=b;function g(d,S){d=d||"",S=S||"";const L=c(d),F=c(S),N=T.value.collator,A=y.value.collator;return m(A,L,F)||r(d,S)||m(N,d,S)}e.compareFileExtensionsLower=g;function f(d,S){d=d||"",S=S||"";const L=c(d).toLowerCase(),F=c(S).toLowerCase();return L!==F?L<F?-1:1:d!==S?d<S?-1:1:0}e.compareFileExtensionsUnicode=f;const v=/^(.*?)(\.([^.]*))?$/;function p(d,S=!1){const L=d?v.exec(d):[];let F=[L&&L[1]||"",L&&L[3]||""];return S&&(!F[0]&&F[1]||F[0]&&F[0].charAt(0)===".")&&(F=[F[0]+"."+F[1],""]),F}function c(d){const S=d?v.exec(d):[];return S&&S[1]&&S[1].charAt(0)!=="."&&S[3]||""}function m(d,S,L){const F=d.compare(S,L);return F!==0?F:S.length!==L.length?S.length<L.length?-1:1:0}function a(d){const S=d.charAt(0);return S.toLocaleUpperCase()!==S}function h(d){const S=d.charAt(0);return S.toLocaleLowerCase()!==S}function r(d,S){return a(d)&&h(S)?-1:h(d)&&a(S)?1:0}function o(d,S){return h(d)&&a(S)?-1:a(d)&&h(S)?1:0}function i(d,S,L=!1){return L||(d=d&&d.toLowerCase(),S=S&&S.toLowerCase()),d===S?0:d<S?-1:1}function n(d,S,L=!1){const F=d.split(t.sep),N=S.split(t.sep),A=F.length-1,$=N.length-1;let B,z;for(let X=0;;X++){if(B=A===X,z=$===X,B&&z)return C(F[X],N[X],L);if(B)return-1;if(z)return 1;const M=i(F[X],N[X],L);if(M!==0)return M}}e.comparePaths=n;function s(d,S,L){const F=d.toLowerCase(),N=S.toLowerCase(),A=l(d,S,L);if(A)return A;const $=F.endsWith(L),B=N.endsWith(L);if($!==B)return $?-1:1;const z=C(F,N);return z!==0?z:F.localeCompare(N)}e.compareAnything=s;function l(d,S,L){const F=d.toLowerCase(),N=S.toLowerCase(),A=F.startsWith(L),$=N.startsWith(L);if(A!==$)return A?-1:1;if(A&&$){if(F.length<N.length)return-1;if(F.length>N.length)return 1}return 0}e.compareByPrefix=l}),define(Ie[105],ke([1,0,104,103,60,9,13,8]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.pieceToQuery=e.prepareQuery=e.compareItemsByFuzzyScore=e.scoreItemFuzzy=e.scoreFuzzy2=e.scoreFuzzy=void 0;const E=0,I=[E,[]];function R(M,U,q,x){if(!M||!U)return I;const V=M.length,ee=U.length;if(V<ee)return I;const Y=M.toLowerCase();return k(U,q,ee,M,Y,V,x)}e.scoreFuzzy=R;function k(M,U,q,x,V,ee,Y){const le=[],ve=[];for(let Te=0;Te<q;Te++){const me=Te*ee,Pe=me-ee,ue=Te>0,pe=M[Te],be=U[Te];for(let ae=0;ae<ee;ae++){const fe=ae>0,ne=me+ae,ie=ne-1,O=Pe+ae-1,H=fe?le[ie]:0,G=ue&&fe?le[O]:0,K=ue&&fe?ve[O]:0;let de;!G&&ue?de=0:de=_(pe,be,x,V,ae,K),de&&G+de>=H&&(Y||ue||V.startsWith(U,ae))?(ve[ne]=K+1,le[ne]=G+de):(ve[ne]=E,le[ne]=H)}}const J=[];let ge=q-1,_e=ee-1;for(;ge>=0&&_e>=0;){const Te=ge*ee+_e;ve[Te]===E||(J.push(_e),ge--),_e--}return[le[q*ee-1],J.reverse()]}function _(M,U,q,x,V,ee){let Y=0;if(!P(U,x[V]))return Y;if(Y+=1,ee>0&&(Y+=ee*5),M===q[V]&&(Y+=1),V===0)Y+=8;else{const le=w(q.charCodeAt(V-1));le?Y+=le:(0,t.isUpper)(q.charCodeAt(V))&&ee===0&&(Y+=2)}return Y}function P(M,U){return M===U?!0:M==="/"||M==="\\"?U==="/"||U==="\\":!1}function w(M){switch(M){case 47:case 92:return 5;case 95:case 45:case 46:case 32:case 39:case 34:case 58:return 4;default:return 0}}const b=[void 0,[]];function g(M,U,q=0,x=0){const V=U;return V.values&&V.values.length>1?f(M,V.values,q,x):v(M,U,q,x)}e.scoreFuzzy2=g;function f(M,U,q,x){let V=0;const ee=[];for(const Y of U){const[le,ve]=v(M,Y,q,x);if(typeof le!="number")return b;V+=le,ee.push(...ve)}return[V,l(ee)]}function v(M,U,q,x){const V=(0,t.fuzzyScore)(U.original,U.originalLowercase,q,M,M.toLowerCase(),x,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return V?[V[0],(0,t.createMatches)(V)]:b}const p=Object.freeze({score:0}),c=1<<18,m=1<<17,a=1<<16;function h(M,U,q,x){const V=x.values?x.values:[x];return(0,D.hash)({[x.normalized]:{values:V.map(Y=>({value:Y.normalized,expectContiguousMatch:Y.expectContiguousMatch})),label:M,description:U,allowNonContiguousMatches:q}})}function r(M,U,q,x,V){if(!M||!U.normalized)return p;const ee=x.getItemLabel(M);if(!ee)return p;const Y=x.getItemDescription(M),le=h(ee,Y,q,U),ve=V[le];if(ve)return ve;const J=o(ee,Y,x.getItemPath(M),U,q);return V[le]=J,J}e.scoreItemFuzzy=r;function o(M,U,q,x,V){const ee=!q||!x.containsPathSeparator;return q&&(y.isLinux?x.pathNormalized===q:(0,C.equalsIgnoreCase)(x.pathNormalized,q))?{score:c,labelMatch:[{start:0,end:M.length}],descriptionMatch:U?[{start:0,end:U.length}]:void 0}:x.values&&x.values.length>1?i(M,U,q,x.values,ee,V):n(M,U,q,x,ee,V)}function i(M,U,q,x,V,ee){let Y=0;const le=[],ve=[];for(const J of x){const{score:ge,labelMatch:_e,descriptionMatch:Te}=n(M,U,q,J,V,ee);if(ge===E)return p;Y+=ge,_e&&le.push(..._e),Te&&ve.push(...Te)}return{score:Y,labelMatch:l(le),descriptionMatch:l(ve)}}function n(M,U,q,x,V,ee){if(V||!U){const[Y,le]=R(M,x.normalized,x.normalizedLowercase,ee&&!x.expectContiguousMatch);if(Y){const ve=(0,t.matchesPrefix)(x.normalized,M);let J;return ve?(J=m,J+=Math.round(x.normalized.length/M.length*100)):J=a,{score:J+Y,labelMatch:ve||s(le)}}}if(U){let Y=U;q&&(Y=`${U}${T.sep}`);const le=Y.length,ve=`${Y}${M}`,[J,ge]=R(ve,x.normalized,x.normalizedLowercase,ee&&!x.expectContiguousMatch);if(J){const _e=s(ge),Te=[],me=[];return _e.forEach(Pe=>{Pe.start<le&&Pe.end>le?(Te.push({start:0,end:Pe.end-le}),me.push({start:Pe.start,end:le})):Pe.start>=le?Te.push({start:Pe.start-le,end:Pe.end-le}):me.push(Pe)}),{score:J,labelMatch:Te,descriptionMatch:me}}}return p}function s(M){const U=[];if(!M)return U;let q;for(const x of M)q&&q.end===x?q.end+=1:(q={start:x,end:x+1},U.push(q));return U}function l(M){const U=M.sort((V,ee)=>V.start-ee.start),q=[];let x;for(const V of U)!x||!d(x,V)?(x=V,q.push(V)):(x.start=Math.min(x.start,V.start),x.end=Math.max(x.end,V.end));return q}function d(M,U){return!(M.end<U.start||U.end<M.start)}function S(M,U,q,x,V,ee){const Y=r(M,q,x,V,ee),le=r(U,q,x,V,ee),ve=Y.score,J=le.score;if((ve===c||J===c)&&ve!==J)return ve===c?-1:1;if(ve>a||J>a){if(ve!==J)return ve>J?-1:1;if(ve<m&&J<m){const pe=F(Y.labelMatch,le.labelMatch);if(pe!==0)return pe}const Pe=V.getItemLabel(M)||"",ue=V.getItemLabel(U)||"";if(Pe.length!==ue.length)return Pe.length-ue.length}if(ve!==J)return ve>J?-1:1;const ge=Array.isArray(Y.labelMatch)&&Y.labelMatch.length>0,_e=Array.isArray(le.labelMatch)&&le.labelMatch.length>0;if(ge&&!_e)return-1;if(_e&&!ge)return 1;const Te=L(M,Y,V),me=L(U,le,V);return Te&&me&&Te!==me?me>Te?-1:1:N(M,U,q,V)}e.compareItemsByFuzzyScore=S;function L(M,U,q){let x=-1,V=-1;if(U.descriptionMatch&&U.descriptionMatch.length?x=U.descriptionMatch[0].start:U.labelMatch&&U.labelMatch.length&&(x=U.labelMatch[0].start),U.labelMatch&&U.labelMatch.length){if(V=U.labelMatch[U.labelMatch.length-1].end,U.descriptionMatch&&U.descriptionMatch.length){const ee=q.getItemDescription(M);ee&&(V+=ee.length)}}else U.descriptionMatch&&U.descriptionMatch.length&&(V=U.descriptionMatch[U.descriptionMatch.length-1].end);return V-x}function F(M,U){if(!M&&!U||(!M||!M.length)&&(!U||!U.length))return 0;if(!U||!U.length)return-1;if(!M||!M.length)return 1;const q=M[0].start,V=M[M.length-1].end-q,ee=U[0].start,le=U[U.length-1].end-ee;return V===le?0:le<V?1:-1}function N(M,U,q,x){const V=x.getItemLabel(M)||"",ee=x.getItemLabel(U)||"",Y=x.getItemDescription(M),le=x.getItemDescription(U),ve=V.length+(Y?Y.length:0),J=ee.length+(le?le.length:0);if(ve!==J)return ve-J;const ge=x.getItemPath(M),_e=x.getItemPath(U);return ge&&_e&&ge.length!==_e.length?ge.length-_e.length:V!==ee?(0,u.compareAnything)(V,ee,q.normalized):Y&&le&&Y!==le?(0,u.compareAnything)(Y,le,q.normalized):ge&&_e&&ge!==_e?(0,u.compareAnything)(ge,_e,q.normalized):0}function A(M){return M.startsWith('"')&&M.endsWith('"')}const $=" ";function B(M){typeof M!="string"&&(M="");const U=M.toLowerCase(),{pathNormalized:q,normalized:x,normalizedLowercase:V}=z(M),ee=q.indexOf(T.sep)>=0,Y=A(M);let le;const ve=M.split($);if(ve.length>1)for(const J of ve){const ge=A(J),{pathNormalized:_e,normalized:Te,normalizedLowercase:me}=z(J);Te&&(le||(le=[]),le.push({original:J,originalLowercase:J.toLowerCase(),pathNormalized:_e,normalized:Te,normalizedLowercase:me,expectContiguousMatch:ge}))}return{original:M,originalLowercase:U,pathNormalized:q,normalized:x,normalizedLowercase:V,values:le,containsPathSeparator:ee,expectContiguousMatch:Y}}e.prepareQuery=B;function z(M){let U;y.isWindows?U=M.replace(/\//g,T.sep):U=M.replace(/\\/g,T.sep);const q=(0,C.stripWildcards)(U).replace(/\s|"/g,"");return{pathNormalized:U,normalized:q,normalizedLowercase:q.toLowerCase()}}function X(M){return Array.isArray(M)?B(M.map(U=>U.original).join($)):B(M.original)}e.pieceToQuery=X}),define(Ie[36],ke([1,0,16,18,30,25,9,13,8]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.patternsEquals=e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function I(){return Object.create(null)}e.getEmptyExpression=I,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const R="[/\\\\]",k="[^/\\\\]",_=/\//g;function P(q,x){switch(q){case 0:return"";case 1:return`${k}*?`;default:return`(?:${R}|${k}+${R}${x?`|${R}${k}+`:""})*?`}}function w(q,x){if(!q)return[];const V=[];let ee=!1,Y=!1,le="";for(const ve of q){switch(ve){case x:if(!ee&&!Y){V.push(le),le="";continue}break;case"{":ee=!0;break;case"}":ee=!1;break;case"[":Y=!0;break;case"]":Y=!1;break}le+=ve}return le&&V.push(le),V}e.splitGlobAware=w;function b(q){if(!q)return"";let x="";const V=w(q,e.GLOB_SPLIT);if(V.every(ee=>ee===e.GLOBSTAR))x=".*";else{let ee=!1;V.forEach((Y,le)=>{if(Y===e.GLOBSTAR){if(ee)return;x+=P(2,le===V.length-1)}else{let ve=!1,J="",ge=!1,_e="";for(const Te of Y){if(Te!=="}"&&ve){J+=Te;continue}if(ge&&(Te!=="]"||!_e)){let me;Te==="-"?me=Te:(Te==="^"||Te==="!")&&!_e?me="^":Te===e.GLOB_SPLIT?me="":me=(0,E.escapeRegExpCharacters)(Te),_e+=me;continue}switch(Te){case"{":ve=!0;continue;case"[":ge=!0;continue;case"}":{x+=`(?:${w(J,",").map(ue=>b(ue)).join("|")})`,ve=!1,J="";break}case"]":{x+="["+_e+"]",ge=!1,_e="";break}case"?":x+=k;continue;case"*":x+=P(1);continue;default:x+=(0,E.escapeRegExpCharacters)(Te)}}le<V.length-1&&(V[le+1]!==e.GLOBSTAR||le+2<V.length)&&(x+=R)}ee=Y===e.GLOBSTAR})}return x}const g=/^\*\*\/\*\.[\w\.-]+$/,f=/^\*\*\/([\w\.-]+)\/?$/,v=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,p=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,c=/^\*\*((\/[\w\.-]+)+)\/?$/,m=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,a=new T.LRUCache(1e4),h=function(){return!1},r=function(){return null};function o(q,x){if(!q)return r;let V;typeof q!="string"?V=q.pattern:V=q,V=V.trim();const ee=`${V}_${!!x.trimForExclusions}`;let Y=a.get(ee);if(Y)return i(Y,q);let le;return g.test(V)?Y=s(V.substr(4),V):(le=f.exec(n(V,x)))?Y=l(le[1],V):(x.trimForExclusions?p:v).test(V)?Y=d(V,x):(le=c.exec(n(V,x)))?Y=S(le[1].substr(1),V,!0):(le=m.exec(n(V,x)))?Y=S(le[1],V,!1):Y=L(V),a.set(ee,Y),i(Y,q)}function i(q,x){if(typeof x=="string")return q;const V=function(ee,Y){return(0,D.isEqualOrParent)(ee,x.base,!C.isLinux)?q(ee.substr(x.base.length+1),Y):null};return V.allBasenames=q.allBasenames,V.allPaths=q.allPaths,V.basenames=q.basenames,V.patterns=q.patterns,V}function n(q,x){return x.trimForExclusions&&q.endsWith("/**")?q.substr(0,q.length-2):q}function s(q,x){return function(V,ee){return typeof V=="string"&&V.endsWith(q)?x:null}}function l(q,x){const V=`/${q}`,ee=`\\${q}`,Y=function(ve,J){return typeof ve!="string"?null:J?J===q?x:null:ve===q||ve.endsWith(V)||ve.endsWith(ee)?x:null},le=[q];return Y.basenames=le,Y.patterns=[x],Y.allBasenames=le,Y}function d(q,x){const V=M(q.slice(1,-1).split(",").map(J=>o(J,x)).filter(J=>J!==r),q),ee=V.length;if(!ee)return r;if(ee===1)return V[0];const Y=function(J,ge){for(let _e=0,Te=V.length;_e<Te;_e++)if(V[_e](J,ge))return q;return null},le=V.find(J=>!!J.allBasenames);le&&(Y.allBasenames=le.allBasenames);const ve=V.reduce((J,ge)=>ge.allPaths?J.concat(ge.allPaths):J,[]);return ve.length&&(Y.allPaths=ve),Y}function S(q,x,V){const ee=y.sep===y.posix.sep,Y=ee?q:q.replace(_,y.sep),le=y.sep+Y,ve=y.posix.sep+q;let J;return V?J=function(ge,_e){return typeof ge=="string"&&(ge===Y||ge.endsWith(le)||!ee&&(ge===q||ge.endsWith(ve)))?x:null}:J=function(ge,_e){return typeof ge=="string"&&(ge===Y||!ee&&ge===q)?x:null},J.allPaths=[(V?"*/":"./")+q],J}function L(q){try{const x=new RegExp(`^${b(q)}$`);return function(V){return x.lastIndex=0,typeof V=="string"&&x.test(V)?q:null}}catch{return r}}function F(q,x,V){return!q||typeof x!="string"?!1:N(q)(x,void 0,V)}e.match=F;function N(q,x={}){if(!q)return h;if(typeof q=="string"||A(q)){const V=o(q,x);if(V===r)return h;const ee=function(Y,le){return!!V(Y,le)};return V.allBasenames&&(ee.allBasenames=V.allBasenames),V.allPaths&&(ee.allPaths=V.allPaths),ee}return z(q,x)}e.parse=N;function A(q){const x=q;return x?typeof x.base=="string"&&typeof x.pattern=="string":!1}e.isRelativePattern=A;function $(q){return q.allBasenames||[]}e.getBasenameTerms=$;function B(q){return q.allPaths||[]}e.getPathTerms=B;function z(q,x){const V=M(Object.getOwnPropertyNames(q).map(J=>X(J,q[J],x)).filter(J=>J!==r)),ee=V.length;if(!ee)return r;if(!V.some(J=>!!J.requiresSiblings)){if(ee===1)return V[0];const J=function(Te,me){let Pe;for(let ue=0,pe=V.length;ue<pe;ue++){const be=V[ue](Te,me);if(typeof be=="string")return be;(0,t.isThenable)(be)&&(Pe||(Pe=[]),Pe.push(be))}return Pe?(async()=>{for(const ue of Pe){const pe=await ue;if(typeof pe=="string")return pe}return null})():null},ge=V.find(Te=>!!Te.allBasenames);ge&&(J.allBasenames=ge.allBasenames);const _e=V.reduce((Te,me)=>me.allPaths?Te.concat(me.allPaths):Te,[]);return _e.length&&(J.allPaths=_e),J}const Y=function(J,ge,_e){let Te,me;for(let Pe=0,ue=V.length;Pe<ue;Pe++){const pe=V[Pe];pe.requiresSiblings&&_e&&(ge||(ge=(0,y.basename)(J)),Te||(Te=ge.substr(0,ge.length-(0,y.extname)(J).length)));const be=pe(J,ge,Te,_e);if(typeof be=="string")return be;(0,t.isThenable)(be)&&(me||(me=[]),me.push(be))}return me?(async()=>{for(const Pe of me){const ue=await Pe;if(typeof ue=="string")return ue}return null})():null},le=V.find(J=>!!J.allBasenames);le&&(Y.allBasenames=le.allBasenames);const ve=V.reduce((J,ge)=>ge.allPaths?J.concat(ge.allPaths):J,[]);return ve.length&&(Y.allPaths=ve),Y}function X(q,x,V){if(x===!1)return r;const ee=o(q,V);if(ee===r)return r;if(typeof x=="boolean")return ee;if(x){const Y=x.when;if(typeof Y=="string"){const le=(ve,J,ge,_e)=>{if(!_e||!ee(ve,J))return null;const Te=Y.replace("$(basename)",ge),me=_e(Te);return(0,t.isThenable)(me)?me.then(Pe=>Pe?q:null):me?q:null};return le.requiresSiblings=!0,le}}return ee}function M(q,x){const V=q.filter(J=>!!J.basenames);if(V.length<2)return q;const ee=V.reduce((J,ge)=>{const _e=ge.basenames;return _e?J.concat(_e):J},[]);let Y;if(x){Y=[];for(let J=0,ge=ee.length;J<ge;J++)Y.push(x)}else Y=V.reduce((J,ge)=>{const _e=ge.patterns;return _e?J.concat(_e):J},[]);const le=function(J,ge){if(typeof J!="string")return null;if(!ge){let Te;for(Te=J.length;Te>0;Te--){const me=J.charCodeAt(Te-1);if(me===47||me===92)break}ge=J.substr(Te)}const _e=ee.indexOf(ge);return _e!==-1?Y[_e]:null};le.basenames=ee,le.patterns=Y,le.allBasenames=ee;const ve=q.filter(J=>!J.basenames);return ve.push(le),ve}function U(q,x){return(0,u.equals)(q,x,(V,ee)=>typeof V=="string"&&typeof ee=="string"?V===ee:typeof V!="string"&&typeof ee!="string"?V.base===ee.base&&V.pattern===ee.pattern:!1)}e.patternsEquals=U}),define(Ie[106],ke([1,0,12,156,22,8,2]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeDoubleQuotes=e.escapeMarkdownSyntaxTokens=e.markdownStringEqual=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var C;(function(g){g[g.Paragraph=0]="Paragraph",g[g.Break=1]="Break"})(C=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class E{constructor(f="",v=!1){if(this.value=f,typeof this.value!="string")throw(0,u.illegalArgument)("value");typeof v=="boolean"?(this.isTrusted=v,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=v.isTrusted??void 0,this.supportThemeIcons=v.supportThemeIcons??!1,this.supportHtml=v.supportHtml??!1)}appendText(f,v=0){return this.value+=_(this.supportThemeIcons?(0,t.escapeIcons)(f):f).replace(/([ \t]+)/g,(p,c)=>"&nbsp;".repeat(c.length)).replace(/\>/gm,"\\>").replace(/\n/g,v===1?`\\
`:`

`),this}appendMarkdown(f){return this.value+=f,this}appendCodeblock(f,v){return this.value+="\n```",this.value+=f,this.value+=`
`,this.value+=v,this.value+="\n```\n",this}appendLink(f,v,p){return this.value+="[",this.value+=this._escape(v,"]"),this.value+="](",this.value+=this._escape(String(f),")"),p&&(this.value+=` "${this._escape(this._escape(p,'"'),")")}"`),this.value+=")",this}_escape(f,v){const p=new RegExp((0,T.escapeRegExpCharacters)(v),"g");return f.replace(p,(c,m)=>f.charAt(m-1)!=="\\"?`\\${c}`:c)}}e.MarkdownString=E;function I(g){return R(g)?!g.value:Array.isArray(g)?g.every(I):!0}e.isEmptyMarkdownString=I;function R(g){return g instanceof E?!0:g&&typeof g=="object"?typeof g.value=="string"&&(typeof g.isTrusted=="boolean"||g.isTrusted===void 0)&&(typeof g.supportThemeIcons=="boolean"||g.supportThemeIcons===void 0):!1}e.isMarkdownString=R;function k(g,f){return g===f?!0:!g||!f?!1:g.value===f.value&&g.isTrusted===f.isTrusted&&g.supportThemeIcons===f.supportThemeIcons&&g.supportHtml===f.supportHtml&&(g.baseUri===f.baseUri||!!g.baseUri&&!!f.baseUri&&(0,D.isEqual)(y.URI.from(g.baseUri),y.URI.from(f.baseUri)))}e.markdownStringEqual=k;function _(g){return g.replace(/[\\`*_{}[\]()#+\-!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=_;function P(g){return g.replace(/"/g,"&quot;")}e.escapeDoubleQuotes=P;function w(g){return g&&g.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=w;function b(g){const f=[],v=g.split("|").map(c=>c.trim());g=v[0];const p=v[1];if(p){const c=/height=(\d+)/.exec(p),m=/width=(\d+)/.exec(p),a=c?c[1]:"",h=m?m[1]:"",r=isFinite(parseInt(h)),o=isFinite(parseInt(a));r&&f.push(`width="${h}"`),o&&f.push(`height="${a}"`)}return{href:g,dimensions:f}}e.parseHrefAndDimensions=b}),define(Ie[107],ke([1,0,16,30,9,13,22,8]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getPathLabel=void 0;function E(r,o){const{os:i,tildify:n,relative:s}=o;if(s){const S=I(r,s,i);if(typeof S=="string")return S}let l=r.fsPath;if(i===1&&!T.isWindows?l=l.replace(/\//g,"\\"):i!==1&&T.isWindows&&(l=l.replace(/\\/g,"/")),i!==1&&n?.userHome){const S=n.userHome.fsPath;let L;r.scheme!==n.userHome.scheme&&r.path.startsWith(D.posix.sep)?L=n.userHome.with({path:r.path}).fsPath:L=r.fsPath,l=_(L,S,i)}return(i===1?D.win32:D.posix).normalize(R(l,i===1))}e.getPathLabel=E;function I(r,o,i){const n=i===1?D.win32:D.posix,s=i===3?y.extUri:y.extUriIgnorePathCase,l=o.getWorkspace(),d=(0,u.firstOrDefault)(l.folders);if(!d)return;r.scheme!==d.uri.scheme&&r.path.startsWith(D.posix.sep)&&(r=d.uri.with({path:r.path}));const S=o.getWorkspaceFolder(r);if(!S)return;let L;if(s.isEqual(S.uri,r)?L="":L=s.relativePath(S.uri,r)??"",L&&(L=n.normalize(L)),l.folders.length>1&&!o.noPrefix){const F=S.name?S.name:s.basenameOrAuthority(S.uri);L=L?`${F} \u2022 ${L}`:F}return L}function R(r,o=T.isWindows){return(0,t.hasDriveLetter)(r,o)?r.charAt(0).toUpperCase()+r.slice(1):r}e.normalizeDriveLetter=R;let k=Object.create(null);function _(r,o,i=T.OS){if(i===1||!r||!o)return r;let n=k.original===o?k.normalized:void 0;n||(n=o,T.isWindows&&(n=(0,t.toSlashes)(n)),n=`${(0,C.rtrim)(n,D.posix.sep)}${D.posix.sep}`,k={original:o,normalized:n});let s=r;return T.isWindows&&(s=(0,t.toSlashes)(s)),(i===3?s.startsWith(n):(0,C.startsWithIgnoreCase)(s,n))?`~/${s.substr(n.length)}`:r}e.tildify=_;function P(r,o){return r.replace(/^~($|\/|\\)/,`${o}$1`)}e.untildify=P;const w="\u2026",b="\\\\",g="~";function f(r,o=D.sep){const i=new Array(r.length);let n=!1;for(let s=0;s<r.length;s++){const l=r[s];if(l===""){i[s]=`.${o}`;continue}if(!l){i[s]=l;continue}n=!0;let d="",S=l;S.indexOf(b)===0?(d=S.substr(0,S.indexOf(b)+b.length),S=S.substr(S.indexOf(b)+b.length)):S.indexOf(o)===0?(d=S.substr(0,S.indexOf(o)+o.length),S=S.substr(S.indexOf(o)+o.length)):S.indexOf(g)===0&&(d=S.substr(0,S.indexOf(g)+g.length),S=S.substr(S.indexOf(g)+g.length));const L=S.split(o);for(let F=1;n&&F<=L.length;F++)for(let N=L.length-F;n&&N>=0;N--){n=!1;let A=L.slice(N,N+F).join(o);for(let $=0;!n&&$<r.length;$++)if($!==s&&r[$]&&r[$].indexOf(A)>-1){const B=N+F===L.length,z=N>0&&r[$].indexOf(o)>-1?o+A:A,X=r[$].endsWith(z);n=!B||X}if(!n){let $="";(L[0].endsWith(":")||d!=="")&&(N===1&&(N=0,F++,A=L[0]+o+A),N>0&&($=L[0]+o),$=d+$),N>0&&($=$+w+o),$=$+A,N+F<L.length&&($=$+o+w),i[s]=$}}n&&(i[s]=l)}return i}e.shorten=f;var v;(function(r){r[r.TEXT=0]="TEXT",r[r.VARIABLE=1]="VARIABLE",r[r.SEPARATOR=2]="SEPARATOR"})(v||(v={}));function p(r,o=Object.create(null)){const i=[];let n=!1,s="";for(const l of r)if(l==="$"||n&&l==="{")s&&i.push({value:s,type:v.TEXT}),s="",n=!0;else if(l==="}"&&n){const d=o[s];if(typeof d=="string")d.length&&i.push({value:d,type:v.VARIABLE});else if(d){const S=i[i.length-1];(!S||S.type!==v.SEPARATOR)&&i.push({value:d.label,type:v.SEPARATOR})}s="",n=!1}else s+=l;return s&&!n&&i.push({value:s,type:v.TEXT}),i.filter((l,d)=>{if(l.type===v.SEPARATOR){const S=i[d-1],L=i[d+1];return[S,L].every(F=>F&&(F.type===v.VARIABLE||F.type===v.TEXT)&&F.value.length>0)}return!0}).map(l=>l.value).join("")}e.template=p;function c(r,o){return T.isMacintosh||o?r.replace(/\(&&\w\)|&&/g,"").replace(/&/g,T.isMacintosh?"&":"&&"):r.replace(/&&|&/g,i=>i==="&"?"&&":"&")}e.mnemonicMenuLabel=c;function m(r,o){return T.isMacintosh||o?r.replace(/\(&&\w\)|&&/g,""):T.isWindows?r.replace(/&&|&/g,i=>i==="&"?"&&":"&"):r.replace(/&&/g,"_")}e.mnemonicButtonLabel=m;function a(r){return r.replace(/&/g,"&&")}e.unmnemonicLabel=a;function h(r){const o=r.indexOf("/")!==-1?D.posix:D.win32,i=o.basename(r),n=o.dirname(r);return i.length?{name:i,parentPath:n}:{name:n,parentPath:""}}e.splitName=h}),define(Ie[108],ke([1,0,2]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function t(R){return R.toJSON()}class D{constructor(k){this._uriTransformer=k}transformIncoming(k){const _=this._uriTransformer.transformIncoming(k);return _===k?k:t(u.URI.from(_))}transformOutgoing(k){const _=this._uriTransformer.transformOutgoing(k);return _===k?k:t(u.URI.from(_))}transformOutgoingURI(k){const _=this._uriTransformer.transformOutgoing(k);return _===k?k:u.URI.from(_)}transformOutgoingScheme(k){return this._uriTransformer.transformOutgoingScheme(k)}}e.URITransformer=D,e.DefaultURITransformer=new class{transformIncoming(R){return R}transformOutgoing(R){return R}transformOutgoingURI(R){return R}transformOutgoingScheme(R){return R}};function T(R,k,_){if(!R||_>200)return null;if(typeof R=="object"){if(R instanceof u.URI)return k.transformOutgoing(R);for(const P in R)if(Object.hasOwnProperty.call(R,P)){const w=T(R[P],k,_+1);w!==null&&(R[P]=w)}}return null}function y(R,k){const _=T(R,k,0);return _===null?R:_}e.transformOutgoingURIs=y;function C(R,k,_,P){if(!R||P>200)return null;if(typeof R=="object"){if(R.$mid===1)return _?u.URI.revive(k.transformIncoming(R)):k.transformIncoming(R);for(const w in R)if(Object.hasOwnProperty.call(R,w)){const b=C(R[w],k,_,P+1);b!==null&&(R[w]=b)}}return null}function E(R,k){const _=C(R,k,!1,0);return _===null?R:_}e.transformIncomingURIs=E;function I(R,k){const _=C(R,k,!0,0);return _===null?R:_}e.transformAndReviveIncomingURIs=I}),define(Ie[29],ke([1,0,62,81,302,18,30,80,9,13,22,2]),function(Q,e,u,t,D,T,y,C,E,I,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var _;(function(B){B[B.UNLINK=0]="UNLINK",B[B.MOVE=1]="MOVE"})(_=e.RimRafMode||(e.RimRafMode={}));async function P(B,z=_.UNLINK){if((0,y.isRootOrDriveLetter)(B))throw new Error("rimraf - will refuse to recursively delete root");return z===_.UNLINK?b(B):w(B)}async function w(B){try{const z=(0,y.randomPath)((0,t.tmpdir)());try{await u.promises.rename(B,z)}catch{return b(B)}b(z).catch(X=>{})}catch(z){if(z.code!=="ENOENT")throw z}}async function b(B){return(0,D.promisify)(u.rm)(B,{recursive:!0,force:!0,maxRetries:3})}function g(B){if((0,y.isRootOrDriveLetter)(B))throw new Error("rimraf - will refuse to recursively delete root");u.rmSync(B,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=g;async function f(B,z){return c(await(z?v(B):(0,D.promisify)(u.readdir)(B)))}async function v(B){try{return await(0,D.promisify)(u.readdir)(B,{withFileTypes:!0})}catch(M){console.warn("[node.js fs] readdir with filetypes failed with error: ",M)}const z=[],X=await f(B);for(const M of X){let U=!1,q=!1,x=!1;try{const V=await e.Promises.lstat((0,E.join)(B,M));U=V.isFile(),q=V.isDirectory(),x=V.isSymbolicLink()}catch(V){console.warn("[node.js fs] unexpected error from lstat after readdir: ",V)}z.push({name:M,isFile:()=>U,isDirectory:()=>q,isSymbolicLink:()=>x})}return z}function p(B){return c(u.readdirSync(B))}e.readdirSync=p;function c(B){return B.map(z=>typeof z=="string"?I.isMacintosh?(0,C.normalizeNFC)(z):z:(z.name=I.isMacintosh?(0,C.normalizeNFC)(z.name):z.name,z))}async function m(B){const z=await f(B),X=[];for(const M of z)await h.existsDirectory((0,E.join)(B,M))&&X.push(M);return X}function a(B,z=1e3){return new Promise(X=>{let M=!1;const U=setInterval(()=>{M||(M=!0,u.access(B,q=>{M=!1,q&&(clearInterval(U),X(void 0))}))},z)})}e.whenDeleted=a;var h;(function(B){async function z(U){let q;try{if(q=await e.Promises.lstat(U),!q.isSymbolicLink())return{stat:q}}catch{}try{return{stat:await e.Promises.stat(U),symbolicLink:q?.isSymbolicLink()?{dangling:!1}:void 0}}catch(x){if(x.code==="ENOENT"&&q)return{stat:q,symbolicLink:{dangling:!0}};if(I.isWindows&&x.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(U)),symbolicLink:{dangling:!1}}}catch(V){if(V.code==="ENOENT"&&q)return{stat:q,symbolicLink:{dangling:!0}};throw V}throw x}}B.stat=z;async function X(U){try{const{stat:q,symbolicLink:x}=await B.stat(U);return q.isFile()&&x?.dangling!==!0}catch{}return!1}B.existsFile=X;async function M(U){try{const{stat:q,symbolicLink:x}=await B.stat(U);return q.isDirectory()&&x?.dangling!==!0}catch{}return!1}B.existsDirectory=M})(h=e.SymlinkSupport||(e.SymlinkSupport={}));const r=new T.ResourceQueue;function o(B,z,X){return r.queueFor(k.URI.file(B),R.extUriBiasedIgnorePathCase).queue(()=>{const M=l(X);return new Promise((U,q)=>n(B,z,M,x=>x?q(x):U()))})}let i=!0;function n(B,z,X,M){if(!i)return u.writeFile(B,z,{mode:X.mode,flag:X.flag},M);u.open(B,X.flag,X.mode,(U,q)=>{if(U)return M(U);u.writeFile(q,z,x=>{if(x)return u.close(q,()=>M(x));u.fdatasync(q,V=>(V&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",V),i=!1),u.close(q,ee=>M(ee))))})})}function s(B,z,X){const M=l(X);if(!i)return u.writeFileSync(B,z,{mode:M.mode,flag:M.flag});const U=u.openSync(B,M.flag,M.mode);try{u.writeFileSync(U,z);try{u.fdatasyncSync(U)}catch(q){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",q),i=!1}}finally{u.closeSync(U)}}e.writeFileSync=s;function l(B){return B?{mode:typeof B.mode=="number"?B.mode:438,flag:typeof B.flag=="string"?B.flag:"w"}:{mode:438,flag:"w"}}async function d(B,z){if(B!==z)try{await e.Promises.rename(B,z)}catch(X){if(B.toLowerCase()!==z.toLowerCase()&&X.code==="EXDEV"||B.endsWith("."))await S(B,z,{preserveSymlinks:!1}),await P(B,_.MOVE);else throw X}}async function S(B,z,X){return F(B,z,{root:{source:B,target:z},options:X,handledSourcePaths:new Set})}const L=511;async function F(B,z,X){if(X.handledSourcePaths.has(B))return;X.handledSourcePaths.add(B);const{stat:M,symbolicLink:U}=await h.stat(B);if(U){if(X.options.preserveSymlinks)try{return await $(B,z,X)}catch(q){console.warn("[node.js fs] copy of symlink failed: ",q)}if(U.dangling)return}return M.isDirectory()?N(B,z,M.mode&L,X):A(B,z,M.mode&L)}async function N(B,z,X,M){await e.Promises.mkdir(z,{recursive:!0,mode:X});const U=await f(B);for(const q of U)await F((0,E.join)(B,q),(0,E.join)(z,q),M)}async function A(B,z,X){await e.Promises.copyFile(B,z),await e.Promises.chmod(z,X)}async function $(B,z,X){let M=await e.Promises.readlink(B);(0,y.isEqualOrParent)(M,X.root.source,!I.isLinux)&&(M=(0,E.join)(X.root.target,M.substr(X.root.source.length+1))),await e.Promises.symlink(M,z)}e.Promises=new class{get access(){return(0,D.promisify)(u.access)}get stat(){return(0,D.promisify)(u.stat)}get lstat(){return(0,D.promisify)(u.lstat)}get utimes(){return(0,D.promisify)(u.utimes)}get read(){return(B,z,X,M,U)=>new Promise((q,x)=>{u.read(B,z,X,M,U,(V,ee,Y)=>V?x(V):q({bytesRead:ee,buffer:Y}))})}get readFile(){return(0,D.promisify)(u.readFile)}get write(){return(B,z,X,M,U)=>new Promise((q,x)=>{u.write(B,z,X,M,U,(V,ee,Y)=>V?x(V):q({bytesWritten:ee,buffer:Y}))})}get appendFile(){return(0,D.promisify)(u.appendFile)}get fdatasync(){return(0,D.promisify)(u.fdatasync)}get truncate(){return(0,D.promisify)(u.truncate)}get rename(){return(0,D.promisify)(u.rename)}get copyFile(){return(0,D.promisify)(u.copyFile)}get open(){return(0,D.promisify)(u.open)}get close(){return(0,D.promisify)(u.close)}get symlink(){return(0,D.promisify)(u.symlink)}get readlink(){return(0,D.promisify)(u.readlink)}get chmod(){return(0,D.promisify)(u.chmod)}get mkdir(){return(0,D.promisify)(u.mkdir)}get unlink(){return(0,D.promisify)(u.unlink)}get rmdir(){return(0,D.promisify)(u.rmdir)}get realpath(){return(0,D.promisify)(u.realpath)}async exists(B){try{return await e.Promises.access(B),!0}catch{return!1}}get readdir(){return f}get readDirsInDir(){return m}get writeFile(){return o}get rm(){return P}get move(){return d}get copy(){return S}}}),define(Ie[109],ke([1,0,62,9,13,8,29]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function C(_){if(D.isLinux)return _;const P=(0,t.dirname)(_);if(_===P)return _;const w=((0,t.basename)(_)||_).toLowerCase();try{const g=(0,y.readdirSync)(P).filter(f=>f.toLowerCase()===w);if(g.length===1){const f=C(P);if(f)return(0,t.join)(f,g[0])}else if(g.length>1){const f=g.indexOf(w);if(f>=0){const v=C(P);if(v)return(0,t.join)(v,g[f])}}}catch{}return null}e.realcaseSync=C;async function E(_){if(D.isLinux)return _;const P=(0,t.dirname)(_);if(_===P)return _;const w=((0,t.basename)(_)||_).toLowerCase();try{const g=(await y.Promises.readdir(P)).filter(f=>f.toLowerCase()===w);if(g.length===1){const f=await E(P);if(f)return(0,t.join)(f,g[0])}else if(g.length>1){const f=g.indexOf(w);if(f>=0){const v=await E(P);if(v)return(0,t.join)(v,g[f])}}}catch{}return null}e.realcase=E;async function I(_){try{return await y.Promises.realpath(_)}catch{const w=k(_);return await y.Promises.access(w,u.constants.R_OK),w}}e.realpath=I;function R(_){try{return u.realpathSync(_)}catch{const w=k(_);return u.accessSync(w,u.constants.R_OK),w}}e.realpathSync=R;function k(_){return(0,T.rtrim)((0,t.normalize)(_),t.sep)}});var st=this&&this.__decorate||function(Q,e,u,t){var D=arguments.length,T=D<3?e:t===null?t=Object.getOwnPropertyDescriptor(e,u):t,y;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")T=Reflect.decorate(Q,e,u,t);else for(var C=Q.length-1;C>=0;C--)(y=Q[C])&&(T=(D<3?y(T):D>3?y(e,u,T):y(e,u))||T);return D>3&&T&&Object.defineProperty(e,u,T),T};define(Ie[110],ke([1,0,16,18,23,21,57,12,3,6,61,8,10]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var P;(function(q){q[q.Promise=100]="Promise",q[q.PromiseCancel=101]="PromiseCancel",q[q.EventListen=102]="EventListen",q[q.EventDispose=103]="EventDispose"})(P=e.RequestType||(e.RequestType={}));function w(q){switch(q){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var b;(function(q){q[q.Initialize=200]="Initialize",q[q.PromiseSuccess=201]="PromiseSuccess",q[q.PromiseError=202]="PromiseError",q[q.PromiseErrorObj=203]="PromiseErrorObj",q[q.EventFire=204]="EventFire"})(b=e.ResponseType||(e.ResponseType={}));function g(q){switch(q){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var f;(function(q){q[q.Uninitialized=0]="Uninitialized",q[q.Idle=1]="Idle"})(f||(f={}));class v{constructor(x){this.buffer=x,this.pos=0}read(x){const V=this.buffer.slice(this.pos,this.pos+x);return this.pos+=V.byteLength,V}}class p{constructor(){this.buffers=[]}get buffer(){return D.VSBuffer.concat(this.buffers)}write(x){this.buffers.push(x)}}var c;(function(q){q[q.Undefined=0]="Undefined",q[q.String=1]="String",q[q.Buffer=2]="Buffer",q[q.VSBuffer=3]="VSBuffer",q[q.Array=4]="Array",q[q.Object=5]="Object"})(c||(c={}));function m(q){const x=D.VSBuffer.alloc(4);return x.writeUInt32BE(q,0),x}function a(q){return q.read(4).readUInt32BE(0)}function h(q){const x=D.VSBuffer.alloc(1);return x.writeUInt8(q,0),x}const r={Undefined:h(c.Undefined),String:h(c.String),Buffer:h(c.Buffer),VSBuffer:h(c.VSBuffer),Array:h(c.Array),Object:h(c.Object)},o=typeof Buffer!="undefined";function i(q,x){if(typeof x=="undefined")q.write(r.Undefined);else if(typeof x=="string"){const V=D.VSBuffer.fromString(x);q.write(r.String),q.write(m(V.byteLength)),q.write(V)}else if(o&&Buffer.isBuffer(x)){const V=D.VSBuffer.wrap(x);q.write(r.Buffer),q.write(m(V.byteLength)),q.write(V)}else if(x instanceof D.VSBuffer)q.write(r.VSBuffer),q.write(m(x.byteLength)),q.write(x);else if(Array.isArray(x)){q.write(r.Array),q.write(m(x.length));for(const V of x)i(q,V)}else{const V=D.VSBuffer.fromString(JSON.stringify(x));q.write(r.Object),q.write(m(V.byteLength)),q.write(V)}}function n(q){switch(q.read(1).readUInt8(0)){case c.Undefined:return;case c.String:return q.read(a(q)).toString();case c.Buffer:return q.read(a(q)).buffer;case c.VSBuffer:return q.read(a(q));case c.Array:{const V=a(q),ee=[];for(let Y=0;Y<V;Y++)ee.push(n(q));return ee}case c.Object:return JSON.parse(q.read(a(q)).toString())}}class s{constructor(x,V,ee=null,Y=1e3){this.protocol=x,this.ctx=V,this.logger=ee,this.timeoutDelay=Y,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(le=>this.onRawMessage(le)),this.sendResponse({type:200})}registerChannel(x,V){this.channels.set(x,V),setTimeout(()=>this.flushPendingRequests(x),0)}sendResponse(x){switch(x.type){case 200:{const V=this.send([x.type]);this.logger?.logOutgoing(V,0,1,g(x.type));return}case 201:case 202:case 204:case 203:{const V=this.send([x.type,x.id],x.data);this.logger?.logOutgoing(V,x.id,1,g(x.type),x.data);return}}}send(x,V=void 0){const ee=new p;return i(ee,x),i(ee,V),this.sendBuffer(ee.buffer)}sendBuffer(x){try{return this.protocol.send(x),x.byteLength}catch{return 0}}onRawMessage(x){const V=new v(x),ee=n(V),Y=n(V),le=ee[0];switch(le){case 100:return this.logger?.logIncoming(x.byteLength,ee[1],1,`${w(le)}: ${ee[2]}.${ee[3]}`,Y),this.onPromise({type:le,id:ee[1],channelName:ee[2],name:ee[3],arg:Y});case 102:return this.logger?.logIncoming(x.byteLength,ee[1],1,`${w(le)}: ${ee[2]}.${ee[3]}`,Y),this.onEventListen({type:le,id:ee[1],channelName:ee[2],name:ee[3],arg:Y});case 101:return this.logger?.logIncoming(x.byteLength,ee[1],1,`${w(le)}`),this.disposeActiveRequest({type:le,id:ee[1]});case 103:return this.logger?.logIncoming(x.byteLength,ee[1],1,`${w(le)}`),this.disposeActiveRequest({type:le,id:ee[1]})}}onPromise(x){const V=this.channels.get(x.channelName);if(!V){this.collectPendingRequest(x);return}const ee=new T.CancellationTokenSource;let Y;try{Y=V.call(this.ctx,x.name,x.arg,ee.token)}catch(J){Y=Promise.reject(J)}const le=x.id;Y.then(J=>{this.sendResponse({id:le,data:J,type:201}),this.activeRequests.delete(x.id)},J=>{J instanceof Error?this.sendResponse({id:le,data:{message:J.message,name:J.name,stack:J.stack?J.stack.split?J.stack.split(`
`):J.stack:void 0},type:202}):this.sendResponse({id:le,data:J,type:203}),this.activeRequests.delete(x.id)});const ve=(0,I.toDisposable)(()=>ee.cancel());this.activeRequests.set(x.id,ve)}onEventListen(x){const V=this.channels.get(x.channelName);if(!V){this.collectPendingRequest(x);return}const ee=x.id,le=V.listen(this.ctx,x.name,x.arg)(ve=>this.sendResponse({id:ee,data:ve,type:204}));this.activeRequests.set(x.id,le)}disposeActiveRequest(x){const V=this.activeRequests.get(x.id);V&&(V.dispose(),this.activeRequests.delete(x.id))}collectPendingRequest(x){let V=this.pendingRequests.get(x.channelName);V||(V=[],this.pendingRequests.set(x.channelName,V));const ee=setTimeout(()=>{console.error(`Unknown channel: ${x.channelName}`),x.type===100&&this.sendResponse({id:x.id,data:{name:"Unknown channel",message:`Channel name '${x.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);V.push({request:x,timeoutTimer:ee})}flushPendingRequests(x){const V=this.pendingRequests.get(x);if(V){for(const ee of V)switch(clearTimeout(ee.timeoutTimer),ee.request.type){case 100:this.onPromise(ee.request);break;case 102:this.onEventListen(ee.request);break}this.pendingRequests.delete(x)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,I.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}e.ChannelServer=s;var l;(function(q){q[q.LocalSide=0]="LocalSide",q[q.OtherSide=1]="OtherSide"})(l=e.RequestInitiator||(e.RequestInitiator={}));class d{constructor(x,V=null){this.protocol=x,this.isDisposed=!1,this.state=f.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new E.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(ee=>this.onBuffer(ee)),this.logger=V}getChannel(x){const V=this;return{call(ee,Y,le){return V.isDisposed?Promise.reject(C.canceled()):V.requestPromise(x,ee,Y,le)},listen(ee,Y){return V.isDisposed?E.Event.None:V.requestEvent(x,ee,Y)}}}requestPromise(x,V,ee,Y=T.CancellationToken.None){const le=this.lastRequestId++,J={id:le,type:100,channelName:x,name:V,arg:ee};if(Y.isCancellationRequested)return Promise.reject(C.canceled());let ge;return new Promise((Te,me)=>{if(Y.isCancellationRequested)return me(C.canceled());const Pe=()=>{const ae=fe=>{switch(fe.type){case 201:this.handlers.delete(le),Te(fe.data);break;case 202:{this.handlers.delete(le);const ne=new Error(fe.data.message);ne.stack=fe.data.stack,ne.name=fe.data.name,me(ne);break}case 203:this.handlers.delete(le),me(fe.data);break}};this.handlers.set(le,ae),this.sendRequest(J)};let ue=null;this.state===f.Idle?Pe():(ue=(0,t.createCancelablePromise)(ae=>this.whenInitialized()),ue.then(()=>{ue=null,Pe()}));const pe=()=>{ue?(ue.cancel(),ue=null):this.sendRequest({id:le,type:101}),me(C.canceled())},be=Y.onCancellationRequested(pe);ge=(0,I.combinedDisposable)((0,I.toDisposable)(pe),be),this.activeRequests.add(ge)}).finally(()=>{this.activeRequests.delete(ge)})}requestEvent(x,V,ee){const Y=this.lastRequestId++,ve={id:Y,type:102,channelName:x,name:V,arg:ee};let J=null;const ge=new E.Emitter({onFirstListenerAdd:()=>{J=(0,t.createCancelablePromise)(Te=>this.whenInitialized()),J.then(()=>{J=null,this.activeRequests.add(ge),this.sendRequest(ve)})},onLastListenerRemove:()=>{J?(J.cancel(),J=null):(this.activeRequests.delete(ge),this.sendRequest({id:Y,type:103}))}}),_e=Te=>ge.fire(Te.data);return this.handlers.set(Y,_e),ge.event}sendRequest(x){switch(x.type){case 100:case 102:{const V=this.send([x.type,x.id,x.channelName,x.name],x.arg);this.logger?.logOutgoing(V,x.id,0,`${w(x.type)}: ${x.channelName}.${x.name}`,x.arg);return}case 101:case 103:{const V=this.send([x.type,x.id]);this.logger?.logOutgoing(V,x.id,0,w(x.type));return}}}send(x,V=void 0){const ee=new p;return i(ee,x),i(ee,V),this.sendBuffer(ee.buffer)}sendBuffer(x){try{return this.protocol.send(x),x.byteLength}catch{return 0}}onBuffer(x){const V=new v(x),ee=n(V),Y=n(V),le=ee[0];switch(le){case 200:return this.logger?.logIncoming(x.byteLength,0,0,g(le)),this.onResponse({type:ee[0]});case 201:case 202:case 204:case 203:return this.logger?.logIncoming(x.byteLength,ee[1],0,g(le),Y),this.onResponse({type:ee[0],id:ee[1],data:Y})}}onResponse(x){if(x.type===200){this.state=f.Idle,this._onDidInitialize.fire();return}this.handlers.get(x.id)?.(x)}get onDidInitializePromise(){return E.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===f.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,I.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}st([y.memoize],d.prototype,"onDidInitializePromise",null),e.ChannelClient=d;class S{constructor(x){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new E.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new E.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,x(({protocol:V,onDidClientDisconnect:ee})=>{E.Event.once(V.onMessage)(le=>{const ve=new v(le),J=n(ve),ge=new s(V,J),_e=new d(V);this.channels.forEach((me,Pe)=>ge.registerChannel(Pe,me));const Te={channelServer:ge,channelClient:_e,ctx:J};this._connections.add(Te),this._onDidAddConnection.fire(Te),ee(()=>{ge.dispose(),_e.dispose(),this._connections.delete(Te),this._onDidRemoveConnection.fire(Te)})})})}get connections(){const x=[];return this._connections.forEach(V=>x.push(V)),x}getChannel(x,V){const ee=this;return{call(Y,le,ve){let J;if((0,_.isFunction)(V)){const _e=(0,u.getRandomElement)(ee.connections.filter(V));J=_e?Promise.resolve(_e):E.Event.toPromise(E.Event.filter(ee.onDidAddConnection,V))}else J=V.routeCall(ee,Y,le);const ge=J.then(_e=>_e.channelClient.getChannel(x));return F(ge).call(Y,le,ve)},listen(Y,le){if((0,_.isFunction)(V))return ee.getMulticastEvent(x,V,Y,le);const ve=V.routeEvent(ee,Y,le).then(J=>J.channelClient.getChannel(x));return F(ve).listen(Y,le)}}}getMulticastEvent(x,V,ee,Y){const le=this;let ve=new I.DisposableStore;const J=new E.Emitter({onFirstListenerAdd:()=>{ve=new I.DisposableStore;const ge=new E.EventMultiplexer,_e=new Map,Te=Pe=>{const pe=Pe.channelClient.getChannel(x).listen(ee,Y),be=ge.add(pe);_e.set(Pe,be)},me=Pe=>{const ue=_e.get(Pe);!ue||(ue.dispose(),_e.delete(Pe))};le.connections.filter(V).forEach(Te),E.Event.filter(le.onDidAddConnection,V)(Te,void 0,ve),le.onDidRemoveConnection(me,void 0,ve),ge.event(J.fire,J,ve),ve.add(ge)},onLastListenerRemove:()=>{ve.dispose()}});return J.event}registerChannel(x,V){this.channels.set(x,V),this._connections.forEach(ee=>{ee.channelServer.registerChannel(x,V)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=S;class L{constructor(x,V,ee=null){const Y=new p;i(Y,V),x.send(Y.buffer),this.channelClient=new d(x,ee),this.channelServer=new s(x,V,ee)}getChannel(x){return this.channelClient.getChannel(x)}registerChannel(x,V){this.channelServer.registerChannel(x,V)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=L;function F(q){return{call(x,V,ee){return q.then(Y=>Y.call(x,V,ee))},listen(x,V){const ee=new E.Relay;return q.then(Y=>ee.input=Y.listen(x,V)),ee.event}}}e.getDelayedChannel=F;function N(q){let x=!1;return{call(V,ee,Y){return x?q.call(V,ee,Y):(0,t.timeout)(0).then(()=>x=!0).then(()=>q.call(V,ee,Y))},listen(V,ee){if(x)return q.listen(V,ee);const Y=new E.Relay;return(0,t.timeout)(0).then(()=>x=!0).then(()=>Y.input=q.listen(V,ee)),Y.event}}}e.getNextTickChannel=N;class A{constructor(x){this.fn=x}routeCall(x){return this.route(x)}routeEvent(x){return this.route(x)}async route(x){for(const V of x.connections)if(await Promise.resolve(this.fn(V.ctx)))return Promise.resolve(V);return await E.Event.toPromise(x.onDidAddConnection),await this.route(x)}}e.StaticRouter=A;var $;(function(q){function x(le,ve){const J=le,ge=ve&&ve.disableMarshalling,_e=new Map;for(const Te in J)ee(Te)&&_e.set(Te,E.Event.buffer(J[Te],!0));return new class{listen(Te,me,Pe){const ue=_e.get(me);if(ue)return ue;if(Y(me)){const pe=J[me];if(typeof pe=="function")return pe.call(J,Pe)}throw new Error(`Event not found: ${me}`)}call(Te,me,Pe){const ue=J[me];if(typeof ue=="function"){if(!ge&&Array.isArray(Pe))for(let pe=0;pe<Pe.length;pe++)Pe[pe]=(0,R.revive)(Pe[pe]);return ue.apply(J,Pe)}throw new Error(`Method not found: ${me}`)}}}q.fromService=x;function V(le,ve){const J=ve&&ve.disableMarshalling;return new Proxy({},{get(ge,_e){if(typeof _e=="string")return ve?.properties?.has(_e)?ve.properties.get(_e):Y(_e)?function(Te){return le.listen(_e,Te)}:ee(_e)?le.listen(_e):async function(...Te){let me;ve&&!(0,_.isUndefinedOrNull)(ve.context)?me=[ve.context,...Te]:me=Te;const Pe=await le.call(_e,me);return J?Pe:(0,R.revive)(Pe)};throw new Error(`Property not found: ${String(_e)}`)}})}q.toService=V;function ee(le){return le[0]==="o"&&le[1]==="n"&&k.isUpperAsciiLetter(le.charCodeAt(2))}function Y(le){return/^onDynamic/.test(le)&&k.isUpperAsciiLetter(le.charCodeAt(9))}})($=e.ProxyChannel||(e.ProxyChannel={}));const B=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function z(q){if(Array.isArray(q))return q;if(q&&typeof q=="object"&&typeof q.toString=="function"){const x=q.toString();if(x!=="[object Object]")return x}return q}function X(q){return Array.isArray(q)?q.map(z):z(q)}function M(q,x,V,ee,Y,le,ve){ve=X(ve);const J=B[Y],ge=J[ee%J.length];let _e=[`%c[${q}]%c[${String(x).padStart(7," ")}]%c[len: ${String(V).padStart(5," ")}]%c${String(ee).padStart(5," ")} - ${le}`,"color: darkgreen","color: grey","color: grey",`color: ${ge}`];/\($/.test(le)?(_e=_e.concat(ve),_e.push(")")):_e.push(ve),console.log.apply(console,_e)}e.logWithColors=M;class U{constructor(x,V){this._outgoingPrefix=x,this._incomingPrefix=V,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(x,V,ee,Y,le){this._totalOutgoing+=x,M(this._outgoingPrefix,this._totalOutgoing,x,V,ee,Y,le)}logIncoming(x,V,ee,Y,le){this._totalIncoming+=x,M(this._incomingPrefix,this._totalIncoming,x,V,ee,Y,le)}}e.IPCLogger=U}),define(Ie[111],ke([1,0,23,3,6,110]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var y;(function(o){o.Created="created",o.Read="read",o.Write="write",o.Open="open",o.Error="error",o.Close="close",o.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",o.NodeEndReceived="nodeEndReceived",o.NodeEndSent="nodeEndSent",o.NodeDrainBegin="nodeDrainBegin",o.NodeDrainEnd="nodeDrainEnd",o.zlibInflateError="zlibInflateError",o.zlibInflateData="zlibInflateData",o.zlibInflateInitialWrite="zlibInflateInitialWrite",o.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",o.zlibInflateWrite="zlibInflateWrite",o.zlibInflateFlushFired="zlibInflateFlushFired",o.zlibDeflateError="zlibDeflateError",o.zlibDeflateData="zlibDeflateData",o.zlibDeflateWrite="zlibDeflateWrite",o.zlibDeflateFlushFired="zlibDeflateFlushFired",o.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",o.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",o.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",o.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",o.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",o.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",o.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",o.ProtocolHeaderRead="protocolHeaderRead",o.ProtocolMessageRead="protocolMessageRead",o.ProtocolHeaderWrite="protocolHeaderWrite",o.ProtocolMessageWrite="protocolMessageWrite",o.ProtocolWrite="protocolWrite"})(y=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var C;(function(o){o.enableDiagnostics=!1,o.records=[];const i=new WeakMap;let n=0;function s(d,S){if(!i.has(d)){const L=String(++n);i.set(d,L)}return i.get(d)}function l(d,S,L,F){if(!o.enableDiagnostics)return;const N=s(d,S);if(F instanceof u.VSBuffer||F instanceof Uint8Array||F instanceof ArrayBuffer||ArrayBuffer.isView(F)){const A=u.VSBuffer.alloc(F.byteLength);A.set(F),o.records.push({timestamp:Date.now(),id:N,label:S,type:L,buff:A})}else o.records.push({timestamp:Date.now(),id:N,label:S,type:L,data:F})}o.traceSocketEvent=l})(C=e.SocketDiagnostics||(e.SocketDiagnostics={}));var E;(function(o){o[o.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",o[o.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(E=e.SocketCloseEventType||(e.SocketCloseEventType={}));let I=null;function R(){return I||(I=u.VSBuffer.alloc(0)),I}class k{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(i){this._chunks.push(i),this._totalLength+=i.byteLength}read(i){return this._read(i,!0)}peek(i){return this._read(i,!1)}_read(i,n){if(i===0)return R();if(i>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===i){const S=this._chunks[0];return n&&(this._chunks.shift(),this._totalLength-=i),S}if(this._chunks[0].byteLength>i){const S=this._chunks[0].slice(0,i);return n&&(this._chunks[0]=this._chunks[0].slice(i),this._totalLength-=i),S}const s=u.VSBuffer.alloc(i);let l=0,d=0;for(;i>0;){const S=this._chunks[d];if(S.byteLength>i){const L=S.slice(0,i);s.set(L,l),l+=i,n&&(this._chunks[d]=S.slice(i),this._totalLength-=i),i-=i}else s.set(S,l),l+=S.byteLength,n?(this._chunks.shift(),this._totalLength-=S.byteLength):d++,i-=S.byteLength}return s}}e.ChunkStream=k;var _;(function(o){o[o.None=0]="None",o[o.Regular=1]="Regular",o[o.Control=2]="Control",o[o.Ack=3]="Ack",o[o.Disconnect=5]="Disconnect",o[o.ReplayRequest=6]="ReplayRequest",o[o.Pause=7]="Pause",o[o.Resume=8]="Resume"})(_||(_={}));function P(o){switch(o){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var w;(function(o){o[o.HeaderLength=13]="HeaderLength",o[o.AcknowledgeTime=2e3]="AcknowledgeTime",o[o.TimeoutTime=2e4]="TimeoutTime",o[o.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",o[o.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(w=e.ProtocolConstants||(e.ProtocolConstants={}));class b{constructor(i,n,s,l){this.type=i,this.id=n,this.ack=s,this.data=l,this.writtenTime=0}get size(){return this.data.byteLength}}class g extends D.Disposable{constructor(i){super();this._onMessage=this._register(new t.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=i,this._isDisposed=!1,this._incomingData=new k,this._register(this._socket.onData(n=>this.acceptChunk(n))),this.lastReadTime=Date.now()}acceptChunk(i){if(!(!i||i.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(i);this._incomingData.byteLength>=this._state.readLen;){const n=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=n.readUInt32BE(9),this._state.messageType=n.readUInt8(0),this._state.id=n.readUInt32BE(1),this._state.ack=n.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:P(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const s=this._state.messageType,l=this._state.id,d=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",n),this._onMessage.fire(new b(s,l,d,n)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class f{constructor(i){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=i,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(i){if(this._isDisposed)return;i.writtenTime=Date.now(),this.lastWriteTime=Date.now();const n=u.VSBuffer.alloc(13);n.writeUInt8(i.type,0),n.writeUInt32BE(i.id,1),n.writeUInt32BE(i.ack,5),n.writeUInt32BE(i.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:P(i.type),id:i.id,ack:i.ack,messageSize:i.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",i.data),this._writeSoon(n,i.data)}_bufferAdd(i,n){const s=this._totalLength===0;return this._data.push(i,n),this._totalLength+=i.byteLength+n.byteLength,s}_bufferTake(){const i=u.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,i}_writeSoon(i,n){this._bufferAdd(i,n)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const i=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:i.byteLength}),this._socket.write(i)}}class v extends D.Disposable{constructor(i){super();this._onMessage=new t.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=i,this._socketWriter=this._register(new f(this._socket)),this._socketReader=this._register(new g(this._socket)),this._register(this._socketReader.onMessage(n=>{n.type===1&&this._onMessage.fire(n.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(i){this._socketWriter.write(new b(1,0,0,i))}}e.Protocol=v;class p extends T.IPCClient{constructor(i,n,s=null){super(i,n,s);this.protocol=i}static fromSocket(i,n){return new p(new v(i),n)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const i=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),i.end()}}e.Client=p;class c{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new t.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(i){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(i):this._emitter.fire(i):this._bufferedMessages.push(i)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=c;class m{constructor(i){this.data=i,this.next=null}}class a{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){const i=[];let n=0,s=this._first;for(;s;)i[n++]=s.data,s=s.next;return i}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(i){const n=new m(i);if(!this._first){this._first=n,this._last=n;return}this._last.next=n,this._last=n}}class h{constructor(){this.lastRuns=[];const i=Date.now();for(let n=0;n<h._HISTORY_LENGTH;n++)this.lastRuns[n]=i-1e3*n;setInterval(()=>{for(let n=h._HISTORY_LENGTH;n>=1;n--)this.lastRuns[n]=this.lastRuns[n-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return h._INSTANCE||(h._INSTANCE=new h),h._INSTANCE}load(){const i=Date.now(),n=(1+h._HISTORY_LENGTH)*1e3;let s=0;for(let l=0;l<h._HISTORY_LENGTH;l++)i-this.lastRuns[l]<=n&&s++;return 1-s/h._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}h._HISTORY_LENGTH=10,h._INSTANCE=null;class r{constructor(i,n=null,s=h.getInstance()){this._onControlMessage=new c,this.onControlMessage=this._onControlMessage.event,this._onMessage=new c,this.onMessage=this._onMessage.event,this._onDidDispose=new c,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new c,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new c,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=s,this._isReconnecting=!1,this._outgoingUnackMsg=new a,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=i,this._socketWriter=new f(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new g(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(l=>this._receiveMessage(l))),this._socketDisposables.push(this._socket.onClose(l=>this._onSocketClose.fire(l))),n&&this._socketReader.acceptChunk(n)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,D.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const i=new b(5,0,0,R());this._socketWriter.write(i),this._socketWriter.flush()}sendPause(){const i=new b(7,0,0,R());this._socketWriter.write(i)}sendResume(){const i=new b(8,0,0,R());this._socketWriter.write(i)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(i,n){this._isReconnecting=!0,this._socketDisposables=(0,D.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=i,this._socketWriter=new f(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new g(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(s=>this._receiveMessage(s))),this._socketDisposables.push(this._socket.onClose(s=>this._onSocketClose.fire(s))),this._socketReader.acceptChunk(n)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const i=new b(3,0,this._incomingAckId,R());this._socketWriter.write(i);const n=this._outgoingUnackMsg.toArray();for(let s=0,l=n.length;s<l;s++)this._socketWriter.write(n[s]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(i){if(i.ack>this._outgoingAckId){this._outgoingAckId=i.ack;do{const n=this._outgoingUnackMsg.peek();if(n&&n.id<=i.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(i.type){case 0:break;case 1:{if(i.id>this._incomingMsgId)if(i.id!==this._incomingMsgId+1){const n=Date.now();n-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=n,this._socketWriter.write(new b(6,0,0,R())))}else this._incomingMsgId=i.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(i.data);break}case 2:{this._onControlMessage.fire(i.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const n=this._outgoingUnackMsg.toArray();for(let s=0,l=n.length;s<l;s++)this._socketWriter.write(n[s]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(i){const n=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const s=new b(1,n,this._incomingAckId,i);this._outgoingUnackMsg.push(s),this._isReconnecting||(this._socketWriter.write(s),this._recvAckCheck())}sendControl(i){const n=new b(2,0,0,i);this._socketWriter.write(n)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const i=Date.now()-this._incomingMsgLastTime;if(i>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-i+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const i=this._outgoingUnackMsg.peek(),n=Date.now()-i.writtenTime,s=Date.now()-this._socketReader.lastReadTime,l=Date.now()-this._lastSocketTimeoutTime;if(n>=2e4&&s>=2e4&&l>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const d=Math.max(2e4-n,2e4-s,2e4-l,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},d)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const i=new b(3,0,this._incomingAckId,R());this._socketWriter.write(i)}}e.PersistentProtocol=r}),define(Ie[112],ke([1,0,23,12,3,6,9,13,34,110,111]),function(Q,e,u,t,D,T,y,C,E,I,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;function k(){return{crypto:Q.__$__nodeRequire("crypto"),zlib:Q.__$__nodeRequire("zlib"),net:Q.__$__nodeRequire("net"),os:Q.__$__nodeRequire("os")}}class _{constructor(s,l=""){this.debugLabel=l,this.socket=s,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=d=>{if(this.traceSocketEvent("error",{code:d?.code,message:d?.message}),d){if(d.code==="EPIPE")return;(0,t.onUnexpectedError)(d)}},this.socket.on("error",this._errorListener)}traceSocketEvent(s,l){R.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,s,l)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(s){const l=d=>{this.traceSocketEvent("read",d),s(u.VSBuffer.wrap(d))};return this.socket.on("data",l),{dispose:()=>this.socket.off("data",l)}}onClose(s){const l=d=>{this.traceSocketEvent("close",{hadError:d}),s({type:0,hadError:d,error:void 0})};return this.socket.on("close",l),{dispose:()=>this.socket.off("close",l)}}onEnd(s){const l=()=>{this.traceSocketEvent("nodeEndReceived"),s()};return this.socket.on("end",l),{dispose:()=>this.socket.off("end",l)}}write(s){if(!this.socket.destroyed)try{this.traceSocketEvent("write",s),this.socket.write(s.buffer,l=>{if(l){if(l.code==="EPIPE")return;(0,t.onUnexpectedError)(l)}})}catch(l){if(l.code==="EPIPE")return;(0,t.onUnexpectedError)(l)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((s,l)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),s();return}const d=()=>{this.socket.off("close",d),this.socket.off("end",d),this.socket.off("error",d),this.socket.off("timeout",d),this.socket.off("drain",d),this.traceSocketEvent("nodeDrainEnd"),s()};this.socket.on("close",d),this.socket.on("end",d),this.socket.on("error",d),this.socket.on("timeout",d),this.socket.on("drain",d)})}}e.NodeSocket=_;var P;(function(n){n[n.MinHeaderByteSize=2]="MinHeaderByteSize"})(P||(P={}));var w;(function(n){n[n.PeekHeader=1]="PeekHeader",n[n.ReadHeader=2]="ReadHeader",n[n.ReadBody=3]="ReadBody",n[n.Fin=4]="Fin"})(w||(w={}));class b extends T.Disposable{constructor(s,l,d,S){super();this._onData=this._register(new D.Emitter),this._onClose=this._register(new D.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=s,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:l,inflateBytesLength:d?.byteLength||0,recordInflateBytes:S}),this._flowManager=this._register(new g(this,l,d,S,this._onData,(L,F)=>this._write(L,F))),this._register(this._flowManager.onError(L=>{console.error(L),(0,t.onUnexpectedError)(L),this._onClose.fire({type:0,hadError:!0,error:L})})),this._incomingData=new R.ChunkStream,this._register(this.socket.onData(L=>this._acceptChunk(L))),this._register(this.socket.onClose(L=>this._onClose.fire(L)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(s,l){this.socket.traceSocketEvent(s,l)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(s){return this._onData.event(s)}onClose(s){return this._onClose.event(s)}onEnd(s){return this.socket.onEnd(s)}write(s){this._flowManager.writeMessage(s)}_write(s,l){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",s);let d=2;s.byteLength<126?d+=0:s.byteLength<2**16?d+=2:d+=8;const S=u.VSBuffer.alloc(d);if(l?S.writeUInt8(194,0):S.writeUInt8(130,0),s.byteLength<126)S.writeUInt8(s.byteLength,1);else if(s.byteLength<2**16){S.writeUInt8(126,1);let L=1;S.writeUInt8(s.byteLength>>>8&255,++L),S.writeUInt8(s.byteLength>>>0&255,++L)}else{S.writeUInt8(127,1);let L=1;S.writeUInt8(0,++L),S.writeUInt8(0,++L),S.writeUInt8(0,++L),S.writeUInt8(0,++L),S.writeUInt8(s.byteLength>>>24&255,++L),S.writeUInt8(s.byteLength>>>16&255,++L),S.writeUInt8(s.byteLength>>>8&255,++L),S.writeUInt8(s.byteLength>>>0&255,++L)}this.socket.write(u.VSBuffer.concat([S,s]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(s){if(s.byteLength!==0){for(this._incomingData.acceptChunk(s);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const l=this._incomingData.peek(this._state.readLen),d=l.readUInt8(0),S=(d&128)>>>7,L=(d&64)>>>6,F=l.readUInt8(1),N=(F&128)>>>7,A=F&127;this._state.state=2,this._state.readLen=2+(N?4:0)+(A===126?2:0)+(A===127?8:0),this._state.fin=S,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(L)),this._state.firstFrameOfMessage=Boolean(S),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const l=this._incomingData.read(this._state.readLen),d=l.readUInt8(1),S=(d&128)>>>7;let L=d&127,F=1;L===126?L=l.readUInt8(++F)*2**8+l.readUInt8(++F):L===127&&(L=l.readUInt8(++F)*0+l.readUInt8(++F)*0+l.readUInt8(++F)*0+l.readUInt8(++F)*0+l.readUInt8(++F)*2**24+l.readUInt8(++F)*2**16+l.readUInt8(++F)*2**8+l.readUInt8(++F));let N=0;S&&(N=l.readUInt8(++F)*2**24+l.readUInt8(++F)*2**16+l.readUInt8(++F)*2**8+l.readUInt8(++F)),this._state.state=3,this._state.readLen=L,this._state.mask=N,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const l=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",l),p(l,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",l),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(l,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await D.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=b;class g extends T.Disposable{constructor(s,l,d,S,L,F){super();this._tracer=s,this._onData=L,this._writeFn=F,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new D.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,l?(this._zlibInflateStream=this._register(new f(this._tracer,S,d,{windowBits:15})),this._zlibDeflateStream=this._register(new v(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(N=>this._onError.fire(N))),this._register(this._zlibDeflateStream.onError(N=>this._onError.fire(N)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:u.VSBuffer.alloc(0)}writeMessage(s){this._writeQueue.push(s),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const s=this._writeQueue.shift();if(this._zlibDeflateStream){const l=await this._deflateMessage(this._zlibDeflateStream,s);this._writeFn(l,!0)}else this._writeFn(s,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(s,l){return new Promise((d,S)=>{s.write(l),s.flush(L=>d(L))})}acceptFrame(s,l,d){this._readQueue.push({data:s,isCompressed:l,isLastFrameOfMessage:d}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const s=this._readQueue.shift();if(this._zlibInflateStream&&s.isCompressed){const l=await this._inflateFrame(this._zlibInflateStream,s.data,s.isLastFrameOfMessage);this._onData.fire(l)}else this._onData.fire(s.data)}this._isProcessingReadQueue=!1}}_inflateFrame(s,l,d){return new Promise((S,L)=>{s.write(l),d&&s.write(u.VSBuffer.fromByteArray([0,0,255,255])),s.flush(F=>S(F))})}}class f extends T.Disposable{constructor(s,l,d,S){super();this._tracer=s,this._recordInflateBytes=l,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=k().zlib.createInflateRaw(S),this._zlibInflate.on("error",L=>{this._tracer.traceSocketEvent("zlibInflateError",{message:L?.message,code:L?.code}),this._onError.fire(L)}),this._zlibInflate.on("data",L=>{this._tracer.traceSocketEvent("zlibInflateData",L),this._pendingInflateData.push(u.VSBuffer.wrap(L))}),d&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",d.buffer),this._zlibInflate.write(d.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?u.VSBuffer.concat(this._recordedInflateBytes):u.VSBuffer.alloc(0)}write(s){this._recordInflateBytes&&this._recordedInflateBytes.push(s.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",s),this._zlibInflate.write(s.buffer)}flush(s){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const l=u.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,s(l)})}}class v extends T.Disposable{constructor(s,l){super();this._tracer=s,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=k().zlib.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",d=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:d?.message,code:d?.code}),this._onError.fire(d)}),this._zlibDeflate.on("data",d=>{this._tracer.traceSocketEvent("zlibDeflateData",d),this._pendingDeflateData.push(u.VSBuffer.wrap(d))})}write(s){this._tracer.traceSocketEvent("zlibDeflateWrite",s.buffer),this._zlibDeflate.write(s.buffer)}flush(s){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let l=u.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,l=l.slice(0,l.byteLength-4),s(l)})}}function p(n,s){if(s===0)return;const l=n.byteLength>>>2;for(let A=0;A<l;A++){const $=n.readUInt32BE(A*4);n.writeUInt32BE($^s,A*4)}const d=l*4,S=n.byteLength-d,L=s>>>24&255,F=s>>>16&255,N=s>>>8&255;S>=1&&n.writeUInt8(n.readUInt8(d)^L,d),S>=2&&n.writeUInt8(n.readUInt8(d+1)^F,d+1),S>=3&&n.writeUInt8(n.readUInt8(d+2)^N,d+2)}e.XDG_RUNTIME_DIR=typeof process!="undefined"?process.env.XDG_RUNTIME_DIR:void 0;const c={[2]:107,[1]:103};function m(){const n=(0,E.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${n}-sock`;let s;return e.XDG_RUNTIME_DIR?s=(0,y.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${n}.sock`):s=(0,y.join)(k().os.tmpdir(),`vscode-ipc-${n}.sock`),h(s),s}e.createRandomIPCHandle=m;function a(n,s,l){const d=k().crypto.createHash("md5").update(n).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${d}-${l}-${s}-sock`;let S;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?S=(0,y.join)(e.XDG_RUNTIME_DIR,`vscode-${d.substr(0,8)}-${l}-${s}.sock`):S=(0,y.join)(n,`${l}-${s}.sock`),h(S),S}e.createStaticIPCHandle=a;function h(n){const s=c[C.platform];typeof s=="number"&&n.length>=s&&console.warn(`WARNING: IPC handle "${n}" is longer than ${s} chars, try a shorter --user-data-dir`)}class r extends I.IPCServer{constructor(s){super(r.toClientConnectionEvent(s));this.server=s}static toClientConnectionEvent(s){const l=D.Event.fromNodeEventEmitter(s,"connection");return D.Event.map(l,d=>({protocol:new R.Protocol(new _(d,"ipc-server-connection")),onDidClientDisconnect:D.Event.once(D.Event.fromNodeEventEmitter(d,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=r;function o(n){return new Promise((s,l)=>{const d=k().net.createServer();d.on("error",l),d.listen(n,()=>{d.removeListener("error",l),s(new r(d))})})}e.serve=o;function i(n,s){return new Promise((l,d)=>{const S=k().net.createConnection(n,()=>{S.removeListener("error",d),l(R.Client.fromSocket(new _(S,`ipc-client${s}`),s))});S.once("error",d)})}e.connect=i}),define(Ie[157],ke([1,0,36,9]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function D(T,y,C,E,I,R){if(Array.isArray(T)){let k=0;for(const _ of T){const P=D(_,y,C,E,I,R);if(P===10)return P;P>k&&(k=P)}return k}else{if(typeof T=="string")return E?T==="*"?5:T===C?10:0:0;if(T){const{language:k,pattern:_,scheme:P,hasAccessToAllModels:w,notebookType:b}=T;if(!E&&!w)return 0;b&&I&&(y=I);let g=0;if(P)if(P===y.scheme)g=10;else if(P==="*")g=5;else return 0;if(k)if(k===C)g=10;else if(k==="*")g=Math.max(g,5);else return 0;if(b)if(b===R)g=10;else if(b==="*"&&R!==void 0)g=Math.max(g,5);else return 0;if(_){let f;if(typeof _=="string"?f=_:f={..._,base:(0,t.normalize)(_.base)},f===y.fsPath||(0,u.match)(f,y.fsPath))g=10;else return 0}return g}else return 0}}e.score=D}),define(Ie[158],ke([1,0,8,48,150]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class T{constructor(C,E,I,R){this._uri=C,this._lines=E,this._eol=I,this._versionId=R,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(C){C.eol&&C.eol!==this._eol&&(this._eol=C.eol,this._lineStarts=null);const E=C.changes;for(const I of E)this._acceptDeleteRange(I.range),this._acceptInsertText(new t.Position(I.range.startLineNumber,I.range.startColumn),I.text);this._versionId=C.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const C=this._eol.length,E=this._lines.length,I=new Uint32Array(E);for(let R=0;R<E;R++)I[R]=this._lines[R].length+C;this._lineStarts=new D.PrefixSumComputer(I)}}_setLineText(C,E){this._lines[C]=E,this._lineStarts&&this._lineStarts.setValue(C,this._lines[C].length+this._eol.length)}_acceptDeleteRange(C){if(C.startLineNumber===C.endLineNumber){if(C.startColumn===C.endColumn)return;this._setLineText(C.startLineNumber-1,this._lines[C.startLineNumber-1].substring(0,C.startColumn-1)+this._lines[C.startLineNumber-1].substring(C.endColumn-1));return}this._setLineText(C.startLineNumber-1,this._lines[C.startLineNumber-1].substring(0,C.startColumn-1)+this._lines[C.endLineNumber-1].substring(C.endColumn-1)),this._lines.splice(C.startLineNumber,C.endLineNumber-C.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(C.startLineNumber,C.endLineNumber-C.startLineNumber)}_acceptInsertText(C,E){if(E.length===0)return;const I=(0,u.splitLines)(E);if(I.length===1){this._setLineText(C.lineNumber-1,this._lines[C.lineNumber-1].substring(0,C.column-1)+I[0]+this._lines[C.lineNumber-1].substring(C.column-1));return}I[I.length-1]+=this._lines[C.lineNumber-1].substring(C.column-1),this._setLineText(C.lineNumber-1,this._lines[C.lineNumber-1].substring(0,C.column-1)+I[0]);const R=new Uint32Array(I.length-1);for(let k=1;k<I.length;k++)this._lines.splice(C.lineNumber+k-1,0,I[k]),R[k-1]=I[k].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(C.lineNumber,R)}}e.MirrorTextModel=T}),define(Ie[159],ke([1,0,8,147,48,35,100]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.isMultilineRegexSource=e.SearchParams=void 0;const C=999;class E{constructor(v,p,c,m){this.searchString=v,this.isRegex=p,this.matchCase=c,this.wordSeparators=m}parseSearchRequest(){if(this.searchString==="")return null;let v;this.isRegex?v=I(this.searchString):v=this.searchString.indexOf(`
`)>=0;let p=null;try{p=u.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:v,global:!0,unicode:!0})}catch{return null}if(!p)return null;let c=!this.isRegex&&!v;return c&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(c=this.matchCase),new y.SearchData(p,this.wordSeparators?(0,t.getMapForWordSeparators)(this.wordSeparators):null,c?this.searchString:null)}}e.SearchParams=E;function I(f){if(!f||f.length===0)return!1;for(let v=0,p=f.length;v<p;v++)if(f.charCodeAt(v)===92){if(v++,v>=p)break;const m=f.charCodeAt(v);if(m===110||m===114||m===87)return!0}return!1}e.isMultilineRegexSource=I;function R(f,v,p){if(!p)return new y.FindMatch(f,null);const c=[];for(let m=0,a=v.length;m<a;m++)c[m]=v[m];return new y.FindMatch(f,c)}e.createFindMatch=R;class k{constructor(v){const p=[];let c=0;for(let m=0,a=v.length;m<a;m++)v.charCodeAt(m)===10&&(p[c++]=m);this._lineFeedsOffsets=p}findLineFeedCountBeforeOffset(v){const p=this._lineFeedsOffsets;let c=0,m=p.length-1;if(m===-1||v<=p[0])return 0;for(;c<m;){const a=c+((m-c)/2>>0);p[a]>=v?m=a-1:p[a+1]>=v?(c=a,m=a):c=a+1}return c+1}}class _{static findMatches(v,p,c,m,a){const h=p.parseSearchRequest();return h?h.regex.multiline?this._doFindMatchesMultiline(v,c,new g(h.wordSeparators,h.regex),m,a):this._doFindMatchesLineByLine(v,c,h,m,a):[]}static _getMultilineMatchRange(v,p,c,m,a,h){let r,o=0;m?(o=m.findLineFeedCountBeforeOffset(a),r=p+a+o):r=p+a;let i;if(m){const d=m.findLineFeedCountBeforeOffset(a+h.length)-o;i=r+h.length+d}else i=r+h.length;const n=v.getPositionAt(r),s=v.getPositionAt(i);return new T.Range(n.lineNumber,n.column,s.lineNumber,s.column)}static _doFindMatchesMultiline(v,p,c,m,a){const h=v.getOffsetAt(p.getStartPosition()),r=v.getValueInRange(p,1),o=v.getEOL()===`\r
`?new k(r):null,i=[];let n=0,s;for(c.reset(0);s=c.next(r);)if(i[n++]=R(this._getMultilineMatchRange(v,h,r,o,s.index,s[0]),s,m),n>=a)return i;return i}static _doFindMatchesLineByLine(v,p,c,m,a){const h=[];let r=0;if(p.startLineNumber===p.endLineNumber){const i=v.getLineContent(p.startLineNumber).substring(p.startColumn-1,p.endColumn-1);return r=this._findMatchesInLine(c,i,p.startLineNumber,p.startColumn-1,r,h,m,a),h}const o=v.getLineContent(p.startLineNumber).substring(p.startColumn-1);r=this._findMatchesInLine(c,o,p.startLineNumber,p.startColumn-1,r,h,m,a);for(let i=p.startLineNumber+1;i<p.endLineNumber&&r<a;i++)r=this._findMatchesInLine(c,v.getLineContent(i),i,0,r,h,m,a);if(r<a){const i=v.getLineContent(p.endLineNumber).substring(0,p.endColumn-1);r=this._findMatchesInLine(c,i,p.endLineNumber,0,r,h,m,a)}return h}static _findMatchesInLine(v,p,c,m,a,h,r,o){const i=v.wordSeparators;if(!r&&v.simpleSearch){const l=v.simpleSearch,d=l.length,S=p.length;let L=-d;for(;(L=p.indexOf(l,L+d))!==-1;)if((!i||b(i,p,S,L,d))&&(h[a++]=new y.FindMatch(new T.Range(c,L+1+m,c,L+1+d+m),null),a>=o))return a;return a}const n=new g(v.wordSeparators,v.regex);let s;n.reset(0);do if(s=n.next(p),s&&(h[a++]=R(new T.Range(c,s.index+1+m,c,s.index+1+s[0].length+m),s,r),a>=o))return a;while(s);return a}static findNextMatch(v,p,c,m){const a=p.parseSearchRequest();if(!a)return null;const h=new g(a.wordSeparators,a.regex);return a.regex.multiline?this._doFindNextMatchMultiline(v,c,h,m):this._doFindNextMatchLineByLine(v,c,h,m)}static _doFindNextMatchMultiline(v,p,c,m){const a=new D.Position(p.lineNumber,1),h=v.getOffsetAt(a),r=v.getLineCount(),o=v.getValueInRange(new T.Range(a.lineNumber,a.column,r,v.getLineMaxColumn(r)),1),i=v.getEOL()===`\r
`?new k(o):null;c.reset(p.column-1);const n=c.next(o);return n?R(this._getMultilineMatchRange(v,h,o,i,n.index,n[0]),n,m):p.lineNumber!==1||p.column!==1?this._doFindNextMatchMultiline(v,new D.Position(1,1),c,m):null}static _doFindNextMatchLineByLine(v,p,c,m){const a=v.getLineCount(),h=p.lineNumber,r=v.getLineContent(h),o=this._findFirstMatchInLine(c,r,h,p.column,m);if(o)return o;for(let i=1;i<=a;i++){const n=(h+i-1)%a,s=v.getLineContent(n+1),l=this._findFirstMatchInLine(c,s,n+1,1,m);if(l)return l}return null}static _findFirstMatchInLine(v,p,c,m,a){v.reset(m-1);const h=v.next(p);return h?R(new T.Range(c,h.index+1,c,h.index+1+h[0].length),h,a):null}static findPreviousMatch(v,p,c,m){const a=p.parseSearchRequest();if(!a)return null;const h=new g(a.wordSeparators,a.regex);return a.regex.multiline?this._doFindPreviousMatchMultiline(v,c,h,m):this._doFindPreviousMatchLineByLine(v,c,h,m)}static _doFindPreviousMatchMultiline(v,p,c,m){const a=this._doFindMatchesMultiline(v,new T.Range(1,1,p.lineNumber,p.column),c,m,10*C);if(a.length>0)return a[a.length-1];const h=v.getLineCount();return p.lineNumber!==h||p.column!==v.getLineMaxColumn(h)?this._doFindPreviousMatchMultiline(v,new D.Position(h,v.getLineMaxColumn(h)),c,m):null}static _doFindPreviousMatchLineByLine(v,p,c,m){const a=v.getLineCount(),h=p.lineNumber,r=v.getLineContent(h).substring(0,p.column-1),o=this._findLastMatchInLine(c,r,h,m);if(o)return o;for(let i=1;i<=a;i++){const n=(a+h-i-1)%a,s=v.getLineContent(n+1),l=this._findLastMatchInLine(c,s,n+1,m);if(l)return l}return null}static _findLastMatchInLine(v,p,c,m){let a=null,h;for(v.reset(0);h=v.next(p);)a=R(new T.Range(c,h.index+1,c,h.index+1+h[0].length),h,m);return a}}e.TextModelSearch=_;function P(f,v,p,c,m){if(c===0)return!0;const a=v.charCodeAt(c-1);if(f.get(a)!==0||a===13||a===10)return!0;if(m>0){const h=v.charCodeAt(c);if(f.get(h)!==0)return!0}return!1}function w(f,v,p,c,m){if(c+m===p)return!0;const a=v.charCodeAt(c+m);if(f.get(a)!==0||a===13||a===10)return!0;if(m>0){const h=v.charCodeAt(c+m-1);if(f.get(h)!==0)return!0}return!1}function b(f,v,p,c,m){return P(f,v,p,c,m)&&w(f,v,p,c,m)}e.isValidMatch=b;class g{constructor(v,p){this._wordSeparators=v,this._searchRegex=p,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(v){this._searchRegex.lastIndex=v,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(v){const p=v.length;let c;do{if(this._prevMatchStartIndex+this._prevMatchLength===p||(c=this._searchRegex.exec(v),!c))return null;const m=c.index,a=c[0].length;if(m===this._prevMatchStartIndex&&a===this._prevMatchLength){if(a===0){u.getNextCodePoint(v,p,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=m,this._prevMatchLength=a,!this._wordSeparators||b(this._wordSeparators,v,p,m,a))return c}while(c);return null}}e.Searcher=g}),define(Ie[113],ke([1,0,23,13]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var D;(function(k){k[k.Full=1]="Full",k[k.Delta=2]="Delta"})(D||(D={}));function T(k){for(let _=0,P=k.length;_<P;_+=4){const w=k[_+0],b=k[_+1],g=k[_+2],f=k[_+3];k[_+0]=f,k[_+1]=g,k[_+2]=b,k[_+3]=w}}function y(k){const _=new Uint8Array(k.buffer,k.byteOffset,k.length*4);return t.isLittleEndian()||T(_),u.VSBuffer.wrap(_)}function C(k){const _=k.buffer;if(t.isLittleEndian()||T(_),_.byteOffset%4==0)return new Uint32Array(_.buffer,_.byteOffset,_.length/4);{const P=new Uint8Array(_.byteLength);return P.set(_),new Uint32Array(P.buffer,P.byteOffset,P.length/4)}}function E(k){const _=new Uint32Array(I(k));let P=0;if(_[P++]=k.id,k.type==="full")_[P++]=1,_[P++]=k.data.length,_.set(k.data,P),P+=k.data.length;else{_[P++]=2,_[P++]=k.deltas.length;for(const w of k.deltas)_[P++]=w.start,_[P++]=w.deleteCount,w.data?(_[P++]=w.data.length,_.set(w.data,P),P+=w.data.length):_[P++]=0}return y(_)}e.encodeSemanticTokensDto=E;function I(k){let _=0;if(_+=1+1,k.type==="full")_+=1+k.data.length;else{_+=1,_+=(1+1+1)*k.deltas.length;for(const P of k.deltas)P.data&&(_+=P.data.length)}return _}function R(k){const _=C(k);let P=0;const w=_[P++];if(_[P++]===1){const v=_[P++],p=_.subarray(P,P+v);return P+=v,{id:w,type:"full",data:p}}const g=_[P++],f=[];for(let v=0;v<g;v++){const p=_[P++],c=_[P++],m=_[P++];let a;m>0&&(a=_.subarray(P,P+m),P+=m),f[v]={start:p,deleteCount:c,data:a}}return{id:w,type:"delta",deltas:f}}e.decodeSemanticTokensDto=R}),define(Ie[160],ke([1,0,3,6]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistry=void 0;class D{constructor(){this._map=new Map,this._factories=new Map,this._onDidChange=new u.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(C){this._onDidChange.fire({changedLanguages:C,changedColorMap:!1})}register(C,E){return this._map.set(C,E),this.fire([C]),(0,t.toDisposable)(()=>{this._map.get(C)===E&&(this._map.delete(C),this.fire([C]))})}registerFactory(C,E){this._factories.get(C)?.dispose();const I=new T(this,C,E);return this._factories.set(C,I),(0,t.toDisposable)(()=>{const R=this._factories.get(C);!R||R!==I||(this._factories.delete(C),R.dispose())})}async getOrCreate(C){const E=this.get(C);if(E)return E;const I=this._factories.get(C);return!I||I.isResolved?null:(await I.resolve(),this.get(C))}get(C){return this._map.get(C)||null}isResolved(C){if(this.get(C))return!0;const I=this._factories.get(C);return!!(!I||I.isResolved)}setColorMap(C){this._colorMap=C,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistry=D;class T extends t.Disposable{constructor(C,E,I){super();this._registry=C,this._languageId=E,this._factory=I,this._isDisposed=!1,this._resolvePromise=null,this._isResolved=!1}get isResolved(){return this._isResolved}dispose(){this._isDisposed=!0,super.dispose()}async resolve(){return this._resolvePromise||(this._resolvePromise=this._create()),this._resolvePromise}async _create(){const C=await Promise.resolve(this._factory.createTokenizationSupport());this._isResolved=!0,C&&!this._isDisposed&&this._register(this._registry.register(this._languageId,C))}}}),define(Ie[63],ke([1,0,76,2,35,160]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.InlayHintKind=e.CommentMode=e.CommentThreadState=e.CommentThreadCollapsibleState=e.Command=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.CompletionItemKinds=e.CompletionItemKind=e.EncodedTokenizationResult=e.TokenizationResult=e.Token=void 0;class y{constructor(d,S,L){this._tokenBrand=void 0,this.offset=d,this.type=S,this.language=L}toString(){return"("+this.offset+", "+this.type+")"}}e.Token=y;class C{constructor(d,S){this._tokenizationResultBrand=void 0,this.tokens=d,this.endState=S}}e.TokenizationResult=C;class E{constructor(d,S){this._encodedTokenizationResultBrand=void 0,this.tokens=d,this.endState=S}}e.EncodedTokenizationResult=E;var I;(function(l){l[l.Method=0]="Method",l[l.Function=1]="Function",l[l.Constructor=2]="Constructor",l[l.Field=3]="Field",l[l.Variable=4]="Variable",l[l.Class=5]="Class",l[l.Struct=6]="Struct",l[l.Interface=7]="Interface",l[l.Module=8]="Module",l[l.Property=9]="Property",l[l.Event=10]="Event",l[l.Operator=11]="Operator",l[l.Unit=12]="Unit",l[l.Value=13]="Value",l[l.Constant=14]="Constant",l[l.Enum=15]="Enum",l[l.EnumMember=16]="EnumMember",l[l.Keyword=17]="Keyword",l[l.Text=18]="Text",l[l.Color=19]="Color",l[l.File=20]="File",l[l.Reference=21]="Reference",l[l.Customcolor=22]="Customcolor",l[l.Folder=23]="Folder",l[l.TypeParameter=24]="TypeParameter",l[l.User=25]="User",l[l.Issue=26]="Issue",l[l.Snippet=27]="Snippet"})(I=e.CompletionItemKind||(e.CompletionItemKind={}));var R;(function(l){const d=new Map;d.set(0,u.Codicon.symbolMethod),d.set(1,u.Codicon.symbolFunction),d.set(2,u.Codicon.symbolConstructor),d.set(3,u.Codicon.symbolField),d.set(4,u.Codicon.symbolVariable),d.set(5,u.Codicon.symbolClass),d.set(6,u.Codicon.symbolStruct),d.set(7,u.Codicon.symbolInterface),d.set(8,u.Codicon.symbolModule),d.set(9,u.Codicon.symbolProperty),d.set(10,u.Codicon.symbolEvent),d.set(11,u.Codicon.symbolOperator),d.set(12,u.Codicon.symbolUnit),d.set(13,u.Codicon.symbolValue),d.set(15,u.Codicon.symbolEnum),d.set(14,u.Codicon.symbolConstant),d.set(15,u.Codicon.symbolEnum),d.set(16,u.Codicon.symbolEnumMember),d.set(17,u.Codicon.symbolKeyword),d.set(27,u.Codicon.symbolSnippet),d.set(18,u.Codicon.symbolText),d.set(19,u.Codicon.symbolColor),d.set(20,u.Codicon.symbolFile),d.set(21,u.Codicon.symbolReference),d.set(22,u.Codicon.symbolCustomColor),d.set(23,u.Codicon.symbolFolder),d.set(24,u.Codicon.symbolTypeParameter),d.set(25,u.Codicon.account),d.set(26,u.Codicon.issues);function S(N){let A=d.get(N);return A||(console.info("No codicon found for CompletionItemKind "+N),A=u.Codicon.symbolProperty),A}l.toIcon=S;const L=new Map;L.set("method",0),L.set("function",1),L.set("constructor",2),L.set("field",3),L.set("variable",4),L.set("class",5),L.set("struct",6),L.set("interface",7),L.set("module",8),L.set("property",9),L.set("event",10),L.set("operator",11),L.set("unit",12),L.set("value",13),L.set("constant",14),L.set("enum",15),L.set("enum-member",16),L.set("enumMember",16),L.set("keyword",17),L.set("snippet",27),L.set("text",18),L.set("color",19),L.set("file",20),L.set("reference",21),L.set("customcolor",22),L.set("folder",23),L.set("type-parameter",24),L.set("typeParameter",24),L.set("account",25),L.set("issue",26);function F(N,A){let $=L.get(N);return typeof $=="undefined"&&!A&&($=9),$}l.fromString=F})(R=e.CompletionItemKinds||(e.CompletionItemKinds={}));var k;(function(l){l[l.Deprecated=1]="Deprecated"})(k=e.CompletionItemTag||(e.CompletionItemTag={}));var _;(function(l){l[l.KeepWhitespace=1]="KeepWhitespace",l[l.InsertAsSnippet=4]="InsertAsSnippet"})(_=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var P;(function(l){l[l.Invoke=0]="Invoke",l[l.TriggerCharacter=1]="TriggerCharacter",l[l.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(P=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var w;(function(l){l[l.Automatic=0]="Automatic",l[l.Explicit=1]="Explicit"})(w=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));var b;(function(l){l[l.Invoke=1]="Invoke",l[l.Auto=2]="Auto"})(b=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var g;(function(l){l[l.Invoke=1]="Invoke",l[l.TriggerCharacter=2]="TriggerCharacter",l[l.ContentChange=3]="ContentChange"})(g=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var f;(function(l){l[l.Text=0]="Text",l[l.Read=1]="Read",l[l.Write=2]="Write"})(f=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function v(l){return l&&t.URI.isUri(l.uri)&&D.Range.isIRange(l.range)&&(D.Range.isIRange(l.originSelectionRange)||D.Range.isIRange(l.targetSelectionRange))}e.isLocationLink=v;var p;(function(l){l[l.File=0]="File",l[l.Module=1]="Module",l[l.Namespace=2]="Namespace",l[l.Package=3]="Package",l[l.Class=4]="Class",l[l.Method=5]="Method",l[l.Property=6]="Property",l[l.Field=7]="Field",l[l.Constructor=8]="Constructor",l[l.Enum=9]="Enum",l[l.Interface=10]="Interface",l[l.Function=11]="Function",l[l.Variable=12]="Variable",l[l.Constant=13]="Constant",l[l.String=14]="String",l[l.Number=15]="Number",l[l.Boolean=16]="Boolean",l[l.Array=17]="Array",l[l.Object=18]="Object",l[l.Key=19]="Key",l[l.Null=20]="Null",l[l.EnumMember=21]="EnumMember",l[l.Struct=22]="Struct",l[l.Event=23]="Event",l[l.Operator=24]="Operator",l[l.TypeParameter=25]="TypeParameter"})(p=e.SymbolKind||(e.SymbolKind={}));var c;(function(l){l[l.Deprecated=1]="Deprecated"})(c=e.SymbolTag||(e.SymbolTag={}));var m;(function(l){const d=new Map;d.set(0,u.Codicon.symbolFile),d.set(1,u.Codicon.symbolModule),d.set(2,u.Codicon.symbolNamespace),d.set(3,u.Codicon.symbolPackage),d.set(4,u.Codicon.symbolClass),d.set(5,u.Codicon.symbolMethod),d.set(6,u.Codicon.symbolProperty),d.set(7,u.Codicon.symbolField),d.set(8,u.Codicon.symbolConstructor),d.set(9,u.Codicon.symbolEnum),d.set(10,u.Codicon.symbolInterface),d.set(11,u.Codicon.symbolFunction),d.set(12,u.Codicon.symbolVariable),d.set(13,u.Codicon.symbolConstant),d.set(14,u.Codicon.symbolString),d.set(15,u.Codicon.symbolNumber),d.set(16,u.Codicon.symbolBoolean),d.set(17,u.Codicon.symbolArray),d.set(18,u.Codicon.symbolObject),d.set(19,u.Codicon.symbolKey),d.set(20,u.Codicon.symbolNull),d.set(21,u.Codicon.symbolEnumMember),d.set(22,u.Codicon.symbolStruct),d.set(23,u.Codicon.symbolEvent),d.set(24,u.Codicon.symbolOperator),d.set(25,u.Codicon.symbolTypeParameter);function S(L){let F=d.get(L);return F||(console.info("No codicon found for SymbolKind "+L),F=u.Codicon.symbolProperty),F}l.toIcon=S})(m=e.SymbolKinds||(e.SymbolKinds={}));class a{constructor(d){this.value=d}}e.FoldingRangeKind=a,a.Comment=new a("comment"),a.Imports=new a("imports"),a.Region=new a("region");var h;(function(l){function d(S){return!S||typeof S!="object"?!1:typeof S.id=="string"&&typeof S.title=="string"}l.is=d})(h=e.Command||(e.Command={}));var r;(function(l){l[l.Collapsed=0]="Collapsed",l[l.Expanded=1]="Expanded"})(r=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var o;(function(l){l[l.Unresolved=0]="Unresolved",l[l.Resolved=1]="Resolved"})(o=e.CommentThreadState||(e.CommentThreadState={}));var i;(function(l){l[l.Editing=0]="Editing",l[l.Preview=1]="Preview"})(i=e.CommentMode||(e.CommentMode={}));var n;(function(l){l[l.Type=1]="Type",l[l.Parameter=2]="Parameter"})(n=e.InlayHintKind||(e.InlayHintKind={})),e.TokenizationRegistry=new T.TokenizationRegistry;var s;(function(l){l[l.None=0]="None",l[l.Option=1]="Option",l[l.Default=2]="Default",l[l.Preferred=3]="Preferred"})(s=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(Ie[161],ke([19,20]),function(Q,e){return Q.create("vs/base/node/processes",e)}),define(Ie[114],ke([1,0,42,30,11,24,9,13,40,102,10,144,29,161]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return I.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return I.TerminateResponseCode}});function w(m){switch(m){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function b(m,a){if(C.isWindows)try{const h={stdio:["pipe","pipe","ignore"]};a&&(h.cwd=a);const r=u.execFile("taskkill",["/T","/F","/PID",m.pid.toString()],h);return new Promise(o=>{r.once("error",i=>{o({success:!1,error:i})}),r.once("exit",(i,n)=>{o(i===0?{success:!0}:{success:!1,code:i!==null?i:1})})})}catch(h){return Promise.resolve({success:!1,error:h,code:h.status?w(h.status):1})}else if(C.isLinux||C.isMacintosh)try{const h=D.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",Q).fsPath;return new Promise(r=>{u.execFile(h,[m.pid.toString()],{encoding:"utf8",shell:!0},(o,i,n)=>{r(o?{success:!1,error:o}:{success:!0})})})}catch(h){return Promise.resolve({success:!1,error:h})}else m.kill("SIGKILL");return Promise.resolve({success:!0})}function g(m=E.env){return m.comspec||"cmd.exe"}e.getWindowsShell=g;class f{constructor(a,h,r,o){if(h!==void 0&&r!==void 0&&o!==void 0)this.cmd=a,this.args=h,this.shell=r,this.options=o;else{const i=a;this.cmd=i.command,this.shell=i.isShellCommand,this.args=i.args.slice(0),this.options=i.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const i=Object.create(null);Object.keys(E.env).forEach(n=>{i[n]=E.env[n]}),Object.keys(this.options.env).forEach(n=>{i[n]=this.options.env[n]}),this.options.env=i}}getSanitizedCommand(){let a=this.cmd.toLowerCase();const h=a.lastIndexOf(y.sep);return h!==-1&&(a=a.substring(h+1)),f.WellKnowCommands[a]?a:"other"}start(a){return C.isWindows&&(this.options&&this.options.cwd&&t.isUNC(this.options.cwd)||!this.options&&t.isUNC(E.cwd()))?Promise.reject(new Error(P.localize(0,null))):this.useExec().then(h=>{let r,o;const i=new Promise((n,s)=>{r=n,o=s});if(h){let n=this.cmd;this.args&&(n=n+" "+this.args.join(" ")),this.childProcess=u.exec(n,this.options,(s,l,d)=>{this.childProcess=null;const S=s;S&&S.killed?o({killed:this.terminateRequested,stdout:l.toString(),stderr:d.toString()}):this.handleExec(r,a,s,l,d)})}else{let n=null;const s=l=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(l,r,a,o);const d={terminated:this.terminateRequested};R.isNumber(l)&&(d.cmdCode=l),r(d)};if(this.shell&&C.isWindows){const l=T.deepClone(this.options);l.windowsVerbatimArguments=!0,l.detached=!1;let d=!1,S=!1;const L=[];let F=this.ensureQuotes(this.cmd);L.push(F.value),d=F.quoted,this.args&&this.args.forEach(A=>{F=this.ensureQuotes(A),L.push(F.value),S=S&&F.quoted});const N=["/s","/c"];d?S?N.push('"'+L.join(" ")+'"'):L.length>1?N.push('"'+L[0]+'" '+L.slice(1).join(" ")):N.push('"'+L[0]+'"'):N.push(L.join(" ")),n=u.spawn(g(),N,l)}else this.cmd&&(n=u.spawn(this.cmd,this.args,this.options));n&&(this.childProcess=n,this.childProcessPromise=Promise.resolve(n),this.pidResolve&&(this.pidResolve(R.isNumber(n.pid)?n.pid:-1),this.pidResolve=void 0),n.on("error",l=>{this.childProcess=null,o({terminated:this.terminateRequested,error:l})}),n.pid&&(this.childProcess.on("close",s),this.handleSpawn(n,r,a,o,!0)))}return i})}handleClose(a,h,r,o){}ensureQuotes(a){return f.regexp.test(a)?{value:'"'+a+'"',quoted:!0}:{value:a,quoted:a.length>0&&a[0]==='"'&&a[a.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(a=>a.pid,a=>-1):new Promise(a=>{this.pidResolve=a})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(a=>(this.terminateRequested=!0,b(a,this.options.cwd).then(h=>(h.success&&(this.childProcess=null),h))),a=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(a=>{if(!this.shell||!C.isWindows)return a(!1);const h=u.spawn(g(),["/s","/c"]);h.on("error",r=>a(!0)),h.on("exit",r=>a(!1))})}}e.AbstractProcess=f,f.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},f.regexp=/^[^"].* .*[^"]/;class v extends f{constructor(a,h,r,o){super(a,h,r,o);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(a,h,r,o,i){[o,i].forEach((n,s)=>{const l=new k.LineDecoder;l.write(n).forEach(L=>{h({line:L,source:s===0?0:1})});const S=l.end();S&&h({line:S,source:s===0?0:1})}),a({terminated:this.terminateRequested,error:r})}handleSpawn(a,h,r,o,i){const n=new k.LineDecoder,s=new k.LineDecoder;a.stdout.on("data",l=>{n.write(l).forEach(S=>r({line:S,source:0}))}),a.stderr.on("data",l=>{s.write(l).forEach(S=>r({line:S,source:1}))}),this.stdoutLineDecoder=n,this.stderrLineDecoder=s}handleClose(a,h,r,o){const i=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;i&&r({line:i,source:0});const n=this.stderrLineDecoder?this.stderrLineDecoder.end():null;n&&r({line:n,source:1})}}e.LineProcess=v;function p(m){let a=[],h=!1;const r=function(o){if(h){a.push(o);return}(!m.send(o,n=>{if(n&&console.error(n),h=!1,a.length>0){const s=a.slice(0);a=[],s.forEach(l=>r(l))}})||C.isWindows)&&(h=!0)};return{send:r}}e.createQueuedSender=p;var c;(function(m){async function a(h,r,o){if(y.isAbsolute(h))return h;if(r===void 0&&(r=E.cwd()),y.dirname(h)!=="."||(o===void 0&&R.isString(E.env.PATH)&&(o=E.env.PATH.split(y.delimiter)),o===void 0||o.length===0))return y.join(r,h);async function n(s){if(await _.Promises.exists(s)){let l;try{l=await _.Promises.stat(s)}catch(d){d.message.startsWith("EACCES")&&(l=await _.Promises.lstat(s))}return l?!l.isDirectory():!1}return!1}for(const s of o){let l;if(y.isAbsolute(s)?l=y.join(s,h):l=y.join(r,s,h),await n(l))return l;let d=l+".com";if(await n(d)||(d=l+".exe",await n(d)))return d}return y.join(r,h)}m.findExecutable=a})(c=e.win32||(e.win32={}))}),define(Ie[162],ke([19,20]),function(Q,e){return Q.create("vs/editor/common/config/editorOptions",e)}),define(Ie[115],ke([1,0,162,13,99,16,24,146]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.unicodeHighlightConfigKeys=e.inUntrustedWorkspace=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.clampedInt=e.boolean=e.ApplyUpdateResult=e.ComputeOptionsMemory=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var E;(function(Z){Z[Z.None=0]="None",Z[Z.Keep=1]="Keep",Z[Z.Brackets=2]="Brackets",Z[Z.Advanced=3]="Advanced",Z[Z.Full=4]="Full"})(E=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class I{constructor(re){this._values=re}hasChanged(re){return this._values[re]}}e.ConfigurationChangedEvent=I;class R{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=R;class k{constructor(re,ye,We,oe){this.id=re,this.name=ye,this.defaultValue=We,this.schema=oe}applyUpdate(re,ye){return P(re,ye)}compute(re,ye,We){return We}}class _{constructor(re,ye){this.newValue=re,this.didChange=ye}}e.ApplyUpdateResult=_;function P(Z,re){if(typeof Z!="object"||typeof re!="object"||!Z||!re)return new _(re,Z!==re);if(Array.isArray(Z)||Array.isArray(re)){const We=Array.isArray(Z)&&Array.isArray(re)&&T.equals(Z,re);return new _(re,We)}let ye=!1;for(const We in re)if(re.hasOwnProperty(We)){const oe=P(Z[We],re[We]);oe.didChange&&(Z[We]=oe.newValue,ye=!0)}return new _(Z,ye)}class w{constructor(re){this.schema=void 0,this.id=re,this.name="_never_",this.defaultValue=void 0}applyUpdate(re,ye){return P(re,ye)}validate(re){return this.defaultValue}}class b{constructor(re,ye,We,oe){this.id=re,this.name=ye,this.defaultValue=We,this.schema=oe}applyUpdate(re,ye){return P(re,ye)}validate(re){return typeof re=="undefined"?this.defaultValue:re}compute(re,ye,We){return We}}function g(Z,re){return typeof Z=="undefined"?re:Z==="false"?!1:Boolean(Z)}e.boolean=g;class f extends b{constructor(re,ye,We,oe=void 0){typeof oe!="undefined"&&(oe.type="boolean",oe.default=We);super(re,ye,We,oe)}validate(re){return g(re,this.defaultValue)}}function v(Z,re,ye,We){if(typeof Z=="undefined")return re;let oe=parseInt(Z,10);return isNaN(oe)?re:(oe=Math.max(ye,oe),oe=Math.min(We,oe),oe|0)}e.clampedInt=v;class p extends b{constructor(re,ye,We,oe,Re,Be=void 0){typeof Be!="undefined"&&(Be.type="integer",Be.default=We,Be.minimum=oe,Be.maximum=Re);super(re,ye,We,Be);this.minimum=oe,this.maximum=Re}static clampedInt(re,ye,We,oe){return v(re,ye,We,oe)}validate(re){return p.clampedInt(re,this.defaultValue,this.minimum,this.maximum)}}class c extends b{constructor(re,ye,We,oe,Re){typeof Re!="undefined"&&(Re.type="number",Re.default=We);super(re,ye,We,Re);this.validationFn=oe}static clamp(re,ye,We){return re<ye?ye:re>We?We:re}static float(re,ye){if(typeof re=="number")return re;if(typeof re=="undefined")return ye;const We=parseFloat(re);return isNaN(We)?ye:We}validate(re){return this.validationFn(c.float(re,this.defaultValue))}}class m extends b{static string(re,ye){return typeof re!="string"?ye:re}constructor(re,ye,We,oe=void 0){typeof oe!="undefined"&&(oe.type="string",oe.default=We);super(re,ye,We,oe)}validate(re){return m.string(re,this.defaultValue)}}function a(Z,re,ye){return typeof Z!="string"||ye.indexOf(Z)===-1?re:Z}e.stringSet=a;class h extends b{constructor(re,ye,We,oe,Re=void 0){typeof Re!="undefined"&&(Re.type="string",Re.enum=oe,Re.default=We);super(re,ye,We,Re);this._allowedValues=oe}validate(re){return a(re,this.defaultValue,this._allowedValues)}}class r extends k{constructor(re,ye,We,oe,Re,Be,qe=void 0){typeof qe!="undefined"&&(qe.type="string",qe.enum=Re,qe.default=oe);super(re,ye,We,qe);this._allowedValues=Re,this._convert=Be}validate(re){return typeof re!="string"?this.defaultValue:this._allowedValues.indexOf(re)===-1?this.defaultValue:this._convert(re)}}function o(Z){switch(Z){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class i extends k{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[u.localize(0,null),u.localize(1,null),u.localize(2,null)],default:"auto",description:u.localize(3,null)})}validate(re){switch(re){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(re,ye,We){return We===0?re.accessibilitySupport:We}}class n extends k{constructor(){const re={insertSpace:!0,ignoreEmptyLines:!0};super(19,"comments",re,{"editor.comments.insertSpace":{type:"boolean",default:re.insertSpace,description:u.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:re.ignoreEmptyLines,description:u.localize(5,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{insertSpace:g(ye.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:g(ye.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var s;(function(Z){Z[Z.Hidden=0]="Hidden",Z[Z.Blink=1]="Blink",Z[Z.Smooth=2]="Smooth",Z[Z.Phase=3]="Phase",Z[Z.Expand=4]="Expand",Z[Z.Solid=5]="Solid"})(s=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function l(Z){switch(Z){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var d;(function(Z){Z[Z.Line=1]="Line",Z[Z.Block=2]="Block",Z[Z.Underline=3]="Underline",Z[Z.LineThin=4]="LineThin",Z[Z.BlockOutline=5]="BlockOutline",Z[Z.UnderlineThin=6]="UnderlineThin"})(d=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function S(Z){switch(Z){case d.Line:return"line";case d.Block:return"block";case d.Underline:return"underline";case d.LineThin:return"line-thin";case d.BlockOutline:return"block-outline";case d.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=S;function L(Z){switch(Z){case"line":return d.Line;case"block":return d.Block;case"underline":return d.Underline;case"line-thin":return d.LineThin;case"block-outline":return d.BlockOutline;case"underline-thin":return d.UnderlineThin}}class F extends w{constructor(){super(129)}compute(re,ye,We){const oe=["monaco-editor"];return ye.get(34)&&oe.push(ye.get(34)),re.extraEditorClassName&&oe.push(re.extraEditorClassName),ye.get(67)==="default"?oe.push("mouse-default"):ye.get(67)==="copy"&&oe.push("mouse-copy"),ye.get(101)&&oe.push("showUnused"),ye.get(127)&&oe.push("showDeprecated"),oe.join(" ")}}class N extends f{constructor(){super(33,"emptySelectionClipboard",!0,{description:u.localize(6,null)})}compute(re,ye,We){return We&&re.emptySelectionClipboard}}class A extends k{constructor(){const re={cursorMoveOnType:!0,seedSearchStringFromSelection:"always",autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(36,"find",re,{"editor.find.cursorMoveOnType":{type:"boolean",default:re.cursorMoveOnType,description:u.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"string",enum:["never","always","selection"],default:re.seedSearchStringFromSelection,enumDescriptions:[u.localize(8,null),u.localize(9,null),u.localize(10,null)],description:u.localize(11,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:re.autoFindInSelection,enumDescriptions:[u.localize(12,null),u.localize(13,null),u.localize(14,null)],description:u.localize(15,null)},"editor.find.globalFindClipboard":{type:"boolean",default:re.globalFindClipboard,description:u.localize(16,null),included:t.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:re.addExtraSpaceOnTop,description:u.localize(17,null)},"editor.find.loop":{type:"boolean",default:re.loop,description:u.localize(18,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{cursorMoveOnType:g(ye.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:typeof re.seedSearchStringFromSelection=="boolean"?re.seedSearchStringFromSelection?"always":"never":a(ye.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection,["never","always","selection"]),autoFindInSelection:typeof re.autoFindInSelection=="boolean"?re.autoFindInSelection?"always":"never":a(ye.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:g(ye.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:g(ye.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:g(ye.loop,this.defaultValue.loop)}}}class $ extends k{constructor(){super(46,"fontLigatures",$.OFF,{anyOf:[{type:"boolean",description:u.localize(19,null)},{type:"string",description:u.localize(20,null)}],description:u.localize(21,null),default:!1})}validate(re){return typeof re=="undefined"?this.defaultValue:typeof re=="string"?re==="false"?$.OFF:re==="true"?$.ON:re:Boolean(re)?$.ON:$.OFF}}e.EditorFontLigatures=$,$.OFF='"liga" off, "calt" off',$.ON='"liga" on, "calt" on';class B extends w{constructor(){super(45)}compute(re,ye,We){return re.fontInfo}}class z extends b{constructor(){super(47,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:u.localize(22,null)})}validate(re){const ye=c.float(re,this.defaultValue);return ye===0?e.EDITOR_FONT_DEFAULTS.fontSize:c.clamp(ye,6,100)}compute(re,ye,We){return re.fontInfo.fontSize}}class X extends k{constructor(){super(48,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:X.MINIMUM_VALUE,maximum:X.MAXIMUM_VALUE,errorMessage:u.localize(23,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:X.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:u.localize(24,null)})}validate(re){return re==="normal"||re==="bold"?re:String(p.clampedInt(re,e.EDITOR_FONT_DEFAULTS.fontWeight,X.MINIMUM_VALUE,X.MAXIMUM_VALUE))}}X.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],X.MINIMUM_VALUE=1,X.MAXIMUM_VALUE=1e3;class M extends k{constructor(){const re={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},ye={type:"string",enum:["peek","gotoAndPeek","goto"],default:re.multiple,enumDescriptions:[u.localize(25,null),u.localize(26,null),u.localize(27,null)]},We=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(52,"gotoLocation",re,{"editor.gotoLocation.multiple":{deprecationMessage:u.localize(28,null)},"editor.gotoLocation.multipleDefinitions":{description:u.localize(29,null),...ye},"editor.gotoLocation.multipleTypeDefinitions":{description:u.localize(30,null),...ye},"editor.gotoLocation.multipleDeclarations":{description:u.localize(31,null),...ye},"editor.gotoLocation.multipleImplementations":{description:u.localize(32,null),...ye},"editor.gotoLocation.multipleReferences":{description:u.localize(33,null),...ye},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:re.alternativeDefinitionCommand,enum:We,description:u.localize(34,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:re.alternativeTypeDefinitionCommand,enum:We,description:u.localize(35,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:re.alternativeDeclarationCommand,enum:We,description:u.localize(36,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:re.alternativeImplementationCommand,enum:We,description:u.localize(37,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:re.alternativeReferenceCommand,enum:We,description:u.localize(38,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{multiple:a(ye.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:ye.multipleDefinitions??a(ye.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:ye.multipleTypeDefinitions??a(ye.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:ye.multipleDeclarations??a(ye.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:ye.multipleImplementations??a(ye.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:ye.multipleReferences??a(ye.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:m.string(ye.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:m.string(ye.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:m.string(ye.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:m.string(ye.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:m.string(ye.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class U extends k{constructor(){const re={enabled:!0,delay:300,sticky:!0,above:!0};super(54,"hover",re,{"editor.hover.enabled":{type:"boolean",default:re.enabled,description:u.localize(39,null)},"editor.hover.delay":{type:"number",default:re.delay,minimum:0,maximum:1e4,description:u.localize(40,null)},"editor.hover.sticky":{type:"boolean",default:re.sticky,description:u.localize(41,null)},"editor.hover.above":{type:"boolean",default:re.above,description:u.localize(42,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{enabled:g(ye.enabled,this.defaultValue.enabled),delay:p.clampedInt(ye.delay,this.defaultValue.delay,0,1e4),sticky:g(ye.sticky,this.defaultValue.sticky),above:g(ye.above,this.defaultValue.above)}}}var q;(function(Z){Z[Z.None=0]="None",Z[Z.Text=1]="Text",Z[Z.Blocks=2]="Blocks"})(q=e.RenderMinimap||(e.RenderMinimap={}));class x extends w{constructor(){super(132)}compute(re,ye,We){return x.computeLayout(ye,{memory:re.memory,outerWidth:re.outerWidth,outerHeight:re.outerHeight,isDominatedByLongLines:re.isDominatedByLongLines,lineHeight:re.fontInfo.lineHeight,viewLineCount:re.viewLineCount,lineNumbersDigitCount:re.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:re.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:re.fontInfo.maxDigitWidth,pixelRatio:re.pixelRatio})}static computeContainedMinimapLineCount(re){const ye=re.height/re.lineHeight,We=re.scrollBeyondLastLine?ye-1:0,oe=(re.viewLineCount+We)/(re.pixelRatio*re.height),Re=Math.floor(re.viewLineCount/oe);return{typicalViewportLineCount:ye,extraLinesBeyondLastLine:We,desiredRatio:oe,minimapLineCount:Re}}static _computeMinimapLayout(re,ye){const We=re.outerWidth,oe=re.outerHeight,Re=re.pixelRatio;if(!re.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(Re*oe),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:oe};const Be=ye.stableMinimapLayoutInput,qe=Be&&re.outerHeight===Be.outerHeight&&re.lineHeight===Be.lineHeight&&re.typicalHalfwidthCharacterWidth===Be.typicalHalfwidthCharacterWidth&&re.pixelRatio===Be.pixelRatio&&re.scrollBeyondLastLine===Be.scrollBeyondLastLine&&re.minimap.enabled===Be.minimap.enabled&&re.minimap.side===Be.minimap.side&&re.minimap.size===Be.minimap.size&&re.minimap.showSlider===Be.minimap.showSlider&&re.minimap.renderCharacters===Be.minimap.renderCharacters&&re.minimap.maxColumn===Be.minimap.maxColumn&&re.minimap.scale===Be.minimap.scale&&re.verticalScrollbarWidth===Be.verticalScrollbarWidth&&re.isViewportWrapping===Be.isViewportWrapping,je=re.lineHeight,Ve=re.typicalHalfwidthCharacterWidth,nt=re.scrollBeyondLastLine,ot=re.minimap.renderCharacters;let rt=Re>=2?Math.round(re.minimap.scale*2):re.minimap.scale;const Je=re.minimap.maxColumn,at=re.minimap.size,pt=re.minimap.side,Pt=re.verticalScrollbarWidth,St=re.viewLineCount,ft=re.remainingWidth,It=re.isViewportWrapping,bt=ot?2:3;let Ft=Math.floor(Re*oe);const Ke=Ft/Re;let Lt=!1,Bt=!1,Nt=bt*rt,mt=rt/Re,kt=1;if(at==="fill"||at==="fit"){const{typicalViewportLineCount:Ze,extraLinesBeyondLastLine:et,desiredRatio:Ye,minimapLineCount:vt}=x.computeContainedMinimapLineCount({viewLineCount:St,scrollBeyondLastLine:nt,height:oe,lineHeight:je,pixelRatio:Re});if(St/vt>1)Lt=!0,Bt=!0,rt=1,Nt=1,mt=rt/Re;else{let Ct=!1,wt=rt+1;if(at==="fit"){const dt=Math.ceil((St+et)*Nt);It&&qe&&ft<=ye.stableFitRemainingWidth?(Ct=!0,wt=ye.stableFitMaxMinimapScale):Ct=dt>Ft}if(at==="fill"||Ct){Lt=!0;const dt=rt;Nt=Math.min(je*Re,Math.max(1,Math.floor(1/Ye))),It&&qe&&ft<=ye.stableFitRemainingWidth&&(wt=ye.stableFitMaxMinimapScale),rt=Math.min(wt,Math.max(1,Math.floor(Nt/bt))),rt>dt&&(kt=Math.min(2,rt/dt)),mt=rt/Re/kt,Ft=Math.ceil(Math.max(Ze,St+et)*Nt),It?(ye.stableMinimapLayoutInput=re,ye.stableFitRemainingWidth=ft,ye.stableFitMaxMinimapScale=rt):(ye.stableMinimapLayoutInput=null,ye.stableFitRemainingWidth=0)}}}const Ae=Math.floor(Je*mt),Oe=Math.min(Ae,Math.max(0,Math.floor((ft-Pt-2)*mt/(Ve+mt)))+e.MINIMAP_GUTTER_WIDTH);let Se=Math.floor(Re*Oe);const te=Se/Re;Se=Math.floor(Se*kt);const Fe=ot?1:2,xe=pt==="left"?0:We-Oe-Pt;return{renderMinimap:Fe,minimapLeft:xe,minimapWidth:Oe,minimapHeightIsEditorHeight:Lt,minimapIsSampling:Bt,minimapScale:rt,minimapLineHeight:Nt,minimapCanvasInnerWidth:Se,minimapCanvasInnerHeight:Ft,minimapCanvasOuterWidth:te,minimapCanvasOuterHeight:Ke}}static computeLayout(re,ye){const We=ye.outerWidth|0,oe=ye.outerHeight|0,Re=ye.lineHeight|0,Be=ye.lineNumbersDigitCount|0,qe=ye.typicalHalfwidthCharacterWidth,je=ye.maxDigitWidth,Ve=ye.pixelRatio,nt=ye.viewLineCount,ot=re.get(124),rt=ot==="inherit"?re.get(123):ot,Je=rt==="inherit"?re.get(119):rt,at=re.get(122),pt=re.get(2),Pt=ye.isDominatedByLongLines,St=re.get(51),ft=re.get(61).renderType!==0,It=re.get(62),bt=re.get(95),Ft=re.get(66),Ke=re.get(93),Lt=Ke.verticalScrollbarSize,Bt=Ke.verticalHasArrows,Nt=Ke.arrowSize,mt=Ke.horizontalScrollbarSize,kt=re.get(59),Ae=re.get(38),Oe=re.get(100)!=="never";let Se;if(typeof kt=="string"&&/^\d+(\.\d+)?ch$/.test(kt)){const Gt=parseFloat(kt.substr(0,kt.length-2));Se=p.clampedInt(Gt*qe,0,0,1e3)}else Se=p.clampedInt(kt,0,0,1e3);Ae&&Oe&&(Se+=16);let te=0;if(ft){const Gt=Math.max(Be,It);te=Math.round(Gt*je)}let Fe=0;St&&(Fe=Re);let xe=0,Ze=xe+Fe,et=Ze+te,Ye=et+Se;const vt=We-Fe-te-Se;let yt=!1,Ct=!1,wt=-1;pt!==2&&(rt==="inherit"&&Pt?(yt=!0,Ct=!0):Je==="on"||Je==="bounded"?Ct=!0:Je==="wordWrapColumn"&&(wt=at));const dt=x._computeMinimapLayout({outerWidth:We,outerHeight:oe,lineHeight:Re,typicalHalfwidthCharacterWidth:qe,pixelRatio:Ve,scrollBeyondLastLine:bt,minimap:Ft,verticalScrollbarWidth:Lt,viewLineCount:nt,remainingWidth:vt,isViewportWrapping:Ct},ye.memory||new R);dt.renderMinimap!==0&&dt.minimapLeft===0&&(xe+=dt.minimapWidth,Ze+=dt.minimapWidth,et+=dt.minimapWidth,Ye+=dt.minimapWidth);const Kt=vt-dt.minimapWidth,Xt=Math.max(1,Math.floor((Kt-Lt-2)/qe)),Et=Bt?Nt:0;return Ct&&(wt=Math.max(1,Xt),Je==="bounded"&&(wt=Math.min(wt,at))),{width:We,height:oe,glyphMarginLeft:xe,glyphMarginWidth:Fe,lineNumbersLeft:Ze,lineNumbersWidth:te,decorationsLeft:et,decorationsWidth:Se,contentLeft:Ye,contentWidth:Kt,minimap:dt,viewportColumn:Xt,isWordWrapMinified:yt,isViewportWrapping:Ct,wrappingColumn:wt,verticalScrollbarWidth:Lt,horizontalScrollbarHeight:mt,overviewRuler:{top:Et,width:Lt,height:oe-2*Et,right:0}}}}e.EditorLayoutInfoComputer=x;class V extends k{constructor(){const re={enabled:!0};super(58,"lightbulb",re,{"editor.lightbulb.enabled":{type:"boolean",default:re.enabled,description:u.localize(43,null)}})}validate(re){return!re||typeof re!="object"?this.defaultValue:{enabled:g(re.enabled,this.defaultValue.enabled)}}}class ee extends k{constructor(){const re={enabled:"on",fontSize:0,fontFamily:"",padding:!1};super(128,"inlayHints",re,{"editor.inlayHints.enabled":{type:"string",default:re.enabled,description:u.localize(44,null),enum:["on","onUnlessPressed","offUnlessPressed","off"],markdownEnumDescriptions:[u.localize(45,null),u.localize(46,null),u.localize(47,null),u.localize(48,null)]},"editor.inlayHints.fontSize":{type:"number",default:re.fontSize,markdownDescription:u.localize(49,null,"`#editor.fontSize#`","`5`")},"editor.inlayHints.fontFamily":{type:"string",default:re.fontFamily,markdownDescription:u.localize(50,null,"`#editor.fontFamily#`")},"editor.inlayHints.padding":{type:"boolean",default:re.padding,description:u.localize(51,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return typeof ye.enabled=="boolean"&&(ye.enabled=ye.enabled?"on":"off"),{enabled:a(ye.enabled,this.defaultValue.enabled,["on","off","offUnlessPressed","onUnlessPressed"]),fontSize:p.clampedInt(ye.fontSize,this.defaultValue.fontSize,0,100),fontFamily:m.string(ye.fontFamily,this.defaultValue.fontFamily),padding:g(ye.padding,this.defaultValue.padding)}}}class Y extends c{constructor(){super(60,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,re=>c.clamp(re,0,150),{markdownDescription:u.localize(52,null)})}compute(re,ye,We){return re.fontInfo.lineHeight}}class le extends k{constructor(){const re={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",autohide:!1,renderCharacters:!0,maxColumn:120,scale:1};super(66,"minimap",re,{"editor.minimap.enabled":{type:"boolean",default:re.enabled,description:u.localize(53,null)},"editor.minimap.autohide":{type:"boolean",default:re.autohide,description:u.localize(54,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[u.localize(55,null),u.localize(56,null),u.localize(57,null)],default:re.size,description:u.localize(58,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:re.side,description:u.localize(59,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:re.showSlider,description:u.localize(60,null)},"editor.minimap.scale":{type:"number",default:re.scale,minimum:1,maximum:3,enum:[1,2,3],description:u.localize(61,null)},"editor.minimap.renderCharacters":{type:"boolean",default:re.renderCharacters,description:u.localize(62,null)},"editor.minimap.maxColumn":{type:"number",default:re.maxColumn,description:u.localize(63,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{enabled:g(ye.enabled,this.defaultValue.enabled),autohide:g(ye.autohide,this.defaultValue.autohide),size:a(ye.size,this.defaultValue.size,["proportional","fill","fit"]),side:a(ye.side,this.defaultValue.side,["right","left"]),showSlider:a(ye.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:g(ye.renderCharacters,this.defaultValue.renderCharacters),scale:p.clampedInt(ye.scale,1,1,3),maxColumn:p.clampedInt(ye.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function ve(Z){return Z==="ctrlCmd"?t.isMacintosh?"metaKey":"ctrlKey":"altKey"}class J extends k{constructor(){super(76,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:u.localize(64,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:u.localize(65,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{top:p.clampedInt(ye.top,0,0,1e3),bottom:p.clampedInt(ye.bottom,0,0,1e3)}}}class ge extends k{constructor(){const re={enabled:!0,cycle:!1};super(77,"parameterHints",re,{"editor.parameterHints.enabled":{type:"boolean",default:re.enabled,description:u.localize(66,null)},"editor.parameterHints.cycle":{type:"boolean",default:re.cycle,description:u.localize(67,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{enabled:g(ye.enabled,this.defaultValue.enabled),cycle:g(ye.cycle,this.defaultValue.cycle)}}}class _e extends w{constructor(){super(130)}compute(re,ye,We){return re.pixelRatio}}class Te extends k{constructor(){const re={other:"on",comments:"off",strings:"off"},ye=[{type:"boolean"},{type:"string",enum:["on","inline","off"],enumDescriptions:[u.localize(68,null),u.localize(69,null),u.localize(70,null)]}];super(80,"quickSuggestions",re,{type:"object",additionalProperties:!1,properties:{strings:{anyOf:ye,default:re.strings,description:u.localize(71,null)},comments:{anyOf:ye,default:re.comments,description:u.localize(72,null)},other:{anyOf:ye,default:re.other,description:u.localize(73,null)}},default:re,markdownDescription:u.localize(74,null)});this.defaultValue=re}validate(re){if(typeof re=="boolean"){const Ve=re?"on":"off";return{comments:Ve,strings:Ve,other:Ve}}if(!re||typeof re!="object")return this.defaultValue;const{other:ye,comments:We,strings:oe}=re,Re=["on","inline","off"];let Be,qe,je;return typeof ye=="boolean"?Be=ye?"on":"off":Be=a(ye,this.defaultValue.other,Re),typeof We=="boolean"?qe=We?"on":"off":qe=a(We,this.defaultValue.comments,Re),typeof oe=="boolean"?je=oe?"on":"off":je=a(oe,this.defaultValue.strings,Re),{other:Be,comments:qe,strings:je}}}var me;(function(Z){Z[Z.Off=0]="Off",Z[Z.On=1]="On",Z[Z.Relative=2]="Relative",Z[Z.Interval=3]="Interval",Z[Z.Custom=4]="Custom"})(me=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class Pe extends k{constructor(){super(61,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[u.localize(75,null),u.localize(76,null),u.localize(77,null),u.localize(78,null)],default:"on",description:u.localize(79,null)})}validate(re){let ye=this.defaultValue.renderType,We=this.defaultValue.renderFn;return typeof re!="undefined"&&(typeof re=="function"?(ye=4,We=re):re==="interval"?ye=3:re==="relative"?ye=2:re==="on"?ye=1:ye=0),{renderType:ye,renderFn:We}}}function ue(Z){const re=Z.get(88);return re==="editable"?Z.get(82):re!=="on"}e.filterValidationDecorations=ue;class pe extends k{constructor(){const re=[],ye={type:"number",description:u.localize(80,null)};super(92,"rulers",re,{type:"array",items:{anyOf:[ye,{type:["object"],properties:{column:ye,color:{type:"string",description:u.localize(81,null),format:"color-hex"}}}]},default:re,description:u.localize(82,null)})}validate(re){if(Array.isArray(re)){const ye=[];for(const We of re)if(typeof We=="number")ye.push({column:p.clampedInt(We,0,0,1e4),color:null});else if(We&&typeof We=="object"){const oe=We;ye.push({column:p.clampedInt(oe.column,0,0,1e4),color:oe.color})}return ye.sort((We,oe)=>We.column-oe.column),ye}return this.defaultValue}}function be(Z,re){if(typeof Z!="string")return re;switch(Z){case"hidden":return 2;case"visible":return 3;default:return 1}}class ae extends k{constructor(){const re={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1};super(93,"scrollbar",re,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[u.localize(83,null),u.localize(84,null),u.localize(85,null)],default:"auto",description:u.localize(86,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[u.localize(87,null),u.localize(88,null),u.localize(89,null)],default:"auto",description:u.localize(90,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:re.verticalScrollbarSize,description:u.localize(91,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:re.horizontalScrollbarSize,description:u.localize(92,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:re.scrollByPage,description:u.localize(93,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re,We=p.clampedInt(ye.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),oe=p.clampedInt(ye.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:p.clampedInt(ye.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:be(ye.vertical,this.defaultValue.vertical),horizontal:be(ye.horizontal,this.defaultValue.horizontal),useShadows:g(ye.useShadows,this.defaultValue.useShadows),verticalHasArrows:g(ye.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:g(ye.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:g(ye.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:g(ye.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:We,horizontalSliderSize:p.clampedInt(ye.horizontalSliderSize,We,0,1e3),verticalScrollbarSize:oe,verticalSliderSize:p.clampedInt(ye.verticalSliderSize,oe,0,1e3),scrollByPage:g(ye.scrollByPage,this.defaultValue.scrollByPage)}}}e.inUntrustedWorkspace="inUntrustedWorkspace",e.unicodeHighlightConfigKeys={allowedCharacters:"editor.unicodeHighlight.allowedCharacters",invisibleCharacters:"editor.unicodeHighlight.invisibleCharacters",nonBasicASCII:"editor.unicodeHighlight.nonBasicASCII",ambiguousCharacters:"editor.unicodeHighlight.ambiguousCharacters",includeComments:"editor.unicodeHighlight.includeComments",includeStrings:"editor.unicodeHighlight.includeStrings",allowedLocales:"editor.unicodeHighlight.allowedLocales"};class fe extends k{constructor(){const re={nonBasicASCII:e.inUntrustedWorkspace,invisibleCharacters:!0,ambiguousCharacters:!0,includeComments:e.inUntrustedWorkspace,includeStrings:!0,allowedCharacters:{},allowedLocales:{_os:!0,_vscode:!0}};super(114,"unicodeHighlight",re,{[e.unicodeHighlightConfigKeys.nonBasicASCII]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:re.nonBasicASCII,description:u.localize(94,null)},[e.unicodeHighlightConfigKeys.invisibleCharacters]:{restricted:!0,type:"boolean",default:re.invisibleCharacters,description:u.localize(95,null)},[e.unicodeHighlightConfigKeys.ambiguousCharacters]:{restricted:!0,type:"boolean",default:re.ambiguousCharacters,description:u.localize(96,null)},[e.unicodeHighlightConfigKeys.includeComments]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:re.includeComments,description:u.localize(97,null)},[e.unicodeHighlightConfigKeys.includeStrings]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:re.includeStrings,description:u.localize(98,null)},[e.unicodeHighlightConfigKeys.allowedCharacters]:{restricted:!0,type:"object",default:re.allowedCharacters,description:u.localize(99,null),additionalProperties:{type:"boolean"}},[e.unicodeHighlightConfigKeys.allowedLocales]:{restricted:!0,type:"object",additionalProperties:{type:"boolean"},default:re.allowedLocales,description:u.localize(100,null)}})}applyUpdate(re,ye){let We=!1;ye.allowedCharacters&&re&&(y.equals(re.allowedCharacters,ye.allowedCharacters)||(re={...re,allowedCharacters:ye.allowedCharacters},We=!0)),ye.allowedLocales&&re&&(y.equals(re.allowedLocales,ye.allowedLocales)||(re={...re,allowedLocales:ye.allowedLocales},We=!0));const oe=super.applyUpdate(re,ye);return We?new _(oe.newValue,!0):oe}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{nonBasicASCII:H(ye.nonBasicASCII,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),invisibleCharacters:g(ye.invisibleCharacters,this.defaultValue.invisibleCharacters),ambiguousCharacters:g(ye.ambiguousCharacters,this.defaultValue.ambiguousCharacters),includeComments:H(ye.includeComments,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),includeStrings:H(ye.includeStrings,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),allowedCharacters:this.validateBooleanMap(re.allowedCharacters,this.defaultValue.allowedCharacters),allowedLocales:this.validateBooleanMap(re.allowedLocales,this.defaultValue.allowedLocales)}}validateBooleanMap(re,ye){if(typeof re!="object"||!re)return ye;const We={};for(const[oe,Re]of Object.entries(re))Re===!0&&(We[oe]=!0);return We}}class ne extends k{constructor(){const re={enabled:!0,mode:"subwordSmart"};super(56,"inlineSuggest",re,{"editor.inlineSuggest.enabled":{type:"boolean",default:re.enabled,description:u.localize(101,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{enabled:g(ye.enabled,this.defaultValue.enabled),mode:a(ye.mode,this.defaultValue.mode,["prefix","subword","subwordSmart"])}}}class ie extends k{constructor(){const re={enabled:C.EDITOR_MODEL_DEFAULTS.bracketPairColorizationOptions.enabled,independentColorPoolPerBracketType:C.EDITOR_MODEL_DEFAULTS.bracketPairColorizationOptions.independentColorPoolPerBracketType};super(12,"bracketPairColorization",re,{"editor.bracketPairColorization.enabled":{type:"boolean",default:re.enabled,markdownDescription:u.localize(102,null,"`#workbench.colorCustomizations#`")},"editor.bracketPairColorization.independentColorPoolPerBracketType":{type:"boolean",default:re.independentColorPoolPerBracketType,description:u.localize(103,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{enabled:g(ye.enabled,this.defaultValue.enabled),independentColorPoolPerBracketType:g(ye.independentColorPoolPerBracketType,this.defaultValue.independentColorPoolPerBracketType)}}}class O extends k{constructor(){const re={bracketPairs:!1,bracketPairsHorizontal:"active",highlightActiveBracketPair:!0,indentation:!0,highlightActiveIndentation:!0};super(13,"guides",re,{"editor.guides.bracketPairs":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[u.localize(104,null),u.localize(105,null),u.localize(106,null)],default:re.bracketPairs,description:u.localize(107,null)},"editor.guides.bracketPairsHorizontal":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[u.localize(108,null),u.localize(109,null),u.localize(110,null)],default:re.bracketPairsHorizontal,description:u.localize(111,null)},"editor.guides.highlightActiveBracketPair":{type:"boolean",default:re.highlightActiveBracketPair,description:u.localize(112,null)},"editor.guides.indentation":{type:"boolean",default:re.indentation,description:u.localize(113,null)},"editor.guides.highlightActiveIndentation":{type:["boolean","string"],enum:[!0,"always",!1],enumDescriptions:[u.localize(114,null),u.localize(115,null),u.localize(116,null)],default:re.highlightActiveIndentation,description:u.localize(117,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{bracketPairs:H(ye.bracketPairs,this.defaultValue.bracketPairs,[!0,!1,"active"]),bracketPairsHorizontal:H(ye.bracketPairsHorizontal,this.defaultValue.bracketPairsHorizontal,[!0,!1,"active"]),highlightActiveBracketPair:g(ye.highlightActiveBracketPair,this.defaultValue.highlightActiveBracketPair),indentation:g(ye.indentation,this.defaultValue.indentation),highlightActiveIndentation:H(ye.highlightActiveIndentation,this.defaultValue.highlightActiveIndentation,[!0,!1,"always"])}}}function H(Z,re,ye){const We=ye.indexOf(Z);return We===-1?re:ye[We]}class G extends k{constructor(){const re={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"subwordSmart",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(107,"suggest",re,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[u.localize(118,null),u.localize(119,null)],default:re.insertMode,description:u.localize(120,null)},"editor.suggest.filterGraceful":{type:"boolean",default:re.filterGraceful,description:u.localize(121,null)},"editor.suggest.localityBonus":{type:"boolean",default:re.localityBonus,description:u.localize(122,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:re.shareSuggestSelections,markdownDescription:u.localize(123,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:re.snippetsPreventQuickSuggestions,description:u.localize(124,null)},"editor.suggest.showIcons":{type:"boolean",default:re.showIcons,description:u.localize(125,null)},"editor.suggest.showStatusBar":{type:"boolean",default:re.showStatusBar,description:u.localize(126,null)},"editor.suggest.preview":{type:"boolean",default:re.preview,description:u.localize(127,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:re.showInlineDetails,description:u.localize(128,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:u.localize(129,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:u.localize(130,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:u.localize(131,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:u.localize(132,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:u.localize(133,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:u.localize(134,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:u.localize(135,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:u.localize(136,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:u.localize(137,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:u.localize(138,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:u.localize(139,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:u.localize(140,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:u.localize(141,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:u.localize(142,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:u.localize(143,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:u.localize(144,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:u.localize(145,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:u.localize(146,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:u.localize(147,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:u.localize(148,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:u.localize(149,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:u.localize(150,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:u.localize(151,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:u.localize(152,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:u.localize(153,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:u.localize(154,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:u.localize(155,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:u.localize(156,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:u.localize(157,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:u.localize(158,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:u.localize(159,null)}})}validate(re){if(!re||typeof re!="object")return this.defaultValue;const ye=re;return{insertMode:a(ye.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:g(ye.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:g(ye.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:g(ye.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:g(ye.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:g(ye.showIcons,this.defaultValue.showIcons),showStatusBar:g(ye.showStatusBar,this.defaultValue.showStatusBar),preview:g(ye.preview,this.defaultValue.preview),previewMode:a(ye.previewMode,this.defaultValue.previewMode,["prefix","subword","subwordSmart"]),showInlineDetails:g(ye.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:g(ye.showMethods,this.defaultValue.showMethods),showFunctions:g(ye.showFunctions,this.defaultValue.showFunctions),showConstructors:g(ye.showConstructors,this.defaultValue.showConstructors),showDeprecated:g(ye.showDeprecated,this.defaultValue.showDeprecated),showFields:g(ye.showFields,this.defaultValue.showFields),showVariables:g(ye.showVariables,this.defaultValue.showVariables),showClasses:g(ye.showClasses,this.defaultValue.showClasses),showStructs:g(ye.showStructs,this.defaultValue.showStructs),showInterfaces:g(ye.showInterfaces,this.defaultValue.showInterfaces),showModules:g(ye.showModules,this.defaultValue.showModules),showProperties:g(ye.showProperties,this.defaultValue.showProperties),showEvents:g(ye.showEvents,this.defaultValue.showEvents),showOperators:g(ye.showOperators,this.defaultValue.showOperators),showUnits:g(ye.showUnits,this.defaultValue.showUnits),showValues:g(ye.showValues,this.defaultValue.showValues),showConstants:g(ye.showConstants,this.defaultValue.showConstants),showEnums:g(ye.showEnums,this.defaultValue.showEnums),showEnumMembers:g(ye.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:g(ye.showKeywords,this.defaultValue.showKeywords),showWords:g(ye.showWords,this.defaultValue.showWords),showColors:g(ye.showColors,this.defaultValue.showColors),showFiles:g(ye.showFiles,this.defaultValue.showFiles),showReferences:g(ye.showReferences,this.defaultValue.showReferences),showFolders:g(ye.showFolders,this.defaultValue.showFolders),showTypeParameters:g(ye.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:g(ye.showSnippets,this.defaultValue.showSnippets),showUsers:g(ye.showUsers,this.defaultValue.showUsers),showIssues:g(ye.showIssues,this.defaultValue.showIssues)}}}class K extends k{constructor(){super(103,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:u.localize(160,null),default:!0,type:"boolean"}})}validate(re){return!re||typeof re!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:g(re.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class de extends w{constructor(){super(131)}compute(re,ye,We){return ye.get(82)?!0:re.tabFocusMode}}var we;(function(Z){Z[Z.None=0]="None",Z[Z.Same=1]="Same",Z[Z.Indent=2]="Indent",Z[Z.DeepIndent=3]="DeepIndent"})(we=e.WrappingIndent||(e.WrappingIndent={}));function se(Z){switch(Z){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class De extends w{constructor(){super(133)}compute(re,ye,We){const oe=ye.get(132);return{isDominatedByLongLines:re.isDominatedByLongLines,isWordWrapMinified:oe.isWordWrapMinified,isViewportWrapping:oe.isViewportWrapping,wrappingColumn:oe.wrappingColumn}}}const Ce="Consolas, 'Courier New', monospace",ze="Menlo, Monaco, 'Courier New', monospace",Ge="'Droid Sans Mono', 'monospace', monospace";e.EDITOR_FONT_DEFAULTS={fontFamily:t.isMacintosh?ze:t.isLinux?Ge:Ce,fontWeight:"normal",fontSize:t.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.editorOptionsRegistry=[];function Ne(Z){return e.editorOptionsRegistry[Z.id]=Z,Z}var Qe;(function(Z){Z[Z.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",Z[Z.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",Z[Z.accessibilitySupport=2]="accessibilitySupport",Z[Z.accessibilityPageSize=3]="accessibilityPageSize",Z[Z.ariaLabel=4]="ariaLabel",Z[Z.autoClosingBrackets=5]="autoClosingBrackets",Z[Z.autoClosingDelete=6]="autoClosingDelete",Z[Z.autoClosingOvertype=7]="autoClosingOvertype",Z[Z.autoClosingQuotes=8]="autoClosingQuotes",Z[Z.autoIndent=9]="autoIndent",Z[Z.automaticLayout=10]="automaticLayout",Z[Z.autoSurround=11]="autoSurround",Z[Z.bracketPairColorization=12]="bracketPairColorization",Z[Z.guides=13]="guides",Z[Z.codeLens=14]="codeLens",Z[Z.codeLensFontFamily=15]="codeLensFontFamily",Z[Z.codeLensFontSize=16]="codeLensFontSize",Z[Z.colorDecorators=17]="colorDecorators",Z[Z.columnSelection=18]="columnSelection",Z[Z.comments=19]="comments",Z[Z.contextmenu=20]="contextmenu",Z[Z.copyWithSyntaxHighlighting=21]="copyWithSyntaxHighlighting",Z[Z.cursorBlinking=22]="cursorBlinking",Z[Z.cursorSmoothCaretAnimation=23]="cursorSmoothCaretAnimation",Z[Z.cursorStyle=24]="cursorStyle",Z[Z.cursorSurroundingLines=25]="cursorSurroundingLines",Z[Z.cursorSurroundingLinesStyle=26]="cursorSurroundingLinesStyle",Z[Z.cursorWidth=27]="cursorWidth",Z[Z.disableLayerHinting=28]="disableLayerHinting",Z[Z.disableMonospaceOptimizations=29]="disableMonospaceOptimizations",Z[Z.domReadOnly=30]="domReadOnly",Z[Z.dragAndDrop=31]="dragAndDrop",Z[Z.enableDropIntoEditor=32]="enableDropIntoEditor",Z[Z.emptySelectionClipboard=33]="emptySelectionClipboard",Z[Z.extraEditorClassName=34]="extraEditorClassName",Z[Z.fastScrollSensitivity=35]="fastScrollSensitivity",Z[Z.find=36]="find",Z[Z.fixedOverflowWidgets=37]="fixedOverflowWidgets",Z[Z.folding=38]="folding",Z[Z.foldingStrategy=39]="foldingStrategy",Z[Z.foldingHighlight=40]="foldingHighlight",Z[Z.foldingImportsByDefault=41]="foldingImportsByDefault",Z[Z.foldingMaximumRegions=42]="foldingMaximumRegions",Z[Z.unfoldOnClickAfterEndOfLine=43]="unfoldOnClickAfterEndOfLine",Z[Z.fontFamily=44]="fontFamily",Z[Z.fontInfo=45]="fontInfo",Z[Z.fontLigatures=46]="fontLigatures",Z[Z.fontSize=47]="fontSize",Z[Z.fontWeight=48]="fontWeight",Z[Z.formatOnPaste=49]="formatOnPaste",Z[Z.formatOnType=50]="formatOnType",Z[Z.glyphMargin=51]="glyphMargin",Z[Z.gotoLocation=52]="gotoLocation",Z[Z.hideCursorInOverviewRuler=53]="hideCursorInOverviewRuler",Z[Z.hover=54]="hover",Z[Z.inDiffEditor=55]="inDiffEditor",Z[Z.inlineSuggest=56]="inlineSuggest",Z[Z.letterSpacing=57]="letterSpacing",Z[Z.lightbulb=58]="lightbulb",Z[Z.lineDecorationsWidth=59]="lineDecorationsWidth",Z[Z.lineHeight=60]="lineHeight",Z[Z.lineNumbers=61]="lineNumbers",Z[Z.lineNumbersMinChars=62]="lineNumbersMinChars",Z[Z.linkedEditing=63]="linkedEditing",Z[Z.links=64]="links",Z[Z.matchBrackets=65]="matchBrackets",Z[Z.minimap=66]="minimap",Z[Z.mouseStyle=67]="mouseStyle",Z[Z.mouseWheelScrollSensitivity=68]="mouseWheelScrollSensitivity",Z[Z.mouseWheelZoom=69]="mouseWheelZoom",Z[Z.multiCursorMergeOverlapping=70]="multiCursorMergeOverlapping",Z[Z.multiCursorModifier=71]="multiCursorModifier",Z[Z.multiCursorPaste=72]="multiCursorPaste",Z[Z.occurrencesHighlight=73]="occurrencesHighlight",Z[Z.overviewRulerBorder=74]="overviewRulerBorder",Z[Z.overviewRulerLanes=75]="overviewRulerLanes",Z[Z.padding=76]="padding",Z[Z.parameterHints=77]="parameterHints",Z[Z.peekWidgetDefaultFocus=78]="peekWidgetDefaultFocus",Z[Z.definitionLinkOpensInPeek=79]="definitionLinkOpensInPeek",Z[Z.quickSuggestions=80]="quickSuggestions",Z[Z.quickSuggestionsDelay=81]="quickSuggestionsDelay",Z[Z.readOnly=82]="readOnly",Z[Z.renameOnType=83]="renameOnType",Z[Z.renderControlCharacters=84]="renderControlCharacters",Z[Z.renderFinalNewline=85]="renderFinalNewline",Z[Z.renderLineHighlight=86]="renderLineHighlight",Z[Z.renderLineHighlightOnlyWhenFocus=87]="renderLineHighlightOnlyWhenFocus",Z[Z.renderValidationDecorations=88]="renderValidationDecorations",Z[Z.renderWhitespace=89]="renderWhitespace",Z[Z.revealHorizontalRightPadding=90]="revealHorizontalRightPadding",Z[Z.roundedSelection=91]="roundedSelection",Z[Z.rulers=92]="rulers",Z[Z.scrollbar=93]="scrollbar",Z[Z.scrollBeyondLastColumn=94]="scrollBeyondLastColumn",Z[Z.scrollBeyondLastLine=95]="scrollBeyondLastLine",Z[Z.scrollPredominantAxis=96]="scrollPredominantAxis",Z[Z.selectionClipboard=97]="selectionClipboard",Z[Z.selectionHighlight=98]="selectionHighlight",Z[Z.selectOnLineNumbers=99]="selectOnLineNumbers",Z[Z.showFoldingControls=100]="showFoldingControls",Z[Z.showUnused=101]="showUnused",Z[Z.snippetSuggestions=102]="snippetSuggestions",Z[Z.smartSelect=103]="smartSelect",Z[Z.smoothScrolling=104]="smoothScrolling",Z[Z.stickyTabStops=105]="stickyTabStops",Z[Z.stopRenderingLineAfter=106]="stopRenderingLineAfter",Z[Z.suggest=107]="suggest",Z[Z.suggestFontSize=108]="suggestFontSize",Z[Z.suggestLineHeight=109]="suggestLineHeight",Z[Z.suggestOnTriggerCharacters=110]="suggestOnTriggerCharacters",Z[Z.suggestSelection=111]="suggestSelection",Z[Z.tabCompletion=112]="tabCompletion",Z[Z.tabIndex=113]="tabIndex",Z[Z.unicodeHighlighting=114]="unicodeHighlighting",Z[Z.unusualLineTerminators=115]="unusualLineTerminators",Z[Z.useShadowDOM=116]="useShadowDOM",Z[Z.useTabStops=117]="useTabStops",Z[Z.wordSeparators=118]="wordSeparators",Z[Z.wordWrap=119]="wordWrap",Z[Z.wordWrapBreakAfterCharacters=120]="wordWrapBreakAfterCharacters",Z[Z.wordWrapBreakBeforeCharacters=121]="wordWrapBreakBeforeCharacters",Z[Z.wordWrapColumn=122]="wordWrapColumn",Z[Z.wordWrapOverride1=123]="wordWrapOverride1",Z[Z.wordWrapOverride2=124]="wordWrapOverride2",Z[Z.wrappingIndent=125]="wrappingIndent",Z[Z.wrappingStrategy=126]="wrappingStrategy",Z[Z.showDeprecated=127]="showDeprecated",Z[Z.inlayHints=128]="inlayHints",Z[Z.editorClassName=129]="editorClassName",Z[Z.pixelRatio=130]="pixelRatio",Z[Z.tabFocusMode=131]="tabFocusMode",Z[Z.layoutInfo=132]="layoutInfo",Z[Z.wrappingInfo=133]="wrappingInfo"})(Qe=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:Ne(new f(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:u.localize(161,null)})),acceptSuggestionOnEnter:Ne(new h(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",u.localize(162,null),""],markdownDescription:u.localize(163,null)})),accessibilitySupport:Ne(new i),accessibilityPageSize:Ne(new p(3,"accessibilityPageSize",10,1,1073741824,{description:u.localize(164,null)})),ariaLabel:Ne(new m(4,"ariaLabel",u.localize(165,null))),autoClosingBrackets:Ne(new h(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",u.localize(166,null),u.localize(167,null),""],description:u.localize(168,null)})),autoClosingDelete:Ne(new h(6,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",u.localize(169,null),""],description:u.localize(170,null)})),autoClosingOvertype:Ne(new h(7,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",u.localize(171,null),""],description:u.localize(172,null)})),autoClosingQuotes:Ne(new h(8,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",u.localize(173,null),u.localize(174,null),""],description:u.localize(175,null)})),autoIndent:Ne(new r(9,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],o,{enumDescriptions:[u.localize(176,null),u.localize(177,null),u.localize(178,null),u.localize(179,null),u.localize(180,null)],description:u.localize(181,null)})),automaticLayout:Ne(new f(10,"automaticLayout",!1)),autoSurround:Ne(new h(11,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[u.localize(182,null),u.localize(183,null),u.localize(184,null),""],description:u.localize(185,null)})),bracketPairColorization:Ne(new ie),bracketPairGuides:Ne(new O),stickyTabStops:Ne(new f(105,"stickyTabStops",!1,{description:u.localize(186,null)})),codeLens:Ne(new f(14,"codeLens",!0,{description:u.localize(187,null)})),codeLensFontFamily:Ne(new m(15,"codeLensFontFamily","",{description:u.localize(188,null)})),codeLensFontSize:Ne(new p(16,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:u.localize(189,null)})),colorDecorators:Ne(new f(17,"colorDecorators",!0,{description:u.localize(190,null)})),columnSelection:Ne(new f(18,"columnSelection",!1,{description:u.localize(191,null)})),comments:Ne(new n),contextmenu:Ne(new f(20,"contextmenu",!0)),copyWithSyntaxHighlighting:Ne(new f(21,"copyWithSyntaxHighlighting",!0,{description:u.localize(192,null)})),cursorBlinking:Ne(new r(22,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],l,{description:u.localize(193,null)})),cursorSmoothCaretAnimation:Ne(new f(23,"cursorSmoothCaretAnimation",!1,{description:u.localize(194,null)})),cursorStyle:Ne(new r(24,"cursorStyle",d.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],L,{description:u.localize(195,null)})),cursorSurroundingLines:Ne(new p(25,"cursorSurroundingLines",0,0,1073741824,{description:u.localize(196,null)})),cursorSurroundingLinesStyle:Ne(new h(26,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[u.localize(197,null),u.localize(198,null)],description:u.localize(199,null)})),cursorWidth:Ne(new p(27,"cursorWidth",0,0,1073741824,{markdownDescription:u.localize(200,null)})),disableLayerHinting:Ne(new f(28,"disableLayerHinting",!1)),disableMonospaceOptimizations:Ne(new f(29,"disableMonospaceOptimizations",!1)),domReadOnly:Ne(new f(30,"domReadOnly",!1)),dragAndDrop:Ne(new f(31,"dragAndDrop",!0,{description:u.localize(201,null)})),emptySelectionClipboard:Ne(new N),enableDropIntoEditor:Ne(new f(32,"enableDropIntoEditor",!0)),extraEditorClassName:Ne(new m(34,"extraEditorClassName","")),fastScrollSensitivity:Ne(new c(35,"fastScrollSensitivity",5,Z=>Z<=0?5:Z,{markdownDescription:u.localize(202,null)})),find:Ne(new A),fixedOverflowWidgets:Ne(new f(37,"fixedOverflowWidgets",!1)),folding:Ne(new f(38,"folding",!0,{description:u.localize(203,null)})),foldingStrategy:Ne(new h(39,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[u.localize(204,null),u.localize(205,null)],description:u.localize(206,null)})),foldingHighlight:Ne(new f(40,"foldingHighlight",!0,{description:u.localize(207,null)})),foldingImportsByDefault:Ne(new f(41,"foldingImportsByDefault",!1,{description:u.localize(208,null)})),foldingMaximumRegions:Ne(new p(42,"foldingMaximumRegions",5e3,10,65e3,{description:u.localize(209,null)})),unfoldOnClickAfterEndOfLine:Ne(new f(43,"unfoldOnClickAfterEndOfLine",!1,{description:u.localize(210,null)})),fontFamily:Ne(new m(44,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:u.localize(211,null)})),fontInfo:Ne(new B),fontLigatures2:Ne(new $),fontSize:Ne(new z),fontWeight:Ne(new X),formatOnPaste:Ne(new f(49,"formatOnPaste",!1,{description:u.localize(212,null)})),formatOnType:Ne(new f(50,"formatOnType",!1,{description:u.localize(213,null)})),glyphMargin:Ne(new f(51,"glyphMargin",!0,{description:u.localize(214,null)})),gotoLocation:Ne(new M),hideCursorInOverviewRuler:Ne(new f(53,"hideCursorInOverviewRuler",!1,{description:u.localize(215,null)})),hover:Ne(new U),inDiffEditor:Ne(new f(55,"inDiffEditor",!1)),letterSpacing:Ne(new c(57,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,Z=>c.clamp(Z,-5,20),{description:u.localize(216,null)})),lightbulb:Ne(new V),lineDecorationsWidth:Ne(new b(59,"lineDecorationsWidth",10)),lineHeight:Ne(new Y),lineNumbers:Ne(new Pe),lineNumbersMinChars:Ne(new p(62,"lineNumbersMinChars",5,1,300)),linkedEditing:Ne(new f(63,"linkedEditing",!1,{description:u.localize(217,null)})),links:Ne(new f(64,"links",!0,{description:u.localize(218,null)})),matchBrackets:Ne(new h(65,"matchBrackets","always",["always","near","never"],{description:u.localize(219,null)})),minimap:Ne(new le),mouseStyle:Ne(new h(67,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:Ne(new c(68,"mouseWheelScrollSensitivity",1,Z=>Z===0?1:Z,{markdownDescription:u.localize(220,null)})),mouseWheelZoom:Ne(new f(69,"mouseWheelZoom",!1,{markdownDescription:u.localize(221,null)})),multiCursorMergeOverlapping:Ne(new f(70,"multiCursorMergeOverlapping",!0,{description:u.localize(222,null)})),multiCursorModifier:Ne(new r(71,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],ve,{markdownEnumDescriptions:[u.localize(223,null),u.localize(224,null)],markdownDescription:u.localize(225,null)})),multiCursorPaste:Ne(new h(72,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[u.localize(226,null),u.localize(227,null)],markdownDescription:u.localize(228,null)})),occurrencesHighlight:Ne(new f(73,"occurrencesHighlight",!0,{description:u.localize(229,null)})),overviewRulerBorder:Ne(new f(74,"overviewRulerBorder",!0,{description:u.localize(230,null)})),overviewRulerLanes:Ne(new p(75,"overviewRulerLanes",3,0,3)),padding:Ne(new J),parameterHints:Ne(new ge),peekWidgetDefaultFocus:Ne(new h(78,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[u.localize(231,null),u.localize(232,null)],description:u.localize(233,null)})),definitionLinkOpensInPeek:Ne(new f(79,"definitionLinkOpensInPeek",!1,{description:u.localize(234,null)})),quickSuggestions:Ne(new Te),quickSuggestionsDelay:Ne(new p(81,"quickSuggestionsDelay",10,0,1073741824,{description:u.localize(235,null)})),readOnly:Ne(new f(82,"readOnly",!1)),renameOnType:Ne(new f(83,"renameOnType",!1,{description:u.localize(236,null),markdownDeprecationMessage:u.localize(237,null)})),renderControlCharacters:Ne(new f(84,"renderControlCharacters",!0,{description:u.localize(238,null),restricted:!0})),renderFinalNewline:Ne(new f(85,"renderFinalNewline",!0,{description:u.localize(239,null)})),renderLineHighlight:Ne(new h(86,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",u.localize(240,null)],description:u.localize(241,null)})),renderLineHighlightOnlyWhenFocus:Ne(new f(87,"renderLineHighlightOnlyWhenFocus",!1,{description:u.localize(242,null)})),renderValidationDecorations:Ne(new h(88,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:Ne(new h(89,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",u.localize(243,null),u.localize(244,null),u.localize(245,null),""],description:u.localize(246,null)})),revealHorizontalRightPadding:Ne(new p(90,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:Ne(new f(91,"roundedSelection",!0,{description:u.localize(247,null)})),rulers:Ne(new pe),scrollbar:Ne(new ae),scrollBeyondLastColumn:Ne(new p(94,"scrollBeyondLastColumn",4,0,1073741824,{description:u.localize(248,null)})),scrollBeyondLastLine:Ne(new f(95,"scrollBeyondLastLine",!0,{description:u.localize(249,null)})),scrollPredominantAxis:Ne(new f(96,"scrollPredominantAxis",!0,{description:u.localize(250,null)})),selectionClipboard:Ne(new f(97,"selectionClipboard",!0,{description:u.localize(251,null),included:t.isLinux})),selectionHighlight:Ne(new f(98,"selectionHighlight",!0,{description:u.localize(252,null)})),selectOnLineNumbers:Ne(new f(99,"selectOnLineNumbers",!0)),showFoldingControls:Ne(new h(100,"showFoldingControls","mouseover",["always","never","mouseover"],{enumDescriptions:[u.localize(253,null),u.localize(254,null),u.localize(255,null)],description:u.localize(256,null)})),showUnused:Ne(new f(101,"showUnused",!0,{description:u.localize(257,null)})),showDeprecated:Ne(new f(127,"showDeprecated",!0,{description:u.localize(258,null)})),inlayHints:Ne(new ee),snippetSuggestions:Ne(new h(102,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[u.localize(259,null),u.localize(260,null),u.localize(261,null),u.localize(262,null)],description:u.localize(263,null)})),smartSelect:Ne(new K),smoothScrolling:Ne(new f(104,"smoothScrolling",!1,{description:u.localize(264,null)})),stopRenderingLineAfter:Ne(new p(106,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:Ne(new G),inlineSuggest:Ne(new ne),suggestFontSize:Ne(new p(108,"suggestFontSize",0,0,1e3,{markdownDescription:u.localize(265,null,"`0`","`#editor.fontSize#`")})),suggestLineHeight:Ne(new p(109,"suggestLineHeight",0,0,1e3,{markdownDescription:u.localize(266,null,"`0`","`#editor.lineHeight#`")})),suggestOnTriggerCharacters:Ne(new f(110,"suggestOnTriggerCharacters",!0,{description:u.localize(267,null)})),suggestSelection:Ne(new h(111,"suggestSelection","first",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[u.localize(268,null),u.localize(269,null),u.localize(270,null)],description:u.localize(271,null)})),tabCompletion:Ne(new h(112,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[u.localize(272,null),u.localize(273,null),u.localize(274,null)],description:u.localize(275,null)})),tabIndex:Ne(new p(113,"tabIndex",0,-1,1073741824)),unicodeHighlight:Ne(new fe),unusualLineTerminators:Ne(new h(115,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[u.localize(276,null),u.localize(277,null),u.localize(278,null)],description:u.localize(279,null)})),useShadowDOM:Ne(new f(116,"useShadowDOM",!0)),useTabStops:Ne(new f(117,"useTabStops",!0,{description:u.localize(280,null)})),wordSeparators:Ne(new m(118,"wordSeparators",D.USUAL_WORD_SEPARATORS,{description:u.localize(281,null)})),wordWrap:Ne(new h(119,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[u.localize(282,null),u.localize(283,null),u.localize(284,null),u.localize(285,null)],description:u.localize(286,null)})),wordWrapBreakAfterCharacters:Ne(new m(120,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:Ne(new m(121,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:Ne(new p(122,"wordWrapColumn",80,1,1073741824,{markdownDescription:u.localize(287,null)})),wordWrapOverride1:Ne(new h(123,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:Ne(new h(124,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:Ne(new r(125,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],se,{enumDescriptions:[u.localize(288,null),u.localize(289,null),u.localize(290,null),u.localize(291,null)],description:u.localize(292,null)})),wrappingStrategy:Ne(new h(126,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[u.localize(293,null),u.localize(294,null)],description:u.localize(295,null)})),editorClassName:Ne(new F),pixelRatio:Ne(new _e),tabFocusMode:Ne(new de),layoutInfo:Ne(new x),wrappingInfo:Ne(new De)}}),define(Ie[163],ke([19,20]),function(Q,e){return Q.create("vs/platform/configuration/common/configurationRegistry",e)}),define(Ie[164],ke([19,20]),function(Q,e){return Q.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(Ie[165],ke([19,20]),function(Q,e){return Q.create("vs/platform/extensions/common/extensionValidator",e)}),define(Ie[166],ke([19,20]),function(Q,e){return Q.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(Ie[167],ke([19,20]),function(Q,e){return Q.create("vs/platform/files/common/files",e)}),define(Ie[168],ke([19,20]),function(Q,e){return Q.create("vs/platform/markers/common/markers",e)}),define(Ie[169],ke([19,20]),function(Q,e){return Q.create("vs/platform/workspace/common/workspace",e)}),define(Ie[170],ke([19,20]),function(Q,e){return Q.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(Ie[171],ke([19,20]),function(Q,e){return Q.create("vs/workbench/api/common/extHostExtensionService",e)}),define(Ie[172],ke([19,20]),function(Q,e){return Q.create("vs/workbench/api/common/extHostProgress",e)}),define(Ie[173],ke([19,20]),function(Q,e){return Q.create("vs/workbench/api/common/extHostStatusBar",e)}),define(Ie[174],ke([19,20]),function(Q,e){return Q.create("vs/workbench/api/common/extHostTerminalService",e)}),define(Ie[175],ke([19,20]),function(Q,e){return Q.create("vs/workbench/api/common/extHostTreeViews",e)}),define(Ie[176],ke([19,20]),function(Q,e){return Q.create("vs/workbench/api/common/extHostWorkspace",e)}),define(Ie[177],ke([19,20]),function(Q,e){return Q.create("vs/workbench/api/node/extHostDebugService",e)}),define(Ie[178],ke([19,20]),function(Q,e){return Q.create("vs/workbench/api/node/extHostTunnelService",e)}),define(Ie[179],ke([19,20]),function(Q,e){return Q.create("vs/workbench/common/editor",e)}),define(Ie[180],ke([19,20]),function(Q,e){return Q.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(Ie[181],ke([19,20]),function(Q,e){return Q.create("vs/workbench/contrib/debug/common/debug",e)}),define(Ie[182],ke([19,20]),function(Q,e){return Q.create("vs/workbench/contrib/debug/node/debugAdapter",e)}),define(Ie[183],ke([19,20]),function(Q,e){return Q.create("vs/workbench/contrib/tasks/common/taskDefinitionRegistry",e)}),define(Ie[184],ke([19,20]),function(Q,e){return Q.create("vs/workbench/contrib/tasks/common/tasks",e)}),define(Ie[185],ke([19,20]),function(Q,e){return Q.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(Ie[186],ke([19,20]),function(Q,e){return Q.create("vs/workbench/services/extensions/common/extensionsRegistry",e)}),define(Ie[187],ke([19,20]),function(Q,e){return Q.create("vs/workbench/services/search/common/queryBuilder",e)}),define(Ie[188],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionSource=e.TextEditorSelectionRevealType=e.EditorOpenSource=e.EditorResolution=e.EditorActivation=void 0;var u;(function(C){C[C.ACTIVATE=1]="ACTIVATE",C[C.RESTORE=2]="RESTORE",C[C.PRESERVE=3]="PRESERVE"})(u=e.EditorActivation||(e.EditorActivation={}));var t;(function(C){C[C.PICK=0]="PICK",C[C.DISABLED=1]="DISABLED",C[C.EXCLUSIVE_ONLY=2]="EXCLUSIVE_ONLY"})(t=e.EditorResolution||(e.EditorResolution={}));var D;(function(C){C[C.API=0]="API",C[C.USER=1]="USER"})(D=e.EditorOpenSource||(e.EditorOpenSource={}));var T;(function(C){C[C.Center=0]="Center",C[C.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",C[C.NearTop=2]="NearTop",C[C.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(T=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}));var y;(function(C){C.PROGRAMMATIC="api",C.NAVIGATION="code.navigation",C.JUMP="code.jump"})(y=e.TextEditorSelectionSource||(e.TextEditorSelectionSource={}))}),define(Ie[189],ke([1,0,22,41,165,303]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.validateExtensionManifest=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const y=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,C=/^-(\d{4})(\d{2})(\d{2})$/;function E(f){return f=f.trim(),f==="*"||y.test(f)}e.isValidVersionStr=E;function I(f){if(!E(f))return null;if(f=f.trim(),f==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const v=f.match(y);return v?{hasCaret:v[1]==="^",hasGreaterEquals:v[1]===">=",majorBase:v[2]==="x"?0:parseInt(v[2],10),majorMustEqual:v[2]!=="x",minorBase:v[4]==="x"?0:parseInt(v[4],10),minorMustEqual:v[4]!=="x",patchBase:v[6]==="x"?0:parseInt(v[6],10),patchMustEqual:v[6]!=="x",preRelease:v[8]||null}:null}e.parseVersion=I;function R(f){if(!f)return null;const v=f.majorBase,p=f.majorMustEqual,c=f.minorBase;let m=f.minorMustEqual;const a=f.patchBase;let h=f.patchMustEqual;f.hasCaret&&(v===0||(m=!1),h=!1);let r=0;if(f.preRelease){const o=C.exec(f.preRelease);if(o){const[,i,n,s]=o;r=Date.UTC(Number(i),Number(n)-1,Number(s))}}return{majorBase:v,majorMustEqual:p,minorBase:c,minorMustEqual:m,patchBase:a,patchMustEqual:h,isMinimum:f.hasGreaterEquals,notBefore:r}}e.normalizeVersion=R;function k(f,v,p){let c;typeof f=="string"?c=R(I(f)):c=f;let m;v instanceof Date?m=v.getTime():typeof v=="string"&&(m=new Date(v).getTime());let a;if(typeof p=="string"?a=R(I(p)):a=p,!c||!a)return!1;const h=c.majorBase,r=c.minorBase,o=c.patchBase;let i=a.majorBase,n=a.minorBase,s=a.patchBase;const l=a.notBefore;let d=a.majorMustEqual,S=a.minorMustEqual,L=a.patchMustEqual;return a.isMinimum?h>i?!0:h<i?!1:r>n?!0:r<n||m&&m<l?!1:o>=s:(h===1&&i===0&&(!d||!S||!L)&&(i=1,n=0,s=0,d=!0,S=!1,L=!1),h<i?!1:h>i?!d:r<n?!1:r>n?!S:o<s?!1:o>s?!L:!(m&&m<l))}e.isValidVersion=k;function _(f,v,p,c,m){const a=[];if(typeof c.publisher!="undefined"&&typeof c.publisher!="string")return a.push([t.default.Error,D.localize(0,null)]),a;if(typeof c.name!="string")return a.push([t.default.Error,D.localize(1,null,"name")]),a;if(typeof c.version!="string")return a.push([t.default.Error,D.localize(2,null,"version")]),a;if(!c.engines)return a.push([t.default.Error,D.localize(3,null,"engines")]),a;if(typeof c.engines.vscode!="string")return a.push([t.default.Error,D.localize(4,null,"engines.vscode")]),a;if(typeof c.extensionDependencies!="undefined"&&!g(c.extensionDependencies))return a.push([t.default.Error,D.localize(5,null,"extensionDependencies")]),a;if(typeof c.activationEvents!="undefined"){if(!g(c.activationEvents))return a.push([t.default.Error,D.localize(6,null,"activationEvents")]),a;if(typeof c.main=="undefined"&&typeof c.browser=="undefined")return a.push([t.default.Error,D.localize(7,null,"activationEvents","main")]),a}if(typeof c.extensionKind!="undefined"&&typeof c.main=="undefined"&&a.push([t.default.Warning,D.localize(8,null,"extensionKind")]),typeof c.main!="undefined"){if(typeof c.main!="string")return a.push([t.default.Error,D.localize(9,null,"main")]),a;{const o=(0,u.joinPath)(p,c.main);(0,u.isEqualOrParent)(o,p)||a.push([t.default.Warning,D.localize(10,null,o.path,p.path)])}if(typeof c.activationEvents=="undefined")return a.push([t.default.Error,D.localize(11,null,"activationEvents","main")]),a}if(typeof c.browser!="undefined"){if(typeof c.browser!="string")return a.push([t.default.Error,D.localize(12,null,"browser")]),a;{const o=(0,u.joinPath)(p,c.browser);(0,u.isEqualOrParent)(o,p)||a.push([t.default.Warning,D.localize(13,null,o.path,p.path)])}if(typeof c.activationEvents=="undefined")return a.push([t.default.Error,D.localize(14,null,"activationEvents","browser")]),a}if(!T.valid(c.version))return a.push([t.default.Error,D.localize(15,null)]),a;const h=[];if(!P(f,v,c,m,h))for(const o of h)a.push([t.default.Error,o]);return a}e.validateExtensionManifest=_;function P(f,v,p,c,m){return c||typeof p.main=="undefined"&&typeof p.browser=="undefined"?!0:b(f,v,p.engines.vscode,m)}e.isValidExtensionVersion=P;function w(f,v,p){return f==="*"||b(v,p,f)}e.isEngineValid=w;function b(f,v,p,c=[]){const m=R(I(p));if(!m)return c.push(D.localize(16,null,p)),!1;if(m.majorBase===0){if(!m.majorMustEqual||!m.minorMustEqual)return c.push(D.localize(17,null,p)),!1}else if(!m.majorMustEqual)return c.push(D.localize(18,null,p)),!1;return k(f,v,m)?!0:(c.push(D.localize(19,null,f,p)),!1)}function g(f){if(!Array.isArray(f))return!1;for(let v=0,p=f.length;v<p;v++)if(typeof f[v]!="string")return!1;return!0}}),define(Ie[116],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class u{constructor(D,T=[],y=!1){this.ctor=D,this.staticArguments=T,this.supportsDelayedInstantiation=y}}e.SyncDescriptor=u}),define(Ie[82],ke([1,0,116]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const t=[];function D(y,C,E){C instanceof u.SyncDescriptor||(C=new u.SyncDescriptor(C,[],E)),t.push([y,C])}e.registerSingleton=D;function T(){return t}e.getSingletonServiceDescriptors=T}),define(Ie[190],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class u{constructor(T){this.incoming=new Map,this.outgoing=new Map,this.data=T}}e.Node=u;class t{constructor(T){this._hashFn=T,this._nodes=new Map}roots(){const T=[];for(const y of this._nodes.values())y.outgoing.size===0&&T.push(y);return T}insertEdge(T,y){const C=this.lookupOrInsertNode(T),E=this.lookupOrInsertNode(y);C.outgoing.set(this._hashFn(y),E),E.incoming.set(this._hashFn(T),C)}removeNode(T){const y=this._hashFn(T);this._nodes.delete(y);for(const C of this._nodes.values())C.outgoing.delete(y),C.incoming.delete(y)}lookupOrInsertNode(T){const y=this._hashFn(T);let C=this._nodes.get(y);return C||(C=new u(T),this._nodes.set(y,C)),C}lookup(T){return this._nodes.get(this._hashFn(T))}isEmpty(){return this._nodes.size===0}toString(){const T=[];for(const[y,C]of this._nodes)T.push(`${y}, (incoming)[${[...C.incoming.keys()].join(", ")}], (outgoing)[${[...C.outgoing.keys()].join(",")}]`);return T.join(`
`)}findCycleSlow(){for(const[T,y]of this._nodes){const C=new Set([T]),E=this._findCycle(y,C);if(E)return E}}_findCycle(T,y){for(const[C,E]of T.outgoing){if(y.has(C))return[...y,C].join(" -> ");y.add(C);const I=this._findCycle(E,y);if(I)return I;y.delete(C)}}}e.Graph=t}),define(Ie[4],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var u;(function(y){y.serviceIds=new Map,y.DI_TARGET="$di$target",y.DI_DEPENDENCIES="$di$dependencies";function C(E){return E[y.DI_DEPENDENCIES]||[]}y.getServiceDependencies=C})(u=e._util||(e._util={})),e.IInstantiationService=D("instantiationService");function t(y,C,E){C[u.DI_TARGET]===C?C[u.DI_DEPENDENCIES].push({id:y,index:E}):(C[u.DI_DEPENDENCIES]=[{id:y,index:E}],C[u.DI_TARGET]=C)}function D(y){if(u.serviceIds.has(y))return u.serviceIds.get(y);const C=function(E,I,R){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");t(C,E,R)};return C.toString=()=>y,u.serviceIds.set(y,C),C}e.createDecorator=D;function T(y){return y}e.refineServiceDecorator=T}),define(Ie[83],ke([1,0,10,2,4]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLanguageTagSettingPlainKey=e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,D.createDecorator)("configurationService");function T(f){return f&&typeof f=="object"&&(!f.overrideIdentifier||typeof f.overrideIdentifier=="string")&&(!f.resource||f.resource instanceof t.URI)}e.isConfigurationOverrides=T;function y(f){return f&&typeof f=="object"&&(!f.overrideIdentifiers||u.isArray(f.overrideIdentifiers))&&!f.overrideIdentifier&&(!f.resource||f.resource instanceof t.URI)}e.isConfigurationUpdateOverrides=y;var C;(function(f){f[f.USER=1]="USER",f[f.USER_LOCAL=2]="USER_LOCAL",f[f.USER_REMOTE=3]="USER_REMOTE",f[f.WORKSPACE=4]="WORKSPACE",f[f.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",f[f.DEFAULT=6]="DEFAULT",f[f.MEMORY=7]="MEMORY"})(C=e.ConfigurationTarget||(e.ConfigurationTarget={}));function E(f){switch(f){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=E;function I(f,v){const p=Object.create(null);for(const c in f)R(p,c,f[c],v);return p}e.toValuesTree=I;function R(f,v,p,c){const m=v.split("."),a=m.pop();let h=f;for(let r=0;r<m.length;r++){const o=m[r];let i=h[o];switch(typeof i){case"undefined":i=h[o]=Object.create(null);break;case"object":break;default:c(`Ignoring ${v} as ${m.slice(0,r+1).join(".")} is ${JSON.stringify(i)}`);return}h=i}if(typeof h=="object"&&h!==null)try{h[a]=p}catch{c(`Ignoring ${v} as ${m.join(".")} is ${JSON.stringify(h)}`)}else c(`Ignoring ${v} as ${m.join(".")} is ${JSON.stringify(h)}`)}e.addToValueTree=R;function k(f,v){const p=v.split(".");_(f,p)}e.removeFromValueTree=k;function _(f,v){const p=v.shift();if(v.length===0){delete f[p];return}if(Object.keys(f).indexOf(p)!==-1){const c=f[p];typeof c=="object"&&!Array.isArray(c)&&(_(c,v),Object.keys(c).length===0&&delete f[p])}}function P(f,v,p){function c(h,r){let o=h;for(const i of r){if(typeof o!="object"||o===null)return;o=o[i]}return o}const m=v.split("."),a=c(f,m);return typeof a=="undefined"?p:a}e.getConfigurationValue=P;function w(f,v,p){Object.keys(v).forEach(c=>{c!=="__proto__"&&(c in f?u.isObject(f[c])&&u.isObject(v[c])?w(f[c],v[c],p):p&&(f[c]=v[c]):f[c]=v[c])})}e.merge=w;function b(f,v,p){const c=f.inspect(v),m=f.inspect(p);return typeof c.userValue!="undefined"||typeof c.workspaceValue!="undefined"||typeof c.workspaceFolderValue!="undefined"?c.value:typeof m.userValue!="undefined"||typeof m.workspaceValue!="undefined"||typeof m.workspaceFolderValue!="undefined"?m.value:c.defaultValue}e.getMigratedSettingValue=b;function g(f){return f.replace(/[\[\]]/g,"")}e.getLanguageTagSettingPlainKey=g}),define(Ie[51],ke([1,0,13,8,4]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.implies=e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.expressionsAreEqualWithConstantSubstitution=e.ContextKeyExpr=e.ContextKeyExprType=void 0;const T=new Map;T.set("false",!1),T.set("true",!0),T.set("isMac",u.isMacintosh),T.set("isLinux",u.isLinux),T.set("isWindows",u.isWindows),T.set("isWeb",u.isWeb),T.set("isMacNative",u.isMacintosh&&!u.isWeb),T.set("isEdge",u.isEdge),T.set("isFirefox",u.isFirefox),T.set("isChrome",u.isChrome),T.set("isSafari",u.isSafari);const y=Object.prototype.hasOwnProperty;var C;(function(N){N[N.False=0]="False",N[N.True=1]="True",N[N.Defined=2]="Defined",N[N.Not=3]="Not",N[N.Equals=4]="Equals",N[N.NotEquals=5]="NotEquals",N[N.And=6]="And",N[N.Regex=7]="Regex",N[N.NotRegex=8]="NotRegex",N[N.Or=9]="Or",N[N.In=10]="In",N[N.NotIn=11]="NotIn",N[N.Greater=12]="Greater",N[N.GreaterEquals=13]="GreaterEquals",N[N.Smaller=14]="Smaller",N[N.SmallerEquals=15]="SmallerEquals"})(C=e.ContextKeyExprType||(e.ContextKeyExprType={}));class E{static false(){return k.INSTANCE}static true(){return _.INSTANCE}static has(A){return P.create(A)}static equals(A,$){return w.create(A,$)}static notEquals(A,$){return f.create(A,$)}static regex(A,$){return r.create(A,$)}static in(A,$){return b.create(A,$)}static not(A){return v.create(A)}static and(...A){return n.create(A,null)}static or(...A){return s.create(A,null,!0)}static greater(A,$){return c.create(A,$)}static greaterEquals(A,$){return m.create(A,$)}static smaller(A,$){return a.create(A,$)}static smallerEquals(A,$){return h.create(A,$)}static deserialize(A,$=!1){if(!!A)return this._deserializeOrExpression(A,$)}static _deserializeOrExpression(A,$){const B=A.split("||");return s.create(B.map(z=>this._deserializeAndExpression(z,$)),null,!0)}static _deserializeAndExpression(A,$){const B=A.split("&&");return n.create(B.map(z=>this._deserializeOne(z,$)),null)}static _deserializeOne(A,$){if(A=A.trim(),A.indexOf("!=")>=0){const B=A.split("!=");return f.create(B[0].trim(),this._deserializeValue(B[1],$))}if(A.indexOf("==")>=0){const B=A.split("==");return w.create(B[0].trim(),this._deserializeValue(B[1],$))}if(A.indexOf("=~")>=0){const B=A.split("=~");return r.create(B[0].trim(),this._deserializeRegexValue(B[1],$))}if(A.indexOf(" in ")>=0){const B=A.split(" in ");return b.create(B[0].trim(),B[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(A)){const B=A.split(">=");return m.create(B[0].trim(),B[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(A)){const B=A.split(">");return c.create(B[0].trim(),B[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(A)){const B=A.split("<=");return h.create(B[0].trim(),B[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(A)){const B=A.split("<");return a.create(B[0].trim(),B[1].trim())}return/^\!\s*/.test(A)?v.create(A.substr(1).trim()):P.create(A)}static _deserializeValue(A,$){if(A=A.trim(),A==="true")return!0;if(A==="false")return!1;const B=/^'([^']*)'$/.exec(A);return B?B[1].trim():A}static _deserializeRegexValue(A,$){if((0,t.isFalsyOrWhitespace)(A)){if($)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}const B=A.indexOf("/"),z=A.lastIndexOf("/");if(B===z||B<0){if($)throw new Error(`bad regexp-value '${A}', missing /-enclosure`);return console.warn(`bad regexp-value '${A}', missing /-enclosure`),null}const X=A.slice(B+1,z),M=A[z+1]==="i"?"i":"";try{return new RegExp(X,M)}catch(U){if($)throw new Error(`bad regexp-value '${A}', parse error: ${U}`);return console.warn(`bad regexp-value '${A}', parse error: ${U}`),null}}}e.ContextKeyExpr=E;function I(N,A){const $=N?N.substituteConstants():void 0,B=A?A.substituteConstants():void 0;return!$&&!B?!0:!$||!B?!1:$.equals(B)}e.expressionsAreEqualWithConstantSubstitution=I;function R(N,A){return N.cmp(A)}class k{constructor(){this.type=0}cmp(A){return this.type-A.type}equals(A){return A.type===this.type}substituteConstants(){return this}evaluate(A){return!1}serialize(){return"false"}keys(){return[]}map(A){return this}negate(){return _.INSTANCE}}e.ContextKeyFalseExpr=k,k.INSTANCE=new k;class _{constructor(){this.type=1}cmp(A){return this.type-A.type}equals(A){return A.type===this.type}substituteConstants(){return this}evaluate(A){return!0}serialize(){return"true"}keys(){return[]}map(A){return this}negate(){return k.INSTANCE}}e.ContextKeyTrueExpr=_,_.INSTANCE=new _;class P{constructor(A,$){this.key=A,this.negated=$,this.type=2}static create(A,$=null){const B=T.get(A);return typeof B=="boolean"?B?_.INSTANCE:k.INSTANCE:new P(A,$)}cmp(A){return A.type!==this.type?this.type-A.type:d(this.key,A.key)}equals(A){return A.type===this.type?this.key===A.key:!1}substituteConstants(){const A=T.get(this.key);return typeof A=="boolean"?A?_.INSTANCE:k.INSTANCE:this}evaluate(A){return!!A.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(A){return A.mapDefined(this.key)}negate(){return this.negated||(this.negated=v.create(this.key,this)),this.negated}}e.ContextKeyDefinedExpr=P;class w{constructor(A,$,B){this.key=A,this.value=$,this.negated=B,this.type=4}static create(A,$,B=null){if(typeof $=="boolean")return $?P.create(A,B):v.create(A,B);const z=T.get(A);return typeof z=="boolean"?$===(z?"true":"false")?_.INSTANCE:k.INSTANCE:new w(A,$,B)}cmp(A){return A.type!==this.type?this.type-A.type:S(this.key,this.value,A.key,A.value)}equals(A){return A.type===this.type?this.key===A.key&&this.value===A.value:!1}substituteConstants(){const A=T.get(this.key);if(typeof A=="boolean"){const $=A?"true":"false";return this.value===$?_.INSTANCE:k.INSTANCE}return this}evaluate(A){return A.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(A){return A.mapEquals(this.key,this.value)}negate(){return this.negated||(this.negated=f.create(this.key,this.value,this)),this.negated}}e.ContextKeyEqualsExpr=w;class b{constructor(A,$){this.key=A,this.valueKey=$,this.type=10,this.negated=null}static create(A,$){return new b(A,$)}cmp(A){return A.type!==this.type?this.type-A.type:S(this.key,this.valueKey,A.key,A.valueKey)}equals(A){return A.type===this.type?this.key===A.key&&this.valueKey===A.valueKey:!1}substituteConstants(){return this}evaluate(A){const $=A.getValue(this.valueKey),B=A.getValue(this.key);return Array.isArray($)?$.includes(B):typeof B=="string"&&typeof $=="object"&&$!==null?y.call($,B):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(A){return A.mapIn(this.key,this.valueKey)}negate(){return this.negated||(this.negated=g.create(this)),this.negated}}e.ContextKeyInExpr=b;class g{constructor(A){this._actual=A,this.type=11}static create(A){return new g(A)}cmp(A){return A.type!==this.type?this.type-A.type:this._actual.cmp(A._actual)}equals(A){return A.type===this.type?this._actual.equals(A._actual):!1}substituteConstants(){return this}evaluate(A){return!this._actual.evaluate(A)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(A){return new g(this._actual.map(A))}negate(){return this._actual}}e.ContextKeyNotInExpr=g;class f{constructor(A,$,B){this.key=A,this.value=$,this.negated=B,this.type=5}static create(A,$,B=null){if(typeof $=="boolean")return $?v.create(A,B):P.create(A,B);const z=T.get(A);return typeof z=="boolean"?$===(z?"true":"false")?k.INSTANCE:_.INSTANCE:new f(A,$,B)}cmp(A){return A.type!==this.type?this.type-A.type:S(this.key,this.value,A.key,A.value)}equals(A){return A.type===this.type?this.key===A.key&&this.value===A.value:!1}substituteConstants(){const A=T.get(this.key);if(typeof A=="boolean"){const $=A?"true":"false";return this.value===$?k.INSTANCE:_.INSTANCE}return this}evaluate(A){return A.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(A){return A.mapNotEquals(this.key,this.value)}negate(){return this.negated||(this.negated=w.create(this.key,this.value,this)),this.negated}}e.ContextKeyNotEqualsExpr=f;class v{constructor(A,$){this.key=A,this.negated=$,this.type=3}static create(A,$=null){const B=T.get(A);return typeof B=="boolean"?B?k.INSTANCE:_.INSTANCE:new v(A,$)}cmp(A){return A.type!==this.type?this.type-A.type:d(this.key,A.key)}equals(A){return A.type===this.type?this.key===A.key:!1}substituteConstants(){const A=T.get(this.key);return typeof A=="boolean"?A?k.INSTANCE:_.INSTANCE:this}evaluate(A){return!A.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(A){return A.mapNot(this.key)}negate(){return this.negated||(this.negated=P.create(this.key,this)),this.negated}}e.ContextKeyNotExpr=v;function p(N,A){if(typeof N=="string"){const $=parseFloat(N);isNaN($)||(N=$)}return typeof N=="string"||typeof N=="number"?A(N):k.INSTANCE}class c{constructor(A,$,B){this.key=A,this.value=$,this.negated=B,this.type=12}static create(A,$,B=null){return p($,z=>new c(A,z,B))}cmp(A){return A.type!==this.type?this.type-A.type:S(this.key,this.value,A.key,A.value)}equals(A){return A.type===this.type?this.key===A.key&&this.value===A.value:!1}substituteConstants(){return this}evaluate(A){return typeof this.value=="string"?!1:parseFloat(A.getValue(this.key))>this.value}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(A){return A.mapGreater(this.key,this.value)}negate(){return this.negated||(this.negated=h.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterExpr=c;class m{constructor(A,$,B){this.key=A,this.value=$,this.negated=B,this.type=13}static create(A,$,B=null){return p($,z=>new m(A,z,B))}cmp(A){return A.type!==this.type?this.type-A.type:S(this.key,this.value,A.key,A.value)}equals(A){return A.type===this.type?this.key===A.key&&this.value===A.value:!1}substituteConstants(){return this}evaluate(A){return typeof this.value=="string"?!1:parseFloat(A.getValue(this.key))>=this.value}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(A){return A.mapGreaterEquals(this.key,this.value)}negate(){return this.negated||(this.negated=a.create(this.key,this.value,this)),this.negated}}e.ContextKeyGreaterEqualsExpr=m;class a{constructor(A,$,B){this.key=A,this.value=$,this.negated=B,this.type=14}static create(A,$,B=null){return p($,z=>new a(A,z,B))}cmp(A){return A.type!==this.type?this.type-A.type:S(this.key,this.value,A.key,A.value)}equals(A){return A.type===this.type?this.key===A.key&&this.value===A.value:!1}substituteConstants(){return this}evaluate(A){return typeof this.value=="string"?!1:parseFloat(A.getValue(this.key))<this.value}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(A){return A.mapSmaller(this.key,this.value)}negate(){return this.negated||(this.negated=m.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerExpr=a;class h{constructor(A,$,B){this.key=A,this.value=$,this.negated=B,this.type=15}static create(A,$,B=null){return p($,z=>new h(A,z,B))}cmp(A){return A.type!==this.type?this.type-A.type:S(this.key,this.value,A.key,A.value)}equals(A){return A.type===this.type?this.key===A.key&&this.value===A.value:!1}substituteConstants(){return this}evaluate(A){return typeof this.value=="string"?!1:parseFloat(A.getValue(this.key))<=this.value}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(A){return A.mapSmallerEquals(this.key,this.value)}negate(){return this.negated||(this.negated=c.create(this.key,this.value,this)),this.negated}}e.ContextKeySmallerEqualsExpr=h;class r{constructor(A,$){this.key=A,this.regexp=$,this.type=7,this.negated=null}static create(A,$){return new r(A,$)}cmp(A){if(A.type!==this.type)return this.type-A.type;if(this.key<A.key)return-1;if(this.key>A.key)return 1;const $=this.regexp?this.regexp.source:"",B=A.regexp?A.regexp.source:"";return $<B?-1:$>B?1:0}equals(A){if(A.type===this.type){const $=this.regexp?this.regexp.source:"",B=A.regexp?A.regexp.source:"";return this.key===A.key&&$===B}return!1}substituteConstants(){return this}evaluate(A){const $=A.getValue(this.key);return this.regexp?this.regexp.test($):!1}serialize(){const A=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${A}`}keys(){return[this.key]}map(A){return A.mapRegex(this.key,this.regexp)}negate(){return this.negated||(this.negated=o.create(this)),this.negated}}e.ContextKeyRegexExpr=r;class o{constructor(A){this._actual=A,this.type=8}static create(A){return new o(A)}cmp(A){return A.type!==this.type?this.type-A.type:this._actual.cmp(A._actual)}equals(A){return A.type===this.type?this._actual.equals(A._actual):!1}substituteConstants(){return this}evaluate(A){return!this._actual.evaluate(A)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(A){return new o(this._actual.map(A))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=o;function i(N){let A=null;for(let $=0,B=N.length;$<B;$++){const z=N[$].substituteConstants();if(N[$]!==z&&A===null){A=[];for(let X=0;X<$;X++)A[X]=N[X]}A!==null&&(A[$]=z)}return A===null?N:A}class n{constructor(A,$){this.expr=A,this.negated=$,this.type=6}static create(A,$){return n._normalizeArr(A,$)}cmp(A){if(A.type!==this.type)return this.type-A.type;if(this.expr.length<A.expr.length)return-1;if(this.expr.length>A.expr.length)return 1;for(let $=0,B=this.expr.length;$<B;$++){const z=R(this.expr[$],A.expr[$]);if(z!==0)return z}return 0}equals(A){if(A.type===this.type){if(this.expr.length!==A.expr.length)return!1;for(let $=0,B=this.expr.length;$<B;$++)if(!this.expr[$].equals(A.expr[$]))return!1;return!0}return!1}substituteConstants(){const A=i(this.expr);return A===this.expr?this:n.create(A,this.negated)}evaluate(A){for(let $=0,B=this.expr.length;$<B;$++)if(!this.expr[$].evaluate(A))return!1;return!0}static _normalizeArr(A,$){const B=[];let z=!1;for(const X of A)if(!!X){if(X.type===1){z=!0;continue}if(X.type===0)return k.INSTANCE;if(X.type===6){B.push(...X.expr);continue}B.push(X)}if(B.length===0&&z)return _.INSTANCE;if(B.length!==0){if(B.length===1)return B[0];B.sort(R);for(let X=1;X<B.length;X++)B[X-1].equals(B[X])&&(B.splice(X,1),X--);if(B.length===1)return B[0];for(;B.length>1;){const X=B[B.length-1];if(X.type!==9)break;B.pop();const M=B.pop(),U=B.length===0,q=s.create(X.expr.map(x=>n.create([x,M],null)),null,U);q&&(B.push(q),B.sort(R))}return B.length===1?B[0]:new n(B,$)}}serialize(){return this.expr.map(A=>A.serialize()).join(" && ")}keys(){const A=[];for(const $ of this.expr)A.push(...$.keys());return A}map(A){return new n(this.expr.map($=>$.map(A)),null)}negate(){if(!this.negated){const A=[];for(const $ of this.expr)A.push($.negate());this.negated=s.create(A,this,!0)}return this.negated}}class s{constructor(A,$){this.expr=A,this.negated=$,this.type=9}static create(A,$,B){return s._normalizeArr(A,$,B)}cmp(A){if(A.type!==this.type)return this.type-A.type;if(this.expr.length<A.expr.length)return-1;if(this.expr.length>A.expr.length)return 1;for(let $=0,B=this.expr.length;$<B;$++){const z=R(this.expr[$],A.expr[$]);if(z!==0)return z}return 0}equals(A){if(A.type===this.type){if(this.expr.length!==A.expr.length)return!1;for(let $=0,B=this.expr.length;$<B;$++)if(!this.expr[$].equals(A.expr[$]))return!1;return!0}return!1}substituteConstants(){const A=i(this.expr);return A===this.expr?this:s.create(A,this.negated,!1)}evaluate(A){for(let $=0,B=this.expr.length;$<B;$++)if(this.expr[$].evaluate(A))return!0;return!1}static _normalizeArr(A,$,B){let z=[],X=!1;if(A){for(let M=0,U=A.length;M<U;M++){const q=A[M];if(!!q){if(q.type===0){X=!0;continue}if(q.type===1)return _.INSTANCE;if(q.type===9){z=z.concat(q.expr);continue}z.push(q)}}if(z.length===0&&X)return k.INSTANCE;z.sort(R)}if(z.length!==0){if(z.length===1)return z[0];for(let M=1;M<z.length;M++)z[M-1].equals(z[M])&&(z.splice(M,1),M--);if(z.length===1)return z[0];if(B){for(let M=0;M<z.length;M++)for(let U=M+1;U<z.length;U++)L(z[M],z[U])&&(z.splice(U,1),U--);if(z.length===1)return z[0]}return new s(z,$)}}serialize(){return this.expr.map(A=>A.serialize()).join(" || ")}keys(){const A=[];for(const $ of this.expr)A.push(...$.keys());return A}map(A){return new s(this.expr.map($=>$.map(A)),null)}negate(){if(!this.negated){const A=[];for(const $ of this.expr)A.push($.negate());for(;A.length>1;){const $=A.shift(),B=A.shift(),z=[];for(const M of F($))for(const U of F(B))z.push(n.create([M,U],null));const X=A.length===0;A.unshift(s.create(z,null,X))}this.negated=A[0]}return this.negated}}class l extends P{constructor(A,$,B){super(A,null);this._defaultValue=$,typeof B=="object"?l._info.push({...B,key:A}):B!==!0&&l._info.push({key:A,description:B,type:$!=null?typeof $:void 0})}static all(){return l._info.values()}bindTo(A){return A.createKey(this.key,this._defaultValue)}getValue(A){return A.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(A){return w.create(this.key,A)}notEqualsTo(A){return f.create(this.key,A)}}e.RawContextKey=l,l._info=[],e.IContextKeyService=(0,D.createDecorator)("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function d(N,A){return N<A?-1:N>A?1:0}function S(N,A,$,B){return N<$?-1:N>$?1:A<B?-1:A>B?1:0}function L(N,A){if(A.type===6&&N.type!==9&&N.type!==6){for(const z of A.expr)if(N.equals(z))return!0}const $=N.negate(),B=F($).concat(F(A));B.sort(R);for(let z=0;z<B.length;z++){const M=B[z].negate();for(let U=z+1;U<B.length;U++){const q=B[U];if(M.equals(q))return!0}}return!1}e.implies=L;function F(N){return N.type===9?N.expr:[N]}}),define(Ie[191],ke([1,0,4]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,u.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,u.refineServiceDecorator)(e.IEnvironmentService)}),define(Ie[84],ke([1,0,164,4]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDefaultExtensionsProfileInitService=e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IServerExtensionManagementService=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";function D(f){switch(f){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=D;function T(f){switch(f){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=T;function y(f,v){switch(f){case 3:return v==="x64"?"win32-x64":v==="ia32"?"win32-ia32":v==="arm64"?"win32-arm64":"unknown";case 2:return v==="x64"?"linux-x64":v==="arm64"?"linux-arm64":v==="arm"?"linux-armhf":"unknown";case"alpine":return v==="x64"?"alpine-x64":v==="arm64"?"alpine-arm64":"unknown";case 1:return v==="x64"?"darwin-x64":v==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=y;function C(f,v){return v==="web"&&!f.includes("web")}e.isNotWebExtensionInWebTargetPlatform=C;function E(f,v,p){return C(v,p)?!1:f==="undefined"||f==="universal"?!0:f==="unknown"?!1:f===p?!0:I(p).includes(f)}e.isTargetPlatformCompatible=E;function I(f){switch(f){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=I;function R(f){return f&&typeof f=="object"&&typeof f.id=="string"&&(!f.uuid||typeof f.uuid=="string")}e.isIExtensionIdentifier=R;var k;(function(f){f[f.NoneOrRelevance=0]="NoneOrRelevance",f[f.LastUpdatedDate=1]="LastUpdatedDate",f[f.Title=2]="Title",f[f.PublisherName=3]="PublisherName",f[f.InstallCount=4]="InstallCount",f[f.PublishedDate=10]="PublishedDate",f[f.AverageRating=6]="AverageRating",f[f.WeightedRating=12]="WeightedRating"})(k=e.SortBy||(e.SortBy={}));var _;(function(f){f[f.Default=0]="Default",f[f.Ascending=1]="Ascending",f[f.Descending=2]="Descending"})(_=e.SortOrder||(e.SortOrder={}));var P;(function(f){f.Install="install",f.Uninstall="uninstall"})(P=e.StatisticType||(e.StatisticType={}));var w;(function(f){f[f.None=1]="None",f[f.Install=2]="Install",f[f.Update=3]="Update",f[f.Migrate=4]="Migrate"})(w=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,t.createDecorator)("extensionGalleryService");var b;(function(f){f.Unsupported="Unsupported",f.Deprecated="Deprecated",f.Malicious="Malicious",f.Incompatible="Incompatible",f.IncompatiblePreRelease="IncompatiblePreRelease",f.IncompatibleTargetPlatform="IncompatibleTargetPlatform",f.ReleaseVersionNotFound="ReleaseVersionNotFound",f.Invalid="Invalid",f.Download="Download",f.Extract="Extract",f.Delete="Delete",f.Rename="Rename",f.CorruptZip="CorruptZip",f.IncompleteZip="IncompleteZip",f.Internal="Internal"})(b=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class g extends Error{constructor(v,p){super(v);this.code=p,this.name=p}}e.ExtensionManagementError=g,e.IExtensionManagementService=(0,t.createDecorator)("extensionManagementService"),e.IServerExtensionManagementService=(0,t.refineServiceDecorator)(e.IExtensionManagementService),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,t.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,t.createDecorator)("IExtensionTipsService"),e.ExtensionsLabel=(0,u.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,u.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,t.createDecorator)("IExtensionManagementCLIService"),e.IDefaultExtensionsProfileInitService=(0,t.createDecorator)("IDefaultExtensionsProfileInitService")}),define(Ie[192],ke([1,0,4]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExternalTerminalMainService=e.DEFAULT_TERMINAL_OSX=e.IExternalTerminalService=void 0,e.IExternalTerminalService=(0,u.createDecorator)("externalTerminal"),e.DEFAULT_TERMINAL_OSX="Terminal.app",e.IExternalTerminalMainService=(0,u.createDecorator)("externalTerminal")}),define(Ie[193],ke([1,0,42,11,9,13,102,29,114,166,192]),function(Q,e,u,t,D,T,y,C,E,I,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const k=I.localize(0,null);class _{async getDefaultTerminalForPlatforms(){return{windows:P.getDefaultTerminalWindows(),linux:await b.getDefaultTerminalLinuxReady(),osx:"xterm"}}}class P extends _{openTerminal(c,m){return this.spawnTerminal(u,c,E.getWindowsShell(),m)}spawnTerminal(c,m,a,h){const r=m.windowsExec||P.getDefaultTerminalWindows();h&&h[1]===":"&&(h=h[0].toUpperCase()+h.substr(1));const o=D.basename(r).toLowerCase();if(o==="cmder"||o==="cmder.exe")return c.spawn(r,h?[h]:void 0),Promise.resolve(void 0);const i=["/c","start","/wait"];return r.indexOf(" ")>=0&&i.push('""'),i.push(r),(o==="wt"||o==="wt.exe")&&i.push("-d ."),new Promise((n,s)=>{const l=g(process),d=c.spawn(a,i,{cwd:h,env:l});d.on("error",s),d.on("exit",()=>n())})}runInTerminal(c,m,a,h,r){const o="windowsExec"in r&&r.windowsExec?r.windowsExec:P.getDefaultTerminalWindows();return new Promise((i,n)=>{const s=`"${m} - ${k}"`,l=`""${a.join('" "')}" & pause"`,d=["/c","start",s,"/wait",o,"/c",l],S=Object.assign({},g(process),h);Object.keys(S).filter(N=>S[N]===null).forEach(N=>delete S[N]);const L={cwd:m,env:S,windowsVerbatimArguments:!0};u.spawn(P.CMD,d,L).on("error",N=>{n(f(N))}),i(void 0)})}static getDefaultTerminalWindows(){if(!P._DEFAULT_TERMINAL_WINDOWS){const c=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");P._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${c?"Sysnative":"System32"}\\cmd.exe`}return P._DEFAULT_TERMINAL_WINDOWS}}e.WindowsExternalTerminalService=P,P.CMD="cmd.exe";class w extends _{openTerminal(c,m){return this.spawnTerminal(u,c,m)}runInTerminal(c,m,a,h,r){const o=r.osxExec||R.DEFAULT_TERMINAL_OSX;return new Promise((i,n)=>{if(o===R.DEFAULT_TERMINAL_OSX||o==="iTerm.app"){const s=o===R.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",d=[t.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${s}.scpt`,Q).fsPath,"-t",c||k,"-w",m];for(const F of a)d.push("-a"),d.push(F);if(h){const F=Object.assign({},g(process),h);for(const N in F){const A=F[N];A===null?(d.push("-u"),d.push(N)):(d.push("-e"),d.push(`${N}=${A}`))}}let S="";const L=u.spawn(w.OSASCRIPT,d);L.on("error",F=>{n(f(F))}),L.stderr.on("data",F=>{S+=F.toString()}),L.on("exit",F=>{if(F===0)i(void 0);else if(S){const N=S.split(`
`,1);n(new Error(N[0]))}else n(new Error(I.localize(1,null,s,F)))})}else n(new Error(I.localize(2,null,o)))})}spawnTerminal(c,m,a){const h=m.osxExec||R.DEFAULT_TERMINAL_OSX;return new Promise((r,o)=>{const i=["-a",h];a&&i.push(a);const n=g(process),s=c.spawn("/usr/bin/open",i,{cwd:a,env:n});s.on("error",o),s.on("exit",()=>r())})}}e.MacExternalTerminalService=w,w.OSASCRIPT="/usr/bin/osascript";class b extends _{openTerminal(c,m){return this.spawnTerminal(u,c,m)}runInTerminal(c,m,a,h,r){const o=r.linuxExec?Promise.resolve(r.linuxExec):b.getDefaultTerminalLinuxReady();return new Promise((i,n)=>{const s=[];o.then(l=>{l.indexOf("gnome-terminal")>=0?s.push("-x"):s.push("-e"),s.push("bash"),s.push("-c");const d=`${v(a)}; echo; read -p "${b.WAIT_MESSAGE}" -n1;`;s.push(`''${d}''`);const S=Object.assign({},g(process),h);Object.keys(S).filter(A=>S[A]===null).forEach(A=>delete S[A]);const L={cwd:m,env:S};let F="";const N=u.spawn(l,s,L);N.on("error",A=>{n(f(A))}),N.stderr.on("data",A=>{F+=A.toString()}),N.on("exit",A=>{if(A===0)i(void 0);else if(F){const $=F.split(`
`,1);n(new Error($[0]))}else n(new Error(I.localize(4,null,l,A)))})})})}static async getDefaultTerminalLinuxReady(){if(!b._DEFAULT_TERMINAL_LINUX_READY)if(!T.isLinux)b._DEFAULT_TERMINAL_LINUX_READY=Promise.resolve("xterm");else{const c=await C.Promises.exists("/etc/debian_version");b._DEFAULT_TERMINAL_LINUX_READY=new Promise(m=>{c?m("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?m("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?m("konsole"):process.env.COLORTERM?m(process.env.COLORTERM):process.env.TERM?m(process.env.TERM):m("xterm")})}return b._DEFAULT_TERMINAL_LINUX_READY}spawnTerminal(c,m,a){const h=m.linuxExec?Promise.resolve(m.linuxExec):b.getDefaultTerminalLinuxReady();return new Promise((r,o)=>{h.then(i=>{const n=g(process),s=c.spawn(i,[],{cwd:a,env:n});s.on("error",o),s.on("exit",()=>r())})})}}e.LinuxExternalTerminalService=b,b.WAIT_MESSAGE=I.localize(3,null);function g(p){const c={...p.env};return(0,y.sanitizeProcessEnvironment)(c),c}function f(p){return"errno"in p&&p.errno==="ENOENT"&&"path"in p&&typeof p.path=="string"?new Error(I.localize(5,null,p.path)):p}function v(p){let c="";for(const m of p)m.indexOf(" ")>=0?c+='"'+m+'"':c+=m,c+=" ";return c}}),define(Ie[43],ke([1,0,25,9,8,10,2,167,4]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileCloneCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,E.createDecorator)("fileService");function I(M){return M.create===!0}e.isFileOpenForWriteOptions=I;var R;(function(M){M[M.Unknown=0]="Unknown",M[M.File=1]="File",M[M.Directory=2]="Directory",M[M.SymbolicLink=64]="SymbolicLink"})(R=e.FileType||(e.FileType={}));var k;(function(M){M[M.Readonly=1]="Readonly"})(k=e.FilePermission||(e.FilePermission={}));var _;(function(M){M[M.FileReadWrite=2]="FileReadWrite",M[M.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",M[M.FileReadStream=16]="FileReadStream",M[M.FileFolderCopy=8]="FileFolderCopy",M[M.PathCaseSensitive=1024]="PathCaseSensitive",M[M.Readonly=2048]="Readonly",M[M.Trash=4096]="Trash",M[M.FileWriteUnlock=8192]="FileWriteUnlock",M[M.FileAtomicRead=16384]="FileAtomicRead",M[M.FileClone=32768]="FileClone"})(_=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function P(M){return!!(M.capabilities&2)}e.hasReadWriteCapability=P;function w(M){return!!(M.capabilities&8)}e.hasFileFolderCopyCapability=w;function b(M){return!!(M.capabilities&32768)}e.hasFileCloneCapability=b;function g(M){return!!(M.capabilities&4)}e.hasOpenReadWriteCloseCapability=g;function f(M){return!!(M.capabilities&16)}e.hasFileReadStreamCapability=f;function v(M){return P(M)?!!(M.capabilities&16384):!1}e.hasFileAtomicReadCapability=v;var p;(function(M){M.FileExists="EntryExists",M.FileNotFound="EntryNotFound",M.FileNotADirectory="EntryNotADirectory",M.FileIsADirectory="EntryIsADirectory",M.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",M.FileTooLarge="EntryTooLarge",M.FileWriteLocked="EntryWriteLocked",M.NoPermissions="NoPermissions",M.Unavailable="Unavailable",M.Unknown="Unknown"})(p=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class c extends Error{constructor(U,q){super(U);this.code=q}}e.FileSystemProviderError=c;function m(M,U){const q=new c(M.toString(),U);return h(q,U),q}e.createFileSystemProviderError=m;function a(M){return M||m((0,C.localize)(0,null),p.Unknown)}e.ensureFileSystemProviderError=a;function h(M,U){return M.name=U?`${U} (FileSystemError)`:"FileSystemError",M}e.markAsFileSystemProviderError=h;function r(M){if(!M)return p.Unknown;if(M instanceof c)return M.code;const U=/^(.+) \(FileSystemError\)$/.exec(M.name);if(!U)return p.Unknown;switch(U[1]){case p.FileExists:return p.FileExists;case p.FileIsADirectory:return p.FileIsADirectory;case p.FileNotADirectory:return p.FileNotADirectory;case p.FileNotFound:return p.FileNotFound;case p.FileExceedsMemoryLimit:return p.FileExceedsMemoryLimit;case p.FileTooLarge:return p.FileTooLarge;case p.FileWriteLocked:return p.FileWriteLocked;case p.NoPermissions:return p.NoPermissions;case p.Unavailable:return p.Unavailable}return p.Unknown}e.toFileSystemProviderErrorCode=r;function o(M){if(M instanceof S)return M.fileOperationResult;switch(r(M)){case p.FileNotFound:return 1;case p.FileIsADirectory:return 0;case p.FileNotADirectory:return 10;case p.FileWriteLocked:return 5;case p.NoPermissions:return 6;case p.FileExists:return 4;case p.FileExceedsMemoryLimit:return 9;case p.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=o;var i;(function(M){M[M.CREATE=0]="CREATE",M[M.DELETE=1]="DELETE",M[M.MOVE=2]="MOVE",M[M.COPY=3]="COPY",M[M.WRITE=4]="WRITE"})(i=e.FileOperation||(e.FileOperation={}));class n{constructor(U,q,x){this.resource=U,this.operation=q,this.target=x}isOperation(U){return this.operation===U}}e.FileOperationEvent=n;var s;(function(M){M[M.UPDATED=0]="UPDATED",M[M.ADDED=1]="ADDED",M[M.DELETED=2]="DELETED"})(s=e.FileChangeType||(e.FileChangeType={}));class l{constructor(U,q){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=U;const x=new Map;for(const V of U){const ee=x.get(V.type);switch(ee?ee.push([V.resource,V]):x.set(V.type,[[V.resource,V]]),V.type){case 1:this.rawAdded.push(V.resource);break;case 0:this.rawUpdated.push(V.resource);break;case 2:this.rawDeleted.push(V.resource);break}}for(const[V,ee]of x)switch(V){case 1:this.added=u.TernarySearchTree.forUris(()=>q),this.added.fill(ee);break;case 0:this.updated=u.TernarySearchTree.forUris(()=>q),this.updated.fill(ee);break;case 2:this.deleted=u.TernarySearchTree.forUris(()=>q),this.deleted.fill(ee);break}}contains(U,...q){return this.doContains(U,{includeChildren:!1},...q)}affects(U,...q){return this.doContains(U,{includeChildren:!0},...q)}doContains(U,q,...x){if(!U)return!1;const V=x.length>0;return!!((!V||x.includes(1))&&(this.added?.get(U)||q.includeChildren&&this.added?.findSuperstr(U))||(!V||x.includes(0))&&(this.updated?.get(U)||q.includeChildren&&this.updated?.findSuperstr(U))||(!V||x.includes(2))&&(this.deleted?.findSubstr(U)||q.includeChildren&&this.deleted?.findSuperstr(U)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=l;function d(M,U,q){return!M||!U||M===U||U.length>M.length?!1:(U.charAt(U.length-1)!==t.sep&&(U+=t.sep),q?(0,D.startsWithIgnoreCase)(M,U):M.indexOf(U)===0)}e.isParent=d;class S extends Error{constructor(U,q,x){super(U);this.fileOperationResult=q,this.options=x}}e.FileOperationError=S;class L extends S{constructor(U,q,x){super(U,2,x);this.stat=q}}e.NotModifiedSinceFileOperationError=L;var F;(function(M){M[M.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",M[M.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",M[M.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",M[M.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",M[M.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",M[M.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",M[M.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",M[M.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",M[M.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",M[M.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",M[M.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",M[M.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(F=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var N;(function(M){M[M.FILE=0]="FILE",M[M.FOLDER=1]="FOLDER",M[M.ROOT_FOLDER=2]="ROOT_FOLDER"})(N=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function A(M){if(!(typeof M.size!="number"||typeof M.mtime!="number"))return M.mtime.toString(29)+M.size.toString(31)}e.etag=A;async function $(M,U){if(!U.hasProvider(y.URI.from({scheme:M.scheme})))return new Promise(q=>{const x=U.onDidChangeFileSystemProviderRegistrations(V=>{V.scheme===M.scheme&&V.added&&(x.dispose(),q())})})}e.whenProviderRegistered=$,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class B{static formatSize(U){return(0,T.isNumber)(U)||(U=0),U<B.KB?(0,C.localize)(1,null,U.toFixed(0)):U<B.MB?(0,C.localize)(2,null,(U/B.KB).toFixed(2)):U<B.GB?(0,C.localize)(3,null,(U/B.MB).toFixed(2)):U<B.TB?(0,C.localize)(4,null,(U/B.GB).toFixed(2)):(0,C.localize)(5,null,(U/B.TB).toFixed(2))}}e.ByteSize=B,B.KB=1024,B.MB=B.KB*B.KB,B.GB=B.MB*B.KB,B.TB=B.GB*B.KB;var z;(function(M){M[M.IA32=0]="IA32",M[M.OTHER=1]="OTHER"})(z=e.Arch||(e.Arch={}));function X(M){return{maxFileSize:M===0?300*B.MB:16*B.GB,maxHeapSize:M===0?700*B.MB:2*700*B.MB}}e.getPlatformLimits=X}),define(Ie[85],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class u{constructor(...D){this._entries=new Map;for(const[T,y]of D)this.set(T,y)}set(D,T){const y=this._entries.get(D);return this._entries.set(D,T),y}has(D){return this._entries.has(D)}get(D){return this._entries.get(D)}}e.ServiceCollection=u}),define(Ie[194],ke([1,0,18,12,116,190,4,85]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const E=!1;class I extends Error{constructor(w){super("cyclic dependency between services");this.message=w.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${w.toString()}`}}class R{constructor(w=new C.ServiceCollection,b=!1,g){this._activeInstantiations=new Set,this._services=w,this._strict=b,this._parent=g,this._services.set(y.IInstantiationService,this)}createChild(w){return new R(w,this._strict,this)}invokeFunction(w,...b){const g=_.traceInvocation(w);let f=!1;try{return w({get:p=>{if(f)throw(0,t.illegalState)("service accessor is only valid during the invocation of its target method");const c=this._getOrCreateServiceInstance(p,g);if(!c)throw new Error(`[invokeFunction] unknown service '${p}'`);return c}},...b)}finally{f=!0,g.stop()}}createInstance(w,...b){let g,f;return w instanceof D.SyncDescriptor?(g=_.traceCreation(w.ctor),f=this._createInstance(w.ctor,w.staticArguments.concat(b),g)):(g=_.traceCreation(w),f=this._createInstance(w,b,g)),g.stop(),f}_createInstance(w,b=[],g){const f=y._util.getServiceDependencies(w).sort((c,m)=>c.index-m.index),v=[];for(const c of f){const m=this._getOrCreateServiceInstance(c.id,g);m||this._throwIfStrict(`[createInstance] ${w.name} depends on UNKNOWN service ${c.id}.`,!1),v.push(m)}const p=f.length>0?f[0].index:b.length;if(b.length!==p){console.trace(`[createInstance] First service dependency of ${w.name} at position ${p+1} conflicts with ${b.length} static arguments`);const c=p-b.length;c>0?b=b.concat(new Array(c)):b=b.slice(0,p)}return new w(...[...b,...v])}_setServiceInstance(w,b){if(this._services.get(w)instanceof D.SyncDescriptor)this._services.set(w,b);else if(this._parent)this._parent._setServiceInstance(w,b);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(w){const b=this._services.get(w);return!b&&this._parent?this._parent._getServiceInstanceOrDescriptor(w):b}_getOrCreateServiceInstance(w,b){const g=this._getServiceInstanceOrDescriptor(w);return g instanceof D.SyncDescriptor?this._safeCreateAndCacheServiceInstance(w,g,b.branch(w,!0)):(b.branch(w,!1),g)}_safeCreateAndCacheServiceInstance(w,b,g){if(this._activeInstantiations.has(w))throw new Error(`illegal state - RECURSIVELY instantiating service '${w}'`);this._activeInstantiations.add(w);try{return this._createAndCacheServiceInstance(w,b,g)}finally{this._activeInstantiations.delete(w)}}_createAndCacheServiceInstance(w,b,g){const f=new T.Graph(c=>c.id.toString());let v=0;const p=[{id:w,desc:b,_trace:g}];for(;p.length;){const c=p.pop();if(f.lookupOrInsertNode(c),v++>1e3)throw new I(f);for(const m of y._util.getServiceDependencies(c.desc.ctor)){const a=this._getServiceInstanceOrDescriptor(m.id);if(a||this._throwIfStrict(`[createInstance] ${w} depends on ${m.id} which is NOT registered.`,!0),a instanceof D.SyncDescriptor){const h={id:m.id,desc:a,_trace:c._trace.branch(m.id,!0)};f.insertEdge(c,h),p.push(h)}}}for(;;){const c=f.roots();if(c.length===0){if(!f.isEmpty())throw new I(f);break}for(const{data:m}of c){if(this._getServiceInstanceOrDescriptor(m.id)instanceof D.SyncDescriptor){const h=this._createServiceInstanceWithOwner(m.id,m.desc.ctor,m.desc.staticArguments,m.desc.supportsDelayedInstantiation,m._trace);this._setServiceInstance(m.id,h)}f.removeNode(m)}}return this._getServiceInstanceOrDescriptor(w)}_createServiceInstanceWithOwner(w,b,g=[],f,v){if(this._services.get(w)instanceof D.SyncDescriptor)return this._createServiceInstance(b,g,f,v);if(this._parent)return this._parent._createServiceInstanceWithOwner(w,b,g,f,v);throw new Error(`illegalState - creating UNKNOWN service instance ${b.name}`)}_createServiceInstance(w,b=[],g,f){if(g){const v=new u.IdleValue(()=>this._createInstance(w,b,f));return new Proxy(Object.create(null),{get(p,c){if(c in p)return p[c];const m=v.value;let a=m[c];return typeof a!="function"||(a=a.bind(m),p[c]=a),a},set(p,c,m){return v.value[c]=m,!0}})}else return this._createInstance(w,b,f)}_throwIfStrict(w,b){if(b&&console.warn(w),this._strict)throw new Error(w)}}e.InstantiationService=R;var k;(function(P){P[P.Creation=0]="Creation",P[P.Invocation=1]="Invocation",P[P.Branch=2]="Branch"})(k||(k={}));class _{constructor(w,b){this.type=w,this.name=b,this._start=Date.now(),this._dep=[]}static traceInvocation(w){return E?new _(1,w.name||w.toString().substring(0,42).replace(/\n/g,"")):_._None}static traceCreation(w){return E?new _(0,w.name):_._None}branch(w,b){const g=new _(2,w.toString());return this._dep.push([w,b,g]),g}stop(){const w=Date.now()-this._start;_._totals+=w;let b=!1;function g(v,p){const c=[],m=new Array(v+1).join("	");for(const[a,h,r]of p._dep)if(h&&r){b=!0,c.push(`${m}CREATES -> ${a}`);const o=g(v+1,r);o&&c.push(o)}else c.push(`${m}uses -> ${a}`);return c.join(`
`)}const f=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${g(1,this)}`,`DONE, took ${w.toFixed(2)}ms (grand total ${_._totals.toFixed(2)}ms)`];(w>2||b)&&console.log(f.join(`
`))}}e.Trace=_,_._None=new class extends _{constructor(){super(-1,null)}stop(){}branch(){return this}},_._totals=0}),define(Ie[14],ke([1,0,49,3,6,13,4]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,y.createDecorator)("logService"),e.ILoggerService=(0,y.createDecorator)("loggerService");function C(){return new Date().toISOString()}var E;(function(h){h[h.Trace=0]="Trace",h[h.Debug=1]="Debug",h[h.Info=2]="Info",h[h.Warning=3]="Warning",h[h.Error=4]="Error",h[h.Critical=5]="Critical",h[h.Off=6]="Off"})(E=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=E.Info;function I(h,r,o){switch(r){case E.Trace:h.trace(o);break;case E.Debug:h.debug(o);break;case E.Info:h.info(o);break;case E.Warning:h.warn(o);break;case E.Error:h.error(o);break;case E.Critical:h.critical(o);break;default:throw new Error("Invalid log level")}}e.log=I;function R(h){let r="";for(let o=0;o<h.length;o++){let i=h[o];if(typeof i=="object")try{i=JSON.stringify(i)}catch{}r+=(o>0?" ":"")+i}return r}e.format=R;class k extends D.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new t.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(r){this.level!==r&&(this.level=r,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=k;class _ extends k{constructor(r){super();this.logAlways=r}checkLogLevel(r){return this.logAlways||this.getLevel()<=r}trace(r,...o){this.checkLogLevel(E.Trace)&&this.log(E.Trace,R([r,...o]))}debug(r,...o){this.checkLogLevel(E.Debug)&&this.log(E.Debug,R([r,...o]))}info(r,...o){this.checkLogLevel(E.Info)&&this.log(E.Info,R([r,...o]))}warn(r,...o){this.checkLogLevel(E.Warning)&&this.log(E.Warning,R([r,...o]))}error(r,...o){if(this.checkLogLevel(E.Error))if(r instanceof Error){const i=Array.prototype.slice.call(arguments);i[0]=r.stack,this.log(E.Error,R(i))}else this.log(E.Error,R([r,...o]))}critical(r,...o){this.checkLogLevel(E.Critical)&&this.log(E.Critical,R([r,...o]))}flush(){}}e.AbstractMessageLogger=_;class P extends k{constructor(r=e.DEFAULT_LOG_LEVEL){super();this.setLevel(r),this.useColors=!T.isWindows}trace(r,...o){this.getLevel()<=E.Trace&&(this.useColors?console.log(`[90m[main ${C()}][0m`,r,...o):console.log(`[main ${C()}]`,r,...o))}debug(r,...o){this.getLevel()<=E.Debug&&(this.useColors?console.log(`[90m[main ${C()}][0m`,r,...o):console.log(`[main ${C()}]`,r,...o))}info(r,...o){this.getLevel()<=E.Info&&(this.useColors?console.log(`[90m[main ${C()}][0m`,r,...o):console.log(`[main ${C()}]`,r,...o))}warn(r,...o){this.getLevel()<=E.Warning&&(this.useColors?console.warn(`[93m[main ${C()}][0m`,r,...o):console.warn(`[main ${C()}]`,r,...o))}error(r,...o){this.getLevel()<=E.Error&&(this.useColors?console.error(`[91m[main ${C()}][0m`,r,...o):console.error(`[main ${C()}]`,r,...o))}critical(r,...o){this.getLevel()<=E.Critical&&(this.useColors?console.error(`[90m[main ${C()}][0m`,r,...o):console.error(`[main ${C()}]`,r,...o))}dispose(){}flush(){}}e.ConsoleMainLogger=P;class w extends k{constructor(r=e.DEFAULT_LOG_LEVEL){super();this.setLevel(r)}trace(r,...o){this.getLevel()<=E.Trace&&console.log("%cTRACE","color: #888",r,...o)}debug(r,...o){this.getLevel()<=E.Debug&&console.log("%cDEBUG","background: #eee; color: #888",r,...o)}info(r,...o){this.getLevel()<=E.Info&&console.log("%c INFO","color: #33f",r,...o)}warn(r,...o){this.getLevel()<=E.Warning&&console.log("%c WARN","color: #993",r,...o)}error(r,...o){this.getLevel()<=E.Error&&console.log("%c  ERR","color: #f33",r,...o)}critical(r,...o){this.getLevel()<=E.Critical&&console.log("%cCRITI","background: #f33; color: white",r,...o)}dispose(){}flush(){}}e.ConsoleLogger=w;class b extends k{constructor(r,o=e.DEFAULT_LOG_LEVEL){super();this.adapter=r,this.setLevel(o)}trace(r,...o){this.getLevel()<=E.Trace&&this.adapter.log(E.Trace,[this.extractMessage(r),...o])}debug(r,...o){this.getLevel()<=E.Debug&&this.adapter.log(E.Debug,[this.extractMessage(r),...o])}info(r,...o){this.getLevel()<=E.Info&&this.adapter.log(E.Info,[this.extractMessage(r),...o])}warn(r,...o){this.getLevel()<=E.Warning&&this.adapter.log(E.Warning,[this.extractMessage(r),...o])}error(r,...o){this.getLevel()<=E.Error&&this.adapter.log(E.Error,[this.extractMessage(r),...o])}critical(r,...o){this.getLevel()<=E.Critical&&this.adapter.log(E.Critical,[this.extractMessage(r),...o])}extractMessage(r){return typeof r=="string"?r:(0,u.toErrorMessage)(r,this.getLevel()<=E.Trace)}dispose(){}flush(){}}e.AdapterLogger=b;class g extends k{constructor(r){super();this.logServices=r,r.length&&this.setLevel(r[0].getLevel())}setLevel(r){for(const o of this.logServices)o.setLevel(r);super.setLevel(r)}trace(r,...o){for(const i of this.logServices)i.trace(r,...o)}debug(r,...o){for(const i of this.logServices)i.debug(r,...o)}info(r,...o){for(const i of this.logServices)i.info(r,...o)}warn(r,...o){for(const i of this.logServices)i.warn(r,...o)}error(r,...o){for(const i of this.logServices)i.error(r,...o)}critical(r,...o){for(const i of this.logServices)i.critical(r,...o)}flush(){for(const r of this.logServices)r.flush()}dispose(){for(const r of this.logServices)r.dispose()}}e.MultiplexLogService=g;class f extends D.Disposable{constructor(r){super();this.logger=r,this._register(r)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(r){this.logger.setLevel(r)}getLevel(){return this.logger.getLevel()}trace(r,...o){this.logger.trace(r,...o)}debug(r,...o){this.logger.debug(r,...o)}info(r,...o){this.logger.info(r,...o)}warn(r,...o){this.logger.warn(r,...o)}error(r,...o){this.logger.error(r,...o)}critical(r,...o){this.logger.critical(r,...o)}flush(){this.logger.flush()}}e.LogService=f;class v extends D.Disposable{constructor(r,o){super();this.logLevel=r,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(o(i=>{this.logLevel=i,this.logLevelChangeableLoggers.forEach(n=>n.setLevel(i))}))}getLogger(r){return this.loggers.get(r.toString())}createLogger(r,o){let i=this.loggers.get(r.toString());return i||(i=this.doCreateLogger(r,o?.always?E.Trace:this.logLevel,o),this.loggers.set(r.toString(),i),o?.always||this.logLevelChangeableLoggers.push(i)),i}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(r=>r.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=v;class p{constructor(){this.onDidChangeLogLevel=new t.Emitter().event}setLevel(r){}getLevel(){return E.Info}trace(r,...o){}debug(r,...o){}info(r,...o){}warn(r,...o){}error(r,...o){}critical(r,...o){}dispose(){}flush(){}}e.NullLogService=p;function c(h){if(h.verbose)return E.Trace;if(typeof h.logLevel=="string"){const r=m(h.logLevel.toLowerCase());if(r!==void 0)return r}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=c;function m(h){switch(h){case"trace":return E.Trace;case"debug":return E.Debug;case"info":return E.Info;case"warn":return E.Warning;case"error":return E.Error;case"critical":return E.Critical;case"off":return E.Off}}e.parseLogLevel=m;function a(h){switch(h){case E.Trace:return"trace";case E.Debug:return"debug";case E.Info:return"info";case E.Warning:return"warn";case E.Error:return"error";case E.Critical:return"critical";case E.Off:return"off"}}e.LogLevelToString=a}),define(Ie[195],ke([1,0,43,14]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=void 0;async function D(C,E,I,R,k){try{const _=await new Promise((w,b)=>{Q(["spdlog"],w,b)});_.setFlushOn(t.LogLevel.Trace);const P=await _.createAsyncRotatingLogger(C,E,I,R);return k&&P.clearFormatters(),P}catch(_){console.error(_)}return null}function T(C,E,I){switch(E){case t.LogLevel.Trace:C.trace(I);break;case t.LogLevel.Debug:C.debug(I);break;case t.LogLevel.Info:C.info(I);break;case t.LogLevel.Warning:C.warn(I);break;case t.LogLevel.Error:C.error(I);break;case t.LogLevel.Critical:C.critical(I);break;default:throw new Error("Invalid log level")}}class y extends t.AbstractMessageLogger{constructor(E,I,R,k,_){super();this.buffer=[],this.setLevel(_),this._loggerCreationPromise=this._createSpdLogLogger(E,I,R,k),this._register(this.onDidChangeLogLevel(P=>{this._logger?.setLevel(P)}))}async _createSpdLogLogger(E,I,R,k){const _=R?6:1,P=30/_*u.ByteSize.MB,w=await D(E,I,P,_,k);if(w){this._logger=w,this._logger.setLevel(this.getLevel());for(const{level:b,message:g}of this.buffer)T(this._logger,b,g);this.buffer=[]}}log(E,I){this._logger?T(this._logger,E,I):this.getLevel()<=E&&this.buffer.push({level:E,message:I})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=y}),define(Ie[117],ke([1,0,41,168,4]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var T;(function(E){E[E.Unnecessary=1]="Unnecessary",E[E.Deprecated=2]="Deprecated"})(T=e.MarkerTag||(e.MarkerTag={}));var y;(function(E){E[E.Hint=1]="Hint",E[E.Info=2]="Info",E[E.Warning=4]="Warning",E[E.Error=8]="Error"})(y=e.MarkerSeverity||(e.MarkerSeverity={})),function(E){function I(w,b){return b-w}E.compare=I;const R=Object.create(null);R[E.Error]=(0,t.localize)(0,null),R[E.Warning]=(0,t.localize)(1,null),R[E.Info]=(0,t.localize)(2,null);function k(w){return R[w]||""}E.toString=k;function _(w){switch(w){case u.default.Error:return E.Error;case u.default.Warning:return E.Warning;case u.default.Info:return E.Info;case u.default.Ignore:return E.Hint}}E.fromSeverity=_;function P(w){switch(w){case E.Error:return u.default.Error;case E.Warning:return u.default.Warning;case E.Info:return u.default.Info;case E.Hint:return u.default.Ignore}}E.toSeverity=P}(y=e.MarkerSeverity||(e.MarkerSeverity={}));var C;(function(E){const I="";function R(_){return k(_,!0)}E.makeKey=R;function k(_,P){const w=[I];return _.source?w.push(_.source.replace("\xA6","\\\xA6")):w.push(I),_.code?typeof _.code=="string"?w.push(_.code.replace("\xA6","\\\xA6")):w.push(_.code.value.replace("\xA6","\\\xA6")):w.push(I),_.severity!==void 0&&_.severity!==null?w.push(y.toString(_.severity)):w.push(I),_.message&&P?w.push(_.message.replace("\xA6","\\\xA6")):w.push(I),_.startLineNumber!==void 0&&_.startLineNumber!==null?w.push(_.startLineNumber.toString()):w.push(I),_.startColumn!==void 0&&_.startColumn!==null?w.push(_.startColumn.toString()):w.push(I),_.endLineNumber!==void 0&&_.endLineNumber!==null?w.push(_.endLineNumber.toString()):w.push(I),_.endColumn!==void 0&&_.endColumn!==null?w.push(_.endColumn.toString()):w.push(I),w.push(I),w.join("\xA6")}E.makeKeyOptionalMessage=k})(C=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=(0,D.createDecorator)("markerService")}),define(Ie[196],ke([1,0,3,41,4]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=t.default,e.INotificationService=(0,D.createDecorator)("notificationService");var T;(function(I){I[I.WORKSPACE=0]="WORKSPACE",I[I.PROFILE=1]="PROFILE",I[I.APPLICATION=2]="APPLICATION"})(T=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var y;(function(I){I[I.OFF=0]="OFF",I[I.SILENT=1]="SILENT",I[I.ERROR=2]="ERROR"})(y=e.NotificationsFilter||(e.NotificationsFilter={}));class C{constructor(){this.progress=new E,this.onDidClose=u.Event.None,this.onDidChangeVisibility=u.Event.None}updateSeverity(R){}updateMessage(R){}updateActions(R){}close(){}}e.NoOpNotification=C;class E{infinite(){}done(){}total(R){}worked(R){}}e.NoOpProgress=E}),define(Ie[118],ke([1,0,6,8,2,4]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.extractSelection=e.withSelection=e.matchesSomeScheme=e.matchesScheme=e.NullOpenerService=e.IOpenerService=void 0,e.IOpenerService=(0,T.createDecorator)("openerService"),e.NullOpenerService=Object.freeze({_serviceBrand:void 0,registerOpener(){return u.Disposable.None},registerValidator(){return u.Disposable.None},registerExternalUriResolver(){return u.Disposable.None},setDefaultExternalOpener(){},registerExternalOpener(){return u.Disposable.None},async open(){return!1},async resolveExternalUri(R){return{resolved:R,dispose(){}}}});function y(R,k){return D.URI.isUri(R)?(0,t.equalsIgnoreCase)(R.scheme,k):(0,t.startsWithIgnoreCase)(R,k+":")}e.matchesScheme=y;function C(R,...k){return k.some(_=>y(R,_))}e.matchesSomeScheme=C;function E(R,k){return R.with({fragment:`${k.startLineNumber},${k.startColumn}${k.endLineNumber?`-${k.endLineNumber}${k.endColumn?`,${k.endColumn}`:""}`:""}`})}e.withSelection=E;function I(R){let k;const _=/^L?(\d+)(?:,(\d+))?(-L?(\d+)(?:,(\d+))?)?/.exec(R.fragment);return _&&(k={startLineNumber:parseInt(_[1]),startColumn:_[2]?parseInt(_[2]):1,endLineNumber:_[4]?parseInt(_[4]):void 0,endColumn:_[4]?_[5]?parseInt(_[5]):1:void 0},R=R.with({fragment:""})),{selection:k,uri:R}}e.extractSelection=I}),define(Ie[197],ke([1,0,11,13,40,22]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let y;if(typeof t.globals.vscode!="undefined"&&typeof t.globals.vscode.context!="undefined"){const C=t.globals.vscode.context.configuration();if(C)y=C.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof Q?.__$__nodeRequire=="function"){const C=(0,T.dirname)(u.FileAccess.asFileUri("",Q));y=Q.__$__nodeRequire((0,T.joinPath)(C,"product.json").fsPath);const E=Q.__$__nodeRequire((0,T.joinPath)(C,"package.json").fsPath);D.env.VSCODE_DEV&&Object.assign(y,{nameShort:`${y.nameShort} Dev`,nameLong:`${y.nameLong} Dev`,dataFolderName:`${y.dataFolderName}-dev`,serverDataFolderName:y.serverDataFolderName?`${y.serverDataFolderName}-dev`:void 0}),Object.assign(y,{version:E.version})}else y={},Object.keys(y).length===0&&Object.assign(y,{version:"1.67.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=y}),define(Ie[198],ke([1,0,4]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,u.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"});var He=this&&this.__param||function(Q,e){return function(u,t){e(u,t,Q)}};define(Ie[119],ke([1,0,18,21,6,4]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.UnmanagedProgress=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=(0,T.createDecorator)("progressService");var y;(function(R){R[R.Explorer=1]="Explorer",R[R.Scm=3]="Scm",R[R.Extensions=5]="Extensions",R[R.Window=10]="Window",R[R.Notification=15]="Notification",R[R.Dialog=20]="Dialog"})(y=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class C{constructor(k){this.callback=k}get value(){return this._value}report(k){this._value=k,this.callback(this._value)}}e.Progress=C,C.None=Object.freeze({report(){}});let E=class extends D.Disposable{constructor(k,_){super();this.deferred=new u.DeferredPromise,_.withProgress(k,P=>(this.reporter=P,this.lastStep&&P.report(this.lastStep),this.deferred.p)),this._register((0,D.toDisposable)(()=>this.deferred.complete()))}report(k){this.reporter?this.reporter.report(k):this.lastStep=k}};E=st([He(1,e.IProgressService)],E),e.UnmanagedProgress=E;class I extends D.Disposable{constructor(k){super();this.progressIndicator=k,this.currentOperationId=0,this.currentOperationDisposables=this._register(new D.DisposableStore)}start(k){this.stop();const _=++this.currentOperationId,P=new t.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{_===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},k),this.currentOperationDisposables.add((0,D.toDisposable)(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add((0,D.toDisposable)(()=>P.cancel())),this.currentOperationDisposables.add((0,D.toDisposable)(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:_,token:P.token,stop:()=>this.doStop(_),isCurrent:()=>this.currentOperationId===_}}stop(){this.doStop(this.currentOperationId)}doStop(k){this.currentOperationId===k&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=I,e.IEditorProgressService=(0,T.createDecorator)("editorProgressService")}),define(Ie[44],ke([1,0,56,10]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class D{constructor(){this.data=new Map}add(y,C){u.ok(t.isString(y)),u.ok(t.isObject(C)),u.ok(!this.data.has(y),"There is already an extension with this id"),this.data.set(y,C)}knows(y){return this.data.has(y)}as(y){return this.data.get(y)||null}}e.Registry=new D}),define(Ie[120],ke([1,0,3,44]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function D(C){return C.length>0&&C.charAt(C.length-1)==="#"?C.substring(0,C.length-1):C}class T{constructor(){this._onDidChangeSchema=new u.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(E,I){this.schemasById[D(E)]=I,this._onDidChangeSchema.fire(E)}notifySchemaChanged(E){this._onDidChangeSchema.fire(E)}getSchemaContributions(){return{schemas:this.schemasById}}}const y=new T;t.Registry.add(e.Extensions.JSONContribution,y)}),define(Ie[121],ke([1,0,16,3,10,163,83,120,44]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var I;(function(m){m.Multiline="multilineText",m.Singleline="singlelineText"})(I=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var R;(function(m){m[m.APPLICATION=1]="APPLICATION",m[m.MACHINE=2]="MACHINE",m[m.WINDOW=3]="WINDOW",m[m.RESOURCE=4]="RESOURCE",m[m.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",m[m.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(R=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const k=E.Registry.as(C.Extensions.JSONContribution);class _{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new t.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new t.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:T.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.policyConfigurations=new Map,this.excludedConfigurationProperties={},k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(a,h=!0){this.registerConfigurations([a],h)}registerConfigurations(a,h=!0){const r=this.doRegisterConfigurations(a,h);k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r})}deregisterConfigurations(a){const h=this.doDeregisterConfigurations(a);k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:h})}updateConfigurations({add:a,remove:h}){const r=[];r.push(...this.doDeregisterConfigurations(h)),r.push(...this.doRegisterConfigurations(a,!1)),k.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,u.distinct)(r)})}registerDefaultConfigurations(a){const h=[],r=[];for(const{overrides:o,source:i}of a)for(const n in o)if(h.push(n),e.OVERRIDE_PROPERTY_REGEX.test(n)){const s=this.configurationDefaultsOverrides.get(n),l=s?.valuesSources??new Map;if(i)for(const F of Object.keys(o[n]))l.set(F,i);const d={...s?.value||{},...o[n]};this.configurationDefaultsOverrides.set(n,{source:i,value:d,valuesSources:l});const S=(0,y.getLanguageTagSettingPlainKey)(n),L={type:"object",default:d,description:T.localize(1,null,S),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:d,source:D.isString(i)?void 0:i,defaultValueSource:i};r.push(...b(n)),this.configurationProperties[n]=L,this.defaultLanguageConfigurationOverridesNode.properties[n]=L}else{this.configurationDefaultsOverrides.set(n,{value:o[n],source:i});const s=this.configurationProperties[n];s&&(this.updatePropertyDefaultValue(n,s),this.updateSchema(n,s))}this.registerOverrideIdentifiers(r),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:h,defaultsOverrides:!0})}deregisterDefaultConfigurations(a){const h=[];for(const{overrides:r,source:o}of a)for(const i in r){const n=this.configurationDefaultsOverrides.get(i),s=D.isString(o)?o:o?.id,l=D.isString(n?.source)?n?.source:n?.source?.id;if(s===l)if(h.push(i),this.configurationDefaultsOverrides.delete(i),e.OVERRIDE_PROPERTY_REGEX.test(i))delete this.configurationProperties[i],delete this.defaultLanguageConfigurationOverridesNode.properties[i];else{const d=this.configurationProperties[i];d&&(this.updatePropertyDefaultValue(i,d),this.updateSchema(i,d))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:h,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...a){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(a){for(const h of a)this.overrideIdentifiers.add(h);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(a,h){const r=[];return a.forEach(o=>{r.push(...this.validateAndRegisterProperties(o,h,o.extensionInfo,o.restrictedProperties)),this.configurationContributors.push(o),this.registerJSONConfiguration(o)}),r}doDeregisterConfigurations(a){const h=[],r=o=>{if(o.properties)for(const i in o.properties){h.push(i);const n=this.configurationProperties[i];n?.policy?.name&&this.policyConfigurations.delete(n.policy.name),delete this.configurationProperties[i],this.removeFromSchema(i,o.properties[i])}o.allOf?.forEach(i=>r(i))};for(const o of a){r(o);const i=this.configurationContributors.indexOf(o);i!==-1&&this.configurationContributors.splice(i,1)}return h}validateAndRegisterProperties(a,h=!0,r,o,i=3){i=D.isUndefinedOrNull(a.scope)?i:a.scope;const n=[],s=a.properties;if(s)for(const d in s){const S=s[d];if(h&&p(d,S)){delete s[d];continue}if(S.source=r,S.defaultDefaultValue=s[d].default,this.updatePropertyDefaultValue(d,S),e.OVERRIDE_PROPERTY_REGEX.test(d)?S.scope=void 0:(S.scope=D.isUndefinedOrNull(S.scope)?i:S.scope,S.restricted=D.isUndefinedOrNull(S.restricted)?!!o?.includes(d):S.restricted),s[d].hasOwnProperty("included")&&!s[d].included){this.excludedConfigurationProperties[d]=s[d],delete s[d];continue}else this.configurationProperties[d]=s[d],s[d].policy?.name&&this.policyConfigurations.set(s[d].policy.name,d);!s[d].deprecationMessage&&s[d].markdownDeprecationMessage&&(s[d].deprecationMessage=s[d].markdownDeprecationMessage),n.push(d)}const l=a.allOf;if(l)for(const d of l)n.push(...this.validateAndRegisterProperties(d,h,r,o,i));return n}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getPolicyConfigurations(){return this.policyConfigurations}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(a){const h=r=>{const o=r.properties;if(o)for(const n in o)this.updateSchema(n,o[n]);r.allOf?.forEach(h)};h(a)}updateSchema(a,h){switch(e.allSettings.properties[a]=h,h.scope){case 1:e.applicationSettings.properties[a]=h;break;case 2:e.machineSettings.properties[a]=h;break;case 6:e.machineOverridableSettings.properties[a]=h;break;case 3:e.windowSettings.properties[a]=h;break;case 4:e.resourceSettings.properties[a]=h;break;case 5:e.resourceSettings.properties[a]=h,this.resourceLanguageSettingsSchema.properties[a]=h;break}}removeFromSchema(a,h){switch(delete e.allSettings.properties[a],h.scope){case 1:delete e.applicationSettings.properties[a];break;case 2:delete e.machineSettings.properties[a];break;case 6:delete e.machineOverridableSettings.properties[a];break;case 3:delete e.windowSettings.properties[a];break;case 4:case 5:delete e.resourceSettings.properties[a],delete this.resourceLanguageSettingsSchema.properties[a];break}}updateOverridePropertyPatternKey(){for(const a of this.overrideIdentifiers.values()){const h=`[${a}]`,r={type:"object",description:T.localize(2,null),errorMessage:T.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(h,r),e.allSettings.properties[h]=r,e.applicationSettings.properties[h]=r,e.machineSettings.properties[h]=r,e.machineOverridableSettings.properties[h]=r,e.windowSettings.properties[h]=r,e.resourceSettings.properties[h]=r}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const a={type:"object",description:T.localize(4,null),errorMessage:T.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=a,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=a,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=a,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=a,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=a,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=a,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(a,h){const r=this.configurationDefaultsOverrides.get(a);let o=r?.value,i=r?.source;D.isUndefined(o)&&(o=h.defaultDefaultValue,i=void 0),D.isUndefined(o)&&(o=f(h.type)),h.default=o,h.defaultValueSource=i}}const P="\\[([^\\]]+)\\]",w=new RegExp(P,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${P})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function b(m){const a=[];if(e.OVERRIDE_PROPERTY_REGEX.test(m)){let h=w.exec(m);for(;h?.length;){const r=h[1].trim();r&&a.push(r),h=w.exec(m)}}return(0,u.distinct)(a)}e.overrideIdentifiersFromKey=b;function g(m){return m.reduce((a,h)=>`${a}[${h}]`,"")}e.keyFromOverrideIdentifiers=g;function f(m){switch(Array.isArray(m)?m[0]:m){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=f;const v=new _;E.Registry.add(e.Extensions.Configuration,v);function p(m,a){return m.trim()?e.OVERRIDE_PROPERTY_REGEX.test(m)?T.localize(7,null,m):v.getConfigurationProperties()[m]!==void 0?T.localize(8,null,m):a.policy?.name&&v.getPolicyConfigurations().get(a.policy?.name)!==void 0?T.localize(9,null,m,a.policy?.name,v.getPolicyConfigurations().get(a.policy?.name)):null:T.localize(6,null)}e.validateProperty=p;function c(){const m=[],a=v.getConfigurationProperties();for(const h of Object.keys(a))m.push([h,a[h].scope]);return m.push(["launch",4]),m.push(["task",4]),m}e.getScopes=c}),define(Ie[199],ke([1,0,16,3,142,6,25,24,10,2,83,121,44]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.ConfigurationModel=void 0;class P{constructor(h={},r=[],o=[]){this._contents=h,this._keys=r,this._overrides=o,this.frozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}isFrozen(){return this.frozen}getValue(h){return h?(0,R.getConfigurationValue)(this.contents,h):this.contents}getOverrideValue(h,r){const o=this.getContentsForOverrideIdentifer(r);return o?h?(0,R.getConfigurationValue)(o,h):o:void 0}getKeysForOverrideIdentifier(h){const r=[];for(const o of this.overrides)o.identifiers.includes(h)&&r.push(...o.keys);return u.distinct(r)}getAllOverrideIdentifiers(){const h=[];for(const r of this.overrides)h.push(...r.identifiers);return u.distinct(h)}override(h){let r=this.overrideConfigurations.get(h);return r||(r=this.createOverrideConfigurationModel(h),this.overrideConfigurations.set(h,r)),r}merge(...h){const r=C.deepClone(this.contents),o=C.deepClone(this.overrides),i=[...this.keys];for(const n of h)if(!n.isEmpty()){this.mergeContents(r,n.contents);for(const s of n.overrides){const[l]=o.filter(d=>u.equals(d.identifiers,s.identifiers));l?(this.mergeContents(l.contents,s.contents),l.keys.push(...s.keys),l.keys=u.distinct(l.keys)):o.push(C.deepClone(s))}for(const s of n.keys)i.indexOf(s)===-1&&i.push(s)}return new P(r,i,o)}freeze(){return this.frozen=!0,this}clone(){return new P(C.deepClone(this.contents),[...this.keys],C.deepClone(this.overrides))}createOverrideConfigurationModel(h){const r=this.getContentsForOverrideIdentifer(h);if(!r||typeof r!="object"||!Object.keys(r).length)return this;const o={};for(const i of u.distinct([...Object.keys(this.contents),...Object.keys(r)])){let n=this.contents[i];const s=r[i];s&&(typeof n=="object"&&typeof s=="object"?(n=C.deepClone(n),this.mergeContents(n,s)):n=s),o[i]=n}return new P(o,this.keys,this.overrides)}mergeContents(h,r){for(const o of Object.keys(r)){if(o in h&&E.isObject(h[o])&&E.isObject(r[o])){this.mergeContents(h[o],r[o]);continue}h[o]=C.deepClone(r[o])}}checkAndFreeze(h){return this.frozen&&!Object.isFrozen(h)?C.deepFreeze(h):h}getContentsForOverrideIdentifer(h){let r=null,o=null;const i=n=>{n&&(o?this.mergeContents(o,n):o=C.deepClone(n))};for(const n of this.overrides)u.equals(n.identifiers,[h])?r=n.contents:n.identifiers.includes(h)&&i(n.contents);return i(r),o}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(h,r){this.addKey(h),(0,R.addToValueTree)(this.contents,h,r,o=>{throw new Error(o)})}removeValue(h){this.removeKey(h)&&(0,R.removeFromValueTree)(this.contents,h)}addKey(h){let r=this.keys.length;for(let o=0;o<r;o++)h.indexOf(this.keys[o])===0&&(r=o);this.keys.splice(r,1,h)}removeKey(h){const r=this.keys.indexOf(h);return r!==-1?(this.keys.splice(r,1),!0):!1}}e.ConfigurationModel=P;class w{constructor(h){this._name=h,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new P}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(h,r){if(!E.isUndefinedOrNull(h)){const o=this.doParseContent(h);this.parseRaw(o,r)}}reparse(h){this._raw&&this.parseRaw(this._raw,h)}parseRaw(h,r){this._raw=h;const{contents:o,keys:i,overrides:n,restricted:s}=this.doParseRaw(h,r);this._configurationModel=new P(o,i,n),this._restrictedConfigurations=s||[]}doParseContent(h){let r={},o=null,i=[];const n=[],s=[];function l(S){Array.isArray(i)?i.push(S):o!==null&&(i[o]=S)}const d={onObjectBegin:()=>{const S={};l(S),n.push(i),i=S,o=null},onObjectProperty:S=>{o=S},onObjectEnd:()=>{i=n.pop()},onArrayBegin:()=>{const S=[];l(S),n.push(i),i=S,o=null},onArrayEnd:()=>{i=n.pop()},onLiteralValue:l,onError:(S,L,F)=>{s.push({error:S,offset:L,length:F})}};if(h)try{D.visit(h,d),r=i[0]||{}}catch(S){console.error(`Error while parsing settings file ${this._name}: ${S}`),this._parseErrors=[S]}return r}doParseRaw(h,r){const o=_.Registry.as(k.Extensions.Configuration).getConfigurationProperties(),i=this.filter(h,o,!0,r);h=i.raw;const n=(0,R.toValuesTree)(h,d=>console.error(`Conflict in settings file ${this._name}: ${d}`)),s=Object.keys(h),l=this.toOverrides(h,d=>console.error(`Conflict in settings file ${this._name}: ${d}`));return{contents:n,keys:s,overrides:l,restricted:i.restricted}}filter(h,r,o,i){if(!i?.scopes&&!i?.skipRestricted)return{raw:h,restricted:[]};const n={},s=[];for(const l in h)if(k.OVERRIDE_PROPERTY_REGEX.test(l)&&o){const d=this.filter(h[l],r,!1,i);n[l]=d.raw,s.push(...d.restricted)}else{const d=r[l],S=d?typeof d.scope!="undefined"?d.scope:3:void 0;d?.restricted&&s.push(l),(S===void 0||i.scopes===void 0||i.scopes.includes(S))&&(i.skipRestricted&&d?.restricted||(n[l]=h[l]))}return{raw:n,restricted:s}}toOverrides(h,r){const o=[];for(const i of Object.keys(h))if(k.OVERRIDE_PROPERTY_REGEX.test(i)){const n={};for(const s in h[i])n[s]=h[i][s];o.push({identifiers:(0,k.overrideIdentifiersFromKey)(i),keys:Object.keys(n),contents:(0,R.toValuesTree)(n,r)})}return o}}e.ConfigurationModelParser=w;class b extends T.Disposable{constructor(h,r,o,i){super();this.userSettingsResource=h,this.scopes=r,this.fileService=i,this._onDidChange=this._register(new t.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new w(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(o.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(t.Event.any(t.Event.filter(this.fileService.onDidFilesChange,n=>n.contains(this.userSettingsResource)),t.Event.filter(this.fileService.onDidRunOperation,n=>(n.isOperation(0)||n.isOperation(3)||n.isOperation(1)||n.isOperation(4))&&o.isEqual(n.resource,h)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const h=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(h.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new P}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=b;class g{constructor(h,r,o,i,n=new P,s=new P,l=new y.ResourceMap,d=new P,S=new y.ResourceMap,L=!0){this._defaultConfiguration=h,this._policyConfiguration=r,this._applicationConfiguration=o,this._localUserConfiguration=i,this._remoteUserConfiguration=n,this._workspaceConfiguration=s,this._folderConfigurations=l,this._memoryConfiguration=d,this._memoryConfigurationByResource=S,this._freeze=L,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new y.ResourceMap,this._userConfiguration=null}getValue(h,r,o){return this.getConsolidatedConfigurationModel(h,r,o).getValue(h)}updateValue(h,r,o={}){let i;o.resource?(i=this._memoryConfigurationByResource.get(o.resource),i||(i=new P,this._memoryConfigurationByResource.set(o.resource,i))):i=this._memoryConfiguration,r===void 0?i.removeValue(h):i.setValue(h,r),o.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(h,r,o){const i=this.getConsolidatedConfigurationModel(h,r,o),n=this.getFolderConfigurationModelForResource(r.resource,o),s=r.resource?this._memoryConfigurationByResource.get(r.resource)||this._memoryConfiguration:this._memoryConfiguration,l=r.overrideIdentifier?this._defaultConfiguration.freeze().override(r.overrideIdentifier).getValue(h):this._defaultConfiguration.freeze().getValue(h),d=this._policyConfiguration.isEmpty()?void 0:this._policyConfiguration.freeze().getValue(h),S=this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration.freeze().getValue(h),L=r.overrideIdentifier?this.userConfiguration.freeze().override(r.overrideIdentifier).getValue(h):this.userConfiguration.freeze().getValue(h),F=r.overrideIdentifier?this.localUserConfiguration.freeze().override(r.overrideIdentifier).getValue(h):this.localUserConfiguration.freeze().getValue(h),N=r.overrideIdentifier?this.remoteUserConfiguration.freeze().override(r.overrideIdentifier).getValue(h):this.remoteUserConfiguration.freeze().getValue(h),A=o?r.overrideIdentifier?this._workspaceConfiguration.freeze().override(r.overrideIdentifier).getValue(h):this._workspaceConfiguration.freeze().getValue(h):void 0,$=n?r.overrideIdentifier?n.freeze().override(r.overrideIdentifier).getValue(h):n.freeze().getValue(h):void 0,B=r.overrideIdentifier?s.override(r.overrideIdentifier).getValue(h):s.getValue(h),z=i.getValue(h),X=u.distinct(i.overrides.map(M=>M.identifiers).flat()).filter(M=>i.getOverrideValue(h,M)!==void 0);return{defaultValue:l,policyValue:d,applicationValue:S,userValue:L,userLocalValue:F,userRemoteValue:N,workspaceValue:A,workspaceFolderValue:$,memoryValue:B,value:z,default:l!==void 0?{value:this._defaultConfiguration.freeze().getValue(h),override:r.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(h,r.overrideIdentifier):void 0}:void 0,policy:d!==void 0?{value:d}:void 0,application:S!==void 0?{value:S,override:r.overrideIdentifier?this.applicationConfiguration.freeze().getOverrideValue(h,r.overrideIdentifier):void 0}:void 0,user:L!==void 0?{value:this.userConfiguration.freeze().getValue(h),override:r.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(h,r.overrideIdentifier):void 0}:void 0,userLocal:F!==void 0?{value:this.localUserConfiguration.freeze().getValue(h),override:r.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(h,r.overrideIdentifier):void 0}:void 0,userRemote:N!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(h),override:r.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(h,r.overrideIdentifier):void 0}:void 0,workspace:A!==void 0?{value:this._workspaceConfiguration.freeze().getValue(h),override:r.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(h,r.overrideIdentifier):void 0}:void 0,workspaceFolder:$!==void 0?{value:n?.freeze().getValue(h),override:r.overrideIdentifier?n?.freeze().getOverrideValue(h,r.overrideIdentifier):void 0}:void 0,memory:B!==void 0?{value:s.getValue(h),override:r.overrideIdentifier?s.getOverrideValue(h,r.overrideIdentifier):void 0}:void 0,overrideIdentifiers:X.length?X:void 0}}keys(h){const r=this.getFolderConfigurationModelForResource(void 0,h);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:r?r.freeze().keys:[]}}updateDefaultConfiguration(h){this._defaultConfiguration=h,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updatePolicyConfiguration(h){this._policyConfiguration=h}updateApplicationConfiguration(h){this._applicationConfiguration=h,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(h){this._localUserConfiguration=h,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(h){this._remoteUserConfiguration=h,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(h){this._workspaceConfiguration=h,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(h,r){this._folderConfigurations.set(h,r),this._foldersConsolidatedConfigurations.delete(h)}deleteFolderConfiguration(h){this.folderConfigurations.delete(h),this._foldersConsolidatedConfigurations.delete(h)}compareAndUpdateDefaultConfiguration(h,r){const o=[];if(!r){const{added:i,updated:n,removed:s}=c(this._defaultConfiguration,h);r=[...i,...n,...s]}for(const i of r)for(const n of(0,k.overrideIdentifiersFromKey)(i)){const s=this._defaultConfiguration.getKeysForOverrideIdentifier(n),l=h.getKeysForOverrideIdentifier(n),d=[...l.filter(S=>s.indexOf(S)===-1),...s.filter(S=>l.indexOf(S)===-1),...s.filter(S=>!C.equals(this._defaultConfiguration.override(n).getValue(S),h.override(n).getValue(S)))];o.push([n,d])}return this.updateDefaultConfiguration(h),{keys:r,overrides:o}}compareAndUpdatePolicyConfiguration(h){const{added:r,updated:o,removed:i}=c(this._policyConfiguration,h),n=[...r,...o,...i];return n.length&&this.updatePolicyConfiguration(h),{keys:n,overrides:[]}}compareAndUpdateApplicationConfiguration(h){const{added:r,updated:o,removed:i,overrides:n}=c(this.applicationConfiguration,h),s=[...r,...o,...i];return s.length&&this.updateApplicationConfiguration(h),{keys:s,overrides:n}}compareAndUpdateLocalUserConfiguration(h){const{added:r,updated:o,removed:i,overrides:n}=c(this.localUserConfiguration,h),s=[...r,...o,...i];return s.length&&this.updateLocalUserConfiguration(h),{keys:s,overrides:n}}compareAndUpdateRemoteUserConfiguration(h){const{added:r,updated:o,removed:i,overrides:n}=c(this.remoteUserConfiguration,h),s=[...r,...o,...i];return s.length&&this.updateRemoteUserConfiguration(h),{keys:s,overrides:n}}compareAndUpdateWorkspaceConfiguration(h){const{added:r,updated:o,removed:i,overrides:n}=c(this.workspaceConfiguration,h),s=[...r,...o,...i];return s.length&&this.updateWorkspaceConfiguration(h),{keys:s,overrides:n}}compareAndUpdateFolderConfiguration(h,r){const o=this.folderConfigurations.get(h),{added:i,updated:n,removed:s,overrides:l}=c(o,r),d=[...i,...n,...s];return(d.length||!o)&&this.updateFolderConfiguration(h,r),{keys:d,overrides:l}}compareAndDeleteFolderConfiguration(h){const r=this.folderConfigurations.get(h);if(!r)throw new Error("Unknown folder");this.deleteFolderConfiguration(h);const{added:o,updated:i,removed:n,overrides:s}=c(r,void 0);return{keys:[...o,...i,...n],overrides:s}}get defaults(){return this._defaultConfiguration}get applicationConfiguration(){return this._applicationConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidatedConfigurationModel(h,r,o){let i=this.getConsolidatedConfigurationModelForResource(r,o);return r.overrideIdentifier&&(i=i.override(r.overrideIdentifier)),!this._policyConfiguration.isEmpty()&&this._policyConfiguration.getValue(h)!==void 0&&(i=i.merge(this._policyConfiguration)),i}getConsolidatedConfigurationModelForResource({resource:h},r){let o=this.getWorkspaceConsolidatedConfiguration();if(r&&h){const i=r.getFolder(h);i&&(o=this.getFolderConsolidatedConfiguration(i.uri)||o);const n=this._memoryConfigurationByResource.get(h);n&&(o=o.merge(n))}return o}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.applicationConfiguration,this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(h){let r=this._foldersConsolidatedConfigurations.get(h);if(!r){const o=this.getWorkspaceConsolidatedConfiguration(),i=this._folderConfigurations.get(h);i?(r=o.merge(i),this._freeze&&(r=r.freeze()),this._foldersConsolidatedConfigurations.set(h,r)):r=o}return r}getFolderConfigurationModelForResource(h,r){if(r&&h){const o=r.getFolder(h);if(o)return this._folderConfigurations.get(o.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},policy:{contents:this._policyConfiguration.contents,overrides:this._policyConfiguration.overrides,keys:this._policyConfiguration.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((h,r)=>{const{contents:o,overrides:i,keys:n}=this._folderConfigurations.get(r);return h.push([r,{contents:o,overrides:i,keys:n}]),h},[])}}allKeys(){const h=new Set;return this._defaultConfiguration.freeze().keys.forEach(r=>h.add(r)),this.userConfiguration.freeze().keys.forEach(r=>h.add(r)),this._workspaceConfiguration.freeze().keys.forEach(r=>h.add(r)),this._folderConfigurations.forEach(r=>r.freeze().keys.forEach(o=>h.add(o))),[...h.values()]}allOverrideIdentifiers(){const h=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(r=>h.add(r)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(r=>h.add(r)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(r=>h.add(r)),this._folderConfigurations.forEach(r=>r.freeze().getAllOverrideIdentifiers().forEach(o=>h.add(o))),[...h.values()]}getAllKeysForOverrideIdentifier(h){const r=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(h).forEach(o=>r.add(o)),this.userConfiguration.getKeysForOverrideIdentifier(h).forEach(o=>r.add(o)),this._workspaceConfiguration.getKeysForOverrideIdentifier(h).forEach(o=>r.add(o)),this._folderConfigurations.forEach(o=>o.getKeysForOverrideIdentifier(h).forEach(i=>r.add(i))),[...r.values()]}static parse(h){const r=this.parseConfigurationModel(h.defaults),o=this.parseConfigurationModel(h.policy),i=this.parseConfigurationModel(h.application),n=this.parseConfigurationModel(h.user),s=this.parseConfigurationModel(h.workspace),l=h.folders.reduce((d,S)=>(d.set(I.URI.revive(S[0]),this.parseConfigurationModel(S[1])),d),new y.ResourceMap);return new g(r,o,i,n,new P,s,l,new P,new y.ResourceMap,!1)}static parseConfigurationModel(h){return new P(h.contents,h.keys,h.overrides).freeze()}}e.Configuration=g;function f(...a){if(a.length===0)return{keys:[],overrides:[]};if(a.length===1)return a[0];const h=new Set,r=new Map;for(const i of a)i.keys.forEach(n=>h.add(n)),i.overrides.forEach(([n,s])=>{const l=(0,y.getOrSet)(r,n,new Set);s.forEach(d=>l.add(d))});const o=[];return r.forEach((i,n)=>o.push([n,[...i.values()]])),{keys:[...h.values()],overrides:o}}e.mergeChanges=f;class v{constructor(h,r,o,i){this.change=h,this.previous=r,this.currentConfiguraiton=o,this.currentWorkspace=i,this._previousConfiguration=void 0;const n=new Set;h.keys.forEach(l=>n.add(l)),h.overrides.forEach(([,l])=>l.forEach(d=>n.add(d))),this.affectedKeys=[...n.values()];const s=new P;this.affectedKeys.forEach(l=>s.setValue(l,{})),this.affectedKeysTree=s.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=g.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(h,r){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,h)){if(r){const o=this.previousConfiguration?this.previousConfiguration.getValue(h,r,this.previous?.workspace):void 0,i=this.currentConfiguraiton.getValue(h,r,this.currentWorkspace);return!C.equals(o,i)}return!0}return!1}doesAffectedKeysTreeContains(h,r){let o=(0,R.toValuesTree)({[r]:!0},()=>{}),i;for(;typeof o=="object"&&(i=Object.keys(o)[0]);){if(h=h[i],!h)return!1;o=o[i]}return!0}}e.ConfigurationChangeEvent=v;class p extends v{constructor(h,r,o,i){super({keys:h.allKeys(),overrides:[]},void 0,h,r);this.source=o,this.sourceConfig=i}}e.AllKeysConfigurationChangeEvent=p;function c(a,h){const{added:r,removed:o,updated:i}=m(h,a),n=[],s=a?.getAllOverrideIdentifiers()||[],l=h?.getAllOverrideIdentifiers()||[];if(h){const d=l.filter(S=>!s.includes(S));for(const S of d)n.push([S,h.getKeysForOverrideIdentifier(S)])}if(a){const d=s.filter(S=>!l.includes(S));for(const S of d)n.push([S,a.getKeysForOverrideIdentifier(S)])}if(h&&a){for(const d of s)if(l.includes(d)){const S=m({contents:a.getOverrideValue(void 0,d)||{},keys:a.getKeysForOverrideIdentifier(d)},{contents:h.getOverrideValue(void 0,d)||{},keys:h.getKeysForOverrideIdentifier(d)});n.push([d,[...S.added,...S.removed,...S.updated]])}}return{added:r,removed:o,updated:i,overrides:n}}function m(a,h){const r=a?h?a.keys.filter(n=>h.keys.indexOf(n)===-1):[...a.keys]:[],o=h?a?h.keys.filter(n=>a.keys.indexOf(n)===-1):[...h.keys]:[],i=[];if(a&&h){for(const n of h.keys)if(a.keys.indexOf(n)!==-1){const s=(0,R.getConfigurationValue)(h.contents,n),l=(0,R.getConfigurationValue)(a.contents,n);C.equals(s,l)||i.push(n)}}return{added:r,removed:o,updated:i}}}),define(Ie[122],ke([1,0,12,4]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,t.createDecorator)("remoteAuthorityResolverService");var D;(function(y){y.Unknown="Unknown",y.NotAvailable="NotAvailable",y.TemporarilyNotAvailable="TemporarilyNotAvailable",y.NoResolverFound="NoResolverFound"})(D=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class T extends u.ErrorNoTelemetry{constructor(C,E=D.Unknown,I){super(C);this._message=C,this._code=E,this._detail=I,this.isHandled=E===D.NotAvailable&&I===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,T.prototype)}static isTemporarilyNotAvailable(C){return C instanceof T&&C._code===D.TemporarilyNotAvailable}static isNoResolverFound(C){return C instanceof T&&C._code===D.NoResolverFound}static isHandled(C){return C instanceof T&&C.isHandled}}e.RemoteAuthorityResolverError=T}),define(Ie[123],ke([1,0,11]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseAuthorityWithOptionalPort=e.parseAuthorityWithPort=e.getRemoteServerRootPath=e.getRemoteName=e.getRemoteAuthority=void 0;function t(I){return I.scheme===u.Schemas.vscodeRemote?I.authority:void 0}e.getRemoteAuthority=t;function D(I){if(!I)return;const R=I.indexOf("+");return R<0?I:I.substr(0,R)}e.getRemoteName=D;function T(I){return`/${I.quality??"oss"}-${I.commit??"dev"}`}e.getRemoteServerRootPath=T;function y(I){const{host:R,port:k}=E(I);if(typeof k=="undefined")throw new Error("Remote authority doesn't contain a port!");return{host:R,port:k}}e.parseAuthorityWithPort=y;function C(I,R){let{host:k,port:_}=E(I);return typeof _=="undefined"&&(_=R),{host:k,port:_}}e.parseAuthorityWithOptionalPort=C;function E(I){const R=I.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(R)return{host:R[1],port:parseInt(R[2],10)};const k=I.match(/^(\[[0-9a-z:]+\])$/);if(k)return{host:k[1],port:void 0};const _=I.match(/(.*):(\d+)$/);return _?{host:_[1],port:parseInt(_[2],10)}:{host:I,port:void 0}}}),define(Ie[28],ke([1,0,8,4,123]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.isApplicationScopedExtension=e.ExtensionIdentifier=e.TargetPlatform=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.UNDEFINED_PUBLISHER=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.UNDEFINED_PUBLISHER="undefined_publisher",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function T(w){if(typeof w=="object"&&w!==null&&w.supported!==!0)return w.description}e.getWorkspaceSupportTypeMessage=T;function y(w){return w&&typeof w=="object"&&typeof w.id=="string"&&(!w.uuid||typeof w.uuid=="string")}e.isIExtensionIdentifier=y,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var C;(function(w){w[w.System=0]="System",w[w.User=1]="User"})(C=e.ExtensionType||(e.ExtensionType={}));var E;(function(w){w.WIN32_X64="win32-x64",w.WIN32_IA32="win32-ia32",w.WIN32_ARM64="win32-arm64",w.LINUX_X64="linux-x64",w.LINUX_ARM64="linux-arm64",w.LINUX_ARMHF="linux-armhf",w.ALPINE_X64="alpine-x64",w.ALPINE_ARM64="alpine-arm64",w.DARWIN_X64="darwin-x64",w.DARWIN_ARM64="darwin-arm64",w.WEB="web",w.UNIVERSAL="universal",w.UNKNOWN="unknown",w.UNDEFINED="undefined"})(E=e.TargetPlatform||(e.TargetPlatform={}));class I{constructor(b){this.value=b,this._lower=b.toLowerCase()}static equals(b,g){if(typeof b=="undefined"||b===null)return typeof g=="undefined"||g===null;if(typeof g=="undefined"||g===null)return!1;if(typeof b=="string"||typeof g=="string"){const f=typeof b=="string"?b:b.value,v=typeof g=="string"?g:g.value;return u.equalsIgnoreCase(f,v)}return b._lower===g._lower}static toKey(b){return typeof b=="string"?b.toLowerCase():b._lower}}e.ExtensionIdentifier=I;function R(w){return k(w)}e.isApplicationScopedExtension=R;function k(w){return w.contributes&&w.contributes.localizations?w.contributes.localizations.length>0:!1}e.isLanguagePackExtension=k;function _(w){return w.contributes&&w.contributes.authentication?w.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=_;function P(w,b){if(b){const g=`onResolveRemoteAuthority:${(0,D.getRemoteName)(b)}`;return w.activationEvents?.indexOf(g)!==-1}return!1}e.isResolverExtension=P,e.IBuiltinExtensionsScannerService=(0,t.createDecorator)("IBuiltinExtensionsScannerService")}),define(Ie[200],ke([1,0,8,84,28,13,2,12,40]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeTargetPlatform=e.isAlpineLinux=e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.getIdAndVersion=e.ExtensionKey=e.areSameExtensions=void 0;function I(r,o){return r.uuid&&o.uuid?r.uuid===o.uuid:r.id===o.id?!0:(0,u.compareIgnoreCase)(r.id,o.id)===0}e.areSameExtensions=I;const R=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class k{constructor(o,i,n="undefined"){this.version=i,this.targetPlatform=n,this.id=o.id}static create(o){const i=o.manifest?o.manifest.version:o.version,n=o.manifest?o.targetPlatform:o.properties.targetPlatform;return new k(o.identifier,i,n)}static parse(o){const i=R.exec(o);return i&&i[1]&&i[2]?new k({id:i[1]},i[2],i[4]||void 0):null}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(o){return o instanceof k?I(this,o)&&this.version===o.version&&this.targetPlatform===o.targetPlatform:!1}}e.ExtensionKey=k;const _=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function P(r){const o=_.exec(r);return o&&o[1]?[b(o[1]),o[2]]:[b(r),void 0]}e.getIdAndVersion=P;function w(r,o){return`${r}.${o}`}e.getExtensionId=w;function b(r){return r.toLocaleLowerCase()}e.adoptToGalleryExtensionId=b;function g(r,o){return b(w(r,o))}e.getGalleryExtensionId=g;function f(r,o){const i=[],n=s=>{for(const l of i)if(l.some(d=>I(o(d),o(s))))return l;return null};for(const s of r){const l=n(s);l?l.push(s):i.push([s])}return i}e.groupByExtension=f;function v(r){return{id:r.identifier.id,name:r.manifest.name,galleryId:null,publisherId:r.publisherId,publisherName:r.manifest.publisher,publisherDisplayName:r.publisherDisplayName,dependencies:r.manifest.extensionDependencies&&r.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=v;function p(r){return{id:r.identifier.id,name:r.name,galleryId:r.identifier.uuid,publisherId:r.publisherId,publisherName:r.publisher,publisherDisplayName:r.publisherDisplayName,isPreReleaseVersion:r.properties.isPreReleaseVersion,dependencies:!!(r.properties.dependencies&&r.properties.dependencies.length>0),...r.telemetryData}}e.getGalleryExtensionTelemetryData=p,e.BetterMergeId=new D.ExtensionIdentifier("pprice.better-merge");function c(r){const o=new Set;if(r.malicious)for(const i of r.malicious)o.add(i.id);return o}e.getMaliciousExtensionsSet=c;function m(r,o){const i=[],n=o.manifest.extensionDependencies?.slice(0)??[];for(;n.length;){const s=n.shift();if(s&&i.every(l=>!I(l.identifier,{id:s}))){const l=r.filter(d=>I(d.identifier,{id:s}));l.length===1&&(i.push(l[0]),n.push(...l[0].manifest.extensionDependencies?.slice(0)??[]))}}return i}e.getExtensionDependencies=m;async function a(r,o){if(!T.isLinux)return!1;let i;try{i=(await r.readFile(y.URI.file("/etc/os-release"))).value.toString()}catch{try{i=(await r.readFile(y.URI.file("/usr/lib/os-release"))).value.toString()}catch(s){o.debug("Error while getting the os-release file.",(0,C.getErrorMessage)(s))}}return!!i&&(i.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}e.isAlpineLinux=a;async function h(r,o){const i=await a(r,o),n=(0,t.getTargetPlatform)(i?"alpine":T.platform,E.arch);return o.debug("ComputeTargetPlatform:",n),n}e.computeTargetPlatform=h}),define(Ie[201],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class u{constructor(){this.validators=new Map}vsda(){return new Promise((D,T)=>Q(["vsda"],D,T))}async createNewMessage(D){try{const T=await this.vsda(),y=new T.validator;if(y){const C=String(u._nextId++);return this.validators.set(C,y),{id:C,data:y.createNewMessage(D)}}}catch{}return{id:"",data:D}}async validate(D,T){if(!D.id)return!0;const y=this.validators.get(D.id);if(!y)return!1;this.validators.delete(D.id);try{return y.validate(T)==="ok"}catch{return!1}}async sign(D){try{const T=await this.vsda(),y=new T.signer;if(y)return y.sign(D)}catch{}return D}}e.SignService=u,u._nextId=1}),define(Ie[202],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class u{constructor(D){this._callback=D,this._terminalBufferMap=new Map}dispose(){for(const D of this._terminalBufferMap.values())D.dispose()}startBuffering(D,T,y=5){const C=T(E=>{const I=typeof E=="string"?E:E.data;let R=this._terminalBufferMap.get(D);if(R){R.data.push(I);return}const k=setTimeout(()=>this.flushBuffer(D),y);R={data:[I],timeoutId:k,dispose:()=>{clearTimeout(k),this.flushBuffer(D),C.dispose()}},this._terminalBufferMap.set(D,R)});return C}stopBuffering(D){const T=this._terminalBufferMap.get(D);T&&T.dispose()}flushBuffer(D){const T=this._terminalBufferMap.get(D);T&&(this._terminalBufferMap.delete(D),this._callback(D,T.data.join("")))}}e.TerminalDataBufferer=u}),define(Ie[203],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isDark=e.isHighContrast=e.ColorScheme=void 0;var u;(function(T){T.DARK="dark",T.LIGHT="light",T.HIGH_CONTRAST_DARK="hcDark",T.HIGH_CONTRAST_LIGHT="hcLight"})(u=e.ColorScheme||(e.ColorScheme={}));function t(T){return T===u.HIGH_CONTRAST_DARK||T===u.HIGH_CONTRAST_LIGHT}e.isHighContrast=t;function D(T){return T===u.DARK||T===u.HIGH_CONTRAST_DARK}e.isDark=D}),define(Ie[86],ke([1,0,76,3,6,4,44,203]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,T.createDecorator)("themeService");var E;(function(g){function f(v){return v&&typeof v=="object"&&typeof v.id=="string"}g.isThemeColor=f})(E=e.ThemeColor||(e.ThemeColor={}));function I(g){return{id:g}}e.themeColorFromId=I;var R;(function(g){function f(o){return o&&typeof o=="object"&&typeof o.id=="string"&&(typeof o.color=="undefined"||E.isThemeColor(o.color))}g.isThemeIcon=f;const v=new RegExp(`^\\$\\((${u.CSSIcon.iconNameExpression}(?:${u.CSSIcon.iconModifierExpression})?)\\)$`);function p(o){const i=v.exec(o);if(!i)return;const[,n]=i;return{id:n}}g.fromString=p;function c(o){return{id:o}}g.fromId=c;function m(o,i){let n=o.id;const s=n.lastIndexOf("~");return s!==-1&&(n=n.substring(0,s)),i&&(n=`${n}~${i}`),{id:n}}g.modify=m;function a(o){const i=o.id.lastIndexOf("~");if(i!==-1)return o.id.substring(i+1)}g.getModifier=a;function h(o,i){return o.id===i.id&&o.color?.id===i.color?.id}g.isEqual=h;function r(o,i){return{id:o.id,color:i?I(i):void 0}}g.asThemeIcon=r,g.asClassNameArray=u.CSSIcon.asClassNameArray,g.asClassName=u.CSSIcon.asClassName,g.asCSSSelector=u.CSSIcon.asCSSSelector})(R=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=u.Codicon.file,e.FolderThemeIcon=u.Codicon.folder;function k(g){switch(g){case C.ColorScheme.DARK:return"vs-dark";case C.ColorScheme.HIGH_CONTRAST_DARK:return"hc-black";case C.ColorScheme.HIGH_CONTRAST_LIGHT:return"hc-light";default:return"vs"}}e.getThemeTypeSelector=k,e.Extensions={ThemingContribution:"base.contributions.theming"};class _{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new t.Emitter}onColorThemeChange(f){return this.themingParticipants.push(f),this.onThemingParticipantAddedEmitter.fire(f),(0,D.toDisposable)(()=>{const v=this.themingParticipants.indexOf(f);this.themingParticipants.splice(v,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}const P=new _;y.Registry.add(e.Extensions.ThemingContribution,P);function w(g){return P.onColorThemeChange(g)}e.registerThemingParticipant=w;class b extends D.Disposable{constructor(f){super();this.themeService=f,this.theme=f.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(v=>this.onThemeChange(v)))}onThemeChange(f){this.theme=f,this.updateStyles()}updateStyles(){}getColor(f,v){let p=this.theme.getColor(f);return p&&v&&(p=v(p,this.theme)),p?p.toString():null}}e.Themable=b}),define(Ie[124],ke([1,0,3,13,4,14]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.DisposableTunnel=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,D.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,D.createDecorator)("sharedTunnelsService");var y;(function(b){b.Http="http",b.Https="https"})(y=e.TunnelProtocol||(e.TunnelProtocol={}));var C;(function(b){b.ConstantPrivate="constantPrivate",b.Private="private",b.Public="public"})(C=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var E;(function(b){b[b.Notify=1]="Notify",b[b.OpenBrowser=2]="OpenBrowser",b[b.OpenPreview=3]="OpenPreview",b[b.Silent=4]="Silent",b[b.Ignore=5]="Ignore",b[b.OpenBrowserOnce=6]="OpenBrowserOnce"})(E=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function I(b){if(b.scheme!=="http"&&b.scheme!=="https")return;const g=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(b.authority);if(!!g)return{address:g[1],port:+g[2]}}e.extractLocalHostUriMetaDataForPortMapping=I,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function R(b){return e.LOCALHOST_ADDRESSES.indexOf(b)>=0}e.isLocalhost=R,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function k(b){return e.ALL_INTERFACES_ADDRESSES.indexOf(b)>=0}e.isAllInterfaces=k;function _(b,g){return g?g!==1&&b<1024:!t.isWindows&&b<1024}e.isPortPrivileged=_;class P{constructor(g,f,v){this.remoteAddress=g,this.localAddress=f,this._dispose=v,this._onDispose=new u.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}e.DisposableTunnel=P;let w=class{constructor(g){this.logService=g,this._onTunnelOpened=new u.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new u.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new u.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[],this._factoryInProgress=new Set}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(g){return this._tunnelProvider=g,g?(this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}setTunnelFeatures(g){this._canElevate=g.elevation,this._privacyOptions=g.privacyOptions}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const g=[],f=Array.from(this._tunnels.values());for(const v of f){const p=Array.from(v.values());for(const c of p){const m=await c.value;m&&g.push(m)}}return g}async dispose(){for(const g of this._tunnels.values()){for(const{value:f}of g.values())await f.then(v=>v?.dispose());g.clear()}this._tunnels.clear()}openTunnel(g,f,v,p,c=!1,m,a){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${f}:${v} on local port ${p}.`),!g)return;if(f||(f="localhost"),this._tunnelProvider&&this._factoryInProgress.has(v)){this.logService.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const h=this.retainOrCreateTunnel(g,f,v,p,c,m,a);return h?h.then(r=>{if(!r){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(f,v);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const o=this.makeTunnel(r);return(r.tunnelRemoteHost!==f||r.tunnelRemotePort!==v)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(o),o}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),h)}makeTunnel(g){return{tunnelRemotePort:g.tunnelRemotePort,tunnelRemoteHost:g.tunnelRemoteHost,tunnelLocalPort:g.tunnelLocalPort,localAddress:g.localAddress,privacy:g.privacy,protocol:g.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${g.tunnelRemoteHost}:${g.tunnelRemotePort} `);const f=this._tunnels.get(g.tunnelRemoteHost);if(f){const v=f.get(g.tunnelRemotePort);v&&(v.refcount--,await this.tryDisposeTunnel(g.tunnelRemoteHost,g.tunnelRemotePort,v))}}}}async tryDisposeTunnel(g,f,v){if(v.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${g}:${f}.`);const p=v.value.then(async c=>{c&&(await c.dispose(!0),this._onTunnelClosed.fire({host:c.tunnelRemoteHost,port:c.tunnelRemotePort}))});return this._tunnels.has(g)&&this._tunnels.get(g).delete(f),p}}async closeTunnel(g,f){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${g}:${f} `);const v=this._tunnels.get(g);if(v&&v.has(f)){const p=v.get(f);p.refcount=0,await this.tryDisposeTunnel(g,f,p)}}addTunnelToMap(g,f,v){this._tunnels.has(g)||this._tunnels.set(g,new Map),this._tunnels.get(g).set(f,{refcount:1,value:v})}async removeEmptyTunnelFromMap(g,f){const v=this._tunnels.get(g);v&&(await v.get(f)||v.delete(f),v.size===0&&this._tunnels.delete(g))}getTunnelFromMap(g,f){const v=[g];R(g)?(v.push(...e.LOCALHOST_ADDRESSES),v.push(...e.ALL_INTERFACES_ADDRESSES)):k(g)&&v.push(...e.ALL_INTERFACES_ADDRESSES);const p=v.map(c=>this._tunnels.get(c));for(const c of p){const m=c?.get(f);if(m)return m}}canTunnel(g){return!!I(g)}createWithProvider(g,f,v,p,c,m,a){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${f}:${v} on local port ${p}.`);const h=v;this._factoryInProgress.add(h);const o={elevationRequired:c?_(p===void 0?v:p):!1},i={remoteAddress:{host:f,port:v},localAddressPort:p,privacy:m,public:m?m!==C.Private:void 0,protocol:a},n=g.forwardPort(i,o);return n?(this.addTunnelToMap(f,v,n),n.finally(()=>{this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this._factoryInProgress.delete(h)})):this._factoryInProgress.delete(h),n}};w=st([He(0,T.ILogService)],w),e.AbstractTunnelService=w}),define(Ie[204],ke([1,0,11]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVirtualWorkspace=e.getVirtualWorkspaceAuthority=e.getVirtualWorkspaceScheme=e.getVirtualWorkspaceLocation=e.isVirtualResource=void 0;function t(E){return E.scheme!==u.Schemas.file&&E.scheme!==u.Schemas.vscodeRemote}e.isVirtualResource=t;function D(E){if(E.folders.length)return E.folders.every(I=>t(I.uri))?E.folders[0].uri:void 0;if(E.configuration&&t(E.configuration))return E.configuration}e.getVirtualWorkspaceLocation=D;function T(E){return D(E)?.scheme}e.getVirtualWorkspaceScheme=T;function y(E){return D(E)?.authority}e.getVirtualWorkspaceAuthority=y;function C(E){return D(E)!==void 0}e.isVirtualWorkspace=C}),define(Ie[45],ke([1,0,169,9,25,22,2,4,11]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isSavedWorkspace=e.isTemporaryWorkspace=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,C.createDecorator)("contextService");function I(r){const o=r;return typeof o?.id=="string"&&y.URI.isUri(o.uri)}e.isSingleFolderWorkspaceIdentifier=I;function R(r){if(r.configuration)return{id:r.id,configPath:r.configuration};if(r.folders.length===1)return{id:r.id,uri:r.folders[0].uri}}e.toWorkspaceIdentifier=R;function k(r){const o=r;return typeof o?.id=="string"&&y.URI.isUri(o.configPath)}e.isWorkspaceIdentifier=k;function _(r){const o=r;if(o?.uri)return{id:o.id,uri:y.URI.revive(o.uri)};const i=r;if(i?.configPath)return{id:i.id,configPath:y.URI.revive(i.configPath)};if(r?.id)return{id:r.id}}e.reviveIdentifier=_;var P;(function(r){r[r.EMPTY=1]="EMPTY",r[r.FOLDER=2]="FOLDER",r[r.WORKSPACE=3]="WORKSPACE"})(P=e.WorkbenchState||(e.WorkbenchState={}));function w(r){const o=r;return!!(o&&typeof o=="object"&&typeof o.id=="string"&&Array.isArray(o.folders))}e.isWorkspace=w;function b(r){const o=r;return!!(o&&typeof o=="object"&&y.URI.isUri(o.uri)&&typeof o.name=="string"&&typeof o.toResource=="function")}e.isWorkspaceFolder=b;class g{constructor(o,i,n,s,l){this._id=o,this._transient=n,this._configuration=s,this._ignorePathCasing=l,this._foldersMap=D.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0),this.folders=i}update(o){this._id=o.id,this._configuration=o.configuration,this._transient=o.transient,this._ignorePathCasing=o._ignorePathCasing,this.folders=o.folders}get folders(){return this._folders}set folders(o){this._folders=o,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(o){this._configuration=o}getFolder(o){return o&&this._foldersMap.findSubstr(o)||null}updateFoldersMap(){this._foldersMap=D.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0);for(const o of this.folders)this._foldersMap.set(o.uri,o)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=g;class f{constructor(o,i){this.raw=i,this.uri=o.uri,this.index=o.index,this.name=o.name}toResource(o){return(0,T.joinPath)(this.uri,o)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=f;function v(r){return new f({uri:r,index:0,name:(0,T.basenameOrAuthority)(r)},{uri:r.toString()})}e.toWorkspaceFolder=v,e.WORKSPACE_EXTENSION="code-workspace";const p=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,u.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function c(r,o){return T.extUriBiasedIgnorePathCase.isEqualOrParent(r,o.untitledWorkspacesHome)}e.isUntitledWorkspace=c;function m(r){let o;return y.URI.isUri(r)?o=r:o=r.configuration,o?.scheme===E.Schemas.tmp}e.isTemporaryWorkspace=m;function a(r,o){return!c(r,o)&&!m(r)}e.isSavedWorkspace=a;function h(r){return(typeof r=="string"?(0,t.extname)(r):(0,T.extname)(r))===p}e.hasWorkspaceFileExtension=h}),define(Ie[87],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class u{constructor(D){this.id=D,this._data=new Map,this._idPool=1}add(D){const T=this._idPool++;return this._data.set(T,D),this.logDebugInfo(),T}get(D,T){return this._data.has(D)?this._data.get(D)[T]:void 0}delete(D){this._data.delete(D),this.logDebugInfo()}logDebugInfo(){!u.enableDebugLogging||console.log(`${this.id} cache size - ${this._data.size}`)}}e.Cache=u,u.enableDebugLogging=!1}),define(Ie[46],ke([1,0,11,22,4]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class T{constructor(){this._systemSchemes=new Set(Object.keys(u.Schemas)),this._providerInfo=new Map,this.extUri=new t.ExtUri(C=>{const E=this._providerInfo.get(C.scheme);return!(E===void 0||E&1024)})}$acceptProviderInfos(C,E){E===null?this._providerInfo.delete(C.scheme):this._providerInfo.set(C.scheme,E)}isFreeScheme(C){return!this._providerInfo.has(C)&&!this._systemSchemes.has(C)}getCapabilities(C){return this._providerInfo.get(C)}}e.ExtHostFileSystemInfo=T,e.IExtHostFileSystemInfo=(0,D.createDecorator)("IExtHostFileSystemInfo")}),define(Ie[26],ke([1,0,4]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=(0,u.createDecorator)("IExtHostInitDataService")}),define(Ie[205],ke([1,0,18]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class t{constructor(y,C,E){this._deferredPromises=new Map,this._id=y,this._shared=C,this._storage=E,this._init=this._storage.initializeExtensionStorage(this._shared,this._id,Object.create(null)).then(I=>(this._value=I,this)),this._storageListener=this._storage.onDidChangeStorage(I=>{I.shared===this._shared&&I.key===this._id&&(this._value=I.value)}),this._scheduler=new u.RunOnceScheduler(()=>{const I=this._deferredPromises;this._deferredPromises=new Map,(async()=>{try{await this._storage.setValue(this._shared,this._id,this._value);for(const R of I.values())R.complete()}catch(R){for(const k of I.values())k.error(R)}})()},0)}keys(){return Object.entries(this._value??{}).filter(([,y])=>y!==void 0).map(([y])=>y)}get whenReady(){return this._init}get(y,C){let E=this._value[y];return typeof E=="undefined"&&(E=C),E}update(y,C){this._value[y]=C;const E=this._deferredPromises.get(y);if(E!==void 0)return E.p;const I=new u.DeferredPromise;return this._deferredPromises.set(y,I),this._scheduler.isScheduled()||this._scheduler.schedule(),I.p}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=t;class D extends t{constructor(y,C){super(y.identifier.value,!0,C);this._extension=y}setKeysForSync(y){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},y)}}e.ExtensionGlobalMemento=D}),define(Ie[206],ke([1,0,3,2]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocuments=void 0;class D{constructor(y){this._notebooksAndEditors=y,this._onDidSaveNotebookDocument=new u.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event,this._onDidChangeNotebookDocument=new u.Emitter,this.onDidChangeNotebookDocument=this._onDidChangeNotebookDocument.event}$acceptModelChanged(y,C,E,I){const k=this._notebooksAndEditors.getNotebookDocument(t.URI.revive(y)).acceptModelChanged(C.value,E,I);this._onDidChangeNotebookDocument.fire(k)}$acceptDirtyStateChanged(y,C){this._notebooksAndEditors.getNotebookDocument(t.URI.revive(y)).acceptDirty(C)}$acceptModelSaved(y){const C=this._notebooksAndEditors.getNotebookDocument(t.URI.revive(y));this._onDidSaveNotebookDocument.fire(C.apiNotebook)}}e.ExtHostNotebookDocuments=D}),define(Ie[17],ke([1,0,4]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=(0,u.createDecorator)("IExtHostRpcService");class t{constructor(T){this.getProxy=T.getProxy.bind(T),this.set=T.set.bind(T),this.dispose=T.dispose.bind(T),this.assertRegistered=T.assertRegistered.bind(T),this.drain=T.drain.bind(T)}}e.ExtHostRpcService=t});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[207],ke([1,0,28,3]),function(Q,e,u,t){"use strict";var D;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class T{constructor(C,E){D.set(this,void 0),this._onDidChange=new t.Emitter,this.onDidChange=this._onDidChange.event,this._id=u.ExtensionIdentifier.toKey(C.identifier),tt(this,D,E,"f"),Me(this,D,"f").onDidChangePassword(I=>{I.extensionId===this._id&&this._onDidChange.fire({key:I.key})})}get(C){return Me(this,D,"f").get(this._id,C)}store(C,E){return Me(this,D,"f").store(this._id,C,E)}delete(C){return Me(this,D,"f").delete(this._id,C)}}e.ExtensionSecrets=T,D=new WeakMap}),define(Ie[125],ke([1,0,4,3]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTelemetry=e.ExtHostTelemetry=void 0;class D{constructor(){this._onDidChangeTelemetryEnabled=new t.Emitter,this.onDidChangeTelemetryEnabled=this._onDidChangeTelemetryEnabled.event,this._onDidChangeTelemetryConfiguration=new t.Emitter,this.onDidChangeTelemetryConfiguration=this._onDidChangeTelemetryConfiguration.event,this._productConfig={usage:!0,error:!0},this._level=0}getTelemetryConfiguration(){return this._level===3}getTelemetryDetails(){return{isCrashEnabled:this._level>=1,isErrorsEnabled:this._productConfig.error?this._level>=2:!1,isUsageEnabled:this._productConfig.usage?this._level>=3:!1}}$initializeTelemetryLevel(y,C){this._level=y,this._productConfig=C||{usage:!0,error:!0}}$onDidChangeTelemetryLevel(y){this._oldTelemetryEnablement=this.getTelemetryConfiguration(),this._level=y,this._oldTelemetryEnablement!==this.getTelemetryConfiguration()&&this._onDidChangeTelemetryEnabled.fire(this.getTelemetryConfiguration()),this._onDidChangeTelemetryConfiguration.fire(this.getTelemetryDetails())}}e.ExtHostTelemetry=D,e.IExtHostTelemetry=(0,u.createDecorator)("IExtHostTelemetry")}),define(Ie[52],ke([1,0,4,124,3,17]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDtoConverter=void 0;var y;(function(E){function I(k){return{remoteAddress:k.remoteAddress,localAddress:k.localAddress,public:!!k.public,privacy:k.privacy??(k.public?t.TunnelPrivacyId.Public:t.TunnelPrivacyId.Private),protocol:k.protocol}}E.fromApiTunnel=I;function R(k){return{remoteAddress:{host:k.tunnelRemoteHost,port:k.tunnelRemotePort},localAddress:k.localAddress,public:k.privacy!==t.TunnelPrivacyId.ConstantPrivate&&k.privacy!==t.TunnelPrivacyId.ConstantPrivate,privacy:k.privacy,protocol:k.protocol}}E.fromServiceTunnel=R})(y=e.TunnelDtoConverter||(e.TunnelDtoConverter={})),e.IExtHostTunnelService=(0,u.createDecorator)("IExtHostTunnelService");let C=class{constructor(I){this.onDidChangeTunnels=new D.Emitter().event}async $applyCandidateFilter(I){return I}async openTunnel(I,R){}async getTunnels(){return[]}async setTunnelFactory(I){return{dispose:()=>{}}}registerPortsAttributesProvider(I,R){return{dispose:()=>{}}}async $providePortAttributes(I,R,k,_,P){return[]}async $forwardPort(I,R){}async $closeTunnel(I){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};C=st([He(0,T.IExtHostRpcService)],C),e.ExtHostTunnelService=C});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[7],ke([1,0,16,12,106,25,101,8,10,2,34,43,122]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_){"use strict";var P,w,b,g,f;Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalEditorTabInput=e.NotebookDiffEditorTabInput=e.NotebookEditorTabInput=e.WebviewEditorTabInput=e.CustomEditorTabInput=e.TextDiffTabInput=e.TextTabInput=e.TypeHierarchyItem=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.FunctionCoverage=e.BranchCoverage=e.StatementCoverage=e.FileCoverage=e.CoveredCount=e.TestTag=e.TestMessage=e.TestRunRequest=e.TestRunProfileKind=e.TestResultState=e.PortAttributes=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookRendererScript=e.NotebookControllerAffinity=e.NotebookCellStatusBarItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookData=e.NotebookCellData=e.NotebookRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.InputBoxValidationSeverity=e.QuickPickItemKind=e.QuickInputButtons=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentThreadState=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.InlineCompletionTriggerKindNew=e.InlineCompletionTriggerKind=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.DocumentPasteEdit=e.DocumentDropEdit=e.DataTransfer=e.DataTransferItem=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.TerminalProfile=e.TerminalLocation=e.TerminalLink=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.InlineSuggestionsNew=e.InlineSuggestionNew=e.InlineSuggestionList=e.InlineSuggestion=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlayHint=e.InlayHintLabelPart=e.InlayHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.LanguageStatusSeverity=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTriggerKind=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.NotebookEdit=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;class v{constructor(W){P.set(this,void 0),tt(this,P,W,"f")}static from(...W){let ce=W;return new v(function(){if(ce){for(const Le of ce)Le&&typeof Le.dispose=="function"&&Le.dispose();ce=void 0}})}dispose(){typeof Me(this,P,"f")=="function"&&(Me(this,P,"f").call(this),tt(this,P,void 0,"f"))}}e.Disposable=v,P=new WeakMap;class p{constructor(W,ce){if(W<0)throw(0,t.illegalArgument)("line must be non-negative");if(ce<0)throw(0,t.illegalArgument)("character must be non-negative");this._line=W,this._character=ce}static Min(...W){if(W.length===0)throw new TypeError;let ce=W[0];for(let Le=1;Le<W.length;Le++){const Xe=W[Le];Xe.isBefore(ce)&&(ce=Xe)}return ce}static Max(...W){if(W.length===0)throw new TypeError;let ce=W[0];for(let Le=1;Le<W.length;Le++){const Xe=W[Le];Xe.isAfter(ce)&&(ce=Xe)}return ce}static isPosition(W){if(!W)return!1;if(W instanceof p)return!0;const{line:ce,character:Le}=W;return typeof ce=="number"&&typeof Le=="number"}static of(W){if(W instanceof p)return W;if(this.isPosition(W))return new p(W.line,W.character);throw new Error("Invalid argument, is NOT a position-like object")}get line(){return this._line}get character(){return this._character}isBefore(W){return this._line<W._line?!0:W._line<this._line?!1:this._character<W._character}isBeforeOrEqual(W){return this._line<W._line?!0:W._line<this._line?!1:this._character<=W._character}isAfter(W){return!this.isBeforeOrEqual(W)}isAfterOrEqual(W){return!this.isBefore(W)}isEqual(W){return this._line===W._line&&this._character===W._character}compareTo(W){return this._line<W._line?-1:this._line>W.line?1:this._character<W._character?-1:this._character>W._character?1:0}translate(W,ce=0){if(W===null||ce===null)throw(0,t.illegalArgument)();let Le;return typeof W=="undefined"?Le=0:typeof W=="number"?Le=W:(Le=typeof W.lineDelta=="number"?W.lineDelta:0,ce=typeof W.characterDelta=="number"?W.characterDelta:0),Le===0&&ce===0?this:new p(this.line+Le,this.character+ce)}with(W,ce=this.character){if(W===null||ce===null)throw(0,t.illegalArgument)();let Le;return typeof W=="undefined"?Le=this.line:typeof W=="number"?Le=W:(Le=typeof W.line=="number"?W.line:this.line,ce=typeof W.character=="number"?W.character:this.character),Le===this.line&&ce===this.character?this:new p(Le,ce)}toJSON(){return{line:this.line,character:this.character}}}e.Position=p;class c{constructor(W,ce,Le,Xe){let it,lt;if(typeof W=="number"&&typeof ce=="number"&&typeof Le=="number"&&typeof Xe=="number"?(it=new p(W,ce),lt=new p(Le,Xe)):p.isPosition(W)&&p.isPosition(ce)&&(it=p.of(W),lt=p.of(ce)),!it||!lt)throw new Error("Invalid arguments");it.isBefore(lt)?(this._start=it,this._end=lt):(this._start=lt,this._end=it)}static isRange(W){return W instanceof c?!0:W?p.isPosition(W.start)&&p.isPosition(W.end):!1}static of(W){if(W instanceof c)return W;if(this.isRange(W))return new c(W.start,W.end);throw new Error("Invalid argument, is NOT a range-like object")}get start(){return this._start}get end(){return this._end}contains(W){return c.isRange(W)?this.contains(W.start)&&this.contains(W.end):p.isPosition(W)?!(p.of(W).isBefore(this._start)||this._end.isBefore(W)):!1}isEqual(W){return this._start.isEqual(W._start)&&this._end.isEqual(W._end)}intersection(W){const ce=p.Max(W.start,this._start),Le=p.Min(W.end,this._end);if(!ce.isAfter(Le))return new c(ce,Le)}union(W){if(this.contains(W))return this;if(W.contains(this))return W;const ce=p.Min(W.start,this._start),Le=p.Max(W.end,this.end);return new c(ce,Le)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(W,ce=this.end){if(W===null||ce===null)throw(0,t.illegalArgument)();let Le;return W?p.isPosition(W)?Le=W:(Le=W.start||this.start,ce=W.end||this.end):Le=this.start,Le.isEqual(this._start)&&ce.isEqual(this.end)?this:new c(Le,ce)}toJSON(){return[this.start,this.end]}}e.Range=c;class m extends c{constructor(W,ce,Le,Xe){let it,lt;if(typeof W=="number"&&typeof ce=="number"&&typeof Le=="number"&&typeof Xe=="number"?(it=new p(W,ce),lt=new p(Le,Xe)):p.isPosition(W)&&p.isPosition(ce)&&(it=p.of(W),lt=p.of(ce)),!it||!lt)throw new Error("Invalid arguments");super(it,lt);this._anchor=it,this._active=lt}static isSelection(W){return W instanceof m?!0:W?c.isRange(W)&&p.isPosition(W.anchor)&&p.isPosition(W.active)&&typeof W.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}}e.Selection=m;class a{constructor(W,ce,Le){if(typeof W!="string"||W.length===0)throw(0,t.illegalArgument)("host");if(typeof ce!="number"||ce===0||Math.round(ce)!==ce)throw(0,t.illegalArgument)("port");if(typeof Le!="undefined"&&(typeof Le!="string"||Le.length===0||!/^[0-9A-Za-z\-]+$/.test(Le)))throw(0,t.illegalArgument)("connectionToken");this.host=W,this.port=Math.round(ce),this.connectionToken=Le}}e.ResolvedAuthority=a;class h extends Error{constructor(W,ce=_.RemoteAuthorityResolverErrorCode.Unknown,Le){super(W);this._message=W,this._code=ce,this._detail=Le,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,h.prototype)}static NotAvailable(W,ce){return new h(W,_.RemoteAuthorityResolverErrorCode.NotAvailable,ce)}static TemporarilyNotAvailable(W){return new h(W,_.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=h;var r;(function(j){j[j.LF=1]="LF",j[j.CRLF=2]="CRLF"})(r=e.EndOfLine||(e.EndOfLine={}));var o;(function(j){j[j.Replace=1]="Replace",j[j.Append=2]="Append",j[j.Prepend=3]="Prepend"})(o=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));class i{constructor(W,ce){this._range=W,this._newText=ce}static isTextEdit(W){return W instanceof i?!0:W?c.isRange(W)&&typeof W.newText=="string":!1}static replace(W,ce){return new i(W,ce)}static insert(W,ce){return i.replace(new c(W,W),ce)}static delete(W){return i.replace(W,"")}static setEndOfLine(W){const ce=new i(new c(new p(0,0),new p(0,0)),"");return ce.newEol=W,ce}get range(){return this._range}set range(W){if(W&&!c.isRange(W))throw(0,t.illegalArgument)("range");this._range=W}get newText(){return this._newText||""}set newText(W){if(W&&typeof W!="string")throw(0,t.illegalArgument)("newText");this._newText=W}get newEol(){return this._newEol}set newEol(W){if(W&&typeof W!="number")throw(0,t.illegalArgument)("newEol");this._newEol=W}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}}e.TextEdit=i;class n{constructor(W,ce){this.range=W,this.newCells=ce}static isNotebookCellEdit(W){return W instanceof n?!0:W?Wt.isNotebookRange(W)&&Array.isArray(W.newCells):!1}static replaceCells(W,ce){return new n(W,ce)}static insertCells(W,ce){return new n(new Wt(W,W),ce)}static deleteCells(W){return new n(W,[])}static updateCellMetadata(W,ce){const Le=new n(new Wt(W,W),[]);return Le.newCellMetadata=ce,Le}static updateNotebookMetadata(W){const ce=new n(new Wt(0,0),[]);return ce.newNotebookMetadata=W,ce}}e.NotebookEdit=n;var s;(function(j){j[j.File=1]="File",j[j.Text=2]="Text",j[j.Cell=3]="Cell",j[j.CellReplace=5]="CellReplace",j[j.Snippet=6]="Snippet"})(s=e.FileEditType||(e.FileEditType={}));class l{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(W,ce,Le,Xe){this._edits.push({_type:1,from:W,to:ce,options:Le,metadata:Xe})}createFile(W,ce,Le){this._edits.push({_type:1,from:void 0,to:W,options:ce,metadata:Le})}deleteFile(W,ce,Le){this._edits.push({_type:1,from:W,to:void 0,options:ce,metadata:Le})}replaceNotebookMetadata(W,ce,Le){this._edits.push({_type:3,metadata:Le,uri:W,edit:{editType:5,metadata:ce},notebookMetadata:ce})}replaceNotebookCells(W,ce,Le,Xe,it){let lt,ut,Dt=[],Rt;if(Wt.isNotebookRange(ce)&&Mt.isNotebookCellDataArray(Le)&&!Mt.isNotebookCellDataArray(Xe)?(lt=ce.start,ut=ce.end,Dt=Le,Rt=Xe):typeof ce=="number"&&typeof Le=="number"&&Mt.isNotebookCellDataArray(Xe)&&(lt=ce,ut=Le,Dt=Xe,Rt=it),lt===void 0||ut===void 0)throw new Error("Invalid arguments");(lt!==ut||Dt.length>0)&&this._edits.push({_type:5,uri:W,index:lt,count:ut-lt,cells:Dt,metadata:Rt})}replaceNotebookCellMetadata(W,ce,Le,Xe){this._edits.push({_type:3,metadata:Xe,uri:W,edit:{editType:8,index:ce,metadata:Le}})}replace(W,ce,Le,Xe){typeof Le=="string"?this._edits.push({_type:2,uri:W,edit:new i(ce,Le),metadata:Xe}):this._edits.push({_type:6,uri:W,range:ce,edit:Le,metadata:Xe})}insert(W,ce,Le,Xe){this.replace(W,new c(ce,ce),Le,Xe)}delete(W,ce,Le){this.replace(W,ce,"",Le)}has(W){return this._edits.some(ce=>ce._type===2&&ce.uri.toString()===W.toString())}set(W,ce){if(ce)for(const Le of ce)Le&&(n.isNotebookCellEdit(Le)?Le.newCellMetadata?this.replaceNotebookCellMetadata(W,Le.range.start,Le.newCellMetadata):Le.newNotebookMetadata?this.replaceNotebookMetadata(W,Le.newNotebookMetadata):this.replaceNotebookCells(W,Le.range,Le.newCells):this._edits.push({_type:2,uri:W,edit:Le}));else{for(let Le=0;Le<this._edits.length;Le++){const Xe=this._edits[Le];Xe._type===2&&Xe.uri.toString()===W.toString()&&(this._edits[Le]=void 0)}(0,u.coalesceInPlace)(this._edits)}}get(W){const ce=[];for(const Le of this._edits)Le._type===2&&Le.uri.toString()===W.toString()&&ce.push(Le.edit);return ce}entries(){const W=new T.ResourceMap;for(const ce of this._edits)if(ce._type===2){let Le=W.get(ce.uri);Le||(Le=[ce.uri,[]],W.set(ce.uri,Le)),Le[1].push(ce.edit)}return[...W.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}}e.WorkspaceEdit=l;class d{constructor(W){this._tabstop=1,this.value=W||""}static isSnippetString(W){return W instanceof d?!0:W?typeof W.value=="string":!1}static _escape(W){return W.replace(/\$|}|\\/g,"\\$&")}appendText(W){return this.value+=d._escape(W),this}appendTabstop(W=this._tabstop++){return this.value+="$",this.value+=W,this}appendPlaceholder(W,ce=this._tabstop++){if(typeof W=="function"){const Le=new d;Le._tabstop=this._tabstop,W(Le),this._tabstop=Le._tabstop,W=Le.value}else W=d._escape(W);return this.value+="${",this.value+=ce,this.value+=":",this.value+=W,this.value+="}",this}appendChoice(W,ce=this._tabstop++){const Le=W.map(Xe=>Xe.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=ce,this.value+="|",this.value+=Le,this.value+="|}",this}appendVariable(W,ce){if(typeof ce=="function"){const Le=new d;Le._tabstop=this._tabstop,ce(Le),this._tabstop=Le._tabstop,ce=Le.value}else typeof ce=="string"&&(ce=ce.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=W,ce&&(this.value+=":",this.value+=ce),this.value+="}",this}}e.SnippetString=d;var S;(function(j){j[j.Unnecessary=1]="Unnecessary",j[j.Deprecated=2]="Deprecated"})(S=e.DiagnosticTag||(e.DiagnosticTag={}));var L;(function(j){j[j.Hint=3]="Hint",j[j.Information=2]="Information",j[j.Warning=1]="Warning",j[j.Error=0]="Error"})(L=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));class F{constructor(W,ce){if(this.uri=W,ce)if(c.isRange(ce))this.range=c.of(ce);else if(p.isPosition(ce))this.range=new c(ce,ce);else throw new Error("Illegal argument")}static isLocation(W){return W instanceof F?!0:W?c.isRange(W.range)&&I.URI.isUri(W.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}}e.Location=F;class N{constructor(W,ce){this.location=W,this.message=ce}static is(W){return W?typeof W.message=="string"&&W.location&&c.isRange(W.location.range)&&I.URI.isUri(W.location.uri):!1}static isEqual(W,ce){return W===ce?!0:!W||!ce?!1:W.message===ce.message&&W.location.range.isEqual(ce.location.range)&&W.location.uri.toString()===ce.location.uri.toString()}}e.DiagnosticRelatedInformation=N;class A{constructor(W,ce,Le=L.Error){if(!c.isRange(W))throw new TypeError("range must be set");if(!ce)throw new TypeError("message must be set");this.range=W,this.message=ce,this.severity=Le}toJSON(){return{severity:L[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(W,ce){return W===ce?!0:!W||!ce?!1:W.message===ce.message&&W.severity===ce.severity&&W.code===ce.code&&W.severity===ce.severity&&W.source===ce.source&&W.range.isEqual(ce.range)&&(0,u.equals)(W.tags,ce.tags)&&(0,u.equals)(W.relatedInformation,ce.relatedInformation,N.isEqual)}}e.Diagnostic=A;class ${constructor(W,ce){if(!W)throw new Error("Illegal argument, contents must be defined");Array.isArray(W)?this.contents=W:this.contents=[W],this.range=ce}}e.Hover=$;var B;(function(j){j[j.Text=0]="Text",j[j.Read=1]="Read",j[j.Write=2]="Write"})(B=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));class z{constructor(W,ce=B.Text){this.range=W,this.kind=ce}toJSON(){return{range:this.range,kind:B[this.kind]}}}e.DocumentHighlight=z;var X;(function(j){j[j.File=0]="File",j[j.Module=1]="Module",j[j.Namespace=2]="Namespace",j[j.Package=3]="Package",j[j.Class=4]="Class",j[j.Method=5]="Method",j[j.Property=6]="Property",j[j.Field=7]="Field",j[j.Constructor=8]="Constructor",j[j.Enum=9]="Enum",j[j.Interface=10]="Interface",j[j.Function=11]="Function",j[j.Variable=12]="Variable",j[j.Constant=13]="Constant",j[j.String=14]="String",j[j.Number=15]="Number",j[j.Boolean=16]="Boolean",j[j.Array=17]="Array",j[j.Object=18]="Object",j[j.Key=19]="Key",j[j.Null=20]="Null",j[j.EnumMember=21]="EnumMember",j[j.Struct=22]="Struct",j[j.Event=23]="Event",j[j.Operator=24]="Operator",j[j.TypeParameter=25]="TypeParameter"})(X=e.SymbolKind||(e.SymbolKind={}));var M;(function(j){j[j.Deprecated=1]="Deprecated"})(M=e.SymbolTag||(e.SymbolTag={}));class U{constructor(W,ce,Le,Xe,it){this.name=W,this.kind=ce,this.containerName=it,typeof Le=="string"&&(this.containerName=Le),Xe instanceof F?this.location=Xe:Le instanceof c&&(this.location=new F(Xe,Le)),U.validate(this)}static validate(W){if(!W.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:X[this.kind],location:this.location,containerName:this.containerName}}}e.SymbolInformation=U;class q{constructor(W,ce,Le,Xe,it){this.name=W,this.detail=ce,this.kind=Le,this.range=Xe,this.selectionRange=it,this.children=[],q.validate(this)}static validate(W){if(!W.name)throw new Error("name must not be falsy");if(!W.range.contains(W.selectionRange))throw new Error("selectionRange must be contained in fullRange");W.children?.forEach(q.validate)}}e.DocumentSymbol=q;var x;(function(j){j[j.Invoke=1]="Invoke",j[j.Automatic=2]="Automatic"})(x=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));class V{constructor(W,ce){this.title=W,this.kind=ce}}e.CodeAction=V;class ee{constructor(W){this.value=W}append(W){return new ee(this.value?this.value+ee.sep+W:W)}intersects(W){return this.contains(W)||W.contains(this)}contains(W){return this.value===W.value||W.value.startsWith(this.value+ee.sep)}}e.CodeActionKind=ee,ee.sep=".",ee.Empty=new ee(""),ee.QuickFix=ee.Empty.append("quickfix"),ee.Refactor=ee.Empty.append("refactor"),ee.RefactorExtract=ee.Refactor.append("extract"),ee.RefactorInline=ee.Refactor.append("inline"),ee.RefactorRewrite=ee.Refactor.append("rewrite"),ee.Source=ee.Empty.append("source"),ee.SourceOrganizeImports=ee.Source.append("organizeImports"),ee.SourceFixAll=ee.Source.append("fixAll");class Y{constructor(W,ce){if(this.range=W,this.parent=ce,ce&&!ce.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}}e.SelectionRange=Y;class le{constructor(W,ce,Le,Xe,it,lt){this.kind=W,this.name=ce,this.detail=Le,this.uri=Xe,this.range=it,this.selectionRange=lt}}e.CallHierarchyItem=le;class ve{constructor(W,ce){this.fromRanges=ce,this.from=W}}e.CallHierarchyIncomingCall=ve;class J{constructor(W,ce){this.fromRanges=ce,this.to=W}}e.CallHierarchyOutgoingCall=J;var ge;(function(j){j[j.Information=0]="Information",j[j.Warning=1]="Warning",j[j.Error=2]="Error"})(ge=e.LanguageStatusSeverity||(e.LanguageStatusSeverity={}));class _e{constructor(W,ce){this.range=W,this.command=ce}get isResolved(){return!!this.command}}e.CodeLens=_e;class Te{constructor(W,ce=!1){w.set(this,void 0),tt(this,w,new D.MarkdownString(W,{supportThemeIcons:ce}),"f")}static isMarkdownString(W){return W instanceof Te?!0:W&&W.appendCodeblock&&W.appendMarkdown&&W.appendText&&W.value!==void 0}get value(){return Me(this,w,"f").value}set value(W){Me(this,w,"f").value=W}get isTrusted(){return Me(this,w,"f").isTrusted}set isTrusted(W){Me(this,w,"f").isTrusted=W}get supportThemeIcons(){return Me(this,w,"f").supportThemeIcons}set supportThemeIcons(W){Me(this,w,"f").supportThemeIcons=W}get supportHtml(){return Me(this,w,"f").supportHtml}set supportHtml(W){Me(this,w,"f").supportHtml=W}get baseUri(){return Me(this,w,"f").baseUri}set baseUri(W){Me(this,w,"f").baseUri=W}appendText(W){return Me(this,w,"f").appendText(W),this}appendMarkdown(W){return Me(this,w,"f").appendMarkdown(W),this}appendCodeblock(W,ce){return Me(this,w,"f").appendCodeblock(ce??"",W),this}}e.MarkdownString=Te,w=new WeakMap;class me{constructor(W,ce){this.label=W,this.documentation=ce}}e.ParameterInformation=me;class Pe{constructor(W,ce){this.label=W,this.documentation=ce,this.parameters=[]}}e.SignatureInformation=Pe;class ue{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}}e.SignatureHelp=ue;var pe;(function(j){j[j.Invoke=1]="Invoke",j[j.TriggerCharacter=2]="TriggerCharacter",j[j.ContentChange=3]="ContentChange"})(pe=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var be;(function(j){j[j.Type=1]="Type",j[j.Parameter=2]="Parameter"})(be=e.InlayHintKind||(e.InlayHintKind={}));class ae{constructor(W){this.value=W}}e.InlayHintLabelPart=ae;class fe{constructor(W,ce,Le){this.position=W,this.label=ce,this.kind=Le}}e.InlayHint=fe;var ne;(function(j){j[j.Invoke=0]="Invoke",j[j.TriggerCharacter=1]="TriggerCharacter",j[j.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(ne=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var ie;(function(j){j[j.Text=0]="Text",j[j.Method=1]="Method",j[j.Function=2]="Function",j[j.Constructor=3]="Constructor",j[j.Field=4]="Field",j[j.Variable=5]="Variable",j[j.Class=6]="Class",j[j.Interface=7]="Interface",j[j.Module=8]="Module",j[j.Property=9]="Property",j[j.Unit=10]="Unit",j[j.Value=11]="Value",j[j.Enum=12]="Enum",j[j.Keyword=13]="Keyword",j[j.Snippet=14]="Snippet",j[j.Color=15]="Color",j[j.File=16]="File",j[j.Reference=17]="Reference",j[j.Folder=18]="Folder",j[j.EnumMember=19]="EnumMember",j[j.Constant=20]="Constant",j[j.Struct=21]="Struct",j[j.Event=22]="Event",j[j.Operator=23]="Operator",j[j.TypeParameter=24]="TypeParameter",j[j.User=25]="User",j[j.Issue=26]="Issue"})(ie=e.CompletionItemKind||(e.CompletionItemKind={}));var O;(function(j){j[j.Deprecated=1]="Deprecated"})(O=e.CompletionItemTag||(e.CompletionItemTag={}));class H{constructor(W,ce){this.label=W,this.kind=ce}toJSON(){return{label:this.label,kind:this.kind&&ie[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}}e.CompletionItem=H;class G{constructor(W=[],ce=!1){this.items=W,this.isIncomplete=ce}}e.CompletionList=G;class K{constructor(W,ce,Le){this.insertText=W,this.range=ce,this.command=Le}}e.InlineSuggestion=K;class de{constructor(W){this.commands=void 0,this.items=W}}e.InlineSuggestionList=de;class we{constructor(W,ce,Le){this.insertText=W,this.range=ce,this.command=Le}}e.InlineSuggestionNew=we;class se{constructor(W,ce){this.items=W,this.commands=ce}}e.InlineSuggestionsNew=se;var De;(function(j){j[j.Active=-1]="Active",j[j.Beside=-2]="Beside",j[j.One=1]="One",j[j.Two=2]="Two",j[j.Three=3]="Three",j[j.Four=4]="Four",j[j.Five=5]="Five",j[j.Six=6]="Six",j[j.Seven=7]="Seven",j[j.Eight=8]="Eight",j[j.Nine=9]="Nine"})(De=e.ViewColumn||(e.ViewColumn={}));var Ce;(function(j){j[j.Left=1]="Left",j[j.Right=2]="Right"})(Ce=e.StatusBarAlignment||(e.StatusBarAlignment={}));var ze;(function(j){j[j.Off=0]="Off",j[j.On=1]="On",j[j.Relative=2]="Relative"})(ze=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Ge;(function(j){j[j.Manual=1]="Manual",j[j.AfterDelay=2]="AfterDelay",j[j.FocusOut=3]="FocusOut"})(Ge=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Ne;(function(j){j[j.Default=0]="Default",j[j.InCenter=1]="InCenter",j[j.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",j[j.AtTop=3]="AtTop"})(Ne=e.TextEditorRevealType||(e.TextEditorRevealType={}));var Qe;(function(j){j[j.Keyboard=1]="Keyboard",j[j.Mouse=2]="Mouse",j[j.Command=3]="Command"})(Qe=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var Z;(function(j){j[j.Undo=1]="Undo",j[j.Redo=2]="Redo"})(Z=e.TextDocumentChangeReason||(e.TextDocumentChangeReason={}));var re;(function(j){j[j.OpenOpen=0]="OpenOpen",j[j.ClosedClosed=1]="ClosedClosed",j[j.OpenClosed=2]="OpenClosed",j[j.ClosedOpen=3]="ClosedOpen"})(re=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(j){function W(ce){switch(ce){case"keyboard":return j.Keyboard;case"mouse":return j.Mouse;case"api":return j.Command}}j.fromValue=W}(Qe=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));class ye{constructor(W,ce){if(ce&&!I.URI.isUri(ce))throw(0,t.illegalArgument)("target");if(!c.isRange(W)||W.isEmpty)throw(0,t.illegalArgument)("range");this.range=W,this.target=ce}}e.DocumentLink=ye;class We{constructor(W,ce,Le,Xe){this.red=W,this.green=ce,this.blue=Le,this.alpha=Xe}}e.Color=We;class oe{constructor(W,ce){if(ce&&!(ce instanceof We))throw(0,t.illegalArgument)("color");if(!c.isRange(W)||W.isEmpty)throw(0,t.illegalArgument)("range");this.range=W,this.color=ce}}e.ColorInformation=oe;class Re{constructor(W){if(!W||typeof W!="string")throw(0,t.illegalArgument)("label");this.label=W}}e.ColorPresentation=Re;var Be;(function(j){j[j.RGB=0]="RGB",j[j.HEX=1]="HEX",j[j.HSL=2]="HSL"})(Be=e.ColorFormat||(e.ColorFormat={}));var qe;(function(j){j[j.Error=0]="Error",j[j.Warning=1]="Warning",j[j.Information=2]="Information"})(qe=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));class je{constructor(W,ce,Le){if(this.startIndex=W,this.length=ce,this.tooltip=Le,typeof W!="number"||W<0)throw(0,t.illegalArgument)("startIndex");if(typeof ce!="number"||ce<1)throw(0,t.illegalArgument)("length");if(Le!==void 0&&typeof Le!="string")throw(0,t.illegalArgument)("tooltip")}}e.TerminalLink=je;var Ve;(function(j){j[j.Panel=1]="Panel",j[j.Editor=2]="Editor"})(Ve=e.TerminalLocation||(e.TerminalLocation={}));class nt{constructor(W){if(this.options=W,typeof W!="object")throw(0,t.illegalArgument)("options")}}e.TerminalProfile=nt;var ot;(function(j){j[j.Always=1]="Always",j[j.Silent=2]="Silent",j[j.Never=3]="Never"})(ot=e.TaskRevealKind||(e.TaskRevealKind={}));var rt;(function(j){j[j.Shared=1]="Shared",j[j.Dedicated=2]="Dedicated",j[j.New=3]="New"})(rt=e.TaskPanelKind||(e.TaskPanelKind={}));class Je{constructor(W,ce){if(this.label=ce,typeof W!="string"||typeof ce!="string")throw(0,t.illegalArgument)("name");this._id=W}static from(W){switch(W){case"clean":return Je.Clean;case"build":return Je.Build;case"rebuild":return Je.Rebuild;case"test":return Je.Test;default:return}}get id(){return this._id}}e.TaskGroup=Je,Je.Clean=new Je("clean","Clean"),Je.Build=new Je("build","Build"),Je.Rebuild=new Je("rebuild","Rebuild"),Je.Test=new Je("test","Test");function at(j){let W="";for(let ce=0;ce<j.length;ce++)W+=j[ce].replace(/,/g,",,")+",";return W}class pt{constructor(W,ce,Le){if(typeof W!="string")throw(0,t.illegalArgument)("process");this._args=[],this._process=W,ce!==void 0&&(Array.isArray(ce)?(this._args=ce,this._options=Le):this._options=ce)}get process(){return this._process}set process(W){if(typeof W!="string")throw(0,t.illegalArgument)("process");this._process=W}get args(){return this._args}set args(W){Array.isArray(W)||(W=[]),this._args=W}get options(){return this._options}set options(W){this._options=W}computeId(){const W=[];if(W.push("process"),this._process!==void 0&&W.push(this._process),this._args&&this._args.length>0)for(const ce of this._args)W.push(ce);return at(W)}}e.ProcessExecution=pt;class Pt{constructor(W,ce,Le){if(this._args=[],Array.isArray(ce)){if(!W)throw(0,t.illegalArgument)("command can't be undefined or null");if(typeof W!="string"&&typeof W.value!="string")throw(0,t.illegalArgument)("command");this._command=W,this._args=ce,this._options=Le}else{if(typeof W!="string")throw(0,t.illegalArgument)("commandLine");this._commandLine=W,this._options=ce}}get commandLine(){return this._commandLine}set commandLine(W){if(typeof W!="string")throw(0,t.illegalArgument)("commandLine");this._commandLine=W}get command(){return this._command?this._command:""}set command(W){if(typeof W!="string"&&typeof W.value!="string")throw(0,t.illegalArgument)("command");this._command=W}get args(){return this._args}set args(W){this._args=W||[]}get options(){return this._options}set options(W){this._options=W}computeId(){const W=[];if(W.push("shell"),this._commandLine!==void 0&&W.push(this._commandLine),this._command!==void 0&&W.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(const ce of this._args)W.push(typeof ce=="string"?ce:ce.value);return at(W)}}e.ShellExecution=Pt;var St;(function(j){j[j.Escape=1]="Escape",j[j.Strong=2]="Strong",j[j.Weak=3]="Weak"})(St=e.ShellQuoting||(e.ShellQuoting={}));var ft;(function(j){j[j.Global=1]="Global",j[j.Workspace=2]="Workspace"})(ft=e.TaskScope||(e.TaskScope={}));class It{constructor(W){this._callback=W}computeId(){return"customExecution"+(0,R.generateUuid)()}set callback(W){this._callback=W}get callback(){return this._callback}}e.CustomExecution=It;class bt{constructor(W,ce,Le,Xe,it,lt){this.__deprecated=!1,this._definition=this.definition=W;let ut;typeof ce=="string"?(this._name=this.name=ce,this._source=this.source=Le,this.execution=Xe,ut=it,this.__deprecated=!0):ce===ft.Global||ce===ft.Workspace?(this.target=ce,this._name=this.name=Le,this._source=this.source=Xe,this.execution=it,ut=lt):(this.target=ce,this._name=this.name=Le,this._source=this.source=Xe,this.execution=it,ut=lt),typeof ut=="string"?(this._problemMatchers=[ut],this._hasDefinedMatchers=!0):Array.isArray(ut)?(this._problemMatchers=ut,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(W){this.__id=W}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof pt?this._definition={type:bt.ProcessType,id:this._execution.computeId()}:this._execution instanceof Pt?this._definition={type:bt.ShellType,id:this._execution.computeId()}:this._execution instanceof It?this._definition={type:bt.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:bt.EmptyType,id:(0,R.generateUuid)()}}get definition(){return this._definition}set definition(W){if(W==null)throw(0,t.illegalArgument)("Kind can't be undefined or null");this.clear(),this._definition=W}get scope(){return this._scope}set target(W){this.clear(),this._scope=W}get name(){return this._name}set name(W){if(typeof W!="string")throw(0,t.illegalArgument)("name");this.clear(),this._name=W}get execution(){return this._execution}set execution(W){W===null&&(W=void 0),this.clear(),this._execution=W;const ce=this._definition.type;(bt.EmptyType===ce||bt.ProcessType===ce||bt.ShellType===ce||bt.ExtensionCallbackType===ce)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(W){if(Array.isArray(W))this.clear(),this._problemMatchers=W,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(W){W!==!0&&W!==!1&&(W=!1),this.clear(),this._isBackground=W}get source(){return this._source}set source(W){if(typeof W!="string"||W.length===0)throw(0,t.illegalArgument)("source must be a string of length > 0");this.clear(),this._source=W}get group(){return this._group}set group(W){W===null&&(W=void 0),this.clear(),this._group=W}get detail(){return this._detail}set detail(W){W===null&&(W=void 0),this._detail=W}get presentationOptions(){return this._presentationOptions}set presentationOptions(W){W==null&&(W=Object.create(null)),this.clear(),this._presentationOptions=W}get runOptions(){return this._runOptions}set runOptions(W){W==null&&(W=Object.create(null)),this.clear(),this._runOptions=W}}e.Task=bt,bt.ExtensionCallbackType="customExecution",bt.ProcessType="process",bt.ShellType="shell",bt.EmptyType="$empty";var Ft;(function(j){j[j.SourceControl=1]="SourceControl",j[j.Window=10]="Window",j[j.Notification=15]="Notification"})(Ft=e.ProgressLocation||(e.ProgressLocation={}));class Ke{constructor(W,ce=Lt.None){this.collapsibleState=ce,I.URI.isUri(W)?this.resourceUri=W:this.label=W}}e.TreeItem=Ke;var Lt;(function(j){j[j.None=0]="None",j[j.Collapsed=1]="Collapsed",j[j.Expanded=2]="Expanded"})(Lt=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));class Bt{constructor(W){this.value=W}async asString(){return typeof this.value=="string"?this.value:JSON.stringify(this.value)}asFile(){}}e.DataTransferItem=Bt;class Nt{constructor(W){b.set(this,new Map);for(const[ce,Le]of W??[]){const Xe=Me(this,b,"f").get(ce);Xe?Xe.push(Le):Me(this,b,"f").set(ce,[Le])}}get(W){return Me(this,b,"f").get(W)?.[0]}set(W,ce){Me(this,b,"f").set(W,[ce])}forEach(W,ce){for(const[Le,Xe]of Me(this,b,"f"))for(const it of Xe)W.call(ce,it,Le,this)}*[(b=new WeakMap,Symbol.iterator)](){for(const[W,ce]of Me(this,b,"f"))for(const Le of ce)yield[W,Le]}}e.DataTransfer=Nt;class mt{constructor(W){this.insertText=W}}e.DocumentDropEdit=mt;class kt{constructor(W){this.insertText=W}}e.DocumentPasteEdit=kt;class Ae{constructor(W,ce){this.id=W,this.color=ce}}e.ThemeIcon=Ae,Ae.File=new Ae("file"),Ae.Folder=new Ae("folder");class Oe{constructor(W){this.id=W}}e.ThemeColor=Oe;var Se;(function(j){j[j.Global=1]="Global",j[j.Workspace=2]="Workspace",j[j.WorkspaceFolder=3]="WorkspaceFolder"})(Se=e.ConfigurationTarget||(e.ConfigurationTarget={}));class te{constructor(W,ce){if(typeof W!="string"&&(!W||!I.URI.isUri(W)&&!I.URI.isUri(W.uri)))throw(0,t.illegalArgument)("base");if(typeof ce!="string")throw(0,t.illegalArgument)("pattern");typeof W=="string"?this.baseUri=I.URI.file(W):I.URI.isUri(W)?this.baseUri=W:this.baseUri=W.uri,this.pattern=ce}get base(){return this._base}set base(W){this._base=W,this._baseUri=I.URI.file(W)}get baseUri(){return this._baseUri}set baseUri(W){this._baseUri=W,this._base=W.fsPath}toJSON(){return{pattern:this.pattern,base:this.base,baseUri:this.baseUri.toJSON()}}}e.RelativePattern=te;class Fe{constructor(W,ce,Le,Xe){this.enabled=typeof W=="boolean"?W:!0,typeof ce=="string"&&(this.condition=ce),typeof Le=="string"&&(this.hitCondition=Le),typeof Xe=="string"&&(this.logMessage=Xe)}get id(){return this._id||(this._id=(0,R.generateUuid)()),this._id}}e.Breakpoint=Fe;class xe extends Fe{constructor(W,ce,Le,Xe,it){super(ce,Le,Xe,it);if(W===null)throw(0,t.illegalArgument)("location");this.location=W}}e.SourceBreakpoint=xe;class Ze extends Fe{constructor(W,ce,Le,Xe,it){super(ce,Le,Xe,it);this.functionName=W}}e.FunctionBreakpoint=Ze;class et extends Fe{constructor(W,ce,Le,Xe,it,lt,ut){super(Xe,it,lt,ut);if(!ce)throw(0,t.illegalArgument)("dataId");this.label=W,this.dataId=ce,this.canPersist=Le}}e.DataBreakpoint=et;class Ye{constructor(W,ce,Le){this.command=W,this.args=ce||[],this.options=Le}}e.DebugAdapterExecutable=Ye;class vt{constructor(W,ce){this.port=W,this.host=ce}}e.DebugAdapterServer=vt;class yt{constructor(W){this.path=W}}e.DebugAdapterNamedPipeServer=yt;class Ct{constructor(W){this.implementation=W}}e.DebugAdapterInlineImplementation=Ct;class wt{constructor(W,ce){this.range=W,this.expression=ce}}e.EvaluatableExpression=wt;var dt;(function(j){j[j.Invoke=0]="Invoke",j[j.Automatic=1]="Automatic"})(dt=e.InlineCompletionTriggerKind||(e.InlineCompletionTriggerKind={}));var Kt;(function(j){j[j.Invoke=0]="Invoke",j[j.Automatic=1]="Automatic"})(Kt=e.InlineCompletionTriggerKindNew||(e.InlineCompletionTriggerKindNew={}));class Xt{constructor(W,ce){this.range=W,this.text=ce}}e.InlineValueText=Xt;class Et{constructor(W,ce,Le=!0){this.range=W,this.variableName=ce,this.caseSensitiveLookup=Le}}e.InlineValueVariableLookup=Et;class Gt{constructor(W,ce){this.range=W,this.expression=ce}}e.InlineValueEvaluatableExpression=Gt;class dn{constructor(W,ce){this.frameId=W,this.stoppedLocation=ce}}e.InlineValueContext=dn;var hn;(function(j){j[j.Changed=1]="Changed",j[j.Created=2]="Created",j[j.Deleted=3]="Deleted"})(hn=e.FileChangeType||(e.FileChangeType={}));class Tt extends Error{constructor(W,ce=k.FileSystemProviderErrorCode.Unknown,Le){super(I.URI.isUri(W)?W.toString(!0):W);this.code=Le?.name??"Unknown",(0,k.markAsFileSystemProviderError)(this,ce),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,Tt.prototype),typeof Error.captureStackTrace=="function"&&typeof Le=="function"&&Error.captureStackTrace(this,Le)}static FileExists(W){return new Tt(W,k.FileSystemProviderErrorCode.FileExists,Tt.FileExists)}static FileNotFound(W){return new Tt(W,k.FileSystemProviderErrorCode.FileNotFound,Tt.FileNotFound)}static FileNotADirectory(W){return new Tt(W,k.FileSystemProviderErrorCode.FileNotADirectory,Tt.FileNotADirectory)}static FileIsADirectory(W){return new Tt(W,k.FileSystemProviderErrorCode.FileIsADirectory,Tt.FileIsADirectory)}static NoPermissions(W){return new Tt(W,k.FileSystemProviderErrorCode.NoPermissions,Tt.NoPermissions)}static Unavailable(W){return new Tt(W,k.FileSystemProviderErrorCode.Unavailable,Tt.Unavailable)}}e.FileSystemError=Tt;class Ot{constructor(W,ce,Le){this.start=W,this.end=ce,this.kind=Le}}e.FoldingRange=Ot;var fn;(function(j){j[j.Comment=1]="Comment",j[j.Imports=2]="Imports",j[j.Region=3]="Region"})(fn=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Cn;(function(j){j[j.Collapsed=0]="Collapsed",j[j.Expanded=1]="Expanded"})(Cn=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var Qt;(function(j){j[j.Editing=0]="Editing",j[j.Preview=1]="Preview"})(Qt=e.CommentMode||(e.CommentMode={}));var Yt;(function(j){j[j.Unresolved=0]="Unresolved",j[j.Resolved=1]="Resolved"})(Yt=e.CommentThreadState||(e.CommentThreadState={}));class ht{constructor(W,ce=[]){this.tokenTypes=W,this.tokenModifiers=ce}}e.SemanticTokensLegend=ht;function Dn(j){return typeof j=="undefined"||(0,E.isStringArray)(j)}class zt{constructor(W){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,W){this._hasLegend=!0;for(let ce=0,Le=W.tokenTypes.length;ce<Le;ce++)this._tokenTypeStrToInt.set(W.tokenTypes[ce],ce);for(let ce=0,Le=W.tokenModifiers.length;ce<Le;ce++)this._tokenModifierStrToInt.set(W.tokenModifiers[ce],ce)}}push(W,ce,Le,Xe,it){if(typeof W=="number"&&typeof ce=="number"&&typeof Le=="number"&&typeof Xe=="number"&&(typeof it=="number"||typeof it=="undefined"))return typeof it=="undefined"&&(it=0),this._pushEncoded(W,ce,Le,Xe,it);if(c.isRange(W)&&typeof ce=="string"&&Dn(Le))return this._push(W,ce,Le);throw(0,t.illegalArgument)()}_push(W,ce,Le){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(W.start.line!==W.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(ce))throw new Error("`tokenType` is not in the provided legend");const Xe=W.start.line,it=W.start.character,lt=W.end.character-W.start.character,ut=this._tokenTypeStrToInt.get(ce);let Dt=0;if(Le)for(const Rt of Le){if(!this._tokenModifierStrToInt.has(Rt))throw new Error("`tokenModifier` is not in the provided legend");const $t=this._tokenModifierStrToInt.get(Rt);Dt|=1<<$t>>>0}this._pushEncoded(Xe,it,lt,ut,Dt)}_pushEncoded(W,ce,Le,Xe,it){if(this._dataIsSortedAndDeltaEncoded&&(W<this._prevLine||W===this._prevLine&&ce<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const Dt=this._data.length/5|0;let Rt=0,$t=0;for(let xt=0;xt<Dt;xt++){let jt=this._data[5*xt],ln=this._data[5*xt+1];jt===0?(jt=Rt,ln+=$t):jt+=Rt,this._data[5*xt]=jt,this._data[5*xt+1]=ln,Rt=jt,$t=ln}}let lt=W,ut=ce;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(lt-=this._prevLine,lt===0&&(ut-=this._prevChar)),this._data[this._dataLen++]=lt,this._data[this._dataLen++]=ut,this._data[this._dataLen++]=Le,this._data[this._dataLen++]=Xe,this._data[this._dataLen++]=it,this._prevLine=W,this._prevChar=ce}static _sortAndDeltaEncode(W){const ce=[],Le=W.length/5|0;for(let ut=0;ut<Le;ut++)ce[ut]=ut;ce.sort((ut,Dt)=>{const Rt=W[5*ut],$t=W[5*Dt];if(Rt===$t){const xt=W[5*ut+1],jt=W[5*Dt+1];return xt-jt}return Rt-$t});const Xe=new Uint32Array(W.length);let it=0,lt=0;for(let ut=0;ut<Le;ut++){const Dt=5*ce[ut],Rt=W[Dt+0],$t=W[Dt+1],xt=W[Dt+2],jt=W[Dt+3],ln=W[Dt+4],$n=Rt-it,Yn=$n===0?$t-lt:$t,un=5*ut;Xe[un+0]=$n,Xe[un+1]=Yn,Xe[un+2]=xt,Xe[un+3]=jt,Xe[un+4]=ln,it=Rt,lt=$t}return Xe}build(W){return this._dataIsSortedAndDeltaEncoded?new Vt(new Uint32Array(this._data),W):new Vt(zt._sortAndDeltaEncode(this._data),W)}}e.SemanticTokensBuilder=zt;class Vt{constructor(W,ce){this.resultId=ce,this.data=W}}e.SemanticTokens=Vt;class mn{constructor(W,ce,Le){this.start=W,this.deleteCount=ce,this.data=Le}}e.SemanticTokensEdit=mn;class In{constructor(W,ce){this.resultId=ce,this.edits=W}}e.SemanticTokensEdits=In;var gn;(function(j){j[j.Separate=0]="Separate",j[j.MergeWithParent=1]="MergeWithParent"})(gn=e.DebugConsoleMode||(e.DebugConsoleMode={}));class pn{constructor(){}}e.QuickInputButtons=pn,pn.Back={iconPath:new Ae("arrow-left")};var vn;(function(j){j[j.Separator=-1]="Separator",j[j.Default=0]="Default"})(vn=e.QuickPickItemKind||(e.QuickPickItemKind={}));var Jt;(function(j){j[j.Info=1]="Info",j[j.Warning=2]="Warning",j[j.Error=3]="Error"})(Jt=e.InputBoxValidationSeverity||(e.InputBoxValidationSeverity={}));var kn;(function(j){j[j.UI=1]="UI",j[j.Workspace=2]="Workspace"})(kn=e.ExtensionKind||(e.ExtensionKind={}));class sn{constructor(W,ce,Le){this.badge=W,this.tooltip=ce,this.color=Le}static validate(W){if(W.badge){let ce=(0,C.nextCharLength)(W.badge,0);if(ce<W.badge.length&&(ce+=(0,C.nextCharLength)(W.badge,ce)),W.badge.length>ce)throw new Error("The 'badge'-property must be undefined or a short character")}if(!W.color&&!W.badge&&!W.tooltip)throw new Error("The decoration is empty");return!0}}e.FileDecoration=sn;class on{constructor(W){this.kind=W}}e.ColorTheme=on;var Pn;(function(j){j[j.Light=1]="Light",j[j.Dark=2]="Dark",j[j.HighContrast=3]="HighContrast",j[j.HighContrastLight=4]="HighContrastLight"})(Pn=e.ColorThemeKind||(e.ColorThemeKind={}));class Wt{constructor(W,ce){if(W<0)throw(0,t.illegalArgument)("start must be positive");if(ce<0)throw(0,t.illegalArgument)("end must be positive");W<=ce?(this._start=W,this._end=ce):(this._start=ce,this._end=W)}static isNotebookRange(W){return W instanceof Wt?!0:W?typeof W.start=="number"&&typeof W.end=="number":!1}get start(){return this._start}get end(){return this._end}get isEmpty(){return this._start===this._end}with(W){let ce=this._start,Le=this._end;return W.start!==void 0&&(ce=W.start),W.end!==void 0&&(Le=W.end),ce===this._start&&Le===this._end?this:new Wt(ce,Le)}}e.NotebookRange=Wt;class Mt{constructor(W,ce,Le,Xe,it,lt,ut){this.kind=W,this.value=ce,this.languageId=Le,this.mime=Xe,this.outputs=it??[],this.metadata=lt,this.executionSummary=ut,Mt.validate(this)}static validate(W){if(typeof W.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof W.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof W.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(W){return Array.isArray(W)&&W.every(ce=>Mt.isNotebookCellData(ce))}static isNotebookCellData(W){return!0}}e.NotebookCellData=Mt;class Tn{constructor(W){this.cells=W}}e.NotebookData=Tn;class Ut{constructor(W,ce){this.data=W,this.mime=ce;const Le=(0,y.normalizeMimeType)(ce,!0);if(!Le)throw new Error(`INVALID mime type: ${ce}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=Le}static isNotebookCellOutputItem(W){return W instanceof Ut?!0:W?typeof W.mime=="string"&&W.data instanceof Uint8Array:!1}static error(W){const ce={name:W.name,message:W.message,stack:W.stack};return Ut.json(ce,"application/vnd.code.notebook.error")}static stdout(W){return Ut.text(W,"application/vnd.code.notebook.stdout")}static stderr(W){return Ut.text(W,"application/vnd.code.notebook.stderr")}static bytes(W,ce="application/octet-stream"){return new Ut(W,ce)}static text(W,ce=y.Mimes.text){const Le=Me(Ut,g,"f",f).encode(String(W));return new Ut(Le,ce)}static json(W,ce="text/x-json"){const Le=JSON.stringify(W,void 0,"	");return Ut.text(Le,ce)}}e.NotebookCellOutputItem=Ut,g=Ut,f={value:new TextEncoder};class Zt{constructor(W,ce,Le){this.items=Zt.ensureUniqueMimeTypes(W,!0),typeof ce=="string"?(this.id=ce,this.metadata=Le):(this.id=(0,R.generateUuid)(),this.metadata=ce??Le)}static isNotebookCellOutput(W){return W instanceof Zt?!0:!W||typeof W!="object"?!1:typeof W.id=="string"&&(0,E.isArray)(W.items)}static ensureUniqueMimeTypes(W,ce=!1){const Le=new Set,Xe=new Set;for(let it=0;it<W.length;it++){const lt=W[it],ut=(0,y.normalizeMimeType)(lt.mime);if(!Le.has(ut)){Le.add(ut);continue}Xe.add(it),ce&&console.warn(`DUPLICATED mime type '${lt.mime}' will be dropped`)}return Xe.size===0?W:W.filter((it,lt)=>!Xe.has(lt))}}e.NotebookCellOutput=Zt;var An;(function(j){j[j.Markup=1]="Markup",j[j.Code=2]="Code"})(An=e.NotebookCellKind||(e.NotebookCellKind={}));var an;(function(j){j[j.Idle=1]="Idle",j[j.Pending=2]="Pending",j[j.Executing=3]="Executing"})(an=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var wn;(function(j){j[j.Left=1]="Left",j[j.Right=2]="Right"})(wn=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var bn;(function(j){j[j.Default=0]="Default",j[j.InCenter=1]="InCenter",j[j.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",j[j.AtTop=3]="AtTop"})(bn=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));class $e{constructor(W,ce){this.text=W,this.alignment=ce}}e.NotebookCellStatusBarItem=$e;var Ht;(function(j){j[j.Default=1]="Default",j[j.Preferred=2]="Preferred"})(Ht=e.NotebookControllerAffinity||(e.NotebookControllerAffinity={}));class En{constructor(W,ce=[]){this.uri=W,this.provides=(0,u.asArray)(ce)}}e.NotebookRendererScript=En;class gt{constructor(W,ce){this.label=W,this.timestamp=ce}}e.TimelineItem=gt;var Rn;(function(j){j[j.Production=1]="Production",j[j.Development=2]="Development",j[j.Test=3]="Test"})(Rn=e.ExtensionMode||(e.ExtensionMode={}));var Ln;(function(j){j[j.Node=1]="Node",j[j.Webworker=2]="Webworker"})(Ln=e.ExtensionRuntime||(e.ExtensionRuntime={}));var _n;(function(j){j[j.Other=0]="Other",j[j.Comment=1]="Comment",j[j.String=2]="String",j[j.RegEx=3]="RegEx"})(_n=e.StandardTokenType||(e.StandardTokenType={}));class On{constructor(W,ce){this.ranges=W,this.wordPattern=ce}}e.LinkedEditingRanges=On;class en{constructor(W,ce){this._port=W,this._autoForwardAction=ce}get port(){return this._port}get autoForwardAction(){return this._autoForwardAction}}e.PortAttributes=en;var Nn;(function(j){j[j.Queued=1]="Queued",j[j.Running=2]="Running",j[j.Passed=3]="Passed",j[j.Failed=4]="Failed",j[j.Skipped=5]="Skipped",j[j.Errored=6]="Errored"})(Nn=e.TestResultState||(e.TestResultState={}));var Fn;(function(j){j[j.Run=1]="Run",j[j.Debug=2]="Debug",j[j.Coverage=3]="Coverage"})(Fn=e.TestRunProfileKind||(e.TestRunProfileKind={}));class Mn{constructor(W=void 0,ce=void 0,Le=void 0){this.include=W,this.exclude=ce,this.profile=Le}}e.TestRunRequest=Mn;class tn{constructor(W){this.message=W}static diff(W,ce,Le){const Xe=new tn(W);return Xe.expectedOutput=ce,Xe.actualOutput=Le,Xe}}e.TestMessage=tn;class Un{constructor(W){this.id=W}}e.TestTag=Un;class nn{constructor(W,ce){this.covered=W,this.total=ce}}e.CoveredCount=nn;class cn{constructor(W,ce,Le,Xe){this.uri=W,this.statementCoverage=ce,this.branchCoverage=Le,this.functionCoverage=Xe}static fromDetails(W,ce){const Le=new nn(0,0),Xe=new nn(0,0),it=new nn(0,0);for(const ut of ce)if("branches"in ut){Le.total+=1,Le.covered+=ut.executionCount>0?1:0;for(const Dt of ut.branches)Xe.total+=1,Xe.covered+=Dt.executionCount>0?1:0}else it.total+=1,it.covered+=ut.executionCount>0?1:0;const lt=new cn(W,Le,Xe.total>0?Xe:void 0,it.total>0?it:void 0);return lt.detailedCoverage=ce,lt}}e.FileCoverage=cn;class Bn{constructor(W,ce,Le=[]){this.executionCount=W,this.location=ce,this.branches=Le}}e.StatementCoverage=Bn;class zn{constructor(W,ce){this.executionCount=W,this.location=ce}}e.BranchCoverage=zn;class he{constructor(W,ce){this.executionCount=W,this.location=ce}}e.FunctionCoverage=he;var Ee;(function(j){j[j.None=0]="None",j[j.Option=1]="Option",j[j.Default=2]="Default",j[j.Preferred=3]="Preferred"})(Ee=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var Ue;(function(j){j[j.Untrusted=0]="Untrusted",j[j.Trusted=1]="Trusted",j[j.Unspecified=2]="Unspecified"})(Ue=e.WorkspaceTrustState||(e.WorkspaceTrustState={}));var ct;(function(j){j[j.Notify=1]="Notify",j[j.OpenBrowser=2]="OpenBrowser",j[j.OpenPreview=3]="OpenPreview",j[j.Silent=4]="Silent",j[j.Ignore=5]="Ignore",j[j.OpenBrowserOnce=6]="OpenBrowserOnce"})(ct=e.PortAutoForwardAction||(e.PortAutoForwardAction={}));class _t{constructor(W,ce,Le,Xe,it,lt){this.kind=W,this.name=ce,this.detail=Le,this.uri=Xe,this.range=it,this.selectionRange=lt}}e.TypeHierarchyItem=_t;class At{constructor(W){this.uri=W}}e.TextTabInput=At;class jn{constructor(W,ce){this.original=W,this.modified=ce}}e.TextDiffTabInput=jn;class qn{constructor(W,ce){this.uri=W,this.viewType=ce}}e.CustomEditorTabInput=qn;class Gn{constructor(W){this.viewType=W}}e.WebviewEditorTabInput=Gn;class Kn{constructor(W,ce){this.uri=W,this.notebookType=ce}}e.NotebookEditorTabInput=Kn;class Xn{constructor(W,ce,Le){this.original=W,this.modified=ce,this.notebookType=Le}}e.NotebookDiffEditorTabInput=Xn;class Qn{constructor(){}}e.TerminalEditorTabInput=Qn}),define(Ie[126],ke([1,0,56,11,8,158,99,7,16]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const I=new Map;function R(w,b){b?I.set(w,b):I.delete(w)}e.setWordDefinitionFor=R;function k(w){return I.get(w)}e.getWordDefinitionFor=k;class _ extends T.MirrorTextModel{constructor(b,g,f,v,p,c,m,a){super(g,f,v,p);this._proxy=b,this._languageId=c,this._isDirty=m,this.notebook=a,this._isDisposed=!1}dispose(){(0,u.ok)(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(b){return(0,E.equals)(this._lines,b)}get document(){if(!this._document){const b=this;this._document={get uri(){return b._uri},get fileName(){return b._uri.fsPath},get isUntitled(){return b._uri.scheme===t.Schemas.untitled},get languageId(){return b._languageId},get version(){return b._versionId},get isClosed(){return b._isDisposed},get isDirty(){return b._isDirty},save(){return b._save()},getText(g){return g?b._getTextInRange(g):b.getText()},get eol(){return b._eol===`
`?C.EndOfLine.LF:C.EndOfLine.CRLF},get lineCount(){return b._lines.length},lineAt(g){return b._lineAt(g)},offsetAt(g){return b._offsetAt(g)},positionAt(g){return b._positionAt(g)},validateRange(g){return b._validateRange(g)},validatePosition(g){return b._validatePosition(g)},getWordRangeAtPosition(g,f){return b._getWordRangeAtPosition(g,f)}}}return Object.freeze(this._document)}_acceptLanguageId(b){(0,u.ok)(!this._isDisposed),this._languageId=b}_acceptIsDirty(b){(0,u.ok)(!this._isDisposed),this._isDirty=b}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(b){const g=this._validateRange(b);if(g.isEmpty)return"";if(g.isSingleLine)return this._lines[g.start.line].substring(g.start.character,g.end.character);const f=this._eol,v=g.start.line,p=g.end.line,c=[];c.push(this._lines[v].substring(g.start.character));for(let m=v+1;m<p;m++)c.push(this._lines[m]);return c.push(this._lines[p].substring(0,g.end.character)),c.join(f)}_lineAt(b){let g;if(b instanceof C.Position?g=b.line:typeof b=="number"&&(g=b),typeof g!="number"||g<0||g>=this._lines.length||Math.floor(g)!==g)throw new Error("Illegal value for `line`");return new P(g,this._lines[g],g===this._lines.length-1)}_offsetAt(b){return b=this._validatePosition(b),this._ensureLineStarts(),this._lineStarts.getPrefixSum(b.line-1)+b.character}_positionAt(b){b=Math.floor(b),b=Math.max(0,b),this._ensureLineStarts();const g=this._lineStarts.getIndexOf(b),f=this._lines[g.index].length;return new C.Position(g.index,Math.min(g.remainder,f))}_validateRange(b){if(!(b instanceof C.Range))throw new Error("Invalid argument");const g=this._validatePosition(b.start),f=this._validatePosition(b.end);return g===b.start&&f===b.end?b:new C.Range(g.line,g.character,f.line,f.character)}_validatePosition(b){if(!(b instanceof C.Position))throw new Error("Invalid argument");if(this._lines.length===0)return b.with(0,0);let{line:g,character:f}=b,v=!1;if(g<0)g=0,f=0,v=!0;else if(g>=this._lines.length)g=this._lines.length-1,f=this._lines[g].length,v=!0;else{const p=this._lines[g].length;f<0?(f=0,v=!0):f>p&&(f=p,v=!0)}return v?new C.Position(g,f):b}_getWordRangeAtPosition(b,g){const f=this._validatePosition(b);if(!g)g=k(this._languageId);else if((0,D.regExpLeadsToEndlessLoop)(g))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${g.source}' because it matches the empty string.`);const v=(0,y.getWordAtText)(f.character+1,(0,y.ensureValidWordDefinition)(g),this._lines[f.line],0);if(v)return new C.Range(f.line,v.startColumn-1,f.line,v.endColumn-1)}}e.ExtHostDocumentData=_;class P{constructor(b,g,f){this._line=b,this._text=g,this._isLastLine=f}get lineNumber(){return this._line}get text(){return this._text}get range(){return new C.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new C.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=P}),define(Ie[208],ke([1,0,7,17,3]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let T=class{constructor(C){this._actual=new u.ColorTheme(u.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new D.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(C){let E;switch(C){case"light":E=u.ColorThemeKind.Light;break;case"hcDark":E=u.ColorThemeKind.HighContrast;break;case"hcLight":E=u.ColorThemeKind.HighContrastLight;break;default:E=u.ColorThemeKind.Dark}this._actual=new u.ColorTheme(E),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};T=st([He(0,t.IExtHostRpcService)],T),e.ExtHostTheming=T}),define(Ie[64],ke([1,0,4]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=(0,u.createDecorator)("IURITransformerService");class t{constructor(T){T?(this.transformIncoming=T.transformIncoming.bind(T),this.transformOutgoing=T.transformOutgoing.bind(T),this.transformOutgoingURI=T.transformOutgoingURI.bind(T),this.transformOutgoingScheme=T.transformOutgoingScheme.bind(T)):(this.transformIncoming=y=>y,this.transformOutgoing=y=>y,this.transformOutgoingURI=y=>y,this.transformOutgoingScheme=y=>y)}}e.URITransformerService=t}),define(Ie[209],ke([1,0,23]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeWebviewMessage=e.serializeWebviewMessage=void 0;class t{constructor(){this.buffers=[]}add(E){let I=this.buffers.indexOf(E);return I<0&&(I=this.buffers.length,this.buffers.push(E)),I}}function D(C,E){if(E.serializeBuffersForPostMessage){const I=new t,R=(P,w)=>{if(w instanceof ArrayBuffer){const b=I.add(w);return{$$vscode_array_buffer_reference$$:!0,index:b}}else if(ArrayBuffer.isView(w)){const b=T(w);if(b){const g=I.add(w.buffer);return{$$vscode_array_buffer_reference$$:!0,index:g,view:{type:b,byteLength:w.byteLength,byteOffset:w.byteOffset}}}}return w},k=JSON.stringify(C,R),_=I.buffers.map(P=>{const w=new Uint8Array(P);return u.VSBuffer.wrap(w)});return{message:k,buffers:_}}else return{message:JSON.stringify(C),buffers:[]}}e.serializeWebviewMessage=D;function T(C){switch(C.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function y(C,E){const I=E.map(_=>{const P=new ArrayBuffer(_.byteLength);return new Uint8Array(P).set(_.buffer),P}),R=E.length?(_,P)=>{if(P&&typeof P=="object"&&P.$$vscode_array_buffer_reference$$){const w=P,{index:b}=w,g=I[b];if(w.view)switch(w.view.type){case 1:return new Int8Array(g,w.view.byteOffset,w.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(g,w.view.byteOffset,w.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(g,w.view.byteOffset,w.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(g,w.view.byteOffset,w.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(g,w.view.byteOffset,w.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(g,w.view.byteOffset,w.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(g,w.view.byteOffset,w.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(g,w.view.byteOffset,w.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(g,w.view.byteOffset,w.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(g,w.view.byteOffset,w.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(g,w.view.byteOffset,w.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return g}return P}:void 0;return{message:JSON.parse(C,R),arrayBuffers:I}}e.deserializeWebviewMessage=y}),define(Ie[210],ke([1,0,108]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createURITransformer=void 0;function t(T){return{transformIncoming:y=>y.scheme==="vscode-remote"?{scheme:"file",path:y.path,query:y.query,fragment:y.fragment}:y.scheme==="file"?{scheme:"vscode-local",path:y.path,query:y.query,fragment:y.fragment}:y,transformOutgoing:y=>y.scheme==="file"?{scheme:"vscode-remote",authority:T,path:y.path,query:y.query,fragment:y.fragment}:y.scheme==="vscode-local"?{scheme:"file",path:y.path,query:y.query,fragment:y.fragment}:y,transformOutgoingScheme:y=>y==="file"?"vscode-remote":y==="vscode-local"?"file":y}}function D(T){return new u.URITransformer(t(T))}e.createURITransformer=D}),define(Ie[211],ke([1,0,179,10,2,6,4,44,43,16,11]),function(Q,e,u,t,D,T,y,C,E,I,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isTextEditorViewState=e.EditorsOrder=e.pathsToEditors=e.CloseDirection=e.EditorResourceAccessor=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.isEditorIdentifier=e.isEditorInputWithOptionsAndGroup=e.isEditorInputWithOptions=e.isDiffEditorInput=e.isSideBySideEditorInput=e.isEditorInput=e.AbstractEditorInput=e.EditorInputCapabilities=e.SaveSourceRegistry=e.SaveReason=e.Verbosity=e.isUntitledResourceEditorInput=e.isResourceSideBySideEditorInput=e.isResourceDiffEditorInput=e.isResourceEditorInput=e.findViewStateForEditor=e.isEditorPaneWithSelection=e.EditorPaneSelectionCompareResult=e.EditorPaneSelectionChangeReason=e.BINARY_DIFF_EDITOR_ID=e.TEXT_DIFF_EDITOR_ID=e.SIDE_BY_SIDE_EDITOR_ID=e.DEFAULT_EDITOR_ASSOCIATION=e.EditorExtensions=void 0,e.EditorExtensions={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.DEFAULT_EDITOR_ASSOCIATION={id:"default",displayName:(0,u.localize)(0,null),providerDisplayName:(0,u.localize)(1,null)},e.SIDE_BY_SIDE_EDITOR_ID="workbench.editor.sidebysideEditor",e.TEXT_DIFF_EDITOR_ID="workbench.editors.textDiffEditor",e.BINARY_DIFF_EDITOR_ID="workbench.editors.binaryResourceDiffEditor";var k;(function(M){M[M.PROGRAMMATIC=1]="PROGRAMMATIC",M[M.USER=2]="USER",M[M.EDIT=3]="EDIT",M[M.NAVIGATION=4]="NAVIGATION",M[M.JUMP=5]="JUMP"})(k=e.EditorPaneSelectionChangeReason||(e.EditorPaneSelectionChangeReason={}));var _;(function(M){M[M.IDENTICAL=1]="IDENTICAL",M[M.SIMILAR=2]="SIMILAR",M[M.DIFFERENT=3]="DIFFERENT"})(_=e.EditorPaneSelectionCompareResult||(e.EditorPaneSelectionCompareResult={}));function P(M){const U=M;return!!U&&typeof U.getSelection=="function"&&!!U.onDidChangeSelection}e.isEditorPaneWithSelection=P;function w(M,U,q){for(const x of q.visibleEditorPanes)if(x.group.id===U&&M.matches(x.input))return x.getViewState()}e.findViewStateForEditor=w;function b(M){if(r(M))return!1;const U=M;return D.URI.isUri(U?.resource)}e.isResourceEditorInput=b;function g(M){if(r(M))return!1;const U=M;return U?.original!==void 0&&U.modified!==void 0}e.isResourceDiffEditorInput=g;function f(M){if(r(M)||g(M))return!1;const U=M;return U?.primary!==void 0&&U.secondary!==void 0}e.isResourceSideBySideEditorInput=f;function v(M){if(r(M))return!1;const U=M;return U?U.resource===void 0||U.resource.scheme===R.Schemas.untitled||U.forceUntitled===!0:!1}e.isUntitledResourceEditorInput=v;var p;(function(M){M[M.SHORT=0]="SHORT",M[M.MEDIUM=1]="MEDIUM",M[M.LONG=2]="LONG"})(p=e.Verbosity||(e.Verbosity={}));var c;(function(M){M[M.EXPLICIT=1]="EXPLICIT",M[M.AUTO=2]="AUTO",M[M.FOCUS_CHANGE=3]="FOCUS_CHANGE",M[M.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(c=e.SaveReason||(e.SaveReason={}));class m{constructor(){this.mapIdToSaveSource=new Map}registerSource(U,q){let x=this.mapIdToSaveSource.get(U);return x||(x={source:U,label:q},this.mapIdToSaveSource.set(U,x)),x.source}getSourceLabel(U){return this.mapIdToSaveSource.get(U)?.label??U}}e.SaveSourceRegistry=new m;var a;(function(M){M[M.None=0]="None",M[M.Readonly=2]="Readonly",M[M.Untitled=4]="Untitled",M[M.Singleton=8]="Singleton",M[M.RequiresTrust=16]="RequiresTrust",M[M.CanSplitInGroup=32]="CanSplitInGroup",M[M.ForceDescription=64]="ForceDescription",M[M.CanDropIntoEditor=128]="CanDropIntoEditor"})(a=e.EditorInputCapabilities||(e.EditorInputCapabilities={}));class h extends T.Disposable{}e.AbstractEditorInput=h;function r(M){return M instanceof h}e.isEditorInput=r;function o(M){const U=M;return D.URI.isUri(U?.preferredResource)}function i(M){const U=M;return r(U?.primary)&&r(U?.secondary)}e.isSideBySideEditorInput=i;function n(M){const U=M;return r(U?.modified)&&r(U?.original)}e.isDiffEditorInput=n;function s(M){return r(M?.editor)}e.isEditorInputWithOptions=s;function l(M){const U=M;return s(M)&&U?.group!==void 0}e.isEditorInputWithOptionsAndGroup=l;function d(M){const U=M;return typeof U?.groupId=="number"&&r(U.editor)}e.isEditorIdentifier=d;var S;(function(M){M[M.UNKNOWN=0]="UNKNOWN",M[M.REPLACE=1]="REPLACE",M[M.MOVE=2]="MOVE",M[M.UNPIN=3]="UNPIN"})(S=e.EditorCloseContext||(e.EditorCloseContext={}));var L;(function(M){M[M.GROUP_ACTIVE=0]="GROUP_ACTIVE",M[M.GROUP_INDEX=1]="GROUP_INDEX",M[M.GROUP_LOCKED=2]="GROUP_LOCKED",M[M.EDITOR_OPEN=3]="EDITOR_OPEN",M[M.EDITOR_CLOSE=4]="EDITOR_CLOSE",M[M.EDITOR_MOVE=5]="EDITOR_MOVE",M[M.EDITOR_ACTIVE=6]="EDITOR_ACTIVE",M[M.EDITOR_LABEL=7]="EDITOR_LABEL",M[M.EDITOR_CAPABILITIES=8]="EDITOR_CAPABILITIES",M[M.EDITOR_PIN=9]="EDITOR_PIN",M[M.EDITOR_STICKY=10]="EDITOR_STICKY",M[M.EDITOR_DIRTY=11]="EDITOR_DIRTY",M[M.EDITOR_WILL_DISPOSE=12]="EDITOR_WILL_DISPOSE"})(L=e.GroupModelChangeKind||(e.GroupModelChangeKind={}));var F;(function(M){M[M.PRIMARY=1]="PRIMARY",M[M.SECONDARY=2]="SECONDARY",M[M.BOTH=3]="BOTH",M[M.ANY=4]="ANY"})(F=e.SideBySideEditor||(e.SideBySideEditor={}));class N{getOriginalUri(U,q){if(!U)return;if(q?.supportSideBySide){const{primary:V,secondary:ee}=this.getSideEditors(U);if(V&&ee){if(q?.supportSideBySide===F.BOTH)return{primary:this.getOriginalUri(V,{filterByScheme:q.filterByScheme}),secondary:this.getOriginalUri(ee,{filterByScheme:q.filterByScheme})};if(q?.supportSideBySide===F.ANY)return this.getOriginalUri(V,{filterByScheme:q.filterByScheme})??this.getOriginalUri(ee,{filterByScheme:q.filterByScheme});U=q.supportSideBySide===F.PRIMARY?V:ee}}if(g(U)||f(U))return;const x=o(U)?U.preferredResource:U.resource;return!x||!q||!q.filterByScheme?x:this.filterUri(x,q.filterByScheme)}getSideEditors(U){return i(U)||f(U)?{primary:U.primary,secondary:U.secondary}:n(U)||g(U)?{primary:U.modified,secondary:U.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(U,q){if(!U)return;if(q?.supportSideBySide){const{primary:V,secondary:ee}=this.getSideEditors(U);if(V&&ee){if(q?.supportSideBySide===F.BOTH)return{primary:this.getCanonicalUri(V,{filterByScheme:q.filterByScheme}),secondary:this.getCanonicalUri(ee,{filterByScheme:q.filterByScheme})};if(q?.supportSideBySide===F.ANY)return this.getCanonicalUri(V,{filterByScheme:q.filterByScheme})??this.getCanonicalUri(ee,{filterByScheme:q.filterByScheme});U=q.supportSideBySide===F.PRIMARY?V:ee}}if(g(U)||f(U))return;const x=U.resource;return!x||!q||!q.filterByScheme?x:this.filterUri(x,q.filterByScheme)}filterUri(U,q){if(Array.isArray(q)){if(q.some(x=>U.scheme===x))return U}else if(q===U.scheme)return U}}e.EditorResourceAccessor=new N;var A;(function(M){M[M.LEFT=0]="LEFT",M[M.RIGHT=1]="RIGHT"})(A=e.CloseDirection||(e.CloseDirection={}));class ${constructor(){this.editorSerializerConstructors=new Map,this.editorSerializerInstances=new Map}start(U){const q=this.instantiationService=U.get(y.IInstantiationService);for(const[x,V]of this.editorSerializerConstructors)this.createEditorSerializer(x,V,q);this.editorSerializerConstructors.clear()}createEditorSerializer(U,q,x){const V=x.createInstance(q);this.editorSerializerInstances.set(U,V)}registerFileEditorFactory(U){if(this.fileEditorFactory)throw new Error("Can only register one file editor factory.");this.fileEditorFactory=U}getFileEditorFactory(){return(0,t.assertIsDefined)(this.fileEditorFactory)}registerEditorSerializer(U,q){if(this.editorSerializerConstructors.has(U)||this.editorSerializerInstances.has(U))throw new Error(`A editor serializer with type ID '${U}' was already registered.`);return this.instantiationService?this.createEditorSerializer(U,q,this.instantiationService):this.editorSerializerConstructors.set(U,q),(0,T.toDisposable)(()=>{this.editorSerializerConstructors.delete(U),this.editorSerializerInstances.delete(U)})}getEditorSerializer(U){return this.editorSerializerInstances.get(typeof U=="string"?U:U.typeId)}}C.Registry.add(e.EditorExtensions.EditorFactory,new $);async function B(M,U){if(!M||!M.length)return[];const q=await Promise.all(M.map(async x=>{const V=D.URI.revive(x.fileUri);if(!V||!await U.canHandleResource(V))return;let Y=x.exists,le=x.type;if(typeof Y!="boolean"||typeof le!="number")try{le=(await U.stat(V)).isDirectory?E.FileType.Directory:E.FileType.Unknown,Y=!0}catch{Y=!1}if(!Y&&x.openOnlyIfExists||le===E.FileType.Directory)return;const ve={...x.options,pinned:!0};let J;return Y?J={resource:V,options:ve}:J={resource:V,options:ve,forceUntitled:!0},J}));return(0,I.coalesce)(q)}e.pathsToEditors=B;var z;(function(M){M[M.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",M[M.SEQUENTIAL=1]="SEQUENTIAL"})(z=e.EditorsOrder||(e.EditorsOrder={}));function X(M){const U=M;if(!U)return!1;const q=U;if(q.modified)return X(q.modified);const x=U;return!!(x.contributionsState&&x.viewState&&Array.isArray(x.cursorState))}e.isTextEditorViewState=X}),define(Ie[88],ke([1,0,11,2]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeAuthority=e.asWebviewUri=e.webviewGenericCspSource=e.webviewRootResourceAuthority=e.webviewResourceBaseHost=void 0,e.webviewResourceBaseHost="vscode-cdn.net",e.webviewRootResourceAuthority=`vscode-resource.${e.webviewResourceBaseHost}`,e.webviewGenericCspSource=`'self' https://*.${e.webviewResourceBaseHost}`;function D(C,E){return C.scheme===u.Schemas.http||C.scheme===u.Schemas.https?C:(E&&E.authority&&E.isRemote&&C.scheme===u.Schemas.file&&(C=t.URI.from({scheme:u.Schemas.vscodeRemote,authority:E.authority,path:C.path})),t.URI.from({scheme:u.Schemas.https,authority:`${C.scheme}+${T(C.authority)}.${e.webviewRootResourceAuthority}`,path:C.path,fragment:C.fragment,query:C.query}))}e.asWebviewUri=D;function T(C){return C.replace(/./g,E=>{const I=E.charCodeAt(0);return I>=97&&I<=122||I>=65&&I<=90||I>=48&&I<=57?E:"-"+I.toString(16).padStart(4,"0")})}function y(C){return C.replace(/-([0-9a-f]{4})/g,(E,I)=>String.fromCharCode(parseInt(I,16)))}e.decodeAuthority=y}),define(Ie[212],ke([1,0,3,6,88]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class T{constructor(C,E,I){this._proxy=C,this._editors=E,this._remoteInfo=I,this._handlePool=0,this._disposables=new t.DisposableStore,this._insets=new Map,this._disposables.add(E.onDidChangeVisibleTextEditors(()=>{const R=E.getVisibleTextEditors();for(const k of this._insets.values())R.indexOf(k.editor)<0&&k.inset.dispose()}))}dispose(){this._insets.forEach(C=>C.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(C,E,I,R,k){let _;for(const p of this._editors.getVisibleTextEditors(!0))if(p.value===C){_=p;break}if(!_)throw new Error("not a visible editor");const P=this,w=this._handlePool++,b=new u.Emitter,g=new u.Emitter,f=new class{constructor(){this._html="",this._options=Object.create(null)}asWebviewUri(p){return(0,D.asWebviewUri)(p,P._remoteInfo)}get cspSource(){return D.webviewGenericCspSource}set options(p){this._options=p,P._proxy.$setOptions(w,p)}get options(){return this._options}set html(p){this._html=p,P._proxy.$setHtml(w,p)}get html(){return this._html}get onDidReceiveMessage(){return b.event}postMessage(p){return P._proxy.$postMessage(w,p)}},v=new class{constructor(){this.editor=C,this.line=E,this.height=I,this.webview=f,this.onDidDispose=g.event}dispose(){P._insets.has(w)&&(P._insets.delete(w),P._proxy.$disposeEditorInset(w),g.fire(),g.dispose(),b.dispose())}};return this._proxy.$createEditorInset(w,_.id,_.value.document.uri,E+1,I,R||{},k.identifier,k.extensionLocation),this._insets.set(w,{editor:C,inset:v,onDidReceiveMessage:b}),v}$onDidDispose(C){const E=this._insets.get(C);E&&E.inset.dispose()}$onDidReceiveMessage(C,E){this._insets.get(C)?.onDidReceiveMessage.fire(E)}}e.ExtHostEditorInsets=T}),define(Ie[127],ke([1,0,3,18,180]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class T{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new u.Emitter,this._onExit=new u.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(C){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=C}onEvent(C){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=C}onRequest(C){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=C}sendResponse(C){C.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${C.command}`)):this.internalSend("response",C)}sendRequest(C,E,I,R){const k={command:C};if(E&&Object.keys(E).length>0&&(k.arguments=E),this.internalSend("request",k),typeof R=="number"){const _=setTimeout(()=>{clearTimeout(_);const P=this.pendingRequests.get(k.seq);if(P){this.pendingRequests.delete(k.seq);const w={type:"response",seq:0,request_seq:k.seq,success:!1,command:C,message:(0,D.localize)(0,null,R,C)};P(w)}},R)}return I&&this.pendingRequests.set(k.seq,I),k.seq}acceptMessage(C){this.messageCallback?this.messageCallback(C):(this.queue.push(C),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(C,E){return C.type!=="event"||E.type!=="event"}async processQueue(){let C;for(;this.queue.length;){if((!C||this.needsTaskBoundaryBetween(this.queue[0],C))&&await(0,t.timeout)(0),C=this.queue.shift(),!C)return;switch(C.type){case"event":this.eventCallback?.(C);break;case"request":this.requestCallback?.(C);break;case"response":{const E=C,I=this.pendingRequests.get(E.request_seq);I&&(this.pendingRequests.delete(E.request_seq),I(E));break}}}}internalSend(C,E){E.type=C,E.seq=this.sequence++,this.sendMessage(E)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const C=new Map;this.pendingRequests.forEach((E,I)=>C.set(I,E)),await(0,t.timeout)(500),C.forEach((E,I)=>{E({type:"response",seq:0,request_seq:I,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(I)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=T}),define(Ie[213],ke([1,0,181,51,4]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BreakpointWidgetContext=e.IDebugService=e.DebuggerUiMessage=e.DebugConfigurationProviderTriggerKind=e.DEBUG_MEMORY_SCHEME=e.MemoryRangeType=e.getStateLabel=e.State=e.INTERNAL_CONSOLE_OPTIONS_SCHEMA=e.DEBUG_SCHEME=e.BREAKPOINT_EDITOR_CONTRIBUTION_ID=e.EDITOR_CONTRIBUTION_ID=e.debuggerDisabledMessage=e.CONTEXT_FOCUSED_STACK_FRAME_HAS_INSTRUCTION_POINTER_REFERENCE=e.CONTEXT_LANGUAGE_SUPPORTS_DISASSEMBLE_REQUEST=e.CONTEXT_DISASSEMBLY_VIEW_FOCUS=e.CONTEXT_DISASSEMBLE_REQUEST_SUPPORTED=e.CONTEXT_MULTI_SESSION_DEBUG=e.CONTEXT_MULTI_SESSION_REPL=e.CONTEXT_EXCEPTION_WIDGET_VISIBLE=e.CONTEXT_VARIABLE_IS_READONLY=e.CONTEXT_VARIABLE_EVALUATE_NAME_PRESENT=e.CONTEXT_SUSPEND_DEBUGGEE_SUPPORTED=e.CONTEXT_TERMINATE_DEBUGGEE_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_IS_READ_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_IS_ACCESSED_SUPPORTED=e.CONTEXT_BREAK_WHEN_VALUE_CHANGES_SUPPORTED=e.CONTEXT_SET_EXPRESSION_SUPPORTED=e.CONTEXT_SET_VARIABLE_SUPPORTED=e.CONTEXT_DEBUG_PROTOCOL_VARIABLE_MENU_CONTEXT=e.CONTEXT_DEBUG_EXTENSION_AVAILABLE=e.CONTEXT_DEBUGGERS_AVAILABLE=e.CONTEXT_BREAKPOINTS_EXIST=e.CONTEXT_STEP_INTO_TARGETS_SUPPORTED=e.CONTEXT_JUMP_TO_CURSOR_SUPPORTED=e.CONTEXT_STACK_FRAME_SUPPORTS_RESTART=e.CONTEXT_RESTART_FRAME_SUPPORTED=e.CONTEXT_STEP_BACK_SUPPORTED=e.CONTEXT_FOCUSED_SESSION_IS_ATTACH=e.CONTEXT_LOADED_SCRIPTS_ITEM_TYPE=e.CONTEXT_LOADED_SCRIPTS_SUPPORTED=e.CONTEXT_BREAKPOINT_SUPPORTS_CONDITION=e.CONTEXT_BREAKPOINT_ACCESS_TYPE=e.CONTEXT_BREAKPOINT_ITEM_TYPE=e.CONTEXT_CAN_VIEW_MEMORY=e.CONTEXT_WATCH_ITEM_TYPE=e.CONTEXT_CALLSTACK_SESSION_HAS_ONE_THREAD=e.CONTEXT_CALLSTACK_ITEM_STOPPED=e.CONTEXT_CALLSTACK_SESSION_IS_ATTACH=e.CONTEXT_CALLSTACK_ITEM_TYPE=e.CONTEXT_BREAKPOINT_INPUT_FOCUSED=e.CONTEXT_EXPRESSION_SELECTED=e.CONTEXT_VARIABLES_FOCUSED=e.CONTEXT_WATCH_EXPRESSIONS_EXIST=e.CONTEXT_WATCH_EXPRESSIONS_FOCUSED=e.CONTEXT_BREAKPOINTS_FOCUSED=e.CONTEXT_IN_BREAKPOINT_WIDGET=e.CONTEXT_BREAKPOINT_WIDGET_VISIBLE=e.CONTEXT_IN_DEBUG_REPL=e.CONTEXT_IN_DEBUG_MODE=e.CONTEXT_DEBUG_UX=e.CONTEXT_DEBUG_UX_KEY=e.CONTEXT_DEBUG_STATE=e.CONTEXT_DEBUG_CONFIGURATION_TYPE=e.CONTEXT_DEBUG_TYPE=e.DEBUG_SERVICE_ID=e.REPL_VIEW_ID=e.DEBUG_PANEL_ID=e.DISASSEMBLY_VIEW_ID=e.BREAKPOINTS_VIEW_ID=e.LOADED_SCRIPTS_VIEW_ID=e.CALLSTACK_VIEW_ID=e.WATCH_VIEW_ID=e.VARIABLES_VIEW_ID=e.VIEWLET_ID=void 0,e.VIEWLET_ID="workbench.view.debug",e.VARIABLES_VIEW_ID="workbench.debug.variablesView",e.WATCH_VIEW_ID="workbench.debug.watchExpressionsView",e.CALLSTACK_VIEW_ID="workbench.debug.callStackView",e.LOADED_SCRIPTS_VIEW_ID="workbench.debug.loadedScriptsView",e.BREAKPOINTS_VIEW_ID="workbench.debug.breakPointsView",e.DISASSEMBLY_VIEW_ID="workbench.debug.disassemblyView",e.DEBUG_PANEL_ID="workbench.panel.repl",e.REPL_VIEW_ID="workbench.panel.repl.view",e.DEBUG_SERVICE_ID="debugService",e.CONTEXT_DEBUG_TYPE=new t.RawContextKey("debugType",void 0,{type:"string",description:u.localize(0,null)}),e.CONTEXT_DEBUG_CONFIGURATION_TYPE=new t.RawContextKey("debugConfigurationType",void 0,{type:"string",description:u.localize(1,null)}),e.CONTEXT_DEBUG_STATE=new t.RawContextKey("debugState","inactive",{type:"string",description:u.localize(2,null)}),e.CONTEXT_DEBUG_UX_KEY="debugUx",e.CONTEXT_DEBUG_UX=new t.RawContextKey(e.CONTEXT_DEBUG_UX_KEY,"default",{type:"string",description:u.localize(3,null)}),e.CONTEXT_IN_DEBUG_MODE=new t.RawContextKey("inDebugMode",!1,{type:"boolean",description:u.localize(4,null)}),e.CONTEXT_IN_DEBUG_REPL=new t.RawContextKey("inDebugRepl",!1,{type:"boolean",description:u.localize(5,null)}),e.CONTEXT_BREAKPOINT_WIDGET_VISIBLE=new t.RawContextKey("breakpointWidgetVisible",!1,{type:"boolean",description:u.localize(6,null)}),e.CONTEXT_IN_BREAKPOINT_WIDGET=new t.RawContextKey("inBreakpointWidget",!1,{type:"boolean",description:u.localize(7,null)}),e.CONTEXT_BREAKPOINTS_FOCUSED=new t.RawContextKey("breakpointsFocused",!0,{type:"boolean",description:u.localize(8,null)}),e.CONTEXT_WATCH_EXPRESSIONS_FOCUSED=new t.RawContextKey("watchExpressionsFocused",!0,{type:"boolean",description:u.localize(9,null)}),e.CONTEXT_WATCH_EXPRESSIONS_EXIST=new t.RawContextKey("watchExpressionsExist",!1,{type:"boolean",description:u.localize(10,null)}),e.CONTEXT_VARIABLES_FOCUSED=new t.RawContextKey("variablesFocused",!0,{type:"boolean",description:u.localize(11,null)}),e.CONTEXT_EXPRESSION_SELECTED=new t.RawContextKey("expressionSelected",!1,{type:"boolean",description:u.localize(12,null)}),e.CONTEXT_BREAKPOINT_INPUT_FOCUSED=new t.RawContextKey("breakpointInputFocused",!1,{type:"boolean",description:u.localize(13,null)}),e.CONTEXT_CALLSTACK_ITEM_TYPE=new t.RawContextKey("callStackItemType",void 0,{type:"string",description:u.localize(14,null)}),e.CONTEXT_CALLSTACK_SESSION_IS_ATTACH=new t.RawContextKey("callStackSessionIsAttach",!1,{type:"boolean",description:u.localize(15,null)}),e.CONTEXT_CALLSTACK_ITEM_STOPPED=new t.RawContextKey("callStackItemStopped",!1,{type:"boolean",description:u.localize(16,null)}),e.CONTEXT_CALLSTACK_SESSION_HAS_ONE_THREAD=new t.RawContextKey("callStackSessionHasOneThread",!1,{type:"boolean",description:u.localize(17,null)}),e.CONTEXT_WATCH_ITEM_TYPE=new t.RawContextKey("watchItemType",void 0,{type:"string",description:u.localize(18,null)}),e.CONTEXT_CAN_VIEW_MEMORY=new t.RawContextKey("canViewMemory",void 0,{type:"boolean",description:u.localize(19,null)}),e.CONTEXT_BREAKPOINT_ITEM_TYPE=new t.RawContextKey("breakpointItemType",void 0,{type:"string",description:u.localize(20,null)}),e.CONTEXT_BREAKPOINT_ACCESS_TYPE=new t.RawContextKey("breakpointAccessType",void 0,{type:"string",description:u.localize(21,null)}),e.CONTEXT_BREAKPOINT_SUPPORTS_CONDITION=new t.RawContextKey("breakpointSupportsCondition",!1,{type:"boolean",description:u.localize(22,null)}),e.CONTEXT_LOADED_SCRIPTS_SUPPORTED=new t.RawContextKey("loadedScriptsSupported",!1,{type:"boolean",description:u.localize(23,null)}),e.CONTEXT_LOADED_SCRIPTS_ITEM_TYPE=new t.RawContextKey("loadedScriptsItemType",void 0,{type:"string",description:u.localize(24,null)}),e.CONTEXT_FOCUSED_SESSION_IS_ATTACH=new t.RawContextKey("focusedSessionIsAttach",!1,{type:"boolean",description:u.localize(25,null)}),e.CONTEXT_STEP_BACK_SUPPORTED=new t.RawContextKey("stepBackSupported",!1,{type:"boolean",description:u.localize(26,null)}),e.CONTEXT_RESTART_FRAME_SUPPORTED=new t.RawContextKey("restartFrameSupported",!1,{type:"boolean",description:u.localize(27,null)}),e.CONTEXT_STACK_FRAME_SUPPORTS_RESTART=new t.RawContextKey("stackFrameSupportsRestart",!1,{type:"boolean",description:u.localize(28,null)}),e.CONTEXT_JUMP_TO_CURSOR_SUPPORTED=new t.RawContextKey("jumpToCursorSupported",!1,{type:"boolean",description:u.localize(29,null)}),e.CONTEXT_STEP_INTO_TARGETS_SUPPORTED=new t.RawContextKey("stepIntoTargetsSupported",!1,{type:"boolean",description:u.localize(30,null)}),e.CONTEXT_BREAKPOINTS_EXIST=new t.RawContextKey("breakpointsExist",!1,{type:"boolean",description:u.localize(31,null)}),e.CONTEXT_DEBUGGERS_AVAILABLE=new t.RawContextKey("debuggersAvailable",!1,{type:"boolean",description:u.localize(32,null)}),e.CONTEXT_DEBUG_EXTENSION_AVAILABLE=new t.RawContextKey("debugExtensionAvailable",!1,{type:"boolean",description:u.localize(33,null)}),e.CONTEXT_DEBUG_PROTOCOL_VARIABLE_MENU_CONTEXT=new t.RawContextKey("debugProtocolVariableMenuContext",void 0,{type:"string",description:u.localize(34,null)}),e.CONTEXT_SET_VARIABLE_SUPPORTED=new t.RawContextKey("debugSetVariableSupported",!1,{type:"boolean",description:u.localize(35,null)}),e.CONTEXT_SET_EXPRESSION_SUPPORTED=new t.RawContextKey("debugSetExpressionSupported",!1,{type:"boolean",description:u.localize(36,null)}),e.CONTEXT_BREAK_WHEN_VALUE_CHANGES_SUPPORTED=new t.RawContextKey("breakWhenValueChangesSupported",!1,{type:"boolean",description:u.localize(37,null)}),e.CONTEXT_BREAK_WHEN_VALUE_IS_ACCESSED_SUPPORTED=new t.RawContextKey("breakWhenValueIsAccessedSupported",!1,{type:"boolean",description:u.localize(38,null)}),e.CONTEXT_BREAK_WHEN_VALUE_IS_READ_SUPPORTED=new t.RawContextKey("breakWhenValueIsReadSupported",!1,{type:"boolean",description:u.localize(39,null)}),e.CONTEXT_TERMINATE_DEBUGGEE_SUPPORTED=new t.RawContextKey("terminateDebuggeeSupported",!1,{type:"boolean",description:u.localize(40,null)}),e.CONTEXT_SUSPEND_DEBUGGEE_SUPPORTED=new t.RawContextKey("suspendDebuggeeSupported",!1,{type:"boolean",description:u.localize(41,null)}),e.CONTEXT_VARIABLE_EVALUATE_NAME_PRESENT=new t.RawContextKey("variableEvaluateNamePresent",!1,{type:"boolean",description:u.localize(42,null)}),e.CONTEXT_VARIABLE_IS_READONLY=new t.RawContextKey("variableIsReadonly",!1,{type:"boolean",description:u.localize(43,null)}),e.CONTEXT_EXCEPTION_WIDGET_VISIBLE=new t.RawContextKey("exceptionWidgetVisible",!1,{type:"boolean",description:u.localize(44,null)}),e.CONTEXT_MULTI_SESSION_REPL=new t.RawContextKey("multiSessionRepl",!1,{type:"boolean",description:u.localize(45,null)}),e.CONTEXT_MULTI_SESSION_DEBUG=new t.RawContextKey("multiSessionDebug",!1,{type:"boolean",description:u.localize(46,null)}),e.CONTEXT_DISASSEMBLE_REQUEST_SUPPORTED=new t.RawContextKey("disassembleRequestSupported",!1,{type:"boolean",description:u.localize(47,null)}),e.CONTEXT_DISASSEMBLY_VIEW_FOCUS=new t.RawContextKey("disassemblyViewFocus",!1,{type:"boolean",description:u.localize(48,null)}),e.CONTEXT_LANGUAGE_SUPPORTS_DISASSEMBLE_REQUEST=new t.RawContextKey("languageSupportsDisassembleRequest",!1,{type:"boolean",description:u.localize(49,null)}),e.CONTEXT_FOCUSED_STACK_FRAME_HAS_INSTRUCTION_POINTER_REFERENCE=new t.RawContextKey("focusedStackFrameHasInstructionReference",!1,{type:"boolean",description:u.localize(50,null)});const T=_=>u.localize(51,null,_);e.debuggerDisabledMessage=T,e.EDITOR_CONTRIBUTION_ID="editor.contrib.debug",e.BREAKPOINT_EDITOR_CONTRIBUTION_ID="editor.contrib.breakpoint",e.DEBUG_SCHEME="debug",e.INTERNAL_CONSOLE_OPTIONS_SCHEMA={enum:["neverOpen","openOnSessionStart","openOnFirstSessionStart"],default:"openOnFirstSessionStart",description:u.localize(52,null)};var y;(function(_){_[_.Inactive=0]="Inactive",_[_.Initializing=1]="Initializing",_[_.Stopped=2]="Stopped",_[_.Running=3]="Running"})(y=e.State||(e.State={}));function C(_){switch(_){case 1:return"initializing";case 2:return"stopped";case 3:return"running";default:return"inactive"}}e.getStateLabel=C;var E;(function(_){_[_.Valid=0]="Valid",_[_.Unreadable=1]="Unreadable",_[_.Error=2]="Error"})(E=e.MemoryRangeType||(e.MemoryRangeType={})),e.DEBUG_MEMORY_SCHEME="vscode-debug-memory";var I;(function(_){_[_.Initial=1]="Initial",_[_.Dynamic=2]="Dynamic"})(I=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));var R;(function(_){_.UnverifiedBreakpoints="unverifiedBreakpoints"})(R=e.DebuggerUiMessage||(e.DebuggerUiMessage={})),e.IDebugService=(0,D.createDecorator)(e.DEBUG_SERVICE_ID);var k;(function(_){_[_.CONDITION=0]="CONDITION",_[_.HIT_COUNT=1]="HIT_COUNT",_[_.LOG_MESSAGE=2]="LOG_MESSAGE"})(k=e.BreakpointWidgetContext||(e.BreakpointWidgetContext={}))}),define(Ie[214],ke([1,0,8,2,9,24,11]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.saveAllBeforeDebugStart=e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const C=/{([^}]+)}/g;function E(r,o,i){return r.replace(C,function(n,s){return o&&s.length>0&&s[0]!=="_"?n:i&&i.hasOwnProperty(s)?i[s]:n})}e.formatPII=E;function I(r){const o={};for(const i of Object.keys(r))i.startsWith("!")||(o[i]=r[i]);return o}e.filterExceptionsFromTelemetry=I;function R(r){return r.configuration.request==="attach"&&!k(r)&&(!r.parentSession||R(r.parentSession))}e.isSessionAttach=R;function k(r){let o=r.configuration.type;if(!!o)return o==="vslsShare"&&(o=r.configuration.adapterProxy.configuration.type),(0,u.equalsIgnoreCase)(o,"extensionhost")||(0,u.equalsIgnoreCase)(o,"pwa-extensionhost")?r:r.parentSession?k(r.parentSession):void 0}e.getExtensionHostDebugSession=k;function _(r){return r.type&&(r.label||r.program||r.runtime)}e.isDebuggerMainContribution=_;function P(r,o,i){let n,s=0;const l=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g;let d=null;for(;d=l.exec(r);){const S=d.index+1,L=S+d[0].length;if(S<=o&&L>=i){n=d[0],s=S;break}}if(n){const S=/\w+/g;let L=null;for(;(L=S.exec(n))&&!(L.index+1+s+L[0].length>=i););L&&(n=n.substring(0,S.lastIndex))}return n?{start:s,end:s+n.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=P;const w=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function b(r){return!!(r&&r.match(w))}e.isUri=b;function g(r){if(typeof r.path=="string"&&!(typeof r.sourceReference=="number"&&r.sourceReference>0)){if(b(r.path))return t.URI.parse(r.path);if((0,D.isAbsolute)(r.path))return t.URI.file(r.path)}return r.path}function f(r){if(typeof r.path=="object"){const o=t.URI.revive(r.path);if(o)return o.scheme===y.Schemas.file?o.fsPath:o.toString()}return r.path}function v(r,o){const i=o?g:f,n=(0,T.deepClone)(r);return c(n,(s,l)=>{s&&l&&(l.path=i(l))}),n}e.convertToDAPaths=v;function p(r,o){const i=o?g:f,n=(0,T.deepClone)(r);return c(n,(s,l)=>{!s&&l&&(l.path=i(l))}),n}e.convertToVSCPaths=p;function c(r,o){switch(r.type){case"event":{const i=r;switch(i.event){case"output":o(!1,i.body.source);break;case"loadedSource":o(!1,i.body.source);break;case"breakpoint":o(!1,i.body.breakpoint.source);break;default:break}break}case"request":{const i=r;switch(i.command){case"setBreakpoints":o(!0,i.arguments.source);break;case"breakpointLocations":o(!0,i.arguments.source);break;case"source":o(!0,i.arguments.source);break;case"gotoTargets":o(!0,i.arguments.source);break;case"launchVSCode":i.arguments.args.forEach(n=>o(!1,n));break;default:break}break}case"response":{const i=r;if(i.success&&i.body)switch(i.command){case"stackTrace":i.body.stackFrames.forEach(n=>o(!1,n.source));break;case"loadedSources":i.body.sources.forEach(n=>o(!1,n));break;case"scopes":i.body.scopes.forEach(n=>o(!1,n.source));break;case"setFunctionBreakpoints":i.body.breakpoints.forEach(n=>o(!1,n.source));break;case"setBreakpoints":i.body.breakpoints.forEach(n=>o(!1,n.source));break;case"disassemble":i.body?.instructions.forEach(s=>o(!1,s.location));break;default:break}break}}}function m(r){return r.filter(o=>!o.presentation?.hidden).sort((o,i)=>o.presentation?i.presentation?o.presentation.group?i.presentation.group?o.presentation.group!==i.presentation.group?o.presentation.group.localeCompare(i.presentation.group):a(o.presentation.order,i.presentation.order):-1:i.presentation.group?1:a(o.presentation.order,i.presentation.order):-1:i.presentation?1:0)}e.getVisibleAndSorted=m;function a(r,o){return typeof r!="number"?typeof o!="number"?0:1:typeof o!="number"?-1:r-o}async function h(r,o){const i=r.getValue("debug.saveBeforeStart",{overrideIdentifier:o.activeTextEditorLanguageId});if(i!=="none"&&(await o.saveAll(),i==="allEditorsInActiveGroup")){const n=o.activeEditorPane;n&&n.input.resource?.scheme===y.Schemas.untitled&&await o.save({editor:n.input,groupId:n.group.id})}await r.reloadConfiguration()}e.saveAllBeforeDebugStart=h}),define(Ie[215],ke([1,0,29,42,182,216,9,8,24,13,84,127]),function(Q,e,u,t,D,T,y,C,E,I,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExecutableDebugAdapter=e.NamedPipeDebugAdapter=e.SocketDebugAdapter=e.NetworkDebugAdapter=e.StreamDebugAdapter=void 0;class _ extends k.AbstractDebugAdapter{constructor(){super();this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1}connect(v,p){this.outputStream=p,this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1,v.on("data",c=>this.handleData(c))}sendMessage(v){if(this.outputStream){const p=JSON.stringify(v);this.outputStream.write(`Content-Length: ${Buffer.byteLength(p,"utf8")}${_.TWO_CRLF}${p}`,"utf8")}}handleData(v){for(this.rawData=Buffer.concat([this.rawData,v]);;){if(this.contentLength>=0){if(this.rawData.length>=this.contentLength){const p=this.rawData.toString("utf8",0,this.contentLength);if(this.rawData=this.rawData.slice(this.contentLength),this.contentLength=-1,p.length>0)try{this.acceptMessage(JSON.parse(p))}catch(c){this._onError.fire(new Error((c.message||c)+`
`+p))}continue}}else{const p=this.rawData.indexOf(_.TWO_CRLF);if(p!==-1){const m=this.rawData.toString("utf8",0,p).split(_.HEADER_LINESEPARATOR);for(const a of m){const h=a.split(_.HEADER_FIELDSEPARATOR);h[0]==="Content-Length"&&(this.contentLength=Number(h[1]))}this.rawData=this.rawData.slice(p+_.TWO_CRLF.length);continue}}break}}}e.StreamDebugAdapter=_,_.TWO_CRLF=`\r
\r
`,_.HEADER_LINESEPARATOR=/\r?\n/,_.HEADER_FIELDSEPARATOR=/: */;class P extends _{startSession(){return new Promise((v,p)=>{let c=!1;this.socket=this.createConnection(()=>{this.connect(this.socket,this.socket),v(),c=!0}),this.socket.on("close",()=>{c?this._onError.fire(new Error("connection closed")):p(new Error("connection closed"))}),this.socket.on("error",m=>{c?this._onError.fire(m):p(m)})})}async stopSession(){await this.cancelPendingRequests(),this.socket&&(this.socket.end(),this.socket=void 0)}}e.NetworkDebugAdapter=P;class w extends P{constructor(v){super();this.adapterServer=v}createConnection(v){return T.createConnection(this.adapterServer.port,this.adapterServer.host||"127.0.0.1",v)}}e.SocketDebugAdapter=w;class b extends P{constructor(v){super();this.adapterServer=v}createConnection(v){return T.createConnection(this.adapterServer.path,v)}}e.NamedPipeDebugAdapter=b;class g extends _{constructor(v,p,c){super();this.adapterExecutable=v,this.debugType=p,this.outputService=c}async startSession(){const v=this.adapterExecutable.command,p=this.adapterExecutable.args,c=this.adapterExecutable.options||{};try{if(v)if(y.isAbsolute(v)){if(!await u.Promises.exists(v))throw new Error(D.localize(0,null,v))}else v.indexOf("/")<0&&v.indexOf("\\")<0;else throw new Error(D.localize(1,null,this.debugType));let m=process.env;if(c.env&&Object.keys(c.env).length>0&&(m=E.mixin(E.deepClone(process.env),c.env)),v==="node")if(Array.isArray(p)&&p.length>0){const h=!!process.env.ELECTRON_RUN_AS_NODE||!!process.versions.electron,r={env:m,execArgv:h?["-e","delete process.env.ELECTRON_RUN_AS_NODE;require(process.argv[1])"]:[],silent:!0};c.cwd&&(r.cwd=c.cwd);const o=t.fork(p[0],p.slice(1),r);if(!o.pid)throw new Error(D.localize(2,null,p[0]));this.serverProcess=o}else throw new Error(D.localize(3,null));else{const h={env:m};c.cwd&&(h.cwd=c.cwd),this.serverProcess=t.spawn(v,p,h)}this.serverProcess.on("error",h=>{this._onError.fire(h)}),this.serverProcess.on("exit",(h,r)=>{this._onExit.fire(h)}),this.serverProcess.stdout.on("close",()=>{this._onError.fire(new Error("read error"))}),this.serverProcess.stdout.on("error",h=>{this._onError.fire(h)}),this.serverProcess.stdin.on("error",h=>{this._onError.fire(h)});const a=this.outputService;if(a){const h=r=>r.toString().replace(/\r?\n$/mg,"");this.serverProcess.stderr.on("data",r=>{a.getChannel(R.ExtensionsChannelId)?.append(h(r))})}else this.serverProcess.stderr.resume();this.connect(this.serverProcess.stdout,this.serverProcess.stdin)}catch(m){this._onError.fire(m)}}async stopSession(){return this.serverProcess?(await this.cancelPendingRequests(),I.isWindows?new Promise((v,p)=>{const c=t.exec(`taskkill /F /T /PID ${this.serverProcess.pid}`,function(m,a,h){if(m)return p(m)});c.on("exit",v),c.on("error",p)}):(this.serverProcess.kill("SIGTERM"),Promise.resolve(void 0))):Promise.resolve(void 0)}static extract(v,p){if(!v)return;const c=Object.create(null);v.runtime&&(v.runtime.indexOf("./")===0?c.runtime=y.join(p,v.runtime):c.runtime=v.runtime),v.runtimeArgs&&(c.runtimeArgs=v.runtimeArgs),v.program&&(y.isAbsolute(v.program)?c.program=v.program:c.program=y.join(p,v.program)),v.args&&(c.args=v.args);const m=v;return m.win&&(c.win=g.extract(m.win,p)),m.winx86&&(c.winx86=g.extract(m.winx86,p)),m.windows&&(c.windows=g.extract(m.windows,p)),m.osx&&(c.osx=g.extract(m.osx,p)),m.linux&&(c.linux=g.extract(m.linux,p)),c}static platformAdapterExecutable(v,p){let c=Object.create(null);p=p.toLowerCase();for(const i of v)if(i.contributes){const n=i.contributes.debuggers;n&&n.length>0&&n.filter(s=>typeof s.type=="string"&&C.equalsIgnoreCase(s.type,p)).forEach(s=>{const l=g.extract(s,i.extensionLocation.fsPath);c=E.mixin(c,l,i.isBuiltin)})}let m;I.isWindows&&!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432")?m=c.winx86||c.win||c.windows:I.isWindows?m=c.win||c.windows:I.isMacintosh?m=c.osx:I.isLinux&&(m=c.linux),m=m||c;const a=m.program||c.program,h=m.args||c.args,r=m.runtime||c.runtime,o=m.runtimeArgs||c.runtimeArgs;if(r)return{type:"executable",command:r,args:(o||[]).concat(typeof a=="string"?[a]:[]).concat(h||[])};if(a)return{type:"executable",command:a,args:h||[]}}}e.ExecutableDebugAdapter=g}),define(Ie[217],ke([1,0,42,30,13]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prepareCommand=e.hasChildProcesses=void 0;function T(I,R){return new Promise((k,_)=>{let P="";const w=u.spawn(I,R);w.pid&&w.stdout.on("data",b=>{P+=b.toString()}),w.on("error",b=>{_(b)}),w.on("close",b=>{k(P)})})}async function y(I){if(I)if(D.isWindows){const R=await new Promise((k,_)=>{Q(["windows-process-tree"],k,_)});return new Promise(k=>{R.getProcessTree(I,_=>{k(!!_&&_.children.length>0)})})}else return T("/usr/bin/pgrep",["-lP",String(I)]).then(R=>{const k=R.trim();return!(k.length===0||k.indexOf(" tmux")>=0)},R=>!0);return Promise.resolve(!0)}e.hasChildProcesses=y;var C;(function(I){I[I.cmd=0]="cmd",I[I.powershell=1]="powershell",I[I.bash=2]="bash"})(C||(C={}));function E(I,R,k,_){I=I.trim().toLowerCase();let P;I.indexOf("powershell")>=0||I.indexOf("pwsh")>=0?P=1:I.indexOf("cmd.exe")>=0?P=0:I.indexOf("bash")>=0?P=2:D.isWindows?P=0:P=2;let w,b=" ";switch(P){case 1:if(w=g=>(g=g.replace(/\'/g,"''"),g.length>0&&g.charAt(g.length-1)==="\\"?`'${g}\\'`:`'${g}'`),k){const g=(0,t.getDriveLetter)(k);g&&(b+=`${g}:; `),b+=`cd ${w(k)}; `}if(_)for(const g in _){const f=_[g];f===null?b+=`Remove-Item env:${g}; `:b+=`\${env:${g}}='${f}'; `}if(R.length>0){const g=w(R.shift());b+=g[0]==="'"?`& ${g} `:`${g} `;for(const f of R)b+=f==="<"||f===">"?f:w(f),b+=" "}break;case 0:if(w=g=>(g=g.replace(/\"/g,'""'),g=g.replace(/([><!^&|])/g,"^$1"),' "'.split("").some(f=>g.includes(f))||g.length===0?`"${g}"`:g),k){const g=(0,t.getDriveLetter)(k);g&&(b+=`${g}: && `),b+=`cd ${w(k)} && `}if(_){b+='cmd /C "';for(const g in _){let f=_[g];f===null?b+=`set "${g}=" && `:(f=f.replace(/[&^|<>]/g,v=>`^${v}`),b+=`set "${g}=${f}" && `)}}for(const g of R)b+=g==="<"||g===">"?g:w(g),b+=" ";_&&(b+='"');break;case 2:{w=f=>(f=f.replace(/(["'\\\$!><#()\[\]*&^| ;{}`])/g,"\\$1"),f.length===0?'""':f);const g=f=>/[^\w@%\/+=,.:^-]/.test(f)?`'${f.replace(/'/g,"'\\''")}'`:f;if(k&&(b+=`cd ${w(k)} ; `),_){b+="/usr/bin/env";for(const f in _){const v=_[f];v===null?b+=` -u ${g(f)}`:b+=` ${g(`${f}=${v}`)}`}b+=" "}for(const f of R)b+=f==="<"||f===">"?f:w(f),b+=" ";break}}return b}e.prepareCommand=E}),define(Ie[128],ke([1,0,36,59,101,11,9,13,51]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookWorkingCopyTypeIdentifier=e.CellStatusbarAlignment=e.NotebookSetting=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.MimeTypeDisplayOrder=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookCellExecutionState=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.RENDERER_EQUIVALENT_EXTENSIONS=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=e.NOTEBOOK_DIFF_EDITOR_ID=e.NOTEBOOK_EDITOR_ID=void 0,e.NOTEBOOK_EDITOR_ID="workbench.editor.notebook",e.NOTEBOOK_DIFF_EDITOR_ID="workbench.editor.notebookTextDiffEditor";var I;(function(i){i[i.Markup=1]="Markup",i[i.Code=2]="Code"})(I=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml",D.Mimes.latex,D.Mimes.markdown,"image/png","image/jpeg",D.Mimes.text],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=[D.Mimes.latex,D.Mimes.markdown,"application/json",D.Mimes.text,"text/html","image/svg+xml","image/png","image/jpeg"],e.RENDERER_EQUIVALENT_EXTENSIONS=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.RENDERER_NOT_AVAILABLE="_notAvailable";var R;(function(i){i[i.Running=1]="Running",i[i.Idle=2]="Idle"})(R=e.NotebookRunState||(e.NotebookRunState={}));var k;(function(i){i[i.Unconfirmed=1]="Unconfirmed",i[i.Pending=2]="Pending",i[i.Executing=3]="Executing"})(k=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var _;(function(i){i[i.WithHardKernelDependency=0]="WithHardKernelDependency",i[i.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",i[i.Pure=2]="Pure",i[i.Never=3]="Never"})(_=e.NotebookRendererMatch||(e.NotebookRendererMatch={}));var P;(function(i){i.Always="always",i.Never="never",i.Optional="optional"})(P=e.RendererMessagingSpec||(e.RendererMessagingSpec={}));var w;(function(i){i[i.ModelChange=1]="ModelChange",i[i.Move=2]="Move",i[i.ChangeCellLanguage=5]="ChangeCellLanguage",i[i.Initialize=6]="Initialize",i[i.ChangeCellMetadata=7]="ChangeCellMetadata",i[i.Output=8]="Output",i[i.OutputItem=9]="OutputItem",i[i.ChangeCellContent=10]="ChangeCellContent",i[i.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",i[i.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",i[i.ChangeCellMime=13]="ChangeCellMime",i[i.Unknown=100]="Unknown"})(w=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var b;(function(i){i[i.Handle=0]="Handle",i[i.Index=1]="Index"})(b=e.SelectionStateType||(e.SelectionStateType={}));var g;(function(i){i[i.Replace=1]="Replace",i[i.Output=2]="Output",i[i.Metadata=3]="Metadata",i[i.CellLanguage=4]="CellLanguage",i[i.DocumentMetadata=5]="DocumentMetadata",i[i.Move=6]="Move",i[i.OutputItems=7]="OutputItems",i[i.PartialMetadata=8]="PartialMetadata",i[i.PartialInternalMetadata=9]="PartialInternalMetadata"})(g=e.CellEditType||(e.CellEditType={}));var f;(function(i){i.scheme=T.Schemas.vscodeNotebookCell;const n=/^ch(\d{7,})/;function s(N,A){return N.with({scheme:i.scheme,fragment:`ch${A.toString().padStart(7,"0")}${N.scheme!==T.Schemas.file?N.scheme:""}`})}i.generate=s;function l(N){if(N.scheme!==i.scheme)return;const A=n.exec(N.fragment);return A?{handle:Number(A[1]),notebook:N.with({scheme:N.fragment.substring(A[0].length)||T.Schemas.file,fragment:null})}:void 0}i.parse=l;function d(N,A){return N.with({scheme:T.Schemas.vscodeNotebookCellOutput,fragment:`op${A??""},${N.scheme!==T.Schemas.file?N.scheme:""}`})}i.generateCellOutputUri=d;function S(N){if(N.scheme!==T.Schemas.vscodeNotebookCellOutput)return;const A=/^op([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(N.fragment);if(!A)return;const $=A[1]&&A[1]!==""?A[1]:void 0,B=A[2];return{outputId:$,notebook:N.with({scheme:B||T.Schemas.file,fragment:null})}}i.parseCellOutputUri=S;function L(N,A,$){return N.with({scheme:$,fragment:`ch${A.toString().padStart(7,"0")}${N.scheme!==T.Schemas.file?N.scheme:""}`})}i.generateCellUri=L;function F(N,A){if(N.scheme!==A)return;const $=n.exec(N.fragment);return $?{handle:Number($[1]),notebook:N.with({scheme:N.fragment.substring($[0].length)||T.Schemas.file,fragment:null})}:void 0}i.parseCellUri=F})(f=e.CellUri||(e.CellUri={}));const v=i=>C.isWindows?i.replace(/\//g,"\\"):i;class p{constructor(n=[],s=e.NOTEBOOK_DISPLAY_ORDER){this.defaultOrder=s,this.order=[...new Set(n)].map(l=>({pattern:l,matches:u.parse(v(l))}))}sort(n){const s=new Map(t.Iterable.map(n,d=>[d,v(d)]));let l=[];for(const{matches:d}of this.order)for(const[S,L]of s)if(d(L)){l.push(S),s.delete(S);break}return s.size&&(l=l.concat([...s.keys()].sort((d,S)=>this.defaultOrder.indexOf(d)-this.defaultOrder.indexOf(S)))),l}prioritize(n,s){const l=this.findIndex(n);if(l===-1){this.order.unshift({pattern:n,matches:u.parse(v(n))});return}const d=new Set(s.map(L=>this.findIndex(L,l)));d.delete(-1);const S=Array.from(d).sort();this.order.splice(l+1,0,...S.map(L=>this.order[L]));for(let L=S.length-1;L>=0;L--)this.order.splice(S[L],1)}toArray(){return this.order.map(n=>n.pattern)}findIndex(n,s=this.order.length){const l=v(n);for(let d=0;d<s;d++)if(this.order[d].matches(l))return d;return-1}}e.MimeTypeDisplayOrder=p;function c(i,n,s,l=(d,S)=>d===S){const d=[];function S(N,A,$){if(A===0&&$.length===0)return;const B=d[d.length-1];B&&B.start+B.deleteCount===N?(B.deleteCount+=A,B.toInsert.push(...$)):d.push({start:N,deleteCount:A,toInsert:$})}let L=0,F=0;for(;;){if(L===i.length){S(L,0,n.slice(F));break}if(F===n.length){S(L,i.length-L,[]);break}const N=i[L],A=n[F];if(l(N,A)){L+=1,F+=1;continue}s(A)?(S(L,1,[]),L+=1):(S(L,0,[A]),F+=1)}return d}e.diff=c,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new E.RawContextKey("notebookEditorCursorAtBoundary","none");var m;(function(i){i.default="default",i.option="option"})(m=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function a(i){const n=i;return!!((typeof n.include=="string"||u.isRelativePattern(n.include))&&(typeof n.exclude=="string"||u.isRelativePattern(n.exclude)))}e.isDocumentExcludePattern=a;function h(i,n,s){if(Array.isArray(i.viewType)&&i.viewType.indexOf(n)>=0||i.viewType===n)return!0;if(i.filenamePattern){const l=a(i.filenamePattern)?i.filenamePattern.include:i.filenamePattern,d=a(i.filenamePattern)?i.filenamePattern.exclude:void 0;if(u.match(l,(0,y.basename)(s.fsPath).toLowerCase()))return!(d&&u.match(d,(0,y.basename)(s.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=h,e.NotebookSetting={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",textOutputLineLimit:"notebook.output.textLineLimit",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize",interactiveWindowCollapseCodeCells:"interactiveWindow.collapseCellInputCode",outputLineHeight:"notebook.outputLineHeight",outputFontSize:"notebook.outputFontSize",outputFontFamily:"notebook.outputFontFamily",interactiveWindowAlwaysScrollOnNewCell:"interactiveWindow.alwaysScrollOnNewCell"};var r;(function(i){i[i.Left=1]="Left",i[i.Right=2]="Right"})(r=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));class o{static create(n){return`${o._prefix}${n}`}static parse(n){if(n.startsWith(o._prefix))return n.substring(o._prefix.length)}}e.NotebookWorkingCopyTypeIdentifier=o,o._prefix="notebook/"}),define(Ie[218],ke([1,0,4]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INotebookExecutionService=e.CellExecutionUpdateType=void 0;var t;(function(D){D[D.Output=1]="Output",D[D.OutputItems=2]="OutputItems",D[D.ExecutionState=3]="ExecutionState"})(t=e.CellExecutionUpdateType||(e.CellExecutionUpdateType={})),e.INotebookExecutionService=(0,u.createDecorator)("INotebookExecutionService")}),define(Ie[219],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollections=e.serializeEnvironmentVariableCollections=e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function u(y){return[...y.entries()]}e.serializeEnvironmentVariableCollection=u;function t(y){return new Map(y)}e.deserializeEnvironmentVariableCollection=t;function D(y){return Array.from(y.entries()).map(C=>[C[0],u(C[1].map)])}e.serializeEnvironmentVariableCollections=D;function T(y){return new Map(y.map(C=>[C[0],{map:t(C[1])}]))}e.deserializeEnvironmentVariableCollections=T}),define(Ie[65],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestId=e.TestPosition=e.TestIdPathParts=void 0;var u;(function(T){T.Delimiter="\0"})(u=e.TestIdPathParts||(e.TestIdPathParts={}));var t;(function(T){T[T.IsSame=0]="IsSame",T[T.Disconnected=1]="Disconnected",T[T.IsChild=2]="IsChild",T[T.IsParent=3]="IsParent"})(t=e.TestPosition||(e.TestPosition={}));class D{constructor(y,C=y.length){if(this.path=y,this.viewEnd=C,y.length===0||C<1)throw new Error("cannot create test with empty path")}static fromExtHostTestItem(y,C,E=y.parent){if(y.id===C)return new D([C]);const I=[y.id];for(let R=E;R&&R.id!==C;R=R.parent)I.push(R.id);return I.push(C),new D(I.reverse())}static isRoot(y){return!y.includes("\0")}static root(y){const C=y.indexOf("\0");return C===-1?y:y.slice(0,C)}static fromString(y){return new D(y.split("\0"))}static join(y,C){return new D([...y.path,C])}static joinToString(y,C){return y.toString()+"\0"+C}static compare(y,C){return y===C?0:C.startsWith(y+"\0")?2:y.startsWith(C+"\0")?3:1}get parentId(){return this.viewEnd>1?new D(this.path,this.viewEnd-1):this}get localId(){return this.path[this.viewEnd-1]}get controllerId(){return this.path[0]}get isRoot(){return this.viewEnd===1}*idsFromRoot(){for(let y=1;y<=this.viewEnd;y++)yield new D(this.path,y)}compare(y){if(typeof y=="string")return D.compare(this.toString(),y);for(let C=0;C<y.viewEnd&&C<this.viewEnd;C++)if(y.path[C]!==this.path[C])return 1;return y.viewEnd>this.viewEnd?2:y.viewEnd<this.viewEnd?3:0}toJSON(){return this.toString()}toString(){if(!this.stringifed){this.stringifed=this.path[0];for(let y=1;y<this.viewEnd;y++)this.stringifed+="\0",this.stringifed+=this.path[y]}return this.stringifed}}e.TestId=D}),define(Ie[66],ke([1,0,2,35]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.TestsDiffOp=e.TestDiffOpType=e.DetailType=e.TestResultItem=e.applyTestItemUpdate=e.ITestItemUpdate=e.InternalTestItem=e.TestItemExpandState=e.ITestItem=e.denamespaceTestTag=e.namespaceTestTag=e.ITestTaskState=e.ITestMessage=e.ITestOutputMessage=e.ITestErrorMessage=e.TestMessageType=e.IRichLocation=e.testRunProfileBitsetList=e.TestRunProfileBitset=e.TestResultState=void 0;var D;(function(i){i[i.Unset=0]="Unset",i[i.Queued=1]="Queued",i[i.Running=2]="Running",i[i.Passed=3]="Passed",i[i.Failed=4]="Failed",i[i.Skipped=5]="Skipped",i[i.Errored=6]="Errored"})(D=e.TestResultState||(e.TestResultState={}));var T;(function(i){i[i.Run=2]="Run",i[i.Debug=4]="Debug",i[i.Coverage=8]="Coverage",i[i.HasNonDefaultProfile=16]="HasNonDefaultProfile",i[i.HasConfigurable=32]="HasConfigurable"})(T=e.TestRunProfileBitset||(e.TestRunProfileBitset={})),e.testRunProfileBitsetList=[2,4,8,16];var y;(function(i){i.serialize=n=>({range:n.range.toJSON(),uri:n.uri.toJSON()}),i.deserialize=n=>({range:t.Range.lift(n.range),uri:u.URI.revive(n.uri)})})(y=e.IRichLocation||(e.IRichLocation={}));var C;(function(i){i[i.Error=0]="Error",i[i.Output=1]="Output"})(C=e.TestMessageType||(e.TestMessageType={}));var E;(function(i){i.serialize=n=>({message:n.message,type:0,expected:n.expected,actual:n.actual,location:n.location&&y.serialize(n.location)}),i.deserialize=n=>({message:n.message,type:0,expected:n.expected,actual:n.actual,location:n.location&&y.deserialize(n.location)})})(E=e.ITestErrorMessage||(e.ITestErrorMessage={}));var I;(function(i){i.serialize=n=>({message:n.message,type:1,offset:n.offset,location:n.location&&y.serialize(n.location)}),i.deserialize=n=>({message:n.message,type:1,offset:n.offset,location:n.location&&y.deserialize(n.location)})})(I=e.ITestOutputMessage||(e.ITestOutputMessage={}));var R;(function(i){i.serialize=n=>n.type===0?E.serialize(n):I.serialize(n),i.deserialize=n=>n.type===0?E.deserialize(n):I.deserialize(n)})(R=e.ITestMessage||(e.ITestMessage={}));var k;(function(i){i.serialize=n=>({state:n.state,duration:n.duration,messages:n.messages.map(R.serialize)}),i.deserialize=n=>({state:n.state,duration:n.duration,messages:n.messages.map(R.deserialize)})})(k=e.ITestTaskState||(e.ITestTaskState={}));const _="\0",P=(i,n)=>i+_+n;e.namespaceTestTag=P;const w=i=>{const n=i.indexOf(_);return{ctrlId:i.slice(0,n),tagId:i.slice(n+1)}};e.denamespaceTestTag=w;var b;(function(i){i.serialize=n=>({extId:n.extId,label:n.label,tags:n.tags,busy:n.busy,children:void 0,uri:n.uri?.toJSON(),range:n.range?.toJSON()||null,description:n.description,error:n.error,sortText:n.sortText}),i.deserialize=n=>({extId:n.extId,label:n.label,tags:n.tags,busy:n.busy,children:void 0,uri:n.uri?u.URI.revive(n.uri):void 0,range:n.range?t.Range.lift(n.range):null,description:n.description,error:n.error,sortText:n.sortText})})(b=e.ITestItem||(e.ITestItem={}));var g;(function(i){i[i.NotExpandable=0]="NotExpandable",i[i.Expandable=1]="Expandable",i[i.BusyExpanding=2]="BusyExpanding",i[i.Expanded=3]="Expanded"})(g=e.TestItemExpandState||(e.TestItemExpandState={}));var f;(function(i){i.serialize=n=>({controllerId:n.controllerId,expand:n.expand,parent:n.parent,item:b.serialize(n.item)}),i.deserialize=n=>({controllerId:n.controllerId,expand:n.expand,parent:n.parent,item:b.deserialize(n.item)})})(f=e.InternalTestItem||(e.InternalTestItem={}));var v;(function(i){i.serialize=n=>{let s;return n.item&&(s={},n.item.label!==void 0&&(s.label=n.item.label),n.item.tags!==void 0&&(s.tags=n.item.tags),n.item.busy!==void 0&&(s.busy=n.item.busy),n.item.uri!==void 0&&(s.uri=n.item.uri?.toJSON()),n.item.range!==void 0&&(s.range=n.item.range?.toJSON()),n.item.description!==void 0&&(s.description=n.item.description),n.item.error!==void 0&&(s.error=n.item.error),n.item.sortText!==void 0&&(s.sortText=n.item.sortText)),{extId:n.extId,expand:n.expand,item:s}},i.deserialize=n=>{let s;return n.item&&(s={},n.item.label!==void 0&&(s.label=n.item.label),n.item.tags!==void 0&&(s.tags=n.item.tags),n.item.busy!==void 0&&(s.busy=n.item.busy),n.item.range!==void 0&&(s.range=n.item.range?t.Range.lift(n.item.range):null),n.item.description!==void 0&&(s.description=n.item.description),n.item.error!==void 0&&(s.error=n.item.error),n.item.sortText!==void 0&&(s.sortText=n.item.sortText)),{extId:n.extId,expand:n.expand,item:s}}})(v=e.ITestItemUpdate||(e.ITestItemUpdate={}));const p=(i,n)=>{n.expand!==void 0&&(i.expand=n.expand),n.item!==void 0&&(i.item=i.item?Object.assign(i.item,n.item):n.item)};e.applyTestItemUpdate=p;var c;(function(i){i.serialize=(n,s)=>({...f.serialize(n),children:s,ownComputedState:n.ownComputedState,computedState:n.computedState,tasks:n.tasks.map(k.serialize)})})(c=e.TestResultItem||(e.TestResultItem={}));var m;(function(i){i[i.Function=0]="Function",i[i.Statement=1]="Statement"})(m=e.DetailType||(e.DetailType={}));var a;(function(i){i[i.Add=0]="Add",i[i.Update=1]="Update",i[i.Remove=2]="Remove",i[i.IncrementPendingExtHosts=3]="IncrementPendingExtHosts",i[i.Retire=4]="Retire",i[i.AddTag=5]="AddTag",i[i.RemoveTag=6]="RemoveTag"})(a=e.TestDiffOpType||(e.TestDiffOpType={}));var h;(function(i){i.deserialize=n=>n.op===0?{op:n.op,item:f.deserialize(n.item)}:n.op===1?{op:n.op,item:v.deserialize(n.item)}:n,i.serialize=n=>n.op===0?{op:n.op,item:f.serialize(n.item)}:n.op===1?{op:n.op,item:v.serialize(n.item)}:n})(h=e.TestsDiffOp||(e.TestsDiffOp={}));class r{add(n){}update(n){}remove(n,s){}complete(){}}e.IncrementalChangeCollector=r;class o{constructor(){this._tags=new Map,this.items=new Map,this.roots=new Set,this.busyControllerCount=0,this.pendingRootCount=0,this.tags=this._tags}apply(n){const s=this.createChangeCollector();for(const l of n)switch(l.op){case 0:{const d=f.deserialize(l.item);if(d.parent){if(this.items.has(d.parent)){const S=this.items.get(d.parent);S.children.add(d.item.extId);const L=this.createItem(d,S);this.items.set(d.item.extId,L),s.add(L)}}else{const S=this.createItem(d);this.roots.add(S),this.items.set(d.item.extId,S),s.add(S)}d.expand===2&&this.busyControllerCount++;break}case 1:{const d=v.deserialize(l.item),S=this.items.get(d.extId);if(!S)break;d.expand!==void 0&&(S.expand===2&&this.busyControllerCount--,d.expand===2&&this.busyControllerCount++),(0,e.applyTestItemUpdate)(S,d),s.update(S);break}case 2:{const d=this.items.get(l.itemId);if(!d)break;d.parent?this.items.get(d.parent).children.delete(d.item.extId):this.roots.delete(d);const S=[[l.itemId]];for(;S.length;)for(const L of S.pop()){const F=this.items.get(L);F&&(S.push(F.children),this.items.delete(L),s.remove(F,F!==d),F.expand===2&&this.busyControllerCount--)}break}case 4:this.retireTest(l.itemId);break;case 3:this.updatePendingRoots(l.amount);break;case 5:this._tags.set(l.tag.id,l.tag);break;case 6:this._tags.delete(l.id);break}s.complete()}retireTest(n){}updatePendingRoots(n){this.pendingRootCount+=n}createChangeCollector(){return new r}}e.AbstractIncrementalTestCollection=o}),define(Ie[89],ke([1,0,18,3,6,10,66,65]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createTestItemChildren=e.MixedTestItemController=e.InvalidTestItemError=e.DuplicateTestItemError=e.TestItemCollection=e.TestItemEventOp=void 0;var E;(function(f){f[f.Upsert=0]="Upsert",f[f.SetTags=1]="SetTags",f[f.UpdateCanResolveChildren=2]="UpdateCanResolveChildren",f[f.RemoveChild=3]="RemoveChild",f[f.SetProp=4]="SetProp",f[f.Bulk=5]="Bulk"})(E=e.TestItemEventOp||(e.TestItemEventOp={}));const I=(f,v)=>f===v,R={range:(f,v)=>f===v?!0:!f||!v?!1:f.equalsRange(v),busy:I,label:I,description:I,error:I,tags:(f,v)=>!(f.length!==v.length||f.some(p=>!v.includes(p)))},k=(f,v)=>{let p;for(const[c,m]of Object.entries(R))m(f[c],v[c])||(p?p[c]=v[c]:p={[c]:v[c]});return p};class _ extends D.Disposable{constructor(v){super();this.options=v,this.debounceSendDiff=this._register(new u.RunOnceScheduler(()=>this.flushDiff(),200)),this.diffOpEmitter=this._register(new t.Emitter),this.tree=new Map,this.tags=new Map,this.diff=[],this.onDidGenerateDiff=this.diffOpEmitter.event,this.root.canResolveChildren=!0,this.upsertItem(this.root,void 0)}get root(){return this.options.root}set resolveHandler(v){this._resolveHandler=v;for(const p of this.tree.values())this.updateExpandability(p)}collectDiff(){const v=this.diff;return this.diff=[],v}pushDiff(v){const p=this.diff[this.diff.length-1];if(p&&v.op===1){if(p.op===1&&p.item.extId===v.item.extId){(0,y.applyTestItemUpdate)(p.item,v.item);return}if(p.op===0&&p.item.item.extId===v.item.extId){(0,y.applyTestItemUpdate)(p.item,v.item);return}}this.diff.push(v),this.debounceSendDiff.isScheduled()||this.debounceSendDiff.schedule()}expand(v,p){const c=this.tree.get(v);if(!!c){if((c.expandLevels===void 0||p>c.expandLevels)&&(c.expandLevels=p),c.expand===1){const m=this.resolveChildren(c);return m.isOpen()?this.expandChildren(c,p-1):m.wait().then(()=>this.expandChildren(c,p-1))}else if(c.expand===3)return c.resolveBarrier?.isOpen()===!1?c.resolveBarrier.wait().then(()=>this.expandChildren(c,p-1)):this.expandChildren(c,p-1)}}dispose(){for(const v of this.tree.values())this.options.getApiFor(v.actual).listener=void 0;this.tree.clear(),this.diff=[],super.dispose()}onTestItemEvent(v,p){switch(p.op){case 3:this.removeItem(C.TestId.joinToString(v.fullId,p.id));break;case 0:this.upsertItem(p.item,v);break;case 5:for(const c of p.ops)this.onTestItemEvent(v,c);break;case 1:this.diffTagRefs(p.new,p.old,v.fullId.toString());break;case 2:this.updateExpandability(v);break;case 4:this.pushDiff({op:1,item:{extId:v.fullId.toString(),item:p.update}});break;default:(0,T.assertNever)(p)}}upsertItem(v,p){const c=C.TestId.fromExtHostTestItem(v,this.root.id,p?.actual),m=this.options.getApiFor(v);m.parent&&m.parent!==p?.actual&&this.options.getChildren(m.parent).delete(v.id);let a=this.tree.get(c.toString());if(!a){a={fullId:c,actual:v,parent:p?c.parentId:null,expandLevels:p?.expandLevels?p.expandLevels-1:void 0,expand:0},v.tags.forEach(this.incrementTagRefs,this),this.tree.set(a.fullId.toString(),a),this.setItemParent(v,p),this.pushDiff({op:0,item:{parent:a.parent&&a.parent.toString(),controllerId:this.options.controllerId,expand:a.expand,item:this.options.toITestItem(v)}}),this.connectItemAndChildren(v,a,p);return}if(a.actual===v){this.connectItem(v,a,p);return}const h=this.options.getChildren(a.actual),r=a.actual,o=k(this.options.toITestItem(r),this.options.toITestItem(v));this.options.getApiFor(r).listener=void 0,a.actual=v,a.expand=0,o&&(o.hasOwnProperty("tags")&&(this.diffTagRefs(v.tags,r.tags,c.toString()),delete o.tags),this.onTestItemEvent(a,{op:4,update:o})),this.connectItemAndChildren(v,a,p);for(const[i,n]of h)this.options.getChildren(v).get(n.id)||this.removeItem(C.TestId.joinToString(c,n.id))}diffTagRefs(v,p,c){const m=new Set(p.map(a=>a.id));for(const a of v)m.delete(a.id)||this.incrementTagRefs(a);this.pushDiff({op:1,item:{extId:c,item:{tags:v.map(a=>(0,y.namespaceTestTag)(this.options.controllerId,a.id))}}}),m.forEach(this.decrementTagRefs,this)}incrementTagRefs(v){const p=this.tags.get(v.id);p?p.refCount++:(this.tags.set(v.id,{refCount:1}),this.pushDiff({op:5,tag:{id:(0,y.namespaceTestTag)(this.options.controllerId,v.id)}}))}decrementTagRefs(v){const p=this.tags.get(v);p&&!--p.refCount&&(this.tags.delete(v),this.pushDiff({op:6,id:(0,y.namespaceTestTag)(this.options.controllerId,v)}))}setItemParent(v,p){this.options.getApiFor(v).parent=p&&p.actual!==this.root?p.actual:void 0}connectItem(v,p,c){this.setItemParent(v,c);const m=this.options.getApiFor(v);m.parent=c?.actual,m.listener=a=>this.onTestItemEvent(p,a),this.updateExpandability(p)}connectItemAndChildren(v,p,c){this.connectItem(v,p,c);for(const[m,a]of this.options.getChildren(v))this.upsertItem(a,p)}updateExpandability(v){let p;this._resolveHandler?v.resolveBarrier?p=v.resolveBarrier.isOpen()?3:2:p=v.actual.canResolveChildren?1:0:p=0,p!==v.expand&&(v.expand=p,this.pushDiff({op:1,item:{extId:v.fullId.toString(),expand:p}}),p===1&&v.expandLevels!==void 0&&this.resolveChildren(v))}expandChildren(v,p){if(p<0)return;const c=[];for(const[m,a]of this.options.getChildren(v.actual)){const h=this.expand(C.TestId.joinToString(v.fullId,a.id),p);(0,u.isThenable)(h)&&c.push(h)}if(c.length)return Promise.all(c).then(()=>{})}resolveChildren(v){if(v.resolveBarrier)return v.resolveBarrier;if(!this._resolveHandler){const a=new u.Barrier;return a.open(),a}v.expand=2,this.pushExpandStateUpdate(v);const p=v.resolveBarrier=new u.Barrier,c=a=>{console.error(`Unhandled error in resolveHandler of test controller "${this.options.controllerId}"`,a)};let m;try{m=this._resolveHandler(v.actual===this.root?void 0:v.actual)}catch(a){c(a)}return(0,u.isThenable)(m)?m.catch(c).then(()=>{p.open(),this.updateExpandability(v)}):(p.open(),this.updateExpandability(v)),v.resolveBarrier}pushExpandStateUpdate(v){this.pushDiff({op:1,item:{extId:v.fullId.toString(),expand:v.expand}})}removeItem(v){const p=this.tree.get(v);if(!p)throw new Error("attempting to remove non-existent child");this.pushDiff({op:2,itemId:v});const c=[p];for(;c.length;){const m=c.pop();if(!!m){this.options.getApiFor(m.actual).listener=void 0;for(const a of m.actual.tags)this.decrementTagRefs(a.id);this.tree.delete(m.fullId.toString());for(const[a,h]of this.options.getChildren(m.actual))c.push(this.tree.get(C.TestId.joinToString(m.fullId,h.id)))}}}flushDiff(){const v=this.collectDiff();v.length&&this.diffOpEmitter.fire(v)}}e.TestItemCollection=_;class P extends Error{constructor(v){super(`Attempted to insert a duplicate test item ID ${v}`)}}e.DuplicateTestItemError=P;class w extends Error{constructor(v){super(`TestItem with ID "${v}" is invalid. Make sure to create it from the createTestItem method.`)}}e.InvalidTestItemError=w;class b extends Error{constructor(v,p,c){super(`TestItem with ID "${v}" is from controller "${p}" and cannot be added as a child of an item from controller "${c}".`)}}e.MixedTestItemController=b;const g=(f,v,p)=>{let c=new Map;return{get size(){return c.size},forEach(m,a){for(const h of c.values())m.call(a,h,this)},[Symbol.iterator](){return c.entries()},replace(m){const a=new Map,h=new Set(c.keys()),r={op:5,ops:[]};for(const o of m){if(!(o instanceof p))throw new w(o.id);const i=v(o).controllerId;if(i!==f.controllerId)throw new b(o.id,i,f.controllerId);if(a.has(o.id))throw new P(o.id);a.set(o.id,o),h.delete(o.id),r.ops.push({op:0,item:o})}for(const o of h.keys())r.ops.push({op:3,id:o});f.listener?.(r),c=a},add(m){if(!(m instanceof p))throw new w(m.id);c.set(m.id,m),f.listener?.({op:0,item:m})},delete(m){c.delete(m)&&f.listener?.({op:3,id:m})},get(m){return c.get(m)},toJSON(){return Array.from(c.values())}}};e.createTestItemChildren=g}),define(Ie[129],ke([1,0,89]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPrivateApiFor=e.createPrivateApiFor=void 0;const t=new WeakMap,D=(y,C)=>{const E={controllerId:C};return t.set(y,E),E};e.createPrivateApiFor=D;const T=y=>{const C=t.get(y);if(!C)throw new u.InvalidTestItemError(y?.id||"<unknown>");return C};e.getPrivateApiFor=T}),define(Ie[220],ke([1,0,9,40,10,24,13,107,185,8]),function(Q,e,u,t,D,T,y,C,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class R{constructor(_,P,w,b){this._contributedVariables=new Map,this._context=_,this._labelService=P,this._userHomePromise=w,b&&(this._envVariablesPromise=b.then(g=>this.prepareEnv(g)))}prepareEnv(_){if(y.isWindows){const P=Object.create(null);return Object.keys(_).forEach(w=>{P[w.toLowerCase()]=_[w]}),P}return _}resolveWithEnvironment(_,P,w){return this.recursiveResolve({env:this.prepareEnv(_),userHome:void 0},P?P.uri:void 0,w)}async resolveAsync(_,P){const w={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(w,_?_.uri:void 0,P)}async resolveAnyBase(_,P,w,b){const g=T.deepClone(P);y.isWindows&&g.windows?Object.keys(g.windows).forEach(v=>g[v]=g.windows[v]):y.isMacintosh&&g.osx?Object.keys(g.osx).forEach(v=>g[v]=g.osx[v]):y.isLinux&&g.linux&&Object.keys(g.linux).forEach(v=>g[v]=g.linux[v]),delete g.windows,delete g.osx,delete g.linux;const f={env:await this._envVariablesPromise,userHome:await this._userHomePromise};return this.recursiveResolve(f,_?_.uri:void 0,g,w,b)}async resolveAnyAsync(_,P,w){return this.resolveAnyBase(_,P,w)}async resolveAnyMap(_,P,w){const b=new Map;return{newConfig:await this.resolveAnyBase(_,P,w,b),resolvedVariables:b}}resolveWithInteractionReplace(_,P,w,b){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(_,P,w,b){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(_,P){if(this._contributedVariables.has(_))throw new Error("Variable "+_+" is contributed twice.");this._contributedVariables.set(_,P)}async recursiveResolve(_,P,w,b,g){if(D.isString(w))return this.resolveString(_,P,w,b,g);if(D.isArray(w))return Promise.all(w.map(f=>this.recursiveResolve(_,P,f,b,g)));if(D.isObject(w)){const f=Object.create(null),v=await Promise.all(Object.keys(w).map(async p=>[await this.resolveString(_,P,p,b,g),await this.recursiveResolve(_,P,w[p],b,g)]));for(const[p,c]of v)f[p]=c;return f}return w}resolveString(_,P,w,b,g){return(0,I.replaceAsync)(w,R.VARIABLE_REGEXP,async(f,v)=>{if(v.includes(R.VARIABLE_LHS))return f;let p=await this.evaluateSingleVariable(_,f,v,P,b);return g?.set(v,p),p!==f&&D.isString(p)&&p.match(R.VARIABLE_REGEXP)&&(p=await this.resolveString(_,P,p,b,g)),p})}fsPath(_){return this._labelService?this._labelService.getUriLabel(_,{noPrefix:!0}):_.fsPath}async evaluateSingleVariable(_,P,w,b,g){let f;const v=w.split(":");v.length>1&&(w=v[0],f=v[1]);const p=()=>{const a=this._context.getFilePath();if(a)return a;throw new Error((0,E.localize)(0,null,P))},c=()=>{const a=p();if(this._context.getWorkspaceFolderPathForFile){const h=this._context.getWorkspaceFolderPathForFile();if(h)return h}throw new Error((0,E.localize)(1,null,P,u.basename(a)))},m=()=>{if(f){const a=this._context.getFolderUri(f);if(a)return a;throw new Error((0,E.localize)(2,null,P,f))}if(b)return b;throw this._context.getWorkspaceFolderCount()>1?new Error((0,E.localize)(3,null,P)):new Error((0,E.localize)(4,null,P))};switch(w){case"env":if(f){if(_.env){const a=_.env[y.isWindows?f.toLowerCase():f];if(D.isString(a))return a}return""}throw new Error((0,E.localize)(5,null,P));case"config":if(f){const a=this._context.getConfigurationValue(b,f);if(D.isUndefinedOrNull(a))throw new Error((0,E.localize)(6,null,P,f));if(D.isObject(a))throw new Error((0,E.localize)(7,null,P,f));return a}throw new Error((0,E.localize)(8,null,P));case"command":return this.resolveFromMap(P,f,g,"command");case"input":return this.resolveFromMap(P,f,g,"input");case"extensionInstallFolder":if(f){const a=await this._context.getExtension(f);if(!a)throw new Error((0,E.localize)(9,null,P,f));return this.fsPath(a.extensionLocation)}throw new Error((0,E.localize)(10,null,P));default:switch(w){case"workspaceRoot":case"workspaceFolder":return(0,C.normalizeDriveLetter)(this.fsPath(m()));case"cwd":return b||f?(0,C.normalizeDriveLetter)(this.fsPath(m())):t.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return u.basename(this.fsPath(m()));case"userHome":{if(_.userHome)return _.userHome;throw new Error((0,E.localize)(11,null,P))}case"lineNumber":{const a=this._context.getLineNumber();if(a)return a;throw new Error((0,E.localize)(12,null,P))}case"selectedText":{const a=this._context.getSelectedText();if(a)return a;throw new Error((0,E.localize)(13,null,P))}case"file":return p();case"fileWorkspaceFolder":return c();case"relativeFile":return b||f?u.relative(this.fsPath(m()),p()):p();case"relativeFileDirname":{const a=u.dirname(p());if(b||f){const h=u.relative(this.fsPath(m()),a);return h.length===0?".":h}return a}case"fileDirname":return u.dirname(p());case"fileExtname":return u.extname(p());case"fileBasename":return u.basename(p());case"fileBasenameNoExtension":{const a=u.basename(p());return a.slice(0,a.length-u.extname(a).length)}case"fileDirnameBasename":return u.basename(u.dirname(p()));case"execPath":{const a=this._context.getExecPath();return a||P}case"execInstallFolder":{const a=this._context.getAppRoot();return a||P}case"pathSeparator":return u.sep;default:try{const a=f?`${w}:${f}`:w;return this.resolveFromMap(P,a,g,void 0)}catch{return P}}}}resolveFromMap(_,P,w,b){if(P&&w){const g=b===void 0?w[P]:w[b+":"+P];if(typeof g=="string")return g;throw new Error((0,E.localize)(14,null,_))}return _}}e.AbstractVariableResolverService=R,R.VARIABLE_LHS="${",R.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(Ie[130],ke([1,0,4,211]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.isEditorGroup=e.OpenEditorContext=e.GroupsOrder=e.isEditorReplacement=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=(0,u.createDecorator)("editorGroupsService");var D;(function(w){w[w.UP=0]="UP",w[w.DOWN=1]="DOWN",w[w.LEFT=2]="LEFT",w[w.RIGHT=3]="RIGHT"})(D=e.GroupDirection||(e.GroupDirection={}));var T;(function(w){w[w.HORIZONTAL=0]="HORIZONTAL",w[w.VERTICAL=1]="VERTICAL"})(T=e.GroupOrientation||(e.GroupOrientation={}));var y;(function(w){w[w.FIRST=0]="FIRST",w[w.LAST=1]="LAST",w[w.NEXT=2]="NEXT",w[w.PREVIOUS=3]="PREVIOUS"})(y=e.GroupLocation||(e.GroupLocation={}));var C;(function(w){w[w.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",w[w.EVEN=1]="EVEN",w[w.TOGGLE=2]="TOGGLE"})(C=e.GroupsArrangement||(e.GroupsArrangement={}));var E;(function(w){w[w.COPY_EDITORS=0]="COPY_EDITORS",w[w.MOVE_EDITORS=1]="MOVE_EDITORS"})(E=e.MergeGroupMode||(e.MergeGroupMode={}));function I(w){const b=w;return(0,t.isEditorInput)(b?.editor)&&(0,t.isEditorInput)(b?.replacement)}e.isEditorReplacement=I;var R;(function(w){w[w.CREATION_TIME=0]="CREATION_TIME",w[w.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",w[w.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(R=e.GroupsOrder||(e.GroupsOrder={}));var k;(function(w){w[w.NEW_EDITOR=1]="NEW_EDITOR",w[w.MOVE_EDITOR=2]="MOVE_EDITOR",w[w.COPY_EDITOR=3]="COPY_EDITOR"})(k=e.OpenEditorContext||(e.OpenEditorContext={}));function _(w){const b=w;return!!b&&typeof b.id=="number"&&Array.isArray(b.editors)}e.isEditorGroup=_;function P(w){return w.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=P}),define(Ie[221],ke([1,0,4,130]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isPreferredGroup=e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=(0,u.createDecorator)("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2;function D(T){const y=T;return typeof T=="number"||(0,t.isEditorGroup)(y)}e.isPreferredGroup=D}),define(Ie[15],ke([1,0,16,23,106,25,143,61,24,10,2,35,63,188,117,129,128,65,66,221,7,58]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v,p,c,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DataTransfer=e.DataTransferItem=e.ViewBadge=e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookStatusBarItem=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionState=e.NotebookCellExecutionSummary=e.NotebookRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Range=e.Selection=void 0;var a;(function(Ae){function Oe(te){const{selectionStartLineNumber:Fe,selectionStartColumn:xe,positionLineNumber:Ze,positionColumn:et}=te,Ye=new c.Position(Fe-1,xe-1),vt=new c.Position(Ze-1,et-1);return new c.Selection(Ye,vt)}Ae.to=Oe;function Se(te){const{anchor:Fe,active:xe}=te;return{selectionStartLineNumber:Fe.line+1,selectionStartColumn:Fe.character+1,positionLineNumber:xe.line+1,positionColumn:xe.character+1}}Ae.from=Se})(a=e.Selection||(e.Selection={}));var h;(function(Ae){function Oe(te){if(!te)return;const{start:Fe,end:xe}=te;return{startLineNumber:Fe.line+1,startColumn:Fe.character+1,endLineNumber:xe.line+1,endColumn:xe.character+1}}Ae.from=Oe;function Se(te){if(!te)return;const{startLineNumber:Fe,startColumn:xe,endLineNumber:Ze,endColumn:et}=te;return new c.Range(Fe-1,xe-1,Ze-1,et-1)}Ae.to=Se})(h=e.Range||(e.Range={}));var r;(function(Ae){function Oe(Se){switch(Se){case 1:return c.StandardTokenType.Comment;case 0:return c.StandardTokenType.Other;case 3:return c.StandardTokenType.RegEx;case 2:return c.StandardTokenType.String}}Ae.to=Oe})(r=e.TokenType||(e.TokenType={}));var o;(function(Ae){function Oe(te){return new c.Position(te.lineNumber-1,te.column-1)}Ae.to=Oe;function Se(te){return{lineNumber:te.line+1,column:te.character+1}}Ae.from=Se})(o=e.Position||(e.Position={}));var i;(function(Ae){function Oe(Fe,xe){return(0,u.coalesce)((0,u.asArray)(Fe).map(Ze=>Se(Ze,xe)))}Ae.from=Oe;function Se(Fe,xe){if(typeof Fe=="string")return{$serialized:!0,language:Fe};if(Fe)return{$serialized:!0,language:Fe.language,scheme:te(Fe.scheme,xe),pattern:oe.from(Fe.pattern)??void 0,exclusive:Fe.exclusive,notebookType:Fe.notebookType}}function te(Fe,xe){return xe&&typeof Fe=="string"?xe.transformOutgoingScheme(Fe):Fe}})(i=e.DocumentSelector||(e.DocumentSelector={}));var n;(function(Ae){function Oe(te){switch(te){case c.DiagnosticTag.Unnecessary:return 1;case c.DiagnosticTag.Deprecated:return 2}}Ae.from=Oe;function Se(te){switch(te){case 1:return c.DiagnosticTag.Unnecessary;case 2:return c.DiagnosticTag.Deprecated;default:return}}Ae.to=Se})(n=e.DiagnosticTag||(e.DiagnosticTag={}));var s;(function(Ae){function Oe(te){let Fe;return te.code&&((0,I.isString)(te.code)||(0,I.isNumber)(te.code)?Fe=String(te.code):Fe={value:String(te.code.value),target:te.code.target}),{...h.from(te.range),message:te.message,source:te.source,code:Fe,severity:d.from(te.severity),relatedInformation:te.relatedInformation&&te.relatedInformation.map(l.from),tags:Array.isArray(te.tags)?(0,u.coalesce)(te.tags.map(n.from)):void 0}}Ae.from=Oe;function Se(te){const Fe=new c.Diagnostic(h.to(te),te.message,d.to(te.severity));return Fe.source=te.source,Fe.code=(0,I.isString)(te.code)?te.code:te.code?.value,Fe.relatedInformation=te.relatedInformation&&te.relatedInformation.map(l.to),Fe.tags=te.tags&&(0,u.coalesce)(te.tags.map(n.to)),Fe}Ae.to=Se})(s=e.Diagnostic||(e.Diagnostic={}));var l;(function(Ae){function Oe(te){return{...h.from(te.location.range),message:te.message,resource:te.location.uri}}Ae.from=Oe;function Se(te){return new c.DiagnosticRelatedInformation(new c.Location(te.resource,h.to(te)),te.message)}Ae.to=Se})(l=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var d;(function(Ae){function Oe(te){switch(te){case c.DiagnosticSeverity.Error:return w.MarkerSeverity.Error;case c.DiagnosticSeverity.Warning:return w.MarkerSeverity.Warning;case c.DiagnosticSeverity.Information:return w.MarkerSeverity.Info;case c.DiagnosticSeverity.Hint:return w.MarkerSeverity.Hint}return w.MarkerSeverity.Error}Ae.from=Oe;function Se(te){switch(te){case w.MarkerSeverity.Info:return c.DiagnosticSeverity.Information;case w.MarkerSeverity.Warning:return c.DiagnosticSeverity.Warning;case w.MarkerSeverity.Error:return c.DiagnosticSeverity.Error;case w.MarkerSeverity.Hint:return c.DiagnosticSeverity.Hint;default:return c.DiagnosticSeverity.Error}}Ae.to=Se})(d=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var S;(function(Ae){function Oe(te){return typeof te=="number"&&te>=c.ViewColumn.One?te-1:te===c.ViewColumn.Beside?p.SIDE_GROUP:p.ACTIVE_GROUP}Ae.from=Oe;function Se(te){if(typeof te=="number"&&te>=0)return te+1;throw new Error("invalid 'EditorGroupColumn'")}Ae.to=Se})(S=e.ViewColumn||(e.ViewColumn={}));function L(Ae){return typeof Ae.range!="undefined"}function F(Ae){return Ae.length===0?!0:!!L(Ae[0])}e.isDecorationOptionsArr=F;var N;(function(Ae){function Oe(et){return et.map(Ae.from)}Ae.fromMany=Oe;function Se(et){return et&&typeof et=="object"&&typeof et.language=="string"&&typeof et.value=="string"}function te(et){let Ye;if(Se(et)){const{language:wt,value:dt}=et;Ye={value:"```"+wt+`
`+dt+"\n```\n"}}else c.MarkdownString.isMarkdownString(et)?Ye={value:et.value,isTrusted:et.isTrusted,supportThemeIcons:et.supportThemeIcons,supportHtml:et.supportHtml,baseUri:et.baseUri}:typeof et=="string"?Ye={value:et}:Ye={value:""};const vt=Object.create(null);Ye.uris=vt;const yt=wt=>{try{let dt=R.URI.parse(wt,!0);dt=dt.with({query:Fe(dt.query,vt)}),vt[wt]=dt}catch{}return""},Ct=new y.marked.Renderer;return Ct.link=yt,Ct.image=wt=>typeof wt=="string"?yt(D.parseHrefAndDimensions(wt).href):"",(0,y.marked)(Ye.value,{renderer:Ct}),Ye}Ae.from=te;function Fe(et,Ye){if(!et)return et;let vt;try{vt=(0,C.parse)(et)}catch{}if(!vt)return et;let yt=!1;return vt=(0,E.cloneAndChange)(vt,Ct=>{if(R.URI.isUri(Ct)){const wt=`__uri_${Math.random().toString(16).slice(2,8)}`;return Ye[wt]=Ct,yt=!0,wt}else return}),yt?JSON.stringify(vt):et}function xe(et){const Ye=new c.MarkdownString(et.value,et.supportThemeIcons);return Ye.isTrusted=et.isTrusted,Ye.supportHtml=et.supportHtml,Ye.baseUri=et.baseUri?R.URI.from(et.baseUri):void 0,Ye}Ae.to=xe;function Ze(et){if(!!et)return typeof et=="string"?et:Ae.from(et)}Ae.fromStrict=Ze})(N=e.MarkdownString||(e.MarkdownString={}));function A(Ae){return F(Ae)?Ae.map(Oe=>({range:h.from(Oe.range),hoverMessage:Array.isArray(Oe.hoverMessage)?N.fromMany(Oe.hoverMessage):Oe.hoverMessage?N.from(Oe.hoverMessage):void 0,renderOptions:Oe.renderOptions})):Ae.map(Oe=>({range:h.from(Oe)}))}e.fromRangeOrRangeWithMessage=A;function $(Ae){return typeof Ae=="undefined"?Ae:typeof Ae=="string"?R.URI.file(Ae):Ae}e.pathOrURIToURI=$;var B;(function(Ae){function Oe(Se){return typeof Se=="undefined"?Se:{contentText:Se.contentText,contentIconPath:Se.contentIconPath?$(Se.contentIconPath):void 0,border:Se.border,borderColor:Se.borderColor,fontStyle:Se.fontStyle,fontWeight:Se.fontWeight,textDecoration:Se.textDecoration,color:Se.color,backgroundColor:Se.backgroundColor,margin:Se.margin,width:Se.width,height:Se.height}}Ae.from=Oe})(B=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var z;(function(Ae){function Oe(Se){return typeof Se=="undefined"?Se:{backgroundColor:Se.backgroundColor,outline:Se.outline,outlineColor:Se.outlineColor,outlineStyle:Se.outlineStyle,outlineWidth:Se.outlineWidth,border:Se.border,borderColor:Se.borderColor,borderRadius:Se.borderRadius,borderSpacing:Se.borderSpacing,borderStyle:Se.borderStyle,borderWidth:Se.borderWidth,fontStyle:Se.fontStyle,fontWeight:Se.fontWeight,textDecoration:Se.textDecoration,cursor:Se.cursor,color:Se.color,opacity:Se.opacity,letterSpacing:Se.letterSpacing,gutterIconPath:Se.gutterIconPath?$(Se.gutterIconPath):void 0,gutterIconSize:Se.gutterIconSize,overviewRulerColor:Se.overviewRulerColor,before:Se.before?B.from(Se.before):void 0,after:Se.after?B.from(Se.after):void 0}}Ae.from=Oe})(z=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var X;(function(Ae){function Oe(Se){if(typeof Se=="undefined")return Se;switch(Se){case c.DecorationRangeBehavior.OpenOpen:return 0;case c.DecorationRangeBehavior.ClosedClosed:return 1;case c.DecorationRangeBehavior.OpenClosed:return 2;case c.DecorationRangeBehavior.ClosedOpen:return 3}}Ae.from=Oe})(X=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var M;(function(Ae){function Oe(Se){return{isWholeLine:Se.isWholeLine,rangeBehavior:Se.rangeBehavior?X.from(Se.rangeBehavior):void 0,overviewRulerLane:Se.overviewRulerLane,light:Se.light?z.from(Se.light):void 0,dark:Se.dark?z.from(Se.dark):void 0,backgroundColor:Se.backgroundColor,outline:Se.outline,outlineColor:Se.outlineColor,outlineStyle:Se.outlineStyle,outlineWidth:Se.outlineWidth,border:Se.border,borderColor:Se.borderColor,borderRadius:Se.borderRadius,borderSpacing:Se.borderSpacing,borderStyle:Se.borderStyle,borderWidth:Se.borderWidth,fontStyle:Se.fontStyle,fontWeight:Se.fontWeight,textDecoration:Se.textDecoration,cursor:Se.cursor,color:Se.color,opacity:Se.opacity,letterSpacing:Se.letterSpacing,gutterIconPath:Se.gutterIconPath?$(Se.gutterIconPath):void 0,gutterIconSize:Se.gutterIconSize,overviewRulerColor:Se.overviewRulerColor,before:Se.before?B.from(Se.before):void 0,after:Se.after?B.from(Se.after):void 0}}Ae.from=Oe})(M=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var U;(function(Ae){function Oe(te){return{text:te.newText,eol:te.newEol&&Qe.from(te.newEol),range:h.from(te.range)}}Ae.from=Oe;function Se(te){const Fe=new c.TextEdit(h.to(te.range),te.text);return Fe.newEol=typeof te.eol=="undefined"?void 0:Qe.to(te.eol),Fe}Ae.to=Se})(U=e.TextEdit||(e.TextEdit={}));var q;(function(Ae){function Oe(te,Fe,xe){const Ze={edits:[]};if(te instanceof c.WorkspaceEdit){const et=new T.ResourceSet;for(const Ye of te._allEntries())Ye._type===1&&R.URI.isUri(Ye.to)&&Ye.from===void 0&&et.add(Ye.to);for(const Ye of te._allEntries())if(Ye._type===1)Ze.edits.push({oldResource:Ye.from,newResource:Ye.to,options:Ye.options,metadata:Ye.metadata});else if(Ye._type===2)Ze.edits.push({resource:Ye.uri,textEdit:U.from(Ye.edit),versionId:et.has(Ye.uri)?void 0:Fe?.getTextDocumentVersion(Ye.uri),metadata:Ye.metadata});else if(Ye._type===6){if(!xe){console.warn("DROPPING snippet text edit because proposal IS NOT ENABLED",Ye);continue}Ze.edits.push({resource:Ye.uri,textEdit:{range:h.from(Ye.range),text:Ye.edit.value,insertAsSnippet:!0},versionId:et.has(Ye.uri)?void 0:Fe?.getTextDocumentVersion(Ye.uri),metadata:Ye.metadata})}else Ye._type===3?Ze.edits.push({metadata:Ye.metadata,resource:Ye.uri,cellEdit:Ye.edit,notebookMetadata:Ye.notebookMetadata,notebookVersionId:Fe?.getNotebookDocumentVersion(Ye.uri)}):Ye._type===5&&Ze.edits.push({metadata:Ye.metadata,resource:Ye.uri,notebookVersionId:Fe?.getNotebookDocumentVersion(Ye.uri),cellEdit:{editType:1,index:Ye.index,count:Ye.count,cells:Ye.cells.map(ot.from)}})}return Ze}Ae.from=Oe;function Se(te){const Fe=new c.WorkspaceEdit;for(const xe of te.edits)xe.textEdit?Fe.replace(R.URI.revive(xe.resource),h.to(xe.textEdit.range),xe.textEdit.text):Fe.renameFile(R.URI.revive(xe.oldResource),R.URI.revive(xe.newResource),xe.options);return Fe}Ae.to=Se})(q=e.WorkspaceEdit||(e.WorkspaceEdit={}));var x;(function(Ae){const Oe=Object.create(null);Oe[c.SymbolKind.File]=0,Oe[c.SymbolKind.Module]=1,Oe[c.SymbolKind.Namespace]=2,Oe[c.SymbolKind.Package]=3,Oe[c.SymbolKind.Class]=4,Oe[c.SymbolKind.Method]=5,Oe[c.SymbolKind.Property]=6,Oe[c.SymbolKind.Field]=7,Oe[c.SymbolKind.Constructor]=8,Oe[c.SymbolKind.Enum]=9,Oe[c.SymbolKind.Interface]=10,Oe[c.SymbolKind.Function]=11,Oe[c.SymbolKind.Variable]=12,Oe[c.SymbolKind.Constant]=13,Oe[c.SymbolKind.String]=14,Oe[c.SymbolKind.Number]=15,Oe[c.SymbolKind.Boolean]=16,Oe[c.SymbolKind.Array]=17,Oe[c.SymbolKind.Object]=18,Oe[c.SymbolKind.Key]=19,Oe[c.SymbolKind.Null]=20,Oe[c.SymbolKind.EnumMember]=21,Oe[c.SymbolKind.Struct]=22,Oe[c.SymbolKind.Event]=23,Oe[c.SymbolKind.Operator]=24,Oe[c.SymbolKind.TypeParameter]=25;function Se(Fe){return typeof Oe[Fe]=="number"?Oe[Fe]:6}Ae.from=Se;function te(Fe){for(const xe in Oe)if(Oe[xe]===Fe)return Number(xe);return c.SymbolKind.Property}Ae.to=te})(x=e.SymbolKind||(e.SymbolKind={}));var V;(function(Ae){function Oe(te){switch(te){case c.SymbolTag.Deprecated:return 1}}Ae.from=Oe;function Se(te){switch(te){case 1:return c.SymbolTag.Deprecated}}Ae.to=Se})(V=e.SymbolTag||(e.SymbolTag={}));var ee;(function(Ae){function Oe(te){return{name:te.name,kind:x.from(te.kind),tags:te.tags&&te.tags.map(V.from),containerName:te.containerName,location:ge.from(te.location)}}Ae.from=Oe;function Se(te){const Fe=new c.SymbolInformation(te.name,x.to(te.kind),te.containerName,ge.to(te.location));return Fe.tags=te.tags&&te.tags.map(V.to),Fe}Ae.to=Se})(ee=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var Y;(function(Ae){function Oe(te){const Fe={name:te.name||"!!MISSING: name!!",detail:te.detail,range:h.from(te.range),selectionRange:h.from(te.selectionRange),kind:x.from(te.kind),tags:te.tags?.map(V.from)??[]};return te.children&&(Fe.children=te.children.map(Oe)),Fe}Ae.from=Oe;function Se(te){const Fe=new c.DocumentSymbol(te.name,te.detail,x.to(te.kind),h.to(te.range),h.to(te.selectionRange));return(0,u.isNonEmptyArray)(te.tags)&&(Fe.tags=te.tags.map(V.to)),te.children&&(Fe.children=te.children.map(Se)),Fe}Ae.to=Se})(Y=e.DocumentSymbol||(e.DocumentSymbol={}));var le;(function(Ae){function Oe(te){const Fe=new c.CallHierarchyItem(x.to(te.kind),te.name,te.detail||"",R.URI.revive(te.uri),h.to(te.range),h.to(te.selectionRange));return Fe._sessionId=te._sessionId,Fe._itemId=te._itemId,Fe}Ae.to=Oe;function Se(te,Fe,xe){if(Fe=Fe??te._sessionId,xe=xe??te._itemId,Fe===void 0||xe===void 0)throw new Error("invalid item");return{_sessionId:Fe,_itemId:xe,name:te.name,detail:te.detail,kind:x.from(te.kind),uri:te.uri,range:h.from(te.range),selectionRange:h.from(te.selectionRange),tags:te.tags?.map(V.from)}}Ae.from=Se})(le=e.CallHierarchyItem||(e.CallHierarchyItem={}));var ve;(function(Ae){function Oe(Se){return new c.CallHierarchyIncomingCall(le.to(Se.from),Se.fromRanges.map(te=>h.to(te)))}Ae.to=Oe})(ve=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var J;(function(Ae){function Oe(Se){return new c.CallHierarchyOutgoingCall(le.to(Se.to),Se.fromRanges.map(te=>h.to(te)))}Ae.to=Oe})(J=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var ge;(function(Ae){function Oe(te){return{range:te.range&&h.from(te.range),uri:te.uri}}Ae.from=Oe;function Se(te){return new c.Location(R.URI.revive(te.uri),h.to(te.range))}Ae.to=Se})(ge=e.location||(e.location={}));var _e;(function(Ae){function Oe(te){const Fe=te,xe=te;return{originSelectionRange:Fe.originSelectionRange?h.from(Fe.originSelectionRange):void 0,uri:Fe.targetUri?Fe.targetUri:xe.uri,range:h.from(Fe.targetRange?Fe.targetRange:xe.range),targetSelectionRange:Fe.targetSelectionRange?h.from(Fe.targetSelectionRange):void 0}}Ae.from=Oe;function Se(te){return{targetUri:R.URI.revive(te.uri),targetRange:h.to(te.range),targetSelectionRange:te.targetSelectionRange?h.to(te.targetSelectionRange):void 0,originSelectionRange:te.originSelectionRange?h.to(te.originSelectionRange):void 0}}Ae.to=Se})(_e=e.DefinitionLink||(e.DefinitionLink={}));var Te;(function(Ae){function Oe(te){return{range:h.from(te.range),contents:N.fromMany(te.contents)}}Ae.from=Oe;function Se(te){return new c.Hover(te.contents.map(N.to),h.to(te.range))}Ae.to=Se})(Te=e.Hover||(e.Hover={}));var me;(function(Ae){function Oe(te){return{range:h.from(te.range),expression:te.expression}}Ae.from=Oe;function Se(te){return new c.EvaluatableExpression(h.to(te.range),te.expression)}Ae.to=Se})(me=e.EvaluatableExpression||(e.EvaluatableExpression={}));var Pe;(function(Ae){function Oe(te){if(te instanceof c.InlineValueText)return{type:"text",range:h.from(te.range),text:te.text};if(te instanceof c.InlineValueVariableLookup)return{type:"variable",range:h.from(te.range),variableName:te.variableName,caseSensitiveLookup:te.caseSensitiveLookup};if(te instanceof c.InlineValueEvaluatableExpression)return{type:"expression",range:h.from(te.range),expression:te.expression};throw new Error("Unknown 'InlineValue' type")}Ae.from=Oe;function Se(te){switch(te.type){case"text":return{range:h.to(te.range),text:te.text};case"variable":return{range:h.to(te.range),variableName:te.variableName,caseSensitiveLookup:te.caseSensitiveLookup};case"expression":return{range:h.to(te.range),expression:te.expression}}}Ae.to=Se})(Pe=e.InlineValue||(e.InlineValue={}));var ue;(function(Ae){function Oe(te){return{frameId:te.frameId,stoppedLocation:h.from(te.stoppedLocation)}}Ae.from=Oe;function Se(te){return new c.InlineValueContext(te.frameId,h.to(te.stoppedLocation))}Ae.to=Se})(ue=e.InlineValueContext||(e.InlineValueContext={}));var pe;(function(Ae){function Oe(te){return{range:h.from(te.range),kind:te.kind}}Ae.from=Oe;function Se(te){return new c.DocumentHighlight(h.to(te.range),te.kind)}Ae.to=Se})(pe=e.DocumentHighlight||(e.DocumentHighlight={}));var be;(function(Ae){function Oe(Se){switch(Se){case 1:return c.CompletionTriggerKind.TriggerCharacter;case 2:return c.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return c.CompletionTriggerKind.Invoke}}Ae.to=Oe})(be=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var ae;(function(Ae){function Oe(Se){return{triggerKind:be.to(Se.triggerKind),triggerCharacter:Se.triggerCharacter}}Ae.to=Oe})(ae=e.CompletionContext||(e.CompletionContext={}));var fe;(function(Ae){function Oe(te){switch(te){case c.CompletionItemTag.Deprecated:return 1}}Ae.from=Oe;function Se(te){switch(te){case 1:return c.CompletionItemTag.Deprecated}}Ae.to=Se})(fe=e.CompletionItemTag||(e.CompletionItemTag={}));var ne;(function(Ae){const Oe=new Map([[c.CompletionItemKind.Method,0],[c.CompletionItemKind.Function,1],[c.CompletionItemKind.Constructor,2],[c.CompletionItemKind.Field,3],[c.CompletionItemKind.Variable,4],[c.CompletionItemKind.Class,5],[c.CompletionItemKind.Interface,7],[c.CompletionItemKind.Struct,6],[c.CompletionItemKind.Module,8],[c.CompletionItemKind.Property,9],[c.CompletionItemKind.Unit,12],[c.CompletionItemKind.Value,13],[c.CompletionItemKind.Constant,14],[c.CompletionItemKind.Enum,15],[c.CompletionItemKind.EnumMember,16],[c.CompletionItemKind.Keyword,17],[c.CompletionItemKind.Snippet,27],[c.CompletionItemKind.Text,18],[c.CompletionItemKind.Color,19],[c.CompletionItemKind.File,20],[c.CompletionItemKind.Reference,21],[c.CompletionItemKind.Folder,23],[c.CompletionItemKind.Event,10],[c.CompletionItemKind.Operator,11],[c.CompletionItemKind.TypeParameter,24],[c.CompletionItemKind.Issue,26],[c.CompletionItemKind.User,25]]);function Se(xe){return Oe.get(xe)??9}Ae.from=Se;const te=new Map([[0,c.CompletionItemKind.Method],[1,c.CompletionItemKind.Function],[2,c.CompletionItemKind.Constructor],[3,c.CompletionItemKind.Field],[4,c.CompletionItemKind.Variable],[5,c.CompletionItemKind.Class],[7,c.CompletionItemKind.Interface],[6,c.CompletionItemKind.Struct],[8,c.CompletionItemKind.Module],[9,c.CompletionItemKind.Property],[12,c.CompletionItemKind.Unit],[13,c.CompletionItemKind.Value],[14,c.CompletionItemKind.Constant],[15,c.CompletionItemKind.Enum],[16,c.CompletionItemKind.EnumMember],[17,c.CompletionItemKind.Keyword],[27,c.CompletionItemKind.Snippet],[18,c.CompletionItemKind.Text],[19,c.CompletionItemKind.Color],[20,c.CompletionItemKind.File],[21,c.CompletionItemKind.Reference],[23,c.CompletionItemKind.Folder],[10,c.CompletionItemKind.Event],[11,c.CompletionItemKind.Operator],[24,c.CompletionItemKind.TypeParameter],[25,c.CompletionItemKind.User],[26,c.CompletionItemKind.Issue]]);function Fe(xe){return te.get(xe)??c.CompletionItemKind.Property}Ae.to=Fe})(ne=e.CompletionItemKind||(e.CompletionItemKind={}));var ie;(function(Ae){function Oe(Se,te){const Fe=new c.CompletionItem(Se.label);return Fe.insertText=Se.insertText,Fe.kind=ne.to(Se.kind),Fe.tags=Se.tags?.map(fe.to),Fe.detail=Se.detail,Fe.documentation=D.isMarkdownString(Se.documentation)?N.to(Se.documentation):Se.documentation,Fe.sortText=Se.sortText,Fe.filterText=Se.filterText,Fe.preselect=Se.preselect,Fe.commitCharacters=Se.commitCharacters,k.Range.isIRange(Se.range)?Fe.range=h.to(Se.range):typeof Se.range=="object"&&(Fe.range={inserting:h.to(Se.range.insert),replacing:h.to(Se.range.replace)}),Fe.keepWhitespace=typeof Se.insertTextRules=="undefined"?!1:Boolean(Se.insertTextRules&1),typeof Se.insertTextRules!="undefined"&&Se.insertTextRules&4?Fe.insertText=new c.SnippetString(Se.insertText):(Fe.insertText=Se.insertText,Fe.textEdit=Fe.range instanceof c.Range?new c.TextEdit(Fe.range,Fe.insertText):void 0),Se.additionalTextEdits&&Se.additionalTextEdits.length>0&&(Fe.additionalTextEdits=Se.additionalTextEdits.map(xe=>U.to(xe))),Fe.command=te&&Se.command?te.fromInternal(Se.command):void 0,Fe}Ae.to=Oe})(ie=e.CompletionItem||(e.CompletionItem={}));var O;(function(Ae){function Oe(te){return{label:te.label,documentation:N.fromStrict(te.documentation)}}Ae.from=Oe;function Se(te){return{label:te.label,documentation:D.isMarkdownString(te.documentation)?N.to(te.documentation):te.documentation}}Ae.to=Se})(O=e.ParameterInformation||(e.ParameterInformation={}));var H;(function(Ae){function Oe(te){return{label:te.label,documentation:N.fromStrict(te.documentation),parameters:Array.isArray(te.parameters)?te.parameters.map(O.from):[],activeParameter:te.activeParameter}}Ae.from=Oe;function Se(te){return{label:te.label,documentation:D.isMarkdownString(te.documentation)?N.to(te.documentation):te.documentation,parameters:Array.isArray(te.parameters)?te.parameters.map(O.to):[],activeParameter:te.activeParameter}}Ae.to=Se})(H=e.SignatureInformation||(e.SignatureInformation={}));var G;(function(Ae){function Oe(te){return{activeSignature:te.activeSignature,activeParameter:te.activeParameter,signatures:Array.isArray(te.signatures)?te.signatures.map(H.from):[]}}Ae.from=Oe;function Se(te){return{activeSignature:te.activeSignature,activeParameter:te.activeParameter,signatures:Array.isArray(te.signatures)?te.signatures.map(H.to):[]}}Ae.to=Se})(G=e.SignatureHelp||(e.SignatureHelp={}));var K;(function(Ae){function Oe(Se,te){const Fe=new c.InlayHint(o.to(te.position),typeof te.label=="string"?te.label:te.label.map(de.to.bind(void 0,Se)),te.kind&&we.to(te.kind));return Fe.textEdits=te.textEdits&&te.textEdits.map(U.to),Fe.tooltip=D.isMarkdownString(te.tooltip)?N.to(te.tooltip):te.tooltip,Fe.paddingLeft=te.paddingLeft,Fe.paddingRight=te.paddingRight,Fe}Ae.to=Oe})(K=e.InlayHint||(e.InlayHint={}));var de;(function(Ae){function Oe(Se,te){const Fe=new c.InlayHintLabelPart(te.label);return Fe.tooltip=D.isMarkdownString(te.tooltip)?N.to(te.tooltip):te.tooltip,_.Command.is(te.command)&&(Fe.command=Se.fromInternal(te.command)),te.location&&(Fe.location=ge.to(te.location)),Fe}Ae.to=Oe})(de=e.InlayHintLabelPart||(e.InlayHintLabelPart={}));var we;(function(Ae){function Oe(te){return te}Ae.from=Oe;function Se(te){return te}Ae.to=Se})(we=e.InlayHintKind||(e.InlayHintKind={}));var se;(function(Ae){function Oe(te){return{range:h.from(te.range),url:te.target,tooltip:te.tooltip}}Ae.from=Oe;function Se(te){let Fe;if(te.url)try{Fe=typeof te.url=="string"?R.URI.parse(te.url,!0):R.URI.revive(te.url)}catch{}return new c.DocumentLink(h.to(te.range),Fe)}Ae.to=Se})(se=e.DocumentLink||(e.DocumentLink={}));var De;(function(Ae){function Oe(te){const Fe=new c.ColorPresentation(te.label);return te.textEdit&&(Fe.textEdit=U.to(te.textEdit)),te.additionalTextEdits&&(Fe.additionalTextEdits=te.additionalTextEdits.map(xe=>U.to(xe))),Fe}Ae.to=Oe;function Se(te){return{label:te.label,textEdit:te.textEdit?U.from(te.textEdit):void 0,additionalTextEdits:te.additionalTextEdits?te.additionalTextEdits.map(Fe=>U.from(Fe)):void 0}}Ae.from=Se})(De=e.ColorPresentation||(e.ColorPresentation={}));var Ce;(function(Ae){function Oe(te){return new c.Color(te[0],te[1],te[2],te[3])}Ae.to=Oe;function Se(te){return[te.red,te.green,te.blue,te.alpha]}Ae.from=Se})(Ce=e.Color||(e.Color={}));var ze;(function(Ae){function Oe(te){return{range:h.from(te.range)}}Ae.from=Oe;function Se(te){return new c.SelectionRange(h.to(te.range))}Ae.to=Se})(ze=e.SelectionRange||(e.SelectionRange={}));var Ge;(function(Ae){function Oe(Se){switch(Se){case 2:return c.TextDocumentSaveReason.AfterDelay;case 1:return c.TextDocumentSaveReason.Manual;case 3:case 4:return c.TextDocumentSaveReason.FocusOut}}Ae.to=Oe})(Ge=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var Ne;(function(Ae){function Oe(te){switch(te){case c.TextEditorLineNumbersStyle.Off:return 0;case c.TextEditorLineNumbersStyle.Relative:return 2;case c.TextEditorLineNumbersStyle.On:default:return 1}}Ae.from=Oe;function Se(te){switch(te){case 0:return c.TextEditorLineNumbersStyle.Off;case 2:return c.TextEditorLineNumbersStyle.Relative;case 1:default:return c.TextEditorLineNumbersStyle.On}}Ae.to=Se})(Ne=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var Qe;(function(Ae){function Oe(te){if(te===c.EndOfLine.CRLF)return 1;if(te===c.EndOfLine.LF)return 0}Ae.from=Oe;function Se(te){if(te===1)return c.EndOfLine.CRLF;if(te===0)return c.EndOfLine.LF}Ae.to=Se})(Qe=e.EndOfLine||(e.EndOfLine={}));var Z;(function(Ae){function Oe(Se){if(typeof Se=="object")return Se.viewId;switch(Se){case c.ProgressLocation.SourceControl:return 3;case c.ProgressLocation.Window:return 10;case c.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}Ae.from=Oe})(Z=e.ProgressLocation||(e.ProgressLocation={}));var re;(function(Ae){function Oe(Se){const te={start:Se.start+1,end:Se.end+1};return Se.kind&&(te.kind=ye.from(Se.kind)),te}Ae.from=Oe})(re=e.FoldingRange||(e.FoldingRange={}));var ye;(function(Ae){function Oe(Se){if(Se)switch(Se){case c.FoldingRangeKind.Comment:return _.FoldingRangeKind.Comment;case c.FoldingRangeKind.Imports:return _.FoldingRangeKind.Imports;case c.FoldingRangeKind.Region:return _.FoldingRangeKind.Region}}Ae.from=Oe})(ye=e.FoldingRangeKind||(e.FoldingRangeKind={}));var We;(function(Ae){function Oe(Se){if(Se)return{pinned:typeof Se.preview=="boolean"?!Se.preview:void 0,inactive:Se.background,preserveFocus:Se.preserveFocus,selection:typeof Se.selection=="object"?h.from(Se.selection):void 0,override:typeof Se.override=="boolean"?P.EditorResolution.DISABLED:void 0}}Ae.from=Oe})(We=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var oe;(function(Ae){function Oe(xe){return xe instanceof c.RelativePattern?xe.toJSON():typeof xe=="string"?xe:Se(xe)||te(xe)?new c.RelativePattern(xe.baseUri??xe.base,xe.pattern).toJSON():xe}Ae.from=Oe;function Se(xe){const Ze=xe;return Ze?R.URI.isUri(Ze.baseUri)&&typeof Ze.pattern=="string":!1}function te(xe){const Ze=xe;return Ze?typeof Ze.base=="string"&&typeof Ze.pattern=="string":!1}function Fe(xe){return typeof xe=="string"?xe:new c.RelativePattern(R.URI.revive(xe.baseUri),xe.pattern)}Ae.to=Fe})(oe=e.GlobPattern||(e.GlobPattern={}));var Re;(function(Ae){function Oe(Se){if(Se){if(Array.isArray(Se))return Se.map(Oe);if(typeof Se=="string")return Se;{const te=Se;return{language:te.language,scheme:te.scheme,pattern:oe.from(te.pattern),exclusive:te.exclusive,notebookType:te.notebookType}}}else return}Ae.from=Oe})(Re=e.LanguageSelector||(e.LanguageSelector={}));var Be;(function(Ae){function Oe(te){return{start:te.start,end:te.end}}Ae.from=Oe;function Se(te){return new c.NotebookRange(te.start,te.end)}Ae.to=Se})(Be=e.NotebookRange||(e.NotebookRange={}));var qe;(function(Ae){function Oe(te){return{timing:typeof te.runStartTime=="number"&&typeof te.runEndTime=="number"?{startTime:te.runStartTime,endTime:te.runEndTime}:void 0,executionOrder:te.executionOrder,success:te.lastRunSuccess}}Ae.to=Oe;function Se(te){return{lastRunSuccess:te.success,runStartTime:te.timing?.startTime,runEndTime:te.timing?.endTime,executionOrder:te.executionOrder}}Ae.from=Se})(qe=e.NotebookCellExecutionSummary||(e.NotebookCellExecutionSummary={}));var je;(function(Ae){function Oe(Se){if(Se===g.NotebookCellExecutionState.Executing)return c.NotebookCellExecutionState.Executing;if(Se===g.NotebookCellExecutionState.Pending)return c.NotebookCellExecutionState.Pending;if(Se===g.NotebookCellExecutionState.Unconfirmed)return c.NotebookCellExecutionState.Pending;throw new Error(`Unknown state: ${Se}`)}Ae.to=Oe})(je=e.NotebookCellExecutionState||(e.NotebookCellExecutionState={}));var Ve;(function(Ae){function Oe(te){switch(te){case c.NotebookCellKind.Markup:return g.CellKind.Markup;case c.NotebookCellKind.Code:default:return g.CellKind.Code}}Ae.from=Oe;function Se(te){switch(te){case g.CellKind.Markup:return c.NotebookCellKind.Markup;case g.CellKind.Code:default:return c.NotebookCellKind.Code}}Ae.to=Se})(Ve=e.NotebookCellKind||(e.NotebookCellKind={}));var nt;(function(Ae){function Oe(te){const Fe={metadata:te.metadata??Object.create(null),cells:[]};for(const xe of te.cells)c.NotebookCellData.validate(xe),Fe.cells.push(ot.from(xe));return Fe}Ae.from=Oe;function Se(te){const Fe=new c.NotebookData(te.cells.map(ot.to));return(0,I.isEmptyObject)(te.metadata)||(Fe.metadata=te.metadata),Fe}Ae.to=Se})(nt=e.NotebookData||(e.NotebookData={}));var ot;(function(Ae){function Oe(te){return{cellKind:Ve.from(te.kind),language:te.languageId,mime:te.mime,source:te.value,metadata:te.metadata,internalMetadata:qe.from(te.executionSummary??{}),outputs:te.outputs?te.outputs.map(Je.from):[]}}Ae.from=Oe;function Se(te){return new c.NotebookCellData(Ve.to(te.cellKind),te.source,te.language,te.mime,te.outputs?te.outputs.map(Je.to):void 0,te.metadata,te.internalMetadata?qe.to(te.internalMetadata):void 0)}Ae.to=Se})(ot=e.NotebookCellData||(e.NotebookCellData={}));var rt;(function(Ae){function Oe(te){return{mime:te.mime,valueBytes:t.VSBuffer.wrap(te.data)}}Ae.from=Oe;function Se(te){return new c.NotebookCellOutputItem(te.valueBytes.buffer,te.mime)}Ae.to=Se})(rt=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var Je;(function(Ae){function Oe(te){return{outputId:te.id,items:te.items.map(rt.from),metadata:te.metadata}}Ae.from=Oe;function Se(te){const Fe=te.items.map(rt.to);return new c.NotebookCellOutput(Fe,te.outputId,te.metadata)}Ae.to=Se})(Je=e.NotebookCellOutput||(e.NotebookCellOutput={}));var at;(function(Ae){function Oe(Fe){return te(Fe)?{include:(0,I.withNullAsUndefined)(oe.from(Fe.include)),exclude:(0,I.withNullAsUndefined)(oe.from(Fe.exclude))}:(0,I.withNullAsUndefined)(oe.from(Fe))}Ae.from=Oe;function Se(Fe){return te(Fe)?{include:oe.to(Fe.include),exclude:oe.to(Fe.exclude)}:oe.to(Fe)}Ae.to=Se;function te(Fe){const xe=Fe;return xe?!(0,I.isUndefinedOrNull)(xe.include)&&!(0,I.isUndefinedOrNull)(xe.exclude):!1}})(at=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var pt;(function(Ae){function Oe(Se,te,Fe){const xe=typeof Se.command=="string"?{title:"",command:Se.command}:Se.command;return{alignment:Se.alignment===c.NotebookCellStatusBarAlignment.Left?1:2,command:te.toInternal(xe,Fe),text:Se.text,tooltip:Se.tooltip,accessibilityInformation:Se.accessibilityInformation,priority:Se.priority}}Ae.from=Oe})(pt=e.NotebookStatusBarItem||(e.NotebookStatusBarItem={}));var Pt;(function(Ae){function Oe(Se){return{transientOutputs:Se?.transientOutputs??!1,transientCellMetadata:Se?.transientCellMetadata??{},transientDocumentMetadata:Se?.transientDocumentMetadata??{}}}Ae.from=Oe})(Pt=e.NotebookDocumentContentOptions||(e.NotebookDocumentContentOptions={}));var St;(function(Ae){function Oe(te){return{uri:te.uri,provides:te.provides}}Ae.from=Oe;function Se(te){return new c.NotebookRendererScript(R.URI.revive(te.uri),te.provides)}Ae.to=Se})(St=e.NotebookRendererScript||(e.NotebookRendererScript={}));var ft;(function(Ae){function Oe(te){return{message:N.fromStrict(te.message)||"",type:0,expected:te.expectedOutput,actual:te.actualOutput,location:te.location&&{range:h.from(te.location.range),uri:te.location.uri}}}Ae.from=Oe;function Se(te){const Fe=new c.TestMessage(typeof te.message=="string"?te.message:N.to(te.message));return Fe.actualOutput=te.actual,Fe.expectedOutput=te.expected,Fe.location=te.location?ge.to(te.location):void 0,Fe}Ae.to=Se})(ft=e.TestMessage||(e.TestMessage={}));var It;(function(Ae){Ae.namespace=v.namespaceTestTag,Ae.denamespace=v.denamespaceTestTag})(It=e.TestTag||(e.TestTag={}));var bt;(function(Ae){function Oe(te){const Fe=(0,b.getPrivateApiFor)(te).controllerId;return{extId:f.TestId.fromExtHostTestItem(te,Fe).toString(),label:te.label,uri:R.URI.revive(te.uri),busy:!1,tags:te.tags.map(xe=>It.namespace(Fe,xe.id)),range:k.Range.lift(h.from(te.range)),description:te.description||null,sortText:te.sortText||null,error:te.error&&N.fromStrict(te.error)||null}}Ae.from=Oe;function Se(te){return{parent:void 0,error:void 0,id:f.TestId.fromString(te.extId).localId,label:te.label,uri:R.URI.revive(te.uri),tags:(te.tags||[]).map(Fe=>{const{tagId:xe}=It.denamespace(Fe);return new c.TestTag(xe)}),children:{add:()=>{},delete:()=>{},forEach:()=>{},*[Symbol.iterator](){},get:()=>{},replace:()=>{},size:0},range:h.to(te.range||void 0),canResolveChildren:!1,busy:!1,description:te.description||void 0,sortText:te.sortText||void 0}}Ae.toPlain=Se})(bt=e.TestItem||(e.TestItem={})),function(Ae){function Oe(te){return{id:te.id}}Ae.from=Oe;function Se(te){return new c.TestTag(te.id)}Ae.to=Se}(It=e.TestTag||(e.TestTag={}));var Ft;(function(Ae){const Oe=(te,Fe)=>{const xe={...bt.toPlain(te.item),parent:void 0,taskStates:te.tasks.map(Ze=>({state:Ze.state,duration:Ze.duration,messages:Ze.messages.filter(et=>et.type===0).map(ft.to)})),children:te.children.map(Ze=>Fe.get(Ze)).filter(I.isDefined).map(Ze=>Oe(Ze,Fe))};for(const Ze of xe.children)Ze.parent=xe;return xe};function Se(te){const Fe=[],xe=new Map;for(const Ze of te.items)xe.set(Ze.item.extId,Ze),te.request.targets.some(et=>et.controllerId===Ze.controllerId&&et.testIds.includes(Ze.item.extId))&&Fe.push(Ze);return{completedAt:te.completedAt,results:Fe.map(Ze=>Oe(Ze,xe))}}Ae.to=Se})(Ft=e.TestResults||(e.TestResults={}));var Ke;(function(Ae){function Oe(xe){return{covered:xe.covered,total:xe.covered}}function Se(xe){return"line"in xe?o.from(xe):h.from(xe)}function te(xe){return"branches"in xe?{count:xe.executionCount,location:Se(xe.location),type:1,branches:xe.branches.length?xe.branches.map(Ze=>({count:Ze.executionCount,location:Ze.location&&Se(Ze.location)})):void 0}:{type:0,count:xe.executionCount,location:Se(xe.location)}}Ae.fromDetailed=te;function Fe(xe){return{uri:xe.uri,statement:Oe(xe.statementCoverage),branch:xe.branchCoverage&&Oe(xe.branchCoverage),function:xe.functionCoverage&&Oe(xe.functionCoverage),details:xe.detailedCoverage?.map(te)}}Ae.fromFile=Fe})(Ke=e.TestCoverage||(e.TestCoverage={}));var Lt;(function(Ae){function Oe(Se){switch(Se){case 1:return c.CodeActionTriggerKind.Invoke;case 2:return c.CodeActionTriggerKind.Automatic}}Ae.to=Oe})(Lt=e.CodeActionTriggerKind||(e.CodeActionTriggerKind={}));var Bt;(function(Ae){function Oe(te){const Fe=new c.TypeHierarchyItem(x.to(te.kind),te.name,te.detail||"",R.URI.revive(te.uri),h.to(te.range),h.to(te.selectionRange));return Fe._sessionId=te._sessionId,Fe._itemId=te._itemId,Fe}Ae.to=Oe;function Se(te,Fe,xe){if(Fe=Fe??te._sessionId,xe=xe??te._itemId,Fe===void 0||xe===void 0)throw new Error("invalid item");return{_sessionId:Fe,_itemId:xe,kind:x.from(te.kind),name:te.name,detail:te.detail??"",uri:te.uri,range:h.from(te.range),selectionRange:h.from(te.selectionRange),tags:te.tags?.map(V.from)}}Ae.from=Se})(Bt=e.TypeHierarchyItem||(e.TypeHierarchyItem={}));var Nt;(function(Ae){function Oe(Se){if(!!Se)return{value:Se.value,tooltip:Se.tooltip}}Ae.from=Oe})(Nt=e.ViewBadge||(e.ViewBadge={}));var mt;(function(Ae){function Oe(Se,te){const Fe=Se.fileData;return Fe?new class extends c.DataTransferItem{asFile(){return{name:Fe.name,uri:R.URI.revive(Fe.uri),data:(0,m.once)(()=>te())}}}(""):new c.DataTransferItem(Se.asString)}Ae.toDataTransferItem=Oe})(mt=e.DataTransferItem||(e.DataTransferItem={}));var kt;(function(Ae){function Oe(te,Fe){const xe=te.items.map(([Ze,et],Ye)=>[Ze,mt.toDataTransferItem(et,()=>Fe(Ye))]);return new c.DataTransfer(xe)}Ae.toDataTransfer=Oe;async function Se(te){const Fe={items:[]},xe=[];return te.forEach((Ze,et)=>{xe.push((async()=>{const Ye=await Ze.asString(),vt=Ze.asFile();Fe.items.push([et,{asString:Ye,fileData:vt?{name:vt.name,uri:vt.uri}:void 0}])})())}),await Promise.all(xe),Fe}Ae.toDataTransferDTO=Se})(kt=e.DataTransfer||(e.DataTransfer={}))}),define(Ie[222],ke([1,0,2,12,7,15,79]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class C{constructor(I,R,k,_={timeout:1500,errors:3}){this._logService=I,this._documents=R,this._mainThreadBulkEdits=k,this._thresholds=_,this._callbacks=new y.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(I){return(R,k,_)=>{const w={dispose:this._callbacks.push([R,k,I])};return Array.isArray(_)&&_.push(w),w}}async $participateInSave(I,R){const k=u.URI.revive(I);let _=!1;const P=setTimeout(()=>_=!0,this._thresholds.timeout),w=[];try{for(const b of[...this._callbacks]){if(_)break;const g=this._documents.getDocument(k),f=await this._deliverEventAsyncAndBlameBadListeners(b,{document:g,reason:T.TextDocumentSaveReason.to(R)});w.push(f)}}finally{clearTimeout(P)}return w}_deliverEventAsyncAndBlameBadListeners([I,R,k],_){const P=this._badListeners.get(I);return typeof P=="number"&&P>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(k,I,R,_).then(()=>!0,w=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' threw ERROR`),this._logService.error(w),!(w instanceof Error)||w.message!=="concurrent_edits"){const b=this._badListeners.get(I);this._badListeners.set(I,b?b+1:1),typeof b=="number"&&b>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(I,R,k,_){const P=[],w=Date.now(),{document:b,reason:g}=_,{version:f}=b,v=Object.freeze({document:b,reason:g,waitUntil(p){if(Object.isFrozen(P))throw(0,t.illegalState)("waitUntil can not be called async");P.push(Promise.resolve(p))}});try{R.apply(k,[v])}catch(p){return Promise.reject(p)}return Object.freeze(P),new Promise((p,c)=>{const m=setTimeout(()=>c(new Error("timeout")),this._thresholds.timeout);return Promise.all(P).then(a=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${I.identifier.value}' finished after ${Date.now()-w}ms`),clearTimeout(m),p(a)}).catch(a=>{clearTimeout(m),c(a)})}).then(p=>{const c={edits:[]};for(const m of p)if(Array.isArray(m)&&m.every(a=>a instanceof D.TextEdit))for(const{newText:a,newEol:h,range:r}of m)c.edits.push({resource:b.uri,versionId:void 0,textEdit:{range:r&&T.Range.from(r),text:a,eol:h&&T.EndOfLine.from(h)}});if(c.edits.length!==0)return f===b.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(c):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=C}),define(Ie[223],ke([1,0,11,2,15,7,128]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class C{constructor(k,_,P,w){this.start=k,this.deletedCount=_,this.deletedItems=P,this.items=w}asApiEvent(){return{range:new T.NotebookRange(this.start,this.start+this.deletedCount),addedCells:this.items.map(k=>k.apiCell),removedCells:this.deletedItems}}}class E{constructor(k,_,P){this.notebook=k,this._extHostDocument=_,this._cellData=P,this.handle=P.handle,this.uri=t.URI.revive(P.uri),this.cellKind=P.cellKind,this._outputs=P.outputs.map(D.NotebookCellOutput.to),this._internalMetadata=P.internalMetadata??{},this._metadata=Object.freeze(P.metadata??{}),this._previousResult=Object.freeze(D.NotebookCellExecutionSummary.to(P.internalMetadata??{}))}static asModelAddData(k,_){return{EOL:_.eol,lines:_.source,languageId:_.language,uri:_.uri,isDirty:!1,versionId:1,notebook:k}}get internalMetadata(){return this._internalMetadata}get apiCell(){if(!this._apiCell){const k=this,_=this._extHostDocument.getDocument(this.uri);if(!_)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);const P={get index(){return k.notebook.getCellIndex(k)},notebook:k.notebook.apiNotebook,kind:D.NotebookCellKind.to(this._cellData.cellKind),document:_.document,get mime(){return k._mime},set mime(w){k._mime=w},get outputs(){return k._outputs.slice(0)},get metadata(){return k._metadata},get executionSummary(){return k._previousResult}};this._apiCell=Object.freeze(P)}return this._apiCell}setOutputs(k){this._outputs=k.map(D.NotebookCellOutput.to)}setOutputItems(k,_,P){const w=P.map(D.NotebookCellOutputItem.to),b=this._outputs.find(g=>g.id===k);b&&(_||(b.items.length=0),b.items.push(...w))}setMetadata(k){this._metadata=Object.freeze(k)}setInternalMetadata(k){this._internalMetadata=k,this._previousResult=Object.freeze(D.NotebookCellExecutionSummary.to(k))}setMime(k){}}e.ExtHostCell=E;class I{constructor(k,_,P,w,b){this._proxy=k,this._textDocumentsAndEditors=_,this._textDocuments=P,this.uri=w,this.handle=I._handlePool++,this._cells=[],this._versionId=0,this._isDirty=!1,this._disposed=!1,this._notebookType=b.viewType,this._metadata=Object.freeze(b.metadata??Object.create(null)),this._spliceNotebookCells([[0,0,b.cells]],!0,void 0),this._versionId=b.versionId}dispose(){this._disposed=!0}get apiNotebook(){if(!this._notebook){const k=this,_={get uri(){return k.uri},get version(){return k._versionId},get notebookType(){return k._notebookType},get isDirty(){return k._isDirty},get isUntitled(){return k.uri.scheme===u.Schemas.untitled},get isClosed(){return k._disposed},get metadata(){return k._metadata},get cellCount(){return k._cells.length},cellAt(P){return P=k._validateIndex(P),k._cells[P].apiCell},getCells(P){return(P?k._getCells(P):k._cells).map(b=>b.apiCell)},save(){return k._save()}};this._notebook=Object.freeze(_)}return this._notebook}updateBackup(k){this._backup?.delete(),this._backup=k}disposeBackup(){this._backup?.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(k){k.metadata&&(this._metadata=Object.freeze({...this._metadata,...k.metadata}))}acceptDirty(k){this._isDirty=k}acceptModelChanged(k,_,P){this._versionId=k.versionId,this._isDirty=_,this.acceptDocumentPropertiesChanged({metadata:P});const w={notebook:this.apiNotebook,metadata:P,cellChanges:[],contentChanges:[]},b=[];for(const f of k.rawEvents)f.kind===y.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(f.changes,!1,w.contentChanges):f.kind===y.NotebookCellsChangeType.Move?this._moveCell(f.index,f.newIdx,w.contentChanges):f.kind===y.NotebookCellsChangeType.Output?(this._setCellOutputs(f.index,f.outputs),b.push({cell:this._cells[f.index].apiCell,outputs:this._cells[f.index].apiCell.outputs})):f.kind===y.NotebookCellsChangeType.OutputItem?(this._setCellOutputItems(f.index,f.outputId,f.append,f.outputItems),b.push({cell:this._cells[f.index].apiCell,outputs:this._cells[f.index].apiCell.outputs})):f.kind===y.NotebookCellsChangeType.ChangeCellLanguage?(this._changeCellLanguage(f.index,f.language),b.push({cell:this._cells[f.index].apiCell,document:this._cells[f.index].apiCell.document})):f.kind===y.NotebookCellsChangeType.ChangeCellContent?b.push({cell:this._cells[f.index].apiCell,document:this._cells[f.index].apiCell.document}):f.kind===y.NotebookCellsChangeType.ChangeCellMime?this._changeCellMime(f.index,f.mime):f.kind===y.NotebookCellsChangeType.ChangeCellMetadata?(this._changeCellMetadata(f.index,f.metadata),b.push({cell:this._cells[f.index].apiCell,metadata:this._cells[f.index].apiCell.metadata})):f.kind===y.NotebookCellsChangeType.ChangeCellInternalMetadata&&(this._changeCellInternalMetadata(f.index,f.internalMetadata),b.push({cell:this._cells[f.index].apiCell,executionSummary:this._cells[f.index].apiCell.executionSummary}));const g=new Map;for(let f=0;f<b.length;f++){const v=b[f],p=g.get(v.cell);if(p===void 0){const c=w.cellChanges.push({document:void 0,executionSummary:void 0,metadata:void 0,outputs:void 0,...v});g.set(v.cell,c-1)}else w.cellChanges[p]={...w.cellChanges[p],...v}}return Object.freeze(w),Object.freeze(w.cellChanges),Object.freeze(w.contentChanges),w}_validateIndex(k){return k=k|0,k<0?0:k>=this._cells.length?this._cells.length-1:k}_validateRange(k){let _=k.start|0,P=k.end|0;return _<0&&(_=0),P>this._cells.length&&(P=this._cells.length),k.with({start:_,end:P})}_getCells(k){k=this._validateRange(k);const _=[];for(let P=k.start;P<k.end;P++)_.push(this._cells[P]);return _}async _save(){return this._disposed?Promise.reject(new Error("Notebook has been closed")):this._proxy.$trySaveNotebook(this.uri)}_spliceNotebookCells(k,_,P){if(this._disposed)return;const w=[],b=[],g=[];if(k.reverse().forEach(f=>{const p=f[2].map(a=>{const h=new E(this,this._textDocumentsAndEditors,a);return _||b.push(E.asModelAddData(this.apiNotebook,a)),h}),c=new C(f[0],f[1],[],p),m=this._cells.splice(f[0],f[1],...p);for(const a of m)g.push(a.uri),c.deletedItems.push(a.apiCell);w.push(c)}),this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:b,removedDocuments:g}),P)for(const f of w)P.push(f.asApiEvent())}_moveCell(k,_,P){const w=this._cells.splice(k,1);this._cells.splice(_,0,...w);const b=[new C(k,1,w.map(g=>g.apiCell),[]),new C(_,0,[],w)];for(const g of b)P.push(g.asApiEvent())}_setCellOutputs(k,_){this._cells[k].setOutputs(_)}_setCellOutputItems(k,_,P,w){this._cells[k].setOutputItems(_,P,w)}_changeCellLanguage(k,_){const P=this._cells[k];P.apiCell.document.languageId!==_&&this._textDocuments.$acceptModelLanguageChanged(P.uri,_)}_changeCellMime(k,_){const P=this._cells[k];P.apiCell.mime=_}_changeCellMetadata(k,_){this._cells[k].setMetadata(_)}_changeCellInternalMetadata(k,_){this._cells[k].setInternalMetadata(_)}getCellFromApiCell(k){return this._cells.find(_=>_.apiCell===k)}getCellFromIndex(k){return this._cells[k]}getCell(k){return this._cells.find(_=>_.handle===k)}getCellIndex(k){return this._cells.indexOf(k)}}e.ExtHostNotebookDocument=I,I._handlePool=0}),define(Ie[131],ke([1,0,7,15,12]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class T{constructor(E){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=E}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(E){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:E})}replaceCellMetadata(E,I){this._throwIfFinalized(),this._collectedEdits.push({editType:8,index:E,metadata:I})}replaceCells(E,I,R){this._throwIfFinalized(),!(E===I&&R.length===0)&&this._collectedEdits.push({editType:1,index:E,count:I-E,cells:R.map(t.NotebookCellData.from)})}}class y{constructor(E,I,R,k,_,P){this.id=E,this._proxy=I,this.notebookData=R,this._selections=[],this._visibleRanges=[],this._visible=!1,this._selections=_,this._visibleRanges=k,this._viewColumn=P}get apiEditor(){if(!this._editor){const E=this;this._editor={get document(){return E.notebookData.apiNotebook},get notebook(){return E.notebookData.apiNotebook},get selection(){return E._selections[0]},set selection(I){this.selections=[I]},get selections(){return E._selections},set selections(I){if(!Array.isArray(I)||!I.every(u.NotebookRange.isNotebookRange))throw(0,D.illegalArgument)("selections");E._selections=I,E._trySetSelections(I)},get visibleRanges(){return E._visibleRanges},revealRange(I,R){E._proxy.$tryRevealRange(E.id,t.NotebookRange.from(I),R??u.NotebookEditorRevealType.Default)},get viewColumn(){return E._viewColumn},edit(I){const R=new T(this.document.version);return I(R),E._applyEdit(R.finalize())}},y.apiEditorsToExtHost.set(this._editor,this)}return this._editor}get visible(){return this._visible}_acceptVisibility(E){this._visible=E}_acceptVisibleRanges(E){this._visibleRanges=E}_acceptSelections(E){this._selections=E}_trySetSelections(E){this._proxy.$trySetSelections(this.id,E.map(t.NotebookRange.from))}_acceptViewColumn(E){this._viewColumn=E}_applyEdit(E){if(E.cellEdits.length===0)return Promise.resolve(!0);const I=[];let R=-1;for(let k=0;k<E.cellEdits.length;k++){if(R<0){I.push(E.cellEdits[k]),R++;continue}const P=I[R],w=E.cellEdits[k];if(P.editType===1&&w.editType===1&&P.index===w.index){P.cells.push(...E.cellEdits[k].cells),P.count+=E.cellEdits[k].count;continue}I.push(E.cellEdits[k]),R++}return this._proxy.$tryApplyEdits(this.id,E.documentVersionId,I)}}e.ExtHostNotebookEditor=y,y.apiEditorsToExtHost=new WeakMap}),define(Ie[224],ke([1,0,3,14,15]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditors=void 0;let T=class{constructor(C,E){this._logService=C,this._notebooksAndEditors=E,this._onDidChangeNotebookEditorSelection=new u.Emitter,this._onDidChangeNotebookEditorVisibleRanges=new u.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event}$acceptEditorPropertiesChanged(C,E){this._logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",C,E);const I=this._notebooksAndEditors.getEditorById(C);E.visibleRanges&&I._acceptVisibleRanges(E.visibleRanges.ranges.map(D.NotebookRange.to)),E.selections&&I._acceptSelections(E.selections.selections.map(D.NotebookRange.to)),E.visibleRanges&&this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:I.apiEditor,visibleRanges:I.apiEditor.visibleRanges}),E.selections&&this._onDidChangeNotebookEditorSelection.fire(Object.freeze({notebookEditor:I.apiEditor,selections:I.apiEditor.selections}))}$acceptEditorViewColumns(C){for(const E in C)this._notebooksAndEditors.getEditorById(E)._acceptViewColumn(D.ViewColumn.to(C[E]))}};T=st([He(0,t.ILogService)],T),e.ExtHostNotebookEditors=T}),define(Ie[225],ke([1,0,15,119,172,21,57,12]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class E{constructor(_){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=_}async withProgress(_,P,w){const b=this._handles++,{title:g,location:f,cancellable:v}=P,p={label:(0,D.localize)(0,null,_.displayName||_.name),id:_.identifier.value};return this._proxy.$startProgress(b,{location:u.ProgressLocation.from(f),title:g,source:p,cancellable:v},_.isUnderDevelopment?void 0:_.identifier.value).catch(C.onUnexpectedExternalError),this._withProgress(b,w,!!v)}_withProgress(_,P,w){let b;w&&(b=new T.CancellationTokenSource,this._mapHandleToCancellationSource.set(_,b));const g=v=>{this._proxy.$progressEnd(v),this._mapHandleToCancellationSource.delete(v),b&&b.dispose()};let f;try{f=P(new R(this._proxy,_),w&&b?b.token:T.CancellationToken.None)}catch(v){throw g(_),v}return f.then(v=>g(_),v=>g(_)),f}$acceptProgressCanceled(_){const P=this._mapHandleToCancellationSource.get(_);P&&(P.cancel(),this._mapHandleToCancellationSource.delete(_))}}e.ExtHostProgress=E;function I(k,_){return k.message=_.message,typeof _.increment=="number"&&(typeof k.increment=="number"?k.increment+=_.increment:k.increment=_.increment),k}class R extends t.Progress{constructor(_,P){super(w=>this.throttledReport(w));this._proxy=_,this._handle=P}throttledReport(_){this._proxy.$progressReport(this._handle,_)}}st([(0,y.throttle)(100,(k,_)=>I(k,_),()=>Object.create(null))],R.prototype,"throttledReport",null)}),define(Ie[132],ke([1,0,35,129,65,89,66,15,2]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTestItemCollection=e.TestItemRootImpl=e.TestItemImpl=e.toItemFromContext=void 0;const I=(p,c,m,a)=>{let h=c;return{enumerable:!0,configurable:!1,get(){return h},set(r){if(!m(h,r)){const o=h;h=r,p.listener?.(a(r,o))}}}},R=(p,c)=>p===c,k={range:(p,c)=>p===c?!0:!p||!c?!1:p.isEqual(c),label:R,description:R,sortText:R,busy:R,error:R,canResolveChildren:R,tags:(p,c)=>!(p.length!==c.length||p.some(m=>!c.find(a=>m.id===a.id)))},_=p=>c=>({op:4,update:p(c)}),P=(p,c)=>({range:I(p,void 0,k.range,_(m=>({range:u.Range.lift(C.Range.from(m))}))),label:I(p,c,k.label,_(m=>({label:m}))),description:I(p,void 0,k.description,_(m=>({description:m}))),sortText:I(p,void 0,k.sortText,_(m=>({sortText:m}))),canResolveChildren:I(p,!1,k.canResolveChildren,m=>({op:2,state:m})),busy:I(p,!1,k.busy,_(m=>({busy:m}))),error:I(p,void 0,k.error,_(m=>({error:C.MarkdownString.fromStrict(m)||null}))),tags:I(p,[],k.tags,(m,a)=>({op:1,new:m.map(C.TestTag.from),old:a.map(C.TestTag.from)}))}),w=p=>{const c=D.TestId.fromString(p.extId),m=new g(c.controllerId,c.localId,p.label,E.URI.revive(p.uri)||void 0);return m.range=C.Range.to(p.range||void 0),m.description=p.description||void 0,m.sortText=p.sortText||void 0,m.tags=p.tags.map(a=>C.TestTag.to({id:(0,y.denamespaceTestTag)(a).tagId})),m},b=p=>{let c;for(const m of p.tests){const a=w(m.item);(0,t.getPrivateApiFor)(a).parent=c,c=a}return c};e.toItemFromContext=b;class g{constructor(c,m,a,h){if(m.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(m)} symbol`);const r=(0,t.createPrivateApiFor)(this,c);Object.defineProperties(this,{id:{value:m,enumerable:!0,writable:!1},uri:{value:h,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return r.parent instanceof f?void 0:r.parent}},children:{value:(0,T.createTestItemChildren)(r,t.getPrivateApiFor,g),enumerable:!0,writable:!1},...P(r,a)})}}e.TestItemImpl=g;class f extends g{constructor(c,m){super(c,c,m,void 0)}}e.TestItemRootImpl=f;class v extends T.TestItemCollection{constructor(c,m){super({controllerId:c,getApiFor:t.getPrivateApiFor,getChildren:a=>a.children,root:new f(c,m),toITestItem:C.TestItem.from})}}e.ExtHostTestItemCollection=v}),define(Ie[133],ke([1,0,56,12,93,15,7]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class C{constructor(_,P,w){const b=C._Keys.nextId();_.$registerTextEditorDecorationType(P.identifier,b,T.DecorationRenderOptions.from(w)),this.value=Object.freeze({key:b,dispose(){_.$removeTextEditorDecorationType(b)}})}}e.TextEditorDecorationType=C,C._Keys=new D.IdGenerator("TextEditorDecorationType");class E{constructor(_,P){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=_,this._documentVersionId=_.version,this._undoStopBefore=P.undoStopBefore,this._undoStopAfter=P.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(_,P){this._throwIfFinalized();let w=null;if(_ instanceof y.Position)w=new y.Range(_,_);else if(_ instanceof y.Range)w=_;else throw new Error("Unrecognized location");this._pushEdit(w,P,!1)}insert(_,P){this._throwIfFinalized(),this._pushEdit(new y.Range(_,_),P,!0)}delete(_){this._throwIfFinalized();let P=null;if(_ instanceof y.Range)P=_;else throw new Error("Unrecognized location");this._pushEdit(P,null,!0)}_pushEdit(_,P,w){const b=this._document.validateRange(_);this._collectedEdits.push({range:b,text:P,forceMoveMarkers:w})}setEndOfLine(_){if(this._throwIfFinalized(),_!==y.EndOfLine.LF&&_!==y.EndOfLine.CRLF)throw(0,t.illegalArgument)("endOfLine");this._setEndOfLine=_}}e.TextEditorEdit=E;class I{constructor(_,P,w,b){this._proxy=_,this._id=P,this._accept(w),this._logService=b;const g=this;this.value={get tabSize(){return g._tabSize},set tabSize(f){g._setTabSize(f)},get insertSpaces(){return g._insertSpaces},set insertSpaces(f){g._setInsertSpaces(f)},get cursorStyle(){return g._cursorStyle},set cursorStyle(f){g._setCursorStyle(f)},get lineNumbers(){return g._lineNumbers},set lineNumbers(f){g._setLineNumbers(f)}}}_accept(_){this._tabSize=_.tabSize,this._insertSpaces=_.insertSpaces,this._cursorStyle=_.cursorStyle,this._lineNumbers=T.TextEditorLineNumbersStyle.to(_.lineNumbers)}_validateTabSize(_){if(_==="auto")return"auto";if(typeof _=="number"){const P=Math.floor(_);return P>0?P:null}if(typeof _=="string"){const P=parseInt(_,10);return isNaN(P)?null:P>0?P:null}return null}_setTabSize(_){const P=this._validateTabSize(_);if(P!==null){if(typeof P=="number"){if(this._tabSize===P)return;this._tabSize=P}this._warnOnError("setTabSize",this._proxy.$trySetOptions(this._id,{tabSize:P}))}}_validateInsertSpaces(_){return _==="auto"?"auto":_==="false"?!1:Boolean(_)}_setInsertSpaces(_){const P=this._validateInsertSpaces(_);if(typeof P=="boolean"){if(this._insertSpaces===P)return;this._insertSpaces=P}this._warnOnError("setInsertSpaces",this._proxy.$trySetOptions(this._id,{insertSpaces:P}))}_setCursorStyle(_){this._cursorStyle!==_&&(this._cursorStyle=_,this._warnOnError("setCursorStyle",this._proxy.$trySetOptions(this._id,{cursorStyle:_})))}_setLineNumbers(_){this._lineNumbers!==_&&(this._lineNumbers=_,this._warnOnError("setLineNumbers",this._proxy.$trySetOptions(this._id,{lineNumbers:T.TextEditorLineNumbersStyle.from(_)})))}assign(_){const P={};let w=!1;if(typeof _.tabSize!="undefined"){const b=this._validateTabSize(_.tabSize);b==="auto"?(w=!0,P.tabSize=b):typeof b=="number"&&this._tabSize!==b&&(this._tabSize=b,w=!0,P.tabSize=b)}if(typeof _.insertSpaces!="undefined"){const b=this._validateInsertSpaces(_.insertSpaces);b==="auto"?(w=!0,P.insertSpaces=b):this._insertSpaces!==b&&(this._insertSpaces=b,w=!0,P.insertSpaces=b)}typeof _.cursorStyle!="undefined"&&this._cursorStyle!==_.cursorStyle&&(this._cursorStyle=_.cursorStyle,w=!0,P.cursorStyle=_.cursorStyle),typeof _.lineNumbers!="undefined"&&this._lineNumbers!==_.lineNumbers&&(this._lineNumbers=_.lineNumbers,w=!0,P.lineNumbers=T.TextEditorLineNumbersStyle.from(_.lineNumbers)),w&&this._warnOnError("setOptions",this._proxy.$trySetOptions(this._id,P))}_warnOnError(_,P){P.catch(w=>{this._logService.warn(`ExtHostTextEditorOptions '${_}' failed:'`),this._logService.warn(w)})}}e.ExtHostTextEditorOptions=I;class R{constructor(_,P,w,b,g,f,v,p){this.id=_,this._proxy=P,this._logService=w,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=g,this._options=new I(this._proxy,this.id,f,w),this._visibleRanges=v,this._viewColumn=p;const c=this;this.value=Object.freeze({get document(){return b.getValue()},set document(m){throw(0,t.readonly)("document")},get selection(){return c._selections&&c._selections[0]},set selection(m){if(!(m instanceof y.Selection))throw(0,t.illegalArgument)("selection");c._selections=[m],c._trySetSelection()},get selections(){return c._selections},set selections(m){if(!Array.isArray(m)||m.some(a=>!(a instanceof y.Selection)))throw(0,t.illegalArgument)("selections");c._selections=m,c._trySetSelection()},get visibleRanges(){return c._visibleRanges},set visibleRanges(m){throw(0,t.readonly)("visibleRanges")},get options(){return c._options.value},set options(m){c._disposed||c._options.assign(m)},get viewColumn(){return c._viewColumn},set viewColumn(m){throw(0,t.readonly)("viewColumn")},edit(m,a={undoStopBefore:!0,undoStopAfter:!0}){if(c._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const h=new E(b.getValue(),a);return m(h),c._applyEdit(h)},insertSnippet(m,a,h={undoStopBefore:!0,undoStopAfter:!0}){if(c._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let r;if(!a||Array.isArray(a)&&a.length===0)r=c._selections.map(o=>T.Range.from(o));else if(a instanceof y.Position){const{lineNumber:o,column:i}=T.Position.from(a);r=[{startLineNumber:o,startColumn:i,endLineNumber:o,endColumn:i}]}else if(a instanceof y.Range)r=[T.Range.from(a)];else{r=[];for(const o of a)if(o instanceof y.Range)r.push(T.Range.from(o));else{const{lineNumber:i,column:n}=T.Position.from(o);r.push({startLineNumber:i,startColumn:n,endLineNumber:i,endColumn:n})}}return P.$tryInsertSnippet(_,b.getValue().version,m.value,r,h)},setDecorations(m,a){const h=a.length===0;h&&!c._hasDecorationsForKey.has(m.key)||(h?c._hasDecorationsForKey.delete(m.key):c._hasDecorationsForKey.add(m.key),c._runOnProxy(()=>{if(T.isDecorationOptionsArr(a))return P.$trySetDecorations(_,m.key,T.fromRangeOrRangeWithMessage(a));{const r=new Array(4*a.length);for(let o=0,i=a.length;o<i;o++){const n=a[o];r[4*o]=n.start.line+1,r[4*o+1]=n.start.character+1,r[4*o+2]=n.end.line+1,r[4*o+3]=n.end.character+1}return P.$trySetDecorationsFast(_,m.key,r)}}))},revealRange(m,a){c._runOnProxy(()=>P.$tryRevealRange(_,T.Range.from(m),a||y.TextEditorRevealType.Default))},show(m){P.$tryShowEditor(_,T.ViewColumn.from(m))},hide(){P.$tryHideEditor(_)}})}dispose(){(0,u.ok)(!this._disposed),this._disposed=!0}_acceptOptions(_){(0,u.ok)(!this._disposed),this._options._accept(_)}_acceptVisibleRanges(_){(0,u.ok)(!this._disposed),this._visibleRanges=_}_acceptViewColumn(_){(0,u.ok)(!this._disposed),this._viewColumn=_}_acceptSelections(_){(0,u.ok)(!this._disposed),this._selections=_}async _trySetSelection(){const _=this._selections.map(T.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,_)),this.value}_applyEdit(_){const P=_.finalize();if(P.edits.length===0&&!P.setEndOfLine)return Promise.resolve(!0);const w=P.edits.map(g=>g.range);w.sort((g,f)=>g.end.line===f.end.line?g.end.character===f.end.character?g.start.line===f.start.line?g.start.character-f.start.character:g.start.line-f.start.line:g.end.character-f.end.character:g.end.line-f.end.line);for(let g=0,f=w.length-1;g<f;g++){const v=w[g].end;if(w[g+1].start.isBefore(v))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const b=P.edits.map(g=>({range:T.Range.from(g.range),text:g.text,forceMoveMarkers:g.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,P.documentVersionId,b,{setEndOfLine:typeof P.setEndOfLine=="number"?T.EndOfLine.from(P.setEndOfLine):void 0,undoStopBefore:P.undoStopBefore,undoStopAfter:P.undoStopAfter})}_runOnProxy(_){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):_().then(()=>this,P=>(P instanceof Error&&P.name==="DISPOSED"||this._logService.warn(P),null))}}e.ExtHostTextEditor=R}),define(Ie[226],ke([1,0,4,191]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWorkbenchEnvironmentService=void 0,e.IWorkbenchEnvironmentService=(0,u.refineServiceDecorator)(t.IEnvironmentService)}),define(Ie[227],ke([1,0,28,3,9]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class T{constructor(k){this.removedDueToLooping=k}}e.DeltaExtensionsResult=T;class y{constructor(k){this._onDidChange=new t.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=k,this._initialize()}_initialize(){this._extensionDescriptions.sort(E),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const k of this._extensionDescriptions){if(this._extensionsMap.has(u.ExtensionIdentifier.toKey(k.identifier))){console.error("Extension `"+k.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(u.ExtensionIdentifier.toKey(k.identifier),k),this._extensionsArr.push(k),Array.isArray(k.activationEvents))for(let _ of k.activationEvents)_==="onUri"&&(_=`onUri:${u.ExtensionIdentifier.toKey(k.identifier)}`),this._activationMap.has(_)||this._activationMap.set(_,[]),this._activationMap.get(_).push(k)}}set(k){this._extensionDescriptions=k,this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(k,_){this._extensionDescriptions=I(this._extensionDescriptions,_),this._extensionDescriptions=this._extensionDescriptions.concat(k);const P=y._findLoopingExtensions(this._extensionDescriptions);return this._extensionDescriptions=I(this._extensionDescriptions,P.map(w=>w.identifier)),this._initialize(),this._onDidChange.fire(void 0),new T(P)}static _findLoopingExtensions(k){const _=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(f){this._nodesSet.has(f)||(this._nodesSet.add(f),this._nodesArr.push(f))}addArc(f,v){this.addNode(f),this.addNode(v),this._arcs.has(f)?this._arcs.get(f).push(v):this._arcs.set(f,[v])}getArcs(f){return this._arcs.has(f)?this._arcs.get(f):[]}hasOnlyGoodArcs(f,v){const p=_.getArcs(f);for(let c=0;c<p.length;c++)if(!v.has(p[c]))return!1;return!0}getNodes(){return this._nodesArr}},P=new Map;for(const f of k){const v=u.ExtensionIdentifier.toKey(f.identifier);if(P.set(v,f),f.extensionDependencies)for(const p of f.extensionDependencies){const c=u.ExtensionIdentifier.toKey(p);_.addArc(v,c)}}const w=new Set;_.getNodes().filter(f=>_.getArcs(f).length===0).forEach(f=>w.add(f));const b=_.getNodes().filter(f=>!w.has(f));let g;do{g=!1;for(let f=0;f<b.length;f++){const v=b[f];_.hasOnlyGoodArcs(v,w)&&(b.splice(f,1),f--,w.add(v),g=!0)}}while(g);return b.map(f=>P.get(f))}containsActivationEvent(k){return this._activationMap.has(k)}containsExtension(k){return this._extensionsMap.has(u.ExtensionIdentifier.toKey(k))}getExtensionDescriptionsForActivationEvent(k){const _=this._activationMap.get(k);return _?_.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(k){const _=this._extensionsMap.get(u.ExtensionIdentifier.toKey(k));return _||void 0}getExtensionDescriptionByUUID(k){for(const _ of this._extensionsArr)if(_.uuid===k)return _}getExtensionDescriptionByIdOrUUID(k,_){return this.getExtensionDescription(k)??(_?this.getExtensionDescriptionByUUID(_):void 0)}}e.ExtensionDescriptionRegistry=y;var C;(function(R){R[R.Builtin=0]="Builtin",R[R.User=1]="User",R[R.Dev=2]="Dev"})(C||(C={}));function E(R,k){const _=R.isBuiltin?0:R.isUnderDevelopment?2:1,P=k.isBuiltin?0:k.isUnderDevelopment?2:1;if(_!==P)return _-P;const w=D.posix.basename(R.extensionLocation.path),b=D.posix.basename(k.extensionLocation.path);return w<b?-1:w>b?1:0}function I(R,k){const _=new Set;return k.forEach(P=>_.add(u.ExtensionIdentifier.toKey(P))),R.filter(P=>!_.has(u.ExtensionIdentifier.toKey(P.identifier)))}}),define(Ie[228],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readExtHostConnection=e.writeExtHostConnection=e.MessagePortExtHostConnection=e.SocketExtHostConnection=e.IPCExtHostConnection=e.ExtHostConnectionType=void 0;var u;(function(R){R[R.IPC=1]="IPC",R[R.Socket=2]="Socket",R[R.MessagePort=3]="MessagePort"})(u=e.ExtHostConnectionType||(e.ExtHostConnectionType={}));class t{constructor(k){this.pipeName=k,this.type=1}serialize(k){k[t.ENV_KEY]=this.pipeName}}e.IPCExtHostConnection=t,t.ENV_KEY="VSCODE_EXTHOST_IPC_HOOK";class D{constructor(){this.type=2}serialize(k){k[D.ENV_KEY]="1"}}e.SocketExtHostConnection=D,D.ENV_KEY="VSCODE_EXTHOST_WILL_SEND_SOCKET";class T{constructor(){this.type=3}serialize(k){k[T.ENV_KEY]="1"}}e.MessagePortExtHostConnection=T,T.ENV_KEY="VSCODE_WILL_SEND_MESSAGE_PORT";function y(R){delete R[t.ENV_KEY],delete R[D.ENV_KEY],delete R[T.ENV_KEY]}function C(R,k){y(k),R.serialize(k)}e.writeExtHostConnection=C;function E(R){if(R[t.ENV_KEY])return I(R,new t(R[t.ENV_KEY]));if(R[D.ENV_KEY])return I(R,new D);if(R[T.ENV_KEY])return I(R,new T);throw new Error("No connection information defined in environment!")}e.readExtHostConnection=E;function I(R,k){return y(R),k}}),define(Ie[134],ke([1,0,23]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeLogMarkers=e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=e.UIKind=void 0;var t;(function(I){I[I.Desktop=1]="Desktop",I[I.Web=2]="Web"})(t=e.UIKind||(e.UIKind={}));var D;(function(I){I[I.VersionMismatch=55]="VersionMismatch",I[I.UnexpectedError=81]="UnexpectedError"})(D=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var T;(function(I){I[I.Initialized=0]="Initialized",I[I.Ready=1]="Ready",I[I.Terminate=2]="Terminate"})(T=e.MessageType||(e.MessageType={}));function y(I){const R=u.VSBuffer.alloc(1);switch(I){case 0:R.writeUInt8(1,0);break;case 1:R.writeUInt8(2,0);break;case 2:R.writeUInt8(3,0);break}return R}e.createMessageOfType=y;function C(I,R){if(I.byteLength!==1)return!1;switch(I.readUInt8(0)){case 1:return R===0;case 2:return R===1;case 3:return R===2;default:return!1}}e.isMessageOfType=C;var E;(function(I){I.Start="START_NATIVE_LOG",I.End="END_NATIVE_LOG"})(E=e.NativeLogMarkers||(e.NativeLogMarkers={}))}),define(Ie[27],ke([1,0,3,2,4,28,200]),function(Q,e,u,t,D,T,y){"use strict";var C;Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.checkProposedApiEnabled=e.isProposedApiEnabled=e.extensionIdentifiersArrayToSet=e.ExtensionIdentifierSet=e.ExtensionHostExtensions=e.extensionHostKindToString=e.ExtensionHostKind=e.MissingExtensionDependency=e.RemoteRunningLocation=e.LocalWebWorkerRunningLocation=e.LocalProcessRunningLocation=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new T.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",engines:{vscode:""},extensionLocation:t.URI.parse("void:location"),isBuiltin:!1,targetPlatform:"undefined",isUserBuiltin:!1,isUnderDevelopment:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=(0,D.createDecorator)("extensionService");class E{constructor(n){this.affinity=n,this.kind=1}equals(n){return this.kind===n.kind&&this.affinity===n.affinity}asString(){return this.affinity===0?"LocalProcess":`LocalProcess${this.affinity}`}}e.LocalProcessRunningLocation=E;class I{constructor(){this.kind=2,this.affinity=0}equals(n){return this.kind===n.kind}asString(){return"LocalWebWorker"}}e.LocalWebWorkerRunningLocation=I;class R{constructor(){this.kind=3,this.affinity=0}equals(n){return this.kind===n.kind}asString(){return"Remote"}}e.RemoteRunningLocation=R;class k{constructor(n){this.dependency=n}}e.MissingExtensionDependency=k;var _;(function(i){i[i.LocalProcess=1]="LocalProcess",i[i.LocalWebWorker=2]="LocalWebWorker",i[i.Remote=3]="Remote"})(_=e.ExtensionHostKind||(e.ExtensionHostKind={}));function P(i){if(i===null)return"None";switch(i){case 1:return"LocalProcess";case 2:return"LocalWebWorker";case 3:return"Remote"}}e.extensionHostKindToString=P;class w{constructor(){this._allExtensions=[],this._myExtensions=[]}toDelta(){return{toRemove:[],toAdd:this._allExtensions,myToRemove:[],myToAdd:this._myExtensions}}set(n,s){const l=[],d=[],S=[],L=[],F=f(this._allExtensions),N=f(n),A=(X,M)=>X.extensionLocation.toString()===M.extensionLocation.toString()||X.isBuiltin===M.isBuiltin||X.isUserBuiltin===M.isUserBuiltin||X.isUnderDevelopment===M.isUnderDevelopment;for(const X of this._allExtensions){const M=N.get(T.ExtensionIdentifier.toKey(X.identifier));if(!M){l.push(X.identifier),F.delete(T.ExtensionIdentifier.toKey(X.identifier));continue}if(!A(X,M)){l.push(X.identifier),F.delete(T.ExtensionIdentifier.toKey(X.identifier));continue}}for(const X of n){const M=F.get(T.ExtensionIdentifier.toKey(X.identifier));if(!M){d.push(X);continue}if(!A(M,X)){l.push(M.identifier),F.delete(T.ExtensionIdentifier.toKey(M.identifier));continue}}const $=g(this._myExtensions),B=g(s);for(const X of this._myExtensions)B.has(T.ExtensionIdentifier.toKey(X))||S.push(X);for(const X of s)$.has(T.ExtensionIdentifier.toKey(X))||L.push(X);const z={toRemove:l,toAdd:d,myToRemove:S,myToAdd:L};return this.delta(z),z}delta(n){const{toRemove:s,toAdd:l,myToRemove:d,myToAdd:S}=n,L=g(s),F=g(d);for(let N=0;N<this._allExtensions.length;N++)L.has(T.ExtensionIdentifier.toKey(this._allExtensions[N].identifier))&&(this._allExtensions.splice(N,1),N--);for(let N=0;N<this._myExtensions.length;N++)F.has(T.ExtensionIdentifier.toKey(this._myExtensions[N]))&&(this._myExtensions.splice(N,1),N--);for(const N of l)this._allExtensions.push(N);for(const N of S)this._myExtensions.push(N)}containsExtension(n){for(const s of this._myExtensions)if(T.ExtensionIdentifier.equals(s,n))return!0;return!1}}e.ExtensionHostExtensions=w;class b{constructor(n){if(this[C]="ExtensionIdentifierSet",this._map=new Map,this._toKey=T.ExtensionIdentifier.toKey,n)for(const s of n)this.add(s)}get size(){return this._map.size}add(n){return this._map.set(this._toKey(n),n),this}clear(){this._map.clear()}delete(n){return this._map.delete(this._toKey(n))}has(n){return this._map.has(this._toKey(n))}forEach(n,s){this._map.forEach(l=>n.call(s,l,l,this))}*entries(){for(const[n,s]of this._map)yield[s,s]}keys(){return this._map.values()}values(){return this._map.values()}[(C=Symbol.toStringTag,Symbol.iterator)](){return this._map.values()}}e.ExtensionIdentifierSet=b;function g(i){const n=new Set;for(const s of i)n.add(T.ExtensionIdentifier.toKey(s));return n}e.extensionIdentifiersArrayToSet=g;function f(i){const n=new Map;for(const s of i)n.set(T.ExtensionIdentifier.toKey(s.identifier),s);return n}function v(i,n){return i.enabledApiProposals?i.enabledApiProposals.includes(n):!1}e.isProposedApiEnabled=v;function p(i,n){if(!v(i,n))throw new Error(`Extension '${i.identifier.value}' CANNOT use API proposal: ${n}.
Its package.json#enabledApiProposals-property declares: ${i.enabledApiProposals?.join(", ")??"[]"} but NOT ${n}.
 The missing proposal MUST be added and you must start in extension development mode or use the following command line switch: --enable-proposed-api ${i.identifier.value}`)}e.checkProposedApiEnabled=p;class c{constructor(n,s,l,d){this.codeLoadingTime=n,this.activateCallTime=s,this.activateResolvedTime=l,this.activationReason=d}}e.ActivationTimes=c;class m{constructor(n,s){this.description=n,this.value=s}}e.ExtensionPointContribution=m,e.ExtensionHostLogFileName="exthost";var a;(function(i){i[i.Normal=0]="Normal",i[i.Immediate=1]="Immediate"})(a=e.ActivationKind||(e.ActivationKind={}));function h(i){return{type:i.isBuiltin?0:1,isBuiltin:i.isBuiltin||i.isUserBuiltin,identifier:{id:(0,y.getGalleryExtensionId)(i.publisher,i.name),uuid:i.uuid},manifest:i,location:i.extensionLocation,targetPlatform:i.targetPlatform,validations:[],isValid:!0}}e.toExtension=h;function r(i,n){return{identifier:new T.ExtensionIdentifier((0,y.getExtensionId)(i.manifest.publisher,i.manifest.name)),isBuiltin:i.type===0,isUserBuiltin:i.type===1&&i.isBuiltin,isUnderDevelopment:!!n,extensionLocation:i.location,...i.manifest,uuid:i.identifier.uuid,targetPlatform:i.targetPlatform}}e.toExtensionDescription=r;class o{constructor(){this.onDidRegisterExtensions=u.Event.None,this.onDidChangeExtensionsStatus=u.Event.None,this.onDidChangeExtensions=u.Event.None,this.onWillActivateByEvent=u.Event.None,this.onDidChangeResponsiveChange=u.Event.None}activateByEvent(n){return Promise.resolve(void 0)}activationEventIsDone(n){return!1}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(n){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(n,s){return Promise.resolve(0)}getInspectPorts(n,s){return Promise.resolve([])}stopExtensionHosts(){}async restartExtensionHost(){}async startExtensionHosts(){}async setRemoteEnvironment(n){}canAddExtension(){return!1}canRemoveExtension(){return!1}_activateById(n,s){return Promise.resolve()}}e.NullExtensionService=o}),define(Ie[229],ke([1,0,12,28,27,14,18]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;class C{constructor(g,f,v,p){this.startup=g,this.codeLoadingTime=f,this.activateCallTime=v,this.activateResolvedTime=p}}e.ExtensionActivationTimes=C,C.NONE=new C(!1,-1,-1,-1);class E{constructor(g){this._startup=g,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(g,f){return g===-1||f===-1?-1:f-g}build(){return new C(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=E;class I{constructor(g,f,v,p,c,m){this.activationFailed=g,this.activationFailedError=f,this.activationTimes=v,this.module=p,this.exports=c,this.subscriptions=m}}e.ActivatedExtension=I;class R extends I{constructor(g){super(!1,null,g,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=R;class k extends I{constructor(){super(!1,null,C.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=k;class _ extends I{constructor(g){super(!0,g,C.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=_;let P=class{constructor(g,f,v,p,c){this._logService=c,this._registry=g,this._resolvedExtensionsSet=new Set,f.forEach(m=>this._resolvedExtensionsSet.add(t.ExtensionIdentifier.toKey(m))),this._externalExtensionsMap=new Map,v.forEach(m=>this._externalExtensionsMap.set(t.ExtensionIdentifier.toKey(m),m)),this._host=p,this._operations=new Map,this._alreadyActivatedEvents=Object.create(null)}dispose(){for(const[g,f]of this._operations)f.dispose()}isActivated(g){const f=this._operations.get(t.ExtensionIdentifier.toKey(g));return Boolean(f&&f.value)}getActivatedExtension(g){const f=this._operations.get(t.ExtensionIdentifier.toKey(g));if(!f||!f.value)throw new Error(`Extension '${g.value}' is not known or not activated`);return f.value}async activateByEvent(g,f){if(this._alreadyActivatedEvents[g])return;const v=this._registry.getExtensionDescriptionsForActivationEvent(g);await this._activateExtensions(v.map(p=>({id:p.identifier,reason:{startup:f,extensionId:p.identifier,activationEvent:g}}))),this._alreadyActivatedEvents[g]=!0}activateById(g,f){const v=this._registry.getExtensionDescription(g);if(!v)throw new Error(`Extension '${g}' is not known`);return this._activateExtensions([{id:v.identifier,reason:f}])}async _activateExtensions(g){const f=g.filter(v=>!this.isActivated(v.id)).map(v=>this._handleActivationRequest(v));await Promise.all(f.map(v=>v.wait()))}_handleActivationRequest(g){if(this._operations.has(t.ExtensionIdentifier.toKey(g.id)))return this._operations.get(t.ExtensionIdentifier.toKey(g.id));if(this._externalExtensionsMap.has(t.ExtensionIdentifier.toKey(g.id)))return this._createAndSaveOperation(g,null,[],null);const f=this._registry.getExtensionDescription(g.id);if(!f){const c=new Error(`Cannot activate unknown extension '${g.id.value}'`),m=this._createAndSaveOperation(g,null,[],new _(c));return this._host.onExtensionActivationError(g.id,c,new D.MissingExtensionDependency(g.id.value)),m}const v=[],p=typeof f.extensionDependencies=="undefined"?[]:f.extensionDependencies;for(const c of p){if(this._resolvedExtensionsSet.has(t.ExtensionIdentifier.toKey(c)))continue;const m=this._operations.get(t.ExtensionIdentifier.toKey(c));if(m){v.push(m);continue}if(this._externalExtensionsMap.has(t.ExtensionIdentifier.toKey(c))){v.push(this._handleActivationRequest({id:this._externalExtensionsMap.get(t.ExtensionIdentifier.toKey(c)),reason:g.reason}));continue}const a=this._registry.getExtensionDescription(c);if(a){if(!a.main&&!a.browser)continue;v.push(this._handleActivationRequest({id:a.identifier,reason:g.reason}));continue}const h=f.displayName||f.identifier.value,r=new Error(`Cannot activate the '${h}' extension because it depends on unknown extension '${c}'`),o=this._createAndSaveOperation(g,f.displayName,[],new _(r));return this._host.onExtensionActivationError(f.identifier,r,new D.MissingExtensionDependency(c)),o}return this._createAndSaveOperation(g,f.displayName,v,null)}_createAndSaveOperation(g,f,v,p){const c=new w(g.id,f,g.reason,v,p,this._host,this._logService);return this._operations.set(t.ExtensionIdentifier.toKey(g.id),c),c}};P=st([He(4,T.ILogService)],P),e.ExtensionsActivator=P;let w=class{constructor(g,f,v,p,c,m,a){this._id=g,this._displayName=f,this._reason=v,this._deps=p,this._value=c,this._host=m,this._logService=a,this._barrier=new y.Barrier,this._isDisposed=!1,this._initialize()}get value(){return this._value}get friendlyName(){return this._displayName||this._id.value}dispose(){this._isDisposed=!0}wait(){return this._barrier.wait()}async _initialize(){await this._waitForDepsThenActivate(),this._barrier.open()}async _waitForDepsThenActivate(){if(!this._value){for(;this._deps.length>0;){for(let g=0;g<this._deps.length;g++){const f=this._deps[g];if(f.value&&!f.value.activationFailed){this._deps.splice(g,1),g--;continue}if(f.value&&f.value.activationFailed){const v=new Error(`Cannot activate the '${this.friendlyName}' extension because its dependency '${f.friendlyName}' failed to activate`);v.detail=f.value.activationFailedError,this._value=new _(v),this._host.onExtensionActivationError(this._id,v,null);return}}this._deps.length>0&&await Promise.race(this._deps.map(g=>g.wait()))}await this._activate()}}async _activate(){try{this._value=await this._host.actualActivateExtension(this._id,this._reason)}catch(g){const f=new Error;if(g&&g.name&&(f.name=g.name),g&&g.message?f.message=`Activating extension '${this._id.value}' failed: ${g.message}.`:f.message=`Activating extension '${this._id.value}' failed: ${g}.`,g&&g.stack&&(f.stack=g.stack),this._value=new _(f),this._isDisposed&&u.isCancellationError(g))return;this._host.onExtensionActivationError(this._id,f,null),this._logService.error(`Activating extension ${this._id.value} failed due to an error:`),this._logService.error(g)}}};w=st([He(6,T.ILogService)],w)}),define(Ie[230],ke([1,0,14,26,27]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let T=class extends u.LogService{constructor(C,E){super(C.createLogger(E.logFile,{name:D.ExtensionHostLogFileName}))}};T=st([He(0,u.ILoggerService),He(1,t.IExtHostInitDataService)],T),e.ExtHostLogService=T}),define(Ie[231],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.allApiProposals=void 0,e.allApiProposals=Object.freeze({authSession:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.authSession.d.ts",badges:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.badges.d.ts",commentsResolvedState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.commentsResolvedState.d.ts",contribEditSessions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribEditSessions.d.ts",contribLabelFormatterWorkspaceTooltip:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribLabelFormatterWorkspaceTooltip.d.ts",contribMenuBarHome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMenuBarHome.d.ts",contribMergeEditorToolbar:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMergeEditorToolbar.d.ts",contribRemoteHelp:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribRemoteHelp.d.ts",contribShareMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribShareMenu.d.ts",contribViewsRemote:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsRemote.d.ts",contribViewsWelcome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsWelcome.d.ts",customEditorMove:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.customEditorMove.d.ts",diffCommand:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.diffCommand.d.ts",documentFiltersExclusive:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentFiltersExclusive.d.ts",documentPaste:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentPaste.d.ts",editorInsets:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editorInsets.d.ts",extensionRuntime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionRuntime.d.ts",extensionsAny:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionsAny.d.ts",externalUriOpener:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.externalUriOpener.d.ts",fileSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fileSearchProvider.d.ts",findTextInFiles:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.findTextInFiles.d.ts",fsChunks:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fsChunks.d.ts",idToken:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.idToken.d.ts",inlineCompletionsAdditions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.inlineCompletionsAdditions.d.ts",inlineCompletionsNew:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.inlineCompletionsNew.d.ts",ipc:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.ipc.d.ts",notebookCellExecutionState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookCellExecutionState.d.ts",notebookContentProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookContentProvider.d.ts",notebookControllerKind:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookControllerKind.d.ts",notebookDebugOptions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookDebugOptions.d.ts",notebookDeprecated:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookDeprecated.d.ts",notebookEditor:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookEditor.d.ts",notebookEditorEdit:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookEditorEdit.d.ts",notebookKernelSource:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookKernelSource.d.ts",notebookLiveShare:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookLiveShare.d.ts",notebookMessaging:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMessaging.d.ts",notebookMime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMime.d.ts",notebookWorkspaceEdit:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookWorkspaceEdit.d.ts",portsAttributes:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.portsAttributes.d.ts",quickPickSortByLabel:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickPickSortByLabel.d.ts",resolvers:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.resolvers.d.ts",scmActionButton:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmActionButton.d.ts",scmSelectedProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmSelectedProvider.d.ts",scmValidation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmValidation.d.ts",snippetWorkspaceEdit:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.snippetWorkspaceEdit.d.ts",taskPresentationGroup:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.taskPresentationGroup.d.ts",telemetry:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.telemetry.d.ts",terminalDataWriteEvent:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDataWriteEvent.d.ts",terminalDimensions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDimensions.d.ts",terminalNameChangeEvent:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalNameChangeEvent.d.ts",testCoverage:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testCoverage.d.ts",testObserver:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testObserver.d.ts",textEditorDrop:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.textEditorDrop.d.ts",textSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.textSearchProvider.d.ts",timeline:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.timeline.d.ts",tokenInformation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tokenInformation.d.ts",treeViewReveal:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.treeViewReveal.d.ts",workspaceTrust:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.workspaceTrust.d.ts"})}),define(Ie[232],ke([1,0,186,12,41,84,120,44,28,231,198]),function(Q,e,u,t,D,T,y,C,E,I,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsRegistry=e.ExtensionsRegistryImpl=e.schema=e.ExtensionPoint=e.ExtensionPointUserDelta=e.ExtensionMessageCollector=void 0;const k=C.Registry.as(y.Extensions.JSONContribution);class _{constructor(c,m,a){this._messageHandler=c,this._extension=m,this._extensionPointId=a}_msg(c,m){this._messageHandler({type:c,message:m,extensionId:this._extension.identifier,extensionPointId:this._extensionPointId})}error(c){this._msg(D.default.Error,c)}warn(c){this._msg(D.default.Warning,c)}info(c){this._msg(D.default.Info,c)}}e.ExtensionMessageCollector=_;class P{constructor(c,m){this.added=c,this.removed=m}static _toSet(c){const m=new Set;for(let a=0,h=c.length;a<h;a++)m.add(E.ExtensionIdentifier.toKey(c[a].description.identifier));return m}static compute(c,m){if(!c||!c.length)return new P(m,[]);if(!m||!m.length)return new P([],c);const a=this._toSet(c),h=this._toSet(m),r=m.filter(i=>!a.has(E.ExtensionIdentifier.toKey(i.description.identifier))),o=c.filter(i=>!h.has(E.ExtensionIdentifier.toKey(i.description.identifier)));return new P(r,o)}}e.ExtensionPointUserDelta=P;class w{constructor(c,m){this.name=c,this.defaultExtensionKind=m,this._handler=null,this._users=null,this._delta=null}setHandler(c){if(this._handler!==null)throw new Error("Handler already set!");this._handler=c,this._handle()}acceptUsers(c){this._delta=P.compute(this._users,c),this._users=c,this._handle()}_handle(){if(!(this._handler===null||this._users===null||this._delta===null))try{this._handler(this._users,this._delta)}catch(c){(0,t.onUnexpectedError)(c)}}}e.ExtensionPoint=w;const b={type:"string",enum:["ui","workspace"],enumDescriptions:[u.localize(0,null),u.localize(1,null)]},g="vscode://schemas/vscode-extensions";e.schema={properties:{engines:{type:"object",description:u.localize(2,null),properties:{vscode:{type:"string",description:u.localize(3,null),default:"^1.22.0"}}},publisher:{description:u.localize(4,null),type:"string"},displayName:{description:u.localize(5,null),type:"string"},categories:{description:u.localize(6,null),type:"array",uniqueItems:!0,items:{oneOf:[{type:"string",enum:E.EXTENSION_CATEGORIES},{type:"string",const:"Languages",deprecationMessage:u.localize(7,null)}]}},galleryBanner:{type:"object",description:u.localize(8,null),properties:{color:{description:u.localize(9,null),type:"string"},theme:{description:u.localize(10,null),type:"string",enum:["dark","light"]}}},contributes:{description:u.localize(11,null),type:"object",properties:{},default:{}},preview:{type:"boolean",description:u.localize(12,null)},enableProposedApi:{type:"boolean",deprecationMessage:u.localize(13,null)},enabledApiProposals:{markdownDescription:u.localize(14,null),type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(I.allApiProposals),markdownEnumDescriptions:Object.values(I.allApiProposals)}},activationEvents:{description:u.localize(15,null),type:"array",items:{type:"string",defaultSnippets:[{label:"onWebviewPanel",description:u.localize(16,null),body:"onWebviewPanel:viewType"},{label:"onLanguage",description:u.localize(17,null),body:"onLanguage:${1:languageId}"},{label:"onCommand",description:u.localize(18,null),body:"onCommand:${2:commandId}"},{label:"onDebug",description:u.localize(19,null),body:"onDebug"},{label:"onDebugInitialConfigurations",description:u.localize(20,null),body:"onDebugInitialConfigurations"},{label:"onDebugDynamicConfigurations",description:u.localize(21,null),body:"onDebugDynamicConfigurations"},{label:"onDebugResolve",description:u.localize(22,null),body:"onDebugResolve:${6:type}"},{label:"onDebugAdapterProtocolTracker",description:u.localize(23,null),body:"onDebugAdapterProtocolTracker:${6:type}"},{label:"workspaceContains",description:u.localize(24,null),body:"workspaceContains:${4:filePattern}"},{label:"onStartupFinished",description:u.localize(25,null),body:"onStartupFinished"},{label:"onTaskType",description:u.localize(26,null),body:"onTaskType:${1:taskType}"},{label:"onFileSystem",description:u.localize(27,null),body:"onFileSystem:${1:scheme}"},{label:"onSearch",description:u.localize(28,null),body:"onSearch:${7:scheme}"},{label:"onView",body:"onView:${5:viewId}",description:u.localize(29,null)},{label:"onIdentity",body:"onIdentity:${8:identity}",description:u.localize(30,null)},{label:"onUri",body:"onUri",description:u.localize(31,null)},{label:"onOpenExternalUri",body:"onOpenExternalUri",description:u.localize(32,null)},{label:"onCustomEditor",body:"onCustomEditor:${9:viewType}",description:u.localize(33,null)},{label:"onNotebook",body:"onNotebook:${1:type}",description:u.localize(34,null)},{label:"onAuthenticationRequest",body:"onAuthenticationRequest:${11:authenticationProviderId}",description:u.localize(35,null)},{label:"onRenderer",description:u.localize(36,null),body:"onRenderer:${11:rendererId}"},{label:"onTerminalProfile",body:"onTerminalProfile:${1:terminalId}",description:u.localize(37,null)},{label:"onWalkthrough",body:"onWalkthrough:${1:walkthroughID}",description:u.localize(38,null)},{label:"*",description:u.localize(39,null),body:"*"}]}},badges:{type:"array",description:u.localize(40,null),items:{type:"object",required:["url","href","description"],properties:{url:{type:"string",description:u.localize(41,null)},href:{type:"string",description:u.localize(42,null)},description:{type:"string",description:u.localize(43,null)}}}},markdown:{type:"string",description:u.localize(44,null),enum:["github","standard"],default:"github"},qna:{default:"marketplace",description:u.localize(45,null),anyOf:[{type:["string","boolean"],enum:["marketplace",!1]},{type:"string"}]},extensionDependencies:{description:u.localize(46,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:T.EXTENSION_IDENTIFIER_PATTERN}},extensionPack:{description:u.localize(47,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:T.EXTENSION_IDENTIFIER_PATTERN}},extensionKind:{description:u.localize(48,null),type:"array",items:b,default:["workspace"],defaultSnippets:[{body:["ui"],description:u.localize(49,null)},{body:["workspace"],description:u.localize(50,null)},{body:["ui","workspace"],description:u.localize(51,null)},{body:["workspace","ui"],description:u.localize(52,null)},{body:[],description:u.localize(53,null)}]},capabilities:{description:u.localize(54,null),type:"object",properties:{virtualWorkspaces:{description:u.localize(55,null),type:["boolean","object"],defaultSnippets:[{label:"limited",body:{supported:"${1:limited}",description:"${2}"}},{label:"false",body:{supported:!1,description:"${2}"}}],default:(!0).valueOf,properties:{supported:{markdownDescription:u.localize(56,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[u.localize(57,null),u.localize(58,null),u.localize(59,null)]},description:{type:"string",markdownDescription:u.localize(60,null)}}},untrustedWorkspaces:{description:u.localize(61,null),type:"object",required:["supported"],defaultSnippets:[{body:{supported:"${1:limited}",description:"${2}"}}],properties:{supported:{markdownDescription:u.localize(62,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[u.localize(63,null),u.localize(64,null),u.localize(65,null)]},restrictedConfigurations:{description:u.localize(66,null),type:"array",items:{type:"string"}},description:{type:"string",markdownDescription:u.localize(67,null)}}}}},sponsor:{description:u.localize(68,null),type:"object",defaultSnippets:[{body:{url:"${1:https:}"}}],properties:{url:{description:u.localize(69,null),type:"string"}}},scripts:{type:"object",properties:{"vscode:prepublish":{description:u.localize(70,null),type:"string"},"vscode:uninstall":{description:u.localize(71,null),type:"string"}}},icon:{type:"string",description:u.localize(72,null)}}};class f{constructor(){this._extensionPoints=new Map}registerExtensionPoint(c){if(this._extensionPoints.has(c.extensionPoint))throw new Error("Duplicate extension point: "+c.extensionPoint);const m=new w(c.extensionPoint,c.defaultExtensionKind);return this._extensionPoints.set(c.extensionPoint,m),e.schema.properties.contributes.properties[c.extensionPoint]=c.jsonSchema,k.registerSchema(g,e.schema),m}getExtensionPoints(){return Array.from(this._extensionPoints.values())}}e.ExtensionsRegistryImpl=f;const v={ExtensionsRegistry:"ExtensionsRegistry"};C.Registry.add(v.ExtensionsRegistry,new f),e.ExtensionsRegistry=C.Registry.as(v.ExtensionsRegistry),k.registerSchema(g,e.schema),k.registerSchema(R.productSchemaId,{properties:{extensionEnabledApiProposals:{description:u.localize(73,null),type:"object",properties:{},additionalProperties:{anyOf:[{type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(I.allApiProposals),markdownEnumDescriptions:Object.values(I.allApiProposals)}}]}}}})}),define(Ie[233],ke([1,0,183,10,24,232,51,3]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TaskDefinitionRegistry=e.TaskDefinitionRegistryImpl=void 0;const E={type:"object",additionalProperties:!1,properties:{type:{type:"string",description:u.localize(0,null)},required:{type:"array",items:{type:"string"}},properties:{type:"object",description:u.localize(1,null),additionalProperties:{$ref:"http://json-schema.org/draft-07/schema#"}},when:{type:"string",markdownDescription:u.localize(2,null),default:""}}};var I;(function(_){function P(w,b,g){if(!w)return;const f=t.isString(w.type)?w.type:void 0;if(!f||f.length===0){g.error(u.localize(3,null));return}const v=[];if(Array.isArray(w.required))for(const p of w.required)t.isString(p)&&v.push(p);return{extensionId:b.value,taskType:f,required:v,properties:w.properties?D.deepClone(w.properties):{},when:w.when?y.ContextKeyExpr.deserialize(w.when):void 0}}_.from=P})(I||(I={}));const R=T.ExtensionsRegistry.registerExtensionPoint({extensionPoint:"taskDefinitions",jsonSchema:{description:u.localize(4,null),type:"array",items:E}});class k{constructor(){this._onDefinitionsChanged=new C.Emitter,this.onDefinitionsChanged=this._onDefinitionsChanged.event,this.taskTypes=Object.create(null),this.readyPromise=new Promise((P,w)=>{R.setHandler((b,g)=>{this._schema=void 0;try{for(const f of g.removed){const v=f.value;for(const p of v)this.taskTypes&&p.type&&this.taskTypes[p.type]&&delete this.taskTypes[p.type]}for(const f of g.added){const v=f.value;for(const p of v){const c=I.from(p,f.description.identifier,f.collector);c&&(this.taskTypes[c.taskType]=c)}}(g.removed.length>0||g.added.length>0)&&this._onDefinitionsChanged.fire()}catch{}P(void 0)})})}onReady(){return this.readyPromise}get(P){return this.taskTypes[P]}all(){return Object.keys(this.taskTypes).map(P=>this.taskTypes[P])}getJsonSchema(){if(this._schema===void 0){const P=[];for(const w of this.all()){const b={type:"object",additionalProperties:!1};w.required.length>0&&(b.required=w.required.slice(0)),w.properties!==void 0?b.properties=D.deepClone(w.properties):b.properties=Object.create(null),b.properties.type={type:"string",enum:[w.taskType]},P.push(b)}this._schema={oneOf:P}}return this._schema}}e.TaskDefinitionRegistryImpl=k,e.TaskDefinitionRegistry=new k}),define(Ie[234],ke([1,0,184,10,22,24,51,233]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TaskDefinition=e.TasksSchemaProperties=e.TaskSettingId=e.KeyedTaskIdentifier=e.TaskEvent=e.TaskRunSource=e.TaskRunType=e.TaskEventKind=e.TaskSorter=e.JsonSchemaVersion=e.ExecutionEngine=e.InMemoryTask=e.ContributedTask=e.ConfiguringTask=e.CustomTask=e.CommonTask=e.RunOptions=e.RunOnOptions=e.DependsOrder=e.TaskSourceKind=e.TaskScope=e.TaskGroup=e.CommandString=e.RuntimeType=e.PresentationOptions=e.PanelKind=e.RevealProblemKind=e.RevealKind=e.CommandOptions=e.CUSTOMIZED_TASK_TYPE=e.ShellQuoting=e.TASKS_CATEGORY=e.TASK_RUNNING_STATE=e.USER_TASKS_GROUP_KEY=void 0,e.USER_TASKS_GROUP_KEY="settings",e.TASK_RUNNING_STATE=new y.RawContextKey("taskRunning",!1,u.localize(0,null)),e.TASKS_CATEGORY={value:u.localize(1,null),original:"Tasks"};var E;(function(z){z[z.Escape=1]="Escape",z[z.Strong=2]="Strong",z[z.Weak=3]="Weak"})(E=e.ShellQuoting||(e.ShellQuoting={})),e.CUSTOMIZED_TASK_TYPE="$customized",function(z){function X(M){if(!M)return z.Strong;switch(M.toLowerCase()){case"escape":return z.Escape;case"strong":return z.Strong;case"weak":return z.Weak;default:return z.Strong}}z.from=X}(E=e.ShellQuoting||(e.ShellQuoting={}));var I;(function(z){z.defaults={cwd:"${workspaceFolder}"}})(I=e.CommandOptions||(e.CommandOptions={}));var R;(function(z){z[z.Always=1]="Always",z[z.Silent=2]="Silent",z[z.Never=3]="Never"})(R=e.RevealKind||(e.RevealKind={})),function(z){function X(M){switch(M.toLowerCase()){case"always":return z.Always;case"silent":return z.Silent;case"never":return z.Never;default:return z.Always}}z.fromString=X}(R=e.RevealKind||(e.RevealKind={}));var k;(function(z){z[z.Never=1]="Never",z[z.OnProblem=2]="OnProblem",z[z.Always=3]="Always"})(k=e.RevealProblemKind||(e.RevealProblemKind={})),function(z){function X(M){switch(M.toLowerCase()){case"always":return z.Always;case"never":return z.Never;case"onproblem":return z.OnProblem;default:return z.OnProblem}}z.fromString=X}(k=e.RevealProblemKind||(e.RevealProblemKind={}));var _;(function(z){z[z.Shared=1]="Shared",z[z.Dedicated=2]="Dedicated",z[z.New=3]="New"})(_=e.PanelKind||(e.PanelKind={})),function(z){function X(M){switch(M.toLowerCase()){case"shared":return z.Shared;case"dedicated":return z.Dedicated;case"new":return z.New;default:return z.Shared}}z.fromString=X}(_=e.PanelKind||(e.PanelKind={}));var P;(function(z){z.defaults={echo:!0,reveal:R.Always,revealProblems:k.Never,focus:!1,panel:_.Shared,showReuseMessage:!0,clear:!1}})(P=e.PresentationOptions||(e.PresentationOptions={}));var w;(function(z){z[z.Shell=1]="Shell",z[z.Process=2]="Process",z[z.CustomExecution=3]="CustomExecution"})(w=e.RuntimeType||(e.RuntimeType={})),function(z){function X(U){switch(U.toLowerCase()){case"shell":return z.Shell;case"process":return z.Process;case"customExecution":return z.CustomExecution;default:return z.Process}}z.fromString=X;function M(U){switch(U){case z.Shell:return"shell";case z.Process:return"process";case z.CustomExecution:return"customExecution";default:return"process"}}z.toString=M}(w=e.RuntimeType||(e.RuntimeType={}));var b;(function(z){function X(M){return t.isString(M)?M:M.value}z.value=X})(b=e.CommandString||(e.CommandString={}));var g;(function(z){z.Clean={_id:"clean",isDefault:!1},z.Build={_id:"build",isDefault:!1},z.Rebuild={_id:"rebuild",isDefault:!1},z.Test={_id:"test",isDefault:!1};function X(U){return U===z.Clean._id||U===z.Build._id||U===z.Rebuild._id||U===z.Test._id}z.is=X;function M(U){if(U!==void 0)return t.isString(U)?X(U)?{_id:U,isDefault:!1}:void 0:U}z.from=M})(g=e.TaskGroup||(e.TaskGroup={}));var f;(function(z){z[z.Global=1]="Global",z[z.Workspace=2]="Workspace",z[z.Folder=3]="Folder"})(f=e.TaskScope||(e.TaskScope={}));var v;(function(z){z.Workspace="workspace",z.Extension="extension",z.InMemory="inMemory",z.WorkspaceFile="workspaceFile",z.User="user";function X(M){switch(M){case z.User:return 1;case z.WorkspaceFile:return 4;default:return 5}}z.toConfigurationTarget=X})(v=e.TaskSourceKind||(e.TaskSourceKind={}));var p;(function(z){z.parallel="parallel",z.sequence="sequence"})(p=e.DependsOrder||(e.DependsOrder={}));var c;(function(z){z[z.default=1]="default",z[z.folderOpen=2]="folderOpen"})(c=e.RunOnOptions||(e.RunOnOptions={}));var m;(function(z){z.defaults={reevaluateOnRerun:!0,runOn:c.default,instanceLimit:1}})(m=e.RunOptions||(e.RunOptions={}));class a{constructor(X,M,U,q,x,V){this._label="",this._id=X,M&&(this._label=M),U&&(this.type=U),this.runOptions=q,this.configurationProperties=x,this._source=V}getDefinition(X){}getMapKey(){return this._id}getRecentlyUsedKey(){}getCommonTaskId(){const X={folder:this.getFolderId(),id:this._id};return JSON.stringify(X)}clone(){return this.fromObject(Object.assign({},this))}getWorkspaceFolder(){}getWorkspaceFileName(){}getTelemetryKind(){return"unknown"}matches(X,M=!1){if(X===void 0)return!1;if(t.isString(X))return X===this._label||X===this.configurationProperties.identifier||M&&X===this._id;const U=this.getDefinition(!0);return U!==void 0&&U._key===X._key}getQualifiedLabel(){const X=this.getWorkspaceFolder();return X?`${this._label} (${X.name})`:this._label}getTaskExecution(){return{id:this._id,task:this}}addTaskLoadMessages(X){this._taskLoadMessages===void 0&&(this._taskLoadMessages=[]),X&&(this._taskLoadMessages=this._taskLoadMessages.concat(X))}get taskLoadMessages(){return this._taskLoadMessages}}e.CommonTask=a;class h extends a{constructor(X,M,U,q,x,V,ee,Y){super(X,U,void 0,ee,Y,M);this.command={},this._source=M,this.hasDefinedMatchers=V,x&&(this.command=x)}clone(){return new h(this._id,this._source,this._label,this.type,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}customizes(){if(this._source&&this._source.customizes)return this._source.customizes}getDefinition(X=!1){if(X&&this._source.customizes!==void 0)return this._source.customizes;{let M;switch(this.command?this.command.runtime:void 0){case w.Shell:M="shell";break;case w.Process:M="process";break;case w.CustomExecution:M="customExecution";break;case void 0:M="$composite";break;default:throw new Error("Unexpected task runtime")}return{type:M,_key:this._id,id:this._id}}}static is(X){return X instanceof h}getMapKey(){const X=this._source.config.workspaceFolder;return X?`${X.uri.toString()}|${this._id}|${this.instance}`:`${this._id}|${this.instance}`}getFolderId(){return this._source.kind===v.User?e.USER_TASKS_GROUP_KEY:this._source.config.workspaceFolder?.uri.toString()}getCommonTaskId(){return this._source.customizes?super.getCommonTaskId():this.getRecentlyUsedKey()??super.getCommonTaskId()}getRecentlyUsedKey(){const X=this.getFolderId();if(!X)return;let M=this.configurationProperties.identifier;this._source.kind!==v.Workspace&&(M+=this._source.kind);const U={type:e.CUSTOMIZED_TASK_TYPE,folder:X,id:M};return JSON.stringify(U)}getWorkspaceFolder(){return this._source.config.workspaceFolder}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?D.basename(this._source.config.workspace.configuration):void 0}getTelemetryKind(){return this._source.customizes?"workspace>extension":"workspace"}fromObject(X){return new h(X._id,X._source,X._label,X.type,X.command,X.hasDefinedMatchers,X.runOptions,X.configurationProperties)}}e.CustomTask=h;class r extends a{constructor(X,M,U,q,x,V,ee){super(X,U,q,V,ee,M);this._source=M,this.configures=x}static is(X){return X instanceof r}fromObject(X){return X}getDefinition(){return this.configures}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?D.basename(this._source.config.workspace.configuration):void 0}getWorkspaceFolder(){return this._source.config.workspaceFolder}getFolderId(){return this._source.kind===v.User?e.USER_TASKS_GROUP_KEY:this._source.config.workspaceFolder?.uri.toString()}getRecentlyUsedKey(){const X=this.getFolderId();if(!X)return;let M=this.configurationProperties.identifier;this._source.kind!==v.Workspace&&(M+=this._source.kind);const U={type:e.CUSTOMIZED_TASK_TYPE,folder:X,id:M};return JSON.stringify(U)}}e.ConfiguringTask=r;class o extends a{constructor(X,M,U,q,x,V,ee,Y,le){super(X,U,q,Y,le,M);this.defines=x,this.hasDefinedMatchers=ee,this.command=V,this.icon=le.icon,this.hide=le.hide}clone(){return new o(this._id,this._source,this._label,this.type,this.defines,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}getDefinition(){return this.defines}static is(X){return X instanceof o}getMapKey(){const X=this._source.workspaceFolder;return X?`${this._source.scope.toString()}|${X.uri.toString()}|${this._id}|${this.instance}`:`${this._source.scope.toString()}|${this._id}|${this.instance}`}getFolderId(){if(this._source.scope===3&&this._source.workspaceFolder)return this._source.workspaceFolder.uri.toString()}getRecentlyUsedKey(){const X={type:"contributed",scope:this._source.scope,id:this._id};return X.folder=this.getFolderId(),JSON.stringify(X)}getWorkspaceFolder(){return this._source.workspaceFolder}getTelemetryKind(){return"extension"}fromObject(X){return new o(X._id,X._source,X._label,X.type,X.defines,X.command,X.hasDefinedMatchers,X.runOptions,X.configurationProperties)}}e.ContributedTask=o;class i extends a{constructor(X,M,U,q,x,V){super(X,U,q,x,V,M);this._source=M}clone(){return new i(this._id,this._source,this._label,this.type,this.runOptions,this.configurationProperties)}static is(X){return X instanceof i}getTelemetryKind(){return"composite"}getMapKey(){return`${this._id}|${this.instance}`}getFolderId(){}fromObject(X){return new i(X._id,X._source,X._label,X.type,X.runOptions,X.configurationProperties)}}e.InMemoryTask=i;var n;(function(z){z[z.Process=1]="Process",z[z.Terminal=2]="Terminal"})(n=e.ExecutionEngine||(e.ExecutionEngine={})),function(z){z._default=z.Terminal}(n=e.ExecutionEngine||(e.ExecutionEngine={}));var s;(function(z){z[z.V0_1_0=1]="V0_1_0",z[z.V2_0_0=2]="V2_0_0"})(s=e.JsonSchemaVersion||(e.JsonSchemaVersion={}));class l{constructor(X){this._order=new Map;for(let M=0;M<X.length;M++)this._order.set(X[M].uri.toString(),M)}compare(X,M){const U=X.getWorkspaceFolder(),q=M.getWorkspaceFolder();if(U&&q){let x=this._order.get(U.uri.toString());x=x===void 0?0:x+1;let V=this._order.get(q.uri.toString());return V=V===void 0?0:V+1,x===V?X._label.localeCompare(M._label):x-V}else return!U&&q?-1:U&&!q?1:0}}e.TaskSorter=l;var d;(function(z){z.DependsOnStarted="dependsOnStarted",z.AcquiredInput="acquiredInput",z.Start="start",z.ProcessStarted="processStarted",z.Active="active",z.Inactive="inactive",z.Changed="changed",z.Terminated="terminated",z.ProcessEnded="processEnded",z.End="end"})(d=e.TaskEventKind||(e.TaskEventKind={}));var S;(function(z){z.SingleRun="singleRun",z.Background="background"})(S=e.TaskRunType||(e.TaskRunType={}));var L;(function(z){z[z.System=0]="System",z[z.User=1]="User",z[z.FolderOpen=2]="FolderOpen",z[z.ConfigurationChange=3]="ConfigurationChange"})(L=e.TaskRunSource||(e.TaskRunSource={}));var F;(function(z){function X(M,U,q,x){if(U){const V={kind:M,taskId:U._id,taskName:U.configurationProperties.name,runType:U.configurationProperties.isBackground?"background":"singleRun",group:U.configurationProperties.group,processId:void 0,exitCode:void 0,terminalId:void 0,__task:U};return M==="start"?(V.terminalId=q,V.resolvedVariables=x):M==="processStarted"?V.processId=q:M==="processEnded"&&(V.exitCode=q),Object.freeze(V)}else return Object.freeze({kind:"changed"})}z.create=X})(F=e.TaskEvent||(e.TaskEvent={}));var N;(function(z){function X(U){const q=Object.keys(U).sort();let x="";for(const V of q){let ee=U[V];ee instanceof Object?ee=X(ee):typeof ee=="string"&&(ee=ee.replace(/,/g,",,")),x+=V+","+ee+","}return x}function M(U){const x={_key:X(U),type:U.taskType};return Object.assign(x,U),x}z.create=M})(N=e.KeyedTaskIdentifier||(e.KeyedTaskIdentifier={}));var A;(function(z){z.AutoDetect="task.autoDetect",z.SaveBeforeRun="task.saveBeforeRun",z.ShowDecorations="task.showDecorations",z.ProblemMatchersNeverPrompt="task.problemMatchers.neverPrompt",z.SlowProviderWarning="task.slowProviderWarning",z.QuickOpenHistory="task.quickOpen.history",z.QuickOpenDetail="task.quickOpen.detail",z.QuickOpenSkip="task.quickOpen.skip",z.QuickOpenShowAll="task.quickOpen.showAll",z.AllowAutomaticTasks="task.allowAutomaticTasks"})(A=e.TaskSettingId||(e.TaskSettingId={}));var $;(function(z){z.Tasks="tasks",z.SuppressTaskName="tasks.suppressTaskName",z.Windows="tasks.windows",z.Osx="tasks.osx",z.Linux="tasks.linux",z.ShowOutput="tasks.showOutput",z.IsShellCommand="tasks.isShellCommand",z.ServiceTestSetting="tasks.service.testSetting"})($=e.TasksSchemaProperties||(e.TasksSchemaProperties={}));var B;(function(z){function X(M,U){const q=C.TaskDefinitionRegistry.get(M.type);if(q===void 0){const Y=T.deepClone(M);return delete Y._key,N.create(Y)}const x=Object.create(null);x.type=q.taskType;const V=new Set;q.required.forEach(Y=>V.add(Y));const ee=q.properties;for(const Y of Object.keys(ee)){const le=M[Y];if(le!=null)x[Y]=le;else if(V.has(Y)){const ve=ee[Y];if(ve.default!==void 0)x[Y]=T.deepClone(ve.default);else switch(ve.type){case"boolean":x[Y]=!1;break;case"number":case"integer":x[Y]=0;break;case"string":x[Y]="";break;default:U.error(u.localize(2,null,JSON.stringify(M,void 0,0),Y));return}}}return N.create(x)}z.createTaskIdentifier=X})(B=e.TaskDefinition||(e.TaskDefinition={}))}),define(Ie[235],ke([1,0,12]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CanceledLazyPromise=e.LazyPromise=void 0;class t{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((y,C)=>{this._actualOk=y,this._actualErr=C,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(y){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=y,this._actual&&this._actualOk(y))}resolveErr(y){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=y,this._actual?this._actualErr(y):(0,u.onUnexpectedError)(y))}then(y,C){return this._ensureActual().then(y,C)}catch(y){return this._ensureActual().then(void 0,y)}finally(y){return this._ensureActual().finally(y)}}e.LazyPromise=t;class D extends t{constructor(){super();this._hasErr=!0,this._err=new u.CancellationError}}e.CanceledLazyPromise=D}),define(Ie[53],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SerializableObjectWithBuffers=e.getStringIdentifierForProxy=e.createProxyIdentifier=e.ProxyIdentifier=void 0;class u{constructor(E){this._proxyIdentifierBrand=void 0,this.sid=E,this.nid=++u.count}}e.ProxyIdentifier=u,u.count=0;const t=[];function D(C){const E=new u(C);return t[E.nid]=E,E}e.createProxyIdentifier=D;function T(C){return t[C].sid}e.getStringIdentifierForProxy=T;class y{constructor(E){this.value=E}}e.SerializableObjectWithBuffers=y}),define(Ie[5],ke([1,0,61,53]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TabModelOperationKind=e.TabInputKind=e.TextEditorRevealType=void 0;var D;(function(f){f[f.Default=0]="Default",f[f.InCenter=1]="InCenter",f[f.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",f[f.AtTop=3]="AtTop"})(D=e.TextEditorRevealType||(e.TextEditorRevealType={}));var T;(function(f){f[f.UnknownInput=0]="UnknownInput",f[f.TextInput=1]="TextInput",f[f.TextDiffInput=2]="TextDiffInput",f[f.NotebookInput=3]="NotebookInput",f[f.NotebookDiffInput=4]="NotebookDiffInput",f[f.CustomEditorInput=5]="CustomEditorInput",f[f.WebviewEditorInput=6]="WebviewEditorInput",f[f.TerminalEditorInput=7]="TerminalEditorInput"})(T=e.TabInputKind||(e.TabInputKind={}));var y;(function(f){f[f.TAB_OPEN=0]="TAB_OPEN",f[f.TAB_CLOSE=1]="TAB_CLOSE",f[f.TAB_UPDATE=2]="TAB_UPDATE",f[f.TAB_MOVE=3]="TAB_MOVE"})(y=e.TabModelOperationKind||(e.TabModelOperationKind={}));var C;(function(f){f[f.Editable=0]="Editable",f[f.SupportsHotExit=1]="SupportsHotExit"})(C=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var E;(function(f){f[f.Int8Array=1]="Int8Array",f[f.Uint8Array=2]="Uint8Array",f[f.Uint8ClampedArray=3]="Uint8ClampedArray",f[f.Int16Array=4]="Int16Array",f[f.Uint16Array=5]="Uint16Array",f[f.Int32Array=6]="Int32Array",f[f.Uint32Array=7]="Uint32Array",f[f.Float32Array=8]="Float32Array",f[f.Float64Array=9]="Float64Array",f[f.BigInt64Array=10]="BigInt64Array",f[f.BigUint64Array=11]="BigUint64Array"})(E=e.WebviewMessageArrayBufferViewType||(e.WebviewMessageArrayBufferViewType={}));var I;(function(f){f[f.Text=1]="Text",f[f.Error=2]="Error",f[f.Rich=3]="Rich"})(I=e.CellOutputKind||(e.CellOutputKind={}));var R;(function(f){f[f.Default=0]="Default",f[f.InCenter=1]="InCenter",f[f.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",f[f.AtTop=3]="AtTop"})(R=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var k;(function(f){f[f.None=0]="None",f[f.Process=1]="Process",f[f.Output=2]="Output"})(k=e.CandidatePortSource||(e.CandidatePortSource={}));class _{static mixin(v){return v._id=_._n++,v}}e.IdObject=_,_._n=0;var P;(function(f){f.label="a",f.kind="b",f.detail="c",f.documentation="d",f.sortText="e",f.filterText="f",f.preselect="g",f.insertText="h",f.insertTextRules="i",f.range="j",f.commitCharacters="k",f.additionalTextEdits="l",f.command="m",f.kindModifier="n"})(P=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var w;(function(f){f.defaultRanges="a",f.completions="b",f.isIncomplete="c",f.duration="d"})(w=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));function b(f){return f&&f.edits&&(0,u.revive)(f),f}e.reviveWorkspaceEditDto=b;var g;(function(f){f[f.Workspace=0]="Workspace",f[f.TextDocument=1]="TextDocument"})(g=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:(0,t.createProxyIdentifier)("MainThreadAuthentication"),MainThreadBulkEdits:(0,t.createProxyIdentifier)("MainThreadBulkEdits"),MainThreadClipboard:(0,t.createProxyIdentifier)("MainThreadClipboard"),MainThreadCommands:(0,t.createProxyIdentifier)("MainThreadCommands"),MainThreadComments:(0,t.createProxyIdentifier)("MainThreadComments"),MainThreadConfiguration:(0,t.createProxyIdentifier)("MainThreadConfiguration"),MainThreadConsole:(0,t.createProxyIdentifier)("MainThreadConsole"),MainThreadDebugService:(0,t.createProxyIdentifier)("MainThreadDebugService"),MainThreadDecorations:(0,t.createProxyIdentifier)("MainThreadDecorations"),MainThreadDiagnostics:(0,t.createProxyIdentifier)("MainThreadDiagnostics"),MainThreadDialogs:(0,t.createProxyIdentifier)("MainThreadDiaglogs"),MainThreadDocuments:(0,t.createProxyIdentifier)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,t.createProxyIdentifier)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,t.createProxyIdentifier)("MainThreadTextEditors"),MainThreadEditorInsets:(0,t.createProxyIdentifier)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,t.createProxyIdentifier)("MainThreadEditorTabs"),MainThreadErrors:(0,t.createProxyIdentifier)("MainThreadErrors"),MainThreadTreeViews:(0,t.createProxyIdentifier)("MainThreadTreeViews"),MainThreadDownloadService:(0,t.createProxyIdentifier)("MainThreadDownloadService"),MainThreadKeytar:(0,t.createProxyIdentifier)("MainThreadKeytar"),MainThreadLanguageFeatures:(0,t.createProxyIdentifier)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,t.createProxyIdentifier)("MainThreadLanguages"),MainThreadLogger:(0,t.createProxyIdentifier)("MainThreadLogger"),MainThreadMessageService:(0,t.createProxyIdentifier)("MainThreadMessageService"),MainThreadOutputService:(0,t.createProxyIdentifier)("MainThreadOutputService"),MainThreadProgress:(0,t.createProxyIdentifier)("MainThreadProgress"),MainThreadQuickOpen:(0,t.createProxyIdentifier)("MainThreadQuickOpen"),MainThreadStatusBar:(0,t.createProxyIdentifier)("MainThreadStatusBar"),MainThreadSecretState:(0,t.createProxyIdentifier)("MainThreadSecretState"),MainThreadStorage:(0,t.createProxyIdentifier)("MainThreadStorage"),MainThreadTelemetry:(0,t.createProxyIdentifier)("MainThreadTelemetry"),MainThreadTerminalService:(0,t.createProxyIdentifier)("MainThreadTerminalService"),MainThreadWebviews:(0,t.createProxyIdentifier)("MainThreadWebviews"),MainThreadWebviewPanels:(0,t.createProxyIdentifier)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,t.createProxyIdentifier)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,t.createProxyIdentifier)("MainThreadCustomEditors"),MainThreadUrls:(0,t.createProxyIdentifier)("MainThreadUrls"),MainThreadUriOpeners:(0,t.createProxyIdentifier)("MainThreadUriOpeners"),MainThreadWorkspace:(0,t.createProxyIdentifier)("MainThreadWorkspace"),MainThreadFileSystem:(0,t.createProxyIdentifier)("MainThreadFileSystem"),MainThreadExtensionService:(0,t.createProxyIdentifier)("MainThreadExtensionService"),MainThreadSCM:(0,t.createProxyIdentifier)("MainThreadSCM"),MainThreadSearch:(0,t.createProxyIdentifier)("MainThreadSearch"),MainThreadTask:(0,t.createProxyIdentifier)("MainThreadTask"),MainThreadWindow:(0,t.createProxyIdentifier)("MainThreadWindow"),MainThreadLabelService:(0,t.createProxyIdentifier)("MainThreadLabelService"),MainThreadNotebook:(0,t.createProxyIdentifier)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,t.createProxyIdentifier)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,t.createProxyIdentifier)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,t.createProxyIdentifier)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,t.createProxyIdentifier)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,t.createProxyIdentifier)("MainThreadInteractive"),MainThreadTheming:(0,t.createProxyIdentifier)("MainThreadTheming"),MainThreadTunnelService:(0,t.createProxyIdentifier)("MainThreadTunnelService"),MainThreadTimeline:(0,t.createProxyIdentifier)("MainThreadTimeline"),MainThreadTesting:(0,t.createProxyIdentifier)("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:(0,t.createProxyIdentifier)("ExtHostCommands"),ExtHostConfiguration:(0,t.createProxyIdentifier)("ExtHostConfiguration"),ExtHostDiagnostics:(0,t.createProxyIdentifier)("ExtHostDiagnostics"),ExtHostDebugService:(0,t.createProxyIdentifier)("ExtHostDebugService"),ExtHostDecorations:(0,t.createProxyIdentifier)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,t.createProxyIdentifier)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,t.createProxyIdentifier)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,t.createProxyIdentifier)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,t.createProxyIdentifier)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,t.createProxyIdentifier)("ExtHostEditors"),ExtHostTreeViews:(0,t.createProxyIdentifier)("ExtHostTreeViews"),ExtHostFileSystem:(0,t.createProxyIdentifier)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,t.createProxyIdentifier)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,t.createProxyIdentifier)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,t.createProxyIdentifier)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,t.createProxyIdentifier)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,t.createProxyIdentifier)("ExtHostQuickOpen"),ExtHostExtensionService:(0,t.createProxyIdentifier)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,t.createProxyIdentifier)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,t.createProxyIdentifier)("ExtHostTerminalService"),ExtHostSCM:(0,t.createProxyIdentifier)("ExtHostSCM"),ExtHostSearch:(0,t.createProxyIdentifier)("ExtHostSearch"),ExtHostTask:(0,t.createProxyIdentifier)("ExtHostTask"),ExtHostWorkspace:(0,t.createProxyIdentifier)("ExtHostWorkspace"),ExtHostWindow:(0,t.createProxyIdentifier)("ExtHostWindow"),ExtHostWebviews:(0,t.createProxyIdentifier)("ExtHostWebviews"),ExtHostWebviewPanels:(0,t.createProxyIdentifier)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,t.createProxyIdentifier)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,t.createProxyIdentifier)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,t.createProxyIdentifier)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,t.createProxyIdentifier)("ExtHostEditorTabs"),ExtHostProgress:(0,t.createProxyIdentifier)("ExtHostProgress"),ExtHostComments:(0,t.createProxyIdentifier)("ExtHostComments"),ExtHostSecretState:(0,t.createProxyIdentifier)("ExtHostSecretState"),ExtHostStorage:(0,t.createProxyIdentifier)("ExtHostStorage"),ExtHostUrls:(0,t.createProxyIdentifier)("ExtHostUrls"),ExtHostUriOpeners:(0,t.createProxyIdentifier)("ExtHostUriOpeners"),ExtHostOutputService:(0,t.createProxyIdentifier)("ExtHostOutputService"),ExtHosLabelService:(0,t.createProxyIdentifier)("ExtHostLabelService"),ExtHostNotebook:(0,t.createProxyIdentifier)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,t.createProxyIdentifier)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,t.createProxyIdentifier)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,t.createProxyIdentifier)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,t.createProxyIdentifier)("ExtHostNotebookRenderers"),ExtHostInteractive:(0,t.createProxyIdentifier)("ExtHostInteractive"),ExtHostTheming:(0,t.createProxyIdentifier)("ExtHostTheming"),ExtHostTunnelService:(0,t.createProxyIdentifier)("ExtHostTunnelService"),ExtHostAuthentication:(0,t.createProxyIdentifier)("ExtHostAuthentication"),ExtHostTimeline:(0,t.createProxyIdentifier)("ExtHostTimeline"),ExtHostTesting:(0,t.createProxyIdentifier)("ExtHostTesting"),ExtHostTelemetry:(0,t.createProxyIdentifier)("ExtHostTelemetry")}}),define(Ie[90],ke([1,0,5,3,4]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class T{constructor(C){this._onDidChangePassword=new t.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=C.getProxy(u.MainContext.MainThreadSecretState)}async $onDidChangePassword(C){this._onDidChangePassword.fire(C)}get(C,E){return this._proxy.$getPassword(C,E)}store(C,E,I){return this._proxy.$setPassword(C,E,I)}delete(C,E){return this._proxy.$deletePassword(C,E)}}e.ExtHostSecretState=T,e.IExtHostSecretState=(0,D.createDecorator)("IExtHostSecretState")}),define(Ie[67],ke([1,0,4,14,5,17]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=(0,u.createDecorator)("IExtHostApiDeprecationService");let y=class{constructor(E,I){this._extHostLogService=I,this._reportedUsages=new Set,this._telemetryShape=E.getProxy(D.MainContext.MainThreadTelemetry)}report(E,I,R){const k=this.getUsageKey(E,I);this._reportedUsages.has(k)||(this._reportedUsages.add(k),I.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${E}' is deprecated. ${R}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:I.identifier.value,apiId:E}))}getUsageKey(E,I){return`${E}-${I.identifier.value}`}};y=st([He(0,T.IExtHostRpcService),He(1,t.ILogService)],y),e.ExtHostApiDeprecationService=y,e.NullApiDeprecationService=Object.freeze(new class{report(C,E,I){}})}),define(Ie[236],ke([1,0,3,5,7,28]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class y{constructor(E){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeSessions=new u.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=E.getProxy(t.MainContext.MainThreadAuthentication)}$setProviders(E){return this._providers=E,Promise.resolve()}async getSession(E,I,R,k={}){const _=T.ExtensionIdentifier.toKey(E.identifier),P=this._inFlightRequests.get(_)||[],w=[...R].sort().join(" ");let b=P.find(g=>g.providerId===I&&g.scopes===w);if(b)return b.result;{const g=this._getSession(E,_,I,R,k);b={providerId:I,scopes:w,result:g},P.push(b),this._inFlightRequests.set(_,P);try{await g}finally{const f=P.findIndex(v=>v.providerId===I&&v.scopes===w);f>-1&&(P.splice(f),this._inFlightRequests.set(_,P))}return g}}async _getSession(E,I,R,k,_={}){await this._proxy.$ensureProvider(R);const P=E.displayName||E.name;return this._proxy.$getSession(R,k,I,P,_)}async removeSession(E,I){const R=this._authenticationProviders.get(E);return R?R.provider.removeSession(I):this._proxy.$removeSession(E,I)}registerAuthenticationProvider(E,I,R,k){if(this._authenticationProviders.get(E))throw new Error(`An authentication provider with id '${E}' is already registered.`);this._authenticationProviders.set(E,{label:I,provider:R,options:k??{supportsMultipleAccounts:!1}}),this._providers.find(P=>P.id===E)||this._providers.push({id:E,label:I});const _=R.onDidChangeSessions(P=>{this._proxy.$sendDidChangeSessions(E,{added:P.added??[],changed:P.changed??[],removed:P.removed??[]})});return this._proxy.$registerAuthenticationProvider(E,I,k?.supportsMultipleAccounts??!1),new D.Disposable(()=>{_.dispose(),this._authenticationProviders.delete(E);const P=this._providers.findIndex(w=>w.id===E);P>-1&&this._providers.splice(P),this._proxy.$unregisterAuthenticationProvider(E)})}$createSession(E,I){const R=this._authenticationProviders.get(E);if(R)return Promise.resolve(R.provider.createSession(I));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$removeSession(E,I){const R=this._authenticationProviders.get(E);if(R)return Promise.resolve(R.provider.removeSession(I));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$getSessions(E,I){const R=this._authenticationProviders.get(E);if(R)return Promise.resolve(R.provider.getSessions(I));throw new Error(`Unable to find authentication provider with handle: ${E}`)}$onDidChangeAuthenticationSessions(E,I){return this._onDidChangeSessions.fire({provider:{id:E,label:I}}),Promise.resolve()}}e.ExtHostAuthentication=y}),define(Ie[237],ke([1,0,5,17,15,27]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let y=class{constructor(E,I){this._proxy=E.getProxy(u.MainContext.MainThreadBulkEdits),this._versionInformationProvider={getTextDocumentVersion:R=>I.getDocument(R)?.version,getNotebookDocumentVersion:()=>{}}}applyWorkspaceEdit(E,I){const R=(0,T.isProposedApiEnabled)(I,"snippetWorkspaceEdit"),k=D.WorkspaceEdit.from(E,this._versionInformationProvider,R);return this._proxy.$tryApplyWorkspaceEdit(k)}};y=st([He(0,t.IExtHostRpcService)],y),e.ExtHostBulkEdits=y}),define(Ie[238],ke([1,0,5]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class t{constructor(T){const y=T.getProxy(u.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return y.$readText()},writeText(C){return y.$writeText(C)}})}}e.ExtHostClipboard=t});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[37],ke([1,0,10,7,15,24,5,16,14,61,35,48,2,6,4,17,132,23,53,49]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v,p){"use strict";var c,m;Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let a=class{constructor(s,l){c.set(this,void 0),this._commands=new Map,this._apiCommands=new Map,m.set(this,void 0),tt(this,c,s.getProxy(y.MainContext.MainThreadCommands),"f"),this._logService=l,tt(this,m,s.getProxy(y.MainContext.MainThreadTelemetry),"f"),this.converter=new h(this,d=>{const S=this._apiCommands.get(d);return S?.result===o.Void?S:void 0},l),this._argumentProcessors=[{processArgument(d){return(0,I.revive)(d)}},{processArgument(d){return(0,T.cloneAndChange)(d,function(S){if(R.Range.isIRange(S))return D.Range.to(S);if(k.Position.isIPosition(S))return D.Position.to(S);if(R.Range.isIRange(S.range)&&_.URI.isUri(S.uri))return D.location.to(S);if(S instanceof f.VSBuffer)return S.buffer.buffer;if(!Array.isArray(S))return S})}}]}registerArgumentProcessor(s){this._argumentProcessors.push(s)}registerApiCommand(s){const l=this.registerCommand(!1,s.id,async(...d)=>{const S=s.args.map((F,N)=>{if(!F.validate(d[N]))throw new Error(`Invalid argument '${F.name}' when running '${s.id}', received: ${d[N]}`);return F.convert(d[N])}),L=await this.executeCommand(s.internalId,...S);return s.result.convert(L,d,this.converter)},void 0,{description:s.description,args:s.args,returns:s.result.description});return this._apiCommands.set(s.id,s),new t.Disposable(()=>{l.dispose(),this._apiCommands.delete(s.id)})}registerCommand(s,l,d,S,L,F){if(this._logService.trace("ExtHostCommands#registerCommand",l),!l.trim().length)throw new Error("invalid id");if(this._commands.has(l))throw new Error(`command '${l}' already exists`);return this._commands.set(l,{callback:d,thisArg:S,description:L,extension:F}),s&&Me(this,c,"f").$registerCommand(l),new t.Disposable(()=>{this._commands.delete(l)&&s&&Me(this,c,"f").$unregisterCommand(l)})}executeCommand(s,...l){return this._logService.trace("ExtHostCommands#executeCommand",s),this._doExecuteCommand(s,l,!0)}async _doExecuteCommand(s,l,d){if(this._commands.has(s))return Me(this,c,"f").$fireCommandActivationEvent(s),this._executeContributedCommand(s,l,!1);{let S=!1;const L=(0,T.cloneAndChange)(l,function(F){if(F instanceof t.Position)return D.Position.from(F);if(F instanceof t.Range)return D.Range.from(F);if(F instanceof t.Location)return D.location.from(F);if(t.NotebookRange.isNotebookRange(F))return D.NotebookRange.from(F);if(F instanceof ArrayBuffer)return S=!0,f.VSBuffer.wrap(new Uint8Array(F));if(F instanceof Uint8Array)return S=!0,f.VSBuffer.wrap(F);if(F instanceof f.VSBuffer)return S=!0,F;if(!Array.isArray(F))return F});try{const F=await Me(this,c,"f").$executeCommand(s,S?new v.SerializableObjectWithBuffers(L):L,d);return(0,I.revive)(F)}catch(F){if(F instanceof Error&&F.message==="$executeCommand:retry")return this._doExecuteCommand(s,l,!1);throw F}}}async _executeContributedCommand(s,l,d){const S=this._commands.get(s);if(!S)throw new Error("Unknown command");this._reportTelemetry(S,s);const{callback:L,thisArg:F,description:N}=S;if(N)for(let A=0;A<N.args.length;A++)try{(0,u.validateConstraint)(l[A],N.args[A].constraint)}catch{throw new Error(`Running the contributed command: '${s}' failed. Illegal argument '${N.args[A].name}' - ${N.args[A].description}`)}try{return await L.apply(F,l)}catch(A){if(s===this.converter.delegatingCommandId){const $=this.converter.getActualCommand(...l);$&&(s=$.command)}throw this._logService.error(A,s,S.extension?.identifier),d?new class extends Error{constructor(){super((0,p.toErrorMessage)(A));this.id=s,this.source=S.extension?.displayName??S.extension?.name}}:A}}_reportTelemetry(s,l){!s.extension||s.extension.isBuiltin||Me(this,m,"f").$publicLog2("Extension:ActionExecuted",{extensionId:s.extension.identifier.value,id:l})}$executeContributedCommand(s,...l){return this._logService.trace("ExtHostCommands#$executeContributedCommand",s),this._commands.has(s)?(l=l.map(d=>this._argumentProcessors.reduce((S,L)=>L.processArgument(S),d)),this._executeContributedCommand(s,l,!0)):Promise.reject(new Error(`Contributed command '${s}' does not exist.`))}getCommands(s=!1){return this._logService.trace("ExtHostCommands#getCommands",s),Me(this,c,"f").$getCommands().then(l=>(s&&(l=l.filter(d=>d[0]!=="_")),l))}$getContributedCommandHandlerDescriptions(){const s=Object.create(null);for(const[l,d]of this._commands){const{description:S}=d;S&&(s[l]=S)}return Promise.resolve(s)}};c=new WeakMap,m=new WeakMap,a=st([He(0,b.IExtHostRpcService),He(1,E.ILogService)],a),e.ExtHostCommands=a,e.IExtHostCommands=(0,w.createDecorator)("IExtHostCommands");class h{constructor(s,l,d){this._commands=s,this._lookupApiCommand=l,this._logService=d,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(s,l){if(!s)return;const d={$ident:void 0,id:s.command,title:s.title,tooltip:s.tooltip};if(!s.command)return d;const S=this._lookupApiCommand(s.command);if(S)d.id=S.internalId,d.arguments=S.args.map((L,F)=>L.convert(s.arguments&&s.arguments[F]));else if((0,C.isNonEmptyArray)(s.arguments)){const L=++this._cachIdPool;this._cache.set(L,s),l.add((0,P.toDisposable)(()=>{this._cache.delete(L),this._logService.trace("CommandsConverter#DISPOSE",L)})),d.$ident=L,d.id=this.delegatingCommandId,d.arguments=[L],this._logService.trace("CommandsConverter#CREATE",s.command,L)}return d}fromInternal(s){return typeof s.$ident=="number"?this._cache.get(s.$ident):{command:s.id,title:s.title,arguments:s.arguments}}getActualCommand(...s){return this._cache.get(s[0])}_executeConvertedCommand(...s){const l=this.getActualCommand(...s);return this._logService.trace("CommandsConverter#EXECUTE",s[0],l?l.command:"MISSING"),l?this._commands.executeCommand(l.command,...l.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=h;class r{constructor(s,l,d,S){this.name=s,this.description=l,this.validate=d,this.convert=S}optional(){return new r(this.name,`(optional) ${this.description}`,s=>s==null||this.validate(s),s=>s===void 0?void 0:s===null?null:this.convert(s))}with(s,l){return new r(s??this.name,l??this.description,this.validate,this.convert)}}e.ApiCommandArgument=r,r.Uri=new r("uri","Uri of a text document",n=>_.URI.isUri(n),n=>n),r.Position=new r("position","A position in a text document",n=>t.Position.isPosition(n),D.Position.from),r.Range=new r("range","A range in a text document",n=>t.Range.isRange(n),D.Range.from),r.Selection=new r("selection","A selection in a text document",n=>t.Selection.isSelection(n),D.Selection.from),r.Number=new r("number","",n=>typeof n=="number",n=>n),r.String=new r("string","",n=>typeof n=="string",n=>n),r.CallHierarchyItem=new r("item","A call hierarchy item",n=>n instanceof t.CallHierarchyItem,D.CallHierarchyItem.from),r.TypeHierarchyItem=new r("item","A type hierarchy item",n=>n instanceof t.TypeHierarchyItem,D.TypeHierarchyItem.from),r.TestItem=new r("testItem","A VS Code TestItem",n=>n instanceof g.TestItemImpl,D.TestItem.from);class o{constructor(s,l){this.description=s,this.convert=l}}e.ApiCommandResult=o,o.Void=new o("no result",n=>n);class i{constructor(s,l,d,S,L){this.id=s,this.internalId=l,this.description=d,this.args=S,this.result=L}}e.ApiCommand=i}),define(Ie[239],ke([1,0,2,15,7,63,37,16,113,118,11]),function(Q,e,u,t,D,T,y,C,E,I,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const k=[new y.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",P(t.DocumentHighlight.to))),new y.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(b,g)=>{if((0,C.isFalsyOrEmpty)(b))return;class f extends D.SymbolInformation{static to(p){const c=new f(p.name,t.SymbolKind.to(p.kind),p.containerName||"",new D.Location(g[0],t.Range.to(p.range)));return c.detail=p.detail,c.range=c.location.range,c.selectionRange=t.Range.to(p.selectionRange),c.children=p.children?p.children.map(f.to):[],c}}return b.map(f.to)})),new y.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("options","Formatting options",b=>!0,b=>b)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",P(t.TextEdit.to))),new y.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range,new y.ApiCommandArgument("options","Formatting options",b=>!0,b=>b)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",P(t.TextEdit.to))),new y.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,new y.ApiCommandArgument("ch","Trigger character",b=>typeof b=="string",b=>b),new y.ApiCommandArgument("options","Formatting options",b=>!0,b=>b)],new y.ApiCommandResult("A promise that resolves to an array of TextEdits.",P(t.TextEdit.to))),new y.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",w)),new y.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",w)),new y.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",w)),new y.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",w)),new y.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Location-instances.",P(t.location.to))),new y.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to an array of Hover-instances.",P(t.Hover.to))),new y.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("position","A position in a text document",b=>Array.isArray(b)&&b.every(g=>D.Position.isPosition(g)),b=>b.map(t.Position.from))],new y.ApiCommandResult("A promise that resolves to an array of ranges.",b=>b.map(g=>{let f;for(const v of g.reverse())f=new D.SelectionRange(t.Range.to(v),f);return f}))),new y.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[y.ApiCommandArgument.String.with("query","Search string")],new y.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",b=>b.map(t.WorkspaceSymbol.to))),new y.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A CallHierarchyItem or undefined",b=>b.map(t.CallHierarchyItem.to))),new y.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[y.ApiCommandArgument.CallHierarchyItem],new y.ApiCommandResult("A CallHierarchyItem or undefined",b=>b.map(t.CallHierarchyIncomingCall.to))),new y.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[y.ApiCommandArgument.CallHierarchyItem],new y.ApiCommandResult("A CallHierarchyItem or undefined",b=>b.map(t.CallHierarchyOutgoingCall.to))),new y.ApiCommand("vscode.prepareRename","_executePrepareRename","Execute the prepareRename of rename provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A promise that resolves to a range and placeholder text.",b=>{if(!!b)return{range:t.Range.to(b.range),placeholder:b.text}})),new y.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("newName","The new symbol name")],new y.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",b=>{if(!!b){if(b.rejectReason)throw new Error(b.rejectReason);return t.WorkspaceEdit.to(b)}})),new y.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new y.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",b=>b.map(t.DocumentLink.to))),new y.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",b=>{if(!!b)return new D.SemanticTokensLegend(b.tokenTypes,b.tokenModifiers)})),new y.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to SemanticTokens.",b=>{if(!b)return;const g=(0,E.decodeSemanticTokensDto)(b);if(g.type==="full")return new D.SemanticTokens(g.data,void 0)})),new y.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range.optional()],new y.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",b=>{if(!!b)return new D.SemanticTokensLegend(b.tokenTypes,b.tokenModifiers)})),new y.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to SemanticTokens.",b=>{if(!b)return;const g=(0,E.decodeSemanticTokensDto)(b);if(g.type==="full")return new D.SemanticTokens(g.data,void 0)})),new y.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),y.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new y.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(b,g,f)=>{if(!b)return new D.CompletionList([]);const v=b.suggestions.map(p=>t.CompletionItem.to(p,f));return new D.CompletionList(v,b.incomplete)})),new y.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position,y.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new y.ApiCommandResult("A promise that resolves to SignatureHelp.",b=>{if(b)return t.SignatureHelp.to(b)})),new y.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new y.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(b,g,f)=>P(v=>new D.CodeLens(t.Range.to(v.range),v.command&&f.fromInternal(v.command)))(b))),new y.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[y.ApiCommandArgument.Uri,new y.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",b=>D.Range.isRange(b),b=>D.Selection.isSelection(b)?t.Selection.from(b):t.Range.from(b)),y.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),y.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new y.ApiCommandResult("A promise that resolves to an array of Command-instances.",(b,g,f)=>P(v=>{if(v._isSynthetic){if(!v.command)throw new Error("Synthetic code actions must have a command");return f.fromInternal(v.command)}else{const p=new D.CodeAction(v.title,v.kind?new D.CodeActionKind(v.kind):void 0);return v.edit&&(p.edit=t.WorkspaceEdit.to(v.edit)),v.command&&(p.command=f.fromInternal(v.command)),p.isPreferred=v.isPreferred,p}})(b))),new y.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[y.ApiCommandArgument.Uri],new y.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",b=>b?b.map(g=>new D.ColorInformation(t.Range.to(g.range),t.Color.to(g.color))):[])),new y.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new y.ApiCommandArgument("color","The color to show and insert",b=>b instanceof D.Color,t.Color.from),new y.ApiCommandArgument("context","Context object with uri and range",b=>!0,b=>({uri:b.uri,range:t.Range.from(b.range)}))],new y.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",b=>b?b.map(t.ColorPresentation.to):[])),new y.ApiCommand("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to an array of Inlay objects",(b,g,f)=>b.map(t.InlayHint.to.bind(void 0,f)))),new y.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new y.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",P(b=>({viewType:b.viewType,displayName:b.displayName,options:{transientOutputs:b.options.transientOutputs,transientCellMetadata:b.options.transientCellMetadata,transientDocumentMetadata:b.options.transientDocumentMetadata},filenamePattern:b.filenamePattern.map(g=>t.NotebookExclusiveDocumentPattern.to(g))})))),new y.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Range],new y.ApiCommandResult("A promise that resolves to an array of InlineValue objects",b=>b.map(t.InlineValue.to))),new y.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[new y.ApiCommandArgument("uriOrString","Uri-instance or string (only http/https)",b=>u.URI.isUri(b)||typeof b=="string"&&(0,I.matchesSomeScheme)(b,R.Schemas.http,R.Schemas.https),b=>b),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",b=>b===void 0||typeof b=="number"||typeof b=="object",b=>b&&(typeof b=="number"?[t.ViewColumn.from(b),void 0]:[t.ViewColumn.from(b.viewColumn),t.TextEditorOpenOptions.from(b)])).optional(),y.ApiCommandArgument.String.with("label","").optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[y.ApiCommandArgument.Uri.with("resource","Resource to open"),y.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",b=>b===void 0||typeof b=="number"||typeof b=="object",b=>b&&(typeof b=="number"?[t.ViewColumn.from(b),void 0]:[t.ViewColumn.from(b.viewColumn),t.TextEditorOpenOptions.from(b)])).optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[y.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),y.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),y.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new y.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",b=>b===void 0||typeof b=="object",b=>b&&[t.ViewColumn.from(b.viewColumn),t.TextEditorOpenOptions.from(b)]).optional()],y.ApiCommandResult.Void),new y.ApiCommand("vscode.prepareTypeHierarchy","_executePrepareTypeHierarchy","Prepare type hierarchy at a position inside a document",[y.ApiCommandArgument.Uri,y.ApiCommandArgument.Position],new y.ApiCommandResult("A TypeHierarchyItem or undefined",b=>b.map(t.TypeHierarchyItem.to))),new y.ApiCommand("vscode.provideSupertypes","_executeProvideSupertypes","Compute supertypes for an item",[y.ApiCommandArgument.TypeHierarchyItem],new y.ApiCommandResult("A TypeHierarchyItem or undefined",b=>b.map(t.TypeHierarchyItem.to))),new y.ApiCommand("vscode.provideSubtypes","_executeProvideSubtypes","Compute subtypes for an item",[y.ApiCommandArgument.TypeHierarchyItem],new y.ApiCommandResult("A TypeHierarchyItem or undefined",b=>b.map(t.TypeHierarchyItem.to))),new y.ApiCommand("vscode.revealTestInExplorer","_revealTestInExplorer","Reveals a test instance in the explorer",[y.ApiCommandArgument.TestItem],y.ApiCommandResult.Void),new y.ApiCommand("vscode.experimental.editSession.continue","_workbench.experimental.editSessions.actions.continueEditSession","Continue the current edit session in a different workspace",[y.ApiCommandArgument.Uri.with("workspaceUri","The target workspace to continue the current edit session in")],y.ApiCommandResult.Void)];class _{static register(g){k.forEach(g.registerApiCommand,g)}}e.ExtHostApiCommands=_;function P(b){return g=>{if(Array.isArray(g))return g.map(b)}}function w(b){if(!Array.isArray(b))return;const g=[];for(const f of b)T.isLocationLink(f)?g.push(t.DefinitionLink.to(f)):g.push(t.location.to(f));return g}}),define(Ie[240],ke([1,0,18,57,3,6,2,63,28,15,7,27,5]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostComments=void 0;function P(w,b,g){const f=w.getProxy(_.MainContext.MainThreadComments);class v{constructor(){this._commentControllers=new Map,this._commentControllersByExtension=new Map,b.registerArgumentProcessor({processArgument:n=>{if(n&&n.$mid===6){const s=this._commentControllers.get(n.handle);return s?s.value:n}else if(n&&n.$mid===7){const s=this._commentControllers.get(n.commentControlHandle);if(!s)return n;const l=s.getCommentThread(n.commentThreadHandle);return l?l.value:n}else if(n&&n.$mid===8){const s=this._commentControllers.get(n.thread.commentControlHandle);if(!s)return n;const l=s.getCommentThread(n.thread.commentThreadHandle);return l?{thread:l.value,text:n.text}:n}else if(n&&n.$mid===9){const s=this._commentControllers.get(n.thread.commentControlHandle);if(!s)return n;const l=s.getCommentThread(n.thread.commentThreadHandle);if(!l)return n;const d=n.commentUniqueId,S=l.getCommentByUniqueId(d);return S||n}else if(n&&n.$mid===10){const s=this._commentControllers.get(n.thread.commentControlHandle);if(!s)return n;const l=s.getCommentThread(n.thread.commentThreadHandle);if(!l)return n;const d=n.text,S=n.commentUniqueId,L=l.getCommentByUniqueId(S);return L?(L.body=d,L):n}return n}})}createCommentController(n,s,l){const d=v.handlePool++,S=new c(n,d,s,l);this._commentControllers.set(S.handle,S);const L=this._commentControllersByExtension.get(E.ExtensionIdentifier.toKey(n.identifier))||[];return L.push(S),this._commentControllersByExtension.set(E.ExtensionIdentifier.toKey(n.identifier),L),S.value}$createCommentThreadTemplate(n,s,l){const d=this._commentControllers.get(n);!d||d.$createCommentThreadTemplate(s,l)}async $updateCommentThreadTemplate(n,s,l){const d=this._commentControllers.get(n);!d||d.$updateCommentThreadTemplate(s,l)}$deleteCommentThread(n,s){this._commentControllers.get(n)?.$deleteCommentThread(s)}$provideCommentingRanges(n,s,l){const d=this._commentControllers.get(n);if(!d||!d.commentingRangeProvider)return Promise.resolve(void 0);const S=g.getDocument(y.URI.revive(s));return(0,u.asPromise)(()=>d.commentingRangeProvider.provideCommentingRanges(S,l)).then(L=>L?L.map(F=>I.Range.from(F)):void 0)}$toggleReaction(n,s,l,d,S){const L=this._commentControllers.get(n);return!L||!L.reactionHandler?Promise.resolve(void 0):(0,u.asPromise)(()=>{const F=L.getCommentThread(s);if(F){const N=F.getCommentByUniqueId(d.uniqueIdInThread);if(L!==void 0&&N&&L.reactionHandler)return L.reactionHandler(N,h(S))}return Promise.resolve(void 0)})}dispose(){}}v.handlePool=0;class p{constructor(n,s,l,d,S,L,F,N){this._commentControllerHandle=s,this._id=l,this._uri=d,this._range=S,this._comments=L,this.extensionDescription=F,this._isTemplate=N,this.handle=p._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new D.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new T.MutableDisposable,this._acceptInputDisposables.value=new T.DisposableStore,this._id===void 0&&(this._id=`${n}.${this.handle}`),f.$createCommentThread(s,this.handle,this._id,this._uri,I.Range.from(this._range),F.identifier,this._isTemplate),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=L,this._localDisposables.push({dispose:()=>{f.$deleteCommentThread(s,this.handle)}});const A=this;this.value={get uri(){return A.uri},get range(){return A.range},set range($){A.range=$},get comments(){return A.comments},set comments($){A.comments=$},get collapsibleState(){return A.collapsibleState},set collapsibleState($){A.collapsibleState=$},get canReply(){return A.canReply},set canReply($){A.canReply=$},get contextValue(){return A.contextValue},set contextValue($){A.contextValue=$},get label(){return A.label},set label($){A.label=$},get state(){return A.state},set state($){A.state=$},dispose:()=>{A.dispose()}}}set threadId(n){this._id=n}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(n){n.isEqual(this._range)||(this._range=n,this.modifications.range=n,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(n){this._canReply!==n&&(this._canReply=n,this.modifications.canReply=n,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(n){this._label=n,this.modifications.label=n,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(n){this._contextValue=n,this.modifications.contextValue=n,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(n){this._comments=n,this.modifications.comments=n,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(n){this._collapseState=n,this.modifications.collapsibleState=n,this._onDidUpdateCommentThread.fire()}get state(){return(0,k.checkProposedApiEnabled)(this.extensionDescription,"commentsResolvedState"),this._state}set state(n){(0,k.checkProposedApiEnabled)(this.extensionDescription,"commentsResolvedState"),this._state=n,this.modifications.state=n,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}updateIsTemplate(){this._isTemplate&&(this._isTemplate=!1,this.modifications.isTemplate=!1)}eventuallyUpdateCommentThread(){if(this._isDiposed)return;this.updateIsTemplate(),this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new T.DisposableStore);const n=l=>Object.prototype.hasOwnProperty.call(this.modifications,l),s={};n("range")&&(s.range=I.Range.from(this._range)),n("label")&&(s.label=this.label),n("contextValue")&&(s.contextValue=this.contextValue??null),n("comments")&&(s.comments=this._comments.map(l=>m(this,l,this._commentsMap))),n("collapsibleState")&&(s.collapseState=r(this._collapseState)),n("canReply")&&(s.canReply=this.canReply),n("state")&&(s.state=o(this._state)),n("isTemplate")&&(s.isTemplate=this._isTemplate),this.modifications={},f.$updateCommentThread(this._commentControllerHandle,this.handle,this._id,this._uri,s)}getCommentByUniqueId(n){for(const s of this._commentsMap){const l=s[0],d=s[1];if(n===d)return l}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(n=>n.dispose())}}p._handlePool=0,st([(0,t.debounce)(100)],p.prototype,"eventuallyUpdateCommentThread",null);class c{constructor(n,s,l,d){this._extension=n,this._handle=s,this._id=l,this._label=d,this._threads=new Map,f.$registerCommentController(this.handle,l,d);const S=this;this.value=Object.freeze({id:S.id,label:S.label,get options(){return S.options},set options(L){S.options=L},get commentingRangeProvider(){return S.commentingRangeProvider},set commentingRangeProvider(L){S.commentingRangeProvider=L},get reactionHandler(){return S.reactionHandler},set reactionHandler(L){S.reactionHandler=L},createCommentThread(L,F,N){return S.createCommentThread(L,F,N).value},dispose:()=>{S.dispose()}}),this._localDisposables=[],this._localDisposables.push({dispose:()=>{f.$unregisterCommentController(this.handle)}})}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get commentingRangeProvider(){return this._commentingRangeProvider}set commentingRangeProvider(n){this._commentingRangeProvider=n,f.$updateCommentingRanges(this.handle)}get reactionHandler(){return this._reactionHandler}set reactionHandler(n){this._reactionHandler=n,f.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!n})}get options(){return this._options}set options(n){this._options=n,f.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(n,s,l,d){if(typeof n=="string"){const S=new p(this.id,this.handle,n,s,l,d,this._extension,!1);return this._threads.set(S.handle,S),S}else{const S=new p(this.id,this.handle,void 0,n,s,l,this._extension,!1);return this._threads.set(S.handle,S),S}}$createCommentThreadTemplate(n,s){const l=new p(this.id,this.handle,void 0,y.URI.revive(n),I.Range.to(s),[],this._extension,!0);return l.collapsibleState=C.CommentThreadCollapsibleState.Expanded,this._threads.set(l.handle,l),l}$updateCommentThreadTemplate(n,s){const l=this._threads.get(n);l&&(l.range=I.Range.to(s))}$deleteCommentThread(n){const s=this._threads.get(n);s&&s.dispose(),this._threads.delete(n)}getCommentThread(n){return this._threads.get(n)}dispose(){this._threads.forEach(n=>{n.dispose()}),this._localDisposables.forEach(n=>n.dispose())}}function m(i,n,s){let l=s.get(n);l||(l=++i.commentHandle,s.set(n,l));const d=n.author&&n.author.iconPath?n.author.iconPath.toString():void 0;return{mode:n.mode,contextValue:n.contextValue,uniqueIdInThread:l,body:typeof n.body=="string"?n.body:I.MarkdownString.from(n.body),userName:n.author.name,userIconPath:d,label:n.label,commentReactions:n.reactions?n.reactions.map(S=>a(S)):void 0,timestamp:n.timestamp?.toJSON()}}function a(i){return{label:i.label,iconPath:i.iconPath?I.pathOrURIToURI(i.iconPath):void 0,count:i.count,hasReacted:i.authorHasReacted}}function h(i){return{label:i.label||"",count:i.count||0,iconPath:i.iconPath?y.URI.revive(i.iconPath):"",authorHasReacted:i.hasReacted||!1}}function r(i){if(i!==void 0)switch(i){case R.CommentThreadCollapsibleState.Expanded:return C.CommentThreadCollapsibleState.Expanded;case R.CommentThreadCollapsibleState.Collapsed:return C.CommentThreadCollapsibleState.Collapsed}return C.CommentThreadCollapsibleState.Collapsed}function o(i){if(i!==void 0)switch(i){case R.CommentThreadState.Unresolved:return C.CommentThreadState.Unresolved;case R.CommentThreadState.Resolved:return C.CommentThreadState.Resolved}return C.CommentThreadState.Unresolved}return new v}e.createExtHostComments=P}),define(Ie[241],ke([1,0,24,5,26,17]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtHostConsoleForwarder=void 0;let y=class{constructor(R,k){this._mainThreadConsole=R.getProxy(t.MainContext.MainThreadConsole),this._includeStack=k.consoleForward.includeStack,this._logNative=k.consoleForward.logNative,this._wrapConsoleMethod("info","log"),this._wrapConsoleMethod("log","log"),this._wrapConsoleMethod("warn","warn"),this._wrapConsoleMethod("error","error")}_wrapConsoleMethod(R,k){const _=this,P=console[R];Object.defineProperty(console,R,{set:()=>{},get:()=>function(){_._handleConsoleCall(R,k,P,arguments)}})}_handleConsoleCall(R,k,_,P){this._mainThreadConsole.$logExtensionHostMessage({type:"__$console",severity:k,arguments:E(P,this._includeStack)}),this._logNative&&this._nativeConsoleLogMessage(R,_,P)}};y=st([He(0,T.IExtHostRpcService),He(1,D.IExtHostInitDataService)],y),e.AbstractExtHostConsoleForwarder=y;const C=1e5;function E(I,R){const k=[];if(I.length)for(let _=0;_<I.length;_++){let P=I[_];if(typeof P=="undefined")P="undefined";else if(P instanceof Error){const w=P;w.stack?P=w.stack:P=w.toString()}k.push(P)}if(R){const _=new Error().stack;_&&k.push({__$stack:_.split(`
`).slice(3).join(`
`)})}try{const _=(0,u.safeStringify)(k);return _.length>C?"Output omitted for a large object that exceeds the limits":_}catch(_){return`Output omitted for an object that cannot be inspected ('${_.toString()}')`}}}),define(Ie[135],ke([1,0,2,5,7,4,17,14,16,8,9]),function(Q,e,u,t,D,T,y,C,E,I,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let k=class Sn{constructor(P,w){this._logService=w,this._provider=new Map,this._proxy=P.getProxy(t.MainContext.MainThreadDecorations)}registerFileDecorationProvider(P,w){const b=Sn._handlePool++;this._provider.set(b,{provider:P,extensionId:w}),this._proxy.$registerDecorationProvider(b,w.value);const g=P.onDidChangeFileDecorations&&P.onDidChangeFileDecorations(f=>{if(!f){this._proxy.$onDidChange(b,null);return}const v=(0,E.asArray)(f);if(v.length<=Sn._maxEventSize){this._proxy.$onDidChange(b,v);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",w.value,v.length);const p=v.map(a=>({uri:a,rank:(0,I.count)(a.path,"/")})),c=(0,E.groupBy)(p,(a,h)=>a.rank-h.rank||(0,I.compare)(a.uri.path,h.uri.path)),m=[];e:for(const a of c){let h;for(const r of a){const o=(0,R.dirname)(r.uri.path);if(h!==o&&(h=o,m.push(r.uri)>=Sn._maxEventSize))break e}}this._proxy.$onDidChange(b,m)});return new D.Disposable(()=>{g?.dispose(),this._proxy.$unregisterDecorationProvider(b),this._provider.delete(b)})}async $provideDecorations(P,w,b){if(!this._provider.has(P))return Object.create(null);const g=Object.create(null),{provider:f,extensionId:v}=this._provider.get(P);return await Promise.all(w.map(async p=>{try{const{uri:c,id:m}=p,a=await Promise.resolve(f.provideFileDecoration(u.URI.revive(c),b));if(!a)return;try{D.FileDecoration.validate(a),g[m]=[a.propagate,a.tooltip,a.badge,a.color]}catch(h){this._logService.warn(`INVALID decoration from extension '${v.value}': ${h}`)}}catch(c){this._logService.error(c)}})),g}};k._handlePool=0,k._maxEventSize=250,k=st([He(0,y.IExtHostRpcService),He(1,C.ILogService)],k),e.ExtHostDecorations=k,e.IExtHostDecorations=(0,T.createDecorator)("IExtHostDecorations")});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[242],ke([1,0,170,117,2,5,7,15,3,14,25,46]),function(Q,e,u,t,D,T,y,C,E,I,R,k){"use strict";var _,P,w;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class b{constructor(v,p,c,m,a,h){this._name=v,this._owner=p,this._maxDiagnosticsPerFile=c,_.set(this,void 0),P.set(this,void 0),w.set(this,void 0),this._isDisposed=!1,tt(this,w,new R.ResourceMap(r=>m.getComparisonKey(r)),"f"),tt(this,_,a,"f"),tt(this,P,h,"f")}dispose(){this._isDisposed||(Me(this,P,"f").fire([...Me(this,w,"f").keys()]),Me(this,_,"f")?.$clear(this._owner),Me(this,w,"f").clear(),this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(v,p){if(!v){this.clear();return}this._checkDisposed();let c=[];if(D.URI.isUri(v)){if(!p){this.delete(v);return}Me(this,w,"f").set(v,p.slice()),c=[v]}else if(Array.isArray(v)){c=[];let a;v=[...v].sort(b._compareIndexedTuplesByUri);for(const h of v){const[r,o]=h;if((!a||r.toString()!==a.toString())&&(a&&Me(this,w,"f").get(a).length===0&&Me(this,w,"f").delete(a),a=r,c.push(r),Me(this,w,"f").set(r,[])),o)Me(this,w,"f").get(r)?.push(...o);else{const i=Me(this,w,"f").get(r);i&&(i.length=0)}}}if(Me(this,P,"f").fire(c),!Me(this,_,"f"))return;const m=[];for(const a of c){let h=[];const r=Me(this,w,"f").get(a);if(r)if(r.length>this._maxDiagnosticsPerFile){h=[];const o=[y.DiagnosticSeverity.Error,y.DiagnosticSeverity.Warning,y.DiagnosticSeverity.Information,y.DiagnosticSeverity.Hint];e:for(let i=0;i<4;i++)for(const n of r)if(n.severity===o[i]&&h.push(C.Diagnostic.from(n))===this._maxDiagnosticsPerFile)break e;h.push({severity:t.MarkerSeverity.Info,message:(0,u.localize)(0,null,r.length-this._maxDiagnosticsPerFile),startLineNumber:h[h.length-1].startLineNumber,startColumn:h[h.length-1].startColumn,endLineNumber:h[h.length-1].endLineNumber,endColumn:h[h.length-1].endColumn})}else h=r.map(o=>C.Diagnostic.from(o));m.push([a,h])}Me(this,_,"f").$changeMany(this._owner,m)}delete(v){this._checkDisposed(),Me(this,P,"f").fire([v]),Me(this,w,"f").delete(v),Me(this,_,"f")?.$changeMany(this._owner,[[v,void 0]])}clear(){this._checkDisposed(),Me(this,P,"f").fire([...Me(this,w,"f").keys()]),Me(this,w,"f").clear(),Me(this,_,"f")?.$clear(this._owner)}forEach(v,p){this._checkDisposed();for(const[c,m]of this)v.call(p,c,m,this)}*[(_=new WeakMap,P=new WeakMap,w=new WeakMap,Symbol.iterator)](){this._checkDisposed();for(const v of Me(this,w,"f").keys())yield[v,this.get(v)]}get(v){this._checkDisposed();const p=Me(this,w,"f").get(v);return Array.isArray(p)?Object.freeze(p.slice(0)):[]}has(v){return this._checkDisposed(),Array.isArray(Me(this,w,"f").get(v))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(v,p){return v[0].toString()<p[0].toString()?-1:v[0].toString()>p[0].toString()?1:0}}e.DiagnosticCollection=b;let g=class rn{constructor(v,p,c){this._logService=p,this._fileSystemInfoService=c,this._collections=new Map,this._onDidChangeDiagnostics=new E.DebounceEmitter({merge:m=>m.flat(),delay:50}),this.onDidChangeDiagnostics=E.Event.map(this._onDidChangeDiagnostics.event,rn._mapper),this._proxy=v.getProxy(T.MainContext.MainThreadDiagnostics)}static _mapper(v){const p=new R.ResourceMap;for(const c of v)p.set(c,c);return{uris:Object.freeze(Array.from(p.values()))}}createDiagnosticCollection(v,p){const{_collections:c,_proxy:m,_onDidChangeDiagnostics:a,_logService:h,_fileSystemInfoService:r}=this,o=new class{$changeMany(s,l){m.$changeMany(s,l),h.trace("[DiagnosticCollection] change many (extension, owner, uris)",v.value,s,l.length===0?"CLEARING":l)}$clear(s){m.$clear(s),h.trace("[DiagnosticCollection] remove all (extension, owner)",v.value,s)}dispose(){m.dispose()}};let i;if(!p)p="_generated_diagnostic_collection_name_#"+rn._idPool++,i=p;else if(!c.has(p))i=p;else{this._logService.warn(`DiagnosticCollection with name '${p}' does already exist.`);do i=p+rn._idPool++;while(c.has(i))}return new class extends b{constructor(){super(p,i,rn._maxDiagnosticsPerFile,r.extUri,o,a);c.set(i,this)}dispose(){super.dispose(),c.delete(i)}}}getDiagnostics(v){if(v)return this._getDiagnostics(v);{const p=new Map,c=[];for(const m of this._collections.values())m.forEach((a,h)=>{let r=p.get(a.toString());typeof r=="undefined"&&(r=c.length,p.set(a.toString(),r),c.push([a,[]])),c[r][1]=c[r][1].concat(...h)});return c}}_getDiagnostics(v){let p=[];for(const c of this._collections.values())c.has(v)&&(p=p.concat(c.get(v)));return p}$acceptMarkersChange(v){if(!this._mirrorCollection){const p="_generated_mirror",c=new b(p,p,rn._maxDiagnosticsPerFile,this._fileSystemInfoService.extUri,void 0,this._onDidChangeDiagnostics);this._collections.set(p,c),this._mirrorCollection=c}for(const[p,c]of v)this._mirrorCollection.set(D.URI.revive(p),c.map(C.Diagnostic.to))}};g._idPool=0,g._maxDiagnosticsPerFile=1e3,g=st([He(1,I.ILogService),He(2,k.IExtHostFileSystemInfo)],g),e.ExtHostDiagnostics=g}),define(Ie[243],ke([1,0,2,5]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class D{constructor(y){this._proxy=y.getProxy(t.MainContext.MainThreadDialogs)}showOpenDialog(y){return this._proxy.$showOpenDialog(y).then(C=>C?C.map(E=>u.URI.revive(E)):void 0)}showSaveDialog(y){return this._proxy.$showSaveDialog(y).then(C=>C?u.URI.revive(C):void 0)}}e.ExtHostDialogs=D}),define(Ie[244],ke([1,0,12,2,7,5,11,21,8]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class I{constructor(k,_,P){this._documentsAndEditors=_,this._logService=P,this._documentContentProviders=new Map,this._proxy=k.getProxy(T.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(k,_){if(Object.keys(y.Schemas).indexOf(k)>=0)throw new Error(`scheme '${k}' already registered`);const P=I._handlePool++;this._documentContentProviders.set(P,_),this._proxy.$registerTextContentProvider(P,k);let w;return typeof _.onDidChange=="function"&&(w=_.onDidChange(b=>{if(b.scheme!==k){this._logService.warn(`Provider for scheme '${k}' is firing event for schema '${b.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(b)&&this.$provideTextDocumentContent(P,b).then(g=>{if(!g&&typeof g!="string")return;const f=this._documentsAndEditors.getDocument(b);if(!f)return;const v=(0,E.splitLines)(g);if(!f.equalLines(v))return this._proxy.$onVirtualDocumentChange(b,g)},u.onUnexpectedError)})),new D.Disposable(()=>{this._documentContentProviders.delete(P)&&this._proxy.$unregisterTextContentProvider(P),w&&(w.dispose(),w=void 0)})}$provideTextDocumentContent(k,_){const P=this._documentContentProviders.get(k);return P?Promise.resolve(P.provideTextDocumentContent(t.URI.revive(_),C.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${_.scheme}`))}}e.ExtHostDocumentContentProvider=I,I._handlePool=0}),define(Ie[245],ke([1,0,3,6,2,5,126,15,10,24,7]),function(Q,e,u,t,D,T,y,C,E,I,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class k{constructor(P,w){this._onDidAddDocument=new u.Emitter,this._onDidRemoveDocument=new u.Emitter,this._onDidChangeDocument=new u.Emitter,this._onDidSaveDocument=new u.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new t.DisposableStore,this._documentLoader=new Map,this._proxy=P.getProxy(T.MainContext.MainThreadDocuments),this._documentsAndEditors=w,this._documentsAndEditors.onDidRemoveDocuments(b=>{for(const g of b)this._onDidRemoveDocument.fire(g.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(b=>{for(const g of b)this._onDidAddDocument.fire(g.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(P){if(!P)return;const w=this._documentsAndEditors.getDocument(P);if(w)return w}getDocument(P){const w=this.getDocumentData(P);if(!w?.document)throw new Error(`Unable to retrieve document from URI '${P}'`);return w.document}ensureDocumentData(P){const w=this._documentsAndEditors.getDocument(P);if(w)return Promise.resolve(w);let b=this._documentLoader.get(P.toString());return b||(b=this._proxy.$tryOpenDocument(P).then(g=>{this._documentLoader.delete(P.toString());const f=D.URI.revive(g);return(0,E.assertIsDefined)(this._documentsAndEditors.getDocument(f))},g=>(this._documentLoader.delete(P.toString()),Promise.reject(g))),this._documentLoader.set(P.toString(),b)),b}createDocumentData(P){return this._proxy.$tryCreateDocument(P).then(w=>D.URI.revive(w))}$acceptModelLanguageChanged(P,w){const b=D.URI.revive(P),g=this._documentsAndEditors.getDocument(b);if(!g)throw new Error("unknown document");this._onDidRemoveDocument.fire(g.document),g._acceptLanguageId(w),this._onDidAddDocument.fire(g.document)}$acceptModelSaved(P){const w=D.URI.revive(P),b=this._documentsAndEditors.getDocument(w);if(!b)throw new Error("unknown document");this.$acceptDirtyStateChanged(P,!1),this._onDidSaveDocument.fire(b.document)}$acceptDirtyStateChanged(P,w){const b=D.URI.revive(P),g=this._documentsAndEditors.getDocument(b);if(!g)throw new Error("unknown document");g._acceptIsDirty(w),this._onDidChangeDocument.fire({document:g.document,contentChanges:[],reason:void 0})}$acceptModelChanged(P,w,b){const g=D.URI.revive(P),f=this._documentsAndEditors.getDocument(g);if(!f)throw new Error("unknown document");f._acceptIsDirty(b),f.onEvents(w);let v;w.isUndoing?v=R.TextDocumentChangeReason.Undo:w.isRedoing&&(v=R.TextDocumentChangeReason.Redo),this._onDidChangeDocument.fire((0,I.deepFreeze)({document:f.document,contentChanges:w.changes.map(p=>({range:C.Range.to(p.range),rangeOffset:p.rangeOffset,rangeLength:p.rangeLength,text:p.text})),reason:v}))}setWordDefinitionFor(P,w){(0,y.setWordDefinitionFor)(P,w)}}e.ExtHostDocuments=k}),define(Ie[54],ke([1,0,56,3,6,2,4,5,126,17,133,15,14,25,11,59,78]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class f{constructor(c){this.value=c,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let v=class{constructor(c,m){this._extHostRpc=c,this._logService=m,this._activeEditorId=null,this._editors=new Map,this._documents=new P.ResourceMap,this._onDidAddDocuments=new t.Emitter,this._onDidRemoveDocuments=new t.Emitter,this._onDidChangeVisibleTextEditors=new t.Emitter,this._onDidChangeActiveTextEditor=new t.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(c){this.acceptDocumentsAndEditorsDelta(c)}acceptDocumentsAndEditorsDelta(c){const m=[],a=[],h=[];if(c.removedDocuments)for(const r of c.removedDocuments){const o=T.URI.revive(r),i=this._documents.get(o);i?.unref()&&(this._documents.delete(o),m.push(i.value))}if(c.addedDocuments)for(const r of c.addedDocuments){const o=T.URI.revive(r.uri);let i=this._documents.get(o);if(i&&o.scheme!==w.Schemas.vscodeNotebookCell&&o.scheme!==w.Schemas.vscodeInteractiveInput)throw new Error(`document '${o} already exists!'`);i||(i=new f(new E.ExtHostDocumentData(this._extHostRpc.getProxy(C.MainContext.MainThreadDocuments),o,r.lines,r.EOL,r.versionId,r.languageId,r.isDirty,r.notebook)),this._documents.set(o,i),a.push(i.value)),i.ref()}if(c.removedEditors)for(const r of c.removedEditors){const o=this._editors.get(r);this._editors.delete(r),o&&h.push(o)}if(c.addedEditors)for(const r of c.addedEditors){const o=T.URI.revive(r.documentUri);u.ok(this._documents.has(o),`document '${o}' does not exist`),u.ok(!this._editors.has(r.id),`editor '${r.id}' already exists!`);const i=this._documents.get(o).value,n=new R.ExtHostTextEditor(r.id,this._extHostRpc.getProxy(C.MainContext.MainThreadTextEditors),this._logService,new g.Lazy(()=>i.document),r.selections.map(k.Selection.to),r.options,r.visibleRanges.map(s=>k.Range.to(s)),typeof r.editorPosition=="number"?k.ViewColumn.to(r.editorPosition):void 0);this._editors.set(r.id,n)}c.newActiveEditor!==void 0&&(u.ok(c.newActiveEditor===null||this._editors.has(c.newActiveEditor),`active editor '${c.newActiveEditor}' does not exist`),this._activeEditorId=c.newActiveEditor),(0,D.dispose)(m),(0,D.dispose)(h),c.removedDocuments&&this._onDidRemoveDocuments.fire(m),c.addedDocuments&&this._onDidAddDocuments.fire(a),(c.removedEditors||c.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(r=>r.value)),c.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(c){return this._documents.get(c)?.value}allDocuments(){return b.Iterable.map(this._documents.values(),c=>c.value)}getEditor(c){return this._editors.get(c)}activeEditor(c){if(!this._activeEditorId)return;const m=this._editors.get(this._activeEditorId);return c?m:m?.value}allEditors(){return[...this._editors.values()]}};v=st([He(0,I.IExtHostRpcService),He(1,_.ILogService)],v),e.ExtHostDocumentsAndEditors=v,e.IExtHostDocumentsAndEditors=(0,y.createDecorator)("IExtHostDocumentsAndEditors")}),define(Ie[55],ke([1,0,15,5,2,3,4,7,17,10,77]),function(Q,e,u,t,D,T,y,C,E,I,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=e.IExtHostEditorTabs=void 0,e.IExtHostEditorTabs=(0,y.createDecorator)("IExtHostEditorTabs");class k{constructor(g,f,v){this._activeTabIdGetter=v,this._parentGroup=f,this.acceptDtoUpdate(g)}get apiObject(){if(!this._apiObject){const g=this,f={get isActive(){return g._dto.id===g._activeTabIdGetter()},get label(){return g._dto.label},get input(){return g._input},get isDirty(){return g._dto.isDirty},get isPinned(){return g._dto.isPinned},get isPreview(){return g._dto.isPreview},get group(){return g._parentGroup.apiObject}};this._apiObject=Object.freeze(f)}return this._apiObject}get tabId(){return this._dto.id}acceptDtoUpdate(g){this._dto=g,this._input=this._initInput()}_initInput(){switch(this._dto.input.kind){case 1:return new C.TextTabInput(D.URI.revive(this._dto.input.uri));case 2:return new C.TextDiffTabInput(D.URI.revive(this._dto.input.original),D.URI.revive(this._dto.input.modified));case 5:return new C.CustomEditorTabInput(D.URI.revive(this._dto.input.uri),this._dto.input.viewType);case 6:return new C.WebviewEditorTabInput(this._dto.input.viewType);case 3:return new C.NotebookEditorTabInput(D.URI.revive(this._dto.input.uri),this._dto.input.notebookType);case 4:return new C.NotebookDiffEditorTabInput(D.URI.revive(this._dto.input.original),D.URI.revive(this._dto.input.modified),this._dto.input.notebookType);case 7:return new C.TerminalEditorTabInput;default:return}}}class _{constructor(g,f,v){this._tabs=[],this._activeTabId="",this._dto=g,this._activeGroupIdGetter=v;for(const p of g.tabs)p.isActive&&(this._activeTabId=p.id),this._tabs.push(new k(p,this,()=>this.activeTabId()))}get apiObject(){if(!this._apiObject){const g=this,f={get isActive(){return g._dto.groupId===g._activeGroupIdGetter()},get viewColumn(){return u.ViewColumn.to(g._dto.viewColumn)},get activeTab(){return g._tabs.find(v=>v.tabId===g._activeTabId)?.apiObject},get tabs(){return Object.freeze(g._tabs.map(v=>v.apiObject))}};this._apiObject=Object.freeze(f)}return this._apiObject}get groupId(){return this._dto.groupId}get tabs(){return this._tabs}acceptGroupDtoUpdate(g){this._dto=g}acceptTabOperation(g){if(g.kind===0){const v=new k(g.tabDto,this,()=>this.activeTabId());return this._tabs.splice(g.index,0,v),g.tabDto.isActive&&(this._activeTabId=v.tabId),v}else if(g.kind===1){const v=this._tabs.splice(g.index,1)[0];if(!v)throw new Error(`Tab close updated received for index ${g.index} which does not exist`);return v.tabId===this._activeTabId&&(this._activeTabId=""),v}else if(g.kind===3){if(g.oldIndex===void 0)throw new Error("Invalid old index on move IPC");const v=this._tabs.splice(g.oldIndex,1)[0];if(!v)throw new Error(`Tab move updated received for index ${g.oldIndex} which does not exist`);return this._tabs.splice(g.index,0,v),v}const f=this._tabs.find(v=>v.tabId===g.tabDto.id);if(!f)throw new Error("INVALID tab");return g.tabDto.isActive?this._activeTabId=g.tabDto.id:this._activeTabId===g.tabDto.id&&!g.tabDto.isActive&&(this._activeTabId=""),f.acceptDtoUpdate(g.tabDto),f}activeTabId(){return this._activeTabId}}let P=class{constructor(g){this._onDidChangeTabs=new T.Emitter,this._onDidChangeTabGroups=new T.Emitter,this._extHostTabGroups=[],this._proxy=g.getProxy(t.MainContext.MainThreadEditorTabs)}get tabGroups(){if(!this._apiObject){const g=this,f={onDidChangeTabGroups:g._onDidChangeTabGroups.event,onDidChangeTabs:g._onDidChangeTabs.event,get all(){return Object.freeze(g._extHostTabGroups.map(v=>v.apiObject))},get activeTabGroup(){const v=g._activeGroupId;return(0,I.assertIsDefined)(g._extHostTabGroups.find(c=>c.groupId===v)?.apiObject)},close:async(v,p)=>{const c=Array.isArray(v)?v:[v];return c.length?w(c[0])?this._closeGroups(c,p):this._closeTabs(c,p):!0}};this._apiObject=Object.freeze(f)}return this._apiObject}$acceptEditorTabModel(g){const f=new Set(this._extHostTabGroups.map(r=>r.groupId)),v=new Set(g.map(r=>r.groupId)),p=(0,R.diffSets)(f,v),c=this._extHostTabGroups.filter(r=>p.removed.includes(r.groupId)).map(r=>r.apiObject),m=[],a=[];this._extHostTabGroups=g.map(r=>{const o=new _(r,this._proxy,()=>this._activeGroupId);return p.added.includes(o.groupId)?m.push(o.apiObject):a.push(o.apiObject),o});const h=(0,I.assertIsDefined)(g.find(r=>r.isActive===!0)?.groupId);h!==void 0&&this._activeGroupId!==h&&(this._activeGroupId=h),this._onDidChangeTabGroups.fire(Object.freeze({opened:m,closed:c,changed:a}))}$acceptTabGroupUpdate(g){const f=this._extHostTabGroups.find(v=>v.groupId===g.groupId);if(!f)throw new Error("Update Group IPC call received before group creation.");f.acceptGroupDtoUpdate(g),g.isActive&&(this._activeGroupId=g.groupId),this._onDidChangeTabGroups.fire(Object.freeze({changed:[f.apiObject],opened:[],closed:[]}))}$acceptTabOperation(g){const f=this._extHostTabGroups.find(p=>p.groupId===g.groupId);if(!f)throw new Error("Update Tabs IPC call received before group creation.");const v=f.acceptTabOperation(g);switch(g.kind){case 0:this._onDidChangeTabs.fire(Object.freeze({opened:[v.apiObject],closed:[],changed:[]}));return;case 1:this._onDidChangeTabs.fire(Object.freeze({opened:[],closed:[v.apiObject],changed:[]}));return;case 3:case 2:this._onDidChangeTabs.fire(Object.freeze({opened:[],closed:[],changed:[v.apiObject]}));return}}_findExtHostTabFromApi(g){for(const f of this._extHostTabGroups)for(const v of f.tabs)if(v.apiObject===g)return v}_findExtHostTabGroupFromApi(g){return this._extHostTabGroups.find(f=>f.apiObject===g)}async _closeTabs(g,f){const v=[];for(const p of g){const c=this._findExtHostTabFromApi(p);if(!c)throw new Error("Tab close: Invalid tab not found!");v.push(c.tabId)}return this._proxy.$closeTab(v,f)}async _closeGroups(g,f){const v=[];for(const p of g){const c=this._findExtHostTabGroupFromApi(p);if(!c)throw new Error("Group close: Invalid group not found!");v.push(c.groupId)}return this._proxy.$closeGroup(v,f)}};P=st([He(0,E.IExtHostRpcService)],P),e.ExtHostEditorTabs=P;function w(b){return b.tabs!==void 0}}),define(Ie[246],ke([1,0,2,5,6,7,15,149,8,23,27]),function(Q,e,u,t,D,T,y,C,E,I,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class k{constructor(){this._schemes=[]}add(w){this._stateMachine=void 0,this._schemes.push(w)}delete(w){const b=this._schemes.indexOf(w);b>=0&&(this._schemes.splice(b,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const w=this._schemes.sort(),b=[];let g,f,v=14,p=14;for(const c of w){let m=g?(0,E.commonPrefixLength)(g,c):0;for(m===0?f=1:f=p;m<c.length;m++)m+1===c.length?(v=p,p=9):p+=1,b.push([f,c.toUpperCase().charCodeAt(m),p]),b.push([f,c.toLowerCase().charCodeAt(m),p]),f=p;g=c,p=v}b.push([9,58,10]),b.push([10,47,12]),this._stateMachine=new C.StateMachine(b)}}provideDocumentLinks(w){this._initStateMachine();const b=[],g=C.LinkComputer.computeLinks({getLineContent(f){return w.lineAt(f-1).text},getLineCount(){return w.lineCount}},this._stateMachine);for(const f of g){const v=y.DocumentLink.to(f);v.target&&b.push(v)}return b}}class _{constructor(w,b){this._extHostLanguageFeatures=b,this._linkProvider=new k,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=w.getProxy(t.MainContext.MainThreadFileSystem)}dispose(){this._linkProviderRegistration?.dispose()}registerFileSystemProvider(w,b,g,f={}){if(this._registeredSchemes.has(b))throw new Error(`a provider for the scheme '${b}' is already registered`);this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(w,"*",this._linkProvider));const v=this._handlePool++;this._linkProvider.add(b),this._registeredSchemes.add(b),this._fsProvider.set(v,g);let p=2;f.isCaseSensitive&&(p+=1024),f.isReadonly&&(p+=2048),typeof g.copy=="function"&&(p+=8),typeof g.open=="function"&&typeof g.close=="function"&&typeof g.read=="function"&&typeof g.write=="function"&&((0,R.checkProposedApiEnabled)(w,"fsChunks"),p+=4),this._proxy.$registerFileSystemProvider(v,b,p).catch(m=>{console.error(`FAILED to register filesystem provider of ${w.identifier.value}-extension for the scheme ${b}`),console.error(m)});const c=g.onDidChangeFile(m=>{const a=[];for(const h of m){const{uri:r,type:o}=h;if(r.scheme!==b)continue;let i;switch(o){case T.FileChangeType.Changed:i=0;break;case T.FileChangeType.Created:i=1;break;case T.FileChangeType.Deleted:i=2;break;default:throw new Error("Unknown FileChangeType")}a.push({resource:r,type:i})}this._proxy.$onFileSystemChange(v,a)});return(0,D.toDisposable)(()=>{c.dispose(),this._linkProvider.delete(b),this._registeredSchemes.delete(b),this._fsProvider.delete(v),this._proxy.$unregisterProvider(v)})}static _asIStat(w){const{type:b,ctime:g,mtime:f,size:v,permissions:p}=w;return{type:b,ctime:g,mtime:f,size:v,permissions:p}}$stat(w,b){return Promise.resolve(this._getFsProvider(w).stat(u.URI.revive(b))).then(g=>_._asIStat(g))}$readdir(w,b){return Promise.resolve(this._getFsProvider(w).readDirectory(u.URI.revive(b)))}$readFile(w,b){return Promise.resolve(this._getFsProvider(w).readFile(u.URI.revive(b))).then(g=>I.VSBuffer.wrap(g))}$writeFile(w,b,g,f){return Promise.resolve(this._getFsProvider(w).writeFile(u.URI.revive(b),g.buffer,f))}$delete(w,b,g){return Promise.resolve(this._getFsProvider(w).delete(u.URI.revive(b),g))}$rename(w,b,g,f){return Promise.resolve(this._getFsProvider(w).rename(u.URI.revive(b),u.URI.revive(g),f))}$copy(w,b,g,f){const v=this._getFsProvider(w);if(!v.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(v.copy(u.URI.revive(b),u.URI.revive(g),f))}$mkdir(w,b){return Promise.resolve(this._getFsProvider(w).createDirectory(u.URI.revive(b)))}$watch(w,b,g,f){const v=this._getFsProvider(w).watch(u.URI.revive(g),f);this._watches.set(b,v)}$unwatch(w,b){const g=this._watches.get(b);g&&(g.dispose(),this._watches.delete(b))}$open(w,b,g){const f=this._getFsProvider(w);if(!f.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(f.open(u.URI.revive(b),g))}$close(w,b){const g=this._getFsProvider(w);if(!g.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(g.close(b))}$read(w,b,g,f){const v=this._getFsProvider(w);if(!v.read)throw new Error('FileSystemProvider does not implement "read"');const p=I.VSBuffer.alloc(f);return Promise.resolve(v.read(b,g,p.buffer,0,f)).then(c=>p.slice(0,c))}$write(w,b,g,f){const v=this._getFsProvider(w);if(!v.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(v.write(b,g,f.buffer,0,f.byteLength))}_getFsProvider(w){const b=this._fsProvider.get(w);if(!b){const g=new Error;throw g.name="ENOPRO",g.message="no provider",g}return b}}e.ExtHostFileSystem=_}),define(Ie[68],ke([1,0,5,43,7,23,4,17,46,6]),function(Q,e,u,t,D,T,y,C,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let R=class qt{constructor(_,P){this._fileSystemProvider=new Map,this._proxy=_.getProxy(u.MainContext.MainThreadFileSystem);const w=this;this.value=Object.freeze({async stat(b){try{const g=w._fileSystemProvider.get(b.scheme);if(!g)return await w._proxy.$stat(b);await w._proxy.$ensureActivation(b.scheme);const f=await g.stat(b);return{type:f.type,ctime:f.ctime,mtime:f.mtime,size:f.size,permissions:f.permissions}}catch(g){qt._handleError(g)}},async readDirectory(b){try{const g=w._fileSystemProvider.get(b.scheme);return g?(await w._proxy.$ensureActivation(b.scheme),(await g.readDirectory(b)).slice()):await w._proxy.$readdir(b)}catch(g){return qt._handleError(g)}},async createDirectory(b){try{return await w._proxy.$mkdir(b)}catch(g){return qt._handleError(g)}},async readFile(b){try{const g=w._fileSystemProvider.get(b.scheme);return g?(await w._proxy.$ensureActivation(b.scheme),(await g.readFile(b)).slice()):(await w._proxy.$readFile(b)).buffer}catch(g){return qt._handleError(g)}},async writeFile(b,g){try{return await w._proxy.$writeFile(b,T.VSBuffer.wrap(g))}catch(f){return qt._handleError(f)}},async delete(b,g){try{const f=w._fileSystemProvider.get(b.scheme);return f?(await w._proxy.$ensureActivation(b.scheme),await f.delete(b,{recursive:!1,...g})):await w._proxy.$delete(b,{recursive:!1,useTrash:!1,...g})}catch(f){return qt._handleError(f)}},async rename(b,g,f){try{return await w._proxy.$rename(b,g,{overwrite:!1,...f})}catch(v){return qt._handleError(v)}},async copy(b,g,f){try{return await w._proxy.$copy(b,g,{overwrite:!1,...f})}catch(v){return qt._handleError(v)}},isWritableFileSystem(b){const g=P.getCapabilities(b);if(typeof g=="number")return!(g&2048)}})}static _handleError(_){if(_ instanceof D.FileSystemError)throw _;if(!(_ instanceof Error))throw new D.FileSystemError(String(_));if(_.name==="ENOPRO")throw D.FileSystemError.Unavailable(_.message);switch(_.name){case t.FileSystemProviderErrorCode.FileExists:throw D.FileSystemError.FileExists(_.message);case t.FileSystemProviderErrorCode.FileNotFound:throw D.FileSystemError.FileNotFound(_.message);case t.FileSystemProviderErrorCode.FileNotADirectory:throw D.FileSystemError.FileNotADirectory(_.message);case t.FileSystemProviderErrorCode.FileIsADirectory:throw D.FileSystemError.FileIsADirectory(_.message);case t.FileSystemProviderErrorCode.NoPermissions:throw D.FileSystemError.NoPermissions(_.message);case t.FileSystemProviderErrorCode.Unavailable:throw D.FileSystemError.Unavailable(_.message);default:throw new D.FileSystemError(_.message,_.name)}}addFileSystemProvider(_,P){return this._fileSystemProvider.set(_,P),(0,I.toDisposable)(()=>this._fileSystemProvider.delete(_))}};R=st([He(0,C.IExtHostRpcService),He(1,E.IExtHostFileSystemInfo)],R),e.ExtHostConsumerFileSystem=R,e.IExtHostConsumerFileSystem=(0,y.createDecorator)("IExtHostConsumerFileSystem")}),define(Ie[247],ke([1,0,3,36,2,5,15,7,27]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class I{constructor(_,P,w,b,g,f,v,p){this._onDidCreate=new u.Emitter,this._onDidChange=new u.Emitter,this._onDidDelete=new u.Emitter;const c=this.ensureWatching(_,w,g);this._config=0,f&&(this._config+=1),v&&(this._config+=2),p&&(this._config+=4);const m=(0,t.parse)(g),a=typeof g=="string",h=b(r=>{if(!f)for(const o of r.created){const i=D.URI.revive(o);m(i.fsPath)&&(!a||P.getWorkspaceFolder(i))&&this._onDidCreate.fire(i)}if(!v)for(const o of r.changed){const i=D.URI.revive(o);m(i.fsPath)&&(!a||P.getWorkspaceFolder(i))&&this._onDidChange.fire(i)}if(!p)for(const o of r.deleted){const i=D.URI.revive(o);m(i.fsPath)&&(!a||P.getWorkspaceFolder(i))&&this._onDidDelete.fire(i)}});this._disposable=C.Disposable.from(c,this._onDidCreate,this._onDidChange,this._onDidDelete,h)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}ensureWatching(_,P,w){const b=C.Disposable.from();if(typeof w=="string")return b;const g=_.getProxy(T.MainContext.MainThreadFileSystem);let f=!1;(w.pattern.includes(t.GLOBSTAR)||w.pattern.includes(t.GLOB_SPLIT))&&(f=!0);const v=Math.random();return g.$watch(P.identifier.value,v,w.baseUri,{recursive:f,excludes:[]}),C.Disposable.from({dispose:()=>g.$unwatch(v)})}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class R{constructor(_,P,w){this._mainContext=_,this._logService=P,this._extHostDocumentsAndEditors=w,this._onFileSystemEvent=new u.Emitter,this._onDidRenameFile=new u.Emitter,this._onDidCreateFile=new u.Emitter,this._onDidDeleteFile=new u.Emitter,this._onWillRenameFile=new u.AsyncEmitter,this._onWillCreateFile=new u.AsyncEmitter,this._onWillDeleteFile=new u.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(_,P,w,b,g,f){return new I(this._mainContext,_,P,this._onFileSystemEvent.event,y.GlobPattern.from(w),b,g,f)}$onFileEvent(_){this._onFileSystemEvent.fire(_)}$onDidRunFileOperation(_,P){switch(_){case 2:this._onDidRenameFile.fire(Object.freeze({files:P.map(w=>({oldUri:D.URI.revive(w.source),newUri:D.URI.revive(w.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:P.map(w=>D.URI.revive(w.target))}));break;case 0:case 3:this._onDidCreateFile.fire(Object.freeze({files:P.map(w=>D.URI.revive(w.target))}));break;default:}}getOnWillRenameFileEvent(_){return this._createWillExecuteEvent(_,this._onWillRenameFile)}getOnWillCreateFileEvent(_){return this._createWillExecuteEvent(_,this._onWillCreateFile)}getOnWillDeleteFileEvent(_){return this._createWillExecuteEvent(_,this._onWillDeleteFile)}_createWillExecuteEvent(_,P){return(w,b,g)=>{const f=function(p){w.call(b,p)};return f.extension=_,P.event(f,void 0,g)}}async $onWillRunFileOperation(_,P,w,b){switch(_){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:P.map(g=>({oldUri:D.URI.revive(g.source),newUri:D.URI.revive(g.target)}))},w,b);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:P.map(g=>D.URI.revive(g.target))},w,b);case 0:case 3:return await this._fireWillEvent(this._onWillCreateFile,{files:P.map(g=>D.URI.revive(g.target))},w,b)}}async _fireWillEvent(_,P,w,b){const g=new Set,f=[];if(await _.fireAsync(P,b,async(p,c)=>{const m=Date.now(),a=await Promise.resolve(p);a instanceof C.WorkspaceEdit&&(f.push([c.extension,a]),g.add(c.extension.displayName??c.extension.identifier.value)),Date.now()-m>w&&this._logService.warn("SLOW file-participant",c.extension.identifier)}),b.isCancellationRequested||f.length===0)return;const v={edits:[]};for(const[p,c]of f){const{edits:m}=y.WorkspaceEdit.from(c,{getTextDocumentVersion:a=>this._extHostDocumentsAndEditors.getDocument(a)?.version,getNotebookDocumentVersion:()=>{}},(0,E.isProposedApiEnabled)(p,"snippetWorkspaceEdit"));v.edits=v.edits.concat(m)}return{edit:v,extensionNames:Array.from(g)}}}e.ExtHostFileSystemEventService=R}),define(Ie[248],ke([1,0,2,37]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostInteractive=void 0;class D{constructor(y,C,E,I,R){this._extHostNotebooks=C,this._textDocumentsAndEditors=E,this._commands=I;const k=new t.ApiCommand("interactive.open","_interactive.open","Open interactive window and return notebook editor and input URI",[new t.ApiCommandArgument("showOptions","Show Options",_=>!0,_=>_),new t.ApiCommandArgument("resource","Interactive resource Uri",_=>!0,_=>_),new t.ApiCommandArgument("controllerId","Notebook controller Id",_=>!0,_=>_),new t.ApiCommandArgument("title","Interactive editor title",_=>!0,_=>_)],new t.ApiCommandResult("Notebook and input URI",_=>{if(R.debug("[ExtHostInteractive] open iw with notebook editor id",_.notebookEditorId),_.notebookEditorId!==void 0){const P=this._extHostNotebooks.getEditorById(_.notebookEditorId);return R.debug("[ExtHostInteractive] notebook editor found",P.id),{notebookUri:u.URI.revive(_.notebookUri),inputUri:u.URI.revive(_.inputUri),notebookEditor:P.apiEditor}}return R.debug("[ExtHostInteractive] notebook editor not found, uris for the interactive document",_.notebookUri,_.inputUri),{notebookUri:u.URI.revive(_.notebookUri),inputUri:u.URI.revive(_.inputUri)}}));this._commands.registerApiCommand(k)}$willAddInteractiveDocument(y,C,E,I){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:C,lines:[""],languageId:E,uri:y,isDirty:!1,versionId:1,notebook:this._extHostNotebooks.getNotebookDocument(u.URI.revive(I))?.apiNotebook}]})}$willRemoveInteractiveDocument(y,C){this._textDocumentsAndEditors.acceptDocumentsAndEditorsDelta({removedDocuments:[y]})}}e.ExtHostInteractive=D}),define(Ie[249],ke([1,0,6,5]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class D{constructor(y){this._handlePool=0,this._proxy=y.getProxy(t.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(y){const C=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(C,y),(0,u.toDisposable)(()=>{this._proxy.$unregisterResourceLabelFormatter(C)})}}e.ExtHostLabelService=D}),define(Ie[250],ke([1,0,2,24,15,7,63,5,8,35,16,10,145,21,6,113,93,87,50,12,18,27]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v,p,c,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class a{constructor(O,H){this._documents=O,this._provider=H}async provideDocumentSymbols(O,H){const G=this._documents.getDocument(O),K=await this._provider.provideDocumentSymbols(G,H);if(!(0,R.isFalsyOrEmpty)(K))return K[0]instanceof T.DocumentSymbol?K.map(D.DocumentSymbol.from):a._asDocumentSymbolTree(K)}static _asDocumentSymbolTree(O){O=O.slice(0).sort((K,de)=>{let we=K.location.range.start.compareTo(de.location.range.start);return we===0&&(we=de.location.range.end.compareTo(K.location.range.end)),we});const H=[],G=[];for(const K of O){const de={name:K.name||"!!MISSING: name!!",kind:D.SymbolKind.from(K.kind),tags:K.tags?.map(D.SymbolTag.from)||[],detail:"",containerName:K.containerName,range:D.Range.from(K.location.range),selectionRange:D.Range.from(K.location.range),children:[]};for(;;){if(G.length===0){G.push(de),H.push(de);break}const we=G[G.length-1];if(I.Range.containsRange(we.range,de.range)&&!I.Range.equalsRange(we.range,de.range)){we.children?.push(de),G.push(de);break}G.pop()}}return H}}class h{constructor(O,H,G){this._documents=O,this._commands=H,this._provider=G,this._cache=new f.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(O,H){const G=this._documents.getDocument(O),K=await this._provider.provideCodeLenses(G,H);if(!K||H.isCancellationRequested)return;const de=this._cache.add(K),we=new w.DisposableStore;this._disposables.set(de,we);const se={cacheId:de,lenses:[]};for(let De=0;De<K.length;De++)se.lenses.push({cacheId:[de,De],range:D.Range.from(K[De].range),command:this._commands.toInternal(K[De].command,we)});return se}async resolveCodeLens(O,H){const G=O.cacheId&&this._cache.get(...O.cacheId);if(!G)return;let K;if(typeof this._provider.resolveCodeLens!="function"||G.isResolved?K=G:K=await this._provider.resolveCodeLens(G,H),K||(K=G),H.isCancellationRequested)return;const de=O.cacheId&&this._disposables.get(O.cacheId[0]);if(!!de)return O.command=this._commands.toInternal(K.command??h._badCmd,de),O}releaseCodeLenses(O){this._disposables.get(O)?.dispose(),this._disposables.delete(O),this._cache.delete(O)}}h._badCmd={command:"missing",title:"!!MISSING: command!!"};function r(ie){return Array.isArray(ie)?ie.map(D.DefinitionLink.from):ie?[D.DefinitionLink.from(ie)]:[]}class o{constructor(O,H){this._documents=O,this._provider=H}async provideDefinition(O,H,G){const K=this._documents.getDocument(O),de=D.Position.to(H),we=await this._provider.provideDefinition(K,de,G);return r(we)}}class i{constructor(O,H){this._documents=O,this._provider=H}async provideDeclaration(O,H,G){const K=this._documents.getDocument(O),de=D.Position.to(H),we=await this._provider.provideDeclaration(K,de,G);return r(we)}}class n{constructor(O,H){this._documents=O,this._provider=H}async provideImplementation(O,H,G){const K=this._documents.getDocument(O),de=D.Position.to(H),we=await this._provider.provideImplementation(K,de,G);return r(we)}}class s{constructor(O,H){this._documents=O,this._provider=H}async provideTypeDefinition(O,H,G){const K=this._documents.getDocument(O),de=D.Position.to(H),we=await this._provider.provideTypeDefinition(K,de,G);return r(we)}}class l{constructor(O,H){this._documents=O,this._provider=H}async provideHover(O,H,G){const K=this._documents.getDocument(O),de=D.Position.to(H),we=await this._provider.provideHover(K,de,G);if(!(!we||(0,R.isFalsyOrEmpty)(we.contents)))return we.range||(we.range=K.getWordRangeAtPosition(de)),we.range||(we.range=new T.Range(de,de)),D.Hover.from(we)}}class d{constructor(O,H){this._documents=O,this._provider=H}async provideEvaluatableExpression(O,H,G){const K=this._documents.getDocument(O),de=D.Position.to(H),we=await this._provider.provideEvaluatableExpression(K,de,G);if(we)return D.EvaluatableExpression.from(we)}}class S{constructor(O,H){this._documents=O,this._provider=H}async provideInlineValues(O,H,G,K){const de=this._documents.getDocument(O),we=await this._provider.provideInlineValues(de,D.Range.to(H),D.InlineValueContext.to(G),K);if(Array.isArray(we))return we.map(se=>D.InlineValue.from(se))}}class L{constructor(O,H){this._documents=O,this._provider=H}async provideDocumentHighlights(O,H,G){const K=this._documents.getDocument(O),de=D.Position.to(H),we=await this._provider.provideDocumentHighlights(K,de,G);if(Array.isArray(we))return we.map(D.DocumentHighlight.from)}}class F{constructor(O,H){this._documents=O,this._provider=H}async provideLinkedEditingRanges(O,H,G){const K=this._documents.getDocument(O),de=D.Position.to(H),we=await this._provider.provideLinkedEditingRanges(K,de,G);if(we&&Array.isArray(we.ranges))return{ranges:(0,R.coalesce)(we.ranges.map(D.Range.from)),wordPattern:we.wordPattern}}}class N{constructor(O,H){this._documents=O,this._provider=H}async provideReferences(O,H,G,K){const de=this._documents.getDocument(O),we=D.Position.to(H),se=await this._provider.provideReferences(de,we,G,K);if(Array.isArray(se))return se.map(D.location.from)}}class A{constructor(O,H,G,K,de,we,se){this._documents=O,this._commands=H,this._diagnostics=G,this._provider=K,this._logService=de,this._extension=we,this._apiDeprecation=se,this._cache=new f.Cache("CodeAction"),this._disposables=new Map}async provideCodeActions(O,H,G,K){const de=this._documents.getDocument(O),we=_.Selection.isISelection(H)?D.Selection.to(H):D.Range.to(H),se=[];for(const Qe of this._diagnostics.getDiagnostics(O))if(we.intersection(Qe.range)&&se.push(Qe)>A._maxCodeActionsPerFile)break;const De={diagnostics:se,only:G.only?new T.CodeActionKind(G.only):void 0,triggerKind:D.CodeActionTriggerKind.to(G.trigger)},Ce=await this._provider.provideCodeActions(de,we,De,K);if(!(0,R.isNonEmptyArray)(Ce)||K.isCancellationRequested)return;const ze=this._cache.add(Ce),Ge=new w.DisposableStore;this._disposables.set(ze,Ge);const Ne=[];for(let Qe=0;Qe<Ce.length;Qe++){const Z=Ce[Qe];!Z||(A._isCommand(Z)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),Ne.push({_isSynthetic:!0,title:Z.title,command:this._commands.toInternal(Z,Ge)})):(De.only&&(Z.kind?De.only.contains(Z.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${De.only.value} 'requested but returned code action is of kind '${Z.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${De.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),Ne.push({cacheId:[ze,Qe],title:Z.title,command:Z.command&&this._commands.toInternal(Z.command,Ge),diagnostics:Z.diagnostics&&Z.diagnostics.map(D.Diagnostic.from),edit:Z.edit&&D.WorkspaceEdit.from(Z.edit,void 0,(0,m.isProposedApiEnabled)(this._extension,"snippetWorkspaceEdit")),kind:Z.kind&&Z.kind.value,isPreferred:Z.isPreferred,disabled:Z.disabled?.reason})))}return{cacheId:ze,actions:Ne}}async resolveCodeAction(O,H){const[G,K]=O,de=this._cache.get(G,K);if(!de||A._isCommand(de)||!this._provider.resolveCodeAction)return;const we=await this._provider.resolveCodeAction(de,H)??de;return we?.edit?D.WorkspaceEdit.from(we.edit,void 0,(0,m.isProposedApiEnabled)(this._extension,"snippetWorkspaceEdit")):void 0}releaseCodeActions(O){this._disposables.get(O)?.dispose(),this._disposables.delete(O),this._cache.delete(O)}static _isCommand(O){return typeof O.command=="string"&&typeof O.title=="string"}}A._maxCodeActionsPerFile=1e3;class ${constructor(O,H,G,K){this._proxy=O,this._documents=H,this._provider=G,this._handle=K}async prepareDocumentPaste(O,H,G,K){if(!this._provider.prepareDocumentPaste)return;const de=this._documents.getDocument(O),we=H.map(De=>D.Range.to(De)),se=D.DataTransfer.toDataTransfer(G,()=>{throw new p.NotImplementedError});return await this._provider.prepareDocumentPaste(de,we,se,K),D.DataTransfer.toDataTransferDTO(se)}async providePasteEdits(O,H,G,K,de){const we=this._documents.getDocument(H),se=G.map(ze=>D.Range.to(ze)),De=D.DataTransfer.toDataTransfer(K,async ze=>(await this._proxy.$resolveDocumentOnDropFileData(this._handle,O,ze)).buffer),Ce=await this._provider.provideDocumentPasteEdits(we,se,De,de);if(!!Ce)return{insertText:typeof Ce.insertText=="string"?Ce.insertText:{snippet:Ce.insertText.value},additionalEdit:Ce.additionalEdit?D.WorkspaceEdit.from(Ce.additionalEdit,void 0,!0):void 0}}}class B{constructor(O,H){this._documents=O,this._provider=H}async provideDocumentFormattingEdits(O,H,G){const K=this._documents.getDocument(O),de=await this._provider.provideDocumentFormattingEdits(K,H,G);if(Array.isArray(de))return de.map(D.TextEdit.from)}}class z{constructor(O,H){this._documents=O,this._provider=H}async provideDocumentRangeFormattingEdits(O,H,G,K){const de=this._documents.getDocument(O),we=D.Range.to(H),se=await this._provider.provideDocumentRangeFormattingEdits(de,we,G,K);if(Array.isArray(se))return se.map(D.TextEdit.from)}}class X{constructor(O,H){this._documents=O,this._provider=H,this.autoFormatTriggerCharacters=[]}async provideOnTypeFormattingEdits(O,H,G,K,de){const we=this._documents.getDocument(O),se=D.Position.to(H),De=await this._provider.provideOnTypeFormattingEdits(we,se,G,K,de);if(Array.isArray(De))return De.map(D.TextEdit.from)}}class M{constructor(O,H){this._provider=O,this._logService=H,this._cache=new f.Cache("WorkspaceSymbols")}async provideWorkspaceSymbols(O,H){const G=await this._provider.provideWorkspaceSymbols(O,H);if(!(0,R.isNonEmptyArray)(G))return{symbols:[]};const K=this._cache.add(G),de={cacheId:K,symbols:[]};for(let we=0;we<G.length;we++){const se=G[we];if(!se||!se.name){this._logService.warn("INVALID SymbolInformation",se);continue}de.symbols.push({...D.WorkspaceSymbol.from(se),cacheId:[K,we]})}return de}async resolveWorkspaceSymbol(O,H){if(typeof this._provider.resolveWorkspaceSymbol!="function"||!O.cacheId)return O;const G=this._cache.get(...O.cacheId);if(G){const K=await this._provider.resolveWorkspaceSymbol(G,H);return K&&(0,t.mixin)(O,D.WorkspaceSymbol.from(K),!0)}}releaseWorkspaceSymbols(O){this._cache.delete(O)}}class U{constructor(O,H,G){this._documents=O,this._provider=H,this._logService=G}static supportsResolving(O){return typeof O.prepareRename=="function"}async provideRenameEdits(O,H,G,K){const de=this._documents.getDocument(O),we=D.Position.to(H);try{const se=await this._provider.provideRenameEdits(de,we,G,K);return se?D.WorkspaceEdit.from(se):void 0}catch(se){const De=U._asMessage(se);return De?{rejectReason:De,edits:void 0}:Promise.reject(se)}}async resolveRenameLocation(O,H,G){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const K=this._documents.getDocument(O),de=D.Position.to(H);try{const we=await this._provider.prepareRename(K,de,G);let se,De;if(T.Range.isRange(we)?(se=we,De=K.getText(we)):(0,k.isObject)(we)&&(se=we.range,De=we.placeholder),!se||!De)return;if(se.start.line>de.line||se.end.line<de.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:D.Range.from(se),text:De}}catch(we){const se=U._asMessage(we);return se?{rejectReason:se,range:void 0,text:void 0}:Promise.reject(we)}}static _asMessage(O){return typeof O=="string"?O:O instanceof Error&&typeof O.message=="string"?O.message:void 0}}class q{constructor(O,H){this.resultId=O,this.tokens=H}}class x{constructor(O,H){this._documents=O,this._provider=H,this._nextResultId=1,this._previousResults=new Map}async provideDocumentSemanticTokens(O,H,G){const K=this._documents.getDocument(O),de=H!==0?this._previousResults.get(H):null;let we=typeof de?.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?await this._provider.provideDocumentSemanticTokensEdits(K,de.resultId,G):await this._provider.provideDocumentSemanticTokens(K,G);return de&&this._previousResults.delete(H),we?(we=x._fixProvidedSemanticTokens(we),this._send(x._convertToEdits(de,we),we)):null}async releaseDocumentSemanticColoring(O){this._previousResults.delete(O)}static _fixProvidedSemanticTokens(O){return x._isSemanticTokens(O)?x._isCorrectSemanticTokens(O)?O:new T.SemanticTokens(new Uint32Array(O.data),O.resultId):x._isSemanticTokensEdits(O)?x._isCorrectSemanticTokensEdits(O)?O:new T.SemanticTokensEdits(O.edits.map(H=>new T.SemanticTokensEdit(H.start,H.deleteCount,H.data?new Uint32Array(H.data):H.data)),O.resultId):O}static _isSemanticTokens(O){return O&&!!O.data}static _isCorrectSemanticTokens(O){return O.data instanceof Uint32Array}static _isSemanticTokensEdits(O){return O&&Array.isArray(O.edits)}static _isCorrectSemanticTokensEdits(O){for(const H of O.edits)if(!(H.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(O,H){if(!x._isSemanticTokens(H)||!O||!O.tokens)return H;const G=O.tokens,K=G.length,de=H.data,we=de.length;let se=0;const De=Math.min(K,we);for(;se<De&&G[se]===de[se];)se++;if(se===K&&se===we)return new T.SemanticTokensEdits([],H.resultId);let Ce=0;const ze=De-se;for(;Ce<ze&&G[K-Ce-1]===de[we-Ce-1];)Ce++;return new T.SemanticTokensEdits([{start:se,deleteCount:K-se-Ce,data:de.subarray(se,we-Ce)}],H.resultId)}_send(O,H){if(x._isSemanticTokens(O)){const G=this._nextResultId++;return this._previousResults.set(G,new q(O.resultId,O.data)),(0,b.encodeSemanticTokensDto)({id:G,type:"full",data:O.data})}if(x._isSemanticTokensEdits(O)){const G=this._nextResultId++;return x._isSemanticTokens(H)?this._previousResults.set(G,new q(H.resultId,H.data)):this._previousResults.set(G,new q(O.resultId)),(0,b.encodeSemanticTokensDto)({id:G,type:"delta",deltas:(O.edits||[]).map(K=>({start:K.start,deleteCount:K.deleteCount,data:K.data}))})}return null}}e.DocumentSemanticTokensAdapter=x;class V{constructor(O,H){this._documents=O,this._provider=H}async provideDocumentRangeSemanticTokens(O,H,G){const K=this._documents.getDocument(O),de=await this._provider.provideDocumentRangeSemanticTokens(K,D.Range.to(H),G);return de?this._send(de):null}_send(O){return(0,b.encodeSemanticTokensDto)({id:0,type:"full",data:O.data})}}e.DocumentRangeSemanticTokensAdapter=V;class ee{constructor(O,H,G,K,de){this._documents=O,this._commands=H,this._provider=G,this._apiDeprecation=K,this._extension=de,this._cache=new f.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(O){return typeof O.resolveCompletionItem=="function"}async provideCompletionItems(O,H,G,K){const de=this._documents.getDocument(O),we=D.Position.to(H),se=de.getWordRangeAtPosition(we)||new T.Range(we,we),De=se.with({end:we}),Ce=new v.StopWatch(!0),ze=await this._provider.provideCompletionItems(de,we,K,D.CompletionContext.to(G));if(!ze||K.isCancellationRequested)return;const Ge=Array.isArray(ze)?new T.CompletionList(ze):ze,Ne=ee.supportsResolving(this._provider)?this._cache.add(Ge.items):this._cache.add([]),Qe=new w.DisposableStore;this._disposables.set(Ne,Qe);const Z=[],re={x:Ne,b:Z,a:{replace:D.Range.from(se),insert:D.Range.from(De)},c:Ge.isIncomplete||void 0,d:Ce.elapsed()};for(let ye=0;ye<Ge.items.length;ye++){const We=Ge.items[ye],oe=this._convertCompletionItem(We,[Ne,ye],De,se);Z.push(oe)}return re}async resolveCompletionItem(O,H){if(typeof this._provider.resolveCompletionItem!="function")return;const G=this._cache.get(...O);if(!G)return;const K=await this._provider.resolveCompletionItem(G,H);if(!!K)return this._convertCompletionItem(K,O)}releaseCompletionItems(O){this._disposables.get(O)?.dispose(),this._disposables.delete(O),this._cache.delete(O)}_convertCompletionItem(O,H,G,K){const de=this._disposables.get(H[0]);if(!de)throw Error("DisposableStore is missing...");const we={x:H,a:O.label,b:O.kind!==void 0?D.CompletionItemKind.from(O.kind):void 0,n:O.tags&&O.tags.map(D.CompletionItemTag.from),c:O.detail,d:typeof O.documentation=="undefined"?void 0:D.MarkdownString.fromStrict(O.documentation),e:O.sortText!==O.label?O.sortText:void 0,f:O.filterText!==O.label?O.filterText:void 0,g:O.preselect||void 0,i:O.keepWhitespace?1:0,k:O.commitCharacters,l:O.additionalTextEdits&&O.additionalTextEdits.map(D.TextEdit.from),m:this._commands.toInternal(O.command,de)};O.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),we.h=O.textEdit.newText):typeof O.insertText=="string"?we.h=O.insertText:O.insertText instanceof T.SnippetString&&(we.h=O.insertText.value,we.i|=4);let se;return O.textEdit?se=O.textEdit.range:O.range&&(se=O.range),T.Range.isRange(se)?we.j=D.Range.from(se):se&&(!G?.isEqual(se.inserting)||!K?.isEqual(se.replacing))&&(we.j={insert:D.Range.from(se.inserting),replace:D.Range.from(se.replacing)}),we}}class Y{async provideInlineCompletions(O,H,G,K){}disposeCompletions(O){}handleDidShowCompletionItem(O,H){}}class le extends Y{constructor(O,H,G,K){super();this._extension=O,this._documents=H,this._provider=G,this._commands=K,this._references=new J,this._isAdditionsProposedApiEnabled=(0,m.isProposedApiEnabled)(this._extension,"inlineCompletionsAdditions"),this.languageTriggerKindToVSCodeTriggerKind={[y.InlineCompletionTriggerKind.Automatic]:T.InlineCompletionTriggerKind.Automatic,[y.InlineCompletionTriggerKind.Explicit]:T.InlineCompletionTriggerKind.Invoke}}get supportsHandleDidShowCompletionItem(){return(0,m.isProposedApiEnabled)(this._extension,"inlineCompletionsAdditions")&&typeof this._provider.handleDidShowCompletionItem=="function"}async provideInlineCompletions(O,H,G,K){const de=this._documents.getDocument(O),we=D.Position.to(H),se=await this._provider.provideInlineCompletionItems(de,we,{selectedCompletionInfo:G.selectedSuggestionInfo?{range:D.Range.to(G.selectedSuggestionInfo.range),text:G.selectedSuggestionInfo.text}:void 0,triggerKind:this.languageTriggerKindToVSCodeTriggerKind[G.triggerKind]},K);if(!se||K.isCancellationRequested)return;const De=(0,k.isArray)(se)?se:se.items,Ce=this._isAdditionsProposedApiEnabled?(0,k.isArray)(se)?[]:se.commands||[]:[];let ze;return{pid:this._references.createReferenceId({dispose(){ze&&ze.dispose()},items:De}),items:De.map((Ne,Qe)=>{let Z;Ne.command&&(ze||(ze=new w.DisposableStore),Z=this._commands.toInternal(Ne.command,ze));const re=Ne.insertText;return{insertText:typeof re=="string"?re:{snippet:re.value},filterText:Ne.filterText,range:Ne.range?D.Range.from(Ne.range):void 0,command:Z,idx:Qe,completeBracketPairs:this._isAdditionsProposedApiEnabled?Ne.completeBracketPairs:!1}}),commands:Ce.map(Ne=>(ze||(ze=new w.DisposableStore),this._commands.toInternal(Ne,ze)))}}disposeCompletions(O){this._references.disposeReferenceId(O)?.dispose()}handleDidShowCompletionItem(O,H){const G=this._references.get(O)?.items[H];G&&this._provider.handleDidShowCompletionItem&&this._isAdditionsProposedApiEnabled&&this._provider.handleDidShowCompletionItem(G)}}class ve extends Y{constructor(O,H,G,K){super();this.extension=O,this._documents=H,this._provider=G,this._commands=K,this._references=new J,this.isAdditionProposedApiEnabled=(0,m.isProposedApiEnabled)(this.extension,"inlineCompletionsAdditions"),this.languageTriggerKindToVSCodeTriggerKind={[y.InlineCompletionTriggerKind.Automatic]:T.InlineCompletionTriggerKindNew.Automatic,[y.InlineCompletionTriggerKind.Explicit]:T.InlineCompletionTriggerKindNew.Invoke}}async provideInlineCompletions(O,H,G,K){const de=this._documents.getDocument(O),we=D.Position.to(H),se=await this._provider.provideInlineCompletionItems(de,we,{selectedCompletionInfo:G.selectedSuggestionInfo?{range:D.Range.to(G.selectedSuggestionInfo.range),text:G.selectedSuggestionInfo.text}:void 0,triggerKind:this.languageTriggerKindToVSCodeTriggerKind[G.triggerKind]},K);if(!se||K.isCancellationRequested)return;const De=(0,k.isArray)(se)?se:se.items,Ce=(0,k.isArray)(se)?[]:se.commands||[];let ze;return{pid:this._references.createReferenceId({dispose(){ze&&ze.dispose()},items:De}),items:De.map((Ne,Qe)=>{let Z;Ne.command&&(ze||(ze=new w.DisposableStore),Z=this._commands.toInternal(Ne.command,ze));const re=Ne.insertText;return{insertText:typeof re=="string"?re:{snippet:re.value},filterText:Ne.filterText,range:Ne.range?D.Range.from(Ne.range):void 0,command:Z,idx:Qe,completeBracketPairs:this.isAdditionProposedApiEnabled?Ne.completeBracketPairs:!1}}),commands:Ce.map(Ne=>(ze||(ze=new w.DisposableStore),this._commands.toInternal(Ne,ze)))}}disposeCompletions(O){this._references.disposeReferenceId(O)?.dispose()}handleDidShowCompletionItem(O,H){const G=this._references.get(O)?.items[H];G&&this._provider.handleDidShowCompletionItem&&this.isAdditionProposedApiEnabled&&this._provider.handleDidShowCompletionItem(G)}}class J{constructor(){this._references=new Map,this._idPool=1}createReferenceId(O){const H=this._idPool++;return this._references.set(H,O),H}disposeReferenceId(O){const H=this._references.get(O);return this._references.delete(O),H}get(O){return this._references.get(O)}}class ge{constructor(O,H){this._documents=O,this._provider=H,this._cache=new f.Cache("SignatureHelp")}async provideSignatureHelp(O,H,G,K){const de=this._documents.getDocument(O),we=D.Position.to(H),se=this.reviveContext(G),De=await this._provider.provideSignatureHelp(de,we,K,se);if(De){const Ce=this._cache.add([De]);return{...D.SignatureHelp.from(De),id:Ce}}}reviveContext(O){let H;if(O.activeSignatureHelp){const G=D.SignatureHelp.to(O.activeSignatureHelp),K=this._cache.get(O.activeSignatureHelp.id,0);K?(H=K,H.activeSignature=G.activeSignature,H.activeParameter=G.activeParameter):H=G}return{...O,activeSignatureHelp:H}}releaseSignatureHelp(O){this._cache.delete(O)}}class _e{constructor(O,H,G,K,de){this._documents=O,this._commands=H,this._provider=G,this._logService=K,this._extension=de,this._cache=new f.Cache("InlayHints"),this._disposables=new Map}async provideInlayHints(O,H,G){const K=this._documents.getDocument(O),de=D.Range.to(H),we=await this._provider.provideInlayHints(K,de,G);if(!Array.isArray(we)||we.length===0){this._logService.trace(`[InlayHints] NO inlay hints from '${this._extension.identifier.value}' for ${H}`);return}if(G.isCancellationRequested)return;const se=this._cache.add(we);this._disposables.set(se,new w.DisposableStore);const De={hints:[],cacheId:se};for(let Ce=0;Ce<we.length;Ce++)this._isValidInlayHint(we[Ce],de)&&De.hints.push(this._convertInlayHint(we[Ce],[se,Ce]));return this._logService.trace(`[InlayHints] ${De.hints.length} inlay hints from '${this._extension.identifier.value}' for ${H}`),De}async resolveInlayHint(O,H){if(typeof this._provider.resolveInlayHint!="function")return;const G=this._cache.get(...O);if(!G)return;const K=await this._provider.resolveInlayHint(G,H);if(!!K&&!!this._isValidInlayHint(K))return this._convertInlayHint(K,O)}releaseHints(O){this._disposables.get(O)?.dispose(),this._disposables.delete(O),this._cache.delete(O)}_isValidInlayHint(O,H){return O.label.length===0||Array.isArray(O.label)&&O.label.every(G=>G.value.length===0)?(console.log("INVALID inlay hint, empty label",O),!1):!(H&&!H.contains(O.position))}_convertInlayHint(O,H){const G=this._disposables.get(H[0]);if(!G)throw Error("DisposableStore is missing...");const K={label:"",cacheId:H,tooltip:D.MarkdownString.fromStrict(O.tooltip),position:D.Position.from(O.position),textEdits:O.textEdits&&O.textEdits.map(D.TextEdit.from),kind:O.kind&&D.InlayHintKind.from(O.kind),paddingLeft:O.paddingLeft,paddingRight:O.paddingRight};return typeof O.label=="string"?K.label=O.label:K.label=O.label.map(de=>{const we={label:de.value};return we.tooltip=D.MarkdownString.fromStrict(de.tooltip),T.Location.isLocation(de.location)&&(we.location=D.location.from(de.location)),de.command&&(we.command=this._commands.toInternal(de.command,G)),we}),K}}class Te{constructor(O,H){this._documents=O,this._provider=H,this._cache=new f.Cache("DocumentLink")}async provideLinks(O,H){const G=this._documents.getDocument(O),K=await this._provider.provideDocumentLinks(G,H);if(!(!Array.isArray(K)||K.length===0)&&!H.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:K.filter(Te._validateLink).map(D.DocumentLink.from)};{const de=this._cache.add(K),we={links:[],cacheId:de};for(let se=0;se<K.length;se++){if(!Te._validateLink(K[se]))continue;const De=D.DocumentLink.from(K[se]);De.cacheId=[de,se],we.links.push(De)}return we}}}static _validateLink(O){return O.target&&O.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink(O,H){if(typeof this._provider.resolveDocumentLink!="function")return;const G=this._cache.get(...O);if(!G)return;const K=await this._provider.resolveDocumentLink(G,H);if(!(!K||!Te._validateLink(K)))return D.DocumentLink.from(K)}releaseLinks(O){this._cache.delete(O)}}class me{constructor(O,H){this._documents=O,this._provider=H}async provideColors(O,H){const G=this._documents.getDocument(O),K=await this._provider.provideDocumentColors(G,H);return Array.isArray(K)?K.map(we=>({color:D.Color.from(we.color),range:D.Range.from(we.range)})):[]}async provideColorPresentations(O,H,G){const K=this._documents.getDocument(O),de=D.Range.to(H.range),we=D.Color.to(H.color),se=await this._provider.provideColorPresentations(we,{document:K,range:de},G);if(!!Array.isArray(se))return se.map(D.ColorPresentation.from)}}class Pe{constructor(O,H){this._documents=O,this._provider=H}async provideFoldingRanges(O,H,G){const K=this._documents.getDocument(O),de=await this._provider.provideFoldingRanges(K,H,G);if(!!Array.isArray(de))return de.map(D.FoldingRange.from)}}class ue{constructor(O,H,G){this._documents=O,this._provider=H,this._logService=G}async provideSelectionRanges(O,H,G){const K=this._documents.getDocument(O),de=H.map(D.Position.to),we=await this._provider.provideSelectionRanges(K,de,G);if(!(0,R.isNonEmptyArray)(we))return[];if(we.length!==de.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const se=[];for(let De=0;De<de.length;De++){const Ce=[];se.push(Ce);let ze=de[De],Ge=we[De];for(;;){if(!Ge.range.contains(ze))throw new Error("INVALID selection range, must contain the previous range");if(Ce.push(D.SelectionRange.from(Ge)),!Ge.parent)break;ze=Ge.range,Ge=Ge.parent}}return se}}class pe{constructor(O,H){this._documents=O,this._provider=H,this._idPool=new g.IdGenerator(""),this._cache=new Map}async prepareSession(O,H,G){const K=this._documents.getDocument(O),de=D.Position.to(H),we=await this._provider.prepareCallHierarchy(K,de,G);if(!we)return;const se=this._idPool.nextId();return this._cache.set(se,new Map),Array.isArray(we)?we.map(De=>this._cacheAndConvertItem(se,De)):[this._cacheAndConvertItem(se,we)]}async provideCallsTo(O,H,G){const K=this._itemFromCache(O,H);if(!K)throw new Error("missing call hierarchy item");const de=await this._provider.provideCallHierarchyIncomingCalls(K,G);if(!!de)return de.map(we=>({from:this._cacheAndConvertItem(O,we.from),fromRanges:we.fromRanges.map(se=>D.Range.from(se))}))}async provideCallsFrom(O,H,G){const K=this._itemFromCache(O,H);if(!K)throw new Error("missing call hierarchy item");const de=await this._provider.provideCallHierarchyOutgoingCalls(K,G);if(!!de)return de.map(we=>({to:this._cacheAndConvertItem(O,we.to),fromRanges:we.fromRanges.map(se=>D.Range.from(se))}))}releaseSession(O){this._cache.delete(O)}_cacheAndConvertItem(O,H){const G=this._cache.get(O),K=D.CallHierarchyItem.from(H,O,G.size.toString(36));return G.set(K._itemId,H),K}_itemFromCache(O,H){return this._cache.get(O)?.get(H)}}class be{constructor(O,H){this._documents=O,this._provider=H,this._idPool=new g.IdGenerator(""),this._cache=new Map}async prepareSession(O,H,G){const K=this._documents.getDocument(O),de=D.Position.to(H),we=await this._provider.prepareTypeHierarchy(K,de,G);if(!we)return;const se=this._idPool.nextId();return this._cache.set(se,new Map),Array.isArray(we)?we.map(De=>this._cacheAndConvertItem(se,De)):[this._cacheAndConvertItem(se,we)]}async provideSupertypes(O,H,G){const K=this._itemFromCache(O,H);if(!K)throw new Error("missing type hierarchy item");const de=await this._provider.provideTypeHierarchySupertypes(K,G);if(!!de)return de.map(we=>this._cacheAndConvertItem(O,we))}async provideSubtypes(O,H,G){const K=this._itemFromCache(O,H);if(!K)throw new Error("missing type hierarchy item");const de=await this._provider.provideTypeHierarchySubtypes(K,G);if(!!de)return de.map(we=>this._cacheAndConvertItem(O,we))}releaseSession(O){this._cache.delete(O)}_cacheAndConvertItem(O,H){const G=this._cache.get(O),K=D.TypeHierarchyItem.from(H,O,G.size.toString(36));return G.set(K._itemId,H),K}_itemFromCache(O,H){return this._cache.get(O)?.get(H)}}class ae{constructor(O,H,G,K){this._proxy=O,this._documents=H,this._provider=G,this._handle=K}async provideDocumentOnDropEdits(O,H,G,K,de){const we=this._documents.getDocument(H),se=D.Position.to(G),De=D.DataTransfer.toDataTransfer(K,async ze=>(await this._proxy.$resolveDocumentOnDropFileData(this._handle,O,ze)).buffer),Ce=await this._provider.provideDocumentOnDropEdits(we,se,De,de);if(!!Ce)return{insertText:typeof Ce.insertText=="string"?Ce.insertText:{snippet:Ce.insertText.value},additionalEdit:Ce.additionalEdit?D.WorkspaceEdit.from(Ce.additionalEdit,void 0,!0):void 0}}}class fe{constructor(O,H){this.adapter=O,this.extension=H}}class ne{constructor(O,H,G,K,de,we,se){this._adapter=new Map,this._uriTransformer=H,this._proxy=O.getProxy(C.MainContext.MainThreadLanguageFeatures),this._documents=G,this._commands=K,this._diagnostics=de,this._logService=we,this._apiDeprecation=se}_transformDocumentSelector(O){return D.DocumentSelector.from(O,this._uriTransformer)}_createDisposable(O){return new T.Disposable(()=>{this._adapter.delete(O),this._proxy.$unregister(O)})}_nextHandle(){return ne._handlePool++}async _withAdapter(O,H,G,K,de,we=!1){const se=this._adapter.get(O);if(!se||!(se.adapter instanceof H))return K;const De=Date.now();we||this._logService.trace(`[${se.extension.identifier.value}] INVOKE provider '${G.toString().replace(/[\r\n]/g,"")}'`);const Ce=G(se.adapter,se.extension);return Promise.resolve(Ce).catch(ze=>{(0,p.isCancellationError)(ze)||(this._logService.error(`[${se.extension.identifier.value}] provider FAILED`),this._logService.error(ze))}).finally(()=>{we||this._logService.trace(`[${se.extension.identifier.value}] provider DONE after ${Date.now()-De}ms`)}),P.CancellationToken.isCancellationToken(de)?(0,c.raceCancellationError)(Ce,de):Ce}_addNewAdapter(O,H){const G=this._nextHandle();return this._adapter.set(G,new fe(O,H)),G}static _extLabel(O){return O.displayName||O.name}registerDocumentSymbolProvider(O,H,G,K){const de=this._addNewAdapter(new a(this._documents,G),O),we=K&&K.label||ne._extLabel(O);return this._proxy.$registerDocumentSymbolProvider(de,this._transformDocumentSelector(H),we),this._createDisposable(de)}$provideDocumentSymbols(O,H,G){return this._withAdapter(O,a,K=>K.provideDocumentSymbols(u.URI.revive(H),G),void 0,G)}registerCodeLensProvider(O,H,G){const K=this._nextHandle(),de=typeof G.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(K,new fe(new h(this._documents,this._commands.converter,G),O)),this._proxy.$registerCodeLensSupport(K,this._transformDocumentSelector(H),de);let we=this._createDisposable(K);if(de!==void 0){const se=G.onDidChangeCodeLenses(De=>this._proxy.$emitCodeLensEvent(de));we=T.Disposable.from(we,se)}return we}$provideCodeLenses(O,H,G){return this._withAdapter(O,h,K=>K.provideCodeLenses(u.URI.revive(H),G),void 0,G)}$resolveCodeLens(O,H,G){return this._withAdapter(O,h,K=>K.resolveCodeLens(H,G),void 0,void 0)}$releaseCodeLenses(O,H){this._withAdapter(O,h,G=>Promise.resolve(G.releaseCodeLenses(H)),void 0,void 0)}registerDefinitionProvider(O,H,G){const K=this._addNewAdapter(new o(this._documents,G),O);return this._proxy.$registerDefinitionSupport(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$provideDefinition(O,H,G,K){return this._withAdapter(O,o,de=>de.provideDefinition(u.URI.revive(H),G,K),[],K)}registerDeclarationProvider(O,H,G){const K=this._addNewAdapter(new i(this._documents,G),O);return this._proxy.$registerDeclarationSupport(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$provideDeclaration(O,H,G,K){return this._withAdapter(O,i,de=>de.provideDeclaration(u.URI.revive(H),G,K),[],K)}registerImplementationProvider(O,H,G){const K=this._addNewAdapter(new n(this._documents,G),O);return this._proxy.$registerImplementationSupport(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$provideImplementation(O,H,G,K){return this._withAdapter(O,n,de=>de.provideImplementation(u.URI.revive(H),G,K),[],K)}registerTypeDefinitionProvider(O,H,G){const K=this._addNewAdapter(new s(this._documents,G),O);return this._proxy.$registerTypeDefinitionSupport(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$provideTypeDefinition(O,H,G,K){return this._withAdapter(O,s,de=>de.provideTypeDefinition(u.URI.revive(H),G,K),[],K)}registerHoverProvider(O,H,G,K){const de=this._addNewAdapter(new l(this._documents,G),O);return this._proxy.$registerHoverProvider(de,this._transformDocumentSelector(H)),this._createDisposable(de)}$provideHover(O,H,G,K){return this._withAdapter(O,l,de=>de.provideHover(u.URI.revive(H),G,K),void 0,K)}registerEvaluatableExpressionProvider(O,H,G,K){const de=this._addNewAdapter(new d(this._documents,G),O);return this._proxy.$registerEvaluatableExpressionProvider(de,this._transformDocumentSelector(H)),this._createDisposable(de)}$provideEvaluatableExpression(O,H,G,K){return this._withAdapter(O,d,de=>de.provideEvaluatableExpression(u.URI.revive(H),G,K),void 0,K)}registerInlineValuesProvider(O,H,G,K){const de=typeof G.onDidChangeInlineValues=="function"?this._nextHandle():void 0,we=this._addNewAdapter(new S(this._documents,G),O);this._proxy.$registerInlineValuesProvider(we,this._transformDocumentSelector(H),de);let se=this._createDisposable(we);if(de!==void 0){const De=G.onDidChangeInlineValues(Ce=>this._proxy.$emitInlineValuesEvent(de));se=T.Disposable.from(se,De)}return se}$provideInlineValues(O,H,G,K,de){return this._withAdapter(O,S,we=>we.provideInlineValues(u.URI.revive(H),G,K,de),void 0,de)}registerDocumentHighlightProvider(O,H,G){const K=this._addNewAdapter(new L(this._documents,G),O);return this._proxy.$registerDocumentHighlightProvider(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$provideDocumentHighlights(O,H,G,K){return this._withAdapter(O,L,de=>de.provideDocumentHighlights(u.URI.revive(H),G,K),void 0,K)}registerLinkedEditingRangeProvider(O,H,G){const K=this._addNewAdapter(new F(this._documents,G),O);return this._proxy.$registerLinkedEditingRangeProvider(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$provideLinkedEditingRanges(O,H,G,K){return this._withAdapter(O,F,async de=>{const we=await de.provideLinkedEditingRanges(u.URI.revive(H),G,K);if(we)return{ranges:we.ranges,wordPattern:we.wordPattern?ne._serializeRegExp(we.wordPattern):void 0}},void 0,K)}registerReferenceProvider(O,H,G){const K=this._addNewAdapter(new N(this._documents,G),O);return this._proxy.$registerReferenceSupport(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$provideReferences(O,H,G,K,de){return this._withAdapter(O,N,we=>we.provideReferences(u.URI.revive(H),G,K,de),void 0,de)}registerCodeActionProvider(O,H,G,K){const de=new w.DisposableStore,we=this._addNewAdapter(new A(this._documents,this._commands.converter,this._diagnostics,G,this._logService,O,this._apiDeprecation),O);return this._proxy.$registerQuickFixSupport(we,this._transformDocumentSelector(H),{providedKinds:K?.providedCodeActionKinds?.map(se=>se.value),documentation:K?.documentation?.map(se=>({kind:se.kind.value,command:this._commands.converter.toInternal(se.command,de)}))},ne._extLabel(O),Boolean(G.resolveCodeAction)),de.add(this._createDisposable(we)),de}$provideCodeActions(O,H,G,K,de){return this._withAdapter(O,A,we=>we.provideCodeActions(u.URI.revive(H),G,K,de),void 0,de)}$resolveCodeAction(O,H,G){return this._withAdapter(O,A,K=>K.resolveCodeAction(H,G),void 0,void 0)}$releaseCodeActions(O,H){this._withAdapter(O,A,G=>Promise.resolve(G.releaseCodeActions(H)),void 0,void 0)}registerDocumentFormattingEditProvider(O,H,G){const K=this._addNewAdapter(new B(this._documents,G),O);return this._proxy.$registerDocumentFormattingSupport(K,this._transformDocumentSelector(H),O.identifier,O.displayName||O.name),this._createDisposable(K)}$provideDocumentFormattingEdits(O,H,G,K){return this._withAdapter(O,B,de=>de.provideDocumentFormattingEdits(u.URI.revive(H),G,K),void 0,K)}registerDocumentRangeFormattingEditProvider(O,H,G){const K=this._addNewAdapter(new z(this._documents,G),O);return this._proxy.$registerRangeFormattingSupport(K,this._transformDocumentSelector(H),O.identifier,O.displayName||O.name),this._createDisposable(K)}$provideDocumentRangeFormattingEdits(O,H,G,K,de){return this._withAdapter(O,z,we=>we.provideDocumentRangeFormattingEdits(u.URI.revive(H),G,K,de),void 0,de)}registerOnTypeFormattingEditProvider(O,H,G,K){const de=this._addNewAdapter(new X(this._documents,G),O);return this._proxy.$registerOnTypeFormattingSupport(de,this._transformDocumentSelector(H),K,O.identifier),this._createDisposable(de)}$provideOnTypeFormattingEdits(O,H,G,K,de,we){return this._withAdapter(O,X,se=>se.provideOnTypeFormattingEdits(u.URI.revive(H),G,K,de,we),void 0,we)}registerWorkspaceSymbolProvider(O,H){const G=this._addNewAdapter(new M(H,this._logService),O);return this._proxy.$registerNavigateTypeSupport(G,typeof H.resolveWorkspaceSymbol=="function"),this._createDisposable(G)}$provideWorkspaceSymbols(O,H,G){return this._withAdapter(O,M,K=>K.provideWorkspaceSymbols(H,G),{symbols:[]},G)}$resolveWorkspaceSymbol(O,H,G){return this._withAdapter(O,M,K=>K.resolveWorkspaceSymbol(H,G),void 0,void 0)}$releaseWorkspaceSymbols(O,H){this._withAdapter(O,M,G=>G.releaseWorkspaceSymbols(H),void 0,void 0)}registerRenameProvider(O,H,G){const K=this._addNewAdapter(new U(this._documents,G,this._logService),O);return this._proxy.$registerRenameSupport(K,this._transformDocumentSelector(H),U.supportsResolving(G)),this._createDisposable(K)}$provideRenameEdits(O,H,G,K,de){return this._withAdapter(O,U,we=>we.provideRenameEdits(u.URI.revive(H),G,K,de),void 0,de)}$resolveRenameLocation(O,H,G,K){return this._withAdapter(O,U,de=>de.resolveRenameLocation(u.URI.revive(H),G,K),void 0,K)}registerDocumentSemanticTokensProvider(O,H,G,K){const de=this._addNewAdapter(new x(this._documents,G),O),we=typeof G.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._proxy.$registerDocumentSemanticTokensProvider(de,this._transformDocumentSelector(H),K,we);let se=this._createDisposable(de);if(we){const De=G.onDidChangeSemanticTokens(Ce=>this._proxy.$emitDocumentSemanticTokensEvent(we));se=T.Disposable.from(se,De)}return se}$provideDocumentSemanticTokens(O,H,G,K){return this._withAdapter(O,x,de=>de.provideDocumentSemanticTokens(u.URI.revive(H),G,K),null,K)}$releaseDocumentSemanticTokens(O,H){this._withAdapter(O,x,G=>G.releaseDocumentSemanticColoring(H),void 0,void 0)}registerDocumentRangeSemanticTokensProvider(O,H,G,K){const de=this._addNewAdapter(new V(this._documents,G),O);return this._proxy.$registerDocumentRangeSemanticTokensProvider(de,this._transformDocumentSelector(H),K),this._createDisposable(de)}$provideDocumentRangeSemanticTokens(O,H,G,K){return this._withAdapter(O,V,de=>de.provideDocumentRangeSemanticTokens(u.URI.revive(H),G,K),null,K)}registerCompletionItemProvider(O,H,G,K){const de=this._addNewAdapter(new ee(this._documents,this._commands.converter,G,this._apiDeprecation,O),O);return this._proxy.$registerCompletionsProvider(de,this._transformDocumentSelector(H),K,ee.supportsResolving(G),`${O.identifier.value}(${K.join("")})`),this._createDisposable(de)}$provideCompletionItems(O,H,G,K,de){return this._withAdapter(O,ee,we=>we.provideCompletionItems(u.URI.revive(H),G,K,de),void 0,de)}$resolveCompletionItem(O,H,G){return this._withAdapter(O,ee,K=>K.resolveCompletionItem(H,G),void 0,G)}$releaseCompletionItems(O,H){this._withAdapter(O,ee,G=>G.releaseCompletionItems(H),void 0,void 0)}registerInlineCompletionsProvider(O,H,G){const K=new le(O,this._documents,G,this._commands.converter),de=this._addNewAdapter(K,O);return this._proxy.$registerInlineCompletionsSupport(de,this._transformDocumentSelector(H),K.supportsHandleDidShowCompletionItem),this._createDisposable(de)}registerInlineCompletionsProviderNew(O,H,G){const K=this._addNewAdapter(new ve(O,this._documents,G,this._commands.converter),O);return this._proxy.$registerInlineCompletionsSupport(K,this._transformDocumentSelector(H),!0),this._createDisposable(K)}$provideInlineCompletions(O,H,G,K,de){return this._withAdapter(O,Y,we=>we.provideInlineCompletions(u.URI.revive(H),G,K,de),void 0,de)}$handleInlineCompletionDidShow(O,H,G){this._withAdapter(O,Y,async K=>{K.handleDidShowCompletionItem(H,G)},void 0,void 0)}$freeInlineCompletionsList(O,H){this._withAdapter(O,Y,async G=>{G.disposeCompletions(H)},void 0,void 0)}registerSignatureHelpProvider(O,H,G,K){const de=Array.isArray(K)?{triggerCharacters:K,retriggerCharacters:[]}:K,we=this._addNewAdapter(new ge(this._documents,G),O);return this._proxy.$registerSignatureHelpProvider(we,this._transformDocumentSelector(H),de),this._createDisposable(we)}$provideSignatureHelp(O,H,G,K,de){return this._withAdapter(O,ge,we=>we.provideSignatureHelp(u.URI.revive(H),G,K,de),void 0,de)}$releaseSignatureHelp(O,H){this._withAdapter(O,ge,G=>G.releaseSignatureHelp(H),void 0,void 0)}registerInlayHintsProvider(O,H,G){const K=typeof G.onDidChangeInlayHints=="function"?this._nextHandle():void 0,de=this._addNewAdapter(new _e(this._documents,this._commands.converter,G,this._logService,O),O);this._proxy.$registerInlayHintsProvider(de,this._transformDocumentSelector(H),typeof G.resolveInlayHint=="function",K,ne._extLabel(O));let we=this._createDisposable(de);if(K!==void 0){const se=G.onDidChangeInlayHints(De=>this._proxy.$emitInlayHintsEvent(K));we=T.Disposable.from(we,se)}return we}$provideInlayHints(O,H,G,K){return this._withAdapter(O,_e,de=>de.provideInlayHints(u.URI.revive(H),G,K),void 0,K)}$resolveInlayHint(O,H,G){return this._withAdapter(O,_e,K=>K.resolveInlayHint(H,G),void 0,G)}$releaseInlayHints(O,H){this._withAdapter(O,_e,G=>G.releaseHints(H),void 0,void 0)}registerDocumentLinkProvider(O,H,G){const K=this._addNewAdapter(new Te(this._documents,G),O);return this._proxy.$registerDocumentLinkProvider(K,this._transformDocumentSelector(H),typeof G.resolveDocumentLink=="function"),this._createDisposable(K)}$provideDocumentLinks(O,H,G){return this._withAdapter(O,Te,K=>K.provideLinks(u.URI.revive(H),G),void 0,G,H.scheme==="output")}$resolveDocumentLink(O,H,G){return this._withAdapter(O,Te,K=>K.resolveLink(H,G),void 0,void 0,!0)}$releaseDocumentLinks(O,H){this._withAdapter(O,Te,G=>G.releaseLinks(H),void 0,void 0,!0)}registerColorProvider(O,H,G){const K=this._addNewAdapter(new me(this._documents,G),O);return this._proxy.$registerDocumentColorProvider(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$provideDocumentColors(O,H,G){return this._withAdapter(O,me,K=>K.provideColors(u.URI.revive(H),G),[],G)}$provideColorPresentations(O,H,G,K){return this._withAdapter(O,me,de=>de.provideColorPresentations(u.URI.revive(H),G,K),void 0,K)}registerFoldingRangeProvider(O,H,G){const K=this._nextHandle(),de=typeof G.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(K,new fe(new Pe(this._documents,G),O)),this._proxy.$registerFoldingRangeProvider(K,this._transformDocumentSelector(H),de);let we=this._createDisposable(K);if(de!==void 0){const se=G.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(de));we=T.Disposable.from(we,se)}return we}$provideFoldingRanges(O,H,G,K){return this._withAdapter(O,Pe,de=>de.provideFoldingRanges(u.URI.revive(H),G,K),void 0,K)}registerSelectionRangeProvider(O,H,G){const K=this._addNewAdapter(new ue(this._documents,G,this._logService),O);return this._proxy.$registerSelectionRangeProvider(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$provideSelectionRanges(O,H,G,K){return this._withAdapter(O,ue,de=>de.provideSelectionRanges(u.URI.revive(H),G,K),[],K)}registerCallHierarchyProvider(O,H,G){const K=this._addNewAdapter(new pe(this._documents,G),O);return this._proxy.$registerCallHierarchyProvider(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$prepareCallHierarchy(O,H,G,K){return this._withAdapter(O,pe,de=>Promise.resolve(de.prepareSession(u.URI.revive(H),G,K)),void 0,K)}$provideCallHierarchyIncomingCalls(O,H,G,K){return this._withAdapter(O,pe,de=>de.provideCallsTo(H,G,K),void 0,K)}$provideCallHierarchyOutgoingCalls(O,H,G,K){return this._withAdapter(O,pe,de=>de.provideCallsFrom(H,G,K),void 0,K)}$releaseCallHierarchy(O,H){this._withAdapter(O,pe,G=>Promise.resolve(G.releaseSession(H)),void 0,void 0)}registerTypeHierarchyProvider(O,H,G){const K=this._addNewAdapter(new be(this._documents,G),O);return this._proxy.$registerTypeHierarchyProvider(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$prepareTypeHierarchy(O,H,G,K){return this._withAdapter(O,be,de=>Promise.resolve(de.prepareSession(u.URI.revive(H),G,K)),void 0,K)}$provideTypeHierarchySupertypes(O,H,G,K){return this._withAdapter(O,be,de=>de.provideSupertypes(H,G,K),void 0,K)}$provideTypeHierarchySubtypes(O,H,G,K){return this._withAdapter(O,be,de=>de.provideSubtypes(H,G,K),void 0,K)}$releaseTypeHierarchy(O,H){this._withAdapter(O,be,G=>Promise.resolve(G.releaseSession(H)),void 0,void 0)}registerDocumentOnDropEditProvider(O,H,G){const K=this._nextHandle();return this._adapter.set(K,new fe(new ae(this._proxy,this._documents,G,K),O)),this._proxy.$registerDocumentOnDropEditProvider(K,this._transformDocumentSelector(H)),this._createDisposable(K)}$provideDocumentOnDropEdits(O,H,G,K,de,we){return this._withAdapter(O,ae,se=>Promise.resolve(se.provideDocumentOnDropEdits(H,u.URI.revive(G),K,de,we)),void 0,void 0)}registerDocumentPasteEditProvider(O,H,G,K){const de=this._nextHandle();return this._adapter.set(de,new fe(new $(this._proxy,this._documents,G,de),O)),this._proxy.$registerPasteEditProvider(de,this._transformDocumentSelector(H),!!G.prepareDocumentPaste,K.pasteMimeTypes),this._createDisposable(de)}$prepareDocumentPaste(O,H,G,K,de){return this._withAdapter(O,$,we=>we.prepareDocumentPaste(u.URI.revive(H),G,K,de),void 0,de)}$providePasteEdits(O,H,G,K,de){return this._withAdapter(O,$,we=>we.providePasteEdits(0,u.URI.revive(H),G,K,de),void 0,de)}static _serializeRegExp(O){return{pattern:O.source,flags:(0,E.regExpFlags)(O)}}static _serializeIndentationRule(O){return{decreaseIndentPattern:ne._serializeRegExp(O.decreaseIndentPattern),increaseIndentPattern:ne._serializeRegExp(O.increaseIndentPattern),indentNextLinePattern:O.indentNextLinePattern?ne._serializeRegExp(O.indentNextLinePattern):void 0,unIndentedLinePattern:O.unIndentedLinePattern?ne._serializeRegExp(O.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(O){return{beforeText:ne._serializeRegExp(O.beforeText),afterText:O.afterText?ne._serializeRegExp(O.afterText):void 0,previousLineText:O.previousLineText?ne._serializeRegExp(O.previousLineText):void 0,action:O.action}}static _serializeOnEnterRules(O){return O.map(ne._serializeOnEnterRule)}setLanguageConfiguration(O,H,G){const{wordPattern:K}=G;if(K&&(0,E.regExpLeadsToEndlessLoop)(K))throw new Error(`Invalid language configuration: wordPattern '${K}' is not allowed to match the empty string.`);K?this._documents.setWordDefinitionFor(H,K):this._documents.setWordDefinitionFor(H,void 0),G.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",O,"Do not use."),G.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",O,"Do not use.");const de=this._nextHandle(),we={comments:G.comments,brackets:G.brackets,wordPattern:G.wordPattern?ne._serializeRegExp(G.wordPattern):void 0,indentationRules:G.indentationRules?ne._serializeIndentationRule(G.indentationRules):void 0,onEnterRules:G.onEnterRules?ne._serializeOnEnterRules(G.onEnterRules):void 0,__electricCharacterSupport:G.__electricCharacterSupport,__characterPairSupport:G.__characterPairSupport};return this._proxy.$setLanguageConfiguration(de,H,we),this._createDisposable(de)}$setWordDefinitions(O){for(const H of O)this._documents.setWordDefinitionFor(H.languageId,new RegExp(H.regexSource,H.regexFlags))}}e.ExtHostLanguageFeatures=ne,ne._handlePool=0}),define(Ie[251],ke([1,0,5,15,7,41,18,6]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class E{constructor(R,k,_,P){this._documents=k,this._commands=_,this._uriTransformer=P,this._languageIds=[],this._handlePool=0,this._ids=new Set,this._proxy=R.getProxy(u.MainContext.MainThreadLanguages)}$acceptLanguageIds(R){this._languageIds=R}async getLanguages(){return this._languageIds.slice(0)}async changeLanguage(R,k){await this._proxy.$changeLanguage(R,k);const _=this._documents.getDocumentData(R);if(!_)throw new Error(`document '${R.toString()}' NOT found`);return _.document}async tokenAtPosition(R,k){const _=R.version,P=t.Position.from(k),w=await this._proxy.$tokensAtPosition(R.uri,P),b={type:D.StandardTokenType.Other,range:R.getWordRangeAtPosition(k)??new D.Range(k.line,k.character,k.line,k.character)};if(!w)return b;const g={range:t.Range.to(w.range),type:t.TokenType.to(w.type)};return!g.range.contains(k)||_!==R.version?b:g}createLanguageStatusItem(R,k,_){const P=this._handlePool++,w=this._proxy,b=this._ids,g=`${R.identifier.value}/${k}`;if(b.has(g))throw new Error(`LanguageStatusItem with id '${k}' ALREADY exists`);b.add(g);const f={selector:_,id:k,name:R.displayName??R.name,severity:D.LanguageStatusSeverity.Information,command:void 0,text:"",detail:"",busy:!1};let v;const p=new C.DisposableStore,c=()=>{v?.dispose(),v=(0,y.disposableTimeout)(()=>{p.clear(),this._proxy.$setLanguageStatus(P,{id:g,name:f.name??R.displayName??R.name,source:R.displayName??R.name,selector:t.DocumentSelector.from(f.selector,this._uriTransformer),label:f.text,detail:f.detail??"",severity:f.severity===D.LanguageStatusSeverity.Error?T.default.Error:f.severity===D.LanguageStatusSeverity.Warning?T.default.Warning:T.default.Info,command:f.command&&this._commands.toInternal(f.command,p),accessibilityInfo:f.accessibilityInformation,busy:f.busy})},0)},m={dispose(){p.dispose(),v?.dispose(),w.$removeLanguageStatus(P),b.delete(g)},get id(){return f.id},get name(){return f.name},set name(a){f.name=a,c()},get selector(){return f.selector},set selector(a){f.selector=a,c()},get text(){return f.text},set text(a){f.text=a,c()},get detail(){return f.detail},set detail(a){f.detail=a,c()},get severity(){return f.severity},set severity(a){f.severity=a,c()},get accessibilityInformation(){return f.accessibilityInformation},set accessibilityInformation(a){f.accessibilityInformation=a,c()},get command(){return f.command},set command(a){f.command=a,c()},get busy(){return f.busy},set busy(a){f.busy=a,c()}};return c(),m}}e.ExtHostLanguages=E}),define(Ie[136],ke([1,0,14,5,26,17,3]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLoggerService=void 0;let C=class extends u.AbstractLoggerService{constructor(R,k){const _=new y.Emitter;super(k.logLevel,_.event);this._proxy=R.getProxy(t.MainContext.MainThreadLogger),this._onDidChangeLogLevel=this._register(_)}$setLevel(R){this._onDidChangeLogLevel.fire(R)}doCreateLogger(R,k,_){return new E(this._proxy,R,k,_)}};C=st([He(0,T.IExtHostRpcService),He(1,D.IExtHostInitDataService)],C),e.ExtHostLoggerService=C;class E extends u.AbstractMessageLogger{constructor(R,k,_,P){super(P?.always);this.proxy=R,this.file=k,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(_),this.proxy.$createLogger(k,P).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(R,k){const _=[[R,k]];this.isLoggerCreated?this.doLog(_):this.buffer.push(..._)}doLog(R){this.proxy.$log(this.file,R)}}}),define(Ie[252],ke([1,0,5,14,27]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function T(C){return C&&C.title}let y=class{constructor(E,I){this._logService=I,this._proxy=E.getProxy(u.MainContext.MainThreadMessageService)}showMessage(E,I,R,k,_){const P={source:{identifier:E.identifier,label:E.displayName||E.name}};let w;typeof k=="string"||T(k)?w=[k,..._]:(P.modal=k?.modal,P.useCustom=k?.useCustom,P.detail=k?.detail,w=_),P.useCustom&&(0,D.checkProposedApiEnabled)(E,"resolvers");const b=[];for(let g=0;g<w.length;g++){const f=w[g];if(typeof f=="string")b.push({title:f,handle:g,isCloseAffordance:!1});else if(typeof f=="object"){const{title:v,isCloseAffordance:p}=f;b.push({title:v,isCloseAffordance:!!p,handle:g})}else this._logService.warn("Invalid message item:",f)}return this._proxy.$showMessage(I,R,P,b).then(g=>{if(typeof g=="number")return w[g]})}};y=st([He(1,t.ILogService)],y),e.ExtHostMessageService=y}),define(Ie[253],ke([1,0,23,3,60,6,25,8,10,2,87,5,37,15,7,53,223,131]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookController=void 0;class v{constructor(c,m,a,h,r){this._textDocumentsAndEditors=a,this._textDocuments=h,this._extensionStoragePaths=r,this._notebookContentProviders=new Map,this._notebookStatusBarItemProviders=new Map,this._documents=new y.ResourceMap,this._editors=new Map,this._onDidChangeActiveNotebookEditor=new t.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new t.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new t.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidChangeVisibleNotebookEditors=new t.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._statusBarCache=new R.Cache("NotebookCellStatusBarCache"),this._handlePool=0,this._notebookSerializer=new Map,this._backupIdPool=0,this._notebookProxy=c.getProxy(k.MainContext.MainThreadNotebook),this._notebookDocumentsProxy=c.getProxy(k.MainContext.MainThreadNotebookDocuments),this._notebookEditorsProxy=c.getProxy(k.MainContext.MainThreadNotebookEditors),this._commandsConverter=m.converter,m.registerArgumentProcessor({processArgument:o=>{if(o&&o.$mid===12){const i=o.notebookEditor?.notebookUri,n=o.cell.handle,l=this._documents.get(i)?.getCell(n);if(l)return l.apiCell}return o}}),v._registerApiCommands(m)}get activeNotebookEditor(){return this._activeNotebookEditor?.apiEditor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(c=>c.apiEditor)}getEditorById(c){const m=this._editors.get(c);if(!m)throw new Error(`unknown text editor: ${c}. known editors: ${[...this._editors.keys()]} `);return m}getIdByEditor(c){for(const[m,a]of this._editors)if(a.apiEditor===c)return m}get notebookDocuments(){return[...this._documents.values()]}getNotebookDocument(c,m){const a=this._documents.get(c);if(!a&&!m)throw new Error(`NO notebook document for '${c}'`);return a}_getProviderData(c){const m=this._notebookContentProviders.get(c);if(!m)throw new Error(`NO provider for '${c}'`);return m}registerNotebookContentProvider(c,m,a,h,r){if((0,C.isFalsyOrWhitespace)(m))throw new Error("viewType cannot be empty or just whitespace");if(this._notebookContentProviders.has(m))throw new Error(`Notebook provider for '${m}' already registered`);this._notebookContentProviders.set(m,{extension:c,provider:a});let o;return a.onDidChangeNotebookContentOptions&&(o=a.onDidChangeNotebookContentOptions(()=>{const i=P.NotebookDocumentContentOptions.from(a.options);this._notebookProxy.$updateNotebookProviderOptions(m,i)})),this._notebookProxy.$registerNotebookProvider({id:c.identifier,location:c.extensionLocation},m,P.NotebookDocumentContentOptions.from(h),v._convertNotebookRegistrationData(c,r)),new w.Disposable(()=>{o?.dispose(),this._notebookContentProviders.delete(m),this._notebookProxy.$unregisterNotebookProvider(m)})}static _convertNotebookRegistrationData(c,m){if(!m)return;const a=m.filenamePattern.map(h=>P.NotebookExclusiveDocumentPattern.from(h)).filter(h=>h!==void 0);if(m.filenamePattern&&!a){console.warn(`Notebook content provider view options file name pattern is invalid ${m.filenamePattern}`);return}return{extension:c.identifier,providerDisplayName:c.displayName||c.name,displayName:m.displayName,filenamePattern:a,exclusive:m.exclusive||!1}}registerNotebookCellStatusBarItemProvider(c,m,a){const h=v._notebookStatusBarItemProviderHandlePool++,r=typeof a.onDidChangeCellStatusBarItems=="function"?v._notebookStatusBarItemProviderHandlePool++:void 0;this._notebookStatusBarItemProviders.set(h,a),this._notebookProxy.$registerNotebookCellStatusBarItemProvider(h,r,m);let o;return r!==void 0&&(o=a.onDidChangeCellStatusBarItems(i=>this._notebookProxy.$emitCellStatusBarEvent(r))),new w.Disposable(()=>{this._notebookStatusBarItemProviders.delete(h),this._notebookProxy.$unregisterNotebookCellStatusBarItemProvider(h,r),o&&o.dispose()})}async createNotebookDocument(c){const m=await this._notebookDocumentsProxy.$tryCreateNotebook({viewType:c.viewType,content:c.content&&P.NotebookData.from(c.content)});return I.URI.revive(m)}async openNotebookDocument(c){const m=this._documents.get(c);if(m)return m.apiNotebook;const a=await this._notebookDocumentsProxy.$tryOpenNotebook(c),h=this._documents.get(I.URI.revive(a));return(0,E.assertIsDefined)(h?.apiNotebook)}async showNotebookDocument(c,m){I.URI.isUri(c)&&(c=await this.openNotebookDocument(c));let a;typeof m=="object"?a={position:P.ViewColumn.from(m.viewColumn),preserveFocus:m.preserveFocus,selections:m.selections&&m.selections.map(P.NotebookRange.from),pinned:typeof m.preview=="boolean"?!m.preview:void 0}:a={preserveFocus:!1};const h=await this._notebookEditorsProxy.$tryShowNotebookDocument(c.uri,c.notebookType,a),r=h&&this._editors.get(h)?.apiEditor;if(r)return r;throw h?new Error(`Could NOT open editor for "${c.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${c.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(c,m,a,h){const r=this._notebookStatusBarItemProviders.get(c),o=I.URI.revive(m),i=this._documents.get(o);if(!i||!r)return;const n=i.getCellFromIndex(a);if(!n)return;const s=await r.provideCellStatusBarItems(n.apiCell,h);if(!s)return;const l=new T.DisposableStore,d=this._statusBarCache.add([l]),L=(Array.isArray(s)?s:[s]).map(F=>P.NotebookStatusBarItem.from(F,this._commandsConverter,l));return{cacheId:d,items:L}}$releaseNotebookCellStatusBarItems(c){this._statusBarCache.delete(c)}registerNotebookSerializer(c,m,a,h,r){if((0,C.isFalsyOrWhitespace)(m))throw new Error("viewType cannot be empty or just whitespace");const o=this._handlePool++;return this._notebookSerializer.set(o,a),this._notebookProxy.$registerNotebookSerializer(o,{id:c.identifier,location:c.extensionLocation},m,P.NotebookDocumentContentOptions.from(h),v._convertNotebookRegistrationData(c,r)),(0,T.toDisposable)(()=>{this._notebookProxy.$unregisterNotebookSerializer(o)})}async $dataToNotebook(c,m,a){const h=this._notebookSerializer.get(c);if(!h)throw new Error("NO serializer found");const r=await h.deserializeNotebook(m.buffer,a);return new b.SerializableObjectWithBuffers(P.NotebookData.from(r))}async $notebookToData(c,m,a){const h=this._notebookSerializer.get(c);if(!h)throw new Error("NO serializer found");const r=await h.serializeNotebook(P.NotebookData.to(m.value),a);return u.VSBuffer.wrap(r)}async $openNotebook(c,m,a,h,r){const{provider:o}=this._getProviderData(c),i=await o.openNotebook(I.URI.revive(m),{backupId:a,untitledDocumentData:h?.buffer},r);return new b.SerializableObjectWithBuffers({metadata:i.metadata??Object.create(null),cells:i.cells.map(P.NotebookCellData.from)})}async $saveNotebook(c,m,a){const h=this.getNotebookDocument(I.URI.revive(m)),{provider:r}=this._getProviderData(c);return await r.saveNotebook(h.apiNotebook,a),!0}async $saveNotebookAs(c,m,a,h){const r=this.getNotebookDocument(I.URI.revive(m)),{provider:o}=this._getProviderData(c);return await o.saveNotebookAs(I.URI.revive(a),r.apiNotebook,h),!0}async $backupNotebook(c,m,a){const h=this.getNotebookDocument(I.URI.revive(m)),r=this._getProviderData(c),o=this._extensionStoragePaths.workspaceValue(r.extension)??this._extensionStoragePaths.globalValue(r.extension),i=String((0,D.hash)([h.uri.toString(),this._backupIdPool++])),n=I.URI.joinPath(o,i),s=await r.provider.backupNotebook(h.apiNotebook,{destination:n},a);return h.updateBackup(s),s.id}_createExtHostEditor(c,m,a){if(this._editors.has(m))throw new Error(`editor with id ALREADY EXSIST: ${m}`);const h=new f.ExtHostNotebookEditor(m,this._notebookEditorsProxy,c,a.visibleRanges.map(P.NotebookRange.to),a.selections.map(P.NotebookRange.to),typeof a.viewColumn=="number"?P.ViewColumn.to(a.viewColumn):void 0);this._editors.set(m,h)}$acceptDocumentAndEditorsDelta(c){if(c.value.removedDocuments)for(const a of c.value.removedDocuments){const h=I.URI.revive(a),r=this._documents.get(h);r&&(r.dispose(),this._documents.delete(h),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:r.apiNotebook.getCells().map(o=>o.document.uri)}),this._onDidCloseNotebookDocument.fire(r.apiNotebook));for(const o of this._editors.values())o.notebookData.uri.toString()===h.toString()&&this._editors.delete(o.id)}if(c.value.addedDocuments){const a=[];for(const h of c.value.addedDocuments){const r=I.URI.revive(h.uri);if(this._documents.has(r))throw new Error(`adding EXISTING notebook ${r} `);const o=new g.ExtHostNotebookDocument(this._notebookDocumentsProxy,this._textDocumentsAndEditors,this._textDocuments,r,h);a.push(...h.cells.map(i=>g.ExtHostCell.asModelAddData(o.apiNotebook,i))),this._documents.get(r)?.dispose(),this._documents.set(r,o),this._textDocumentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:a}),this._onDidOpenNotebookDocument.fire(o.apiNotebook)}}if(c.value.addedEditors)for(const a of c.value.addedEditors){if(this._editors.has(a.id))return;const h=I.URI.revive(a.documentUri),r=this._documents.get(h);r&&this._createExtHostEditor(r,a.id,a)}const m=[];if(c.value.removedEditors)for(const a of c.value.removedEditors){const h=this._editors.get(a);h&&(this._editors.delete(a),this._activeNotebookEditor?.id===h.id&&(this._activeNotebookEditor=void 0),m.push(h))}if(c.value.visibleEditors){this._visibleNotebookEditors=c.value.visibleEditors.map(h=>this._editors.get(h)).filter(h=>!!h);const a=new Set;this._visibleNotebookEditors.forEach(h=>a.add(h.id));for(const h of this._editors.values()){const r=a.has(h.id);h._acceptVisibility(r)}this._visibleNotebookEditors=[...this._editors.values()].map(h=>h).filter(h=>h.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}c.value.newActiveEditor===null?this._activeNotebookEditor=void 0:c.value.newActiveEditor&&(this._activeNotebookEditor=this._editors.get(c.value.newActiveEditor)),c.value.newActiveEditor!==void 0&&this._onDidChangeActiveNotebookEditor.fire(this._activeNotebookEditor?.apiEditor)}static _registerApiCommands(c){const m=_.ApiCommandArgument.String.with("notebookType","A notebook type"),a=new _.ApiCommand("vscode.executeDataToNotebook","_executeDataToNotebook","Invoke notebook serializer",[m,new _.ApiCommandArgument("data","Bytes to convert to data",r=>r instanceof Uint8Array,r=>u.VSBuffer.wrap(r))],new _.ApiCommandResult("Notebook Data",r=>P.NotebookData.to(r.value))),h=new _.ApiCommand("vscode.executeNotebookToData","_executeNotebookToData","Invoke notebook serializer",[m,new _.ApiCommandArgument("NotebookData","Notebook data to convert to bytes",r=>!0,r=>new b.SerializableObjectWithBuffers(P.NotebookData.from(r)))],new _.ApiCommandResult("Bytes",r=>r.buffer));c.registerApiCommand(a),c.registerApiCommand(h)}}e.ExtHostNotebookController=v,v._notebookStatusBarItemProviderHandlePool=0}),define(Ie[254],ke([1,0,16,18,21,3,6,25,2,28,14,5,37,15,7,88,218,27,53]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createKernelId=e.ExtHostNotebookKernels=void 0;let p=class{constructor(o,i,n,s,l){this._initData=i,this._extHostNotebook=n,this._commands=s,this._logService=l,this._activeExecutions=new C.ResourceMap,this._kernelData=new Map,this._handlePool=0,this._onDidChangeCellExecutionState=new T.Emitter,this.onDidChangeNotebookCellExecutionState=this._onDidChangeCellExecutionState.event,this._proxy=o.getProxy(k.MainContext.MainThreadNotebookKernels);const d=new _.ApiCommand("notebook.selectKernel","_notebook.selectKernel","Trigger kernel picker for specified notebook editor widget",[new _.ApiCommandArgument("options","Select kernel options",S=>!0,S=>{if(S&&"notebookEditor"in S&&"id"in S){const L=this._extHostNotebook.getIdByEditor(S.notebookEditor);return{id:S.id,extension:S.extension,notebookEditorId:L}}else if(S&&"notebookEditor"in S){const L=this._extHostNotebook.getIdByEditor(S.notebookEditor);if(L===void 0)throw new Error(`Cannot invoke 'notebook.selectKernel' for unrecognized notebook editor ${S.notebookEditor.document.uri.toString()}`);return{notebookEditorId:L}}return S})],_.ApiCommandResult.Void);this._commands.registerApiCommand(d)}createNotebookController(o,i,n,s,l,d){for(const ee of this._kernelData.values())if(ee.controller.id===i&&I.ExtensionIdentifier.equals(o.identifier,ee.extensionId))throw new Error(`notebook controller with id '${i}' ALREADY exist`);const S=this._handlePool++,L=this;this._logService.trace(`NotebookController[${S}], CREATED by ${o.identifier.value}, ${i}`);const F=()=>console.warn(`NO execute handler from notebook controller '${z.id}' of extension: '${o.identifier}'`);let N=!1;const A=new y.DisposableStore,$=new T.Emitter,B=new T.Emitter,z={id:h(o.identifier,i),notebookType:n,extensionId:o.identifier,extensionLocation:o.extensionLocation,label:s||o.identifier.value,preloads:d?d.map(P.NotebookRendererScript.from):[]};let X=l??F,M;this._proxy.$addKernel(S,z).catch(ee=>{console.log(ee),N=!0});let U=0;const q=()=>{if(N)return;const ee=++U;Promise.resolve().then(()=>{ee===U&&this._proxy.$updateKernel(S,z)})},x=new C.ResourceMap,V={get id(){return i},get notebookType(){return z.notebookType},onDidChangeSelectedNotebooks:$.event,get label(){return z.label},set label(ee){z.label=ee??o.displayName??o.name,q()},get detail(){return z.detail??""},set detail(ee){z.detail=ee,q()},get description(){return z.description??""},set description(ee){z.description=ee,q()},get kind(){return(0,f.checkProposedApiEnabled)(o,"notebookControllerKind"),z.kind??""},set kind(ee){(0,f.checkProposedApiEnabled)(o,"notebookControllerKind"),z.kind=ee,q()},get supportedLanguages(){return z.supportedLanguages},set supportedLanguages(ee){z.supportedLanguages=ee,q()},get supportsExecutionOrder(){return z.supportsExecutionOrder??!1},set supportsExecutionOrder(ee){z.supportsExecutionOrder=ee,q()},get rendererScripts(){return z.preloads?z.preloads.map(P.NotebookRendererScript.to):[]},get executeHandler(){return X},set executeHandler(ee){X=ee??F},get interruptHandler(){return M},set interruptHandler(ee){M=ee,z.supportsInterrupt=Boolean(ee),q()},createNotebookCellExecution(ee){if(N)throw new Error("notebook controller is DISPOSED");if(!x.has(ee.notebook.uri))throw L._logService.trace(`NotebookController[${S}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(x.keys()).map(Y=>Y.toString())),new Error(`notebook controller is NOT associated to notebook: ${ee.notebook.uri.toString()}`);return L._createNotebookCellExecution(ee,h(o.identifier,this.id))},dispose:()=>{N||(this._logService.trace(`NotebookController[${S}], DISPOSED`),N=!0,this._kernelData.delete(S),A.dispose(),$.dispose(),B.dispose(),this._proxy.$removeKernel(S))},updateNotebookAffinity(ee,Y){L._proxy.$updateNotebookPriority(S,ee.uri,Y)},onDidReceiveMessage:B.event,postMessage(ee,Y){return(0,f.checkProposedApiEnabled)(o,"notebookMessaging"),L._proxy.$postMessage(S,Y&&L._extHostNotebook.getIdByEditor(Y),ee)},asWebviewUri(ee){return(0,f.checkProposedApiEnabled)(o,"notebookMessaging"),(0,b.asWebviewUri)(ee,L._initData.remote)}};return this._kernelData.set(S,{extensionId:o.identifier,controller:V,onDidReceiveMessage:B,onDidChangeSelection:$,associatedNotebooks:x}),V}getIdByController(o){for(const[i,n]of this._kernelData)if(n.controller===o)return h(n.extensionId,o.id);return null}$acceptNotebookAssociation(o,i,n){const s=this._kernelData.get(o);if(s){const l=this._extHostNotebook.getNotebookDocument(E.URI.revive(i));n?s.associatedNotebooks.set(l.uri,!0):s.associatedNotebooks.delete(l.uri),this._logService.trace(`NotebookController[${o}] ASSOCIATE notebook`,l.uri.toString(),n),s.onDidChangeSelection.fire({selected:n,notebook:l.apiNotebook})}}async $executeCells(o,i,n){const s=this._kernelData.get(o);if(!s)return;const l=this._extHostNotebook.getNotebookDocument(E.URI.revive(i)),d=[];for(const S of n){const L=l.getCell(S);L&&d.push(L.apiCell)}try{this._logService.trace(`NotebookController[${o}] EXECUTE cells`,l.uri.toString(),d.length),await s.controller.executeHandler.call(s.controller,d,l.apiNotebook,s.controller)}catch(S){this._logService.error(`NotebookController[${o}] execute cells FAILED`,S),console.error(S)}}async $cancelCells(o,i,n){const s=this._kernelData.get(o);if(!s)return;const l=this._extHostNotebook.getNotebookDocument(E.URI.revive(i));if(s.controller.interruptHandler)await s.controller.interruptHandler.call(s.controller,l.apiNotebook);else for(const d of n){const S=l.getCell(d);S&&this._activeExecutions.get(S.uri)?.cancel()}}$acceptKernelMessageFromRenderer(o,i,n){const s=this._kernelData.get(o);if(!s)return;const l=this._extHostNotebook.getEditorById(i);s.onDidReceiveMessage.fire(Object.freeze({editor:l.apiEditor,message:n}))}$cellExecutionChanged(o,i,n){const l=this._extHostNotebook.getNotebookDocument(E.URI.revive(o)).getCell(i);l&&this._onDidChangeCellExecutionState.fire({cell:l.apiCell,state:n?P.NotebookCellExecutionState.to(n):w.NotebookCellExecutionState.Idle})}_createNotebookCellExecution(o,i){if(o.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const s=this._extHostNotebook.getNotebookDocument(o.notebook.uri).getCellFromApiCell(o);if(!s)throw new Error("invalid cell");if(this._activeExecutions.has(s.uri))throw new Error(`duplicate execution for ${s.uri}`);const l=new m(i,s,this._proxy);this._activeExecutions.set(s.uri,l);const d=l.onDidChangeState(()=>{l.state===c.Resolved&&(l.dispose(),d.dispose(),this._activeExecutions.delete(s.uri))});return l.asApiObject()}};p=st([He(4,R.ILogService)],p),e.ExtHostNotebookKernels=p;var c;(function(r){r[r.Init=0]="Init",r[r.Started=1]="Started",r[r.Resolved=2]="Resolved"})(c||(c={}));class m extends y.Disposable{constructor(o,i,n){super();this._cell=i,this._proxy=n,this._handle=m.HANDLE++,this._onDidChangeState=new T.Emitter,this.onDidChangeState=this._onDidChangeState.event,this._state=c.Init,this._tokenSource=this._register(new D.CancellationTokenSource),this._collector=new a(10,s=>this.update(s)),this._executionOrder=i.internalMetadata.executionOrder,this._proxy.$createExecution(this._handle,o,this._cell.notebook.uri,this._cell.handle)}get state(){return this._state}cancel(){this._tokenSource.cancel()}async updateSoon(o){await this._collector.addItem(o)}async update(o){const i=Array.isArray(o)?o:[o];return this._proxy.$updateExecution(this._handle,new v.SerializableObjectWithBuffers(i))}verifyStateForOutput(){if(this._state===c.Init)throw new Error("Must call start before modifying cell output");if(this._state===c.Resolved)throw new Error("Cannot modify cell output after calling resolve")}cellIndexToHandle(o){let i=this._cell;if(o&&(i=this._cell.notebook.getCellFromApiCell(o)),!i)throw new Error("INVALID cell");return i.handle}validateAndConvertOutputs(o){return o.map(i=>{const n=w.NotebookCellOutput.ensureUniqueMimeTypes(i.items,!0);return n===i.items?P.NotebookCellOutput.from(i):P.NotebookCellOutput.from({items:n,id:i.id,metadata:i.metadata})})}async updateOutputs(o,i,n){const s=this.cellIndexToHandle(i),l=this.validateAndConvertOutputs((0,u.asArray)(o));return this.updateSoon({editType:g.CellExecutionUpdateType.Output,cellHandle:s,append:n,outputs:l})}async updateOutputItems(o,i,n){return o=w.NotebookCellOutput.ensureUniqueMimeTypes((0,u.asArray)(o),!0),this.updateSoon({editType:g.CellExecutionUpdateType.OutputItems,items:o.map(P.NotebookCellOutputItem.from),outputId:i.id,append:n})}asApiObject(){const o=this;return Object.freeze({get token(){return o._tokenSource.token},get cell(){return o._cell.apiCell},get executionOrder(){return o._executionOrder},set executionOrder(n){o._executionOrder=n,o.update([{editType:g.CellExecutionUpdateType.ExecutionState,executionOrder:o._executionOrder}])},start(n){if(o._state===c.Resolved||o._state===c.Started)throw new Error("Cannot call start again");o._state=c.Started,o._onDidChangeState.fire(),o.update({editType:g.CellExecutionUpdateType.ExecutionState,runStartTime:n})},end(n,s){if(o._state===c.Resolved)throw new Error("Cannot call resolve twice");o._state=c.Resolved,o._onDidChangeState.fire(),o._collector.flush(),o._proxy.$completeExecution(o._handle,new v.SerializableObjectWithBuffers({runEndTime:s,lastRunSuccess:n}))},clearOutput(n){return o.verifyStateForOutput(),o.updateOutputs([],n,!1)},appendOutput(n,s){return o.verifyStateForOutput(),o.updateOutputs(n,s,!0)},replaceOutput(n,s){return o.verifyStateForOutput(),o.updateOutputs(n,s,!1)},appendOutputItems(n,s){return o.verifyStateForOutput(),o.updateOutputItems(n,s,!0)},replaceOutputItems(n,s){return o.verifyStateForOutput(),o.updateOutputItems(n,s,!1)}})}}m.HANDLE=0;class a{constructor(o,i){this.delay=o,this.callback=i,this.batch=[],this.startedTimer=Date.now()}addItem(o){return this.batch.push(o),this.currentDeferred||(this.currentDeferred=new t.DeferredPromise,this.startedTimer=Date.now(),(0,t.timeout)(this.delay).then(()=>this.flush())),Date.now()-this.startedTimer>this.delay?this.flush():this.currentDeferred.p}flush(){if(this.batch.length===0||!this.currentDeferred)return Promise.resolve();const o=this.currentDeferred;this.currentDeferred=void 0;const i=this.batch;return this.batch=[],this.callback(i).finally(()=>o.complete())}}function h(r,o){return`${r.value}/${o}`}e.createKernelId=h}),define(Ie[255],ke([1,0,3,5,131]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookRenderers=void 0;class T{constructor(C,E){this._extHostNotebook=E,this._rendererMessageEmitters=new Map,this.proxy=C.getProxy(t.MainContext.MainThreadNotebookRenderers)}$postRendererMessage(C,E,I){const R=this._extHostNotebook.getEditorById(C);this._rendererMessageEmitters.get(E)?.fire({editor:R.apiEditor,message:I})}createRendererMessaging(C,E){if(!C.contributes?.notebookRenderer?.some(R=>R.id===E))throw new Error(`Extensions may only call createRendererMessaging() for renderers they contribute (got ${E})`);return{onDidReceiveMessage:(R,k,_)=>this.getOrCreateEmitterFor(E).event(R,k,_),postMessage:(R,k)=>{D.ExtHostNotebookEditor.apiEditorsToExtHost.has(R)&&([R,k]=[k,R]);const _=k&&D.ExtHostNotebookEditor.apiEditorsToExtHost.get(k);return this.proxy.$postMessage(_?.id,E,R)}}}getOrCreateEmitterFor(C){let E=this._rendererMessageEmitters.get(C);return E||(E=new u.Emitter({onLastListenerRemove:()=>{E?.dispose(),this._rendererMessageEmitters.delete(C)}}),this._rendererMessageEmitters.set(C,E),E)}}e.ExtHostNotebookRenderers=T}),define(Ie[256],ke([1,0,21,3,6,5,2,7,12,16,41,86]),function(Q,e,u,t,D,T,y,C,E,I,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function _(P,w,b){const g=P.getProxy(T.MainContext.MainThreadQuickOpen);class f{constructor(i,n){this._sessions=new Map,this._instances=0,this._workspace=i,this._commands=n}showQuickPick(i,n,s=u.CancellationToken.None){this._onDidSelectItem=void 0;const l=Promise.resolve(i),d=++this._instances,S=g.$show(d,{title:n?.title,placeHolder:n?.placeHolder,matchOnDescription:n?.matchOnDescription,matchOnDetail:n?.matchOnDetail,ignoreFocusLost:n?.ignoreFocusOut,canPickMany:n?.canPickMany},s),L={},F=S.then(()=>L);return Promise.race([F,l]).then(N=>{if(N!==L)return l.then(A=>{const $=[];for(let B=0;B<A.length;B++){const z=A[B];typeof z=="string"?$.push({label:z,handle:B}):z.kind===C.QuickPickItemKind.Separator?$.push({type:"separator",label:z.label}):$.push({label:z.label,description:z.description,detail:z.detail,picked:z.picked,alwaysShow:z.alwaysShow,handle:B})}return n&&typeof n.onDidSelectItem=="function"&&(this._onDidSelectItem=B=>{n.onDidSelectItem(A[B])}),g.$setItems(d,$),S.then(B=>{if(typeof B=="number")return A[B];if(Array.isArray(B))return B.map(z=>A[z])})})}).then(void 0,N=>{if(!(0,E.isCancellationError)(N))return g.$setError(d,N),Promise.reject(N)})}$onItemSelected(i){this._onDidSelectItem?.(i)}showInput(i,n=u.CancellationToken.None){return this._validateInput=i?.validateInput,g.$input(i,typeof this._validateInput=="function",n).then(void 0,s=>{if(!(0,E.isCancellationError)(s))return Promise.reject(s)})}async $validateInput(i){if(!this._validateInput)return;const n=await this._validateInput(i);if(!n||typeof n=="string")return n;let s;switch(n.severity){case C.InputBoxValidationSeverity.Info:s=R.default.Info;break;case C.InputBoxValidationSeverity.Warning:s=R.default.Warning;break;case C.InputBoxValidationSeverity.Error:s=R.default.Error;break;default:s=n.message?R.default.Error:R.default.Ignore;break}return{content:n.message,severity:s}}async showWorkspaceFolderPick(i,n=u.CancellationToken.None){const s=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[i]);if(!s)return;const l=await this._workspace.getWorkspaceFolders2();if(!!l)return l.find(d=>d.uri.toString()===s.uri.toString())}createQuickPick(i){const n=new h(i,()=>this._sessions.delete(n._id));return this._sessions.set(n._id,n),n}createInputBox(i){const n=new r(i,()=>this._sessions.delete(n._id));return this._sessions.set(n._id,n),n}$onDidChangeValue(i,n){this._sessions.get(i)?._fireDidChangeValue(n)}$onDidAccept(i){const n=this._sessions.get(i);n&&n._fireDidAccept()}$onDidChangeActive(i,n){const s=this._sessions.get(i);s instanceof h&&s._fireDidChangeActive(n)}$onDidChangeSelection(i,n){const s=this._sessions.get(i);s instanceof h&&s._fireDidChangeSelection(n)}$onDidTriggerButton(i,n){this._sessions.get(i)?._fireDidTriggerButton(n)}$onDidTriggerItemButton(i,n,s){const l=this._sessions.get(i);l instanceof h&&l._fireDidTriggerItemButton(n,s)}$onDidHide(i){const n=this._sessions.get(i);n&&n._fireDidHide()}}class v{constructor(i,n){this._extensionId=i,this._onDidDispose=n,this._id=h._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new t.Emitter,this._onDidChangeValueEmitter=new t.Emitter,this._onDidTriggerButtonEmitter=new t.Emitter,this._onDidHideEmitter=new t.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(i){this._title=i,this.update({title:i})}get step(){return this._steps}set step(i){this._steps=i,this.update({step:i})}get totalSteps(){return this._totalSteps}set totalSteps(i){this._totalSteps=i,this.update({totalSteps:i})}get enabled(){return this._enabled}set enabled(i){this._enabled=i,this.update({enabled:i})}get busy(){return this._busy}set busy(i){this._busy=i,this.update({busy:i})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(i){this._ignoreFocusOut=i,this.update({ignoreFocusOut:i})}get value(){return this._value}set value(i){this._value=i,this.update({value:i})}get placeholder(){return this._placeholder}set placeholder(i){this._placeholder=i,this.update({placeholder:i})}get buttons(){return this._buttons}set buttons(i){this._buttons=i.slice(),this._handlesToButtons.clear(),i.forEach((n,s)=>{const l=n===C.QuickInputButtons.Back?-1:s;this._handlesToButtons.set(l,n)}),this.update({buttons:i.map((n,s)=>({...a(n),tooltip:n.tooltip,handle:n===C.QuickInputButtons.Back?-1:s}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(i){this._value=i,this._onDidChangeValueEmitter.fire(i)}_fireDidTriggerButton(i){const n=this._handlesToButtons.get(i);n&&this._onDidTriggerButtonEmitter.fire(n)}_fireDidHide(){this._expectingHide&&(this._expectingHide=this._visible,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=(0,D.dispose)(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),g.$dispose(this._id))}update(i){if(!this._disposed){for(const n of Object.keys(i)){const s=i[n];this._pendingUpdate[n]=s===void 0?null:s}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){g.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}v._nextId=1;function p(o){if(o instanceof C.ThemeIcon)return{id:o.id};const i=m(o),n=c(o);return{dark:typeof i=="string"?y.URI.file(i):i,light:typeof n=="string"?y.URI.file(n):n}}function c(o){return typeof o=="object"&&"light"in o?o.light:o}function m(o){return typeof o=="object"&&"dark"in o?o.dark:o}function a(o){const i=p(o.iconPath);let n,s;return"id"in i?s=k.ThemeIcon.asClassName(i):n=i,{iconPath:n,iconClass:s}}class h extends v{constructor(i,n){super(i.identifier,n);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._keepScrollPosition=!1,this._activeItems=[],this._onDidChangeActiveEmitter=new t.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new t.Emitter,this._onDidTriggerItemButtonEmitter=new t.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this.onDidTriggerItemButton=this._onDidTriggerItemButtonEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter,this._onDidTriggerItemButtonEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(i){this._items=i.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),i.forEach((s,l)=>{this._handlesToItems.set(l,s),this._itemsToHandles.set(s,l)});const n=[];for(let s=0;s<i.length;s++){const l=i[s];l.kind===C.QuickPickItemKind.Separator?n.push({type:"separator",label:l.label}):n.push({handle:s,label:l.label,description:l.description,detail:l.detail,picked:l.picked,alwaysShow:l.alwaysShow,buttons:l.buttons?.map((d,S)=>({...a(d),tooltip:d.tooltip,handle:S}))})}this.update({items:n})}get canSelectMany(){return this._canSelectMany}set canSelectMany(i){this._canSelectMany=i,this.update({canSelectMany:i})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(i){this._matchOnDescription=i,this.update({matchOnDescription:i})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(i){this._matchOnDetail=i,this.update({matchOnDetail:i})}get sortByLabel(){return this._sortByLabel}set sortByLabel(i){this._sortByLabel=i,this.update({sortByLabel:i})}get keepScrollPosition(){return this._keepScrollPosition}set keepScrollPosition(i){this._keepScrollPosition=i,this.update({keepScrollPosition:i})}get activeItems(){return this._activeItems}set activeItems(i){this._activeItems=i.filter(n=>this._itemsToHandles.has(n)),this.update({activeItems:this._activeItems.map(n=>this._itemsToHandles.get(n))})}get selectedItems(){return this._selectedItems}set selectedItems(i){this._selectedItems=i.filter(n=>this._itemsToHandles.has(n)),this.update({selectedItems:this._selectedItems.map(n=>this._itemsToHandles.get(n))})}_fireDidChangeActive(i){const n=(0,I.coalesce)(i.map(s=>this._handlesToItems.get(s)));this._activeItems=n,this._onDidChangeActiveEmitter.fire(n)}_fireDidChangeSelection(i){const n=(0,I.coalesce)(i.map(s=>this._handlesToItems.get(s)));this._selectedItems=n,this._onDidChangeSelectionEmitter.fire(n)}_fireDidTriggerItemButton(i,n){const s=this._handlesToItems.get(i);if(!s||!s.buttons||!s.buttons.length)return;const l=s.buttons[n];l&&this._onDidTriggerItemButtonEmitter.fire({button:l,item:s})}}class r extends v{constructor(i,n){super(i.identifier,n);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(i){this._password=i,this.update({password:i})}get prompt(){return this._prompt}set prompt(i){this._prompt=i,this.update({prompt:i})}get validationMessage(){return this._validationMessage}set validationMessage(i){this._validationMessage=i,i?typeof i=="string"?this.update({validationMessage:i,severity:R.default.Error}):this.update({validationMessage:i.message,severity:i.severity??R.default.Error}):this.update({validationMessage:void 0,severity:R.default.Ignore})}}return new f(w,b)}e.createExtHostQuickOpen=_});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[257],ke([1,0,2,3,57,6,18,5,16,104,14,28,86,15,27]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w){"use strict";var b,g;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function f(l){if(l)return typeof l.iconPath=="string"?u.URI.file(l.iconPath):u.URI.isUri(l.iconPath)||_.ThemeIcon.isThemeIcon(l.iconPath)?l.iconPath:void 0}function v(l,d){if(!l.iconPath&&!d.iconPath)return 0;if(l.iconPath){if(!d.iconPath)return 1}else return-1;const S=typeof l.iconPath=="string"?l.iconPath:u.URI.isUri(l.iconPath)?l.iconPath.fsPath:l.iconPath.id,L=typeof d.iconPath=="string"?d.iconPath:u.URI.isUri(d.iconPath)?d.iconPath.fsPath:d.iconPath.id;return(0,I.comparePaths)(S,L)}function p(l,d){let S=0;if(l.strikeThrough!==d.strikeThrough)return l.strikeThrough?1:-1;if(l.faded!==d.faded)return l.faded?1:-1;if(l.tooltip!==d.tooltip)return(l.tooltip||"").localeCompare(d.tooltip||"");if(S=v(l,d),S!==0)return S;if(l.light&&d.light)S=v(l.light,d.light);else{if(l.light)return 1;if(d.light)return-1}if(S!==0)return S;if(l.dark&&d.dark)S=v(l.dark,d.dark);else{if(l.dark)return 1;if(d.dark)return-1}return S}function c(l,d){if(l.command!==d.command)return l.command<d.command?-1:1;if(l.title!==d.title)return l.title<d.title?-1:1;if(l.tooltip!==d.tooltip){if(l.tooltip!==void 0&&d.tooltip!==void 0)return l.tooltip<d.tooltip?-1:1;if(l.tooltip!==void 0)return 1;if(d.tooltip!==void 0)return-1}if(l.arguments===d.arguments)return 0;if(l.arguments)if(d.arguments){if(l.arguments.length!==d.arguments.length)return l.arguments.length-d.arguments.length}else return 1;else return-1;for(let S=0;S<l.arguments.length;S++){const L=l.arguments[S],F=d.arguments[S];if(L!==F)return L<F?-1:1}return 0}function m(l,d){let S=(0,I.comparePaths)(l.resourceUri.fsPath,d.resourceUri.fsPath,!0);if(S!==0)return S;if(l.command&&d.command)S=c(l.command,d.command);else{if(l.command)return 1;if(d.command)return-1}if(S!==0)return S;if(l.decorations&&d.decorations)S=p(l.decorations,d.decorations);else{if(l.decorations)return 1;if(d.decorations)return-1}return S}function a(l,d){for(let S=0;S<l.length;S++)if(l[S]!==d[S])return!1;return!0}function h(l,d){return l.command===d.command&&l.title===d.title&&l.tooltip===d.tooltip&&(l.arguments&&d.arguments?a(l.arguments,d.arguments):l.arguments===d.arguments)}function r(l,d){return(0,E.equals)(l,d,h)}class o{constructor(d,S,L){this._extension=d,this._sourceControlHandle=L,b.set(this,void 0),this._value="",this._onDidChange=new t.Emitter,this._placeholder="",this._enabled=!0,this._visible=!0,tt(this,b,S,"f")}get value(){return this._value}set value(d){d=d??"",Me(this,b,"f").$setInputBoxValue(this._sourceControlHandle,d),this.updateValue(d)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(d){Me(this,b,"f").$setInputBoxPlaceholder(this._sourceControlHandle,d),this._placeholder=d}get validateInput(){return(0,w.checkProposedApiEnabled)(this._extension,"scmValidation"),this._validateInput}set validateInput(d){if((0,w.checkProposedApiEnabled)(this._extension,"scmValidation"),d&&typeof d!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=d,Me(this,b,"f").$setValidationProviderIsEnabled(this._sourceControlHandle,!!d)}get enabled(){return this._enabled}set enabled(d){d=!!d,this._enabled!==d&&(this._enabled=d,Me(this,b,"f").$setInputBoxEnablement(this._sourceControlHandle,d))}get visible(){return this._visible}set visible(d){d=!!d,this._visible!==d&&(this._visible=d,Me(this,b,"f").$setInputBoxVisibility(this._sourceControlHandle,d))}showValidationMessage(d,S){(0,w.checkProposedApiEnabled)(this._extension,"scmValidation"),Me(this,b,"f").$showValidationMessage(this._sourceControlHandle,d,S)}$onInputBoxValueChange(d){this.updateValue(d)}updateValue(d){this._value=d,this._onDidChange.fire(d)}}e.ExtHostSCMInputBox=o,b=new WeakMap;class i{constructor(d,S,L,F,N){this._proxy=d,this._commands=S,this._sourceControlHandle=L,this._id=F,this._label=N,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new t.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=i._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(d){this._label=d,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,d)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(d){this._hideWhenEmpty=d,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(d){this._resourceStates=[...d],this._onDidUpdateResourceStates.fire()}getResourceState(d){return this._resourceStatesMap.get(d)}$executeResourceCommand(d,S){const L=this._resourceStatesCommandsMap.get(d);return L?(0,y.asPromise)(()=>this._commands.executeCommand(L.command,...L.arguments||[],S)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const d=[...this._resourceStates].sort(m),L=(0,E.sortedDiff)(this._resourceSnapshot,d,m).map(A=>{const $=A.toInsert.map(B=>{const z=this._resourceHandlePool++;this._resourceStatesMap.set(z,B);const X=B.resourceUri;let M;if(B.command)if(B.command.command==="vscode.open"||B.command.command==="vscode.diff"){const ge=new T.DisposableStore;M=this._commands.converter.toInternal(B.command,ge),this._resourceStatesDisposablesMap.set(z,ge)}else this._resourceStatesCommandsMap.set(z,B.command);const U=f(B.decorations),q=B.decorations&&f(B.decorations.light)||U,x=B.decorations&&f(B.decorations.dark)||U,V=[q,x],ee=B.decorations&&B.decorations.tooltip||"",Y=B.decorations&&!!B.decorations.strikeThrough,le=B.decorations&&!!B.decorations.faded,ve=B.contextValue||"";return{rawResource:[z,X,V,ee,Y,le,ve,M],handle:z}});return{start:A.start,deleteCount:A.deleteCount,toInsert:$}}),F=L.map(({start:A,deleteCount:$,toInsert:B})=>[A,$,B.map(z=>z.rawResource)]),N=L.reverse();for(const{start:A,deleteCount:$,toInsert:B}of N){const z=B.map(M=>M.handle),X=this._handlesSnapshot.splice(A,$,...z);for(const M of X)this._resourceStatesMap.delete(M),this._resourceStatesCommandsMap.delete(M),this._resourceStatesDisposablesMap.get(M)?.dispose(),this._resourceStatesDisposablesMap.delete(M)}return this._resourceSnapshot=d,F}dispose(){this._disposed=!0,this._onDidDispose.fire()}}i._handlePool=0;class n{constructor(d,S,L,F,N,A){this._extension=d,this._commands=L,this._id=F,this._label=N,this._rootUri=A,g.set(this,void 0),this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new T.MutableDisposable,this._acceptInputCommand=void 0,this._actionButtonDisposables=new T.MutableDisposable,this._statusBarDisposables=new T.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new t.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=n._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,tt(this,g,S,"f"),this._inputBox=new o(d,Me(this,g,"f"),this.handle),Me(this,g,"f").$registerSourceControl(this.handle,F,N,A)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(d){this._count!==d&&(this._count=d,Me(this,g,"f").$updateSourceControl(this.handle,{count:d}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(d){this._quickDiffProvider=d,Me(this,g,"f").$updateSourceControl(this.handle,{hasQuickDiffProvider:!!d})}get commitTemplate(){return this._commitTemplate}set commitTemplate(d){d!==this._commitTemplate&&(this._commitTemplate=d,Me(this,g,"f").$updateSourceControl(this.handle,{commitTemplate:d}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(d){this._acceptInputDisposables.value=new T.DisposableStore,this._acceptInputCommand=d;const S=this._commands.converter.toInternal(d,this._acceptInputDisposables.value);Me(this,g,"f").$updateSourceControl(this.handle,{acceptInputCommand:S})}get actionButton(){return(0,w.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButton}set actionButton(d){(0,w.checkProposedApiEnabled)(this._extension,"scmActionButton"),this._actionButtonDisposables.value=new T.DisposableStore,this._actionButton=d;const S=d!==void 0?{command:this._commands.converter.toInternal(d.command,this._actionButtonDisposables.value),secondaryCommands:d.secondaryCommands?.map(L=>L.map(F=>this._commands.converter.toInternal(F,this._actionButtonDisposables.value))),description:d.description,enabled:d.enabled}:void 0;Me(this,g,"f").$updateSourceControl(this.handle,{actionButton:S??null})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(d){if(this._statusBarCommands&&d&&r(this._statusBarCommands,d))return;this._statusBarDisposables.value=new T.DisposableStore,this._statusBarCommands=d;const S=(d||[]).map(L=>this._commands.converter.toInternal(L,this._statusBarDisposables.value));Me(this,g,"f").$updateSourceControl(this.handle,{statusBarCommands:S})}get selected(){return this._selected}createResourceGroup(d,S){const L=new i(Me(this,g,"f"),this._commands,this.handle,d,S),F=t.Event.once(L.onDidDispose)(()=>this.createdResourceGroups.delete(L));return this.createdResourceGroups.set(L,F),this.eventuallyAddResourceGroups(),L}eventuallyAddResourceGroups(){const d=[],S=[];for(const[L,F]of this.createdResourceGroups){F.dispose();const N=L.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(L),this.eventuallyUpdateResourceStates()});t.Event.once(L.onDidDispose)(()=>{this.updatedResourceGroups.delete(L),N.dispose(),this._groups.delete(L.handle),Me(this,g,"f").$unregisterGroup(this.handle,L.handle)}),d.push([L.handle,L.id,L.label,L.features]);const A=L._takeResourceStateSnapshot();A.length>0&&S.push([L.handle,A]),this._groups.set(L.handle,L)}Me(this,g,"f").$registerGroups(this.handle,d,S),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const d=[];this.updatedResourceGroups.forEach(S=>{const L=S._takeResourceStateSnapshot();L.length!==0&&d.push([S.handle,L])}),d.length>0&&Me(this,g,"f").$spliceResourceStates(this.handle,d),this.updatedResourceGroups.clear()}getResourceGroup(d){return this._groups.get(d)}setSelectionState(d){this._selected=d,this._onDidChangeSelection.fire(d)}dispose(){this._acceptInputDisposables.dispose(),this._actionButtonDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(d=>d.dispose()),Me(this,g,"f").$unregisterSourceControl(this.handle)}}g=new WeakMap,n._handlePool=0,st([(0,D.debounce)(100)],n.prototype,"eventuallyAddResourceGroups",null),st([(0,D.debounce)(100)],n.prototype,"eventuallyUpdateResourceStates",null);let s=class Hn{constructor(d,S,L){this._commands=S,this.logService=L,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new t.Emitter,this._proxy=d.getProxy(C.MainContext.MainThreadSCM),this._telemetry=d.getProxy(C.MainContext.MainThreadTelemetry),S.registerArgumentProcessor({processArgument:F=>{if(F&&F.$mid===3){const N=this._sourceControls.get(F.sourceControlHandle);if(!N)return F;const A=N.getResourceGroup(F.groupHandle);return A?A.getResourceState(F.handle):F}else if(F&&F.$mid===4){const N=this._sourceControls.get(F.sourceControlHandle);return N?N.getResourceGroup(F.groupHandle):F}else if(F&&F.$mid===5){const N=this._sourceControls.get(F.handle);return N||F}return F}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(d,S,L,F){this.logService.trace("ExtHostSCM#createSourceControl",d.identifier.value,S,L,F),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:d.identifier.value});const N=Hn._handlePool++,A=new n(d,this._proxy,this._commands,S,L,F);this._sourceControls.set(N,A);const $=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(d.identifier))||[];return $.push(A),this._sourceControlsByExtension.set(k.ExtensionIdentifier.toKey(d.identifier),$),A}getLastInputBox(d){this.logService.trace("ExtHostSCM#getLastInputBox",d.identifier.value);const S=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(d.identifier)),L=S&&S[S.length-1];return L&&L.inputBox}$provideOriginalResource(d,S,L){const F=u.URI.revive(S);this.logService.trace("ExtHostSCM#$provideOriginalResource",d,F.toString());const N=this._sourceControls.get(d);return!N||!N.quickDiffProvider||!N.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,y.asPromise)(()=>N.quickDiffProvider.provideOriginalResource(F,L)).then(A=>A||null)}$onInputBoxValueChange(d,S){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",d);const L=this._sourceControls.get(d);return L&&L.inputBox.$onInputBoxValueChange(S),Promise.resolve(void 0)}$executeResourceCommand(d,S,L,F){this.logService.trace("ExtHostSCM#$executeResourceCommand",d,S,L);const N=this._sourceControls.get(d);if(!N)return Promise.resolve(void 0);const A=N.getResourceGroup(S);return A?A.$executeResourceCommand(L,F):Promise.resolve(void 0)}$validateInput(d,S,L){this.logService.trace("ExtHostSCM#$validateInput",d);const F=this._sourceControls.get(d);return!F||!F.inputBox.validateInput?Promise.resolve(void 0):(0,y.asPromise)(()=>F.inputBox.validateInput(S,L)).then(N=>{if(!N)return Promise.resolve(void 0);const A=P.MarkdownString.fromStrict(N.message);return A?Promise.resolve([A,N.type]):Promise.resolve(void 0)})}$setSelectedSourceControl(d){return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",d),d!==void 0&&this._sourceControls.get(d)?.setSelectionState(!0),this._selectedSourceControlHandle!==void 0&&this._sourceControls.get(this._selectedSourceControlHandle)?.setSelectionState(!1),this._selectedSourceControlHandle=d,Promise.resolve(void 0)}};s._handlePool=0,s=st([He(2,R.ILogService)],s),e.ExtHostSCM=s});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[258],ke([1,0,7,5,173,6,15,10]),function(Q,e,u,t,D,T,y,C){"use strict";var E,I;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class R{constructor(w,b,g,f,v=u.StatusBarAlignment.Left,p){E.set(this,void 0),I.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new T.DisposableStore,tt(this,E,w,"f"),tt(this,I,b,"f"),this._entryId=R.ID_GEN++,this._extension=g,this._id=f,this._alignment=v,this._priority=this.validatePriority(p)}validatePriority(w){if(!!(0,C.isNumber)(w))return w===Number.POSITIVE_INFINITY?Number.MAX_VALUE:w===Number.NEGATIVE_INFINITY?-Number.MAX_VALUE:w}get id(){return this._id??this._extension.identifier.value}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get name(){return this._name}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){return this._command?.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(w){this._text=w,this.update()}set name(w){this._name=w,this.update()}set tooltip(w){this._tooltip=w,this.update()}set color(w){this._color=w,this.update()}set backgroundColor(w){w&&!R.ALLOWED_BACKGROUND_COLORS.has(w.id)&&(w=void 0),this._backgroundColor=w,this.update()}set command(w){this._command?.fromApi!==w&&(this._internalCommandRegistration.clear(),typeof w=="string"?this._command={fromApi:w,internal:Me(this,I,"f").toInternal({title:"",command:w},this._internalCommandRegistration)}:w?this._command={fromApi:w,internal:Me(this,I,"f").toInternal(w,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(w){this._accessibilityInformation=w,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,Me(this,E,"f").$dispose(this._entryId)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{this._timeoutHandle=void 0;let w;this._extension?this._id?w=`${this._extension.identifier.value}.${this._id}`:w=this._extension.identifier.value:w=this._id;let b;this._name?b=this._name:b=(0,D.localize)(0,null,this._extension.displayName||this._extension.name);let g=this._color;this._backgroundColor&&(g=R.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id));const f=y.MarkdownString.fromStrict(this._tooltip);Me(this,E,"f").$setEntry(this._entryId,w,b,this._text,f,this._command?.internal,g,this._backgroundColor,this._alignment===u.StatusBarAlignment.Left,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=R,E=new WeakMap,I=new WeakMap,R.ID_GEN=0,R.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new u.ThemeColor("statusBarItem.errorForeground")],["statusBarItem.warningBackground",new u.ThemeColor("statusBarItem.warningForeground")]]);class k{constructor(w){this._messages=[],this._item=w.createStatusBarEntry(void 0,"status.extensionMessage",u.StatusBarAlignment.Left,Number.MIN_VALUE),this._item.name=(0,D.localize)(1,null)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(w){const b={message:w};return this._messages.unshift(b),this._update(),new u.Disposable(()=>{const g=this._messages.indexOf(b);g>=0&&(this._messages.splice(g,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class _{constructor(w,b){this._proxy=w.getProxy(t.MainContext.MainThreadStatusBar),this._commands=b,this._statusMessage=new k(this)}createStatusBarEntry(w,b,g,f){return new R(this._proxy,this._commands,w,b,g,f)}setStatusBarMessage(w,b){const g=this._statusMessage.setMessage(w);let f;return typeof b=="number"?f=setTimeout(()=>g.dispose(),b):typeof b!="undefined"&&b.then(()=>g.dispose(),()=>g.dispose()),new u.Disposable(()=>{g.dispose(),clearTimeout(f)})}}e.ExtHostStatusBar=_}),define(Ie[91],ke([1,0,5,3,4]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class T{constructor(C){this._onDidChangeStorage=new t.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=C.getProxy(u.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(C,E){this._proxy.$registerExtensionStorageKeysToSync(C,E)}initializeExtensionStorage(C,E,I){return this._proxy.$initializeExtensionStorage(C,E).then(R=>R||I)}setValue(C,E,I){return this._proxy.$setValue(C,E,I)}$acceptValue(C,E,I){this._onDidChangeStorage.fire({shared:C,key:E,value:I})}}e.ExtHostStorage=T,e.IExtHostStorage=(0,D.createDecorator)("IExtHostStorage")}),define(Ie[69],ke([1,0,4,26,14,68,2]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=(0,u.createDecorator)("IExtensionStoragePaths");let C=class{constructor(I,R,k){this._logService=R,this._extHostFileSystem=k,this._workspace=I.workspace??void 0,this._environment=I.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(_=>this._value=_)}async _getWorkspaceStorageURI(I){return y.URI.joinPath(this._environment.workspaceStorageHome,I)}async _getOrCreateWorkspaceStoragePath(){if(!this._workspace)return Promise.resolve(void 0);const I=this._workspace.id,R=await this._getWorkspaceStorageURI(I);try{return await this._extHostFileSystem.value.stat(R),this._logService.trace("[ExtHostStorage] storage dir already exists",R),R}catch{}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",R),await this._extHostFileSystem.value.createDirectory(R),await this._extHostFileSystem.value.writeFile(y.URI.joinPath(R,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:y.URI.revive(this._workspace.configuration)?.toString(),name:this._workspace.name},void 0,2))),R}catch(k){this._logService.error("[ExtHostStorage]",k);return}}workspaceValue(I){if(this._value)return y.URI.joinPath(this._value,I.identifier.value)}globalValue(I){return y.URI.joinPath(this._environment.globalStorageHome,I.identifier.value.toLowerCase())}onWillDeactivateAll(){}};C=st([He(0,t.IExtHostInitDataService),He(1,D.ILogService),He(2,T.IExtHostConsumerFileSystem)],C),e.ExtensionStoragePaths=C}),define(Ie[38],ke([1,0,3,5,4,2,17,6,7,174,12,219,21,34,202,86,10,18]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=(0,D.createDecorator)("IExtHostTerminalService");class v{constructor(n,s,l,d){this._proxy=n,this._id=s,this._creationOptions=l,this._name=d,this._disposed=!1,this._state={isInteractedWith:!1},this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(L=>this._pidPromiseComplete=L);const S=this;this.value={get name(){return S._name||""},get processId(){return S._pidPromise},get creationOptions(){return S._creationOptions},get exitStatus(){return S._exitStatus},get state(){return S._state},sendText(L,F=!0){S._checkDisposed(),S._proxy.$sendText(S._id,L,F)},show(L){S._checkDisposed(),S._proxy.$show(S._id,L)},hide(){S._checkDisposed(),S._proxy.$hide(S._id)},dispose(){S._disposed||(S._disposed=!0,S._proxy.$dispose(S._id))},get dimensions(){if(!(S._cols===void 0||S._rows===void 0))return{columns:S._cols,rows:S._rows}}}}async create(n,s){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:n.name,shellPath:(0,g.withNullAsUndefined)(n.shellPath),shellArgs:(0,g.withNullAsUndefined)(n.shellArgs),cwd:(0,g.withNullAsUndefined)(n.cwd),env:(0,g.withNullAsUndefined)(n.env),icon:(0,g.withNullAsUndefined)(r(n.iconPath)),color:b.ThemeColor.isThemeColor(n.color)?n.color.id:void 0,initialText:(0,g.withNullAsUndefined)(n.message),strictEnv:(0,g.withNullAsUndefined)(n.strictEnv),hideFromUser:(0,g.withNullAsUndefined)(n.hideFromUser),isFeatureTerminal:(0,g.withNullAsUndefined)(s?.isFeatureTerminal),isExtensionOwnedTerminal:!0,useShellEnvironment:(0,g.withNullAsUndefined)(s?.useShellEnvironment),location:s?.location||this._serializeParentTerminal(n.location,s?.resolvedExtHostIdentifier),isTransient:(0,g.withNullAsUndefined)(n.isTransient)})}async createExtensionTerminal(n,s,l,d){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionCustomPtyTerminal:!0,icon:l,color:b.ThemeColor.isThemeColor(d)?d.id:void 0,location:this._serializeParentTerminal(n,s),isTransient:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_serializeParentTerminal(n,s){return typeof n=="object"?"parentTerminal"in n&&n.parentTerminal&&s?{parentTerminal:s}:"viewColumn"in n?{viewColumn:n.viewColumn,preserveFocus:n.preserveFocus}:void 0:n}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(n){this._name=n}setExitCode(n){this._exitStatus=Object.freeze({code:n})}setDimensions(n,s){return n===this._cols&&s===this._rows||n===0||s===0?!1:(this._cols=n,this._rows=s,!0)}setInteractedWith(){return this._state.isInteractedWith?!1:(this._state={isInteractedWith:!0},!0)}_setProcessId(n){this._pidPromiseComplete?(this._pidPromiseComplete(n),this._pidPromiseComplete=void 0):this._pidPromise.then(s=>{s!==n&&(this._pidPromise=Promise.resolve(n))})}}e.ExtHostTerminal=v;class p{constructor(n){this._pty=n,this.id=0,this.shouldPersist=!1,this._onProcessData=new u.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessReady=new u.Emitter,this._onDidChangeProperty=new u.Emitter,this.onDidChangeProperty=this._onDidChangeProperty.event,this._onProcessExit=new u.Emitter,this.onProcessExit=this._onProcessExit.event}get onProcessReady(){return this._onProcessReady.event}refreshProperty(n){throw new Error(`refreshProperty is not suppported in extension owned terminals. property: ${n}`)}updateProperty(n,s){throw new Error(`updateProperty is not suppported in extension owned terminals. property: ${n}, value: ${s}`)}async start(){}shutdown(){this._pty.close()}input(n){this._pty.handleInput?.(n)}resize(n,s){this._pty.setDimensions?.({columns:n,rows:s})}async processBinary(n){}acknowledgeDataEvent(n){}async setUnicodeVersion(n){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(n){this._pty.onDidWrite(s=>this._onProcessData.fire(s)),this._pty.onDidClose?.((s=void 0)=>{this._onProcessExit.fire(s===void 0?void 0:s)}),this._pty.onDidOverrideDimensions?.(s=>{s&&this._onDidChangeProperty.fire({type:"overrideDimensions",value:{cols:s.columns,rows:s.rows}})}),this._pty.onDidChangeName?.(s=>{this._onDidChangeProperty.fire({type:"title",value:s})}),this._pty.open(n||void 0),n&&this._pty.setDimensions?.(n),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=p;let c=1,m=class extends C.Disposable{constructor(n,s){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._profileProviders=new Map,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new u.Emitter,this.onDidCloseTerminal=this._onDidCloseTerminal.event,this._onDidOpenTerminal=new u.Emitter,this.onDidOpenTerminal=this._onDidOpenTerminal.event,this._onDidChangeActiveTerminal=new u.Emitter,this.onDidChangeActiveTerminal=this._onDidChangeActiveTerminal.event,this._onDidChangeTerminalDimensions=new u.Emitter,this.onDidChangeTerminalDimensions=this._onDidChangeTerminalDimensions.event,this._onDidChangeTerminalState=new u.Emitter,this.onDidChangeTerminalState=this._onDidChangeTerminalState.event,this._proxy=s.getProxy(t.MainContext.MainThreadTerminalService),this._bufferer=new w.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new u.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(n),this._register({dispose:()=>{for(const[l,d]of this._terminalProcesses)d.shutdown(!0)}})}get activeTerminal(){return this._activeTerminal?.value}get terminals(){return this._terminals.map(n=>n.value)}get onDidWriteTerminalData(){return this._onDidWriteTerminalData.event}getDefaultShell(n){return(n?this._defaultAutomationProfile:this._defaultProfile)?.path||""}getDefaultShellArgs(n){return(n?this._defaultAutomationProfile:this._defaultProfile)?.args||[]}createExtensionTerminal(n,s){const l=new v(this._proxy,(0,P.generateUuid)(),n,n.name),d=new p(n.pty);return l.createExtensionTerminal(n.location,this._serializeParentTerminal(n,s).resolvedExtHostIdentifier,r(n.iconPath),o(n.color)).then(S=>{const L=this._setupExtHostProcessListeners(S,d);this._terminalProcessDisposables[S]=L}),this._terminals.push(l),l.value}_serializeParentTerminal(n,s){if(s=s||{},n.location&&typeof n.location=="object"&&"parentTerminal"in n.location){const l=n.location.parentTerminal;if(l){const d=this._terminals.find(S=>S.value===l);d&&(s.resolvedExtHostIdentifier=d._id)}}else n.location&&typeof n.location!="object"?s.location=n.location:s.location&&typeof s.location=="object"&&"splitActiveTerminal"in s.location&&(s.location={splitActiveTerminal:!0});return s}attachPtyToTerminal(n,s){if(!this._getTerminalById(n))throw new Error(`Cannot resolve terminal with id ${n} for virtual process`);const d=new p(s),S=this._setupExtHostProcessListeners(n,d);this._terminalProcessDisposables[n]=S}async $acceptActiveTerminalChanged(n){const s=this._activeTerminal;if(n===null){this._activeTerminal=void 0,s!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const l=this._getTerminalById(n);l&&(this._activeTerminal=l,s!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(n,s){const l=this._getTerminalById(n);l&&this._onDidWriteTerminalData.fire({terminal:l.value,data:s})}async $acceptTerminalDimensions(n,s,l){const d=this._getTerminalById(n);d&&d.setDimensions(s,l)&&this._onDidChangeTerminalDimensions.fire({terminal:d.value,dimensions:d.value.dimensions})}async $acceptTerminalMaximumDimensions(n,s,l){this._terminalProcesses.get(n)?.resize(s,l)}async $acceptTerminalTitleChange(n,s){const l=this._getTerminalById(n);l&&(l.name=s)}async $acceptTerminalClosed(n,s){const l=this._getTerminalObjectIndexById(this._terminals,n);if(l!==null){const d=this._terminals.splice(l,1)[0];d.setExitCode(s),this._onDidCloseTerminal.fire(d.value)}}$acceptTerminalOpened(n,s,l,d){if(s){const F=this._getTerminalObjectIndexById(this._terminals,s);if(F!==null){this._terminals[F]._id=n,this._onDidOpenTerminal.fire(this.terminals[F]),this._terminals[F].isOpen=!0;return}}const S={name:d.name,shellPath:d.executable,shellArgs:d.args,cwd:typeof d.cwd=="string"?d.cwd:T.URI.revive(d.cwd),env:d.env,hideFromUser:d.hideFromUser},L=new v(this._proxy,n,S,l);this._terminals.push(L),this._onDidOpenTerminal.fire(L.value),L.isOpen=!0}async $acceptTerminalProcessId(n,s){this._getTerminalById(n)?._setProcessId(s)}async $startExtensionTerminal(n,s){const l=this._getTerminalById(n);if(!l)return{message:(0,I.localize)(0,null,n)};l.isOpen||await new Promise(S=>{const L=this.onDidOpenTerminal(async F=>{F===l.value&&(L.dispose(),S())})});const d=this._terminalProcesses.get(n);d?d.startSendingEvents(s):this._extensionTerminalAwaitingStart[n]={initialDimensions:s}}_setupExtHostProcessListeners(n,s){const l=new C.DisposableStore;l.add(s.onProcessReady(S=>this._proxy.$sendProcessReady(n,S.pid,S.cwd))),l.add(s.onDidChangeProperty(S=>this._proxy.$sendProcessProperty(n,S))),this._bufferer.startBuffering(n,s.onProcessData),l.add(s.onProcessExit(S=>this._onProcessExit(n,S))),this._terminalProcesses.set(n,s);const d=this._extensionTerminalAwaitingStart[n];return d&&s instanceof p&&(s.startSendingEvents(d.initialDimensions),delete this._extensionTerminalAwaitingStart[n]),l}$acceptProcessAckDataEvent(n,s){this._terminalProcesses.get(n)?.acknowledgeDataEvent(s)}$acceptProcessInput(n,s){this._terminalProcesses.get(n)?.input(s)}$acceptTerminalInteraction(n){const s=this._getTerminalById(n);s?.setInteractedWith()&&this._onDidChangeTerminalState.fire(s.value)}$acceptProcessResize(n,s,l){try{this._terminalProcesses.get(n)?.resize(s,l)}catch(d){if(d.code!=="EPIPE"&&d.code!=="ERR_IPC_CHANNEL_CLOSED")throw d}}$acceptProcessShutdown(n,s){this._terminalProcesses.get(n)?.shutdown(s)}$acceptProcessRequestInitialCwd(n){this._terminalProcesses.get(n)?.getInitialCwd().then(s=>this._proxy.$sendProcessProperty(n,{type:"initialCwd",value:s}))}$acceptProcessRequestCwd(n){this._terminalProcesses.get(n)?.getCwd().then(s=>this._proxy.$sendProcessProperty(n,{type:"cwd",value:s}))}$acceptProcessRequestLatency(n){return Promise.resolve(n)}registerLinkProvider(n){return this._linkProviders.add(n),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new E.Disposable(()=>{this._linkProviders.delete(n),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}registerProfileProvider(n,s,l){if(this._profileProviders.has(s))throw new Error(`Terminal profile provider "${s}" already registered`);return this._profileProviders.set(s,l),this._proxy.$registerProfileProvider(s,n.identifier.value),new E.Disposable(()=>{this._profileProviders.delete(s),this._proxy.$unregisterProfileProvider(s)})}async $createContributedProfileTerminal(n,s){const l=new _.CancellationTokenSource().token;let d=await this._profileProviders.get(n)?.provideTerminalProfile(l);if(!l.isCancellationRequested){if(d&&!("options"in d)&&(d={options:d}),!d||!("options"in d))throw new Error(`No terminal profile options provided for id "${n}"`);if("pty"in d.options){this.createExtensionTerminal(d.options,s);return}this.createTerminalFromOptions(d.options,s)}}async $provideLinks(n,s){const l=this._getTerminalById(n);if(!l)return[];this._terminalLinkCache.delete(n),this._terminalLinkCancellationSource.get(n)?.dispose(!0);const S=new _.CancellationTokenSource;this._terminalLinkCancellationSource.set(n,S);const L=[],F={terminal:l.value,line:s},N=[];for(const B of this._linkProviders)N.push(f.Promises.withAsyncBody(async z=>{S.token.onCancellationRequested(()=>z({provider:B,links:[]}));const X=await B.provideTerminalLinks(F,S.token)||[];S.token.isCancellationRequested||z({provider:B,links:X})}));const A=await Promise.all(N);if(S.token.isCancellationRequested)return[];const $=new Map;for(const B of A)B&&B.links.length>0&&L.push(...B.links.map(z=>{const X={id:c++,startIndex:z.startIndex,length:z.length,label:z.tooltip};return $.set(X.id,{provider:B.provider,link:z}),X}));return this._terminalLinkCache.set(n,$),L}$activateLink(n,s){const l=this._terminalLinkCache.get(n)?.get(s);!l||l.provider.handleTerminalLink(l.link)}_onProcessExit(n,s){this._bufferer.stopBuffering(n),this._terminalProcesses.delete(n),delete this._extensionTerminalAwaitingStart[n];const l=this._terminalProcessDisposables[n];l&&(l.dispose(),delete this._terminalProcessDisposables[n]),this._proxy.$sendProcessExit(n,s)}_getTerminalById(n){return this._getTerminalObjectById(this._terminals,n)}_getTerminalObjectById(n,s){const l=this._getTerminalObjectIndexById(n,s);return l!==null?n[l]:null}_getTerminalObjectIndexById(n,s){let l=null;return n.some((d,S)=>d._id===s?(l=S,!0):!1),l}getEnvironmentVariableCollection(n){let s=this._environmentVariableCollections.get(n.identifier.value);return s||(s=new a,this._setEnvironmentVariableCollection(n.identifier.value,s)),s}_syncEnvironmentVariableCollection(n,s){const l=(0,k.serializeEnvironmentVariableCollection)(s.map);this._proxy.$setEnvironmentVariableCollection(n,s.persistent,l.length===0?void 0:l)}$initEnvironmentVariableCollections(n){n.forEach(s=>{const l=s[0],d=new a(s[1]);this._setEnvironmentVariableCollection(l,d)})}$acceptDefaultProfile(n,s){this._defaultProfile=n,this._defaultAutomationProfile=s}_setEnvironmentVariableCollection(n,s){this._environmentVariableCollections.set(n,s),s.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(n,s)})}};m=st([He(1,y.IExtHostRpcService)],m),e.BaseExtHostTerminalService=m;class a{constructor(n){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new u.Emitter,this.map=new Map(n)}get persistent(){return this._persistent}set persistent(n){this._persistent=n,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(n,s){this._setIfDiffers(n,{value:s,type:E.EnvironmentVariableMutatorType.Replace})}append(n,s){this._setIfDiffers(n,{value:s,type:E.EnvironmentVariableMutatorType.Append})}prepend(n,s){this._setIfDiffers(n,{value:s,type:E.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(n,s){const l=this.map.get(n);(!l||l.value!==s.value||l.type!==s.type)&&(this.map.set(n,s),this._onDidChangeCollection.fire())}get(n){return this.map.get(n)}forEach(n,s){this.map.forEach((l,d)=>n.call(s,d,l,this))}[Symbol.iterator](){return this.map.entries()}delete(n){this.map.delete(n),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=a;let h=class extends m{constructor(n){super(!1,n)}createTerminal(n,s,l){throw new R.NotSupportedError}createTerminalFromOptions(n,s){throw new R.NotSupportedError}};h=st([He(0,y.IExtHostRpcService)],h),e.WorkerExtHostTerminalService=h;function r(i){if(!(!i||typeof i=="string"))return"id"in i?{id:i.id,color:i.color}:i}function o(i){return b.ThemeColor.isThemeColor(i)?i:void 0}});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[259],ke([1,0,16,23,21,3,58,60,6,24,10,34,5,17,132,15,7,65,89,66]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v,p){"use strict";var c,m;Object.defineProperty(e,"__esModule",{value:!0}),e.TestRunProfileImpl=e.MirroredTestCollection=e.TestRunDto=e.TestRunCoordinator=e.ExtHostTesting=void 0;let a=class{constructor(N,A){this.resultsChangedEmitter=new T.Emitter,this.controllers=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=N.getProxy(_.MainContext.MainThreadTesting),this.observer=new d(this.proxy),this.runTracker=new r(this.proxy),A.registerArgumentProcessor({processArgument:$=>$?.$mid===13?(0,w.toItemFromContext)($):$})}createTestController(N,A,$){if(this.controllers.has(N))throw new Error(`Attempt to insert a duplicate controller with ID "${N}"`);const B=new E.DisposableStore,z=B.add(new w.ExtHostTestItemCollection(N,A));z.root.label=A;const X=new Map,M=this.proxy,U={items:z.root.children,get label(){return A},set label(x){A=x,z.root.label=x,M.$updateController(N,{label:A})},get refreshHandler(){return $},set refreshHandler(x){$=x,M.$updateController(N,{canRefresh:!!x})},get id(){return N},createRunProfile:(x,V,ee,Y,le)=>{let ve=(0,C.hash)(x);for(;X.has(ve);)ve++;return new S(this.proxy,X,N,ve,x,V,ee,Y,le)},createTestItem(x,V,ee){return new w.TestItemImpl(N,x,V,ee)},createTestRun:(x,V,ee=!0)=>this.runTracker.createTestRun(N,z,x,V,ee),set resolveHandler(x){z.resolveHandler=x},get resolveHandler(){return z.resolveHandler},dispose:()=>{B.dispose()}};M.$registerTestController(N,A,!!$),B.add((0,E.toDisposable)(()=>M.$unregisterTestController(N)));const q={controller:U,collection:z,profiles:X};return this.controllers.set(N,q),B.add((0,E.toDisposable)(()=>this.controllers.delete(N))),B.add(z.onDidGenerateDiff(x=>M.$publishDiff(N,x.map(p.TestsDiffOp.serialize)))),U}createTestObserver(){return this.observer.checkout()}async runTests(N,A=D.CancellationToken.None){const $=o(N);if(!$)throw new Error("The request passed to `vscode.test.runTests` must include a profile");const B=this.controllers.get($.controllerId);if(!B)throw new Error("Controller not found");await this.proxy.$runTests({isUiTriggered:!1,targets:[{testIds:N.include?.map(z=>f.TestId.fromExtHostTestItem(z,B.collection.root.id).toString())??[B.collection.root.id],profileGroup:L[$.kind],profileId:$.profileId,controllerId:$.controllerId}],exclude:N.exclude?.map(z=>z.id)},A)}$provideFileCoverage(N,A,$){return(0,u.mapFind)(this.runTracker.trackers,z=>z.id===N?z.getCoverage(A):void 0)?.provideFileCoverage($)??Promise.resolve([])}$resolveFileCoverage(N,A,$,B){return(0,u.mapFind)(this.runTracker.trackers,X=>X.id===N?X.getCoverage(A):void 0)?.resolveFileCoverage($,B)??Promise.resolve([])}$configureRunProfile(N,A){this.controllers.get(N)?.profiles.get(A)?.configureHandler?.()}async $refreshTests(N,A){await this.controllers.get(N)?.controller.refreshHandler?.(A)}$publishTestResults(N){this.results=Object.freeze(N.map(A=>(0,I.deepFreeze)(b.TestResults.to(A))).concat(this.results).sort((A,$)=>$.completedAt-A.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $expandTest(N,A){const $=this.controllers.get(f.TestId.fromString(N).controllerId)?.collection;$&&(await $.expand(N,A<0?1/0:A),$.flushDiff())}$acceptDiff(N){this.observer.applyDiff(N.map(p.TestsDiffOp.deserialize))}async $runControllerTests(N,A){const $=this.controllers.get(N.controllerId);if(!$)return;const{collection:B,profiles:z}=$,X=z.get(N.profileId);if(!X)return;const M=N.testIds.map(V=>B.tree.get(V)).filter(R.isDefined),U=N.excludeExtIds.map(V=>$.collection.tree.get(V)).filter(R.isDefined).filter(V=>M.some(ee=>ee.fullId.compare(V.fullId)===2));if(!M.length)return;const q=new g.TestRunRequest(M.some(V=>V.actual instanceof w.TestItemRootImpl)?void 0:M.map(V=>V.actual),U.map(V=>V.actual),X),x=this.runTracker.prepareForMainThreadTestRun(q,i.fromInternal(N,$.collection),A);try{await X.runHandler(q,A)}finally{x.isRunning&&!A.isCancellationRequested&&await T.Event.toPromise(x.onEnd),x.dispose()}}$cancelExtensionTestRun(N){N===void 0?this.runTracker.cancelAllRuns():this.runTracker.cancelRunById(N)}};a=st([He(0,P.IExtHostRpcService)],a),e.ExtHostTesting=a;class h extends E.Disposable{constructor(N,A,$){super();this.dto=N,this.proxy=A,this.tasks=new Map,this.sharedTestIds=new Set,this.endEmitter=this._register(new T.Emitter),this.disposed=!1,this.onEnd=this.endEmitter.event,this.cts=this._register(new D.CancellationTokenSource($)),this._register(this.cts.token.onCancellationRequested(()=>{for(const{run:B}of this.tasks.values())B.end()}))}get isRunning(){return this.tasks.size>0}get id(){return this.dto.id}getCoverage(N){return this.tasks.get(N)?.coverage}createRun(N){const A=this.dto.id,$=this.dto.controllerId,B=(0,k.generateUuid)(),z=new n(this.proxy,A,B),X=x=>(V,...ee)=>{if(U){console.warn(`Setting the state of test "${V.id}" is a no-op after the run ends.`);return}!this.dto.isIncluded(V)||(this.ensureTestIsKnown(V),x(V,...ee))},M=(x,V)=>{const ee=V instanceof Array?V.map(b.TestMessage.from):[b.TestMessage.from(V)];if(x.uri&&x.range){const Y={range:b.Range.from(x.range),uri:x.uri};for(const le of ee)le.location=le.location||Y}this.proxy.$appendTestMessagesInRun(A,B,f.TestId.fromExtHostTestItem(x,$).toString(),ee)};let U=!1;const q={isPersisted:this.dto.isPersisted,token:this.cts.token,name:N,get coverageProvider(){return z.coverageProvider},set coverageProvider(x){z.coverageProvider=x},enqueued:X(x=>{this.proxy.$updateTestStateInRun(A,B,f.TestId.fromExtHostTestItem(x,$).toString(),1)}),skipped:X(x=>{this.proxy.$updateTestStateInRun(A,B,f.TestId.fromExtHostTestItem(x,$).toString(),5)}),started:X(x=>{this.proxy.$updateTestStateInRun(A,B,f.TestId.fromExtHostTestItem(x,$).toString(),2)}),errored:X((x,V,ee)=>{M(x,V),this.proxy.$updateTestStateInRun(A,B,f.TestId.fromExtHostTestItem(x,$).toString(),6,ee)}),failed:X((x,V,ee)=>{M(x,V),this.proxy.$updateTestStateInRun(A,B,f.TestId.fromExtHostTestItem(x,$).toString(),4,ee)}),passed:X((x,V)=>{this.proxy.$updateTestStateInRun(A,B,f.TestId.fromExtHostTestItem(x,this.dto.controllerId).toString(),3,V)}),appendOutput:(x,V,ee)=>{U||(ee&&(this.dto.isIncluded(ee)?this.ensureTestIsKnown(ee):ee=void 0),this.proxy.$appendOutputToRun(A,B,t.VSBuffer.fromString(x),V&&b.location.from(V),ee&&f.TestId.fromExtHostTestItem(ee,$).toString()))},end:()=>{U||(U=!0,this.proxy.$finishedTestRunTask(A,B),this.tasks.delete(B),this.isRunning||this.dispose())}};return this.tasks.set(B,{run:q,coverage:z}),this.proxy.$startedTestRunTask(A,{id:B,name:N,running:!0}),q}dispose(){this.disposed||(this.disposed=!0,this.endEmitter.fire(),this.cts.cancel(),super.dispose())}ensureTestIsKnown(N){if(!(N instanceof w.TestItemImpl))throw new v.InvalidTestItemError(N.id);if(this.sharedTestIds.has(f.TestId.fromExtHostTestItem(N,this.dto.controllerId).toString()))return;const A=[],$=this.dto.colllection.root;for(;;){const B=b.TestItem.from(N);if(A.unshift(B),this.sharedTestIds.has(B.extId)||(this.sharedTestIds.add(B.extId),N===$))break;N=N.parent||$}this.proxy.$addTestsToRun(this.dto.controllerId,this.dto.id,A)}}class r{constructor(N){this.proxy=N,this.tracked=new Map}get trackers(){return this.tracked.values()}prepareForMainThreadTestRun(N,A,$){return this.getTracker(N,A,$)}cancelRunById(N){for(const A of this.tracked.values())if(A.id===N){A.dispose();return}}cancelAllRuns(){for(const N of this.tracked.values())N.dispose()}createTestRun(N,A,$,B,z){const X=this.tracked.get($);if(X)return X.createRun(B);const M=i.fromPublic(N,A,$,z),U=o($);this.proxy.$startedExtensionTestRun({controllerId:N,profile:U&&{group:L[U.kind],id:U.profileId},exclude:$.exclude?.map(x=>f.TestId.fromExtHostTestItem(x,A.root.id).toString())??[],id:M.id,include:$.include?.map(x=>f.TestId.fromExtHostTestItem(x,A.root.id).toString())??[A.root.id],persist:z});const q=this.getTracker($,M);return q.onEnd(()=>this.proxy.$finishedExtensionTestRun(M.id)),q.createRun(B)}getTracker(N,A,$){const B=new h(A,this.proxy,$);return this.tracked.set(N,B),B.onEnd(()=>this.tracked.delete(N)),B}}e.TestRunCoordinator=r;const o=F=>{if(!!F.profile){if(!(F.profile instanceof S))throw new Error("TestRunRequest.profile is not an instance created from TestController.createRunProfile");return F.profile}};class i{constructor(N,A,$,B,z,X){this.controllerId=N,this.id=A,this.isPersisted=z,this.colllection=X,this.includePrefix=$.map(M=>M+"\0"),this.excludePrefix=B.map(M=>M+"\0")}static fromPublic(N,A,$,B){return new i(N,(0,k.generateUuid)(),$.include?.map(z=>f.TestId.fromExtHostTestItem(z,N).toString())??[N],$.exclude?.map(z=>f.TestId.fromExtHostTestItem(z,N).toString())??[],B,A)}static fromInternal(N,A){return new i(N.controllerId,N.runId,N.testIds,N.excludeExtIds,!0,A)}isIncluded(N){const A=f.TestId.fromExtHostTestItem(N,this.controllerId).toString()+"\0";for(const $ of this.excludePrefix)if(A===$||A.startsWith($))return!1;for(const $ of this.includePrefix)if(A===$||A.startsWith($))return!0;return!1}}e.TestRunDto=i;class n{constructor(N,A,$){this.proxy=N,this.runId=A,this.taskId=$}set coverageProvider(N){if(this._coverageProvider)throw new Error("The TestCoverageProvider cannot be replaced after being provided");!N||(this._coverageProvider=N,this.proxy.$signalCoverageAvailable(this.runId,this.taskId))}get coverageProvider(){return this._coverageProvider}async provideFileCoverage(N){if(!this._coverageProvider)return[];this.fileCoverage||(this.fileCoverage=(async()=>this._coverageProvider.provideFileCoverage(N))());try{return(await this.fileCoverage)?.map(b.TestCoverage.fromFile)??[]}catch(A){throw this.fileCoverage=void 0,A}}async resolveFileCoverage(N,A){const $=await this.fileCoverage;let B=$?.[N];return!this._coverageProvider||!$||!B?[]:(B.detailedCoverage||(B=$[N]=await this._coverageProvider.resolveFileCoverage?.(B,A)??B),B.detailedCoverage?.map(b.TestCoverage.fromDetailed)??[])}}class s extends p.IncrementalChangeCollector{constructor(N){super();this.emitter=N,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(N){this.added.add(N)}update(N){Object.assign(N.revived,b.TestItem.toPlain(N.item)),this.added.has(N)||this.updated.add(N)}remove(N){if(this.added.has(N)){this.added.delete(N);return}if(this.updated.delete(N),N.parent&&this.alreadyRemoved.has(N.parent)){this.alreadyRemoved.add(N.item.extId);return}this.removed.add(N)}getChangeEvent(){const{added:N,updated:A,removed:$}=this;return{get added(){return[...N].map(B=>B.revived)},get updated(){return[...A].map(B=>B.revived)},get removed(){return[...$].map(B=>B.revived)}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class l extends p.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new T.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTests(){return super.roots}getMirroredTestDataById(N){return this.items.get(N)}getMirroredTestDataByReference(N){return this.items.get(N.id)}createItem(N,A){return{...N,revived:b.TestItem.toPlain(N.item),depth:A?A.depth+1:0,children:new Set}}createChangeCollector(){return new s(this.changeEmitter)}}e.MirroredTestCollection=l;class d{constructor(N){this.proxy=N}checkout(){this.current||(this.current=this.createObserverData());const N=this.current;return N.observers++,{onDidChangeTest:N.tests.onDidChangeTests,get tests(){return[...N.tests.rootTests].map(A=>A.revived)},dispose:(0,y.once)(()=>{--N.observers==0&&(this.proxy.$unsubscribeFromDiffs(),this.current=void 0)})}}getMirroredTestDataByReference(N){return this.current?.tests.getMirroredTestDataByReference(N)}applyDiff(N){this.current?.tests.apply(N)}createObserverData(){const N=new l;return this.proxy.$subscribeToDiffs(),{observers:0,tests:N}}}class S{constructor(N,A,$,B,z,X,M,U=!1,q=void 0){this.controllerId=$,this.profileId=B,this._label=z,this.kind=X,this.runHandler=M,this._isDefault=U,this._tag=q,c.set(this,void 0),m.set(this,void 0),tt(this,c,N,"f"),tt(this,m,A,"f"),A.set(B,this);const x=L[X];if(typeof x!="number")throw new Error(`Unknown TestRunProfile.group ${X}`);Me(this,c,"f").$publishTestRunProfile({profileId:B,controllerId:$,tag:q?b.TestTag.namespace(this.controllerId,q.id):null,label:z,group:x,isDefault:U,hasConfigurationHandler:!1})}get label(){return this._label}set label(N){N!==this._label&&(this._label=N,Me(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{label:N}))}get isDefault(){return this._isDefault}set isDefault(N){N!==this._isDefault&&(this._isDefault=N,Me(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{isDefault:N}))}get tag(){return this._tag}set tag(N){N?.id!==this._tag?.id&&(this._tag=N,Me(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{tag:N?b.TestTag.namespace(this.controllerId,N.id):null}))}get configureHandler(){return this._configureHandler}set configureHandler(N){N!==this._configureHandler&&(this._configureHandler=N,Me(this,c,"f").$updateTestRunConfig(this.controllerId,this.profileId,{hasConfigurationHandler:!!N}))}dispose(){Me(this,m,"f")?.delete(this.profileId)&&(tt(this,m,void 0,"f"),Me(this,c,"f").$removeTestProfile(this.controllerId,this.profileId))}}e.TestRunProfileImpl=S,c=new WeakMap,m=new WeakMap;const L={[g.TestRunProfileKind.Coverage]:8,[g.TestRunProfileKind.Debug]:4,[g.TestRunProfileKind.Run]:2}}),define(Ie[260],ke([1,0,16,3,5,133,15,7]),function(Q,e,u,t,D,T,y,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class E{constructor(R,k){this._extHostDocumentsAndEditors=k,this._onDidChangeTextEditorSelection=new t.Emitter,this._onDidChangeTextEditorOptions=new t.Emitter,this._onDidChangeTextEditorVisibleRanges=new t.Emitter,this._onDidChangeTextEditorViewColumn=new t.Emitter,this._onDidChangeActiveTextEditor=new t.Emitter,this._onDidChangeVisibleTextEditors=new t.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=R.getProxy(D.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(_=>this._onDidChangeVisibleTextEditors.fire(_)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(_=>this._onDidChangeActiveTextEditor.fire(_))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(R){const k=this._extHostDocumentsAndEditors.allEditors();return R?k:k.map(_=>_.value)}async showTextDocument(R,k,_){let P;typeof k=="number"?P={position:y.ViewColumn.from(k),preserveFocus:_}:typeof k=="object"?P={position:y.ViewColumn.from(k.viewColumn),preserveFocus:k.preserveFocus,selection:typeof k.selection=="object"?y.Range.from(k.selection):void 0,pinned:typeof k.preview=="boolean"?!k.preview:void 0}:P={preserveFocus:!1};const w=await this._proxy.$tryShowTextDocument(R.uri,P),b=w&&this._extHostDocumentsAndEditors.getEditor(w);if(b)return b.value;throw w?new Error(`Could NOT open editor for "${R.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${R.uri.toString()}".`)}createTextEditorDecorationType(R,k){return new T.TextEditorDecorationType(this._proxy,R,k).value}$acceptEditorPropertiesChanged(R,k){const _=this._extHostDocumentsAndEditors.getEditor(R);if(!_)throw new Error("unknown text editor");if(k.options&&_._acceptOptions(k.options),k.selections){const P=k.selections.selections.map(y.Selection.to);_._acceptSelections(P)}if(k.visibleRanges){const P=u.coalesce(k.visibleRanges.map(y.Range.to));_._acceptVisibleRanges(P)}if(k.options&&this._onDidChangeTextEditorOptions.fire({textEditor:_.value,options:{...k.options,lineNumbers:y.TextEditorLineNumbersStyle.to(k.options.lineNumbers)}}),k.selections){const P=C.TextEditorSelectionChangeKind.fromValue(k.selections.source),w=k.selections.selections.map(y.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:_.value,selections:w,kind:P})}if(k.visibleRanges){const P=u.coalesce(k.visibleRanges.map(y.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:_.value,visibleRanges:P})}}$acceptEditorPositionData(R){for(const k in R){const _=this._extHostDocumentsAndEditors.getEditor(k);if(!_)throw new Error("Unknown text editor");const P=y.ViewColumn.to(R[k]);_.value.viewColumn!==P&&(_._acceptViewColumn(P),this._onDidChangeTextEditorViewColumn.fire({textEditor:_.value,viewColumn:P}))}}getDiffInformation(R){return Promise.resolve(this._proxy.$getDiffInformation(R))}}e.ExtHostEditors=E}),define(Ie[261],ke([1,0,2,4,5,6,7,15,10]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=(0,t.createDecorator)("IExtHostTimeline");class I{constructor(_,P){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=_.getProxy(D.MainContext.MainThreadTimeline),P.registerArgumentProcessor({processArgument:w=>{if(w&&w.$mid===11){const b=w.uri===void 0?void 0:u.URI.revive(w.uri);return this._itemsBySourceAndUriMap.get(w.source)?.get(R(b))?.get(w.handle)}return w}})}async $getTimeline(_,P,w,b){return this._providers.get(_)?.provideTimeline(u.URI.revive(P),w,b)}registerTimelineProvider(_,P,w,b){const g=new T.DisposableStore,f=this.convertTimelineItem(P.id,b,g).bind(this);let v;P.onDidChange&&(v=P.onDidChange(c=>this._proxy.$emitTimelineChangeEvent({uri:void 0,reset:!0,...c,id:P.id}),this));const p=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore({...P,scheme:_,onDidChange:void 0,async provideTimeline(c,m,a){m?.resetCache&&(g.clear(),p.get(P.id)?.clear());const h=await P.provideTimeline(c,m,a);if(h==null)return;const r=f(c,m);return{...h,source:P.id,items:h.items.map(r)}},dispose(){for(const c of p.values())c.get(P.id)?.clear();v?.dispose(),g.dispose()}})}convertTimelineItem(_,P,w){return(b,g)=>{let f;if(g?.cacheResults){let v=this._itemsBySourceAndUriMap.get(_);v===void 0&&(v=new Map,this._itemsBySourceAndUriMap.set(_,v));const p=R(b);f=v.get(p),f===void 0&&(f=new Map,v.set(p,f))}return v=>{const{iconPath:p,...c}=v,m=`${_}|${v.id??v.timestamp}`;f?.set(m,v);let a,h,r;v.iconPath&&(p instanceof y.ThemeIcon?r={id:p.id,color:p.color}:u.URI.isUri(p)?(a=p,h=p):{light:a,dark:h}=p);let o;return y.MarkdownString.isMarkdownString(c.tooltip)?o=C.MarkdownString.from(c.tooltip):(0,E.isString)(c.tooltip)?o=c.tooltip:y.MarkdownString.isMarkdownString(c.detail)?(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),o=C.MarkdownString.from(c.detail)):(0,E.isString)(c.detail)&&(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),o=c.detail),{...c,id:c.id??void 0,handle:m,source:_,command:v.command?P.toInternal(v.command,w):void 0,icon:a,iconDark:h,themeIcon:r,tooltip:o,accessibilityInformation:v.accessibilityInformation}}}}registerTimelineProviderCore(_){if(this._providers.get(_.id))throw new Error(`Timeline Provider ${_.id} already exists.`);return this._proxy.$registerTimelineProvider({id:_.id,label:_.label,scheme:_.scheme}),this._providers.set(_.id,_),(0,T.toDisposable)(()=>{for(const w of this._itemsBySourceAndUriMap.values())w.get(_.id)?.clear();this._providers.delete(_.id),this._proxy.$unregisterTimelineProvider(_.id),_.dispose()})}}e.ExtHostTimeline=I;function R(k){return k?.toString()}}),define(Ie[262],ke([1,0,6,11,2,5]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class y{constructor(E){this._openers=new Map,this._proxy=E.getProxy(T.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(E,I,R,k){if(this._openers.has(I))throw new Error(`Opener with id '${I}' already registered`);const _=k.schemes.find(P=>!y.supportedSchemes.has(P));if(_)throw new Error(`Scheme '${_}' is not supported. Only http and https are currently supported.`);return this._openers.set(I,R),this._proxy.$registerUriOpener(I,k.schemes,E,k.label),(0,u.toDisposable)(()=>{this._openers.delete(I),this._proxy.$unregisterUriOpener(I)})}async $canOpenUri(E,I,R){const k=this._openers.get(E);if(!k)throw new Error(`Unknown opener with id: ${E}`);const _=D.URI.revive(I);return k.canOpenExternalUri(_,R)}async $openUri(E,I,R){const k=this._openers.get(E);if(!k)throw new Error(`Unknown opener id: '${E}'`);return k.openExternalUri(D.URI.revive(I.resolvedUri),{sourceUri:D.URI.revive(I.sourceUri)},R)}}e.ExtHostUriOpeners=y,y.supportedSchemes=new Set([t.Schemas.http,t.Schemas.https])}),define(Ie[263],ke([1,0,5,2,6,12,28]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class C{constructor(I){this.handles=new Set,this.handlers=new Map,this._proxy=I.getProxy(u.MainContext.MainThreadUrls)}registerUriHandler(I,R){if(this.handles.has(y.ExtensionIdentifier.toKey(I)))throw new Error(`Protocol handler already registered for extension ${I}`);const k=C.HandlePool++;return this.handles.add(y.ExtensionIdentifier.toKey(I)),this.handlers.set(k,R),this._proxy.$registerUriHandler(k,I),(0,D.toDisposable)(()=>{this.handles.delete(y.ExtensionIdentifier.toKey(I)),this.handlers.delete(k),this._proxy.$unregisterUriHandler(k)})}$handleExternalUri(I,R){const k=this.handlers.get(I);if(!k)return Promise.resolve(void 0);try{k.handleUri(t.URI.revive(R))}catch(_){(0,T.onUnexpectedError)(_)}return Promise.resolve(void 0)}async createAppUri(I){return t.URI.revive(await this._proxy.$createAppUri(I))}}e.ExtHostUrls=C,C.HandlePool=0});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[70],ke([1,0,3,11,2,189,209,88,5]),function(Q,e,u,t,D,T,y,C,E){"use strict";var I,R,k,_,P,w,b,g,f,v,p,c;Object.defineProperty(e,"__esModule",{value:!0}),e.reviveOptions=e.serializeWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.shouldSerializeBuffersForPostMessage=e.ExtHostWebview=void 0;class m{constructor(l,d,S,L,F,N,A){I.set(this,void 0),R.set(this,void 0),k.set(this,void 0),_.set(this,void 0),P.set(this,void 0),w.set(this,void 0),b.set(this,""),g.set(this,void 0),f.set(this,!1),v.set(this,!1),p.set(this,!1),this._onMessageEmitter=new u.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,c.set(this,new u.Emitter),this._onDidDispose=Me(this,c,"f").event,tt(this,I,l,"f"),tt(this,R,d,"f"),tt(this,g,S,"f"),tt(this,_,L,"f"),tt(this,P,F,"f"),tt(this,w,N,"f"),tt(this,p,a(N),"f"),tt(this,k,A,"f")}dispose(){tt(this,f,!0,"f"),Me(this,c,"f").fire(),Me(this,c,"f").dispose(),this._onMessageEmitter.dispose()}asWebviewUri(l){return tt(this,v,!0,"f"),(0,C.asWebviewUri)(l,Me(this,_,"f"))}get cspSource(){const l=Me(this,w,"f").extensionLocation;if(l.scheme===t.Schemas.https||l.scheme===t.Schemas.http){let d=l.toString();return d.endsWith("/")||(d+="/"),d+" "+C.webviewGenericCspSource}return C.webviewGenericCspSource}get html(){return this.assertNotDisposed(),Me(this,b,"f")}set html(l){this.assertNotDisposed(),Me(this,b,"f")!==l&&(tt(this,b,l,"f"),!Me(this,v,"f")&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(l)&&(tt(this,v,!0,"f"),Me(this,k,"f").report("Webview vscode-resource: uris",Me(this,w,"f"),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),Me(this,R,"f").$setHtml(Me(this,I,"f"),l))}get options(){return this.assertNotDisposed(),Me(this,g,"f")}set options(l){this.assertNotDisposed(),Me(this,R,"f").$setOptions(Me(this,I,"f"),o(Me(this,w,"f"),Me(this,P,"f"),l)),tt(this,g,l,"f")}async postMessage(l){if(Me(this,f,"f"))return!1;const d=(0,y.serializeWebviewMessage)(l,{serializeBuffersForPostMessage:Me(this,p,"f")});return Me(this,R,"f").$postMessage(Me(this,I,"f"),d.message,...d.buffers)}assertNotDisposed(){if(Me(this,f,"f"))throw new Error("Webview is disposed")}}e.ExtHostWebview=m,I=new WeakMap,R=new WeakMap,k=new WeakMap,_=new WeakMap,P=new WeakMap,w=new WeakMap,b=new WeakMap,g=new WeakMap,f=new WeakMap,v=new WeakMap,p=new WeakMap,c=new WeakMap;function a(s){try{const l=(0,T.normalizeVersion)((0,T.parseVersion)(s.engines.vscode));return!!l&&l.majorBase>=1&&l.minorBase>=57}catch{return!1}}e.shouldSerializeBuffersForPostMessage=a;class h{constructor(l,d,S,L,F){this.remoteInfo=d,this.workspace=S,this._logService=L,this._deprecationService=F,this._webviews=new Map,this._webviewProxy=l.getProxy(E.MainContext.MainThreadWebviews)}$onMessage(l,d,S){const L=this.getWebview(l);if(L){const{message:F}=(0,y.deserializeWebviewMessage)(d,S.value);L._onMessageEmitter.fire(F)}}$onMissingCsp(l,d){this._logService.warn(`${d} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(l,d,S){const L=new m(l,this._webviewProxy,i(d),this.remoteInfo,this.workspace,S,this._deprecationService);return this._webviews.set(l,L),L._onDidDispose(()=>{this._webviews.delete(l)}),L}deleteWebview(l){this._webviews.delete(l)}getWebview(l){return this._webviews.get(l)}}e.ExtHostWebviews=h;function r(s){return{id:s.identifier,location:s.extensionLocation}}e.toExtensionData=r;function o(s,l,d){return{enableCommandUris:d.enableCommandUris,enableScripts:d.enableScripts,enableForms:d.enableForms,portMapping:d.portMapping,localResourceRoots:d.localResourceRoots||n(s,l)}}e.serializeWebviewOptions=o;function i(s){return{enableCommandUris:s.enableCommandUris,enableScripts:s.enableScripts,enableForms:s.enableForms,portMapping:s.portMapping,localResourceRoots:s.localResourceRoots?.map(l=>D.URI.from(l))}}e.reviveOptions=i;function n(s,l){return[...(l?.getWorkspaceFolders()||[]).map(d=>d.uri),s.extensionLocation]}}),define(Ie[264],ke([1,0,21,60,6,11,22,2,15,70,87,5,7]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class P{constructor(a,h){this.document=a,this._storagePath=h,this._backupCounter=1,this._edits=new R.Cache("custom documents")}addEdit(a){return this._edits.add([a])}async undo(a,h){await this.getEdit(a).undo(),h||this.disposeBackup()}async redo(a,h){await this.getEdit(a).redo(),h||this.disposeBackup()}disposeEdits(a){for(const h of a)this._edits.delete(h)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const a=c(this.document.uri)+this._backupCounter++;return(0,y.joinPath)(this._storagePath,a)}updateBackup(a){this._backup?.delete(),this._backup=a}disposeBackup(){this._backup?.delete(),this._backup=void 0}getEdit(a){const h=this._edits.get(a,0);if(!h)throw new Error("No edit found");return h}}class w{constructor(){this._documents=new Map}get(a,h){return this._documents.get(this.key(a,h))}add(a,h,r){const o=this.key(a,h.uri);if(this._documents.has(o))throw new Error(`Document already exists for viewType:${a} resource:${h.uri}`);const i=new P(h,r);return this._documents.set(o,i),i}delete(a,h){const r=this.key(a,h.uri);this._documents.delete(r)}key(a,h){return`${a}@@@${h}`}}var b;(function(m){m[m.Text=0]="Text",m[m.Custom=1]="Custom"})(b||(b={}));class g{constructor(){this._providers=new Map}addTextProvider(a,h,r){return this.add(0,a,h,r)}addCustomProvider(a,h,r){return this.add(1,a,h,r)}get(a){return this._providers.get(a)}add(a,h,r,o){if(this._providers.has(h))throw new Error(`Provider for viewType:${h} already registered`);return this._providers.set(h,{type:a,extension:r,provider:o}),new _.Disposable(()=>this._providers.delete(h))}}class f{constructor(a,h,r,o,i){this._extHostDocuments=h,this._extensionStoragePaths=r,this._extHostWebview=o,this._extHostWebviewPanels=i,this._editorProviders=new g,this._documents=new w,this._proxy=a.getProxy(k.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(a,h,r,o){const i=new D.DisposableStore;return v(r)?(i.add(this._editorProviders.addTextProvider(h,a,r)),this._proxy.$registerTextEditorProvider((0,I.toExtensionData)(a),h,o.webviewOptions||{},{supportsMove:!!r.moveCustomTextEditor},(0,I.shouldSerializeBuffersForPostMessage)(a))):(i.add(this._editorProviders.addCustomProvider(h,a,r)),this.supportEditing(r)&&i.add(r.onDidChangeCustomDocument(n=>{const s=this.getCustomDocumentEntry(h,n.document.uri);if(p(n)){const l=s.addEdit(n);this._proxy.$onDidEdit(n.document.uri,h,l,n.label)}else this._proxy.$onContentChange(n.document.uri,h)})),this._proxy.$registerCustomEditorProvider((0,I.toExtensionData)(a),h,o.webviewOptions||{},!!o.supportsMultipleEditorsPerDocument,(0,I.shouldSerializeBuffersForPostMessage)(a))),_.Disposable.from(i,new _.Disposable(()=>{this._proxy.$unregisterEditorProvider(h)}))}async $createCustomDocument(a,h,r,o,i){const n=this._editorProviders.get(h);if(!n)throw new Error(`No provider found for '${h}'`);if(n.type!==1)throw new Error(`Invalid provide type for '${h}'`);const s=C.URI.revive(a),l=await n.provider.openCustomDocument(s,{backupId:r,untitledDocumentData:o?.buffer},i);let d;return this.supportEditing(n.provider)&&this._extensionStoragePaths&&(d=this._extensionStoragePaths.workspaceValue(n.extension)??this._extensionStoragePaths.globalValue(n.extension)),this._documents.add(h,l,d),{editable:this.supportEditing(n.provider)}}async $disposeCustomDocument(a,h){const r=this._editorProviders.get(h);if(!r)throw new Error(`No provider found for '${h}'`);if(r.type!==1)throw new Error(`Invalid provider type for '${h}'`);const o=C.URI.revive(a),{document:i}=this.getCustomDocumentEntry(h,o);this._documents.delete(h,i),i.dispose()}async $resolveWebviewEditor(a,h,r,o,i,n){const s=this._editorProviders.get(r);if(!s)throw new Error(`No provider found for '${r}'`);const l=E.ViewColumn.to(i),d=this._extHostWebview.createNewWebview(h,o.webviewOptions,s.extension),S=this._extHostWebviewPanels.createNewWebviewPanel(h,r,o.title,l,o.panelOptions,d,!0),L=C.URI.revive(a);switch(s.type){case 1:{const{document:F}=this.getCustomDocumentEntry(r,L);return s.provider.resolveCustomEditor(F,S,n)}case 0:{const F=this._extHostDocuments.getDocument(L);return s.provider.resolveCustomTextEditor(F,S,n)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(a,h,r){this.getCustomDocumentEntry(h,a).disposeEdits(r)}async $onMoveCustomEditor(a,h,r){const o=this._editorProviders.get(r);if(!o)throw new Error(`No provider found for '${r}'`);if(!o.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${r}'`);const i=this._extHostWebviewPanels.getWebviewPanel(a);if(!i)throw new Error("No webview found");const n=C.URI.revive(h),s=this._extHostDocuments.getDocument(n);await o.provider.moveCustomTextEditor(s,i,u.CancellationToken.None)}async $undo(a,h,r,o){return this.getCustomDocumentEntry(h,a).undo(r,o)}async $redo(a,h,r,o){return this.getCustomDocumentEntry(h,a).redo(r,o)}async $revert(a,h,r){const o=this.getCustomDocumentEntry(h,a);await this.getCustomEditorProvider(h).revertCustomDocument(o.document,r),o.disposeBackup()}async $onSave(a,h,r){const o=this.getCustomDocumentEntry(h,a);await this.getCustomEditorProvider(h).saveCustomDocument(o.document,r),o.disposeBackup()}async $onSaveAs(a,h,r,o){const i=this.getCustomDocumentEntry(h,a);return this.getCustomEditorProvider(h).saveCustomDocumentAs(i.document,C.URI.revive(r),o)}async $backup(a,h,r){const o=this.getCustomDocumentEntry(h,a),n=await this.getCustomEditorProvider(h).backupCustomDocument(o.document,{destination:o.getNewBackupUri()},r);return o.updateBackup(n),n.id}getCustomDocumentEntry(a,h){const r=this._documents.get(a,C.URI.revive(h));if(!r)throw new Error("No custom document found");return r}getCustomEditorProvider(a){const r=this._editorProviders.get(a)?.provider;if(!r||!this.supportEditing(r))throw new Error("Custom document is not editable");return r}supportEditing(a){return!!a.onDidChangeCustomDocument}}e.ExtHostCustomEditors=f;function v(m){return typeof m.resolveCustomTextEditor=="function"}function p(m){return typeof m.undo=="function"&&typeof m.redo=="function"}function c(m){const a=m.scheme===T.Schemas.file||m.scheme===T.Schemas.untitled?m.fsPath:m.toString();return(0,t.hash)(a)+""}});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[265],ke([1,0,3,6,2,34,15,70,5,7]),function(Q,e,u,t,D,T,y,C,E,I){"use strict";var R,k,_,P,w,b,g,f,v,p,c,m,a;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class h extends t.Disposable{constructor(n,s,l,d){super();R.set(this,void 0),k.set(this,void 0),_.set(this,void 0),P.set(this,void 0),w.set(this,void 0),b.set(this,void 0),g.set(this,void 0),f.set(this,void 0),v.set(this,!0),p.set(this,void 0),c.set(this,!1),m.set(this,this._register(new u.Emitter)),this.onDidDispose=Me(this,m,"f").event,a.set(this,this._register(new u.Emitter)),this.onDidChangeViewState=Me(this,a,"f").event,tt(this,R,n,"f"),tt(this,k,s,"f"),tt(this,P,l,"f"),tt(this,_,d.viewType,"f"),tt(this,w,d.panelOptions,"f"),tt(this,f,d.viewColumn,"f"),tt(this,b,d.title,"f"),tt(this,p,d.active,"f")}dispose(){Me(this,c,"f")||(tt(this,c,!0,"f"),Me(this,m,"f").fire(),Me(this,k,"f").$disposeWebview(Me(this,R,"f")),Me(this,P,"f").dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),Me(this,P,"f")}get viewType(){return this.assertNotDisposed(),Me(this,_,"f")}get title(){return this.assertNotDisposed(),Me(this,b,"f")}set title(n){this.assertNotDisposed(),Me(this,b,"f")!==n&&(tt(this,b,n,"f"),Me(this,k,"f").$setTitle(Me(this,R,"f"),n))}get iconPath(){return this.assertNotDisposed(),Me(this,g,"f")}set iconPath(n){this.assertNotDisposed(),Me(this,g,"f")!==n&&(tt(this,g,n,"f"),Me(this,k,"f").$setIconPath(Me(this,R,"f"),D.URI.isUri(n)?{light:n,dark:n}:n))}get options(){return Me(this,w,"f")}get viewColumn(){if(this.assertNotDisposed(),!(typeof Me(this,f,"f")=="number"&&Me(this,f,"f")<0))return Me(this,f,"f")}get active(){return this.assertNotDisposed(),Me(this,p,"f")}get visible(){return this.assertNotDisposed(),Me(this,v,"f")}_updateViewState(n){Me(this,c,"f")||(this.active!==n.active||this.visible!==n.visible||this.viewColumn!==n.viewColumn)&&(tt(this,p,n.active,"f"),tt(this,v,n.visible,"f"),tt(this,f,n.viewColumn,"f"),Me(this,a,"f").fire({webviewPanel:this}))}reveal(n,s){this.assertNotDisposed(),Me(this,k,"f").$reveal(Me(this,R,"f"),{viewColumn:typeof n=="undefined"?void 0:y.ViewColumn.from(n),preserveFocus:!!s})}assertNotDisposed(){if(Me(this,c,"f"))throw new Error("Webview is disposed")}}R=new WeakMap,k=new WeakMap,_=new WeakMap,P=new WeakMap,w=new WeakMap,b=new WeakMap,g=new WeakMap,f=new WeakMap,v=new WeakMap,p=new WeakMap,c=new WeakMap,m=new WeakMap,a=new WeakMap;class r{constructor(n,s,l){this.webviews=s,this.workspace=l,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=n.getProxy(E.MainContext.MainThreadWebviewPanels)}static newHandle(){return(0,T.generateUuid)()}createWebviewPanel(n,s,l,d,S={}){const L=typeof d=="object"?d.viewColumn:d,F={viewColumn:y.ViewColumn.from(L),preserveFocus:typeof d=="object"&&!!d.preserveFocus},N=(0,C.shouldSerializeBuffersForPostMessage)(n),A=r.newHandle();this._proxy.$createWebviewPanel((0,C.toExtensionData)(n),A,s,{title:l,panelOptions:o(S),webviewOptions:(0,C.serializeWebviewOptions)(n,this.workspace,S),serializeBuffersForPostMessage:N},F);const $=this.webviews.createNewWebview(A,S,n);return this.createNewWebviewPanel(A,s,l,L,S,$,!0)}$onDidChangeWebviewPanelViewStates(n){const s=Object.keys(n);s.sort((l,d)=>{const S=n[l],L=n[d];return S.active?1:L.active?-1:+S.visible-+L.visible});for(const l of s){const d=this.getWebviewPanel(l);if(!d)continue;const S=n[l];d._updateViewState({active:S.active,visible:S.visible,viewColumn:y.ViewColumn.to(S.position)})}}async $onDidDisposeWebviewPanel(n){this.getWebviewPanel(n)?.dispose(),this._webviewPanels.delete(n),this.webviews.deleteWebview(n)}registerWebviewPanelSerializer(n,s,l){if(this._serializers.has(s))throw new Error(`Serializer for '${s}' already registered`);return this._serializers.set(s,{serializer:l,extension:n}),this._proxy.$registerSerializer(s,{serializeBuffersForPostMessage:(0,C.shouldSerializeBuffersForPostMessage)(n)}),new I.Disposable(()=>{this._serializers.delete(s),this._proxy.$unregisterSerializer(s)})}async $deserializeWebviewPanel(n,s,l,d){const S=this._serializers.get(s);if(!S)throw new Error(`No serializer found for '${s}'`);const{serializer:L,extension:F}=S,N=this.webviews.createNewWebview(n,l.webviewOptions,F),A=this.createNewWebviewPanel(n,s,l.title,d,l.panelOptions,N,l.active);await L.deserializeWebviewPanel(A,l.state)}createNewWebviewPanel(n,s,l,d,S,L,F){const N=new h(n,this._proxy,L,{viewType:s,title:l,viewColumn:d,panelOptions:S,active:F});return this._webviewPanels.set(n,N),N}getWebviewPanel(n){return this._webviewPanels.get(n)}}e.ExtHostWebviewPanels=r;function o(i){return{enableFindWidget:i.enableFindWidget,retainContextWhenHidden:i.retainContextWhenHidden}}});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[266],ke([1,0,3,6,70,27,15,5,7]),function(Q,e,u,t,D,T,y,C,E){"use strict";var I,R,k,_,P,w,b,g,f,v,p,c;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class m extends t.Disposable{constructor(r,o,i,n,s,l,d){super();I.set(this,void 0),R.set(this,void 0),k.set(this,void 0),_.set(this,void 0),P.set(this,void 0),w.set(this,!1),b.set(this,void 0),g.set(this,void 0),f.set(this,void 0),v.set(this,void 0),p.set(this,this._register(new u.Emitter)),this.onDidChangeVisibility=Me(this,p,"f").event,c.set(this,this._register(new u.Emitter)),this.onDidDispose=Me(this,c,"f").event,tt(this,k,i,"f"),tt(this,g,n,"f"),tt(this,I,r,"f"),tt(this,R,o,"f"),tt(this,_,s,"f"),tt(this,P,l,"f"),tt(this,b,d,"f")}dispose(){Me(this,w,"f")||(tt(this,w,!0,"f"),Me(this,c,"f").fire(),Me(this,_,"f").dispose(),super.dispose())}get title(){return this.assertNotDisposed(),Me(this,g,"f")}set title(r){this.assertNotDisposed(),Me(this,g,"f")!==r&&(tt(this,g,r,"f"),Me(this,R,"f").$setWebviewViewTitle(Me(this,I,"f"),r))}get description(){return this.assertNotDisposed(),Me(this,f,"f")}set description(r){this.assertNotDisposed(),Me(this,f,"f")!==r&&(tt(this,f,r,"f"),Me(this,R,"f").$setWebviewViewDescription(Me(this,I,"f"),r))}get visible(){return Me(this,b,"f")}get webview(){return Me(this,_,"f")}get viewType(){return Me(this,k,"f")}_setVisible(r){r===Me(this,b,"f")||Me(this,w,"f")||(tt(this,b,r,"f"),Me(this,p,"f").fire())}get badge(){return this.assertNotDisposed(),(0,T.checkProposedApiEnabled)(Me(this,P,"f"),"badges"),Me(this,v,"f")}set badge(r){this.assertNotDisposed(),(0,T.checkProposedApiEnabled)(Me(this,P,"f"),"badges"),!(r?.value===Me(this,v,"f")?.value&&r?.tooltip===Me(this,v,"f")?.tooltip)&&(tt(this,v,y.ViewBadge.from(r),"f"),Me(this,R,"f").$setWebviewViewBadge(Me(this,I,"f"),r))}show(r){this.assertNotDisposed(),Me(this,R,"f").$show(Me(this,I,"f"),!!r)}assertNotDisposed(){if(Me(this,w,"f"))throw new Error("Webview is disposed")}}I=new WeakMap,R=new WeakMap,k=new WeakMap,_=new WeakMap,P=new WeakMap,w=new WeakMap,b=new WeakMap,g=new WeakMap,f=new WeakMap,v=new WeakMap,p=new WeakMap,c=new WeakMap;class a{constructor(r,o){this._extHostWebview=o,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=r.getProxy(C.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(r,o,i,n){if(this._viewProviders.has(o))throw new Error(`View provider for '${o}' already registered`);return this._viewProviders.set(o,{provider:i,extension:r}),this._proxy.$registerWebviewViewProvider((0,D.toExtensionData)(r),o,{retainContextWhenHidden:n?.retainContextWhenHidden,serializeBuffersForPostMessage:(0,D.shouldSerializeBuffersForPostMessage)(r)}),new E.Disposable(()=>{this._viewProviders.delete(o),this._proxy.$unregisterWebviewViewProvider(o)})}async $resolveWebviewView(r,o,i,n,s){const l=this._viewProviders.get(o);if(!l)throw new Error(`No view provider found for '${o}'`);const{provider:d,extension:S}=l,L=this._extHostWebview.createNewWebview(r,{},S),F=new m(r,this._proxy,o,i,L,S,!0);this._webviewViews.set(r,F),await d.resolveWebviewView(F,{state:n},s)}async $onDidChangeWebviewViewVisibility(r,o){this.getWebviewView(r)._setVisible(o)}async $disposeWebviewView(r){const o=this.getWebviewView(r);this._webviewViews.delete(r),o.dispose(),this._extHostWebview.deleteWebview(r)}getWebviewView(r){const o=this._webviewViews.get(r);if(!o)throw new Error("No webview found");return o}}e.ExtHostWebviewViews=a}),define(Ie[137],ke([1,0,3,5,2,11,8,4,17]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let I=class xn{constructor(k){this._onDidChangeWindowState=new u.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=xn.InitialState,this._proxy=k.getProxy(t.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(_=>this.$onDidChangeWindowFocus(_))}get state(){return this._state}$onDidChangeWindowFocus(k){k!==this._state.focused&&(this._state={...this._state,focused:k},this._onDidChangeWindowState.fire(this._state))}openUri(k,_){let P;if(typeof k=="string"){P=k;try{k=D.URI.parse(k)}catch{return Promise.reject(`Invalid uri - '${k}'`)}}return(0,y.isFalsyOrWhitespace)(k.scheme)?Promise.reject("Invalid scheme - cannot be empty"):k.scheme===T.Schemas.command?Promise.reject(`Invalid scheme '${k.scheme}'`):this._proxy.$openUri(k,P,_)}async asExternalUri(k,_){if((0,y.isFalsyOrWhitespace)(k.scheme))return Promise.reject("Invalid scheme - cannot be empty");const P=await this._proxy.$asExternalUri(k,_);return D.URI.from(P)}};I.InitialState={focused:!0},I=st([He(0,E.IExtHostRpcService)],I),e.ExtHostWindow=I,e.IExtHostWindow=(0,C.createDecorator)("IExtHostWindow")}),define(Ie[267],ke([1,0,112,268,62,37,2,14,45]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CLIServer=e.CLIServerBase=void 0;class I{constructor(_,P,w){this._commands=_,this.logService=P,this._ipcHandlePath=w,this._server=t.createServer((b,g)=>this.onRequest(b,g)),this.setup().catch(b=>(P.error(b),""))}get ipcHandlePath(){return this._ipcHandlePath}async setup(){try{this._server.listen(this.ipcHandlePath),this._server.on("error",_=>this.logService.error(_))}catch{this.logService.error("Could not start open from terminal server.")}return this._ipcHandlePath}onRequest(_,P){const w=(g,f)=>{P.writeHead(g,{"content-type":"application/json"}),P.end(JSON.stringify(f||null),v=>v&&this.logService.error(v))},b=[];_.setEncoding("utf8"),_.on("data",g=>b.push(g)),_.on("end",async()=>{try{const g=JSON.parse(b.join(""));let f;switch(g.type){case"open":f=await this.open(g);break;case"openExternal":f=await this.openExternal(g);break;case"status":f=await this.getStatus(g);break;case"extensionManagement":f=await this.manageExtensions(g);break;default:w(404,`Unknown message type: ${g.type}`);break}w(200,f)}catch(g){const f=g instanceof Error?g.message:JSON.stringify(g);w(500,f),this.logService.error("Error while processing pipe request",g)}})}async open(_){const{fileURIs:P,folderURIs:w,forceNewWindow:b,diffMode:g,addMode:f,forceReuseWindow:v,gotoLineMode:p,waitMarkerFilePath:c,remoteAuthority:m}=_,a=[];if(Array.isArray(w))for(const i of w)try{a.push({folderUri:y.URI.parse(i)})}catch{}if(Array.isArray(P))for(const i of P)try{(0,E.hasWorkspaceFileExtension)(i)?a.push({workspaceUri:y.URI.parse(i)}):a.push({fileUri:y.URI.parse(i)})}catch{}const h=c?y.URI.file(c):void 0,o={forceNewWindow:b,diffMode:g,addMode:f,gotoLineMode:p,forceReuseWindow:v,preferNewWindow:!v&&!h&&!f,waitMarkerFileURI:h,remoteAuthority:m};return this._commands.executeCommand("_remoteCLI.windowOpen",a,o),""}async openExternal(_){for(const P of _.uris){const w=y.URI.parse(P),b=w.scheme==="file"?w:P;await this._commands.executeCommand("_remoteCLI.openExternal",b)}}async manageExtensions(_){const P=b=>b?.map(g=>/\.vsix$/i.test(g)?y.URI.parse(g):g),w={list:_.list,install:P(_.install),uninstall:P(_.uninstall),force:_.force};return await this._commands.executeCommand("_remoteCLI.manageExtensions",w)}async getStatus(_){return await this._commands.executeCommand("_remoteCLI.getSystemStatus")}dispose(){this._server.close(),this._ipcHandlePath&&process.platform!=="win32"&&D.existsSync(this._ipcHandlePath)&&D.unlinkSync(this._ipcHandlePath)}}e.CLIServerBase=I;let R=class extends I{constructor(_,P){super(_,P,(0,u.createRandomIPCHandle)())}};R=st([He(0,T.IExtHostCommands),He(1,C.ILogService)],R),e.CLIServer=R}),define(Ie[269],ke([1,0,241,26,17]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostConsoleForwarder=void 0;const T=1024*1024;let y=class extends u.AbstractExtHostConsoleForwarder{constructor(E,I){super(E,I);this._isMakingConsoleCall=!1,this._wrapStream("stderr","error"),this._wrapStream("stdout","log")}_nativeConsoleLogMessage(E,I,R){const k=E==="error"||E==="warn"?process.stderr:process.stdout;this._isMakingConsoleCall=!0,k.write(`
START_NATIVE_LOG
`),I.apply(console,R),k.write(`
END_NATIVE_LOG
`),this._isMakingConsoleCall=!1}_wrapStream(E,I){const R=process[E],k=R.write;let _="";Object.defineProperty(R,"write",{set:()=>{},get:()=>(P,w,b)=>{if(!this._isMakingConsoleCall){_+=P.toString(w);const g=_.length>T?_.length:_.lastIndexOf(`
`);g!==-1&&(console[I](_.slice(0,g)),_=_.slice(g+1))}k.call(R,P,w,b)}})}};y=st([He(0,D.IExtHostRpcService),He(1,t.IExtHostInitDataService)],y),e.ExtHostConsoleForwarder=y}),define(Ie[270],ke([1,0,9,81,34,37,6,5,2,17]),function(Q,e,u,t,D,T,y,C,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDownloadService=void 0;let R=class extends y.Disposable{constructor(_,P){super();const w=_.getProxy(C.MainContext.MainThreadDownloadService);P.registerCommand(!1,"_workbench.downloadResource",async b=>{const g=E.URI.file((0,u.join)((0,t.tmpdir)(),(0,D.generateUuid)()));return await w.$download(b,g),g})}};R=st([He(0,I.IExtHostRpcService),He(1,T.IExtHostCommands)],R),e.ExtHostDownloadService=R}),define(Ie[271],ke([1,0,136,11,195,34]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLoggerService=void 0;class y extends u.ExtHostLoggerService{doCreateLogger(E,I,R){return E.scheme===t.Schemas.file?new D.SpdLogLogger(R?.name||(0,T.generateUuid)(),E.fsPath,!R?.donotRotate,!!R?.donotUseFormatters,I):super.doCreateLogger(E,I,R)}}e.ExtHostLoggerService=y}),define(Ie[272],ke([1,0,62,9,2,69,6,11,18,29]),function(Q,e,u,t,D,T,y,C,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=void 0;class R extends T.ExtensionStoragePaths{constructor(){super(...arguments);this._workspaceStorageLock=null}async _getWorkspaceStorageURI(a){const h=await super._getWorkspaceStorageURI(a);if(h.scheme!==C.Schemas.file)return h;if(this._environment.skipWorkspaceStorageLock)return this._logService.info(`Skipping acquiring lock for ${h.fsPath}.`),h;const r=h.fsPath;let o=0;do{let i;o===0?i=r:i=/[/\\]$/.test(r)?`${r.substr(0,r.length-1)}-${o}`:`${r}-${o}`,await k(i);const n=t.join(i,"vscode.lock"),s=await b(this._logService,n,!1);if(s)return this._workspaceStorageLock=s,process.on("exit",()=>{s.dispose()}),D.URI.file(i);o++}while(o<10);return h}onWillDeactivateAll(){this._workspaceStorageLock?.setWillRelease(6e3)}}e.ExtensionStoragePaths=R;async function k(m){try{await I.Promises.stat(m);return}catch{}try{await I.Promises.mkdir(m,{recursive:!0})}catch{}}const _=1e3,P=10*60*1e3;class w extends y.Disposable{constructor(a,h){super();this.logService=a,this.filename=h,this._timer=this._register(new E.IntervalTimer),this._timer.cancelAndSet(async()=>{const r=await g(a,h);(!r||r.pid!==process.pid)&&(a.info(`Lock '${h}': The lock was lost unexpectedly.`),this._timer.cancel());try{await I.Promises.utimes(h,new Date,new Date)}catch(o){a.error(o),a.info(`Lock '${h}': Could not update mtime.`)}},_)}dispose(){super.dispose();try{u.unlinkSync(this.filename)}catch{}}async setWillRelease(a){this.logService.info(`Lock '${this.filename}': Marking the lockfile as scheduled to be released in ${a} ms.`);try{const h={pid:process.pid,willReleaseAt:Date.now()+a};await I.Promises.writeFile(this.filename,JSON.stringify(h),{flag:"w"})}catch(h){this.logService.error(h)}}}async function b(m,a,h){try{const o={pid:process.pid,willReleaseAt:0};await I.Promises.writeFile(a,JSON.stringify(o),{flag:"wx"})}catch(o){m.error(o)}const r=await g(m,a);return!r||r.pid!==process.pid?h?(m.info(`Lock '${a}': Could not acquire lock, giving up.`),null):(m.info(`Lock '${a}': Could not acquire lock, checking if the file is stale.`),p(m,a)):(m.info(`Lock '${a}': Lock acquired.`),new w(m,a))}async function g(m,a){let h;try{h=await I.Promises.readFile(a)}catch(r){return m.error(r),null}try{return JSON.parse(String(h))}catch(r){return m.error(r),null}}async function f(m,a){let h;try{h=await I.Promises.stat(a)}catch(r){return m.error(r),0}return h.mtime.getTime()}function v(m){try{return process.kill(m,0),!0}catch{return!1}}async function p(m,a){const h=await g(m,a);if(!h)return m.info(`Lock '${a}': Could not read pid of lock holder.`),c(m,a);if(h.willReleaseAt){let s=h.willReleaseAt-Date.now();if(s<5e3){for(s>0?m.info(`Lock '${a}': The lockfile is scheduled to be released in ${s} ms.`):m.info(`Lock '${a}': The lockfile is scheduled to have been released.`);s>0;){if(await(0,E.timeout)(Math.min(100,s)),await f(m,a)===0)return c(m,a);s=h.willReleaseAt-Date.now()}return c(m,a)}}if(!v(h.pid))return m.info(`Lock '${a}': The pid ${h.pid} appears to be gone.`),c(m,a);const r=await f(m,a),o=Date.now()-r;if(o<=P)return m.info(`Lock '${a}': The lock does not look stale, elapsed: ${o} ms, giving up.`),null;m.info(`Lock '${a}': The lock looks stale, waiting for 2s.`),await(0,E.timeout)(2e3);const i=await f(m,a),n=Date.now()-i;return n<=P?(m.info(`Lock '${a}': The lock does not look stale, elapsed: ${n} ms, giving up.`),null):(m.info(`Lock '${a}': The lock looks stale even after waiting for 2s.`),c(m,a))}async function c(m,a){m.info(`Lock '${a}': Deleting a stale lock.`);try{await I.Promises.unlink(a)}catch{}return b(m,a,!0)}}),define(Ie[273],ke([1,0,34,17,38]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTerminalService=void 0;let T=class extends D.BaseExtHostTerminalService{constructor(C){super(!0,C)}createTerminal(C,E,I){return this.createTerminalFromOptions({name:C,shellPath:E,shellArgs:I})}createTerminalFromOptions(C,E){const I=new D.ExtHostTerminal(this._proxy,(0,u.generateUuid)(),C,C.name);return this._terminals.push(I),I.create(C,this._serializeParentTerminal(C,E)),I.value}};T=st([He(0,t.IExtHostRpcService)],T),e.ExtHostTerminalService=T}),define(Ie[274],ke([1,0,5,17,178,6,26,2,42,22,29,7,13,52,3,124,94,14]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.tryFindRootPorts=e.findPorts=e.getRootProcesses=e.loadConnectionTable=e.parseIpAddress=e.loadListeningPorts=e.getSockets=void 0;class v extends b.DisposableTunnel{}function p(s){const l=s.trim().split(`
`),d=[];return l.forEach(L=>{const F=/\/proc\/(\d+)\/fd\/\d+ -> socket:\[(\d+)\]/.exec(L);F&&F.length>=3&&d.push({pid:parseInt(F[1],10),socket:parseInt(F[2],10)})}),d.reduce((L,F)=>(L[F.socket]=F,L),{})}e.getSockets=p;function c(...s){const l=[].concat(...s.map(a));return[...new Map(l.filter(d=>d.st==="0A").map(d=>{const S=d.local_address.split(":");return{socket:parseInt(d.inode,10),ip:m(S[0]),port:parseInt(S[1],16)}}).map(d=>[d.ip+":"+d.port,d])).values()]}e.loadListeningPorts=c;function m(s){let l="";if(s.length===8)for(let d=s.length-2;d>=0;d-=2)l+=parseInt(s.substr(d,2),16),d!==0&&(l+=".");else for(let d=s.length-4;d>=0;d-=4)l+=parseInt(s.substr(d,4),16).toString(16),d!==0&&(l+=":");return l}e.parseIpAddress=m;function a(s){const l=s.trim().split(`
`),d=l.shift().trim().split(/\s+/).filter(L=>L!=="rx_queue"&&L!=="tm->when");return l.map(L=>L.trim().split(/\s+/).reduce((F,N,A)=>(F[d[A]||A]=N,F),{}))}e.loadConnectionTable=a;function h(s){return!!s.match(/.*\.vscode-server-[a-zA-Z]+\/bin.*/)||s.indexOf("out/server-main.js")!==-1||s.indexOf("_productName=VSCode")!==-1}function r(s){const l=s.trim().split(`
`),d=[];return l.forEach(S=>{const L=/^\d+\s+\D+\s+root\s+(\d+)\s+(\d+).+\d+\:\d+\:\d+\s+(.+)$/.exec(S);L&&L.length>=4&&d.push({pid:parseInt(L[1],10),ppid:parseInt(L[2]),cmd:L[3]})}),d}e.getRootProcesses=r;async function o(s,l,d){const S=d.reduce((F,N)=>(F[N.pid]=N,F),{}),L=[];return s.forEach(({socket:F,ip:N,port:A})=>{const $=l[F]?l[F].pid:void 0,B=$?S[$]?.cmd:void 0;$&&B&&!h(B)&&L.push({host:N,port:A,detail:B,pid:$})}),L}e.findPorts=o;function i(s,l,d){const S=new Map,L=r(l);for(const F of s){const N=d.get(F.port);if(N){S.set(F.port,N);continue}const A=L.find($=>$.cmd.includes(`${F.port}`));if(A){let $=A,B;do B=L.find(z=>z.ppid===$.pid),B&&($=B);while(B);S.set(F.port,{host:F.ip,port:F.port,pid:$.pid,detail:$.cmd,ppid:$.ppid})}else S.set(F.port,{host:F.ip,port:F.port,ppid:Number.MAX_VALUE})}return S}e.tryFindRootPorts=i;let n=class extends T.Disposable{constructor(l,d,S){super();this.logService=S,this._showCandidatePort=()=>Promise.resolve(!0),this._extensionTunnels=new Map,this._onDidChangeTunnels=new w.Emitter,this.onDidChangeTunnels=this._onDidChangeTunnels.event,this._candidateFindingEnabled=!1,this._foundRootPorts=new Map,this._providerHandleCounter=0,this._portAttributesProviders=new Map,this._proxy=l.getProxy(u.MainContext.MainThreadTunnelService),_.isLinux&&d.remote.isRemote&&d.remote.authority&&this._proxy.$setRemoteTunnelService(process.pid)}async openTunnel(l,d){this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) ${l.identifier.value} called openTunnel API for ${d.remoteAddress.host}:${d.remoteAddress.port}.`);const S=await this._proxy.$openTunnel(d,l.displayName);if(S){const L=new v(S.remoteAddress,S.localAddress,()=>this._proxy.$closeTunnel(S.remoteAddress));return this._register(L),L}}async getTunnels(){return this._proxy.$getTunnels()}calculateDelay(l){return Math.max(l*20,2e3)}nextPortAttributesProviderHandle(){return this._providerHandleCounter++}registerPortsAttributesProvider(l,d){const S=this.nextPortAttributesProviderHandle();return this._portAttributesProviders.set(S,{selector:l,provider:d}),this._proxy.$registerPortsAttributesProvider(l,S),new k.Disposable(()=>{this._portAttributesProviders.delete(S),this._proxy.$unregisterPortsAttributesProvider(S)})}async $providePortAttributes(l,d,S,L,F){const N=[];for(const $ of l){const B=this._portAttributesProviders.get($);if(!B)return[];N.push(...await Promise.all(d.map(async z=>B.provider.providePortAttributes(z,S,L,F))))}const A=N.filter($=>!!$);return A.length>0?A.map($=>({autoForwardAction:$.autoForwardAction,port:$.port})):[]}async $registerCandidateFinder(l){if(l&&this._candidateFindingEnabled)return;this._candidateFindingEnabled=l;const d=new g.MovingAverage;let S;for(;this._candidateFindingEnabled;){const L=new Date().getTime(),F=(await this.findCandidatePorts()).filter(A=>(0,b.isLocalhost)(A.host)||(0,b.isAllInterfaces)(A.host));this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) found candidate ports ${F.map(A=>A.port).join(", ")}`);const N=new Date().getTime()-L;d.update(N),(!S||JSON.stringify(S)!==JSON.stringify(F))&&(S=F,await this._proxy.$onFoundNewCandidates(S)),await new Promise(A=>setTimeout(()=>A(),this.calculateDelay(d.value)))}}async setTunnelFactory(l){if(l){if(l.candidatePortSource!==void 0&&this._proxy.$setCandidatePortSource(l.candidatePortSource),l.showCandidatePort&&(this._showCandidatePort=l.showCandidatePort,this._proxy.$setCandidateFilter()),l.tunnelFactory){this._forwardPortProvider=l.tunnelFactory;let d=l.tunnelFeatures?.privacyOptions??[];l.tunnelFeatures?.public&&d.length===0&&(d=[{id:"private",label:D.localize(0,null),themeIcon:"lock"},{id:"public",label:D.localize(1,null),themeIcon:"eye"}]);const S=l.tunnelFeatures?{elevation:!!l.tunnelFeatures?.elevation,public:!!l.tunnelFeatures?.public,privacyOptions:d}:void 0;this._proxy.$setTunnelProvider(S)}}else this._forwardPortProvider=void 0;return(0,T.toDisposable)(()=>{this._forwardPortProvider=void 0})}async $closeTunnel(l,d){if(this._extensionTunnels.has(l.host)){const S=this._extensionTunnels.get(l.host);S.has(l.port)&&(d&&S.get(l.port).disposeListener.dispose(),await S.get(l.port).tunnel.dispose(),S.delete(l.port))}}async $onDidTunnelsChange(){this._onDidChangeTunnels.fire()}async $forwardPort(l,d){if(this._forwardPortProvider)try{this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Getting tunnel from provider.");const S=this._forwardPortProvider(l,d);if(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Got tunnel promise from provider."),S!==void 0){const L=await S;this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Successfully awaited tunnel from provider."),this._extensionTunnels.has(l.remoteAddress.host)||this._extensionTunnels.set(l.remoteAddress.host,new Map);const F=this._register(L.onDidDispose(()=>(this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Extension fired tunnel's onDidDispose."),this._proxy.$closeTunnel(L.remoteAddress))));return this._extensionTunnels.get(l.remoteAddress.host).set(l.remoteAddress.port,{tunnel:L,disposeListener:F}),P.TunnelDtoConverter.fromApiTunnel(L)}else this.logService.trace("ForwardedPorts: (ExtHostTunnelService) Tunnel is undefined")}catch{this.logService.trace("ForwardedPorts: (ExtHostTunnelService) tunnel provider error")}}async $applyCandidateFilter(l){const d=await Promise.all(l.map(L=>this._showCandidatePort(L.host,L.port,L.detail??""))),S=l.filter((L,F)=>d[F]);return this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) filtered from ${l.map(L=>L.port).join(", ")} to ${S.map(L=>L.port).join(", ")}`),S}async findCandidatePorts(){let l="",d="";try{l=await R.Promises.readFile("/proc/net/tcp","utf8"),d=await R.Promises.readFile("/proc/net/tcp6","utf8")}catch{}const S=c(l,d),L=await new Promise(M=>{(0,E.exec)("ls -l /proc/[0-9]*/fd/[0-9]* | grep socket:",(U,q,x)=>{M(q)})}),F=p(L),N=await R.Promises.readdir("/proc"),A=[];for(const M of N)try{const U=Number(M),q=I.joinPath(C.URI.file("/proc"),M);if((await R.Promises.stat(q.fsPath)).isDirectory()&&!isNaN(U)){const V=await R.Promises.readlink(I.joinPath(q,"cwd").fsPath),ee=await R.Promises.readFile(I.joinPath(q,"cmdline").fsPath,"utf8");A.push({pid:U,cwd:V,cmd:ee})}}catch{}const $=[],B=S.filter(M=>{const U=F[M.socket];return U||$.push(M),U}),z=o(B,F,A);let X;if(this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) number of possible root ports ${$.length}`),$.length>0){const M=await new Promise(U=>{(0,E.exec)("ps -F -A -l | grep root",(q,x,V)=>{U(x)})});this._foundRootPorts=i($,M,this._foundRootPorts),X=Array.from(this._foundRootPorts.values()),this.logService.trace(`ForwardedPorts: (ExtHostTunnelService) heuristic ports ${X.join(", ")}`)}return z.then(M=>X?M.concat(X):M)}};n=st([He(0,t.IExtHostRpcService),He(1,y.IExtHostInitDataService),He(2,f.ILogService)],n),e.ExtHostTunnelService=n}),define(Ie[275],ke([1,0,18,23,21,12,3,6,108,235,53]),function(Q,e,u,t,D,T,y,C,E,I,R){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=e.parseJsonAndRestoreBufferRefs=e.stringifyJsonWithBufferRefs=void 0;function _(S,L){try{return JSON.stringify(S,L)}catch{return"null"}}const P="$$ref$$",w={[P]:-1};class b{constructor(L,F){this.jsonString=L,this.referencedBuffers=F}}function g(S,L=null,F=!1){const N=[];return{jsonString:(F?_:JSON.stringify)(S,($,B)=>{if(typeof B=="undefined")return w;if(typeof B=="object"){if(B instanceof t.VSBuffer){const z=N.push(B)-1;return{[P]:z}}if(L)return L($,B)}return B}),referencedBuffers:N}}e.stringifyJsonWithBufferRefs=g;function f(S,L,F){return JSON.parse(S,(N,A)=>{if(A){const $=A[P];if(typeof $=="number")return L[$];if(F&&A.$mid===1)return F.transformIncoming(A)}return A})}e.parseJsonAndRestoreBufferRefs=f;function v(S,L){return JSON.stringify(S,L)}function p(S){return S?(L,F)=>F&&F.$mid===1?S.transformOutgoing(F):F:null}var c;(function(S){S[S.LocalSide=0]="LocalSide",S[S.OtherSide=1]="OtherSide"})(c=e.RequestInitiator||(e.RequestInitiator={}));var m;(function(S){S[S.Responsive=0]="Responsive",S[S.Unresponsive=1]="Unresponsive"})(m=e.ResponsiveState||(e.ResponsiveState={}));const a=()=>{},h=Symbol.for("rpcProtocol"),r=Symbol.for("rpcProxy");class o extends C.Disposable{constructor(L,F=null,N=null){super();this[k]=!0,this._onDidChangeResponsiveState=this._register(new y.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=L,this._logger=F,this._uriTransformer=N,this._uriReplacer=p(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let A=0,$=R.ProxyIdentifier.count;A<$;A++)this._locals[A]=null,this._proxies[A]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new u.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(A=>this._receiveOneMessage(A))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(L=>{this._pendingRPCReplies[L].resolveErr(T.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(L){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+o.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(L){this._unresponsiveTime=Date.now()+o.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(L){this._responsiveState!==L&&(this._responsiveState=L,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(L){return this._uriTransformer?(0,E.transformIncomingURIs)(L,this._uriTransformer):L}getProxy(L){const{nid:F,sid:N}=L;return this._proxies[F]||(this._proxies[F]=this._createProxy(F,N)),this._proxies[F]}_createProxy(L,F){const N={get:(A,$)=>(typeof $=="string"&&!A[$]&&$.charCodeAt(0)===36&&(A[$]=(...B)=>this._remoteCall(L,$,B)),$===r?F:A[$])};return new Proxy(Object.create(null),N)}set(L,F){return this._locals[L.nid]=F,F}assertRegistered(L){for(let F=0,N=L.length;F<N;F++){const A=L[F];if(!this._locals[A.nid])throw new Error(`Missing proxy instance ${A.sid}`)}}_receiveOneMessage(L){if(this._isDisposed)return;const F=L.byteLength,N=i.read(L,0),A=N.readUInt8(),$=N.readUInt32();switch(A){case 1:case 2:{let{rpcId:B,method:z,args:X}=s.deserializeRequestJSONArgs(N);this._uriTransformer&&(X=(0,E.transformIncomingURIs)(X,this._uriTransformer)),this._receiveRequest(F,$,B,z,X,A===2);break}case 3:case 4:{let{rpcId:B,method:z,args:X}=s.deserializeRequestMixedArgs(N);this._uriTransformer&&(X=(0,E.transformIncomingURIs)(X,this._uriTransformer)),this._receiveRequest(F,$,B,z,X,A===4);break}case 5:{this._logger?.logIncoming(F,$,0,"ack"),this._onDidReceiveAcknowledge($);break}case 6:{this._receiveCancel(F,$);break}case 7:{this._receiveReply(F,$,void 0);break}case 9:{let B=s.deserializeReplyOKJSON(N);this._uriTransformer&&(B=(0,E.transformIncomingURIs)(B,this._uriTransformer)),this._receiveReply(F,$,B);break}case 10:{const B=s.deserializeReplyOKJSONWithBuffers(N,this._uriTransformer);this._receiveReply(F,$,B);break}case 8:{const B=s.deserializeReplyOKVSBuffer(N);this._receiveReply(F,$,B);break}case 11:{let B=s.deserializeReplyErrError(N);this._uriTransformer&&(B=(0,E.transformIncomingURIs)(B,this._uriTransformer)),this._receiveReplyErr(F,$,B);break}case 12:{this._receiveReplyErr(F,$,void 0);break}default:console.error("received unexpected message"),console.error(L)}}_receiveRequest(L,F,N,A,$,B){this._logger?.logIncoming(L,F,1,`receiveRequest ${(0,R.getStringIdentifierForProxy)(N)}.${A}(`,$);const z=String(F);let X,M;if(B){const q=new D.CancellationTokenSource;$.push(q.token),X=this._invokeHandler(N,A,$),M=()=>q.cancel()}else X=this._invokeHandler(N,A,$),M=a;this._cancelInvokedHandlers[z]=M;const U=s.serializeAcknowledged(F);this._logger?.logOutgoing(U.byteLength,F,1,"ack"),this._protocol.send(U),X.then(q=>{delete this._cancelInvokedHandlers[z];const x=s.serializeReplyOK(F,q,this._uriReplacer);this._logger?.logOutgoing(x.byteLength,F,1,"reply:",q),this._protocol.send(x)},q=>{delete this._cancelInvokedHandlers[z];const x=s.serializeReplyErr(F,q);this._logger?.logOutgoing(x.byteLength,F,1,"replyErr:",q),this._protocol.send(x)})}_receiveCancel(L,F){this._logger?.logIncoming(L,F,1,"receiveCancel");const N=String(F);this._cancelInvokedHandlers[N]?.()}_receiveReply(L,F,N){this._logger?.logIncoming(L,F,0,"receiveReply:",N);const A=String(F);if(!this._pendingRPCReplies.hasOwnProperty(A))return;const $=this._pendingRPCReplies[A];delete this._pendingRPCReplies[A],$.resolveOk(N)}_receiveReplyErr(L,F,N){this._logger?.logIncoming(L,F,0,"receiveReplyErr:",N);const A=String(F);if(!this._pendingRPCReplies.hasOwnProperty(A))return;const $=this._pendingRPCReplies[A];delete this._pendingRPCReplies[A];let B;N&&(N.$isError?(B=new Error,B.name=N.name,B.message=N.message,B.stack=N.stack):B=N),$.resolveErr(B)}_invokeHandler(L,F,N){try{return Promise.resolve(this._doInvokeHandler(L,F,N))}catch(A){return Promise.reject(A)}}_doInvokeHandler(L,F,N){const A=this._locals[L];if(!A)throw new Error("Unknown actor "+(0,R.getStringIdentifierForProxy)(L));const $=A[F];if(typeof $!="function")throw new Error("Unknown method "+F+" on actor "+(0,R.getStringIdentifierForProxy)(L));return $.apply(A,N)}_remoteCall(L,F,N){if(this._isDisposed)return new I.CanceledLazyPromise;let A=null;if(N.length>0&&D.CancellationToken.isCancellationToken(N[N.length-1])&&(A=N.pop()),A&&A.isCancellationRequested)return Promise.reject(T.canceled());const $=s.serializeRequestArguments(N,this._uriReplacer),B=++this._lastMessageId,z=String(B),X=new I.LazyPromise;A&&A.onCancellationRequested(()=>{const U=s.serializeCancel(B);this._logger?.logOutgoing(U.byteLength,B,0,"cancel"),this._protocol.send(s.serializeCancel(B))}),this._pendingRPCReplies[z]=X,this._onWillSendRequest(B);const M=s.serializeRequest(B,L,F,$,!!A);return this._logger?.logOutgoing(M.byteLength,B,0,`request: ${(0,R.getStringIdentifierForProxy)(L)}.${F}(`,N),this._protocol.send(M),X}}e.RPCProtocol=o,k=h,o.UNRESPONSIVE_TIME=3*1e3;class i{constructor(L,F){this._buff=L,this._offset=F}static alloc(L,F,N){const A=new i(t.VSBuffer.alloc(N+1+4),0);return A.writeUInt8(L),A.writeUInt32(F),A}static read(L,F){return new i(L,F)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(L){this._buff.writeUInt8(L,this._offset),this._offset+=1}readUInt8(){const L=this._buff.readUInt8(this._offset);return this._offset+=1,L}writeUInt32(L){this._buff.writeUInt32BE(L,this._offset),this._offset+=4}readUInt32(){const L=this._buff.readUInt32BE(this._offset);return this._offset+=4,L}static sizeShortString(L){return 1+L.byteLength}writeShortString(L){this._buff.writeUInt8(L.byteLength,this._offset),this._offset+=1,this._buff.set(L,this._offset),this._offset+=L.byteLength}readShortString(){const L=this._buff.readUInt8(this._offset);this._offset+=1;const N=this._buff.slice(this._offset,this._offset+L).toString();return this._offset+=L,N}static sizeLongString(L){return 4+L.byteLength}writeLongString(L){this._buff.writeUInt32BE(L.byteLength,this._offset),this._offset+=4,this._buff.set(L,this._offset),this._offset+=L.byteLength}readLongString(){const L=this._buff.readUInt32BE(this._offset);this._offset+=4;const N=this._buff.slice(this._offset,this._offset+L).toString();return this._offset+=L,N}writeBuffer(L){this._buff.writeUInt32BE(L.byteLength,this._offset),this._offset+=4,this._buff.set(L,this._offset),this._offset+=L.byteLength}static sizeVSBuffer(L){return 4+L.byteLength}writeVSBuffer(L){this._buff.writeUInt32BE(L.byteLength,this._offset),this._offset+=4,this._buff.set(L,this._offset),this._offset+=L.byteLength}readVSBuffer(){const L=this._buff.readUInt32BE(this._offset);this._offset+=4;const F=this._buff.slice(this._offset,this._offset+L);return this._offset+=L,F}static sizeMixedArray(L){let F=0;F+=1;for(let N=0,A=L.length;N<A;N++){const $=L[N];switch(F+=1,$.type){case 1:F+=this.sizeLongString($.value);break;case 2:F+=this.sizeVSBuffer($.value);break;case 3:F+=this.sizeUInt32,F+=this.sizeLongString($.value);for(let B=0;B<$.buffers.length;++B)F+=this.sizeVSBuffer($.buffers[B]);break;case 4:break}}return F}writeMixedArray(L){this._buff.writeUInt8(L.length,this._offset),this._offset+=1;for(let F=0,N=L.length;F<N;F++){const A=L[F];switch(A.type){case 1:this.writeUInt8(1),this.writeLongString(A.value);break;case 2:this.writeUInt8(2),this.writeVSBuffer(A.value);break;case 3:this.writeUInt8(3),this.writeUInt32(A.buffers.length),this.writeLongString(A.value);for(let $=0;$<A.buffers.length;++$)this.writeBuffer(A.buffers[$]);break;case 4:this.writeUInt8(4);break}}}readMixedArray(){const L=this._buff.readUInt8(this._offset);this._offset+=1;const F=new Array(L);for(let N=0;N<L;N++)switch(this.readUInt8()){case 1:F[N]=this.readLongString();break;case 2:F[N]=this.readVSBuffer();break;case 3:{const $=this.readUInt32(),B=this.readLongString(),z=[];for(let X=0;X<$;++X)z.push(this.readVSBuffer());F[N]=new R.SerializableObjectWithBuffers(f(B,z,null));break}case 4:F[N]=void 0;break}return F}}i.sizeUInt32=4;var n;(function(S){S[S.Simple=0]="Simple",S[S.Mixed=1]="Mixed"})(n||(n={}));class s{static _useMixedArgSerialization(L){for(let F=0,N=L.length;F<N;F++)if(L[F]instanceof t.VSBuffer||L[F]instanceof R.SerializableObjectWithBuffers||typeof L[F]=="undefined")return!0;return!1}static serializeRequestArguments(L,F){if(this._useMixedArgSerialization(L)){const N=[];for(let A=0,$=L.length;A<$;A++){const B=L[A];if(B instanceof t.VSBuffer)N[A]={type:2,value:B};else if(typeof B=="undefined")N[A]={type:4};else if(B instanceof R.SerializableObjectWithBuffers){const{jsonString:z,referencedBuffers:X}=g(B.value,F);N[A]={type:3,value:t.VSBuffer.fromString(z),buffers:X}}else N[A]={type:1,value:t.VSBuffer.fromString(v(B,F))}}return{type:1,args:N}}return{type:0,args:v(L,F)}}static serializeRequest(L,F,N,A,$){switch(A.type){case 0:return this._requestJSONArgs(L,F,N,A.args,$);case 1:return this._requestMixedArgs(L,F,N,A.args,$)}}static _requestJSONArgs(L,F,N,A,$){const B=t.VSBuffer.fromString(N),z=t.VSBuffer.fromString(A);let X=0;X+=i.sizeUInt8(),X+=i.sizeShortString(B),X+=i.sizeLongString(z);const M=i.alloc($?2:1,L,X);return M.writeUInt8(F),M.writeShortString(B),M.writeLongString(z),M.buffer}static deserializeRequestJSONArgs(L){const F=L.readUInt8(),N=L.readShortString(),A=L.readLongString();return{rpcId:F,method:N,args:JSON.parse(A)}}static _requestMixedArgs(L,F,N,A,$){const B=t.VSBuffer.fromString(N);let z=0;z+=i.sizeUInt8(),z+=i.sizeShortString(B),z+=i.sizeMixedArray(A);const X=i.alloc($?4:3,L,z);return X.writeUInt8(F),X.writeShortString(B),X.writeMixedArray(A),X.buffer}static deserializeRequestMixedArgs(L){const F=L.readUInt8(),N=L.readShortString(),A=L.readMixedArray(),$=new Array(A.length);for(let B=0,z=A.length;B<z;B++){const X=A[B];typeof X=="string"?$[B]=JSON.parse(X):$[B]=X}return{rpcId:F,method:N,args:$}}static serializeAcknowledged(L){return i.alloc(5,L,0).buffer}static serializeCancel(L){return i.alloc(6,L,0).buffer}static serializeReplyOK(L,F,N){if(typeof F=="undefined")return this._serializeReplyOKEmpty(L);if(F instanceof t.VSBuffer)return this._serializeReplyOKVSBuffer(L,F);if(F instanceof R.SerializableObjectWithBuffers){const{jsonString:A,referencedBuffers:$}=g(F.value,N,!0);return this._serializeReplyOKJSONWithBuffers(L,A,$)}else return this._serializeReplyOKJSON(L,_(F,N))}static _serializeReplyOKEmpty(L){return i.alloc(7,L,0).buffer}static _serializeReplyOKVSBuffer(L,F){let N=0;N+=i.sizeVSBuffer(F);const A=i.alloc(8,L,N);return A.writeVSBuffer(F),A.buffer}static deserializeReplyOKVSBuffer(L){return L.readVSBuffer()}static _serializeReplyOKJSON(L,F){const N=t.VSBuffer.fromString(F);let A=0;A+=i.sizeLongString(N);const $=i.alloc(9,L,A);return $.writeLongString(N),$.buffer}static _serializeReplyOKJSONWithBuffers(L,F,N){const A=t.VSBuffer.fromString(F);let $=0;$+=i.sizeUInt32,$+=i.sizeLongString(A);for(const z of N)$+=i.sizeVSBuffer(z);const B=i.alloc(10,L,$);B.writeUInt32(N.length),B.writeLongString(A);for(const z of N)B.writeBuffer(z);return B.buffer}static deserializeReplyOKJSON(L){const F=L.readLongString();return JSON.parse(F)}static deserializeReplyOKJSONWithBuffers(L,F){const N=L.readUInt32(),A=L.readLongString(),$=[];for(let B=0;B<N;++B)$.push(L.readVSBuffer());return new R.SerializableObjectWithBuffers(f(A,$,F))}static serializeReplyErr(L,F){const N=F?_(T.transformErrorForSerialization(F),null):void 0;if(typeof N!="string")return this._serializeReplyErrEmpty(L);const A=t.VSBuffer.fromString(N);let $=0;$+=i.sizeLongString(A);const B=i.alloc(11,L,$);return B.writeLongString(A),B.buffer}static deserializeReplyErrError(L){const F=L.readLongString();return JSON.parse(F)}static _serializeReplyErrEmpty(L){return i.alloc(12,L,0).buffer}}var l;(function(S){S[S.RequestJSONArgs=1]="RequestJSONArgs",S[S.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",S[S.RequestMixedArgs=3]="RequestMixedArgs",S[S.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",S[S.Acknowledged=5]="Acknowledged",S[S.Cancel=6]="Cancel",S[S.ReplyOKEmpty=7]="ReplyOKEmpty",S[S.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",S[S.ReplyOKJSON=9]="ReplyOKJSON",S[S.ReplyOKJSONWithBuffers=10]="ReplyOKJSONWithBuffers",S[S.ReplyErrError=11]="ReplyErrError",S[S.ReplyErrEmpty=12]="ReplyErrEmpty"})(l||(l={}));var d;(function(S){S[S.String=1]="String",S[S.VSBuffer=2]="VSBuffer",S[S.SerializedObjectWithBuffers=3]="SerializedObjectWithBuffers",S[S.Undefined=4]="Undefined"})(d||(d={}))}),define(Ie[276],ke([1,0,3,44,51,4,43,12,18]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerLogChannel=e.Extensions=e.OutputChannelUpdateMode=e.IOutputService=e.CONTEXT_OUTPUT_SCROLL_LOCK=e.CONTEXT_ACTIVE_LOG_OUTPUT=e.CONTEXT_IN_OUTPUT=e.MAX_OUTPUT_LENGTH=e.OUTPUT_SERVICE_ID=e.OUTPUT_VIEW_ID=e.LOG_MODE_ID=e.LOG_SCHEME=e.LOG_MIME=e.OUTPUT_MODE_ID=e.OUTPUT_SCHEME=e.OUTPUT_MIME=void 0,e.OUTPUT_MIME="text/x-code-output",e.OUTPUT_SCHEME="output",e.OUTPUT_MODE_ID="Log",e.LOG_MIME="text/x-code-log-output",e.LOG_SCHEME="log",e.LOG_MODE_ID="log",e.OUTPUT_VIEW_ID="workbench.panel.output",e.OUTPUT_SERVICE_ID="outputService",e.MAX_OUTPUT_LENGTH=1e4*100,e.CONTEXT_IN_OUTPUT=new D.RawContextKey("inOutput",!1),e.CONTEXT_ACTIVE_LOG_OUTPUT=new D.RawContextKey("activeLogOutput",!1),e.CONTEXT_OUTPUT_SCROLL_LOCK=new D.RawContextKey("outputView.scrollLock",!1),e.IOutputService=(0,T.createDecorator)(e.OUTPUT_SERVICE_ID);var I;(function(P){P[P.Append=1]="Append",P[P.Replace=2]="Replace",P[P.Clear=3]="Clear"})(I=e.OutputChannelUpdateMode||(e.OutputChannelUpdateMode={})),e.Extensions={OutputChannels:"workbench.contributions.outputChannels"};class R{constructor(){this.channels=new Map,this._onDidRegisterChannel=new u.Emitter,this.onDidRegisterChannel=this._onDidRegisterChannel.event,this._onDidRemoveChannel=new u.Emitter,this.onDidRemoveChannel=this._onDidRemoveChannel.event}registerChannel(w){this.channels.has(w.id)||(this.channels.set(w.id,w),this._onDidRegisterChannel.fire(w.id))}getChannels(){const w=[];return this.channels.forEach(b=>w.push(b)),w}getChannel(w){return this.channels.get(w)}removeChannel(w){this.channels.delete(w),this._onDidRemoveChannel.fire(w)}}t.Registry.add(e.Extensions.OutputChannels,new R);function k(P,w,b,g,f){return(0,E.createCancelablePromise)(async v=>{await(0,y.whenProviderRegistered)(b,g);const p=t.Registry.as(e.Extensions.OutputChannels);try{await _(b,1,g,f,v),p.registerChannel({id:P,label:w,file:b,log:!0})}catch(c){(0,C.isCancellationError)(c)||f.error("Error while registering log channel",b.toString(),(0,C.getErrorMessage)(c))}})}e.registerLogChannel=k;async function _(P,w,b,g,f){if(!await b.exists(P)){if(f.isCancellationRequested)throw new C.CancellationError;if(w>10)throw new Error("Timed out while waiting for file to be created");g.debug("[Registering Log Channel] File does not exist. Waiting for 1s to retry.",P.toString()),await(0,E.timeout)(1e3,f),await _(P,w+1,b,g,f)}}}),define(Ie[138],ke([1,0,5,6,4,17,14,276,68,26,46,152,23,10]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.ExtHostOutputChannel=void 0;class w extends t.Disposable{constructor(f,v,p,c){super();this.id=f,this.name=v,this.logger=p,this.proxy=c,this.offset=0,this.visible=!1,this._disposed=!1}get disposed(){return this._disposed}appendLine(f){this.append(f+`
`)}append(f){this.write(f),this.visible&&(this.logger.flush(),this.proxy.$update(this.id,C.OutputChannelUpdateMode.Append))}clear(){const f=this.offset;this.logger.flush(),this.proxy.$update(this.id,C.OutputChannelUpdateMode.Clear,f)}replace(f){const v=this.offset;this.write(f),this.proxy.$update(this.id,C.OutputChannelUpdateMode.Replace,v),this.visible&&this.logger.flush()}show(f,v){this.logger.flush(),this.proxy.$reveal(this.id,!!(typeof f=="boolean"?f:v))}hide(){this.proxy.$close(this.id)}write(f){this.offset+=_.VSBuffer.fromString(f).byteLength,this.logger.info(f)}dispose(){super.dispose(),this._disposed||(this.proxy.$dispose(this.id),this._disposed=!0)}}e.ExtHostOutputChannel=w;let b=class{constructor(f,v,p,c,m){this.extHostFileSystem=p,this.extHostFileSystemInfo=c,this.loggerService=m,this.namePool=1,this.channels=new Map,this.visibleChannelId=null,this.proxy=f.getProxy(u.MainContext.MainThreadOutputService),this.outputsLocation=this.extHostFileSystemInfo.extUri.joinPath(v.logsLocation,`output_logging_${(0,k.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"")}`)}$setVisibleChannel(f){this.visibleChannelId=f;for(const[v,p]of this.channels)p.visible=v===this.visibleChannelId}createOutputChannel(f,v,p){if(f=f.trim(),!f)throw new Error("illegal argument `name`. must not be falsy");if((0,P.isString)(v)&&!v.trim())throw new Error("illegal argument `languageId`. must not be empty");const c=this.doCreateOutputChannel(f,v,p);return c.then(m=>{this.channels.set(m.id,m),m.visible=m.id===this.visibleChannelId}),this.createExtHostOutputChannel(f,c)}async doCreateOutputChannel(f,v,p){const c=await this.createOutputDirectory(),m=this.extHostFileSystemInfo.extUri.joinPath(c,`${this.namePool++}-${f.replace(/[\\/:\*\?"<>\|]/g,"")}.log`),a=this.loggerService.createLogger(m,{always:!0,donotRotate:!0,donotUseFormatters:!0}),h=await this.proxy.$register(f,!1,m,v,p.identifier.value);return new w(h,f,a,this.proxy)}createOutputDirectory(){return this.outputDirectoryPromise||(this.outputDirectoryPromise=this.extHostFileSystem.value.createDirectory(this.outputsLocation).then(()=>this.outputsLocation)),this.outputDirectoryPromise}createExtHostOutputChannel(f,v){let p=!1;const c=()=>{if(p)throw new Error("Channel has been closed")};return{get name(){return f},append(m){c(),v.then(a=>a.append(m))},appendLine(m){c(),v.then(a=>a.appendLine(m))},clear(){c(),v.then(m=>m.clear())},replace(m){c(),v.then(a=>a.replace(m))},show(m,a){c(),v.then(h=>h.show(m,a))},hide(){c(),v.then(m=>m.hide())},dispose(){p=!0,v.then(m=>m.dispose())}}}};b=st([He(0,T.IExtHostRpcService),He(1,I.IExtHostInitDataService),He(2,E.IExtHostConsumerFileSystem),He(3,R.IExtHostFileSystemInfo),He(4,y.ILoggerService)],b),e.ExtHostOutputService=b,e.IExtHostOutputService=(0,D.createDecorator)("IExtHostOutputService")}),define(Ie[277],ke([1,0,4]),function(Q,e,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=(0,u.createDecorator)("remoteAgentService")}),define(Ie[278],ke([1,0,30,11,9,13,22,2,4,204,45,226,277]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=(0,E.createDecorator)("pathService");let P=class Vn{constructor(b,g,f,v){this.localUserHome=b,this.remoteAgentService=g,this.environmentService=f,this.contextService=v,this.resolveOS=(async()=>(await this.remoteAgentService.getEnvironment())?.os||T.OS)(),this.resolveUserHome=(async()=>{const p=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=p?.userHome??b})()}hasValidBasename(b,g,f){return typeof g=="string"||typeof g=="undefined"?this.resolveOS.then(v=>this.doHasValidBasename(b,v,g)):this.doHasValidBasename(b,g,f)}doHasValidBasename(b,g,f){return b.scheme===t.Schemas.file||b.scheme===t.Schemas.vscodeRemote?(0,u.isValidBasename)(f??(0,y.basename)(b),g===1):!0}get defaultUriScheme(){return Vn.findDefaultUriScheme(this.environmentService,this.contextService)}static findDefaultUriScheme(b,g){if(b.remoteAuthority)return t.Schemas.vscodeRemote;const f=(0,I.getVirtualWorkspaceScheme)(g.getWorkspace());if(f)return f;const v=g.getWorkspace().folders[0];if(v)return v.uri.scheme;const p=g.getWorkspace().configuration;return p?p.scheme:t.Schemas.file}userHome(b){return b?.preferLocal?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(b=>b===1?D.win32:D.posix)}async fileURI(b){let g="";if(await this.resolveOS===1&&(b=b.replace(/\\/g,"/")),b[0]==="/"&&b[1]==="/"){const v=b.indexOf("/",2);v===-1?(g=b.substring(2),b="/"):(g=b.substring(2,v),b=b.substring(v)||"/")}return C.URI.from({scheme:t.Schemas.file,authority:g,path:b,query:"",fragment:""})}};P=st([He(1,_.IRemoteAgentService),He(2,k.IWorkbenchEnvironmentService),He(3,R.IWorkspaceContextService)],P),e.AbstractPathService=P}),define(Ie[71],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.Range=e.Position=void 0;class u{constructor(y,C){this.line=y,this.character=C}isBefore(y){return!1}isBeforeOrEqual(y){return!1}isAfter(y){return!1}isAfterOrEqual(y){return!1}isEqual(y){return!1}compareTo(y){return 0}translate(y,C){return new u(0,0)}with(y){return new u(0,0)}}e.Position=u;class t{constructor(y,C,E,I){this.isEmpty=!1,this.isSingleLine=!1,this.start=new u(y,C),this.end=new u(E,I)}contains(y){return!1}isEqual(y){return!1}intersection(y){}union(y){return new t(0,0,0,0)}with(y){return new t(0,0,0,0)}}e.Range=t;var D;(function(T){T[T.Information=1]="Information",T[T.Warning=2]="Warning"})(D=e.TextSearchCompleteMessageType||(e.TextSearchCompleteMessageType={}))}),define(Ie[31],ke([1,0,16,36,24,30,8,4,9,12,71,18]),function(Q,e,u,t,D,T,y,C,E,I,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasSiblingFn=e.hasSiblingPromiseFn=e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=e.TextSearchCompleteMessageType=void 0,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return R.TextSearchCompleteMessageType}}),e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const _="\u27EA ",P=" characters skipped \u27EB",w=(_.length+P.length+5)*2;e.ISearchService=(0,C.createDecorator)("searchService");var b;(function(V){V[V.file=0]="file",V[V.text=1]="text"})(b=e.SearchProviderType||(e.SearchProviderType={}));var g;(function(V){V[V.File=1]="File",V[V.Text=2]="Text"})(g=e.QueryType||(e.QueryType={}));function f(V){return!!V.preview}e.resultIsMatch=f;function v(V){return!!V.resource}e.isFileMatch=v;function p(V){return!!V.message}e.isProgressMessage=p;var c;(function(V){V[V.Normal=0]="Normal",V[V.NewSearchStarted=1]="NewSearchStarted"})(c=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class m{constructor(ee){this.resource=ee,this.results=[]}}e.FileMatch=m;class a{constructor(ee,Y,le){this.ranges=Y;const ve=Array.isArray(Y)?Y:[Y];if(le&&le.matchLines===1&&h(ve)){ee=(0,y.getNLines)(ee,le.matchLines);let J="",ge=0,_e=0;const Te=Math.floor(le.charsPerLine/5),me=[];for(const Pe of ve){const ue=Math.max(Pe.startColumn-Te,0),pe=Pe.startColumn+le.charsPerLine;if(ue>_e+Te+w){const be=_+(ue-_e)+P;J+=be+ee.slice(ue,pe),ge+=ue-(_e+be.length)}else J+=ee.slice(_e,pe);me.push(new o(0,Pe.startColumn-ge,Pe.endColumn-ge)),_e=pe}this.preview={text:J,matches:Array.isArray(this.ranges)?me:me[0]}}else{const J=Array.isArray(Y)?Y[0].startLineNumber:Y.startLineNumber;this.preview={text:ee,matches:(0,u.mapArrayOrNot)(Y,ge=>new r(ge.startLineNumber-J,ge.startColumn,ge.endLineNumber-J,ge.endColumn))}}}}e.TextSearchMatch=a;function h(V){const ee=V[0].startLineNumber;for(const Y of V)if(Y.startLineNumber!==ee||Y.endLineNumber!==ee)return!1;return!0}class r{constructor(ee,Y,le,ve){this.startLineNumber=ee,this.startColumn=Y,this.endLineNumber=le,this.endColumn=ve}}e.SearchRange=r;class o extends r{constructor(ee,Y,le){super(ee,Y,ee,le)}}e.OneLineRange=o;var i;(function(V){V.Default="default",V.FileNames="fileNames",V.Type="type",V.Modified="modified",V.CountDescending="countDescending",V.CountAscending="countAscending"})(i=e.SearchSortOrder||(e.SearchSortOrder={}));function n(V,ee=!0){const Y=V&&V.files&&V.files.exclude,le=ee&&V&&V.search&&V.search.exclude;if(!Y&&!le)return;if(!Y||!le)return Y||le;let ve=Object.create(null);return ve=D.mixin(ve,D.deepClone(Y)),ve=D.mixin(ve,D.deepClone(le),!0),ve}e.getExcludes=n;function s(V,ee){return V.excludePattern&&t.match(V.excludePattern,ee)?!1:V.includePattern||V.usingSearchPaths?V.includePattern&&t.match(V.includePattern,ee)?!0:V.usingSearchPaths?!!V.folderQueries&&V.folderQueries.some(Y=>{const le=Y.folder.fsPath;if(T.isEqualOrParent(ee,le)){const ve=E.relative(le,ee);return!Y.includePattern||!!t.match(Y.includePattern,ve)}else return!1}):!1:!0}e.pathIncludedInQuery=s;var l;(function(V){V[V.unknownEncoding=1]="unknownEncoding",V[V.regexParseError=2]="regexParseError",V[V.globParseError=3]="globParseError",V[V.invalidLiteral=4]="invalidLiteral",V[V.rgProcessError=5]="rgProcessError",V[V.other=6]="other",V[V.canceled=7]="canceled"})(l=e.SearchErrorCode||(e.SearchErrorCode={}));class d extends Error{constructor(ee,Y){super(ee);this.code=Y}}e.SearchError=d;function S(V){const ee=V.message;if((0,I.isCancellationError)(V))return new d(ee,l.canceled);try{const Y=JSON.parse(ee);return new d(Y.message,Y.code)}catch{return new d(ee,l.other)}}e.deserializeSearchError=S;function L(V){const ee={message:V.message,code:V.code};return new Error(JSON.stringify(ee))}e.serializeSearchError=L;function F(V){return V.type==="error"?!0:V.type==="success"}e.isSerializedSearchComplete=F;function N(V){return V.type==="success"}e.isSerializedSearchSuccess=N;function A(V){return!!V.path}e.isSerializedFileMatch=A;function $(V,ee){const Y=V.searchPath?V.searchPath:V.relativePath;return(0,y.fuzzyContains)(Y,ee)}e.isFilePatternMatch=$;class B{constructor(ee){this.path=ee,this.results=[]}addMatch(ee){this.results.push(ee)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=B;function z(V,ee){const Y={...V||{},...ee||{}};return Object.keys(Y).filter(le=>{const ve=Y[le];return typeof ve=="boolean"&&ve})}e.resolvePatternsForProvider=z;class X{constructor(ee,Y){this._parsedIncludeExpression=null,this._excludeExpression={...ee.excludePattern||{},...Y.excludePattern||{}},this._parsedExcludeExpression=t.parse(this._excludeExpression);let le=ee.includePattern;Y.includePattern&&(le?le={...le,...Y.includePattern}:le=Y.includePattern),le&&(this._parsedIncludeExpression=t.parse(le))}matchesExcludesSync(ee,Y,le){return!!(this._parsedExcludeExpression&&this._parsedExcludeExpression(ee,Y,le))}includedInQuerySync(ee,Y,le){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(ee,Y,le)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(ee,Y,le))}includedInQuery(ee,Y,le){const ve=this._parsedExcludeExpression(ee,Y,le),J=()=>this._parsedIncludeExpression?!!this._parsedIncludeExpression(ee,Y,le):!0;return(0,k.isThenable)(ve)?ve.then(ge=>ge?!1:J()):J()}hasSiblingExcludeClauses(){return M(this._excludeExpression)}}e.QueryGlobTester=X;function M(V){for(const ee in V)if(typeof V[ee]!="boolean")return!0;return!1}function U(V){if(!V)return;let ee;return Y=>(ee||(ee=(V()||Promise.resolve([])).then(le=>le?x(le):{})),ee.then(le=>!!le[Y]))}e.hasSiblingPromiseFn=U;function q(V){if(!V)return;let ee;return Y=>{if(!ee){const le=V();ee=le?x(le):{}}return!!ee[Y]}}e.hasSiblingFn=q;function x(V){const ee={};for(const Y of V)ee[Y]=!0;return ee}}),define(Ie[32],ke([1,0,16,18,21,3,25,11,94,22,8,10,2,176,4,14,196,45,46,26,17,15,7,31,5]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v,p,c,m,a,h,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function o(F,N,A){return new I.ExtUri($=>l($,A)).isEqual(F,N)}function i(F,N,A){return o(F.uri,N.uri,A)?0:(0,R.compare)(F.uri.toString(),N.uri.toString())}function n(F,N,A){return F.index!==N.index?F.index<N.index?-1:1:o(F.uri,N.uri,A)?(0,R.compare)(F.name,N.name):(0,R.compare)(F.uri.toString(),N.uri.toString())}function s(F,N,A,$){const B=F.slice(0).sort((X,M)=>A(X,M,$)),z=N.slice(0).sort((X,M)=>A(X,M,$));return(0,u.delta)(B,z,(X,M)=>A(X,M,$))}function l(F,N){const A=N.getCapabilities(F.scheme);return!(A&&A&1024)}class d extends f.Workspace{constructor(N,A,$,B,z,X,M){super(N,$.map(U=>new f.WorkspaceFolder(U)),B,z,M);this._name=A,this._isUntitled=X,this._workspaceFolders=[],this._structure=y.TernarySearchTree.forUris(M),$.forEach(U=>{this._workspaceFolders.push(U),this._structure.set(U.uri,U)})}static toExtHostWorkspace(N,A,$,B){if(!N)return{workspace:null,added:[],removed:[]};const{id:z,name:X,folders:M,configuration:U,transient:q,isUntitled:x}=N,V=[],ee=A;A?M.forEach((J,ge)=>{const _e=_.URI.revive(J.uri),Te=d._findFolder($||A,_e,B);Te?(Te.name=J.name,Te.index=J.index,V.push(Te)):V.push({uri:_e,name:J.name,index:ge})}):V.push(...M.map(({uri:J,name:ge,index:_e})=>({uri:_.URI.revive(J),name:ge,index:_e}))),V.sort((J,ge)=>J.index<ge.index?-1:1);const Y=new d(z,X,V,!!q,U?_.URI.revive(U):null,!!x,J=>l(J,B)),{added:le,removed:ve}=s(ee?ee.workspaceFolders:[],Y.workspaceFolders,i,B);return{workspace:Y,added:le,removed:ve}}static _findFolder(N,A,$){for(let B=0;B<N.folders.length;B++){const z=N.workspaceFolders[B];if(o(z.uri,A,$))return z}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(N,A){return A&&this._structure.get(N)&&(N=(0,I.dirname)(N)),this._structure.findSubstr(N)}resolveWorkspaceFolder(N){return this._structure.get(N)}}let S=class{constructor(N,A,$,B){this._onDidChangeWorkspace=new T.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidGrantWorkspaceTrust=new T.Emitter,this.onDidGrantWorkspaceTrust=this._onDidGrantWorkspaceTrust.event,this._activeSearchCallbacks=[],this._trusted=!1,this._logService=B,this._extHostFileSystemInfo=$,this._requestIdProvider=new E.Counter,this._barrier=new t.Barrier,this._proxy=N.getProxy(r.MainContext.MainThreadWorkspace),this._messageService=N.getProxy(r.MainContext.MainThreadMessageService);const z=A.workspace;this._confirmedWorkspace=z?new d(z.id,z.name,[],!!z.transient,z.configuration?_.URI.revive(z.configuration):null,!!z.isUntitled,X=>l(X,$)):void 0}$initializeWorkspace(N,A){this._trusted=A,this.$acceptWorkspaceData(N),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?_.URI.from({scheme:C.Schemas.untitled,path:(0,I.basename)((0,I.dirname)(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(N,A,$,...B){const z=[];if(Array.isArray(B)&&B.forEach(x=>{_.URI.isUri(x.uri)&&!z.some(V=>o(V.uri,x.uri,this._extHostFileSystemInfo))&&z.push({uri:x.uri,name:x.name||(0,I.basenameOrAuthority)(x.uri)})}),this._unconfirmedWorkspace||[A,$].some(x=>typeof x!="number"||x<0)||$===0&&z.length===0)return!1;const X=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(A+$>X.length)return!1;const M=X.slice(0);M.splice(A,$,...z.map(x=>({uri:x.uri,name:x.name||(0,I.basenameOrAuthority)(x.uri),index:void 0})));for(let x=0;x<M.length;x++){const V=M[x];if(M.some((ee,Y)=>Y!==x&&o(V.uri,ee.uri,this._extHostFileSystemInfo)))return!1}M.forEach((x,V)=>x.index=V);const{added:U,removed:q}=s(X,M,n,this._extHostFileSystemInfo);if(U.length===0&&q.length===0)return!1;if(this._proxy){const x=N.displayName||N.name;this._proxy.$updateWorkspaceFolders(x,A,$,z).then(void 0,V=>{this._unconfirmedWorkspace=void 0;const ee={source:{identifier:N.identifier,label:N.displayName||N.name}};this._messageService.$showMessage(g.Severity.Error,(0,P.localize)(0,null,x,V.toString()),ee,[])})}return this.trySetWorkspaceFolders(M),!0}getWorkspaceFolder(N,A){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(N,A)}async getWorkspaceFolder2(N,A){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(N,A)}async resolveWorkspaceFolder(N){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(N)}getPath(){if(!this._actualWorkspace)return;const{folders:N}=this._actualWorkspace;if(N.length!==0)return N[0].uri.fsPath}getRelativePath(N,A){let $,B="";if(typeof N=="string"?($=_.URI.file(N),B=N):typeof N!="undefined"&&($=N,B=N.fsPath),!$)return B;const z=this.getWorkspaceFolder($,!0);if(!z)return B;typeof A=="undefined"&&this._actualWorkspace&&(A=this._actualWorkspace.folders.length>1);let X=(0,I.relativePath)(z.uri,$);return A&&z.name&&(X=`${z.name}/${X}`),X}trySetWorkspaceFolders(N){this._actualWorkspace&&(this._unconfirmedWorkspace=d.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:N,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(N){const{workspace:A,added:$,removed:B}=d.toExtHostWorkspace(N,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=A||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:$,removed:B}))}findFiles(N,A,$,B,z=D.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${B.value}, entryPoint: findFiles`);let X;if(A===null?X=!1:A&&(typeof A=="string"?X=A:X=A.pattern),z&&z.isCancellationRequested)return Promise.resolve([]);const{includePattern:M,folder:U}=L(m.GlobPattern.from(N));return this._proxy.$startFileSearch((0,k.withUndefinedAsNull)(M),(0,k.withUndefinedAsNull)(U),(0,k.withUndefinedAsNull)(X),(0,k.withUndefinedAsNull)($),z).then(q=>Array.isArray(q)?q.map(x=>_.URI.revive(x)):[])}async findTextInFiles(N,A,$,B,z=D.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${B.value}, entryPoint: findTextInFiles`);const X=this._requestIdProvider.getNext(),M=typeof A.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:A.previewOptions,{includePattern:U,folder:q}=L(m.GlobPattern.from(A.include)),x=typeof A.exclude=="string"?A.exclude:A.exclude?A.exclude.pattern:void 0,V={ignoreSymlinks:typeof A.followSymlinks=="boolean"?!A.followSymlinks:void 0,disregardIgnoreFiles:typeof A.useIgnoreFiles=="boolean"?!A.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof A.useGlobalIgnoreFiles=="boolean"?!A.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof A.useParentIgnoreFiles=="boolean"?!A.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof A.useDefaultExcludes=="boolean"?!A.useDefaultExcludes:!0,fileEncoding:A.encoding,maxResults:A.maxResults,previewOptions:M,afterContext:A.afterContext,beforeContext:A.beforeContext,includePattern:U,excludePattern:x},ee=!1;if(this._activeSearchCallbacks[X]=Y=>{if(ee)return;const le=_.URI.revive(Y.resource);Y.results.forEach(ve=>{(0,h.resultIsMatch)(ve)?$({uri:le,preview:{text:ve.preview.text,matches:(0,u.mapArrayOrNot)(ve.preview.matches,J=>new a.Range(J.startLineNumber,J.startColumn,J.endLineNumber,J.endColumn))},ranges:(0,u.mapArrayOrNot)(ve.ranges,J=>new a.Range(J.startLineNumber,J.startColumn,J.endLineNumber,J.endColumn))}):$({uri:le,text:ve.text,lineNumber:ve.lineNumber})})},z.isCancellationRequested)return{};try{const Y=await this._proxy.$startTextSearch(N,(0,k.withUndefinedAsNull)(q),V,X,z);return delete this._activeSearchCallbacks[X],Y||{}}catch(Y){throw delete this._activeSearchCallbacks[X],Y}}$handleTextSearchResult(N,A){this._activeSearchCallbacks[A]?.(N)}saveAll(N){return this._proxy.$saveAll(N)}resolveProxy(N){return this._proxy.$resolveProxy(N)}get trusted(){return this._trusted}requestWorkspaceTrust(N){return this._proxy.$requestWorkspaceTrust(N)}$onDidGrantWorkspaceTrust(){this._trusted||(this._trusted=!0,this._onDidGrantWorkspaceTrust.fire())}};S=st([He(0,c.IExtHostRpcService),He(1,p.IExtHostInitDataService),He(2,v.IExtHostFileSystemInfo),He(3,b.ILogService)],S),e.ExtHostWorkspace=S,e.IExtHostWorkspace=(0,w.createDecorator)("IExtHostWorkspace");function L(F){let N,A;return F&&(typeof F=="string"?N=F:(N=F.pattern,A=_.URI.revive(F.baseUri))),{includePattern:N,folder:A}}}),define(Ie[33],ke([1,0,24,3,32,5,7,199,121,10,18,4,17,14,2]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function b(h,r){if(r){const o=r.split(".");let i=h;for(let n=0;i&&n<o.length;n++)i=i[o[n]];return i}}function g(h){return h instanceof w.URI}function f(h){return h&&h.uri instanceof w.URI&&h.languageId&&typeof h.languageId=="string"}function v(h){return h&&!h.uri&&h.languageId&&typeof h.languageId=="string"}function p(h){return h&&h.uri instanceof w.URI&&(!h.name||typeof h.name=="string")&&(!h.index||typeof h.index=="number")}function c(h){if(g(h))return{resource:h};if(f(h))return{resource:h.uri,overrideIdentifier:h.languageId};if(v(h))return{overrideIdentifier:h.languageId};if(p(h))return{resource:h.uri};if(h===null)return{resource:null}}let m=class{constructor(r,o,i){this._proxy=r.getProxy(T.MainContext.MainThreadConfiguration),this._extHostWorkspace=o,this._logService=i,this._barrier=new R.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(r=>this._actual)}$initializeConfiguration(r){this._actual=new a(this._proxy,this._extHostWorkspace,r,this._logService),this._barrier.open()}$acceptConfigurationChanged(r,o){this.getConfigProvider().then(i=>i.$acceptConfigurationChanged(r,o))}};m=st([He(0,_.IExtHostRpcService),He(1,D.IExtHostWorkspace),He(2,P.ILogService)],m),e.ExtHostConfiguration=m;class a{constructor(r,o,i,n){this._onDidChangeConfiguration=new t.Emitter,this._proxy=r,this._logService=n,this._extHostWorkspace=o,this._configuration=C.Configuration.parse(i),this._configurationScopes=this._toMap(i.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(r,o){const i={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=C.Configuration.parse(r),this._configurationScopes=this._toMap(r.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(o,i))}getConfiguration(r,o,i){const n=c(o)||{},s=this._toReadonlyValue(r?b(this._configuration.getValue(void 0,n,this._extHostWorkspace.workspace),r):this._configuration.getValue(void 0,n,this._extHostWorkspace.workspace));r&&this._validateConfigurationAccess(r,n,i?.identifier);function l(S){if(S==null)return null;if(typeof S=="boolean")return S?1:4;switch(S){case y.ConfigurationTarget.Global:return 1;case y.ConfigurationTarget.Workspace:return 4;case y.ConfigurationTarget.WorkspaceFolder:return 5}}const d={has(S){return typeof b(s,S)!="undefined"},get:(S,L)=>{this._validateConfigurationAccess(r?`${r}.${S}`:S,n,i?.identifier);let F=b(s,S);if(typeof F=="undefined")F=L;else{let N;const A=($,B)=>{let z;const X=()=>{N=N||(0,u.deepClone)(s),z=z||b(N,B)};return(0,I.isObject)($)?new Proxy($,{get:(M,U)=>{if(typeof U=="string"&&U.toLowerCase()==="tojson")return X(),()=>z;if(N)return z=z||b(N,B),z[U];const q=M[U];return typeof U=="string"?A(q,`${B}.${U}`):q},set:(M,U,q)=>(X(),z&&(z[U]=q),!0),deleteProperty:(M,U)=>(X(),z&&delete z[U],!0),defineProperty:(M,U,q)=>(X(),z&&Object.defineProperty(z,U,q),!0)}):$};F=A(F,S)}return F},update:(S,L,F,N)=>{S=r?`${r}.${S}`:S;const A=l(F);return L!==void 0?this._proxy.$updateConfigurationOption(A,S,L,n,N):this._proxy.$removeConfigurationOption(A,S,n,N)},inspect:S=>{S=r?`${r}.${S}`:S;const L=(0,u.deepClone)(this._configuration.inspect(S,n,this._extHostWorkspace.workspace));if(L)return{key:S,defaultValue:L.policy?.value??L.default?.value,globalValue:L.user?.value??L.application?.value,workspaceValue:L.workspace?.value,workspaceFolderValue:L.workspaceFolder?.value,defaultLanguageValue:L.default?.override,globalLanguageValue:L.user?.override??L.application?.override,workspaceLanguageValue:L.workspace?.override,workspaceFolderLanguageValue:L.workspaceFolder?.override,languageIds:L.overrideIdentifiers}}};return typeof s=="object"&&(0,u.mixin)(d,s,!1),Object.freeze(d)}_toReadonlyValue(r){const o=i=>(0,I.isObject)(i)?new Proxy(i,{get:(n,s)=>o(n[s]),set:(n,s,l)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(s)}' of object`)},deleteProperty:(n,s)=>{throw new Error(`TypeError: Cannot delete read only property '${String(s)}' of object`)},defineProperty:(n,s)=>{throw new Error(`TypeError: Cannot define property '${String(s)}' for a readonly object`)},setPrototypeOf:n=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):i;return o(r)}_validateConfigurationAccess(r,o,i){const n=E.OVERRIDE_PROPERTY_REGEX.test(r)?4:this._configurationScopes.get(r),s=i?`[${i.value}] `:"";if(n===4){typeof o?.resource=="undefined"&&this._logService.warn(`${s}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${r}', provide the URI of a resource or 'null' for any resource.`);return}if(n===3){o?.resource&&this._logService.warn(`${s}Accessing a window scoped configuration for a resource is not expected. To associate '${r}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(r,o){const i=new C.ConfigurationChangeEvent(r,o,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(n,s)=>i.affectsConfiguration(n,c(s))})}_toMap(r){return r.reduce((o,i)=>(o.set(i[0],i[1]),o),new Map)}}e.ExtHostConfigProvider=a,e.IExtHostConfiguration=(0,k.createDecorator)("IExtHostConfiguration")});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[72],ke([1,0,2,18,3,5,7,32,54,33,21,38,17,26,4,11,13,14,67,234,12]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v,p,c){"use strict";var m;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskGroupDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var a;(function(B){function z(M){if(M!=null)return M}B.from=z;function X(M){if(M!=null)return M}B.to=X})(a=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var h;(function(B){function z(M){if(M!=null)return M}B.from=z;function X(M){if(M!=null)return M}B.to=X})(h=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var r;(function(B){function z(M){if(M!=null)return M}B.from=z;function X(M){if(M!=null)return M}B.to=X})(r=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var o;(function(B){function z(U){if(U){const q=U;return q&&!!q.process}else return!1}B.is=z;function X(U){if(U==null)return;const q={process:U.process,args:U.args};return U.options&&(q.options=r.from(U.options)),q}B.from=X;function M(U){if(U!=null)return new y.ProcessExecution(U.process,U.args,U.options)}B.to=M})(o=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var i;(function(B){function z(M){if(M!=null)return M}B.from=z;function X(M){if(M!=null)return M}B.to=X})(i=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var n;(function(B){function z(U){if(U){const q=U;return q&&(!!q.commandLine||!!q.command)}else return!1}B.is=z;function X(U){if(U==null)return;const q={};return U.commandLine!==void 0?q.commandLine=U.commandLine:(q.command=U.command,q.args=U.args),U.options&&(q.options=i.from(U.options)),q}B.from=X;function M(U){if(!(U==null||U.command===void 0&&U.commandLine===void 0))return U.commandLine?new y.ShellExecution(U.commandLine,U.options):new y.ShellExecution(U.command,U.args?U.args:[],U.options)}B.to=M})(n=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var s;(function(B){function z(U){if(U){const q=U;return q&&q.customExecution==="customExecution"}else return!1}B.is=z;function X(U){return{customExecution:"customExecution"}}B.from=X;function M(U,q){return q.get(U)}B.to=M})(s=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var l;(function(B){function z(X,M){let U;return X.scope!==void 0&&typeof X.scope!="number"?U=X.scope.uri:X.scope!==void 0&&typeof X.scope=="number"&&(X.scope===y.TaskScope.Workspace&&M&&M.workspaceFile?U=M.workspaceFile:U=p.USER_TASKS_GROUP_KEY),{id:X._id,workspaceFolder:U}}B.from=z})(l=e.TaskHandleDTO||(e.TaskHandleDTO={}));var d;(function(B){function z(X){if(X!=null)return{_id:X.id,isDefault:X.isDefault}}B.from=z})(d=e.TaskGroupDTO||(e.TaskGroupDTO={}));var S;(function(B){function z(U,q){if(U==null)return[];const x=[];for(const V of U){const ee=X(V,q);ee&&x.push(ee)}return x}B.fromMany=z;function X(U,q){if(U==null)return;let x;U.execution instanceof y.ProcessExecution?x=o.from(U.execution):U.execution instanceof y.ShellExecution?x=n.from(U.execution):U.execution&&U.execution instanceof y.CustomExecution&&(x=s.from(U.execution));const V=a.from(U.definition);let ee;return U.scope?typeof U.scope=="number"?ee=U.scope:ee=U.scope.uri:ee=y.TaskScope.Workspace,!V||!ee?void 0:{_id:U._id,definition:V,name:U.name,source:{extensionId:q.identifier.value,label:U.source,scope:ee},execution:x,isBackground:U.isBackground,group:d.from(U.group),presentationOptions:h.from(U.presentationOptions),problemMatchers:U.problemMatchers,hasDefinedMatchers:U.hasDefinedMatchers,runOptions:U.runOptions?U.runOptions:{reevaluateOnRerun:!0},detail:U.detail}}B.from=X;async function M(U,q,x){if(U==null)return;let V;o.is(U.execution)?V=o.to(U.execution):n.is(U.execution)?V=n.to(U.execution):s.is(U.execution)&&(V=s.to(U._id,x));const ee=a.to(U.definition);let Y;if(U.source&&(U.source.scope!==void 0?typeof U.source.scope=="number"?Y=U.source.scope:Y=await q.resolveWorkspaceFolder(u.URI.revive(U.source.scope)):Y=y.TaskScope.Workspace),!ee||!Y)return;const le=new y.Task(ee,Y,U.name,U.source.label,V,U.problemMatchers);return U.isBackground!==void 0&&(le.isBackground=U.isBackground),U.group!==void 0&&(le.group=y.TaskGroup.from(U.group._id),le.group&&U.group.isDefault&&(le.group=new y.TaskGroup(le.group.id,le.group.label),U.group.isDefault===!0&&(le.group.isDefault=U.group.isDefault))),U.presentationOptions&&(le.presentationOptions=h.to(U.presentationOptions)),U._id&&(le._id=U._id),U.detail&&(le.detail=U.detail),le}B.to=M})(S=e.TaskDTO||(e.TaskDTO={}));var L;(function(B){function z(M){return M}B.from=z;function X(M){if(!!M)return Object.assign(Object.create(null),M)}B.to=X})(L=e.TaskFilterDTO||(e.TaskFilterDTO={}));class F{constructor(z,X,M){this._id=X,this._task=M,m.set(this,void 0),tt(this,m,z,"f")}get task(){return this._task}terminate(){Me(this,m,"f").terminateTask(this)}fireDidStartProcess(z){}fireDidEndProcess(z){}}m=new WeakMap;var N;(function(B){function z(X){return{id:X._id,task:void 0}}B.from=z})(N=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let A=class{constructor(z,X,M,U,q,x,V,ee){this._onDidExecuteTask=new D.Emitter,this._onDidTerminateTask=new D.Emitter,this._onDidTaskProcessStarted=new D.Emitter,this._onDidTaskProcessEnded=new D.Emitter,this._proxy=z.getProxy(T.MainContext.MainThreadTask),this._workspaceProvider=M,this._editorService=U,this._configurationService=q,this._terminalService=x,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=V,this._deprecationService=ee,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(z,X,M){if(!M)return new y.Disposable(()=>{});const U=this.nextHandle();return this._handlers.set(U,{type:X,provider:M,extension:z}),this._proxy.$registerTaskProvider(U,X),new y.Disposable(()=>{this._handlers.delete(U),this._proxy.$unregisterTaskProvider(U)})}registerTaskSystem(z,X){this._proxy.$registerTaskSystem(z,X)}fetchTasks(z){return this._proxy.$fetchTasks(L.from(z)).then(async X=>{const M=[];for(const U of X){const q=await S.to(U,this._workspaceProvider,this._providedCustomExecutions2);q&&M.push(q)}return M})}get taskExecutions(){const z=[];return this._taskExecutions.forEach(X=>z.push(X)),z}terminateTask(z){if(!(z instanceof F))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(z._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(z,X,M){const U=this._providedCustomExecutions2.get(z.id);U&&(this._activeCustomExecutions2.set(z.id,U),this._terminalService.attachPtyToTerminal(X,await U.callback(M))),this._lastStartedTask=z.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(z)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(z){const X=await this.getTaskExecution(z);this._taskExecutionPromises.delete(z.id),this._taskExecutions.delete(z.id),this.customExecutionComplete(z),this._onDidTerminateTask.fire({execution:X})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(z){const X=await this.getTaskExecution(z.id);this._onDidTaskProcessStarted.fire({execution:X,processId:z.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(z){const X=await this.getTaskExecution(z.id);this._onDidTaskProcessEnded.fire({execution:X,exitCode:z.exitCode})}$provideTasks(z,X){const M=this._handlers.get(z);if(!M)return Promise.reject(new Error("no handler found"));const U=[],q=(0,t.asPromise)(()=>M.provider.provideTasks(R.CancellationToken.None)).then(x=>this.provideTasksInternal(X,U,M,x));return new Promise(x=>{q.then(V=>{Promise.all(U).then(()=>{x(V)})})})}async $resolveTask(z,X){const M=this._handlers.get(z);if(!M)return Promise.reject(new Error("no handler found"));if(X.definition.type!==M.type)throw new Error(`Unexpected: Task of type [${X.definition.type}] cannot be resolved by provider of type [${M.type}].`);const U=await S.to(X,this._workspaceProvider,this._providedCustomExecutions2);if(!U)throw new Error("Unexpected: Task cannot be resolved.");const q=await M.provider.resolveTask(U,R.CancellationToken.None);if(!q)return;this.checkDeprecation(q,M);const x=S.from(q,M.extension);if(!x)throw new Error("Unexpected: Task cannot be resolved.");if(q.definition!==U.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return s.is(x.execution)&&await this.addCustomExecution(x,q,!0),await this.resolveTaskInternal(x)}nextHandle(){return this._handleCounter++}async addCustomExecution(z,X,M){const U=await this._proxy.$createTaskId(z);!M&&!this._providedCustomExecutions2.has(U)&&(this._notProvidedCustomExecutions.add(U),this._activeCustomExecutions2.set(U,X.execution)),this._providedCustomExecutions2.set(U,X.execution)}async getTaskExecution(z,X){if(typeof z=="string"){const q=this._taskExecutionPromises.get(z);if(!q)throw new Error("Unexpected: The specified task is missing an execution");return q}const M=this._taskExecutionPromises.get(z.id);if(M)return M;const U=new Promise((q,x)=>{function V(ee,Y,le){le?q(new F(ee,Y.id,le)):x("Unexpected: Task does not exist.")}X?V(this,z,X):S.to(z.task,this._workspaceProvider,this._providedCustomExecutions2).then(ee=>V(this,z,ee))});return this._taskExecutionPromises.set(z.id,U),U.then(q=>(this._taskExecutions.set(z.id,q),q),q=>Promise.reject(q))}checkDeprecation(z,X){z._deprecated&&this._deprecationService.report("Task.constructor",X.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(z){this._activeCustomExecutions2.get(z.id)&&this._activeCustomExecutions2.delete(z.id),this._notProvidedCustomExecutions.has(z.id)&&this._lastStartedTask!==z.id&&(this._providedCustomExecutions2.delete(z.id),this._notProvidedCustomExecutions.delete(z.id));const M=this._notProvidedCustomExecutions.values();let U=M.next();for(;!U.done;)!this._activeCustomExecutions2.has(U.value)&&this._lastStartedTask!==U.value&&(this._providedCustomExecutions2.delete(U.value),this._notProvidedCustomExecutions.delete(U.value)),U=M.next()}};A=st([He(0,_.IExtHostRpcService),He(1,P.IExtHostInitDataService),He(2,C.IExtHostWorkspace),He(3,E.IExtHostDocumentsAndEditors),He(4,I.IExtHostConfiguration),He(5,k.IExtHostTerminalService),He(6,f.ILogService),He(7,v.IExtHostApiDeprecationService)],A),e.ExtHostTaskBase=A;let $=class extends A{constructor(z,X,M,U,q,x,V,ee){super(z,X,M,U,q,x,V,ee);this.registerTaskSystem(b.Schemas.vscodeRemote,{scheme:b.Schemas.vscodeRemote,authority:"",platform:g.PlatformToString(0)})}async executeTask(z,X){if(!X.execution)throw new Error("Tasks to execute must include an execution");const M=S.from(X,z);if(M===void 0)throw new Error("Task is not valid");if(s.is(M.execution))await this.addCustomExecution(M,X,!1);else throw new c.NotSupportedError;const U=await this.getTaskExecution(await this._proxy.$getTaskExecution(M),X);return this._proxy.$executeTask(M).catch(q=>{throw new Error(q)}),U}provideTasksInternal(z,X,M,U){const q=[];if(U)for(const x of U){this.checkDeprecation(x,M),(!x.definition||!z[x.definition.type])&&this._logService.warn(`The task [${x.source}, ${x.name}] uses an undefined task type. The task will be ignored in the future.`);const V=S.from(x,M.extension);V&&s.is(V.execution)?(q.push(V),X.push(this.addCustomExecution(V,x,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:q,extension:M.extension}}async resolveTaskInternal(z){if(s.is(z.execution))return z;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(z,X){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable(z,X,M){}};$=st([He(0,_.IExtHostRpcService),He(1,P.IExtHostInitDataService),He(2,C.IExtHostWorkspace),He(3,E.IExtHostDocumentsAndEditors),He(4,I.IExtHostConfiguration),He(5,k.IExtHostTerminalService),He(6,f.ILogService),He(7,v.IExtHostApiDeprecationService)],$),e.WorkerExtHostTask=$,e.IExtHostTask=(0,w.createDecorator)("IExtHostTask")}),define(Ie[279],ke([1,0,9,21,49,36,22,50,31]),function(Q,e,u,t,D,T,y,C,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class I{constructor(_,P,w){this.config=_,this.provider=P,this.sessionToken=w,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=_.filePattern,this.includePattern=_.includePattern&&T.parse(_.includePattern),this.maxResults=_.maxResults||void 0,this.exists=_.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=_.excludePattern&&T.parse(_.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(_=>_.cancel()),this.activeCancellationTokens=new Set}search(_){const P=this.config.folderQueries||[];return new Promise((w,b)=>{const g=f=>{this.resultCount++,_(f)};if(this.isCanceled)return w({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(f=>{const v=f.toString(),p=u.basename(v);this.globalExcludePattern&&this.globalExcludePattern(v,p)||this.matchFile(g,{base:f,basename:p})}),Promise.all(P.map(f=>this.searchInFolder(f,g))).then(f=>{w({limitHit:this.isLimitHit,stats:f[0]||void 0})},f=>{b(new Error((0,D.toErrorMessage)(f)))})})}async searchInFolder(_,P){const w=new t.CancellationTokenSource,b=this.getSearchOptionsForFolder(_),g=this.initDirectoryTree(),f=new E.QueryGlobTester(this.config,_),v=!f.hasSiblingExcludeClauses();let p;try{this.activeCancellationTokens.add(w),p=C.StopWatch.create();const c=await this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},b,w.token),m=p.elapsed(),a=C.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(c&&c.forEach(h=>{const r=u.posix.relative(_.folder.path,h.path);if(v){const o=u.basename(h.path);this.matchFile(P,{base:_.folder,relativePath:r,basename:o});return}this.addDirectoryEntries(g,_.folder,r,P)}),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(g,f,P),{providerTime:m,postProcessTime:a.elapsed()})}finally{w.dispose(),this.activeCancellationTokens.delete(w)}}getSearchOptionsForFolder(_){const P=(0,E.resolvePatternsForProvider)(this.config.includePattern,_.includePattern),w=(0,E.resolvePatternsForProvider)(this.config.excludePattern,_.excludePattern);return{folder:_.folder,excludes:w,includes:P,useIgnoreFiles:!_.disregardIgnoreFiles,useGlobalIgnoreFiles:!_.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!_.disregardParentIgnoreFiles,followSymlinks:!_.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const _={rootEntries:[],pathToEntries:Object.create(null)};return _.pathToEntries["."]=_.rootEntries,_}addDirectoryEntries({pathToEntries:_},P,w,b){if(w===this.filePattern){const f=u.basename(this.filePattern);this.matchFile(b,{base:P,relativePath:this.filePattern,basename:f})}function g(f){const v=u.basename(f),p=u.dirname(f);let c=_[p];c||(c=_[p]=[],g(p)),c.push({base:P,relativePath:f,basename:v})}g(w)}matchDirectoryTree({rootEntries:_,pathToEntries:P},w,b){const g=this,f=this.filePattern;function v(p){const c=(0,E.hasSiblingFn)(()=>p.map(m=>m.basename));for(let m=0,a=p.length;m<a;m++){const h=p[m],{relativePath:r,basename:o}=h;if(w.matchesExcludesSync(r,o,f!==o?c:void 0))continue;const i=P[r];if(i)v(i);else{if(r===f)continue;g.matchFile(b,h)}if(g.isLimitHit)break}}v(_)}matchFile(_,P){(!this.includePattern||P.relativePath&&this.includePattern(P.relativePath,P.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||_(P))}}class R{constructor(){this.sessions=new Map}fileSearch(_,P,w,b){const g=this.getSessionTokenSource(_.cacheKey),f=new I(_,P,g&&g.token);let v=0;const p=c=>{v+=c.length,w(c.map(m=>this.rawMatchToSearchItem(m)))};return this.doSearch(f,R.BATCH_SIZE,p,b).then(c=>({limitHit:c.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:v,detailStats:c.stats}}))}clearCache(_){const P=this.getSessionTokenSource(_);P&&P.cancel()}getSessionTokenSource(_){if(!!_)return this.sessions.has(_)||this.sessions.set(_,new t.CancellationTokenSource),this.sessions.get(_)}rawMatchToSearchItem(_){return _.relativePath?{resource:y.joinPath(_.base,_.relativePath)}:{resource:_.base}}doSearch(_,P,w,b){b.onCancellationRequested(()=>{_.cancel()});const g=v=>{v&&(f.push(v),P>0&&f.length>=P&&(w(f),f=[]))};let f=[];return _.search(g).then(v=>(f.length&&w(f),v),v=>(f.length&&w(f),Promise.reject(v)))}}e.FileSearchManager=R,R.BATCH_SIZE=512}),define(Ie[280],ke([1,0,16,77,36,107,25,11,9,22,8,10,2,159,187,83,14,45,130,278,31]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v,p,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let m=class{constructor(d,S,L,F,N){this.configurationService=d,this.workspaceContextService=S,this.editorGroupsService=L,this.logService=F,this.pathService=N}text(d,S,L={}){d=this.getContentPattern(d,L);const F=this.configurationService.getValue(),N=S&&S.some($=>!this.configurationService.getValue({resource:$}).search.useRipgrep);return{...this.commonQuery(S?.map(f.toWorkspaceFolder),L),type:2,contentPattern:d,previewOptions:L.previewOptions,maxFileSize:L.maxFileSize,usePCRE2:F.search.usePCRE2||N||!1,beforeContext:L.beforeContext,afterContext:L.afterContext,userDisabledExcludesAndIgnoreFiles:L.disregardExcludeSettings&&L.disregardIgnoreFiles}}getContentPattern(d,S){const L=this.configurationService.getValue();d.isRegExp&&(d.pattern=d.pattern.replace(/\r?\n/g,"\\n"));const F={...d,wordSeparators:L.editor.wordSeparators};return this.isCaseSensitive(d,S)&&(F.isCaseSensitive=!0),this.isMultiline(d)&&(F.isMultiline=!0),F}file(d,S={}){return{...this.commonQuery(d,S),type:1,filePattern:S.filePattern?S.filePattern.trim():S.filePattern,exists:S.exists,sortByScore:S.sortByScore,cacheKey:S.cacheKey}}handleIncludeExclude(d,S){return d?(d=Array.isArray(d)?d.map(i):i(d),S?this.parseSearchPaths(d):{pattern:h(...Array.isArray(d)?d:[d])}):{}}commonQuery(d=[],S={}){const L=this.handleIncludeExclude(S.includePattern,S.expandPatterns),F=this.handleIncludeExclude(S.excludePattern,S.expandPatterns),N=d.length>1,A=(L.searchPaths&&L.searchPaths.length?L.searchPaths.map(z=>this.getFolderQueryForSearchPath(z,S,F)):d.map(z=>this.getFolderQueryForRoot(z,S,F,N))).filter(z=>!!z),$={_reason:S._reason,folderQueries:A,usingSearchPaths:!!(L.searchPaths&&L.searchPaths.length),extraFileResources:S.extraFileResources,excludePattern:F.pattern,includePattern:L.pattern,onlyOpenEditors:S.onlyOpenEditors,maxResults:S.maxResults};if(S.onlyOpenEditors){const z=u.coalesce(u.flatten(this.editorGroupsService.groups.map(U=>U.editors.map(q=>q.resource))));this.logService.trace("QueryBuilder#commonQuery - openEditor URIs",JSON.stringify(z));const X=z.filter(U=>(0,c.pathIncludedInQuery)($,U.fsPath)),M=this.commonQueryFromFileList(X);return this.logService.trace("QueryBuilder#commonQuery - openEditor Query",JSON.stringify(M)),{...$,...M}}const B=S.extraFileResources&&S.extraFileResources.filter(z=>(0,c.pathIncludedInQuery)($,z.fsPath));return $.extraFileResources=B&&B.length?B:void 0,$}commonQueryFromFileList(d){const S=[],L=new y.ResourceMap,F={};let N=!1;return d.forEach(A=>{if(A.scheme===C.Schemas.walkThrough)return;if((0,I.isAbsolutePath)(A)){const B=this.workspaceContextService.getWorkspaceFolder(A)?.uri??A.with({path:E.dirname(A.fsPath)});let z=L.get(B);z||(N=!0,z={folder:B,includePattern:{}},S.push(z),L.set(B,z));const X=E.relative(B.fsPath,A.fsPath);(0,k.assertIsDefined)(z.includePattern)[X.replace(/\\/g,"/")]=!0}else A.fsPath&&(N=!0,F[A.fsPath]=!0)}),{folderQueries:S,includePattern:F,usingSearchPaths:!0,excludePattern:N?void 0:{"**/*":!0}}}isCaseSensitive(d,S){if(S.isSmartCase){if(d.isRegExp){if(R.containsUppercaseCharacter(d.pattern,!0))return!0}else if(R.containsUppercaseCharacter(d.pattern))return!0}return!!d.isCaseSensitive}isMultiline(d){return d.isMultiline||d.isRegExp&&(0,P.isMultilineRegexSource)(d.pattern)||d.pattern.indexOf(`
`)>=0?!0:!!d.isMultiline}parseSearchPaths(d){const S=M=>E.isAbsolute(M)||/^\.\.?([\/\\]|$)/.test(M),F=(Array.isArray(d)?d:r(d)).map(M=>{const U=this.pathService.resolvedUserHome;return U?(0,T.untildify)(M,U.scheme===C.Schemas.file?U.fsPath:U.path):M}),N=t.groupBy(F,M=>S(M)?"searchPaths":"exprSegments"),A=(N.exprSegments||[]).map(M=>R.rtrim(M,"/")).map(M=>R.rtrim(M,"\\")).map(M=>(M[0]==="."&&(M="*"+M),o(M))),$={},B=this.expandSearchPathPatterns(N.searchPaths||[]);B&&B.length&&($.searchPaths=B);const z=u.flatten(A),X=h(...z);return X&&($.pattern=X),$}getExcludesForFolder(d,S){return S.disregardExcludeSettings?void 0:(0,c.getExcludes)(d,!S.disregardSearchExcludeSettings)}expandSearchPathPatterns(d){if(!d||!d.length)return[];const S=u.flatten(d.map(F=>{let{pathPortion:N,globPortion:A}=a(F);A&&(A=n(A));const $=this.expandOneSearchPath(N);return u.flatten($.map(B=>this.resolveOneSearchPathPattern(B,A)))})),L=new Map;return S.forEach(F=>{const N=F.searchPath.toString(),A=L.get(N);A?F.pattern&&(A.pattern=A.pattern||{},A.pattern[F.pattern]=!0):L.set(N,{searchPath:F.searchPath,pattern:F.pattern?h(F.pattern):void 0})}),Array.from(L.values())}expandOneSearchPath(d){if(E.isAbsolute(d)){const S=this.workspaceContextService.getWorkspace().folders;return S[0]&&S[0].uri.scheme!==C.Schemas.file?[{searchPath:S[0].uri.with({path:d})}]:[{searchPath:_.URI.file(E.normalize(d))}]}if(this.workspaceContextService.getWorkbenchState()===2){const S=this.workspaceContextService.getWorkspace().folders[0].uri;if(d=i(d),d.startsWith("../")||d===".."){const F=E.posix.resolve(S.path,d);return[{searchPath:S.with({path:F})}]}const L=n(d);return[{searchPath:S,pattern:L}]}else{if(d==="./"||d===".\\")return[];{const S=d.replace(/^\.[\/\\]/,""),F=this.workspaceContextService.getWorkspace().folders.map(N=>{const A=S.match(new RegExp(`^${R.escapeRegExpCharacters(N.name)}(?:/(.*)|$)`));return A?{match:A,folder:N}:null}).filter(k.isDefined);if(F.length)return F.map(N=>{const A=N.match[1];return{searchPath:N.folder.uri,pattern:A&&n(A)}});{const N=d.match(/\.[\/\\](.+)[\/\\]?/),A=N?N[1]:d,$=w.localize(0,null,A);throw new Error($)}}}}resolveOneSearchPathPattern(d,S){const L=d.pattern&&S?`${d.pattern}/${S}`:d.pattern||S,F=[{searchPath:d.searchPath,pattern:L}];return L&&!L.endsWith("**")&&F.push({searchPath:d.searchPath,pattern:L+"/**"}),F}getFolderQueryForSearchPath(d,S,L){const F=this.getFolderQueryForRoot((0,f.toWorkspaceFolder)(d.searchPath),S,L,!1);return F?{...F,includePattern:d.pattern}:null}getFolderQueryForRoot(d,S,L,F){let N;const A=_.URI.isUri(d)?d:d.uri;if(L.searchPaths){const M=L.searchPaths.filter(U=>(0,I.isEqual)(U.searchPath,A))[0];if(M&&!M.pattern)return null;M&&(N=M.pattern)}const $=this.configurationService.getValue({resource:A}),z={...this.getExcludesForFolder($,S)||{},...N||{}},X=_.URI.isUri(d)?(0,I.basename)(d):d.name;return{folder:A,folderName:F?X:void 0,excludePattern:Object.keys(z).length>0?z:void 0,fileEncoding:$.files&&$.files.encoding,disregardIgnoreFiles:typeof S.disregardIgnoreFiles=="boolean"?S.disregardIgnoreFiles:!$.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof S.disregardGlobalIgnoreFiles=="boolean"?S.disregardGlobalIgnoreFiles:!$.search.useGlobalIgnoreFiles,disregardParentIgnoreFiles:typeof S.disregardParentIgnoreFiles=="boolean"?S.disregardParentIgnoreFiles:!$.search.useParentIgnoreFiles,ignoreSymlinks:typeof S.ignoreSymlinks=="boolean"?S.ignoreSymlinks:!$.search.followSymlinks}}};m=st([He(0,b.IConfigurationService),He(1,f.IWorkspaceContextService),He(2,v.IEditorGroupsService),He(3,g.ILogService),He(4,p.IPathService)],m),e.QueryBuilder=m;function a(l){const d=l.match(/[\*\{\}\(\)\[\]\?]/);if(d){const S=d.index,L=l.substr(0,S).match(/[/|\\][^/\\]*$/);if(L){let F=l.substr(0,L.index);return F.match(/[/\\]/)||(F+="/"),{pathPortion:F,globPortion:l.substr((L.index||0)+1)}}}return{pathPortion:l}}function h(...l){return l.length?l.reduce((d,S)=>(d[S]=!0,d),Object.create(null)):void 0}function r(l){return D.splitGlobAware(l,",").map(d=>d.trim()).filter(d=>!!d.length)}function o(l){return[`**/${l}/**`,`**/${l}`].map(S=>S.replace(/\*\*\/\*\*/g,"**"))}function i(l){return l.replace(/\\/g,"/")}function n(l){return i(l).replace(/^\.\//,"").replace(/\/+$/g,"")}function s(l,d){l=u.distinct(l,F=>F.toString());const S=[],L=d.getWorkspace();return l&&l.forEach(F=>{let N;if(d.getWorkbenchState()===2)N=(0,I.relativePath)(L.folders[0].uri,F),N&&N!=="."&&(N="./"+N);else{const A=d.getWorkspaceFolder(F);if(A){const $=A.name;if(L.folders.filter(z=>z.name===$).length===1){const z=(0,I.relativePath)(A.uri,F);z===""?N=`./${A.name}`:N=`./${A.name}/${z}`}else N=F.fsPath}}N&&S.push(N)}),S}e.resolveResourcesForSearchIncludes=s}),define(Ie[281],ke([1,0,22,2,21,12,4,280,31,45]),function(Q,e,u,t,D,T,y,C,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const R=7e3;function k(b,g){const f=g.activationEvents;if(!f)return Promise.resolve(void 0);const v=[],p=[];for(const o of f)if(/^workspaceContains:/.test(o)){const i=o.substr("workspaceContains:".length);i.indexOf("*")>=0||i.indexOf("?")>=0||b.forceUsingSearch?p.push(i):v.push(i)}if(v.length===0&&p.length===0)return Promise.resolve(void 0);let c;const m=new Promise((o,i)=>{c=o}),a=o=>c({activationEvent:o}),h=Promise.all(v.map(o=>_(b,o,a))).then(()=>{}),r=P(b,g.identifier,p,a);return Promise.all([h,r]).then(()=>{c(void 0)}),m}e.checkActivateWorkspaceContainsExtension=k;async function _(b,g,f){for(const v of b.folders)if(await b.exists(u.joinPath(t.URI.revive(v),g))){f(`workspaceContains:${g}`);return}}async function P(b,g,f,v){if(f.length===0)return Promise.resolve(void 0);const p=new D.CancellationTokenSource,c=b.checkExists(b.folders,f,p.token),m=setTimeout(async()=>{p.cancel(),b.logService.info(`Not activating extension '${g.value}': Timed out while searching for 'workspaceContains' pattern ${f.join(",")}`)},R);let a=!1;try{a=await c}catch(h){T.isCancellationError(h)||T.onUnexpectedError(h)}p.dispose(),clearTimeout(m),a&&v(`workspaceContains:${f.join(",")}`)}function w(b,g,f,v){const p=b.get(y.IInstantiationService),c=b.get(E.ISearchService),a=p.createInstance(C.QueryBuilder).file(g.map(h=>(0,I.toWorkspaceFolder)(t.URI.revive(h))),{_reason:"checkExists",includePattern:f,exists:!0});return c.fileSearch(a,v).then(h=>!!h.limitHit,h=>T.isCancellationError(h)?!1:Promise.reject(h))}e.checkGlobFileExists=w});var tt=this&&this.__classPrivateFieldSet||function(Q,e,u,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?Q!==e||!D:!e.has(Q))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call(Q,u):D?D.value=u:e.set(Q,u),u},Me=this&&this.__classPrivateFieldGet||function(Q,e,u,t){if(u==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?Q!==e||!t:!e.has(Q))throw new TypeError("Cannot read private member from an object whose class did not declare it");return u==="m"?t:u==="a"?t.call(Q):t?t.value:e.get(Q)};define(Ie[39],ke([1,0,171,9,73,22,18,6,25,2,14,5,33,229,91,32,27,227,12,28,23,205,7,122,4,26,69,17,85,52,38,3,281,90,207,11]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v,p,c,m,a,h,r,o,i,n,s,l,d,S,L,F,N,A){"use strict";var $,B,z;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionPaths=e.Extension=e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=(0,r.createDecorator)("IHostUtils");let X=class yn extends C.Disposable{constructor(Y,le,ve,J,ge,_e,Te,me,Pe,ue){super();this._onDidChangeRemoteConnectionData=this._register(new S.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._isTerminating=!1,this._hostUtils=le,this._extHostContext=ve,this._initData=Te,this._extHostWorkspace=J,this._extHostConfiguration=ge,this._logService=_e,this._extHostTunnelService=Pe,this._extHostTerminalService=ue,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(k.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(k.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(k.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new y.Barrier,this._readyToStartExtensionHost=new y.Barrier,this._readyToRunExtensions=new y.Barrier,this._eagerExtensionsActivated=new y.Barrier,this._globalRegistry=new f.ExtensionDescriptionRegistry(this._initData.allExtensions);const pe=(0,g.extensionIdentifiersArrayToSet)(this._initData.myExtensions);this._myRegistry=new f.ExtensionDescriptionRegistry(q(this._globalRegistry,pe)),this._storage=new w.ExtHostStorage(this._extHostContext),this._secretState=new F.ExtHostSecretState(this._extHostContext),this._storagePath=me,this._instaService=Y.createChild(new s.ServiceCollection([w.IExtHostStorage,this._storage],[F.IExtHostSecretState,this._secretState]));let be=[],ae=[];this._initData.remote.isRemote&&(be=this._initData.allExtensions.filter(ne=>!ne.main&&!ne.browser).map(ne=>ne.identifier),ae=this._initData.allExtensions.filter(ne=>!pe.has(p.ExtensionIdentifier.toKey(ne.identifier.value))).filter(ne=>(ne.main||ne.browser)&&ne.api==="none").map(ne=>ne.identifier));const fe=(0,g.extensionIdentifiersArrayToSet)(ae);this._activator=this._register(new P.ExtensionsActivator(this._myRegistry,be,ae,{onExtensionActivationError:(ne,ie,O)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(ne,v.transformErrorForSerialization(ie),O)},actualActivateExtension:async(ne,ie)=>{if(fe.has(p.ExtensionIdentifier.toKey(ne)))return await this._mainThreadExtensionsProxy.$activateExtension(ne,ie),new P.HostExtension;const O=this._myRegistry.getExtensionDescription(ne);return this._activateExtension(O,ie)}},this._logService)),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),D.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(Y){v.onUnexpectedError(Y)}}async _deactivateAll(){this._storagePath.onWillDeactivateAll();let Y=[];try{Y=this._myRegistry.getAllExtensionDescriptions().map(ge=>ge.identifier).filter(ge=>this.isActivated(ge)).map(ge=>this._deactivate(ge))}catch{}await Promise.all(Y)}terminate(Y,le=0){if(this._isTerminating)return;this._isTerminating=!0,this._logService.info(`Extension host terminating: ${Y}`),this._logService.flush(),this._extHostTerminalService.dispose(),this._activator.dispose(),v.setUnexpectedErrorHandler(J=>{this._logService.error(J)}),this._extHostContext.dispose();const ve=this._deactivateAll();Promise.race([(0,y.timeout)(5e3),ve]).finally(()=>{this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} exiting with code ${le}`):this._logService.info(`Extension host exiting with code ${le}`),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(le)})}isActivated(Y){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(Y):!1}async getExtension(Y){const le=await this._mainThreadExtensionsProxy.$getExtension(Y);return le&&{...le,identifier:new p.ExtensionIdentifier(le.identifier.value),extensionLocation:I.URI.revive(le.extensionLocation)}}_activateByEvent(Y,le){return this._activator.activateByEvent(Y,le)}_activateById(Y,le){return this._activator.activateById(Y,le)}activateByIdWithErrors(Y,le){return this._activateById(Y,le).then(()=>{const ve=this._activator.getActivatedExtension(Y);if(ve.activationFailed)return Promise.reject(ve.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(Y=>this._myRegistry)}getExtensionExports(Y){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(Y).exports:null}async _realPathExtensionUri(Y){if(Y.scheme!==A.Schemas.file)return Y;const le=await this._hostUtils.realpath(Y.fsPath);return I.URI.file(le)}async getExtensionPathIndex(){return this._extensionPathIndex||(this._extensionPathIndex=this._createExtensionPathIndex(this._myRegistry.getAllExtensionDescriptions()).then(Y=>new V(Y))),this._extensionPathIndex}async _createExtensionPathIndex(Y){const le=E.TernarySearchTree.forUris(ve=>T.extUriBiasedIgnorePathCase.ignorePathCasing(ve));return await Promise.all(Y.map(async ve=>{if(this._getEntryPoint(ve)){const J=await this._realPathExtensionUri(ve.extensionLocation);le.set(J,ve)}})),le}_deactivate(Y){let le=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(Y))return le;const ve=this._activator.getActivatedExtension(Y);if(!ve)return le;try{typeof ve.module.deactivate=="function"&&(le=Promise.resolve(ve.module.deactivate()).then(void 0,J=>(this._logService.error(J),Promise.resolve(void 0))))}catch(J){this._logService.error(`An error occurred when deactivating the extension '${Y.value}':`),this._logService.error(J)}try{(0,C.dispose)(ve.subscriptions)}catch(J){this._logService.error(`An error occurred when deactivating the subscriptions for extension '${Y.value}':`),this._logService.error(J)}return le}async _activateExtension(Y,le){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(Y.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(Y.identifier),this._doActivateExtension(Y,le).then(ve=>{const J=ve.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(Y.identifier,J.codeLoadingTime,J.activateCallTime,J.activateResolvedTime,le),this._logExtensionActivationTimes(Y,le,"success",J),ve},ve=>{throw this._logExtensionActivationTimes(Y,le,"failure"),ve})}_logExtensionActivationTimes(Y,le,ve,J){const ge=M(Y,le);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",{...ge,...J||{},outcome:ve})}_doActivateExtension(Y,le){const ve=M(Y,le);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",ve);const J=this._getEntryPoint(Y);if(!J)return Promise.resolve(new P.EmptyExtension(P.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${Y.identifier.value}, startup: ${le.startup}, activationEvent: '${le.activationEvent}'${Y.identifier.value!==le.extensionId.value?`, root cause: ${le.extensionId.value}`:""}`),this._logService.flush();const ge=new P.ExtensionActivationTimesBuilder(le.startup);return Promise.all([this._loadCommonJSModule(Y.identifier,(0,T.joinPath)(Y.extensionLocation,J),ge),this._loadExtensionContext(Y)]).then(_e=>(D.mark(`code/extHost/willActivateExtension/${Y.identifier.value}`),yn._callActivate(this._logService,Y.identifier,_e[0],_e[1],ge))).then(_e=>(D.mark(`code/extHost/didActivateExtension/${Y.identifier.value}`),_e))}_loadExtensionContext(Y){const le=new m.ExtensionGlobalMemento(Y,this._storage),ve=new m.ExtensionMemento(Y.identifier.value,!1,this._storage),J=new N.ExtensionSecrets(Y,this._secretState),ge=Y.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?a.ExtensionMode.Test:a.ExtensionMode.Development:a.ExtensionMode.Production,_e=this._initData.remote.isRemote?a.ExtensionKind.Workspace:a.ExtensionKind.UI;return this._logService.trace(`ExtensionService#loadExtensionContext ${Y.identifier.value}`),Promise.all([le.whenReady,ve.whenReady,this._storagePath.whenReady]).then(()=>{const Te=this;let me,Pe;const ue=(0,g.isProposedApiEnabled)(Y,"ipc")?this._initData.messagePorts?.get(p.ExtensionIdentifier.toKey(Y.identifier)):void 0;return Object.freeze({globalState:le,workspaceState:ve,secrets:J,subscriptions:[],get extensionUri(){return Y.extensionLocation},get extensionPath(){return Y.extensionLocation.fsPath},asAbsolutePath(pe){return t.join(Y.extensionLocation.fsPath,pe)},get storagePath(){return Te._storagePath.workspaceValue(Y)?.fsPath},get globalStoragePath(){return Te._storagePath.globalValue(Y).fsPath},get logPath(){return t.join(Te._initData.logsLocation.fsPath,Y.identifier.value)},get logUri(){return I.URI.joinPath(Te._initData.logsLocation,Y.identifier.value)},get storageUri(){return Te._storagePath.workspaceValue(Y)},get globalStorageUri(){return Te._storagePath.globalValue(Y)},get extensionMode(){return ge},get extension(){return me===void 0&&(me=new U(Te,Y.identifier,Y,_e,!1)),me},get extensionRuntime(){return(0,g.checkProposedApiEnabled)(Y,"extensionRuntime"),Te.extensionRuntime},get environmentVariableCollection(){return Te._extHostTerminalService.getEnvironmentVariableCollection(Y)},get messagePassingProtocol(){if(!Pe){if(!ue)return;const pe=S.Event.buffer(S.Event.fromDOMEventEmitter(ue,"message",be=>be.data));ue.start(),Pe={onDidReceiveMessage:pe,postMessage:ue.postMessage.bind(ue)}}return Pe}})})}static _callActivate(Y,le,ve,J,ge){return ve=ve||{activate:void 0,deactivate:void 0},this._callActivateOptional(Y,le,ve,J,ge).then(_e=>new P.ActivatedExtension(!1,null,ge.build(),ve,_e,J.subscriptions))}static _callActivateOptional(Y,le,ve,J,ge){if(typeof ve.activate=="function")try{ge.activateCallStart(),Y.trace(`ExtensionService#_callActivateOptional ${le.value}`);const _e=typeof global=="object"?global:self,Te=ve.activate.apply(_e,[J]);return ge.activateCallStop(),ge.activateResolveStart(),Promise.resolve(Te).then(me=>(ge.activateResolveStop(),me))}catch(_e){return Promise.reject(_e)}else return Promise.resolve(ve)}_activateOneStartupFinished(Y,le){this._activateById(Y.identifier,{startup:!1,extensionId:Y.identifier,activationEvent:le}).then(void 0,ve=>{this._logService.error(ve)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(D.getMarks());for(const Y of this._myRegistry.getAllExtensionDescriptions())if(Y.activationEvents)for(const le of Y.activationEvents)le==="onStartupFinished"&&this._activateOneStartupFinished(Y,le)}_handleEagerExtensions(){const Y=this._activateByEvent("*",!0).then(void 0,ge=>{this._logService.error(ge)});this._register(this._extHostWorkspace.onDidChangeWorkspace(ge=>this._handleWorkspaceContainsEagerExtensions(ge.added)));const le=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],ve=this._handleWorkspaceContainsEagerExtensions(le),J=Promise.all([Y,ve]).then(()=>{});return Promise.race([J,(0,y.timeout)(1e4)]).then(()=>{this._activateAllStartupFinished()}),J}_handleWorkspaceContainsEagerExtensions(Y){return Y.length===0?Promise.resolve(void 0):Promise.all(this._myRegistry.getAllExtensionDescriptions().map(le=>this._handleWorkspaceContainsEagerExtension(Y,le))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(Y,le){if(this.isActivated(le.identifier))return;const ve=!this._initData.remote.isRemote&&!!this._initData.remote.authority,J={logService:this._logService,folders:Y.map(_e=>_e.uri),forceUsingSearch:ve,exists:_e=>this._hostUtils.exists(_e.fsPath),checkExists:(_e,Te,me)=>this._mainThreadWorkspaceProxy.$checkExists(_e,Te,me)},ge=await(0,L.checkActivateWorkspaceContainsExtension)(J,le);if(!!ge)return this._activateById(le.identifier,{startup:!0,extensionId:le.identifier,activationEvent:ge.activationEvent}).then(void 0,_e=>this._logService.error(_e))}async $extensionTestsExecute(){await this._eagerExtensionsActivated.wait();try{return await this._doHandleExtensionTests()}catch(Y){throw console.error(Y),Y}}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:Y,extensionTestsLocationURI:le}=this._initData.environment;if(!Y||!le)throw new Error(u.localize(0,null));const ve=await this._loadCommonJSModule(null,le,new P.ExtensionActivationTimesBuilder(!1));if(!ve||typeof ve.run!="function")throw new Error(u.localize(1,null,le.toString()));return new Promise((J,ge)=>{const _e=(Pe,ue)=>{Pe?ge(Pe):J(typeof ue=="number"&&ue>0?1:0)},Te=(0,T.originalFSPath)(le),me=ve.run(Te,_e);me&&me.then&&me.then(()=>{J(0)}).catch(Pe=>{ge(Pe instanceof Error&&Pe.stack?Pe.stack:String(Pe))})})}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>{this._eagerExtensionsActivated.open(),this._logService.info("Eager extensions activated")})}registerRemoteAuthorityResolver(Y,le){return this._resolvers[Y]=le,(0,C.toDisposable)(()=>{delete this._resolvers[Y]})}async _activateAndGetResolver(Y){const le=Y.indexOf("+");if(le===-1)throw new Error("Not an authority that can be resolved!");const ve=Y.substr(0,le);return await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${ve}`,!1),{authorityPrefix:ve,resolver:this._resolvers[ve]}}async $resolveAuthority(Y,le){this._logService.info(`$resolveAuthority invoked for authority (${x(Y)})`);const{authorityPrefix:ve,resolver:J}=await this._activateAndGetResolver(Y);if(!J)return{type:"error",error:{code:h.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${ve}.`,detail:void 0}};try{this._register(await this._extHostTunnelService.setTunnelFactory(J)),D.mark(`code/extHost/willResolveAuthority/${ve}`);const ge=await J.resolve(Y,{resolveAttempt:le});D.mark(`code/extHost/didResolveAuthorityOK/${ve}`);const _e={authority:Y,host:ge.host,port:ge.port,connectionToken:ge.connectionToken},Te={extensionHostEnv:ge.extensionHostEnv,isTrusted:ge.isTrusted,authenticationSession:ge.authenticationSessionForInitializingExtensions?{id:ge.authenticationSessionForInitializingExtensions.id,providerId:ge.authenticationSessionForInitializingExtensions.providerId}:void 0};return{type:"ok",value:{authority:_e,options:Te,tunnelInformation:{environmentTunnels:ge.environmentTunnels,features:ge.tunnelFeatures}}}}catch(ge){if(D.mark(`code/extHost/didResolveAuthorityError/${ve}`),ge instanceof a.RemoteAuthorityResolverError)return{type:"error",error:{code:ge._code,message:ge._message,detail:ge._detail}};throw ge}}async $getCanonicalURI(Y,le){this._logService.info(`$getCanonicalURI invoked for authority (${x(Y)})`);const{resolver:ve}=await this._activateAndGetResolver(Y);if(!ve)return null;const J=I.URI.revive(le);if(typeof ve.getCanonicalURI=="undefined")return J;const ge=await(0,y.asPromise)(()=>ve.getCanonicalURI(J));return ge||J}static _applyExtensionsDelta(Y,le,ve){const J=new f.ExtensionDescriptionRegistry(Y.getAllExtensionDescriptions());J.deltaExtensions(ve.toAdd,ve.toRemove);const ge=(0,g.extensionIdentifiersArrayToSet)(le.getAllExtensionDescriptions().map(Te=>Te.identifier));for(const Te of ve.myToRemove)ge.delete(p.ExtensionIdentifier.toKey(Te));for(const Te of ve.myToAdd)ge.add(p.ExtensionIdentifier.toKey(Te));const _e=q(J,ge);return{globalRegistry:J,myExtensions:_e}}$startExtensionHost(Y){Y.toAdd.forEach(J=>J.extensionLocation=I.URI.revive(J.extensionLocation));const{globalRegistry:le,myExtensions:ve}=yn._applyExtensionsDelta(this._globalRegistry,this._myRegistry,Y);return this._globalRegistry.set(le.getAllExtensionDescriptions()),this._myRegistry.set(ve),this._startExtensionHost()}$activateByEvent(Y,le){return le===1?this._activateByEvent(Y,!1):this._readyToRunExtensions.wait().then(ve=>this._activateByEvent(Y,!1))}async $activate(Y,le){return await this._readyToRunExtensions.wait(),this._myRegistry.getExtensionDescription(Y)?(await this._activateById(Y,le),!0):!1}async $deltaExtensions(Y){Y.toAdd.forEach(_e=>_e.extensionLocation=I.URI.revive(_e.extensionLocation));const{globalRegistry:le,myExtensions:ve}=yn._applyExtensionsDelta(this._globalRegistry,this._myRegistry,Y),J=await this._createExtensionPathIndex(ve);return(await this.getExtensionPathIndex()).setSearchTree(J),this._globalRegistry.set(le.getAllExtensionDescriptions()),this._myRegistry.set(ve),Promise.resolve(void 0)}async $test_latency(Y){return Y}async $test_up(Y){return Y.byteLength}async $test_down(Y){const le=c.VSBuffer.alloc(Y),ve=Math.random()%256;for(let J=0;J<Y;J++)le.writeUInt8(ve,J);return le}async $updateRemoteConnectionData(Y){this._remoteConnectionData=Y,this._onDidChangeRemoteConnectionData.fire()}};X=st([He(0,r.IInstantiationService),He(1,e.IHostUtils),He(2,n.IExtHostRpcService),He(3,b.IExtHostWorkspace),He(4,_.IExtHostConfiguration),He(5,R.ILogService),He(6,o.IExtHostInitDataService),He(7,i.IExtensionStoragePaths),He(8,l.IExtHostTunnelService),He(9,d.IExtHostTerminalService)],X),e.AbstractExtHostExtensionService=X;function M(ee,Y){return{id:ee.identifier.value,name:ee.name,extensionVersion:ee.version,publisherDisplayName:ee.publisher,activationEvents:ee.activationEvents?ee.activationEvents.join(","):null,isBuiltin:ee.isBuiltin,reason:Y.activationEvent,reasonId:Y.extensionId.value}}e.IExtHostExtensionService=(0,r.createDecorator)("IExtHostExtensionService");class U{constructor(Y,le,ve,J,ge){$.set(this,void 0),B.set(this,void 0),z.set(this,void 0),tt(this,$,Y,"f"),tt(this,B,le,"f"),tt(this,z,ve.identifier,"f"),this.id=ve.identifier.value,this.extensionUri=ve.extensionLocation,this.extensionPath=t.normalize((0,T.originalFSPath)(ve.extensionLocation)),this.packageJSON=ve,this.extensionKind=J,this.isFromDifferentExtensionHost=ge}get isActive(){return Me(this,$,"f").isActivated(Me(this,z,"f"))}get exports(){if(!(this.packageJSON.api==="none"||this.isFromDifferentExtensionHost))return Me(this,$,"f").getExtensionExports(Me(this,z,"f"))}async activate(){if(this.isFromDifferentExtensionHost)throw new Error("Cannot activate foreign extension");return await Me(this,$,"f").activateByIdWithErrors(Me(this,z,"f"),{startup:!1,extensionId:Me(this,B,"f"),activationEvent:"api"}),this.exports}}e.Extension=U,$=new WeakMap,B=new WeakMap,z=new WeakMap;function q(ee,Y){return ee.getAllExtensionDescriptions().filter(le=>Y.has(p.ExtensionIdentifier.toKey(le.identifier)))}function x(ee){const Y=ee.indexOf("+");return Y===-1?ee:ee.substring(0,Y)}class V{constructor(Y){this._searchTree=Y}setSearchTree(Y){this._searchTree=Y}findSubstr(Y){return this._searchTree.findSubstr(Y)}forEach(Y){return this._searchTree.forEach(Y)}}e.ExtensionPaths=V}),define(Ie[282],ke([1,0,73,2,5,33,27,28,17,26,4,39,40,14,8]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let b=class{constructor(m,a,h,r,o,i,n){this._apiFactory=m,this._extensionRegistry=a,this._instaService=h,this._extHostConfiguration=r,this._extHostExtensionService=o,this._initData=i,this._logService=n,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),u.mark("code/extHost/willWaitForConfig");const m=await this._extHostConfiguration.getConfigProvider();u.mark("code/extHost/didWaitForConfig");const a=await this._extHostExtensionService.getExtensionPathIndex();this.register(new f(this._apiFactory,a,this._extensionRegistry,m,this._logService)),this.register(this._instaService.createInstance(v,a)),this.register(this._instaService.createInstance(g)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(p,a,this._initData.environment.appUriScheme))}register(m){if("nodeModuleName"in m)if(Array.isArray(m.nodeModuleName))for(const a of m.nodeModuleName)this._factories.set(a,m);else this._factories.set(m.nodeModuleName,m);typeof m.alternativeModuleName=="function"&&this._alternatives.push(a=>m.alternativeModuleName(a))}};b=st([He(2,R.IInstantiationService),He(3,T.IExtHostConfiguration),He(4,k.IExtHostExtensionService),He(5,I.IExtHostInitDataService),He(6,P.ILogService)],b),e.RequireInterceptor=b;let g=class Wn{constructor(m){if(m.environment.appRoot&&Wn.aliased.size){const a=(0,w.escapeRegExpCharacters)(this.forceForwardSlashes(m.environment.appRoot.fsPath)),h="[a-z0-9_.-]",r=`@${h}+\\/${h}+|${h}+`,o="node_modules|node_modules\\.asar(?:\\.unpacked)?";this.re=new RegExp(`^(${a}/${o}\\/)(${r})(.*)$`,"i")}}alternativeModuleName(m){if(!this.re)return;const a=this.re.exec(this.forceForwardSlashes(m));if(!a)return;const[,h,r,o]=a,i=Wn.aliased.get(r);if(i!==void 0)return console.warn(`${r} as been renamed to ${i}, please update your imports`),h+i+o}forceForwardSlashes(m){return m.replace(/\\/g,"/")}};g.aliased=new Map([["vscode-ripgrep","@vscode/ripgrep"],["vscode-windows-registry","@vscode/windows-registry"]]),g=st([He(0,I.IExtHostInitDataService)],g);class f{constructor(m,a,h,r,o){this._apiFactory=m,this._extensionPaths=a,this._extensionRegistry=h,this._configProvider=r,this._logService=o,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(m,a){const h=this._extensionPaths.findSubstr(a);if(h){let r=this._extApiImpl.get(C.ExtensionIdentifier.toKey(h.identifier));return r||(r=this._apiFactory(h,this._extensionRegistry,this._configProvider),this._extApiImpl.set(C.ExtensionIdentifier.toKey(h.identifier),r)),r}if(!this._defaultApiImpl){let r="";this._extensionPaths.forEach((o,i)=>r+=`	${i} -> ${o.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${a}. These are the extension path mappings: 
${r}`),this._defaultApiImpl=this._apiFactory(y.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let v=class{constructor(m,a,h){this._extensionPaths=m,this.nodeModuleName="keytar",this._mainThreadTelemetry=a.getProxy(D.MainContext.MainThreadTelemetry);const{environment:r}=h,o=a.getProxy(D.MainContext.MainThreadKeytar);if(r.appRoot){let i=r.appRoot.fsPath;_.platform==="win32"&&(i=i.replace(/\\/g,"/")),i[i.length-1]==="/"&&(i=i.substr(0,i.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${i}/node_modules.asar/keytar`),this.alternativeNames.add(`${i}/node_modules/keytar`)}this._impl={getPassword:(i,n)=>o.$getPassword(i,n),setPassword:(i,n,s)=>o.$setPassword(i,n,s),deletePassword:(i,n)=>o.$deletePassword(i,n),findPassword:i=>o.$findPassword(i),findCredentials(i){return o.$findCredentials(i)}}}load(m,a){const h=this._extensionPaths.findSubstr(a);return this._mainThreadTelemetry.$publicLog2("shimming.keytar",{extension:h?.identifier.value??"unknown_extension"}),this._impl}alternativeModuleName(m){const a=m.length;if(a<=7||!this.alternativeNames)return;const h=a-7;if((m.charAt(h)==="/"||m.charAt(h)==="\\")&&m.endsWith("keytar")&&(m=m.replace(/\\/g,"/"),this.alternativeNames.has(m)))return"keytar"}};v=st([He(1,E.IExtHostRpcService),He(2,I.IExtHostInitDataService)],v);let p=class{constructor(m,a,h){this._extensionPaths=m,this._appUriScheme=a,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=h.getProxy(D.MainContext.MainThreadTelemetry);const r=h.getProxy(D.MainContext.MainThreadWindow);this._impl=(o,i)=>{const n=t.URI.parse(o);return i?this.callOriginal(o,i):n.scheme==="http"||n.scheme==="https"?r.$openUri(n,o,{allowTunneling:!0}):n.scheme==="mailto"||n.scheme===this._appUriScheme?r.$openUri(n,o,{}):this.callOriginal(o,i)}}load(m,a,h){const r=this._extensionPaths.findSubstr(a);return r&&(this._extensionId=r.identifier.value,this.sendShimmingTelemetry()),this._original=h(m),this._impl}callOriginal(m,a){return this.sendNoForwardTelemetry(),this._original(m,a)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};p=st([He(2,E.IExtHostRpcService)],p)}),define(Ie[47],ke([1,0,78,6,9,40,4,54,55,39,7,32,220,33]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostVariableResolverProviderService=e.IExtHostVariableResolverProvider=void 0,e.IExtHostVariableResolverProvider=(0,y.createDecorator)("IExtHostVariableResolverProvider");class w extends _.AbstractVariableResolverService{constructor(f,v,p,c,m,a,h){function r(){if(p){const o=p.activeEditor();if(o)return o.document.uri;const i=c.tabGroups.all.find(n=>n.isActive)?.activeTab;if(i!==void 0){if(i.input instanceof R.TextDiffTabInput||i.input instanceof R.NotebookDiffEditorTabInput)return i.input.modified;if(i.input instanceof R.TextTabInput||i.input instanceof R.NotebookEditorTabInput||i.input instanceof R.CustomEditorTabInput)return i.input.uri}}}super({getFolderUri:o=>{const i=a.folders.filter(n=>n.name===o);if(i&&i.length>0)return i[0].uri},getWorkspaceFolderCount:()=>a.folders.length,getConfigurationValue:(o,i)=>m.getConfiguration(void 0,o).get(i),getAppRoot:()=>T.cwd(),getExecPath:()=>T.env.VSCODE_EXEC_PATH,getFilePath:()=>{const o=r();if(o)return D.normalize(o.fsPath)},getWorkspaceFolderPathForFile:()=>{if(v){const o=r();if(o){const i=v.getWorkspaceFolder(o);if(i)return D.normalize(i.uri.fsPath)}}},getSelectedText:()=>{if(p){const o=p.activeEditor();if(o&&!o.selection.isEmpty)return o.document.getText(o.selection)}},getLineNumber:()=>{if(p){const o=p.activeEditor();if(o)return String(o.selection.end.line+1)}},getExtension:o=>f.getExtension(o)},void 0,h?Promise.resolve(h):void 0,Promise.resolve(T.env))}}let b=class extends t.Disposable{constructor(f,v,p,c,m){super();this.extensionService=f,this.workspaceService=v,this.editorService=p,this.configurationService=c,this.editorTabs=m,this._resolver=new u.Lazy(async()=>{const a=await this.configurationService.getConfigProvider(),r={folders:await this.workspaceService.getWorkspaceFolders2()||[]};return this._register(this.workspaceService.onDidChangeWorkspace(async o=>{r.folders=await this.workspaceService.getWorkspaceFolders2()||[]})),new w(this.extensionService,this.workspaceService,this.editorService,this.editorTabs,a,r,this.homeDir())})}getResolver(){return this._resolver.getValue()}homeDir(){}};b=st([He(0,I.IExtHostExtensionService),He(1,k.IExtHostWorkspace),He(2,C.IExtHostDocumentsAndEditors),He(3,P.IExtHostConfiguration),He(4,E.IExtHostEditorTabs)],b),e.ExtHostVariableResolverProviderService=b}),define(Ie[74],ke([1,0,18,3,10,2,4,5,55,39,17,7,32,127,214,33,47]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=(0,y.createDecorator)("IExtHostDebugService");let f=class{constructor(r,o,i,n,s,l){this._workspaceService=o,this._extensionService=i,this._configurationService=n,this._editorTabs=s,this._variableResolver=l,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new t.Emitter,this._onDidTerminateDebugSession=new t.Emitter,this._onDidChangeActiveDebugSession=new t.Emitter,this._onDidReceiveDebugSessionCustomEvent=new t.Emitter,this._debugServiceProxy=r.getProxy(C.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new t.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new p(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(d=>{d.onDidChange(S=>{this.registerAllDebugTypes(d)}),this.registerAllDebugTypes(d)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(r,o){const i=r;if(typeof i.sourceReference=="number"&&i.sourceReference>0){let n=`debug:${encodeURIComponent(i.path||"")}`,s="?";return o&&(n+=`${s}session=${encodeURIComponent(o.id)}`,s="&"),n+=`${s}ref=${i.sourceReference}`,T.URI.parse(n)}else{if(i.path)return T.URI.file(i.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(r){const o=[];for(const i of r.getAllExtensionDescriptions())if(i.contributes){const n=i.contributes.debuggers;if(n&&n.length>0)for(const s of n)(0,w.isDebuggerMainContribution)(s)&&o.push(s.type)}this._debugServiceProxy.$registerDebugTypes(o)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const r=[];return this._breakpoints.forEach(o=>r.push(o)),r}addBreakpoints(r){this.startBreakpoints();const o=r.filter(s=>{const l=s.id;return this._breakpoints.has(l)?!1:(this._breakpoints.set(l,s),!0)});this.fireBreakpointChanges(o,[],[]);const i=[],n=new Map;for(const s of o)if(s instanceof k.SourceBreakpoint){let l=n.get(s.location.uri.toString());l||(l={type:"sourceMulti",uri:s.location.uri,lines:[]},n.set(s.location.uri.toString(),l),i.push(l)),l.lines.push({id:s.id,enabled:s.enabled,condition:s.condition,hitCondition:s.hitCondition,logMessage:s.logMessage,line:s.location.range.start.line,character:s.location.range.start.character})}else s instanceof k.FunctionBreakpoint&&i.push({type:"function",id:s.id,enabled:s.enabled,hitCondition:s.hitCondition,logMessage:s.logMessage,condition:s.condition,functionName:s.functionName});return this._debugServiceProxy.$registerBreakpoints(i)}removeBreakpoints(r){this.startBreakpoints();const o=r.filter(l=>this._breakpoints.delete(l.id));this.fireBreakpointChanges([],o,[]);const i=o.filter(l=>l instanceof k.SourceBreakpoint).map(l=>l.id),n=o.filter(l=>l instanceof k.FunctionBreakpoint).map(l=>l.id),s=o.filter(l=>l instanceof k.DataBreakpoint).map(l=>l.id);return this._debugServiceProxy.$unregisterBreakpoints(i,n,s)}startDebugging(r,o,i){return this._debugServiceProxy.$startDebugging(r?r.uri:void 0,o,{parentSessionID:i.parentSession?i.parentSession.id:void 0,lifecycleManagedByParent:i.lifecycleManagedByParent,repl:i.consoleMode===k.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:i.noDebug,compact:i.compact,debugUI:i.debugUI,suppressSaveBeforeStart:i.suppressSaveBeforeStart})}stopDebugging(r){return this._debugServiceProxy.$stopDebugging(r?r.id:void 0)}registerDebugConfigurationProvider(r,o,i){if(!o)return new k.Disposable(()=>{});const n=this._configProviderHandleCounter++;return this._configProviders.push({type:r,handle:n,provider:o}),this._debugServiceProxy.$registerDebugConfigurationProvider(r,i,!!o.provideDebugConfigurations,!!o.resolveDebugConfiguration,!!o.resolveDebugConfigurationWithSubstitutedVariables,n),new k.Disposable(()=>{this._configProviders=this._configProviders.filter(s=>s.provider!==o),this._debugServiceProxy.$unregisterDebugConfigurationProvider(n)})}registerDebugAdapterDescriptorFactory(r,o,i){if(!i)return new k.Disposable(()=>{});if(!this.definesDebugType(r,o))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${o}' debugger.`);if(this.getAdapterDescriptorFactoryByType(o))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const n=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:o,handle:n,factory:i}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(o,n),new k.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(s=>s.factory!==i),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(n)})}registerDebugAdapterTrackerFactory(r,o){if(!o)return new k.Disposable(()=>{});const i=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:r,handle:i,factory:o}),new k.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(n=>n.factory!==o)})}async $runInTerminal(r,o){return Promise.resolve(void 0)}async $substituteVariables(r,o){let i;const n=await this.getFolder(r);return n&&(i={uri:n.uri,name:n.name,index:n.index,toResource:()=>{throw new Error("Not implemented")}}),(await this._variableResolver.getResolver()).resolveAnyAsync(i,o)}createDebugAdapter(r,o){if(r.type==="implementation")return new m(r.implementation)}createSignService(){}async $startDASession(r,o){const i=this,n=await this.getSession(o);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(n.type),n).then(s=>{if(!s)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${n.type}' (extension might have failed to activate)`);const l=this.convertToDto(s),d=this.createDebugAdapter(l,n);if(!d)throw new Error(`Couldn't create a debug adapter for type '${n.type}'.`);const S=d;return this._debugAdapters.set(r,S),this.getDebugAdapterTrackers(n).then(L=>(L&&this._debugAdaptersTrackers.set(r,L),S.onMessage(async F=>{if(F.type==="request"&&F.command==="handshake"){const N=F,A={type:"response",seq:0,command:N.command,request_seq:N.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const $=await this._signService.sign(N.arguments.value);A.body={signature:$},S.sendResponse(A)}else throw new Error("no signer")}catch($){A.success=!1,A.message=$.message,S.sendResponse(A)}}else L&&L.onDidSendMessage&&L.onDidSendMessage(F),F=(0,w.convertToVSCPaths)(F,!0),i._debugServiceProxy.$acceptDAMessage(r,F)}),S.onError(F=>{L&&L.onError&&L.onError(F),this._debugServiceProxy.$acceptDAError(r,F.name,F.message,F.stack)}),S.onExit(F=>{L&&L.onExit&&L.onExit((0,D.withNullAsUndefined)(F),void 0),this._debugServiceProxy.$acceptDAExit(r,(0,D.withNullAsUndefined)(F),void 0)}),L&&L.onWillStartSession&&L.onWillStartSession(),S.startSession()))})}$sendDAMessage(r,o){o=(0,w.convertToDAPaths)(o,!1);const i=this._debugAdaptersTrackers.get(r);i&&i.onWillReceiveMessage&&i.onWillReceiveMessage(o),this._debugAdapters.get(r)?.sendMessage(o)}$stopDASession(r){const o=this._debugAdaptersTrackers.get(r);this._debugAdaptersTrackers.delete(r),o&&o.onWillStopSession&&o.onWillStopSession();const i=this._debugAdapters.get(r);return this._debugAdapters.delete(r),i?i.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(r){const o=[],i=[],n=[];if(r.added)for(const s of r.added){const l=s.id;if(l&&!this._breakpoints.has(l)){let d;if(s.type==="function")d=new k.FunctionBreakpoint(s.functionName,s.enabled,s.condition,s.hitCondition,s.logMessage);else if(s.type==="data")d=new k.DataBreakpoint(s.label,s.dataId,s.canPersist,s.enabled,s.hitCondition,s.condition,s.logMessage);else{const S=T.URI.revive(s.uri);d=new k.SourceBreakpoint(new k.Location(S,new k.Position(s.line,s.character)),s.enabled,s.condition,s.hitCondition,s.logMessage)}d._id=l,this._breakpoints.set(l,d),o.push(d)}}if(r.removed)for(const s of r.removed){const l=this._breakpoints.get(s);l&&(this._breakpoints.delete(s),i.push(l))}if(r.changed){for(const s of r.changed)if(s.id){const l=this._breakpoints.get(s.id);if(l){if(l instanceof k.FunctionBreakpoint&&s.type==="function"){const d=l;d.enabled=s.enabled,d.condition=s.condition,d.hitCondition=s.hitCondition,d.logMessage=s.logMessage,d.functionName=s.functionName}else if(l instanceof k.SourceBreakpoint&&s.type==="source"){const d=l;d.enabled=s.enabled,d.condition=s.condition,d.hitCondition=s.hitCondition,d.logMessage=s.logMessage,d.location=new k.Location(T.URI.revive(s.uri),new k.Position(s.line,s.character))}n.push(l)}}}this.fireBreakpointChanges(o,i,n)}$provideDebugConfigurations(r,o,i){return(0,u.asPromise)(async()=>{const n=this.getConfigProviderByHandle(r);if(!n)throw new Error("no DebugConfigurationProvider found");if(!n.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const s=await this.getFolder(o);return n.provideDebugConfigurations(s,i)}).then(n=>{if(!n)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return n})}$resolveDebugConfiguration(r,o,i,n){return(0,u.asPromise)(async()=>{const s=this.getConfigProviderByHandle(r);if(!s)throw new Error("no DebugConfigurationProvider found");if(!s.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const l=await this.getFolder(o);return s.resolveDebugConfiguration(l,i,n)})}$resolveDebugConfigurationWithSubstitutedVariables(r,o,i,n){return(0,u.asPromise)(async()=>{const s=this.getConfigProviderByHandle(r);if(!s)throw new Error("no DebugConfigurationProvider found");if(!s.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const l=await this.getFolder(o);return s.resolveDebugConfigurationWithSubstitutedVariables(l,i,n)})}async $provideDebugAdapter(r,o){const i=this.getAdapterDescriptorFactoryByHandle(r);if(!i)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const n=await this.getSession(o);return this.getAdapterDescriptor(i,n).then(s=>{if(!s)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${n.type}'`);return this.convertToDto(s)})}async $acceptDebugSessionStarted(r){const o=await this.getSession(r);this._onDidStartDebugSession.fire(o)}async $acceptDebugSessionTerminated(r){const o=await this.getSession(r);o&&(this._onDidTerminateDebugSession.fire(o),this._debugSessions.delete(o.id))}async $acceptDebugSessionActiveChanged(r){this._activeDebugSession=r?await this.getSession(r):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(r,o){(await this.getSession(r))?._acceptNameChanged(o)}async $acceptDebugSessionCustomEvent(r,o){const n={session:await this.getSession(r),event:o.event,body:o.body};this._onDidReceiveDebugSessionCustomEvent.fire(n)}convertToDto(r){if(r instanceof k.DebugAdapterExecutable)return{type:"executable",command:r.command,args:r.args,options:r.options};if(r instanceof k.DebugAdapterServer)return{type:"server",port:r.port,host:r.host};if(r instanceof k.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:r.path};if(r instanceof k.DebugAdapterInlineImplementation)return{type:"implementation",implementation:r.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(r){const o=this._adapterFactories.filter(i=>i.type===r);if(o.length>0)return o[0].factory}getAdapterDescriptorFactoryByHandle(r){const o=this._adapterFactories.filter(i=>i.handle===r);if(o.length>0)return o[0].factory}getConfigProviderByHandle(r){const o=this._configProviders.filter(i=>i.handle===r);if(o.length>0)return o[0].provider}definesDebugType(r,o){if(r.contributes){const i=r.contributes.debuggers;if(i&&i.length>0){for(const n of i)if(n.label&&n.type&&n.type===o)return!0}}return!1}getDebugAdapterTrackers(r){const i=r.configuration.type,n=this._trackerFactories.filter(s=>s.type===i||s.type==="*").map(s=>(0,u.asPromise)(()=>s.factory.createDebugAdapterTracker(r)).then(l=>l,l=>null));return Promise.race([Promise.all(n).then(s=>{const l=s.filter(d=>!!d);if(l.length>0)return new c(l)}),new Promise((s,l)=>{const d=setTimeout(()=>{clearTimeout(d),l(new Error("timeout"))},1e3)})]).catch(s=>{})}async getAdapterDescriptor(r,o){const i=o.configuration.debugServer;if(typeof i=="number")return Promise.resolve(new k.DebugAdapterServer(i));if(r){const s=await this._extensionService.getExtensionRegistry();return(0,u.asPromise)(()=>r.createDebugAdapterDescriptor(o,this.daExecutableFromPackage(o,s))).then(l=>{if(l)return l})}const n=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(o,n))}daExecutableFromPackage(r,o){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(r,o,i){(r.length>0||o.length>0||i.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:r,removed:o,changed:i}))}async getSession(r){if(r)if(typeof r=="string"){const o=this._debugSessions.get(r);if(o)return o}else{let o=this._debugSessions.get(r.id);if(!o){const i=await this.getFolder(r.folderUri),n=r.parent?this._debugSessions.get(r.parent):void 0;o=new v(this._debugServiceProxy,r.id,r.type,r.name,i,r.configuration,n),this._debugSessions.set(o.id,o),this._debugServiceProxy.$sessionCached(o.id)}return o}throw new Error("cannot find session")}getFolder(r){if(r){const o=T.URI.revive(r);return this._workspaceService.resolveWorkspaceFolder(o)}return Promise.resolve(void 0)}};f=st([He(0,R.IExtHostRpcService),He(1,_.IExtHostWorkspace),He(2,I.IExtHostExtensionService),He(3,b.IExtHostConfiguration),He(4,E.IExtHostEditorTabs),He(5,g.IExtHostVariableResolverProvider)],f),e.ExtHostDebugServiceBase=f;class v{constructor(r,o,i,n,s,l,d){this._debugServiceProxy=r,this._id=o,this._type=i,this._name=n,this._workspaceFolder=s,this._configuration=l,this._parentSession=d}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(r){this._name=r,this._debugServiceProxy.$setDebugSessionName(this._id,r)}get parentSession(){return this._parentSession}_acceptNameChanged(r){this._name=r}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(r,o){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,r,o)}getDebugProtocolBreakpoint(r){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,r.id)}}e.ExtHostDebugSession=v;class p{constructor(r){this.value=Object.freeze({append(o){r.$appendDebugConsole(o)},appendLine(o){this.append(o+`
`)}})}}e.ExtHostDebugConsole=p;class c{constructor(r){this.trackers=r}onWillStartSession(){this.trackers.forEach(r=>r.onWillStartSession?r.onWillStartSession():void 0)}onWillReceiveMessage(r){this.trackers.forEach(o=>o.onWillReceiveMessage?o.onWillReceiveMessage(r):void 0)}onDidSendMessage(r){this.trackers.forEach(o=>o.onDidSendMessage?o.onDidSendMessage(r):void 0)}onWillStopSession(){this.trackers.forEach(r=>r.onWillStopSession?r.onWillStopSession():void 0)}onError(r){this.trackers.forEach(o=>o.onError?o.onError(r):void 0)}onExit(r,o){this.trackers.forEach(i=>i.onExit?i.onExit(r,o):void 0)}}class m extends P.AbstractDebugAdapter{constructor(r){super();this.implementation=r,r.onDidSendMessage(o=>{this.acceptMessage(o)})}startSession(){return Promise.resolve(void 0)}sendMessage(r){this.implementation.handleMessage(r)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let a=class extends f{constructor(r,o,i,n,s,l){super(r,o,i,n,s,l)}};a=st([He(0,R.IExtHostRpcService),He(1,_.IExtHostWorkspace),He(2,I.IExtHostExtensionService),He(3,b.IExtHostConfiguration),He(4,E.IExtHostEditorTabs),He(5,g.IExtHostVariableResolverProvider)],a),e.WorkerExtHostDebugService=a}),define(Ie[283],ke([1,0,12,73,2,5,275,14,82,85,26,194,17,64,39]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class b{constructor(f,v,p,c,m){this._hostUtils=p,this._rpcProtocol=new y.RPCProtocol(f,null,c),v=b._transform(v,this._rpcProtocol);const a=new I.ServiceCollection(...(0,E.getSingletonServiceDescriptors)());a.set(R.IExtHostInitDataService,{_serviceBrand:void 0,...v,messagePorts:m}),a.set(_.IExtHostRpcService,new _.ExtHostRpcService(this._rpcProtocol)),a.set(P.IURITransformerService,new P.URITransformerService(c)),a.set(w.IHostUtils,p);const h=new k.InstantiationService(a,!0);this._logService=h.invokeFunction(n=>n.get(C.ILogService)),t.mark("code/extHost/didCreateServices"),this._hostUtils.pid?this._logService.info(`Extension host with pid ${this._hostUtils.pid} started`):this._logService.info("Extension host started"),this._logService.trace("initData",v),this._extensionService=h.invokeFunction(n=>n.get(w.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const r=new WeakMap;this._extensionService.getExtensionPathIndex().then(n=>{Error.prepareStackTrace=(s,l)=>{let d="",S,L;for(const F of l)d+=`
	at ${F.toString()}`,L=F.getFileName(),!S&&L&&(S=n.findSubstr(D.URI.file(L)));return r.set(s,S),`${s.name||"Error"}: ${s.message||""}${d}`}});const o=this._rpcProtocol.getProxy(T.MainContext.MainThreadExtensionService),i=this._rpcProtocol.getProxy(T.MainContext.MainThreadErrors);u.setUnexpectedErrorHandler(n=>{const s=u.transformErrorForSerialization(n),l=r.get(n);l?o.$onExtensionRuntimeError(l.identifier,s):i.$onUnexpectedError(s)})}async asBrowserUri(f){const v=this._rpcProtocol.getProxy(T.MainContext.MainThreadExtensionService);return D.URI.revive(await v.$asBrowserUri(f))}terminate(f){this._extensionService.terminate(f)}static _transform(f,v){f.allExtensions.forEach(c=>c.extensionLocation=D.URI.revive(v.transformIncomingURIs(c.extensionLocation))),f.environment.appRoot=D.URI.revive(v.transformIncomingURIs(f.environment.appRoot));const p=f.environment.extensionDevelopmentLocationURI;return p&&(f.environment.extensionDevelopmentLocationURI=p.map(c=>D.URI.revive(v.transformIncomingURIs(c)))),f.environment.extensionTestsLocationURI=D.URI.revive(v.transformIncomingURIs(f.environment.extensionTestsLocationURI)),f.environment.globalStorageHome=D.URI.revive(v.transformIncomingURIs(f.environment.globalStorageHome)),f.environment.workspaceStorageHome=D.URI.revive(v.transformIncomingURIs(f.environment.workspaceStorageHome)),f.logsLocation=D.URI.revive(v.transformIncomingURIs(f.logsLocation)),f.logFile=D.URI.revive(v.transformIncomingURIs(f.logFile)),f.workspace=v.transformIncomingURIs(f.workspace),f}}e.ExtensionHostMain=b}),define(Ie[284],ke([1,0,18,13,177,193,201,74,55,39,17,38,7,47,32,215,217,33]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.runInExternalTerminal=e.ExtHostDebugService=void 0;let v=class extends C.ExtHostDebugServiceBase{constructor(h,r,o,i,n,s,l){super(h,r,o,i,s,l);this._terminalService=n,this._integratedTerminalInstances=new m}createDebugAdapter(h,r){switch(h.type){case"server":return new b.SocketDebugAdapter(h);case"pipeServer":return new b.NamedPipeDebugAdapter(h);case"executable":return new b.ExecutableDebugAdapter(h,r.type)}return super.createDebugAdapter(h,r)}daExecutableFromPackage(h,r){const o=b.ExecutableDebugAdapter.platformAdapterExecutable(r.getAllExtensionDescriptions(),h.type);if(o)return new _.DebugAdapterExecutable(o.command,o.args,o.options)}createSignService(){return new y.SignService}async $runInTerminal(h,r){if(h.kind==="integrated"){this._terminalDisposedListener||(this._terminalDisposedListener=this._terminalService.onDidCloseTerminal($=>{this._integratedTerminalInstances.onTerminalClosed($)}));const o=await this._configurationService.getConfigProvider(),i=this._terminalService.getDefaultShell(!0),n=this._terminalService.getDefaultShellArgs(!0),s=h.title||D.localize(0,null),l=JSON.stringify({shell:i,shellArgs:n});let d=await this._integratedTerminalInstances.checkout(l,s),S,L=!1;if(d)S=h.cwd;else{const $={shellPath:i,shellArgs:n,cwd:h.cwd,name:s,iconPath:new _.ThemeIcon("debug")};L=!0,d=this._terminalService.createTerminalFromOptions($,{isFeatureTerminal:!0,useShellEnvironment:!0}),this._integratedTerminalInstances.insert(d,l)}d.show(!0);const F=await d.processId;L?await new Promise($=>setTimeout($,1e3)):o.getConfiguration("debug.terminal").get("clearBeforeReusing")&&(i.indexOf("powershell")>=0||i.indexOf("pwsh")>=0||i.indexOf("cmd.exe")>=0?d.sendText("cls"):i.indexOf("bash")>=0?d.sendText("clear"):t.isWindows?d.sendText("cls"):d.sendText("clear"));const N=(0,g.prepareCommand)(i,h.args,S,h.env);d.sendText(N);const A=this.onDidTerminateDebugSession($=>{$.id===r&&(this._integratedTerminalInstances.free(d),A.dispose())});return F}else if(h.kind==="external")return c(h,await this._configurationService.getConfigProvider());return super.$runInTerminal(h,r)}};v=st([He(0,R.IExtHostRpcService),He(1,w.IExtHostWorkspace),He(2,I.IExtHostExtensionService),He(3,f.IExtHostConfiguration),He(4,k.IExtHostTerminalService),He(5,E.IExtHostEditorTabs),He(6,P.IExtHostVariableResolverProvider)],v),e.ExtHostDebugService=v;let p;function c(a,h){if(!p)if(t.isWindows)p=new T.WindowsExternalTerminalService;else if(t.isMacintosh)p=new T.MacExternalTerminalService;else if(t.isLinux)p=new T.LinuxExternalTerminalService;else throw new Error("external terminals not supported on this platform");const r=h.getConfiguration("terminal");return p.runInTerminal(a.title,a.cwd,a.args,a.env||{},r.external||{})}e.runInExternalTerminal=c;class m{constructor(){this._terminalInstances=new Map}async checkout(h,r){const i=[...this._terminalInstances.entries()].map(([n,s])=>(0,u.createCancelablePromise)(async l=>{if(n.name!==r||s.lastUsedAt!==-1&&await(0,g.hasChildProcesses)(await n.processId))return null;const d=Date.now();return s.lastUsedAt+m.minUseDelay>d||l.isCancellationRequested||s.config!==h?null:(s.lastUsedAt=d,n)}));return await(0,u.firstParallel)(i,n=>!!n)}insert(h,r){this._terminalInstances.set(h,{lastUsedAt:Date.now(),config:r})}free(h){const r=this._terminalInstances.get(h);r&&(r.lastUsedAt=-1)}onTerminalClosed(h){this._terminalInstances.delete(h)}}m.minUseDelay=1e3}),define(Ie[285],ke([1,0,9,2,114,32,54,33,45,38,17,26,72,11,14,67,22,81,47]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTask=void 0;let p=class extends _.ExtHostTaskBase{constructor(m,a,h,r,o,i,n,s,l){super(m,a,h,r,o,i,n,s);this.workspaceService=h,this.variableResolver=l,a.remote.isRemote&&a.remote.authority?this.registerTaskSystem(P.Schemas.vscodeRemote,{scheme:P.Schemas.vscodeRemote,authority:a.remote.authority,platform:process.platform}):this.registerTaskSystem(P.Schemas.file,{scheme:P.Schemas.file,authority:"",platform:process.platform}),this._proxy.$registerSupportedExecutions(!0,!0,!0)}async executeTask(m,a){const h=a;if(!a.execution&&h._id===void 0)throw new Error("Tasks to execute must include an execution");if(h._id!==void 0){const r=_.TaskHandleDTO.from(h,this.workspaceService),o=await this._proxy.$getTaskExecution(r);if(o.task===void 0)throw new Error("Task from execution DTO is undefined");const i=await this.getTaskExecution(o,a);return this._proxy.$executeTask(r).catch(()=>{}),i}else{const r=_.TaskDTO.from(a,m);if(r===void 0)return Promise.reject(new Error("Task is not valid"));_.CustomExecutionDTO.is(r.execution)&&await this.addCustomExecution(r,a,!1);const o=await this.getTaskExecution(await this._proxy.$getTaskExecution(r),a);return this._proxy.$executeTask(r).catch(()=>{}),o}}provideTasksInternal(m,a,h,r){const o=[];if(r)for(const i of r){this.checkDeprecation(i,h),(!i.definition||!m[i.definition.type])&&this._logService.warn(`The task [${i.source}, ${i.name}] uses an undefined task type. The task will be ignored in the future.`);const n=_.TaskDTO.from(i,h.extension);n&&(o.push(n),_.CustomExecutionDTO.is(n.execution)&&a.push(this.addCustomExecution(n,i,!0)))}return{tasks:o,extension:h.extension}}async resolveTaskInternal(m){return m}async getAFolder(m){let a=m&&m.length>0?m[0]:void 0;if(!a){const h=t.URI.file((0,f.homedir)());a=new E.WorkspaceFolder({uri:h,name:g.basename(h),index:0})}return{uri:a.uri,name:a.name,index:a.index,toResource:()=>{throw new Error("Not implemented")}}}async $resolveVariables(m,a){const h=t.URI.revive(m),r={process:void 0,variables:Object.create(null)},o=await this._workspaceProvider.resolveWorkspaceFolder(h),i=await this._workspaceProvider.getWorkspaceFolders2()??[],n=await this.variableResolver.getResolver(),s=o?{uri:o.uri,name:o.name,index:o.index,toResource:()=>{throw new Error("Not implemented")}}:await this.getAFolder(i);for(const l of a.variables)r.variables[l]=await n.resolveAsync(s,l);if(a.process!==void 0){let l;if(a.process.path!==void 0){l=a.process.path.split(u.delimiter);for(let d=0;d<l.length;d++)l[d]=await n.resolveAsync(s,l[d])}r.process=await D.win32.findExecutable(await n.resolveAsync(s,a.process.name),a.process.cwd!==void 0?await n.resolveAsync(s,a.process.cwd):void 0,l)}return r}async $jsonTasksSupported(){return!0}async $findExecutable(m,a,h){return D.win32.findExecutable(m,a,h)}};p=st([He(0,R.IExtHostRpcService),He(1,k.IExtHostInitDataService),He(2,T.IExtHostWorkspace),He(3,y.IExtHostDocumentsAndEditors),He(4,C.IExtHostConfiguration),He(5,I.IExtHostTerminalService),He(6,w.ILogService),He(7,b.IExtHostApiDeprecationService),He(8,v.IExtHostVariableResolverProvider)],p),e.ExtHostTask=p}),define(Ie[286],ke([1,0,81,47]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeExtHostVariableResolverProviderService=void 0;class D extends t.ExtHostVariableResolverProviderService{homeDir(){return(0,u.homedir)()}}e.NodeExtHostVariableResolverProviderService=D}),define(Ie[139],ke([1,0,16,18,21,49,11,9,22,10,2,31]),function(Q,e,u,t,D,T,y,C,E,I,R,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class _{constructor(p,c,m,a){this.query=p,this.provider=c,this.fileUtils=m,this.processType=a,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(p,c){const m=this.query.folderQueries||[],a=new D.CancellationTokenSource;return c.onCancellationRequested(()=>a.cancel()),new Promise((h,r)=>{this.collector=new w(p);let o=!1;const i=(n,s)=>{if(!o&&!this.isLimitHit){const l=this.resultSize(n);g(n)&&typeof this.query.maxResults=="number"&&this.resultCount+l>this.query.maxResults&&(this.isLimitHit=!0,o=!0,a.cancel(),n=this.trimResultToSize(n,this.query.maxResults-this.resultCount));const d=this.resultSize(n);this.resultCount+=d,(d>0||!g(n))&&this.collector.add(n,s)}};Promise.all(m.map((n,s)=>this.searchInFolder(n,l=>i(l,s),a.token))).then(n=>{a.dispose(),this.collector.flush();const s=n.some(l=>!!l&&!!l.limitHit);h({limitHit:this.isLimitHit||s,messages:(0,u.flatten)(n.map(l=>l?.message?(0,I.isArray)(l.message)?l.message:[l.message]:[])),stats:{type:this.processType}})},n=>{a.dispose();const s=(0,T.toErrorMessage)(n);r(new Error(s))})})}resultSize(p){return g(p)?Array.isArray(p.ranges)?p.ranges.length:1:0}trimResultToSize(p,c){const m=Array.isArray(p.ranges)?p.ranges:[p.ranges],a=Array.isArray(p.preview.matches)?p.preview.matches:[p.preview.matches];return{ranges:m.slice(0,c),preview:{matches:a.slice(0,c),text:p.preview.text},uri:p.uri}}async searchInFolder(p,c,m){const a=new k.QueryGlobTester(this.query,p),h=[],r={report:n=>{if(!this.validateProviderResult(n))return;const s=p.folder.scheme===y.Schemas.file?(0,k.hasSiblingPromiseFn)(()=>this.fileUtils.readdir(E.dirname(n.uri))):void 0,l=E.relativePath(p.folder,n.uri);if(l){const d=a.includedInQuery(l,C.basename(l),s);(0,t.isThenable)(d)?h.push(d.then(S=>{S&&c(n)})):d&&c(n)}}},o=this.getSearchOptionsForFolder(p),i=await this.provider.provideTextSearchResults(P(this.query.contentPattern),o,r,m);return h.length&&await Promise.all(h),i}validateProviderResult(p){if(g(p)){if(Array.isArray(p.ranges)){if(!Array.isArray(p.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(p.preview.matches.length!==p.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(p.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(p){const c=(0,k.resolvePatternsForProvider)(this.query.includePattern,p.includePattern),m=(0,k.resolvePatternsForProvider)(this.query.excludePattern,p.excludePattern),a={folder:R.URI.from(p.folder),excludes:m,includes:c,useIgnoreFiles:!p.disregardIgnoreFiles,useGlobalIgnoreFiles:!p.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!p.disregardParentIgnoreFiles,followSymlinks:!p.ignoreSymlinks,encoding:p.fileEncoding&&this.fileUtils.toCanonicalName(p.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return a.usePCRE2=this.query.usePCRE2,a}}e.TextSearchManager=_;function P(v){return{isCaseSensitive:v.isCaseSensitive||!1,isRegExp:v.isRegExp||!1,isWordMatch:v.isWordMatch||!1,isMultiline:v.isMultiline||!1,pattern:v.pattern}}class w{constructor(p){this._onResult=p,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new f(512,c=>this.sendItems(c))}add(p,c){this._currentFileMatch&&(this._currentFolderIdx!==c||!E.isEqual(this._currentUri,p.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=c,this._currentFileMatch={resource:p.uri,results:[]}),this._currentFileMatch.results.push(b(p))}pushToCollector(){const p=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,p)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(p){this._onResult(p)}}e.TextSearchResultsCollector=w;function b(v){return g(v)?{preview:{matches:(0,u.mapArrayOrNot)(v.preview.matches,p=>({startLineNumber:p.start.line,startColumn:p.start.character,endLineNumber:p.end.line,endColumn:p.end.character})),text:v.preview.text},ranges:(0,u.mapArrayOrNot)(v.ranges,p=>({startLineNumber:p.start.line,startColumn:p.start.character,endLineNumber:p.end.line,endColumn:p.end.character}))}:{text:v.text,lineNumber:v.lineNumber}}function g(v){return!!v.preview}e.extensionResultIsMatch=g;class f{constructor(p,c){this.maxBatchSize=p,this.cb=c,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(p,c){!p||this.addItemToBatch(p,c)}addItems(p,c){!p||this.addItemsToBatch(p,c)}addItemToBatch(p,c){this.batch.push(p),this.batchSize+=c,this.onUpdate()}addItemsToBatch(p,c){this.batch=this.batch.concat(p),this.batchSize+=c,this.onUpdate()}onUpdate(){this.totalNumberCompleted<f.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},f.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=f,f.TIMEOUT=4e3,f.START_BATCH_AFTER_COUNT=50}),define(Ie[75],ke([1,0,6,5,4,279,17,64,14,2,139]),function(Q,e,u,t,D,T,y,C,E,I,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=(0,D.createDecorator)("IExtHostSearch");let k=class{constructor(b,g,f){this.extHostRpc=b,this._uriTransformer=g,this._logService=f,this._proxy=this.extHostRpc.getProxy(t.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new T.FileSearchManager}_transformScheme(b){return this._uriTransformer.transformOutgoingScheme(b)}registerTextSearchProvider(b,g){if(this._textSearchUsedSchemes.has(b))throw new Error(`a text search provider for the scheme '${b}' is already registered`);this._textSearchUsedSchemes.add(b);const f=this._handlePool++;return this._textSearchProvider.set(f,g),this._proxy.$registerTextSearchProvider(f,this._transformScheme(b)),(0,u.toDisposable)(()=>{this._textSearchUsedSchemes.delete(b),this._textSearchProvider.delete(f),this._proxy.$unregisterProvider(f)})}registerFileSearchProvider(b,g){if(this._fileSearchUsedSchemes.has(b))throw new Error(`a file search provider for the scheme '${b}' is already registered`);this._fileSearchUsedSchemes.add(b);const f=this._handlePool++;return this._fileSearchProvider.set(f,g),this._proxy.$registerFileSearchProvider(f,this._transformScheme(b)),(0,u.toDisposable)(()=>{this._fileSearchUsedSchemes.delete(b),this._fileSearchProvider.delete(f),this._proxy.$unregisterProvider(f)})}$provideFileSearchResults(b,g,f,v){const p=_(f),c=this._fileSearchProvider.get(b);if(c)return this._fileSearchManager.fileSearch(p,c,m=>{this._proxy.$handleFileMatch(b,g,m.map(a=>a.resource))},v);throw new Error("unknown provider: "+b)}$clearCache(b){return this._fileSearchManager.clearCache(b),Promise.resolve(void 0)}$provideTextSearchResults(b,g,f,v){const p=this._textSearchProvider.get(b);if(!p||!p.provideTextSearchResults)throw new Error(`Unknown provider ${b}`);const c=_(f);return this.createTextSearchManager(c,p).search(a=>this._proxy.$handleTextMatch(b,g,a),v)}$enableExtensionHostSearch(){}createTextSearchManager(b,g){return new R.TextSearchManager(b,g,{readdir:f=>Promise.resolve([]),toCanonicalName:f=>f},"textSearchProvider")}};k=st([He(0,y.IExtHostRpcService),He(1,C.IURITransformerService),He(2,E.ILogService)],k),e.ExtHostSearch=k;function _(w){return{...w,folderQueries:w.folderQueries&&w.folderQueries.map(P),extraFileResources:w.extraFileResources&&w.extraFileResources.map(b=>I.URI.revive(b))}}e.reviveQuery=_;function P(w){return{...w,folder:I.URI.revive(w.folder)}}}),define(Ie[287],ke([1,0,82,138,32,135,33,37,54,38,72,74,75,91,52,67,137,68,46,90,125,55,136,14,230,47]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v,p,c,m,a,h,r,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,u.registerSingleton)(h.ILoggerService,a.ExtHostLoggerService),(0,u.registerSingleton)(h.ILogService,r.ExtHostLogService),(0,u.registerSingleton)(b.IExtHostApiDeprecationService,b.ExtHostApiDeprecationService),(0,u.registerSingleton)(C.IExtHostCommands,C.ExtHostCommands),(0,u.registerSingleton)(y.IExtHostConfiguration,y.ExtHostConfiguration),(0,u.registerSingleton)(f.IExtHostConsumerFileSystem,f.ExtHostConsumerFileSystem),(0,u.registerSingleton)(k.IExtHostDebugService,k.WorkerExtHostDebugService),(0,u.registerSingleton)(T.IExtHostDecorations,T.ExtHostDecorations),(0,u.registerSingleton)(E.IExtHostDocumentsAndEditors,E.ExtHostDocumentsAndEditors),(0,u.registerSingleton)(v.IExtHostFileSystemInfo,v.ExtHostFileSystemInfo),(0,u.registerSingleton)(t.IExtHostOutputService,t.ExtHostOutputService),(0,u.registerSingleton)(_.IExtHostSearch,_.ExtHostSearch),(0,u.registerSingleton)(P.IExtHostStorage,P.ExtHostStorage),(0,u.registerSingleton)(R.IExtHostTask,R.WorkerExtHostTask),(0,u.registerSingleton)(I.IExtHostTerminalService,I.WorkerExtHostTerminalService),(0,u.registerSingleton)(w.IExtHostTunnelService,w.ExtHostTunnelService),(0,u.registerSingleton)(g.IExtHostWindow,g.ExtHostWindow),(0,u.registerSingleton)(D.IExtHostWorkspace,D.ExtHostWorkspace),(0,u.registerSingleton)(p.IExtHostSecretState,p.ExtHostSecretState),(0,u.registerSingleton)(c.IExtHostTelemetry,c.ExtHostTelemetry),(0,u.registerSingleton)(m.IExtHostEditorTabs,m.ExtHostEditorTabs),(0,u.registerSingleton)(o.IExtHostVariableResolverProvider,o.ExtHostVariableResolverProviderService)}),define(Ie[92],ke([1,0,16,14,31,71]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannel=e.createTextSearchResult=e.anchorGlob=void 0;function y(k){return k.startsWith("**")||k.startsWith("/")?k:`/${k}`}e.anchorGlob=y;function C(k,_,P,w){const b=(0,u.mapArrayOrNot)(P,E),g=new D.TextSearchMatch(_,b,w),f=g.preview.matches;return{ranges:(0,u.mapArrayOrNot)(b,I),uri:k,preview:{text:g.preview.text,matches:(0,u.mapArrayOrNot)(f,I)}}}e.createTextSearchResult=C;function E(k){return new D.SearchRange(k.start.line,k.start.character,k.end.line,k.end.character)}function I(k){return new T.Range(k.startLineNumber,k.startColumn,k.endLineNumber,k.endColumn)}let R=class{constructor(_,P){this.prefix=_,this.logService=P}appendLine(_){this.logService.debug(`${this.prefix}#search`,_)}};R=st([He(1,t.ILogService)],R),e.OutputChannel=R}),define(Ie[288],ke([1,0,42,9,80,30,13,8,92,289]),function(Q,e,u,t,D,T,y,C,E,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixDriveC=e.getAbsoluteGlob=e.foldersToIncludeGlobs=e.foldersToRgExcludeGlobs=e.spawnRipgrepCmd=void 0;const R=I.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function k(p,c,m,a){const h=_(p,c,m,a),r=c.folder.fsPath;return{cmd:u.spawn(R,h.args,{cwd:r}),rgDiskPath:R,siblingClauses:h.siblingClauses,rgArgs:h,cwd:r}}e.spawnRipgrepCmd=k;function _(p,c,m,a){const h=["--files","--hidden","--case-sensitive"];w([c],m,!1).forEach(o=>{const i=(0,E.anchorGlob)(o);if(h.push("-g",i),y.isMacintosh){const n=(0,D.normalizeNFD)(i);n!==i&&h.push("-g",n)}});const r=P([c],a,void 0,!1);return r.globArgs.forEach(o=>{const i=`!${(0,E.anchorGlob)(o)}`;if(h.push("-g",i),y.isMacintosh){const n=(0,D.normalizeNFD)(i);n!==i&&h.push("-g",n)}}),c.disregardIgnoreFiles!==!1?h.push("--no-ignore"):c.disregardParentIgnoreFiles!==!1&&h.push("--no-ignore-parent"),c.ignoreSymlinks||h.push("--follow"),p.exists&&h.push("--quiet"),h.push("--no-config"),c.disregardGlobalIgnoreFiles&&h.push("--no-ignore-global"),{args:h,siblingClauses:r.siblingClauses}}function P(p,c,m,a=!0){const h=[];let r={};return p.forEach(o=>{const i=Object.assign({},o.excludePattern||{},c||{}),n=b(i,a?o.folder.fsPath:void 0,m);h.push(...n.globArgs),n.siblingClauses&&(r=Object.assign(r,n.siblingClauses))}),{globArgs:h,siblingClauses:r}}e.foldersToRgExcludeGlobs=P;function w(p,c,m=!0){const a=[];return p.forEach(h=>{const r=Object.assign({},c||{},h.includePattern||{}),o=b(r,m?h.folder.fsPath:void 0);a.push(...o.globArgs)}),a}e.foldersToIncludeGlobs=w;function b(p,c,m){const a=[],h={};return Object.keys(p).forEach(r=>{if(m&&m.has(r)||!r)return;const o=p[r];r=f(c?g(c,r):r),r.startsWith("\\\\")?r="\\\\"+r.substr(2).replace(/\\/g,"/"):r=r.replace(/\\/g,"/"),typeof o=="boolean"&&o?(r.startsWith("\\\\")&&(r+="**"),a.push(v(r))):o&&o.when&&(h[r]=o)}),{globArgs:a,siblingClauses:h}}function g(p,c){return t.isAbsolute(c)?c:t.join(p,c)}e.getAbsoluteGlob=g;function f(p){return p=C.rtrim(p,"\\"),C.rtrim(p,"/")}function v(p){return T.getRoot(p).toLowerCase()==="c:/"?p.replace(/^c:[/\\]/i,"/"):p}e.fixDriveC=v}),define(Ie[290],ke([1,0,42,62,9,97,16,49,36,80,30,13,50,8,10,29,31,288,105]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.rgErrorMsgForDisplay=e.Engine=e.FileWalker=void 0;const p=new Set;process.on("exit",()=>{p.forEach(r=>r())});class c{constructor(o){this.normalizedFilePatternLowercase=null,this.maxFilesize=null,this.isCanceled=!1,this.fileWalkSW=null,this.cmdSW=null,this.cmdResultCount=0,this.config=o,this.filePattern=o.filePattern||"",this.includePattern=o.includePattern&&E.parse(o.includePattern),this.maxResults=o.maxResults||null,this.exists=!!o.exists,this.walkedPaths=Object.create(null),this.resultCount=0,this.isLimitHit=!1,this.directoriesWalked=0,this.filesWalked=0,this.errors=[],this.filePattern&&(this.normalizedFilePatternLowercase=(0,v.prepareQuery)(this.filePattern).normalizedLowercase),this.globalExcludePattern=o.excludePattern&&E.parse(o.excludePattern),this.folderExcludePatterns=new Map,o.folderQueries.forEach(i=>{const n=Object.assign({},i.excludePattern||{},this.config.excludePattern||{}),s=i.folder.fsPath;o.folderQueries.map(l=>l.folder.fsPath).filter(l=>l!==s).forEach(l=>{(0,R.isEqualOrParent)(l,s)&&(n[D.relative(s,l)]=!0)}),this.folderExcludePatterns.set(s,new a(n,s))})}cancel(){this.isCanceled=!0,p.forEach(o=>o())}walk(o,i,n,s,l){if(this.fileWalkSW=_.StopWatch.create(!1),this.isCanceled)return l(null,this.isLimitHit);i.forEach(d=>{const S=D.basename(d.fsPath);this.globalExcludePattern&&this.globalExcludePattern(d.fsPath,S)||this.matchFile(n,{relativePath:d.fsPath,searchPath:void 0})}),this.cmdSW=_.StopWatch.create(!1),this.parallel(o,(d,S)=>{this.call(this.cmdTraversal,this,d,n,s,L=>{if(L){const F=(0,C.toErrorMessage)(L);console.error(F),this.errors.push(F),S(L,void 0)}else S(null,void 0)})},(d,S)=>{this.fileWalkSW.stop();const L=d?y.coalesce(d)[0]:null;l(L,this.isLimitHit)})}parallel(o,i,n){const s=new Array(o.length),l=new Array(o.length);let d=!1,S=0;if(o.length===0)return n(null,[]);o.forEach((L,F)=>{i(L,(N,A)=>{if(N?(d=!0,s[F]=null,l[F]=N):(s[F]=A,l[F]=null),++S===o.length)return n(d?l:null,s)})})}call(o,i,...n){try{o.apply(i,n)}catch(s){n[n.length-1](s)}}cmdTraversal(o,i,n,s){const l=o.folder.fsPath,d=k.isMacintosh,S=()=>$&&$.kill();p.add(S);let L=M=>{p.delete(S),L=()=>{},s(M)},F="";const N=this.initDirectoryTree(),A=(0,f.spawnRipgrepCmd)(this.config,o,this.config.includePattern,this.folderExcludePatterns.get(o.folder.fsPath).expression),$=A.cmd,B=!Object.keys(A.siblingClauses).length,z=A.rgArgs.args.map(M=>M.match(/^-/)?M:`'${M}'`).join(" ");let X=`${A.rgDiskPath} ${z}
 - cwd: ${A.cwd}`;A.rgArgs.siblingClauses&&(X+=`
 - Sibling clauses: ${JSON.stringify(A.rgArgs.siblingClauses)}`),n({message:X}),this.cmdResultCount=0,this.collectStdout($,"utf8",n,(M,U,q)=>{if(M){L(M);return}if(this.isLimitHit){L();return}const V=(F+(d?I.normalizeNFC(U||""):U)).split(`
`);if(q){const ee=V.length;V[ee-1]=V[ee-1].trim(),V[ee-1]||V.pop()}else F=V.pop()||"";if(V.length&&V[0].indexOf(`
`)!==-1){L(new Error("Splitting up files failed"));return}if(this.cmdResultCount+=V.length,B){for(const ee of V)if(this.matchFile(i,{base:l,relativePath:ee,searchPath:this.getSearchPath(o,ee)}),this.isLimitHit){S();break}(q||this.isLimitHit)&&L();return}this.addDirectoryEntries(o,N,l,V,i),q&&(this.matchDirectoryTree(N,l,i),L())})}spawnFindCmd(o){const i=this.folderExcludePatterns.get(o.folder.fsPath),n=i.getBasenameTerms(),s=i.getPathTerms(),l=["-L","."];if(n.length||s.length){l.push("-not","(","(");for(const d of n)l.push("-name",d),l.push("-o");for(const d of s)l.push("-path",d),l.push("-o");l.pop(),l.push(")","-prune",")")}return l.push("-type","f"),u.spawn("find",l,{cwd:o.folder.fsPath})}readStdout(o,i,n){let s="";this.collectStdout(o,i,()=>{},(l,d,S)=>{if(l){n(l);return}s+=d,S&&n(null,s)})}collectStdout(o,i,n,s){let l=(L,F,N)=>{(L||N)&&(l=()=>{},this.cmdSW&&this.cmdSW.stop()),s(L,F,N)},d=!1;o.stdout?(this.forwardData(o.stdout,i,l),o.stdout.once("data",()=>d=!0)):n({message:"stdout is null"});let S;o.stderr?S=this.collectData(o.stderr):n({message:"stderr is null"}),o.on("error",L=>{l(L)}),o.on("close",L=>{let F;!d&&(F=this.decodeData(S,i))&&h(F)?l(new Error(`command failed with error code ${L}: ${this.decodeData(S,i)}`)):(this.exists&&L===0&&(this.isLimitHit=!0),l(null,"",!0))})}forwardData(o,i,n){const s=new T.StringDecoder(i);return o.on("data",l=>{n(null,s.write(l))}),s}collectData(o){const i=[];return o.on("data",n=>{i.push(n)}),i}decodeData(o,i){const n=new T.StringDecoder(i);return o.map(s=>n.write(s)).join("")}initDirectoryTree(){const o={rootEntries:[],pathToEntries:Object.create(null)};return o.pathToEntries["."]=o.rootEntries,o}addDirectoryEntries(o,{pathToEntries:i},n,s,l){s.indexOf(this.filePattern)!==-1&&this.matchFile(l,{base:n,relativePath:this.filePattern,searchPath:this.getSearchPath(o,this.filePattern)});const d=S=>{const L=D.basename(S),F=D.dirname(S);let N=i[F];N||(N=i[F]=[],d(F)),N.push({base:n,relativePath:S,basename:L,searchPath:this.getSearchPath(o,S)})};s.forEach(d)}matchDirectoryTree({rootEntries:o,pathToEntries:i},n,s){const l=this,d=this.folderExcludePatterns.get(n),S=this.filePattern;function L(F){l.directoriesWalked++;const N=(0,g.hasSiblingFn)(()=>F.map(A=>A.basename));for(let A=0,$=F.length;A<$;A++){const B=F[A],{relativePath:z,basename:X}=B;if(d.test(z,X,S!==X?N:void 0))continue;const M=i[z];if(M)L(M);else{if(l.filesWalked++,z===S)continue;l.matchFile(s,B)}if(l.isLimitHit)break}}L(o)}getStats(){return{cmdTime:this.cmdSW.elapsed(),fileWalkTime:this.fileWalkSW.elapsed(),directoriesWalked:this.directoriesWalked,filesWalked:this.filesWalked,cmdResultCount:this.cmdResultCount}}doWalk(o,i,n,s,l){const d=o.folder,S=(0,g.hasSiblingFn)(()=>n);this.parallel(n,(L,F)=>{if(this.isCanceled||this.isLimitHit)return F(null);const N=i?[i,L].join(D.sep):L;if(this.folderExcludePatterns.get(o.folder.fsPath).test(N,L,this.config.filePattern!==L?S:void 0))return F(null);const A=[d.fsPath,N].join(D.sep);t.lstat(A,($,B)=>{if($||this.isCanceled||this.isLimitHit)return F(null);this.statLinkIfNeeded(A,B,(z,X)=>z||this.isCanceled||this.isLimitHit?F(null):X.isDirectory()?(this.directoriesWalked++,this.realPathIfNeeded(A,B,(M,U)=>M||this.isCanceled||this.isLimitHit||(U=U||"",this.walkedPaths[U])?F(null):(this.walkedPaths[U]=!0,b.Promises.readdir(A).then(q=>{if(this.isCanceled||this.isLimitHit)return F(null);this.doWalk(o,N,q,s,x=>F(x||null))},q=>{F(null)})))):(this.filesWalked++,N===this.filePattern||this.maxFilesize&&w.isNumber(X.size)&&X.size>this.maxFilesize||this.matchFile(s,{base:d.fsPath,relativePath:N,searchPath:this.getSearchPath(o,N)}),F(null,void 0)))})},L=>{const F=L&&y.coalesce(L);return l(F&&F.length>0?F[0]:void 0)})}matchFile(o,i){this.isFileMatch(i)&&(!this.includePattern||this.includePattern(i.relativePath,D.basename(i.relativePath)))&&(this.resultCount++,(this.exists||this.maxResults&&this.resultCount>this.maxResults)&&(this.isLimitHit=!0),this.isLimitHit||o(i))}isFileMatch(o){if(this.filePattern){if(this.filePattern==="*")return!0;if(this.normalizedFilePatternLowercase)return(0,g.isFilePatternMatch)(o,this.normalizedFilePatternLowercase)}return!0}statLinkIfNeeded(o,i,n){return i.isSymbolicLink()?t.stat(o,n):n(null,i)}realPathIfNeeded(o,i,n){return i.isSymbolicLink()?t.realpath(o,(s,l)=>s?n(s):n(null,l)):n(null,o)}getSearchPath(o,i){return o.folderName?D.join(o.folderName,i):i}}e.FileWalker=c;class m{constructor(o){this.folderQueries=o.folderQueries,this.extraFiles=o.extraFileResources||[],this.walker=new c(o)}search(o,i,n){this.walker.walk(this.folderQueries,this.extraFiles,o,i,(s,l)=>{n(s,{limitHit:l,stats:this.walker.getStats(),messages:[]})})}cancel(){this.walker.cancel()}}e.Engine=m;class a{constructor(o,i){this.expression=o,this.root=i,this.init(o)}init(o){let i,n;Object.keys(o).filter(s=>o[s]).forEach(s=>{D.isAbsolute(s)?(i=i||E.getEmptyExpression(),i[s]=o[s]):(n=n||E.getEmptyExpression(),n[s]=o[s])}),this.absoluteParsedExpr=i&&E.parse(i,{trimForExclusions:!0}),this.relativeParsedExpr=n&&E.parse(n,{trimForExclusions:!0})}test(o,i,n){return this.relativeParsedExpr&&this.relativeParsedExpr(o,i,n)||this.absoluteParsedExpr&&this.absoluteParsedExpr(D.join(this.root,o),i,n)}getBasenameTerms(){const o=[];return this.absoluteParsedExpr&&o.push(...E.getBasenameTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&o.push(...E.getBasenameTerms(this.relativeParsedExpr)),o}getPathTerms(){const o=[];return this.absoluteParsedExpr&&o.push(...E.getPathTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&o.push(...E.getPathTerms(this.relativeParsedExpr)),o}}function h(r){const o=r.trim().split(`
`),i=o[0].trim();if(i.startsWith("Error parsing regex"))return i;if(i.startsWith("regex parse error"))return P.uppercaseFirstLetter(o[o.length-1].trim());if(i.startsWith("error parsing glob")||i.startsWith("unsupported encoding"))return i.charAt(0).toUpperCase()+i.substr(1);if(i==="Literal '\\n' not allowed.")return"Literal '\\n' currently not supported";if(i.startsWith("Literal "))return i}e.rgErrorMsgForDisplay=h}),define(Ie[291],ke([1,0,95,23]),function(Q,e,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SUPPORTED_ENCODINGS=e.detectEncodingFromBuffer=e.toCanonicalName=e.detectEncodingByBOMFromBuffer=e.toNodeEncoding=e.encodingExists=e.toEncodeReadable=e.toDecodeStream=e.DecodeStreamError=e.DecodeStreamErrorKind=e.UTF8_BOM=e.UTF16le_BOM=e.UTF16be_BOM=e.isUTFEncoding=e.UTF16le=e.UTF16be=e.UTF8_with_bom=e.UTF8=void 0,e.UTF8="utf8",e.UTF8_with_bom="utf8bom",e.UTF16be="utf16be",e.UTF16le="utf16le";function D(r){return[e.UTF8,e.UTF8_with_bom,e.UTF16be,e.UTF16le].some(o=>o===r)}e.isUTFEncoding=D,e.UTF16be_BOM=[254,255],e.UTF16le_BOM=[255,254],e.UTF8_BOM=[239,187,191];const T=512,y=512,C=512*8,E=512*128;var I;(function(r){r[r.STREAM_IS_BINARY=1]="STREAM_IS_BINARY"})(I=e.DecodeStreamErrorKind||(e.DecodeStreamErrorKind={}));class R extends Error{constructor(o,i){super(o);this.decodeStreamErrorKind=i}}e.DecodeStreamError=R;class k{constructor(o){this.iconvLiteDecoder=o}static async create(o){let i;if(o!==e.UTF8)i=(await new Promise((s,l)=>{Q(["@vscode/iconv-lite-umd"],s,l)})).getDecoder(b(o));else{const n=new TextDecoder;i={write(s){return n.decode(s,{stream:!0})},end(){return n.decode()}}}return new k(i)}write(o){return this.iconvLiteDecoder.write(o)}end(){return this.iconvLiteDecoder.end()}}function _(r,o){const i=o.minBytesRequiredForDetection??o.guessEncoding?C:y;return new Promise((n,s)=>{const l=(0,u.newWriteableStream)(A=>A.join("")),d=[];let S=0,L,F;const N=async()=>{try{const A=await h({buffer:t.VSBuffer.concat(d),bytesRead:S},o.guessEncoding);if(A.seemsBinary&&o.acceptTextOnly)throw new R("Stream is binary but only text is accepted for decoding",1);A.encoding=await o.overwriteEncoding(A.encoding),L=await k.create(A.encoding);const $=L.write(t.VSBuffer.concat(d).buffer);l.write($),d.length=0,S=0,n({stream:l,detected:A})}catch(A){F?.dispose(),l.destroy(),s(A)}};F=(0,u.listenStream)(r,{onData:async A=>{L?l.write(L.write(A.buffer)):(d.push(A),S+=A.byteLength,S>=i&&(r.pause(),await N(),setTimeout(()=>r.resume())))},onError:A=>l.error(A),onEnd:async()=>{L||await N(),l.end(L?.end())}})})}e.toDecodeStream=_;async function P(r,o,i){const s=(await new Promise((S,L)=>{Q(["@vscode/iconv-lite-umd"],S,L)})).getEncoder(b(o),i);let l=!1,d=!1;return{read(){if(d)return null;const S=r.read();if(typeof S!="string"){if(d=!0,!l&&i?.addBOM)switch(o){case e.UTF8:case e.UTF8_with_bom:return t.VSBuffer.wrap(Uint8Array.from(e.UTF8_BOM));case e.UTF16be:return t.VSBuffer.wrap(Uint8Array.from(e.UTF16be_BOM));case e.UTF16le:return t.VSBuffer.wrap(Uint8Array.from(e.UTF16le_BOM))}const L=s.end();return L&&L.length>0?(l=!0,t.VSBuffer.wrap(L)):null}return l=!0,t.VSBuffer.wrap(s.write(S))}}}e.toEncodeReadable=P;async function w(r){return(await new Promise((i,n)=>{Q(["@vscode/iconv-lite-umd"],i,n)})).encodingExists(b(r))}e.encodingExists=w;function b(r){return r===e.UTF8_with_bom||r===null?e.UTF8:r}e.toNodeEncoding=b;function g(r,o){if(!r||o<e.UTF16be_BOM.length)return null;const i=r.readUInt8(0),n=r.readUInt8(1);if(i===e.UTF16be_BOM[0]&&n===e.UTF16be_BOM[1])return e.UTF16be;if(i===e.UTF16le_BOM[0]&&n===e.UTF16le_BOM[1])return e.UTF16le;if(o<e.UTF8_BOM.length)return null;const s=r.readUInt8(2);return i===e.UTF8_BOM[0]&&n===e.UTF8_BOM[1]&&s===e.UTF8_BOM[2]?e.UTF8_with_bom:null}e.detectEncodingByBOMFromBuffer=g;const f=["ascii","utf-16","utf-32"];async function v(r){const o=await new Promise((d,S)=>{Q(["jschardet"],d,S)}),i=r.slice(0,E),n=m(i.buffer),s=o.detect(n);if(!s||!s.encoding)return null;const l=s.encoding.toLowerCase();return 0<=f.indexOf(l)?null:c(s.encoding)}const p={ibm866:"cp866",big5:"cp950"};function c(r){const o=r.replace(/[^a-zA-Z0-9]/g,"").toLowerCase();return p[o]||o}function m(r){let o="";for(let i=0;i<r.length;i++)o+=String.fromCharCode(r[i]);return o}function a(r){switch(r){case"shiftjis":return"shift-jis";case"utf16le":return"utf-16le";case"utf16be":return"utf-16be";case"big5hkscs":return"big5-hkscs";case"eucjp":return"euc-jp";case"euckr":return"euc-kr";case"koi8r":return"koi8-r";case"koi8u":return"koi8-u";case"macroman":return"x-mac-roman";case"utf8bom":return"utf8";default:{const o=r.match(/windows(\d+)/);return o?"windows-"+o[1]:r}}}e.toCanonicalName=a;function h({buffer:r,bytesRead:o},i){let n=g(r,o),s=!1;if(n!==e.UTF16be&&n!==e.UTF16le&&r){let l=!0,d=!0,S=!1;for(let L=0;L<o&&L<T;L++){const F=L%2==1,N=r.readUInt8(L)===0;if(N&&(S=!0),l&&(F&&!N||!F&&N)&&(l=!1),d&&(F&&N||!F&&!N)&&(d=!1),N&&!l&&!d)break}S&&(l?n=e.UTF16le:d?n=e.UTF16be:s=!0)}return i&&!s&&!n&&r?v(r.slice(0,o)).then(l=>({seemsBinary:!1,encoding:l})):{seemsBinary:s,encoding:n}}e.detectEncodingFromBuffer=h,e.SUPPORTED_ENCODINGS={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},cp852:{labelLong:"Central European (CP 852)",labelShort:"CP 852",order:18},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:19},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:20},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:21},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:22},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:23},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:24},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:25},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:26},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:27},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:28},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:29},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:30},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:31},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:32},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:33},gbk:{labelLong:"Simplified Chinese (GBK)",labelShort:"GBK",order:34},gb18030:{labelLong:"Simplified Chinese (GB18030)",labelShort:"GB18030",order:35},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:36},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:37},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:38},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:39},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:40},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:41},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:42},koi8ru:{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:43},koi8t:{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:44},gb2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:45},cp865:{labelLong:"Nordic DOS (CP 865)",labelShort:"CP 865",order:46},cp850:{labelLong:"Western European DOS (CP 850)",labelShort:"CP 850",order:47}}}),define(Ie[140],ke([1,0,291,29,139]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeTextSearchManager=void 0;class T extends D.TextSearchManager{constructor(C,E,I=t,R="searchProcess"){super(C,E,{readdir:k=>I.Promises.readdir(k.fsPath),toCanonicalName:k=>(0,u.toCanonicalName)(k)},R)}}e.NativeTextSearchManager=T}),define(Ie[292],ke([1,0]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TreeviewsService=void 0;class u{constructor(){this._dragOperations=new Map,this._renderedElements=new Map}removeDragOperationTransfer(D){if(D&&this._dragOperations.has(D)){const T=this._dragOperations.get(D);return this._dragOperations.delete(D),T}}addDragOperationTransfer(D,T){this._dragOperations.set(D,T)}getRenderedTreeElement(D){if(this._renderedElements.has(D))return this._renderedElements.get(D)}addRenderedTreeItemElement(D,T){this._renderedElements.set(D,T)}removeRenderedTreeItemElement(D){this._renderedElements.has(D)&&this._renderedElements.delete(D)}}e.TreeviewsService=u}),define(Ie[293],ke([1,0,175,7,22,2,3,6,18,7,10,16,15,21,292,27]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function g(p,c){if((0,R.isString)(p))return{label:p};if(p&&typeof p=="object"&&typeof p.label=="string"){let m;return Array.isArray(p.highlights)&&(m=p.highlights.filter(a=>a.length===2&&typeof a[0]=="number"&&typeof a[1]=="number"),m=m.length?m:void 0),{label:p.label,highlights:m}}}class f{constructor(c,m,a){this._proxy=c,this.commands=m,this.logService=a,this.treeViews=new Map,this.treeDragAndDropService=new w.TreeviewsService;function h(r){return r&&r.$treeViewId&&r.$treeItemHandle}m.registerArgumentProcessor({processArgument:r=>h(r)?this.convertArgument(r):Array.isArray(r)&&r.length>0?r.map(o=>h(o)?this.convertArgument(o):o):r})}registerTreeDataProvider(c,m,a){const h=this.createTreeView(c,{treeDataProvider:m},a);return{dispose:()=>h.dispose()}}createTreeView(c,m,a){if(!m||!m.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const h=m.dragAndDropController?.dropMimeTypes??[],r=m.dragAndDropController?.dragMimeTypes??[],o=!!m.dragAndDropController?.handleDrag,i=!!m.dragAndDropController?.handleDrop,n=this._proxy.$registerTreeViewDataProvider(c,{showCollapseAll:!!m.showCollapseAll,canSelectMany:!!m.canSelectMany,dropMimeTypes:h,dragMimeTypes:r,hasHandleDrag:o,hasHandleDrop:i}),s=this.createExtHostTreeView(c,m,a);return{get onDidCollapseElement(){return s.onDidCollapseElement},get onDidExpandElement(){return s.onDidExpandElement},get selection(){return s.selectedElements},get onDidChangeSelection(){return s.onDidChangeSelection},get visible(){return s.visible},get onDidChangeVisibility(){return s.onDidChangeVisibility},get message(){return s.message},set message(l){s.message=l},get title(){return s.title},set title(l){s.title=l},get description(){return s.description},set description(l){s.description=l},get badge(){return(0,b.checkProposedApiEnabled)(a,"badges"),s.badge},set badge(l){(0,b.checkProposedApiEnabled)(a,"badges"),s.badge=l},reveal:(l,d)=>s.reveal(l,d),dispose:async()=>{await n,this.treeViews.delete(c),s.dispose()}}}$getChildren(c,m){const a=this.treeViews.get(c);return a?a.getChildren(m):Promise.reject(new Error((0,u.localize)(0,null,c)))}async $handleDrop(c,m,a,h,r,o,i,n){const s=this.treeViews.get(c);if(!s)return Promise.reject(new Error((0,u.localize)(1,null,c)));const l=_.DataTransfer.toDataTransfer(a,async d=>(await this._proxy.$resolveDropFileData(c,m,d)).buffer);return i===c&&n&&await this.addAdditionalTransferItems(l,s,n,r,o),s.onDrop(l,h,r)}async addAdditionalTransferItems(c,m,a,h,r){const o=this.treeDragAndDropService.removeDragOperationTransfer(r);if(o)(await o)?.forEach((i,n)=>{i&&c.set(n,i)});else if(r&&m.handleDrag){const i=m.handleDrag(a,c,h);this.treeDragAndDropService.addDragOperationTransfer(r,i),await i}return c}async $handleDrag(c,m,a,h){const r=this.treeViews.get(c);if(!r)return Promise.reject(new Error((0,u.localize)(2,null,c)));const o=await this.addAdditionalTransferItems(new t.DataTransfer,r,m,h,a);if(!!o)return _.DataTransfer.toDataTransferDTO(o)}async $hasResolve(c){const m=this.treeViews.get(c);if(!m)throw new Error((0,u.localize)(3,null,c));return m.hasResolve}$resolve(c,m,a){const h=this.treeViews.get(c);if(!h)throw new Error((0,u.localize)(4,null,c));return h.resolveTreeItem(m,a)}$setExpanded(c,m,a){const h=this.treeViews.get(c);if(!h)throw new Error((0,u.localize)(5,null,c));h.setExpanded(m,a)}$setSelection(c,m){const a=this.treeViews.get(c);if(!a)throw new Error((0,u.localize)(6,null,c));a.setSelection(m)}$setVisible(c,m){const a=this.treeViews.get(c);if(!a)throw new Error((0,u.localize)(7,null,c));a.setVisible(m)}createExtHostTreeView(c,m,a){const h=new v(c,m,this._proxy,this.commands.converter,this.logService,a);return this.treeViews.set(c,h),h}convertArgument(c){const m=this.treeViews.get(c.$treeViewId);return m?m.getExtensionElement(c.$treeItemHandle):null}}e.ExtHostTreeViews=f;class v extends C.Disposable{constructor(c,m,a,h,r,o){super();if(this.viewId=c,this.proxy=a,this.commands=h,this.logService=r,this.extension=o,this.roots=void 0,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new y.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new y.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new y.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new y.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new y.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new P.CancellationTokenSource,o.contributes&&o.contributes.views)for(const s in o.contributes.views)for(const l of o.contributes.views[s])l.id===c&&(this._title=l.name);this.dataProvider=m.treeDataProvider,this.dndController=m.dragAndDropController,this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(s=>this._onDidChangeData.fire({message:!1,element:s})));let i,n;this._register(y.Event.debounce(this._onDidChangeData.event,(s,l)=>(s||(s={message:!1,elements:[]}),l.element!==!1&&(i||(i=new Promise(d=>n=d),this.refreshPromise=this.refreshPromise.then(()=>i)),Array.isArray(l.element)?s.elements.push(...l.element):s.elements.push(l.element)),l.message&&(s.message=!0),s),200,!0)(({message:s,elements:l})=>{l.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const d=n;return i=null,this.refresh(l).then(()=>d())})),s&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(c=>this.getExtensionElement(c)).filter(c=>!(0,R.isUndefinedOrNull)(c))}async getChildren(c){const m=c?this.getExtensionElement(c):void 0;if(c&&!m)return this.logService.error(`No tree item with id '${c}' found.`),Promise.resolve([]);let a=this.getChildrenNodes(c);return a||(a=await this.fetchChildrenNodes(m)),a?a.map(h=>h.item):void 0}getExtensionElement(c){return this.elements.get(c)}reveal(c,m){m=m||{select:!0,focus:!1};const a=(0,R.isUndefinedOrNull)(m.select)?!0:m.select,h=(0,R.isUndefinedOrNull)(m.focus)?!1:m.focus,r=(0,R.isUndefinedOrNull)(m.expand)?!1:m.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):c?this.refreshPromise.then(()=>this.resolveUnknownParentChain(c)).then(o=>this.resolveTreeNode(c,o[o.length-1]).then(i=>this.proxy.$reveal(this.viewId,{item:i.item,parentChain:o.map(n=>n.item)},{select:a,focus:h,expand:r})),o=>this.logService.error(o)):this.proxy.$reveal(this.viewId,void 0,{select:a,focus:h,expand:r})}get message(){return this._message}set message(c){this._message=c,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(c){this._title=c,this.proxy.$setTitle(this.viewId,c,this._description)}get description(){return this._description}set description(c){this._description=c,this.proxy.$setTitle(this.viewId,this._title,c)}get badge(){return this._badge}set badge(c){this._badge?.value===c?.value&&this._badge?.tooltip===c?.tooltip||(this._badge=_.ViewBadge.from(c),this.proxy.$setBadge(this.viewId,c))}setExpanded(c,m){const a=this.getExtensionElement(c);a&&(m?this._onDidExpandElement.fire(Object.freeze({element:a})):this._onDidCollapseElement.fire(Object.freeze({element:a})))}setSelection(c){(0,k.equals)(this._selectedHandles,c)||(this._selectedHandles=c,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(c){c!==this._visible&&(this._visible=c,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}async handleDrag(c,m,a){const h=[];for(const r of c){const o=this.getExtensionElement(r);o&&h.push(o)}if(!(!this.dndController?.handleDrag||h.length===0))return await this.dndController.handleDrag(h,m,a),m}get hasHandleDrag(){return!!this.dndController?.handleDrag}async onDrop(c,m,a){const h=m?this.getExtensionElement(m):void 0;if(!(!h&&m||!this.dndController?.handleDrop))return(0,E.asPromise)(()=>this.dndController?.handleDrop?this.dndController.handleDrop(h,c,a):void 0)}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(c,m){if(!this.dataProvider.resolveTreeItem)return;const a=this.elements.get(c);if(a){const h=this.nodes.get(a);if(h){const r=await this.dataProvider.resolveTreeItem(h.extensionItem,a,m)??h.extensionItem;return h.item.tooltip=this.getTooltip(r.tooltip),h.item.command=this.getCommand(h.disposableStore,r.command),h.item}}}resolveUnknownParentChain(c){return this.resolveParent(c).then(m=>m?this.resolveUnknownParentChain(m).then(a=>this.resolveTreeNode(m,a[a.length-1]).then(h=>(a.push(h),a))):Promise.resolve([]))}resolveParent(c){const m=this.nodes.get(c);return m?Promise.resolve(m.parent?this.elements.get(m.parent.item.handle):void 0):(0,E.asPromise)(()=>this.dataProvider.getParent(c))}resolveTreeNode(c,m){const a=this.nodes.get(c);return a?Promise.resolve(a):(0,E.asPromise)(()=>this.dataProvider.getTreeItem(c)).then(h=>this.createHandle(c,h,m,!0)).then(h=>this.getChildren(m?m.item.handle:void 0).then(()=>{const r=this.getExtensionElement(h);if(r){const o=this.nodes.get(r);if(o)return Promise.resolve(o)}throw new Error(`Cannot resolve tree item for element ${h}`)}))}getChildrenNodes(c){if(c){let m;if(typeof c=="string"){const a=this.getExtensionElement(c);m=a?this.nodes.get(a):void 0}else m=c;return m&&m.children||void 0}return this.roots}async fetchChildrenNodes(c){this.clearChildren(c);const m=new P.CancellationTokenSource(this._refreshCancellationSource.token);try{const a=c?this.nodes.get(c):void 0,h=await this.dataProvider.getChildren(c);if(m.token.isCancellationRequested)return;const r=await Promise.all((0,k.coalesce)(h||[]).map(async o=>{const i=await this.dataProvider.getTreeItem(o);return i&&!m.token.isCancellationRequested?this.createAndRegisterTreeNode(o,i,a):null}));return m.token.isCancellationRequested?void 0:(0,k.coalesce)(r)}finally{m.dispose()}}refresh(c){if(c.some(a=>!a))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new P.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const a=this.getHandlesToRefresh(c);if(a.length)return this.refreshHandles(a)}return Promise.resolve(void 0)}getHandlesToRefresh(c){const m=new Set,a=c.map(r=>this.nodes.get(r));for(const r of a)if(r&&!m.has(r.item.handle)){let o=r;for(;o&&o.parent&&a.findIndex(i=>o&&o.parent&&i&&i.item.handle===o.parent.item.handle)===-1;){const i=this.elements.get(o.parent.item.handle);o=i?this.nodes.get(i):void 0}o&&!o.parent&&m.add(r.item.handle)}const h=[];return m.forEach(r=>{const o=this.elements.get(r);if(o){const i=this.nodes.get(o);i&&(!i.parent||!m.has(i.parent.item.handle))&&h.push(r)}}),h}refreshHandles(c){const m={};return Promise.all(c.map(a=>this.refreshNode(a).then(h=>{h&&(m[a]=h.item)}))).then(()=>Object.keys(m).length?this.proxy.$refresh(this.viewId,m):void 0)}refreshNode(c){const m=this.getExtensionElement(c);if(m){const a=this.nodes.get(m);if(a)return this.clearChildren(m),(0,E.asPromise)(()=>this.dataProvider.getTreeItem(m)).then(h=>{if(h){const r=this.createTreeNode(m,h,a.parent);return this.updateNodeCache(m,r,a,a.parent),a.dispose(),r}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(c,m,a){const h=this.createTreeNode(c,m,a);if(m.id&&this.elements.has(h.item.handle))throw new Error((0,u.localize)(8,null,m.id));return this.addNodeToCache(c,h),this.addNodeToParentCache(h,a),h}getTooltip(c){return I.MarkdownString.isMarkdownString(c)?_.MarkdownString.from(c):c}getCommand(c,m){return m?this.commands.toInternal(m,c):void 0}createTreeNode(c,m,a){const h=new C.DisposableStore,r=this.createHandle(c,m,a),o=this.getLightIconPath(m);return{item:{handle:r,parentHandle:a?a.item.handle:void 0,label:g(m.label,this.extension),description:m.description,resourceUri:m.resourceUri,tooltip:this.getTooltip(m.tooltip),command:this.getCommand(h,m.command),contextValue:m.contextValue,icon:o,iconDark:this.getDarkIconPath(m)||o,themeIcon:this.getThemeIcon(m),collapsibleState:(0,R.isUndefinedOrNull)(m.collapsibleState)?I.TreeItemCollapsibleState.None:m.collapsibleState,accessibilityInformation:m.accessibilityInformation},extensionItem:m,parent:a,children:void 0,disposableStore:h,dispose(){h.dispose()}}}getThemeIcon(c){return c.iconPath instanceof I.ThemeIcon?c.iconPath:void 0}createHandle(c,{id:m,label:a,resourceUri:h},r,o){if(m)return`${v.ID_HANDLE_PREFIX}/${m}`;const i=g(a,this.extension),n=r?r.item.handle:v.LABEL_HANDLE_PREFIX;let s=i?i.label:h?(0,D.basename)(h):"";s=s.indexOf("/")!==-1?s.replace("/","//"):s;const l=this.nodes.has(c)?this.nodes.get(c).item.handle:void 0,d=this.getChildrenNodes(r)||[];let S,L=0;do{if(S=`${n}/${L}:${s}`,o||!this.elements.has(S)||l===S)break;L++}while(L<=d.length);return S}getLightIconPath(c){if(c.iconPath&&!(c.iconPath instanceof I.ThemeIcon))return typeof c.iconPath=="string"||T.URI.isUri(c.iconPath)?this.getIconPath(c.iconPath):this.getIconPath(c.iconPath.light)}getDarkIconPath(c){if(c.iconPath&&!(c.iconPath instanceof I.ThemeIcon)&&c.iconPath.dark)return this.getIconPath(c.iconPath.dark)}getIconPath(c){return T.URI.isUri(c)?c:T.URI.file(c)}addNodeToCache(c,m){this.elements.set(m.item.handle,c),this.nodes.set(c,m)}updateNodeCache(c,m,a,h){this.elements.delete(m.item.handle),this.nodes.delete(c),m.item.handle!==a.item.handle&&this.elements.delete(a.item.handle),this.addNodeToCache(c,m);const r=this.getChildrenNodes(h)||[],o=r.filter(i=>i.item.handle===a.item.handle)[0];o&&r.splice(r.indexOf(o),1,m)}addNodeToParentCache(c,m){m?(m.children||(m.children=[]),m.children.push(c)):(this.roots||(this.roots=[]),this.roots.push(c))}clearChildren(c){if(c){const m=this.nodes.get(c);if(m){if(m.children)for(const a of m.children){const h=this.elements.get(a.item.handle);h&&this.clear(h)}m.children=void 0}}else this.clearAll()}clear(c){const m=this.nodes.get(c);if(m){if(m.children)for(const a of m.children){const h=this.elements.get(a.item.handle);h&&this.clear(h)}this.nodes.delete(c),this.elements.delete(m.item.handle),m.dispose()}}clearAll(){this.roots=void 0,this.elements.clear(),this.nodes.forEach(c=>c.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}v.LABEL_HANDLE_PREFIX="0",v.ID_HANDLE_PREFIX="1"}),define(Ie[294],ke([1,0,21,12,3,41,2,115,100,148,157,43,5,134,239,238,37,240,33,242,243,244,222,245,54,39,246,247,250,251,252,138,225,256,257,258,91,38,260,293,15,7,263,70,137,32,212,249,123,135,72,74,75,14,64,17,26,253,208,52,67,236,261,69,68,266,264,265,237,46,259,262,90,55,125,254,71,255,11,118,224,206,248,6,27,213,8]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v,p,c,m,a,h,r,o,i,n,s,l,d,S,L,F,N,A,$,B,z,X,M,U,q,x,V,ee,Y,le,ve,J,ge,_e,Te,me,Pe,ue,pe,be,ae,fe,ne,ie,O,H,G,K,de,we,se,De,Ce,ze,Ge,Ne,Qe,Z,re,ye,We,oe,Re,Be,qe,je,Ve,nt,ot){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function rt(Je){const at=Je.get(pe.IExtHostInitDataService),pt=Je.get(De.IExtHostFileSystemInfo),Pt=Je.get(G.IExtHostConsumerFileSystem),St=Je.get(o.IExtHostExtensionService),ft=Je.get(ee.IExtHostWorkspace),It=Je.get(Qe.IExtHostTelemetry),bt=Je.get(v.IExtHostConfiguration),Ft=Je.get(Pe.IURITransformerService),Ke=Je.get(ue.IExtHostRpcService),Lt=Je.get($.IExtHostStorage),Bt=Je.get(H.IExtensionStoragePaths),Nt=Je.get(me.ILoggerService),mt=Je.get(me.ILogService),kt=Je.get(fe.IExtHostTunnelService),Ae=Je.get(ne.IExtHostApiDeprecationService),Oe=Je.get(V.IExtHostWindow),Se=Je.get(Ge.IExtHostSecretState),te=Je.get(Ne.IExtHostEditorTabs);Ke.set(_.ExtHostContext.ExtHostFileSystemInfo,pt),Ke.set(_.ExtHostContext.ExtHostLogLevelServiceShape,Nt),Ke.set(_.ExtHostContext.ExtHostWorkspace,ft),Ke.set(_.ExtHostContext.ExtHostConfiguration,bt),Ke.set(_.ExtHostContext.ExtHostExtensionService,St),Ke.set(_.ExtHostContext.ExtHostStorage,Lt),Ke.set(_.ExtHostContext.ExtHostTunnelService,kt),Ke.set(_.ExtHostContext.ExtHostWindow,Oe),Ke.set(_.ExtHostContext.ExtHostSecretState,Se),Ke.set(_.ExtHostContext.ExtHostTelemetry,It),Ke.set(_.ExtHostContext.ExtHostEditorTabs,te);const Fe=Ke.set(_.ExtHostContext.ExtHostDecorations,Je.get(J.IExtHostDecorations)),xe=Ke.set(_.ExtHostContext.ExtHostDocumentsAndEditors,Je.get(r.IExtHostDocumentsAndEditors)),Ze=Ke.set(_.ExtHostContext.ExtHostCommands,Je.get(g.IExtHostCommands)),et=Ke.set(_.ExtHostContext.ExtHostTerminalService,Je.get(B.IExtHostTerminalService)),Ye=Ke.set(_.ExtHostContext.ExtHostDebugService,Je.get(_e.IExtHostDebugService)),vt=Ke.set(_.ExtHostContext.ExtHostSearch,Je.get(Te.IExtHostSearch)),yt=Ke.set(_.ExtHostContext.ExtHostTask,Je.get(ge.IExtHostTask)),Ct=Ke.set(_.ExtHostContext.ExtHostOutputService,Je.get(S.IExtHostOutputService)),wt=Ke.set(_.ExtHostContext.ExtHostUrls,new q.ExtHostUrls(Ke)),dt=Ke.set(_.ExtHostContext.ExtHostDocuments,new h.ExtHostDocuments(Ke,xe)),Kt=Ke.set(_.ExtHostContext.ExtHostDocumentContentProviders,new m.ExtHostDocumentContentProvider(Ke,xe,mt)),Xt=Ke.set(_.ExtHostContext.ExtHostDocumentSaveParticipant,new a.ExtHostDocumentSaveParticipant(mt,dt,Ke.getProxy(_.MainContext.MainThreadBulkEdits))),Et=Ke.set(_.ExtHostContext.ExtHostNotebook,new be.ExtHostNotebookController(Ke,Ze,xe,dt,Bt)),Gt=Ke.set(_.ExtHostContext.ExtHostNotebookDocuments,new Be.ExtHostNotebookDocuments(Et)),dn=Ke.set(_.ExtHostContext.ExtHostNotebookEditors,new Re.ExtHostNotebookEditors(mt,Et)),hn=Ke.set(_.ExtHostContext.ExtHostNotebookKernels,new Z.ExtHostNotebookKernels(Ke,at,Et,Ze,mt)),Tt=Ke.set(_.ExtHostContext.ExtHostNotebookRenderers,new ye.ExtHostNotebookRenderers(Ke,Et)),Ot=Ke.set(_.ExtHostContext.ExtHostEditors,new z.ExtHostEditors(Ke,xe)),fn=Ke.set(_.ExtHostContext.ExtHostTreeViews,new X.ExtHostTreeViews(Ke.getProxy(_.MainContext.MainThreadTreeViews),Ze,mt)),Cn=Ke.set(_.ExtHostContext.ExtHostEditorInsets,new Y.ExtHostEditorInsets(Ke.getProxy(_.MainContext.MainThreadEditorInsets),Ot,at.remote)),Qt=Ke.set(_.ExtHostContext.ExtHostDiagnostics,new p.ExtHostDiagnostics(Ke,mt,pt)),Yt=Ke.set(_.ExtHostContext.ExtHostLanguages,new l.ExtHostLanguages(Ke,dt,Ze.converter,Ft)),ht=Ke.set(_.ExtHostContext.ExtHostLanguageFeatures,new s.ExtHostLanguageFeatures(Ke,Ft,dt,Ze,Qt,mt,Ae)),Dn=Ke.set(_.ExtHostContext.ExtHostFileSystem,new i.ExtHostFileSystem(Ke,ht)),zt=Ke.set(_.ExtHostContext.ExtHostFileSystemEventService,new n.ExtHostFileSystemEventService(Ke,mt,xe)),Vt=Ke.set(_.ExtHostContext.ExtHostQuickOpen,(0,F.createExtHostQuickOpen)(Ke,ft,Ze)),mn=Ke.set(_.ExtHostContext.ExtHostSCM,new N.ExtHostSCM(Ke,Ze,mt)),In=Ke.set(_.ExtHostContext.ExtHostComments,(0,f.createExtHostComments)(Ke,Ze,dt)),gn=Ke.set(_.ExtHostContext.ExtHostProgress,new L.ExtHostProgress(Ke.getProxy(_.MainContext.MainThreadProgress))),pn=Ke.set(_.ExtHostContext.ExtHosLabelService,new le.ExtHostLabelService(Ke)),vn=Ke.set(_.ExtHostContext.ExtHostTheming,new ae.ExtHostTheming(Ke)),Jt=Ke.set(_.ExtHostContext.ExtHostAuthentication,new ie.ExtHostAuthentication(Ke)),kn=Ke.set(_.ExtHostContext.ExtHostTimeline,new O.ExtHostTimeline(Ke,Ze)),sn=Ke.set(_.ExtHostContext.ExtHostWebviews,new x.ExtHostWebviews(Ke,at.remote,ft,mt,Ae)),on=Ke.set(_.ExtHostContext.ExtHostWebviewPanels,new we.ExtHostWebviewPanels(Ke,sn,ft)),Pn=Ke.set(_.ExtHostContext.ExtHostCustomEditors,new de.ExtHostCustomEditors(Ke,dt,Bt,sn,on)),Wt=Ke.set(_.ExtHostContext.ExtHostWebviewViews,new K.ExtHostWebviewViews(Ke,sn)),Mt=Ke.set(_.ExtHostContext.ExtHostTesting,new Ce.ExtHostTesting(Ke,Ze)),Tn=Ke.set(_.ExtHostContext.ExtHostUriOpeners,new ze.ExtHostUriOpeners(Ke));Ke.set(_.ExtHostContext.ExtHostInteractive,new qe.ExtHostInteractive(Ke,Et,xe,Ze,mt));const Ut=Object.values(_.ExtHostContext);Ke.assertRegistered(Ut);const Zt=new se.ExtHostBulkEdits(Ke,xe),An=new b.ExtHostClipboard(Ke),an=new d.ExtHostMessageService(Ke,mt),wn=new c.ExtHostDialogs(Ke),bn=new A.ExtHostStatusBar(Ke,Ze.converter);return w.ExtHostApiCommands.register(Ze),function($e,Ht,En){const gt=function(){let he=!$e.isUnderDevelopment;function Ee(){he||(mt.info(`Extension '${$e.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),he=!0)}return function Ue(ct){if(Array.isArray(ct))ct.forEach(Ue);else if(typeof ct=="string")Ee();else{const _t=ct;typeof _t.scheme=="undefined"&&Ee(),typeof _t.exclusive=="boolean"&&(0,Ve.checkProposedApiEnabled)($e,"documentFiltersExclusive")}return ct}}(),Rn={getSession(he,Ee,Ue){return Jt.getSession($e,he,Ee,Ue)},async hasSession(he,Ee){return(0,Ve.checkProposedApiEnabled)($e,"authSession"),!!await Jt.getSession($e,he,Ee,{silent:!0})},get onDidChangeSessions(){return Jt.onDidChangeSessions},registerAuthenticationProvider(he,Ee,Ue,ct){return Jt.registerAuthenticationProvider(he,Ee,Ue,ct)}},Ln={registerCommand(he,Ee,Ue){return Ze.registerCommand(!0,he,Ee,Ue,void 0,$e)},registerTextEditorCommand(he,Ee,Ue){return Ze.registerCommand(!0,he,(...ct)=>{const _t=Ot.getActiveTextEditor();if(!_t){mt.warn("Cannot execute "+he+" because there is no active text editor.");return}return _t.edit(At=>{Ee.apply(Ue,[_t,At,...ct])}).then(At=>{At||mt.warn("Edits from command "+he+" were not applied.")},At=>{mt.warn("An error occurred while running command "+he,At)})},void 0,void 0,$e)},registerDiffInformationCommand:(he,Ee,Ue)=>((0,Ve.checkProposedApiEnabled)($e,"diffCommand"),Ze.registerCommand(!0,he,async(...ct)=>{const _t=xe.activeEditor(!0);if(!_t){mt.warn("Cannot execute "+he+" because there is no active text editor.");return}const At=await Ot.getDiffInformation(_t.id);Ee.apply(Ue,[At,...ct])},void 0,void 0,$e)),executeCommand(he,...Ee){return Ze.executeCommand(he,...Ee)},getCommands(he=!1){return Ze.getCommands(he)}},_n={get machineId(){return at.telemetryInfo.machineId},get sessionId(){return at.telemetryInfo.sessionId},get language(){return at.environment.appLanguage},get appName(){return at.environment.appName},get appRoot(){return at.environment.appRoot?.fsPath??""},get appHost(){return at.environment.appHost},get uriScheme(){return at.environment.appUriScheme},get clipboard(){return An.value},get shell(){return et.getDefaultShell(!1)},get isTelemetryEnabled(){return It.getTelemetryConfiguration()},get onDidChangeTelemetryEnabled(){return It.onDidChangeTelemetryEnabled},get telemetryConfiguration(){return(0,Ve.checkProposedApiEnabled)($e,"telemetry"),It.getTelemetryDetails()},get onDidChangeTelemetryConfiguration(){return(0,Ve.checkProposedApiEnabled)($e,"telemetry"),It.onDidChangeTelemetryConfiguration},get isNewAppInstall(){const he=Date.now()-new Date(at.telemetryInfo.firstSessionDate).getTime();return isNaN(he)?!1:he<1e3*60*60*24},openExternal(he,Ee){return Oe.openUri(he,{allowTunneling:!!at.remote.authority,allowContributedOpeners:Ee?.allowContributedOpeners})},async asExternalUri(he){if(he.scheme===at.environment.appUriScheme)return wt.createAppUri(he);try{return await Oe.asExternalUri(he,{allowTunneling:!!at.remote.authority})}catch(Ee){if((0,oe.matchesScheme)(he,We.Schemas.http)||(0,oe.matchesScheme)(he,We.Schemas.https))return he;throw Ee}},get remoteName(){return(0,ve.getRemoteName)(at.remote.authority)},get remoteAuthority(){return(0,Ve.checkProposedApiEnabled)($e,"resolvers"),at.remote.authority},get uiKind(){return at.uiKind}};at.environment.extensionTestsLocationURI||Object.freeze(_n);const On={createTestController(he,Ee,Ue){return Mt.createTestController(he,Ee,Ue)},createTestObserver(){return(0,Ve.checkProposedApiEnabled)($e,"testObserver"),Mt.createTestObserver()},runTests(he){return(0,Ve.checkProposedApiEnabled)($e,"testObserver"),Mt.runTests(he)},get onDidChangeTestResults(){return(0,Ve.checkProposedApiEnabled)($e,"testObserver"),Mt.onResultsChanged},get testResults(){return(0,Ve.checkProposedApiEnabled)($e,"testObserver"),Mt.results}},en=at.remote.isRemote?U.ExtensionKind.Workspace:U.ExtensionKind.UI,Nn={getExtension(he,Ee){(0,ot.equalsIgnoreCase)(he,"ms-vscode.references-view")&&(Ae.report("The extension 'ms-vscode.references-view' has been renamed.",$e,"Use 'vscode.references-view' instead."),he="vscode.references-view"),(0,Ve.isProposedApiEnabled)($e,"extensionsAny")||(Ee=!1);const Ue=Ht.mine.getExtensionDescription(he);if(Ue)return new o.Extension(St,$e.identifier,Ue,en,!1);if(Ee){const ct=Ht.all.getExtensionDescription(he);if(ct)return new o.Extension(St,$e.identifier,ct,en,!0)}},get all(){const he=[];for(const Ee of Ht.mine.getAllExtensionDescriptions())he.push(new o.Extension(St,$e.identifier,Ee,en,!1));return he},get allAcrossExtensionHosts(){(0,Ve.checkProposedApiEnabled)($e,"extensionsAny");const he=new Ve.ExtensionIdentifierSet(Ht.mine.getAllExtensionDescriptions().map(Ue=>Ue.identifier)),Ee=[];for(const Ue of Ht.all.getAllExtensionDescriptions()){const ct=!he.has(Ue.identifier);Ee.push(new o.Extension(St,$e.identifier,Ue,en,ct))}return Ee},get onDidChange(){return(0,Ve.isProposedApiEnabled)($e,"extensionsAny")?D.Event.any(Ht.mine.onDidChange,Ht.all.onDidChange):Ht.mine.onDidChange}},Fn={createDiagnosticCollection(he){return Qt.createDiagnosticCollection($e.identifier,he)},get onDidChangeDiagnostics(){return Qt.onDidChangeDiagnostics},getDiagnostics:he=>Qt.getDiagnostics(he),getLanguages(){return Yt.getLanguages()},setTextDocumentLanguage(he,Ee){return Yt.changeLanguage(he.uri,Ee)},match(he,Ee){const Ue=dt.getDocumentData(Ee.uri)?.notebook;return(0,R.score)(M.LanguageSelector.from(he),Ee.uri,Ee.languageId,!0,Ue?.uri,Ue?.notebookType)},registerCodeActionsProvider(he,Ee,Ue){return ht.registerCodeActionProvider($e,gt(he),Ee,Ue)},registerDocumentPasteEditProvider(he,Ee,Ue){return(0,Ve.checkProposedApiEnabled)($e,"documentPaste"),ht.registerDocumentPasteEditProvider($e,gt(he),Ee,Ue)},registerCodeLensProvider(he,Ee){return ht.registerCodeLensProvider($e,gt(he),Ee)},registerDefinitionProvider(he,Ee){return ht.registerDefinitionProvider($e,gt(he),Ee)},registerDeclarationProvider(he,Ee){return ht.registerDeclarationProvider($e,gt(he),Ee)},registerImplementationProvider(he,Ee){return ht.registerImplementationProvider($e,gt(he),Ee)},registerTypeDefinitionProvider(he,Ee){return ht.registerTypeDefinitionProvider($e,gt(he),Ee)},registerHoverProvider(he,Ee){return ht.registerHoverProvider($e,gt(he),Ee,$e.identifier)},registerEvaluatableExpressionProvider(he,Ee){return ht.registerEvaluatableExpressionProvider($e,gt(he),Ee,$e.identifier)},registerInlineValuesProvider(he,Ee){return ht.registerInlineValuesProvider($e,gt(he),Ee,$e.identifier)},registerDocumentHighlightProvider(he,Ee){return ht.registerDocumentHighlightProvider($e,gt(he),Ee)},registerLinkedEditingRangeProvider(he,Ee){return ht.registerLinkedEditingRangeProvider($e,gt(he),Ee)},registerReferenceProvider(he,Ee){return ht.registerReferenceProvider($e,gt(he),Ee)},registerRenameProvider(he,Ee){return ht.registerRenameProvider($e,gt(he),Ee)},registerDocumentSymbolProvider(he,Ee,Ue){return ht.registerDocumentSymbolProvider($e,gt(he),Ee,Ue)},registerWorkspaceSymbolProvider(he){return ht.registerWorkspaceSymbolProvider($e,he)},registerDocumentFormattingEditProvider(he,Ee){return ht.registerDocumentFormattingEditProvider($e,gt(he),Ee)},registerDocumentRangeFormattingEditProvider(he,Ee){return ht.registerDocumentRangeFormattingEditProvider($e,gt(he),Ee)},registerOnTypeFormattingEditProvider(he,Ee,Ue,...ct){return ht.registerOnTypeFormattingEditProvider($e,gt(he),Ee,[Ue].concat(ct))},registerDocumentSemanticTokensProvider(he,Ee,Ue){return ht.registerDocumentSemanticTokensProvider($e,gt(he),Ee,Ue)},registerDocumentRangeSemanticTokensProvider(he,Ee,Ue){return ht.registerDocumentRangeSemanticTokensProvider($e,gt(he),Ee,Ue)},registerSignatureHelpProvider(he,Ee,Ue,...ct){return typeof Ue=="object"?ht.registerSignatureHelpProvider($e,gt(he),Ee,Ue):ht.registerSignatureHelpProvider($e,gt(he),Ee,typeof Ue=="undefined"?[]:[Ue,...ct])},registerCompletionItemProvider(he,Ee,...Ue){return ht.registerCompletionItemProvider($e,gt(he),Ee,Ue)},registerInlineCompletionItemProvider(he,Ee){return Ee.handleDidShowCompletionItem&&(0,Ve.checkProposedApiEnabled)($e,"inlineCompletionsAdditions"),ht.registerInlineCompletionsProvider($e,gt(he),Ee)},registerInlineCompletionItemProviderNew(he,Ee){if((0,Ve.checkProposedApiEnabled)($e,"inlineCompletionsNew"),Ee.handleDidShowCompletionItem&&!(0,Ve.isProposedApiEnabled)($e,"inlineCompletionsAdditions"))throw new Error(`When the method "handleDidShowCompletionItem" is implemented on a provider, the usage of the proposed api 'inlineCompletionsAdditions' must be declared!`);return ht.registerInlineCompletionsProviderNew($e,gt(he),Ee)},registerDocumentLinkProvider(he,Ee){return ht.registerDocumentLinkProvider($e,gt(he),Ee)},registerColorProvider(he,Ee){return ht.registerColorProvider($e,gt(he),Ee)},registerFoldingRangeProvider(he,Ee){return ht.registerFoldingRangeProvider($e,gt(he),Ee)},registerSelectionRangeProvider(he,Ee){return ht.registerSelectionRangeProvider($e,he,Ee)},registerCallHierarchyProvider(he,Ee){return ht.registerCallHierarchyProvider($e,he,Ee)},registerTypeHierarchyProvider(he,Ee){return ht.registerTypeHierarchyProvider($e,he,Ee)},setLanguageConfiguration:(he,Ee)=>ht.setLanguageConfiguration($e,he,Ee),getTokenInformationAtPosition(he,Ee){return(0,Ve.checkProposedApiEnabled)($e,"tokenInformation"),Yt.tokenAtPosition(he,Ee)},registerInlayHintsProvider(he,Ee){return ht.registerInlayHintsProvider($e,he,Ee)},createLanguageStatusItem(he,Ee){return Yt.createLanguageStatusItem($e,he,Ee)},registerDocumentOnDropEditProvider(he,Ee){return(0,Ve.checkProposedApiEnabled)($e,"textEditorDrop"),ht.registerDocumentOnDropEditProvider($e,he,Ee)}},Mn={get activeTextEditor(){return Ot.getActiveTextEditor()},get visibleTextEditors(){return Ot.getVisibleTextEditors()},get activeTerminal(){return et.activeTerminal},get terminals(){return et.terminals},async showTextDocument(he,Ee,Ue){const ct=await(y.URI.isUri(he)?Promise.resolve(tn.openTextDocument(he)):Promise.resolve(he));return Ot.showTextDocument(ct,Ee,Ue)},createTextEditorDecorationType(he){return Ot.createTextEditorDecorationType($e,he)},onDidChangeActiveTextEditor(he,Ee,Ue){return Ot.onDidChangeActiveTextEditor(he,Ee,Ue)},onDidChangeVisibleTextEditors(he,Ee,Ue){return Ot.onDidChangeVisibleTextEditors(he,Ee,Ue)},onDidChangeTextEditorSelection(he,Ee,Ue){return Ot.onDidChangeTextEditorSelection(he,Ee,Ue)},onDidChangeTextEditorOptions(he,Ee,Ue){return Ot.onDidChangeTextEditorOptions(he,Ee,Ue)},onDidChangeTextEditorVisibleRanges(he,Ee,Ue){return Ot.onDidChangeTextEditorVisibleRanges(he,Ee,Ue)},onDidChangeTextEditorViewColumn(he,Ee,Ue){return Ot.onDidChangeTextEditorViewColumn(he,Ee,Ue)},onDidCloseTerminal(he,Ee,Ue){return et.onDidCloseTerminal(he,Ee,Ue)},onDidOpenTerminal(he,Ee,Ue){return et.onDidOpenTerminal(he,Ee,Ue)},onDidChangeActiveTerminal(he,Ee,Ue){return et.onDidChangeActiveTerminal(he,Ee,Ue)},onDidChangeTerminalDimensions(he,Ee,Ue){return(0,Ve.checkProposedApiEnabled)($e,"terminalDimensions"),et.onDidChangeTerminalDimensions(he,Ee,Ue)},onDidChangeTerminalState(he,Ee,Ue){return et.onDidChangeTerminalState(he,Ee,Ue)},onDidWriteTerminalData(he,Ee,Ue){return(0,Ve.checkProposedApiEnabled)($e,"terminalDataWriteEvent"),et.onDidWriteTerminalData(he,Ee,Ue)},get state(){return Oe.state},onDidChangeWindowState(he,Ee,Ue){return Oe.onDidChangeWindowState(he,Ee,Ue)},showInformationMessage(he,...Ee){return an.showMessage($e,T.default.Info,he,Ee[0],Ee.slice(1))},showWarningMessage(he,...Ee){return an.showMessage($e,T.default.Warning,he,Ee[0],Ee.slice(1))},showErrorMessage(he,...Ee){return an.showMessage($e,T.default.Error,he,Ee[0],Ee.slice(1))},showQuickPick(he,Ee,Ue){return Vt.showQuickPick(he,Ee,Ue)},showWorkspaceFolderPick(he){return Vt.showWorkspaceFolderPick(he)},showInputBox(he,Ee){return Vt.showInput(he,Ee)},showOpenDialog(he){return wn.showOpenDialog(he)},showSaveDialog(he){return wn.showSaveDialog(he)},createStatusBarItem(he,Ee,Ue){let ct,_t,At;return typeof he=="string"?(ct=he,_t=Ee,At=Ue):(_t=he,At=Ee),bn.createStatusBarEntry($e,ct,_t,At)},setStatusBarMessage(he,Ee){return bn.setStatusBarMessage(he,Ee)},withScmProgress(he){return Ae.report("window.withScmProgress",$e,"Use 'withProgress' instead."),gn.withProgress($e,{location:U.ProgressLocation.SourceControl},(Ee,Ue)=>he({report(ct){}}))},withProgress(he,Ee){return gn.withProgress($e,he,Ee)},createOutputChannel(he,Ee){return Ct.createOutputChannel(he,Ee,$e)},createWebviewPanel(he,Ee,Ue,ct){return on.createWebviewPanel($e,he,Ee,Ue,ct)},createWebviewTextEditorInset(he,Ee,Ue,ct){return(0,Ve.checkProposedApiEnabled)($e,"editorInsets"),Cn.createWebviewEditorInset(he,Ee,Ue,ct,$e)},createTerminal(he,Ee,Ue){return typeof he=="object"?"pty"in he?et.createExtensionTerminal(he):et.createTerminalFromOptions(he):et.createTerminal(he,Ee,Ue)},registerTerminalLinkProvider(he){return et.registerLinkProvider(he)},registerTerminalProfileProvider(he,Ee){return et.registerProfileProvider($e,he,Ee)},registerTreeDataProvider(he,Ee){return fn.registerTreeDataProvider(he,Ee,$e)},createTreeView(he,Ee){return fn.createTreeView(he,Ee,$e)},registerWebviewPanelSerializer:(he,Ee)=>on.registerWebviewPanelSerializer($e,he,Ee),registerCustomEditorProvider:(he,Ee,Ue={})=>Pn.registerCustomEditorProvider($e,he,Ee,Ue),registerFileDecorationProvider(he){return Fe.registerFileDecorationProvider(he,$e.identifier)},registerUriHandler(he){return wt.registerUriHandler($e.identifier,he)},createQuickPick(){return Vt.createQuickPick($e)},createInputBox(){return Vt.createInputBox($e)},get activeColorTheme(){return vn.activeColorTheme},onDidChangeActiveColorTheme(he,Ee,Ue){return vn.onDidChangeActiveColorTheme(he,Ee,Ue)},registerWebviewViewProvider(he,Ee,Ue){return Wt.registerWebviewViewProvider($e,he,Ee,Ue?.webviewOptions)},get activeNotebookEditor(){return Et.activeNotebookEditor},onDidChangeActiveNotebookEditor(he,Ee,Ue){return Et.onDidChangeActiveNotebookEditor(he,Ee,Ue)},get visibleNotebookEditors(){return Et.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return Et.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(he,Ee,Ue){return dn.onDidChangeNotebookEditorSelection(he,Ee,Ue)},onDidChangeNotebookEditorVisibleRanges(he,Ee,Ue){return dn.onDidChangeNotebookEditorVisibleRanges(he,Ee,Ue)},showNotebookDocument(he,Ee){return y.URI.isUri(he)&&Ae.report("window.showNotebookDocument(uri)",$e,"Please use 'window.openNotebookDocument' and 'window.showTextDocument'"),Et.showNotebookDocument(he,Ee)},registerExternalUriOpener(he,Ee,Ue){return(0,Ve.checkProposedApiEnabled)($e,"externalUriOpener"),Tn.registerExternalUriOpener($e.identifier,he,Ee,Ue)},get tabGroups(){return te.tabGroups}},tn={get rootPath(){return Ae.report("workspace.rootPath",$e,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),ft.getPath()},set rootPath(he){throw t.readonly()},getWorkspaceFolder(he){return ft.getWorkspaceFolder(he)},get workspaceFolders(){return ft.getWorkspaceFolders()},get name(){return ft.name},set name(he){throw t.readonly()},get workspaceFile(){return ft.workspaceFile},set workspaceFile(he){throw t.readonly()},updateWorkspaceFolders:(he,Ee,...Ue)=>ft.updateWorkspaceFolders($e,he,Ee||0,...Ue),onDidChangeWorkspaceFolders:function(he,Ee,Ue){return ft.onDidChangeWorkspace(he,Ee,Ue)},asRelativePath:(he,Ee)=>ft.getRelativePath(he,Ee),findFiles:(he,Ee,Ue,ct)=>ft.findFiles(he,Ee,Ue,$e.identifier,ct),findTextInFiles:(he,Ee,Ue,ct)=>{(0,Ve.checkProposedApiEnabled)($e,"findTextInFiles");let _t,At;return typeof Ee=="object"?(_t=Ee,At=Ue):(_t={},At=Ee,ct=Ue),ft.findTextInFiles(he,_t||{},At,$e.identifier,ct)},saveAll:he=>ft.saveAll(he),applyEdit(he){return Zt.applyWorkspaceEdit(he,$e)},createFileSystemWatcher:(he,Ee,Ue,ct)=>zt.createFileSystemWatcher(ft,$e,he,Ee,Ue,ct),get textDocuments(){return dt.getAllDocumentData().map(he=>he.document)},set textDocuments(he){throw t.readonly()},openTextDocument(he){let Ee;const Ue=he;if(typeof he=="string")Ee=Promise.resolve(y.URI.file(he));else if(y.URI.isUri(he))Ee=Promise.resolve(he);else if(!Ue||typeof Ue=="object")Ee=dt.createDocumentData(Ue);else throw new Error("illegal argument - uriOrFileNameOrOptions");return Ee.then(ct=>dt.ensureDocumentData(ct).then(_t=>_t.document))},onDidOpenTextDocument:(he,Ee,Ue)=>dt.onDidAddDocument(he,Ee,Ue),onDidCloseTextDocument:(he,Ee,Ue)=>dt.onDidRemoveDocument(he,Ee,Ue),onDidChangeTextDocument:(he,Ee,Ue)=>dt.onDidChangeDocument(he,Ee,Ue),onDidSaveTextDocument:(he,Ee,Ue)=>dt.onDidSaveDocument(he,Ee,Ue),onWillSaveTextDocument:(he,Ee,Ue)=>Xt.getOnWillSaveTextDocumentEvent($e)(he,Ee,Ue),get notebookDocuments(){return Et.notebookDocuments.map(he=>he.apiNotebook)},async openNotebookDocument(he,Ee){let Ue;if(y.URI.isUri(he))Ue=he,await Et.openNotebookDocument(he);else if(typeof he=="string")Ue=y.URI.revive(await Et.createNotebookDocument({viewType:he,content:Ee}));else throw new Error("Invalid arguments");return Et.getNotebookDocument(Ue).apiNotebook},onDidSaveNotebookDocument(he,Ee,Ue){return Gt.onDidSaveNotebookDocument(he,Ee,Ue)},onDidChangeNotebookDocument(he,Ee,Ue){return Gt.onDidChangeNotebookDocument(he,Ee,Ue)},get onDidOpenNotebookDocument(){return Et.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return Et.onDidCloseNotebookDocument},registerNotebookSerializer(he,Ee,Ue,ct){return Et.registerNotebookSerializer($e,he,Ee,Ue,(0,Ve.isProposedApiEnabled)($e,"notebookLiveShare")?ct:void 0)},registerNotebookContentProvider:(he,Ee,Ue,ct)=>((0,Ve.checkProposedApiEnabled)($e,"notebookContentProvider"),Ae.report("workspace.registerNotebookContentProvider",$e,"The notebookContentProvider API is not on track for finalization and will be removed."),Et.registerNotebookContentProvider($e,he,Ee,Ue,(0,Ve.isProposedApiEnabled)($e,"notebookLiveShare")?ct:void 0)),onDidChangeConfiguration:(he,Ee,Ue)=>En.onDidChangeConfiguration(he,Ee,Ue),getConfiguration(he,Ee){return Ee=arguments.length===1?void 0:Ee,En.getConfiguration(he,Ee,$e)},registerTextDocumentContentProvider(he,Ee){return Kt.registerTextDocumentContentProvider(he,Ee)},registerTaskProvider:(he,Ee)=>(Ae.report("window.registerTaskProvider",$e,"Use the corresponding function on the 'tasks' namespace instead"),yt.registerTaskProvider($e,he,Ee)),registerFileSystemProvider(he,Ee,Ue){return(0,je.combinedDisposable)(Dn.registerFileSystemProvider($e,he,Ee,Ue),Pt.addFileSystemProvider(he,Ee))},get fs(){return Pt.value},registerFileSearchProvider:(he,Ee)=>((0,Ve.checkProposedApiEnabled)($e,"fileSearchProvider"),vt.registerFileSearchProvider(he,Ee)),registerTextSearchProvider:(he,Ee)=>((0,Ve.checkProposedApiEnabled)($e,"textSearchProvider"),vt.registerTextSearchProvider(he,Ee)),registerRemoteAuthorityResolver:(he,Ee)=>((0,Ve.checkProposedApiEnabled)($e,"resolvers"),St.registerRemoteAuthorityResolver(he,Ee)),registerResourceLabelFormatter:he=>((0,Ve.checkProposedApiEnabled)($e,"resolvers"),pn.$registerResourceLabelFormatter(he)),onDidCreateFiles:(he,Ee,Ue)=>zt.onDidCreateFile(he,Ee,Ue),onDidDeleteFiles:(he,Ee,Ue)=>zt.onDidDeleteFile(he,Ee,Ue),onDidRenameFiles:(he,Ee,Ue)=>zt.onDidRenameFile(he,Ee,Ue),onWillCreateFiles:(he,Ee,Ue)=>zt.getOnWillCreateFileEvent($e)(he,Ee,Ue),onWillDeleteFiles:(he,Ee,Ue)=>zt.getOnWillDeleteFileEvent($e)(he,Ee,Ue),onWillRenameFiles:(he,Ee,Ue)=>zt.getOnWillRenameFileEvent($e)(he,Ee,Ue),openTunnel:he=>((0,Ve.checkProposedApiEnabled)($e,"resolvers"),kt.openTunnel($e,he).then(Ee=>{if(!Ee)throw new Error("cannot open tunnel");return Ee})),get tunnels(){return(0,Ve.checkProposedApiEnabled)($e,"resolvers"),kt.getTunnels()},onDidChangeTunnels:(he,Ee,Ue)=>((0,Ve.checkProposedApiEnabled)($e,"resolvers"),kt.onDidChangeTunnels(he,Ee,Ue)),registerPortAttributesProvider:(he,Ee)=>((0,Ve.checkProposedApiEnabled)($e,"portsAttributes"),kt.registerPortsAttributesProvider(he,Ee)),registerTimelineProvider:(he,Ee)=>((0,Ve.checkProposedApiEnabled)($e,"timeline"),kn.registerTimelineProvider(he,Ee,$e.identifier,Ze.converter)),get isTrusted(){return ft.trusted},requestWorkspaceTrust:he=>((0,Ve.checkProposedApiEnabled)($e,"workspaceTrust"),ft.requestWorkspaceTrust(he)),onDidGrantWorkspaceTrust:(he,Ee,Ue)=>ft.onDidGrantWorkspaceTrust(he,Ee,Ue)},Un={get inputBox(){return Ae.report("scm.inputBox",$e,"Use 'SourceControl.inputBox' instead"),mn.getLastInputBox($e)},createSourceControl(he,Ee,Ue){return mn.createSourceControl($e,he,Ee,Ue)}},nn={createCommentController(he,Ee){return In.createCommentController($e,he,Ee)}},cn={get activeDebugSession(){return Ye.activeDebugSession},get activeDebugConsole(){return Ye.activeDebugConsole},get breakpoints(){return Ye.breakpoints},onDidStartDebugSession(he,Ee,Ue){return Ye.onDidStartDebugSession(he,Ee,Ue)},onDidTerminateDebugSession(he,Ee,Ue){return Ye.onDidTerminateDebugSession(he,Ee,Ue)},onDidChangeActiveDebugSession(he,Ee,Ue){return Ye.onDidChangeActiveDebugSession(he,Ee,Ue)},onDidReceiveDebugSessionCustomEvent(he,Ee,Ue){return Ye.onDidReceiveDebugSessionCustomEvent(he,Ee,Ue)},onDidChangeBreakpoints(he,Ee,Ue){return Ye.onDidChangeBreakpoints(he,Ee,Ue)},registerDebugConfigurationProvider(he,Ee,Ue){return Ye.registerDebugConfigurationProvider(he,Ee,Ue||nt.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(he,Ee){return Ye.registerDebugAdapterDescriptorFactory($e,he,Ee)},registerDebugAdapterTrackerFactory(he,Ee){return Ye.registerDebugAdapterTrackerFactory(he,Ee)},startDebugging(he,Ee,Ue){return!Ue||typeof Ue=="object"&&"configuration"in Ue?Ye.startDebugging(he,Ee,{parentSession:Ue}):Ye.startDebugging(he,Ee,Ue||{})},stopDebugging(he){return Ye.stopDebugging(he)},addBreakpoints(he){return Ye.addBreakpoints(he)},removeBreakpoints(he){return Ye.removeBreakpoints(he)},asDebugSourceUri(he,Ee){return Ye.asDebugSourceUri(he,Ee)}},Bn={registerTaskProvider:(he,Ee)=>yt.registerTaskProvider($e,he,Ee),fetchTasks:he=>yt.fetchTasks(he),executeTask:he=>yt.executeTask($e,he),get taskExecutions(){return yt.taskExecutions},onDidStartTask:(he,Ee,Ue)=>yt.onDidStartTask(he,Ee,Ue),onDidEndTask:(he,Ee,Ue)=>yt.onDidEndTask(he,Ee,Ue),onDidStartTaskProcess:(he,Ee,Ue)=>yt.onDidStartTaskProcess(he,Ee,Ue),onDidEndTaskProcess:(he,Ee,Ue)=>yt.onDidEndTaskProcess(he,Ee,Ue)},zn={createNotebookController(he,Ee,Ue,ct,_t){return hn.createNotebookController($e,he,Ee,Ue,ct,(0,Ve.isProposedApiEnabled)($e,"notebookMessaging")?_t:void 0)},registerNotebookCellStatusBarItemProvider:(he,Ee)=>Et.registerNotebookCellStatusBarItemProvider($e,he,Ee),createRendererMessaging(he){return Tt.createRendererMessaging($e,he)},onDidChangeNotebookCellExecutionState(he,Ee,Ue){return(0,Ve.checkProposedApiEnabled)($e,"notebookCellExecutionState"),hn.onDidChangeNotebookCellExecutionState(he,Ee,Ue)}};return{version:at.version,authentication:Rn,commands:Ln,comments:nn,debug:cn,env:_n,extensions:Nn,languages:Fn,notebooks:zn,scm:Un,tasks:Bn,tests:On,window:Mn,workspace:tn,Breakpoint:U.Breakpoint,CallHierarchyIncomingCall:U.CallHierarchyIncomingCall,CallHierarchyItem:U.CallHierarchyItem,CallHierarchyOutgoingCall:U.CallHierarchyOutgoingCall,CancellationError:t.CancellationError,CancellationTokenSource:u.CancellationTokenSource,CandidatePortSource:_.CandidatePortSource,CodeAction:U.CodeAction,CodeActionKind:U.CodeActionKind,CodeActionTriggerKind:U.CodeActionTriggerKind,CodeLens:U.CodeLens,Color:U.Color,ColorInformation:U.ColorInformation,ColorPresentation:U.ColorPresentation,ColorThemeKind:U.ColorThemeKind,CommentMode:U.CommentMode,CommentThreadCollapsibleState:U.CommentThreadCollapsibleState,CommentThreadState:U.CommentThreadState,CompletionItem:U.CompletionItem,CompletionItemKind:U.CompletionItemKind,CompletionItemTag:U.CompletionItemTag,CompletionList:U.CompletionList,CompletionTriggerKind:U.CompletionTriggerKind,ConfigurationTarget:U.ConfigurationTarget,CustomExecution:U.CustomExecution,DebugAdapterExecutable:U.DebugAdapterExecutable,DebugAdapterInlineImplementation:U.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:U.DebugAdapterNamedPipeServer,DebugAdapterServer:U.DebugAdapterServer,DebugConfigurationProviderTriggerKind:nt.DebugConfigurationProviderTriggerKind,DebugConsoleMode:U.DebugConsoleMode,DecorationRangeBehavior:U.DecorationRangeBehavior,Diagnostic:U.Diagnostic,DiagnosticRelatedInformation:U.DiagnosticRelatedInformation,DiagnosticSeverity:U.DiagnosticSeverity,DiagnosticTag:U.DiagnosticTag,Disposable:U.Disposable,DocumentHighlight:U.DocumentHighlight,DocumentHighlightKind:U.DocumentHighlightKind,DocumentLink:U.DocumentLink,DocumentSymbol:U.DocumentSymbol,EndOfLine:U.EndOfLine,EnvironmentVariableMutatorType:U.EnvironmentVariableMutatorType,EvaluatableExpression:U.EvaluatableExpression,InlineValueText:U.InlineValueText,InlineValueVariableLookup:U.InlineValueVariableLookup,InlineValueEvaluatableExpression:U.InlineValueEvaluatableExpression,InlineCompletionTriggerKind:U.InlineCompletionTriggerKind,InlineCompletionTriggerKindNew:U.InlineCompletionTriggerKindNew,EventEmitter:D.Emitter,ExtensionKind:U.ExtensionKind,ExtensionMode:U.ExtensionMode,ExternalUriOpenerPriority:U.ExternalUriOpenerPriority,FileChangeType:U.FileChangeType,FileDecoration:U.FileDecoration,FileSystemError:U.FileSystemError,FileType:k.FileType,FilePermission:k.FilePermission,FoldingRange:U.FoldingRange,FoldingRangeKind:U.FoldingRangeKind,FunctionBreakpoint:U.FunctionBreakpoint,InlineCompletionItem:U.InlineSuggestion,InlineCompletionItemNew:U.InlineSuggestionNew,InlineCompletionList:U.InlineSuggestionList,InlineCompletionListNew:U.InlineSuggestionsNew,Hover:U.Hover,IndentAction:I.IndentAction,Location:U.Location,MarkdownString:U.MarkdownString,OverviewRulerLane:E.OverviewRulerLane,ParameterInformation:U.ParameterInformation,PortAutoForwardAction:U.PortAutoForwardAction,Position:U.Position,ProcessExecution:U.ProcessExecution,ProgressLocation:U.ProgressLocation,QuickInputButtons:U.QuickInputButtons,Range:U.Range,RelativePattern:U.RelativePattern,Selection:U.Selection,SelectionRange:U.SelectionRange,SemanticTokens:U.SemanticTokens,SemanticTokensBuilder:U.SemanticTokensBuilder,SemanticTokensEdit:U.SemanticTokensEdit,SemanticTokensEdits:U.SemanticTokensEdits,SemanticTokensLegend:U.SemanticTokensLegend,ShellExecution:U.ShellExecution,ShellQuoting:U.ShellQuoting,SignatureHelp:U.SignatureHelp,SignatureHelpTriggerKind:U.SignatureHelpTriggerKind,SignatureInformation:U.SignatureInformation,SnippetString:U.SnippetString,SourceBreakpoint:U.SourceBreakpoint,StandardTokenType:U.StandardTokenType,StatusBarAlignment:U.StatusBarAlignment,SymbolInformation:U.SymbolInformation,SymbolKind:U.SymbolKind,SymbolTag:U.SymbolTag,Task:U.Task,TaskGroup:U.TaskGroup,TaskPanelKind:U.TaskPanelKind,TaskRevealKind:U.TaskRevealKind,TaskScope:U.TaskScope,TerminalLink:U.TerminalLink,TerminalLocation:U.TerminalLocation,TerminalProfile:U.TerminalProfile,TextDocumentSaveReason:U.TextDocumentSaveReason,TextEdit:U.TextEdit,TextEditorCursorStyle:C.TextEditorCursorStyle,TextEditorLineNumbersStyle:U.TextEditorLineNumbersStyle,TextEditorRevealType:U.TextEditorRevealType,TextEditorSelectionChangeKind:U.TextEditorSelectionChangeKind,TextDocumentChangeReason:U.TextDocumentChangeReason,ThemeColor:U.ThemeColor,ThemeIcon:U.ThemeIcon,TreeItem:U.TreeItem,TreeItemCollapsibleState:U.TreeItemCollapsibleState,TypeHierarchyItem:U.TypeHierarchyItem,UIKind:P.UIKind,Uri:y.URI,ViewColumn:U.ViewColumn,WorkspaceEdit:U.WorkspaceEdit,DocumentDropEdit:U.DocumentDropEdit,DocumentPasteEdit:U.DocumentPasteEdit,InlayHint:U.InlayHint,InlayHintLabelPart:U.InlayHintLabelPart,InlayHintKind:U.InlayHintKind,RemoteAuthorityResolverError:U.RemoteAuthorityResolverError,ResolvedAuthority:U.ResolvedAuthority,SourceControlInputBoxValidationType:U.SourceControlInputBoxValidationType,ExtensionRuntime:U.ExtensionRuntime,TimelineItem:U.TimelineItem,NotebookRange:U.NotebookRange,NotebookCellKind:U.NotebookCellKind,NotebookCellExecutionState:U.NotebookCellExecutionState,NotebookCellData:U.NotebookCellData,NotebookData:U.NotebookData,NotebookRendererScript:U.NotebookRendererScript,NotebookCellStatusBarAlignment:U.NotebookCellStatusBarAlignment,NotebookEditorRevealType:U.NotebookEditorRevealType,NotebookCellOutput:U.NotebookCellOutput,NotebookCellOutputItem:U.NotebookCellOutputItem,NotebookCellStatusBarItem:U.NotebookCellStatusBarItem,NotebookControllerAffinity:U.NotebookControllerAffinity,NotebookEdit:U.NotebookEdit,PortAttributes:U.PortAttributes,LinkedEditingRanges:U.LinkedEditingRanges,TestResultState:U.TestResultState,TestRunRequest:U.TestRunRequest,TestMessage:U.TestMessage,TestTag:U.TestTag,TestRunProfileKind:U.TestRunProfileKind,TextSearchCompleteMessageType:re.TextSearchCompleteMessageType,DataTransfer:U.DataTransfer,DataTransferItem:U.DataTransferItem,CoveredCount:U.CoveredCount,FileCoverage:U.FileCoverage,StatementCoverage:U.StatementCoverage,BranchCoverage:U.BranchCoverage,FunctionCoverage:U.FunctionCoverage,WorkspaceTrustState:U.WorkspaceTrustState,LanguageStatusSeverity:U.LanguageStatusSeverity,QuickPickItemKind:U.QuickPickItemKind,InputBoxValidationSeverity:U.InputBoxValidationSeverity,TabInputText:U.TextTabInput,TabInputTextDiff:U.TextDiffTabInput,TabInputCustom:U.CustomEditorTabInput,TabInputNotebook:U.NotebookEditorTabInput,TabInputNotebookDiff:U.NotebookDiffEditorTabInput,TabInputWebview:U.WebviewEditorTabInput,TabInputTerminal:U.TerminalEditorTabInput}}}e.createApiFactoryAndRegisterActors=rt}),define(Ie[295],ke([1,0,268,304,305,2,306]),function(Q,e,u,t,D,T,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connectProxyResolver=void 0;function C(k,_,P,w,b,g){const f=g.environment.useHostProxy,v=typeof f=="boolean"?f:!g.remote.isRemote,p=(0,y.createProxyResolver)({resolveProxy:m=>k.resolveProxy(m),getHttpProxySetting:()=>_.getConfiguration("http").get("proxy"),log:(m,a,...h)=>{switch(m){case y.LogLevel.Trace:w.trace(a,...h);break;case y.LogLevel.Debug:w.debug(a,...h);break;case y.LogLevel.Info:w.info(a,...h);break;case y.LogLevel.Warning:w.warn(a,...h);break;case y.LogLevel.Error:w.error(a,...h);break;case y.LogLevel.Critical:w.critical(a,...h);break;case y.LogLevel.Off:break;default:r(m,a,h);break}function r(o,i,...n){w.error("Unknown log level",o),w.error(i,...n)}},getLogLevel:()=>w.getLevel(),proxyResolveTelemetry:()=>{},useHostProxy:v,env:process.env}),c=E(_,p);return R(P,c)}e.connectProxyResolver=C;function E(k,_){const P={config:k.getConfiguration("http").get("proxySupport")||"off"};k.onDidChangeConfiguration(b=>{P.config=k.getConfiguration("http").get("proxySupport")||"off"});const w={config:!!k.getConfiguration("http").get("systemCertificates")};return k.onDidChangeConfiguration(b=>{w.config=!!k.getConfiguration("http").get("systemCertificates")}),{http:{off:Object.assign({},u,(0,y.createHttpPatch)(u,_,{config:"off"},w,!0)),on:Object.assign({},u,(0,y.createHttpPatch)(u,_,{config:"on"},w,!0)),override:Object.assign({},u,(0,y.createHttpPatch)(u,_,{config:"override"},w,!0)),onRequest:Object.assign({},u,(0,y.createHttpPatch)(u,_,P,w,!0)),default:Object.assign(u,(0,y.createHttpPatch)(u,_,P,w,!1))},https:{off:Object.assign({},t,(0,y.createHttpPatch)(t,_,{config:"off"},w,!0)),on:Object.assign({},t,(0,y.createHttpPatch)(t,_,{config:"on"},w,!0)),override:Object.assign({},t,(0,y.createHttpPatch)(t,_,{config:"override"},w,!0)),onRequest:Object.assign({},t,(0,y.createHttpPatch)(t,_,P,w,!0)),default:Object.assign(t,(0,y.createHttpPatch)(t,_,P,w,!1))},tls:Object.assign(D,(0,y.createTlsPatch)(D))}}const I=new Map;function R(k,_){return k.getExtensionPathIndex().then(P=>{const w=Q.__$__nodeRequire("module"),b=w._load;w._load=function(f,v,p){if(f==="tls")return _.tls;if(f!=="http"&&f!=="https")return b.apply(this,arguments);const c=_[f],m=P.findSubstr(T.URI.file(v.filename));let a=I.get(m);if(a||I.set(m,a={}),!a[f]){const h=c.default;a[f]={...h}}return a[f]}})}}),define(Ie[296],ke([1,0,73,294,282,295,39,270,2,11,7,267,109,269]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;class w extends D.RequireInterceptor{_installInterceptor(){const f=this,v=Q.__$__nodeRequire("module"),p=v._load;v._load=function(h,r,o){return h=m(h),f._factories.has(h)?f._factories.get(h).load(h,E.URI.file((0,_.realpathSync)(r.filename)),i=>p.apply(this,[i,r,o])):p.apply(this,arguments)};const c=v._resolveLookupPaths;v._resolveLookupPaths=(a,h)=>c.call(this,m(a),h);const m=a=>{for(const h of f._alternatives){const r=h(a);if(r){a=r;break}}return a}}}class b extends y.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=R.ExtensionRuntime.Node}async _beforeAlmostReadyToRunExtensions(){this._instaService.createInstance(P.ExtHostConsoleForwarder);const f=this._instaService.invokeFunction(t.createApiFactoryAndRegisterActors);if(this._instaService.createInstance(C.ExtHostDownloadService),this._initData.remote.isRemote&&this._initData.remote.authority){const c=this._instaService.createInstance(k.CLIServer);process.env.VSCODE_IPC_HOOK_CLI=c.ipcHandlePath}await this._instaService.createInstance(w,f,{mine:this._myRegistry,all:this._globalRegistry}).install(),u.mark("code/extHost/didInitAPI");const p=await this._extHostConfiguration.getConfigProvider();await(0,T.connectProxyResolver)(this._extHostWorkspace,p,this,this._logService,this._mainThreadTelemetryProxy,this._initData),u.mark("code/extHost/didInitProxyResolver")}_getEntryPoint(f){return f.main}_loadCommonJSModule(f,v,p){if(v.scheme!==I.Schemas.file)throw new Error(`Cannot load URI: '${v}', must be of file-scheme`);let c=null;p.codeLoadingStart(),this._logService.trace(`ExtensionService#loadCommonJSModule ${v.toString(!0)}`),this._logService.flush();try{f&&u.mark(`code/extHost/willLoadExtensionCode/${f.value}`),c=Q.__$__nodeRequire(v.fsPath)}catch(m){return Promise.reject(m)}finally{f&&u.mark(`code/extHost/didLoadExtensionCode/${f.value}`),p.codeLoadingStop()}return Promise.resolve(c)}async $setRemoteEnvironment(f){if(!!this._initData.remote.isRemote)for(const v in f){const p=f[v];p===null?delete process.env[v]:process.env[v]=p}}}e.ExtHostExtensionService=b}),define(Ie[141],ke([1,0,42,307,97,16,77,36,9,8,2,31,71,308,289,92]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixNewline=e.fixRegexNewline=e.unicodeEscapesToPCRE2=e.spreadGlobComponents=e.RipgrepParser=e.buildRegexParseError=e.rgErrorMsgForDisplay=e.RipgrepTextSearchEngine=void 0;const g=w.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");class f{constructor(d){this.outputChannel=d}provideTextSearchResults(d,S,L,F){return this.outputChannel.appendLine(`provideTextSearchResults ${d.pattern}, ${JSON.stringify({...S,folder:S.folder.toString()})}`),new Promise((N,A)=>{F.onCancellationRequested(()=>x());const $=h(d,S),B=S.folder.fsPath,z=$.map(ve=>ve.match(/^-/)?ve:`'${ve}'`).join(" ");this.outputChannel.appendLine(`${g} ${z}
 - cwd: ${B}`);let X=u.spawn(g,$,{cwd:B});X.on("error",ve=>{console.error(ve),this.outputChannel.appendLine("Error: "+(ve&&ve.message)),A((0,k.serializeSearchError)(new k.SearchError(ve&&ve.message,k.SearchErrorCode.rgProcessError)))});let M=!1;const U=new c(S.maxResults,B,S.previewOptions);U.on("result",ve=>{M=!0,ee="",L.report(ve)});let q=!1;const x=()=>{q=!0,X&&X.kill(),U&&U.cancel()};let V=!1;U.on("hitLimit",()=>{V=!0,x()});let ee="";X.stdout.on("data",ve=>{U.handleData(ve),M||(ee+=ve)});let Y=!1;X.stdout.once("data",()=>Y=!0);let le="";X.stderr.on("data",ve=>{const J=ve.toString();this.outputChannel.appendLine(J),le+=J}),X.on("close",()=>{if(this.outputChannel.appendLine(Y?"Got data from stdout":"No data from stdout"),this.outputChannel.appendLine(M?"Got result from parser":"No result from parser"),ee&&this.outputChannel.appendLine(`Got data without result: ${ee}`),this.outputChannel.appendLine(""),q)N({limitHit:V});else{U.flush(),X=null;let ve;le&&!Y&&(ve=v(le))?A((0,k.serializeSearchError)(new k.SearchError(ve.message,ve.code))):N({limitHit:V})}})})}}e.RipgrepTextSearchEngine=f;function v(l){const d=l.split(`
`),S=d[0].trim();if(d.some(F=>F.startsWith("regex parse error")))return new k.SearchError(p(d),k.SearchErrorCode.regexParseError);const L=S.match(/grep config error: unknown encoding: (.*)/);if(L)return new k.SearchError(`Unknown encoding: ${L[1]}`,k.SearchErrorCode.unknownEncoding);if(S.startsWith("error parsing glob"))return new k.SearchError(S.charAt(0).toUpperCase()+S.substr(1),k.SearchErrorCode.globParseError);if(S.startsWith("the literal"))return new k.SearchError(S.charAt(0).toUpperCase()+S.substr(1),k.SearchErrorCode.invalidLiteral);if(S.startsWith("PCRE2: error compiling pattern"))return new k.SearchError(S,k.SearchErrorCode.regexParseError)}e.rgErrorMsgForDisplay=v;function p(l){const d=["Regex parse error"],S=l.filter(L=>L.startsWith("PCRE2:"));if(S.length>=1){const L=S[0].replace("PCRE2:","");if(L.indexOf(":")!==-1&&L.split(":").length>=2){const F=L.split(":")[1];d.push(":"+F)}}return d.join("")}e.buildRegexParseError=p;class c extends t.EventEmitter{constructor(d,S,L){super();this.maxResults=d,this.rootFolder=S,this.previewOptions=L,this.remainder="",this.isDone=!1,this.hitLimit=!1,this.numResults=0,this.stringDecoder=new D.StringDecoder}cancel(){this.isDone=!0}flush(){this.handleDecodedData(this.stringDecoder.end())}on(d,S){return super.on(d,S),this}handleData(d){if(this.isDone)return;const S=typeof d=="string"?d:this.stringDecoder.write(d);this.handleDecodedData(S)}handleDecodedData(d){let S=d.indexOf(`
`);const L=this.remainder+d;if(S>=0)S+=this.remainder.length;else{this.remainder=L;return}let F=0;for(;S>=0;)this.handleLine(L.substring(F,S).trim()),F=S+1,S=L.indexOf(`
`,F);this.remainder=L.substring(F)}handleLine(d){if(this.isDone||!d)return;let S;try{S=JSON.parse(d)}catch{throw new Error(`malformed line from rg: ${d}`)}if(S.type==="match"){const L=m(S.data.path),F=R.URI.file(E.join(this.rootFolder,L)),N=this.createTextSearchMatch(S.data,F);this.onResult(N),this.hitLimit&&(this.cancel(),this.emit("hitLimit"))}else if(S.type==="context"){const L=m(S.data.path),F=R.URI.file(E.join(this.rootFolder,L));this.createTextSearchContext(S.data,F).forEach(A=>this.onResult(A))}}createTextSearchMatch(d,S){const L=d.line_number-1,F=m(d.lines),N=Buffer.from(F);let A=0,$=0,B=L;d.submatches.length===0&&d.submatches.push(F.length?{start:0,end:1,match:{text:F[0]}}:{start:0,end:0,match:{text:""}});const z=(0,T.coalesce)(d.submatches.map((X,M)=>{if(this.hitLimit)return null;this.numResults++,this.numResults>=this.maxResults&&(this.hitLimit=!0);const U=m(X.match),q=N.slice(A,X.start).toString().length,x=$+q,V=a(U),ee=B,Y=V.numLines+ee,le=V.numLines>0?V.lastLineLength:V.lastLineLength+x;return A=X.end,$=le,B=Y,new _.Range(ee,x,Y,le)}));return(0,b.createTextSearchResult)(S,F,z,this.previewOptions)}createTextSearchContext(d,S){const L=m(d.lines),F=d.line_number;return L.replace(/\r?\n$/,"").split(`
`).map((N,A)=>({text:N,uri:S,lineNumber:F+A}))}onResult(d){this.emit("result",d)}}e.RipgrepParser=c;function m(l){return l.bytes?Buffer.from(l.bytes,"base64").toString():l.text}function a(l){const d=/\n/g;let S=0,L=-1,F;for(;F=d.exec(l);)S++,L=F.index;const N=L>=0?l.length-L-1:l.length;return{numLines:S,lastLineLength:N}}function h(l,d){const S=["--hidden"];S.push(l.isCaseSensitive?"--case-sensitive":"--ignore-case");const{doubleStarIncludes:L,otherIncludes:F}=(0,y.groupBy)(d.includes,A=>A.startsWith("**")?"doubleStarIncludes":"otherIncludes");if(F&&F.length){const A=new Set;F.forEach($=>{A.add($)}),S.push("-g","!*"),A.forEach($=>{r($).map(b.anchorGlob).forEach(B=>{S.push("-g",B)})})}L&&L.length&&L.forEach(A=>{S.push("-g",A)}),d.excludes.map(b.anchorGlob).forEach(A=>S.push("-g",`!${A}`)),d.maxFileSize&&S.push("--max-filesize",d.maxFileSize+""),d.useIgnoreFiles?d.useParentIgnoreFiles||S.push("--no-ignore-parent"):S.push("--no-ignore"),d.followSymlinks&&S.push("--follow"),d.encoding&&d.encoding!=="utf8"&&S.push("--encoding",d.encoding),l.pattern==="--"&&(l.isRegExp=!0,l.pattern="\\-\\-"),l.isMultiline&&!l.isRegExp&&(l.pattern=(0,I.escapeRegExpCharacters)(l.pattern),l.isRegExp=!0),d.usePCRE2&&S.push("--pcre2"),S.push("--crlf"),l.isRegExp&&(l.pattern=o(l.pattern),S.push("--engine","auto"));let N;if(l.isWordMatch){const $=(0,I.createRegExp)(l.pattern,!!l.isRegExp,{wholeWord:l.isWordMatch}).source.replace(/\\\//g,"/");S.push("--regexp",$)}else if(l.isRegExp){let A=n(l.pattern);A=s(A),S.push("--regexp",A)}else N=l.pattern,S.push("--fixed-strings");return S.push("--no-config"),d.useGlobalIgnoreFiles||S.push("--no-ignore-global"),S.push("--json"),l.isMultiline&&S.push("--multiline"),d.beforeContext&&S.push("--before-context",d.beforeContext+""),d.afterContext&&S.push("--after-context",d.afterContext+""),S.push("--"),N&&S.push(N),S.push("."),S}function r(l){const d=(0,C.splitGlobAware)(l,"/");return d.map((S,L)=>d.slice(0,L+1).join("/"))}e.spreadGlobComponents=r;function o(l){const d=/((?:[^\\]|^)(?:\\\\)*)\\u([a-z0-9]{4})/gi;for(;l.match(d);)l=l.replace(d,"$1\\x{$2}");const S=/((?:[^\\]|^)(?:\\\\)*)\\u\{([a-z0-9]{4})\}/gi;for(;l.match(S);)l=l.replace(S,"$1\\x{$2}");return l}e.unicodeEscapesToPCRE2=o;const i=l=>l.type==="Assertion"&&l.kind==="lookbehind";function n(l){let d;try{d=new P.RegExpParser().parsePattern(l)}catch{return l}let S="",L=0;const F=($,B,z)=>{S+=l.slice(L,$)+z,L=B},N=[];return new P.RegExpVisitor({onCharacterEnter($){if($.raw!=="\\n")return;const B=N[0];if(!B)F($.start,$.end,"\\r?\\n");else if(!N.some(i))if(B.type==="CharacterClass")if(B.negate){const z=l.slice(B.start+2,$.start)+l.slice($.end,B.end-1);B.parent?.type==="Quantifier"?F(B.start,B.end,z?`[^${z}]`:"."):F(B.start,B.end,"(?!\\r?\\n"+(z?`|[${z}]`:"")+")")}else{const z=l.slice(B.start+1,$.start)+l.slice($.end,B.end-1);F(B.start,B.end,z===""?"\\r?\\n":`(?:[${z}]|\\r?\\n)`)}else B.type==="Quantifier"&&F($.start,$.end,"(?:\\r?\\n)")},onQuantifierEnter($){N.unshift($)},onQuantifierLeave(){N.shift()},onCharacterClassRangeEnter($){N.unshift($)},onCharacterClassRangeLeave(){N.shift()},onCharacterClassEnter($){N.unshift($)},onCharacterClassLeave(){N.shift()},onAssertionEnter($){i($)&&N.push($)},onAssertionLeave($){N[0]===$&&N.shift()}}).visit(d),S+=l.slice(L),S}e.fixRegexNewline=n;function s(l){return l.replace(/\n/g,"\\r?\\n")}e.fixNewline=s}),define(Ie[297],ke([1,0,21,141,119,11]),function(Q,e,u,t,D,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RipgrepSearchProvider=void 0;class y{constructor(I){this.outputChannel=I,this.inProgress=new Set,process.once("exit",()=>this.dispose())}provideTextSearchResults(I,R,k,_){const P=new t.RipgrepTextSearchEngine(this.outputChannel);if(R.folder.scheme===T.Schemas.vscodeUserData){const w={...R,folder:R.folder.with({scheme:T.Schemas.file})},b=new D.Progress(g=>k.report({...g,uri:g.uri.with({scheme:R.folder.scheme})}));return this.withToken(_,g=>P.provideTextSearchResults(I,w,b,g))}else return this.withToken(_,w=>P.provideTextSearchResults(I,R,k,w))}async withToken(I,R){const k=C(I);this.inProgress.add(k);const _=await R(k.token);return this.inProgress.delete(k),_}dispose(){this.inProgress.forEach(I=>I.cancel())}}e.RipgrepSearchProvider=y;function C(E){const I=new u.CancellationTokenSource;return E.onCancellationRequested(()=>I.cancel()),I}}),define(Ie[298],ke([1,0,29,141,140]),function(Q,e,u,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchEngineAdapter=void 0;class T{constructor(E){this.query=E}search(E,I,R){if((!this.query.folderQueries||!this.query.folderQueries.length)&&(!this.query.extraFileResources||!this.query.extraFileResources.length))return Promise.resolve({type:"success",limitHit:!1,stats:{type:"searchProcess"}});const k={appendLine(P){R({message:P})}},_=new D.NativeTextSearchManager(this.query,new t.RipgrepTextSearchEngine(k),u);return new Promise((P,w)=>_.search(b=>{I(b.map(y))},E).then(b=>P({limitHit:b.limitHit,type:"success",stats:b.stats}),w))}}e.TextSearchEngineAdapter=T;function y(C){return{path:C.resource&&C.resource.fsPath,results:C.results,numMatches:(C.results||[]).reduce((E,I)=>{if(I.ranges){const R=I;return E+(Array.isArray(R.ranges)?R.ranges.length:1)}else return E+1},0)}}}),define(Ie[299],ke([1,0,16,18,12,3,105,9,50,2,43,31,290,298]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SearchService=void 0;class w{constructor(c="searchProcess"){this.processType=c,this.caches=Object.create(null)}fileSearch(c){let m;const a=f(c),h=new T.Emitter({onFirstListenerDidAdd:()=>{m=(0,t.createCancelablePromise)(r=>this.doFileSearchWithEngine(_.Engine,a,o=>h.fire(o),r)),m.then(r=>h.fire(r),r=>h.fire({type:"error",error:{message:r.message,stack:r.stack}}))},onLastListenerRemove:()=>{m.cancel()}});return h.event}textSearch(c){let m;const a=f(c),h=new T.Emitter({onFirstListenerDidAdd:()=>{m=(0,t.createCancelablePromise)(r=>this.ripgrepTextSearch(a,o=>h.fire(o),r)),m.then(r=>h.fire(r),r=>h.fire({type:"error",error:{message:r.message,stack:r.stack}}))},onLastListenerRemove:()=>{m.cancel()}});return h.event}ripgrepTextSearch(c,m,a){return c.maxFileSize=(0,R.getPlatformLimits)(process.arch==="ia32"?0:1).maxFileSize,new P.TextSearchEngineAdapter(c).search(a,m,m)}doFileSearch(c,m,a){return this.doFileSearchWithEngine(_.Engine,c,m,a)}doFileSearchWithEngine(c,m,a,h,r=w.BATCH_SIZE){let o=0;const i=s=>{Array.isArray(s)?(o+=s.length,a(s.map(l=>this.rawMatchToSearchItem(l)))):s.relativePath?(o++,a(this.rawMatchToSearchItem(s))):a(s)};if(m.sortByScore){let s=this.trySortedSearchFromCache(m,i,h);if(!s){const l=m.maxResults?Object.assign({},m,{maxResults:null}):m,d=new c(l);s=this.doSortedSearch(d,m,a,i,h)}return new Promise((l,d)=>{s.then(([S,L])=>{const F=L.map(N=>this.rawMatchToSearchItem(N));this.sendProgress(F,a,r),l(S)},d)})}const n=new c(m);return this.doSearch(n,i,r,h).then(s=>({limitHit:s.limitHit,type:"success",stats:{detailStats:s.stats,type:this.processType,fromCache:!1,resultCount:o,sortingTime:void 0}}))}rawMatchToSearchItem(c){return{path:c.base?(0,C.join)(c.base,c.relativePath):c.relativePath}}doSortedSearch(c,m,a,h,r){const o=new T.Emitter;let i=(0,t.createCancelablePromise)(s=>{let l=[];const d=S=>{Array.isArray(S)?l=S:(h(S),o.fire(S))};return this.doSearch(c,d,-1,s).then(S=>[S,l])}),n;if(m.cacheKey){n=this.getOrCreateCache(m.cacheKey);const s={promise:i,event:o.event,resolved:!1};n.resultsToSearchCache[m.filePattern||""]=s,i.then(()=>{s.resolved=!0},l=>{delete n.resultsToSearchCache[m.filePattern||""]}),i=this.preventCancellation(i)}return i.then(([s,l])=>{const d=n?n.scorerCache:Object.create(null),S=(typeof m.maxResults!="number"||m.maxResults>0)&&E.StopWatch.create(!1);return this.sortResults(m,l,d,r).then(L=>{const F=S?S.elapsed():-1;return[{type:"success",stats:{detailStats:s.stats,sortingTime:F,fromCache:!1,type:this.processType,workspaceFolderCount:m.folderQueries.length,resultCount:L.length},messages:s.messages,limitHit:s.limitHit||typeof m.maxResults=="number"&&l.length>m.maxResults},L]})})}getOrCreateCache(c){const m=this.caches[c];return m||(this.caches[c]=new b)}trySortedSearchFromCache(c,m,a){const h=c.cacheKey&&this.caches[c.cacheKey];if(!h)return;const r=this.getResultsFromCache(h,c.filePattern||"",m,a);if(r)return r.then(([o,i,n])=>{const s=E.StopWatch.create(!1);return this.sortResults(c,i,h.scorerCache,a).then(l=>{const d=s.elapsed(),S={fromCache:!0,detailStats:n,type:this.processType,resultCount:i.length,sortingTime:d};return[{type:"success",limitHit:o.limitHit||typeof c.maxResults=="number"&&i.length>c.maxResults,stats:S},l]})})}sortResults(c,m,a,h){const r=(0,y.prepareQuery)(c.filePattern||""),o=(n,s)=>(0,y.compareItemsByFuzzyScore)(n,s,r,!0,g,a),i=typeof c.maxResults=="number"?c.maxResults:Number.MAX_VALUE;return u.topAsync(m,o,i,1e4,h)}sendProgress(c,m,a){if(a&&a>0)for(let h=0;h<c.length;h+=a)m(c.slice(h,h+a));else m(c)}getResultsFromCache(c,m,a,h){const r=E.StopWatch.create(!1),o=m.indexOf(C.sep)>=0;let i;for(const d in c.resultsToSearchCache)if(m.startsWith(d)){if(o&&d.indexOf(C.sep)<0&&d!=="")continue;const S=c.resultsToSearchCache[d];i={promise:this.preventCancellation(S.promise),event:S.event,resolved:S.resolved};break}if(!i)return null;const n=r.elapsed(),s=E.StopWatch.create(!1),l=i.event(a);return h&&h.onCancellationRequested(()=>{l.dispose()}),i.promise.then(([d,S])=>{if(h&&h.isCancellationRequested)throw(0,D.canceled)();const L=[],F=(0,y.prepareQuery)(m).normalizedLowercase;for(const N of S)!(0,k.isFilePatternMatch)(N,F)||L.push(N);return[d,L,{cacheWasResolved:i.resolved,cacheLookupTime:n,cacheFilterTime:s.elapsed(),cacheEntryCount:S.length}]})}doSearch(c,m,a,h){return new Promise((r,o)=>{let i=[];h?.onCancellationRequested(()=>c.cancel()),c.search(n=>{n&&(a?(i.push(n),a>0&&i.length>=a&&(m(i),i=[])):m(n))},n=>{m(n)},(n,s)=>{i.length&&m(i),n?o(n):r(s)})})}clearCache(c){return delete this.caches[c],Promise.resolve(void 0)}preventCancellation(c){return new class{get[Symbol.toStringTag](){return this.toString()}cancel(){}then(m,a){return c.then(m,a)}catch(m){return this.then(void 0,m)}finally(m){return c.finally(m)}}}}e.SearchService=w,w.BATCH_SIZE=512;class b{constructor(){this.resultsToSearchCache=Object.create(null),this.scorerCache=Object.create(null)}}const g=new class{getItemLabel(p){return(0,C.basename)(p.relativePath)}getItemDescription(p){return(0,C.dirname)(p.relativePath)}getItemPath(p){return p.relativePath}};function f(p){return{...p,folderQueries:p.folderQueries&&p.folderQueries.map(v),extraFileResources:p.extraFileResources&&p.extraFileResources.map(c=>I.URI.revive(c))}}function v(p){return{...p,folder:I.URI.revive(p.folder)}}}),define(Ie[300],ke([1,0,6,11,2,29,14,26,17,75,64,31,299,297,92,140]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtHostSearch=void 0;let g=class extends I.ExtHostSearch{constructor(v,p,c,m){super(v,c,m);this._pfs=T,this._internalFileSearchHandle=-1,this._internalFileSearchProvider=null,this._registeredEHSearchProvider=!1;const a=new w.OutputChannel("RipgrepSearchUD",this._logService);this.registerTextSearchProvider(t.Schemas.vscodeUserData,new P.RipgrepSearchProvider(a)),p.remote.isRemote&&p.remote.authority&&this._registerEHSearchProviders()}$enableExtensionHostSearch(){this._registerEHSearchProviders()}_registerEHSearchProviders(){if(this._registeredEHSearchProvider)return;this._registeredEHSearchProvider=!0;const v=new w.OutputChannel("RipgrepSearchEH",this._logService);this.registerTextSearchProvider(t.Schemas.file,new P.RipgrepSearchProvider(v)),this.registerInternalFileSearchProvider(t.Schemas.file,new _.SearchService("fileSearchProvider"))}registerInternalFileSearchProvider(v,p){const c=this._handlePool++;return this._internalFileSearchProvider=p,this._internalFileSearchHandle=c,this._proxy.$registerFileSearchProvider(c,this._transformScheme(v)),(0,u.toDisposable)(()=>{this._internalFileSearchProvider=null,this._proxy.$unregisterProvider(c)})}$provideFileSearchResults(v,p,c,m){const a=(0,I.reviveQuery)(c);return v===this._internalFileSearchHandle?this.doInternalFileSearch(v,p,a,m):super.$provideFileSearchResults(v,p,c,m)}doInternalFileSearch(v,p,c,m){const a=h=>{if((0,k.isSerializedFileMatch)(h)&&(h=[h]),Array.isArray(h)){this._proxy.$handleFileMatch(v,p,h.map(r=>D.URI.file(r.path)));return}h.message&&this._logService.debug("ExtHostSearch",h.message)};if(!this._internalFileSearchProvider)throw new Error("No internal file search handler");return this._internalFileSearchProvider.doFileSearch(c,a,m)}$clearCache(v){return this._internalFileSearchProvider?.clearCache(v),super.$clearCache(v)}createTextSearchManager(v,p){return new b.NativeTextSearchManager(v,p,void 0,"textSearchProvider")}};g=st([He(0,E.IExtHostRpcService),He(1,C.IExtHostInitDataService),He(2,R.IURITransformerService),He(3,y.ILogService)],g),e.NativeExtHostSearch=g}),define(Ie[301],ke([1,0,82,273,285,284,300,296,274,74,39,75,72,38,52,69,272,271,14,286,47]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f,v,p,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,u.registerSingleton)(R.IExtHostExtensionService,C.ExtHostExtensionService),(0,u.registerSingleton)(v.ILoggerService,f.ExtHostLoggerService),(0,u.registerSingleton)(b.IExtensionStoragePaths,g.ExtensionStoragePaths),(0,u.registerSingleton)(I.IExtHostDebugService,T.ExtHostDebugService),(0,u.registerSingleton)(k.IExtHostSearch,y.NativeExtHostSearch),(0,u.registerSingleton)(_.IExtHostTask,D.ExtHostTask),(0,u.registerSingleton)(P.IExtHostTerminalService,t.ExtHostTerminalService),(0,u.registerSingleton)(w.IExtHostTunnelService,E.ExtHostTunnelService),(0,u.registerSingleton)(c.IExtHostVariableResolverProvider,p.NodeExtHostVariableResolverProviderService)}),define(Ie[309],ke([1,0,216,310,73,12,111,112,197,134,283,23,29,109,18,115,210,228,287,301]),function(Q,e,u,t,D,T,y,C,E,I,R,k,_,P,w,b,g,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.startExtensionHostProcess=void 0,function(){for(let n=0;n<process.execArgv.length;n++)process.execArgv[n]==="--inspect-port=0"&&(process.execArgv.splice(n,1),n--)}();const v=t(process.argv.slice(2),{boolean:["transformURIs","skipWorkspaceStorageLock"],string:["useHostProxy"]});(function(){const i=Q.__$__nodeRequire("module"),n=i._load;i._load=function(s){if(s==="natives")throw new Error('Either the extension or an NPM dependency is using the [unsupported "natives" node module](https://go.microsoft.com/fwlink/?linkid=871887).');return n.apply(this,arguments)}})();const p=process.exit.bind(process);function c(i){process.exit=function(n){if(i)p(n);else{const s=new Error("An extension called process.exit() and this was prevented.");console.warn(s.stack)}},process.crash=function(){const n=new Error("An extension called process.crash() and this was prevented.");console.warn(n.stack)},process.env.ELECTRON_RUN_AS_NODE="1"}let m=function(i){p()};function a(){const i=(0,f.readExtHostConnection)(process.env);if(i.type===3)return new Promise((n,s)=>{const l=d=>{const S=d[0],L=new y.BufferedEmitter;S.on("message",F=>L.fire(k.VSBuffer.wrap(F.data))),S.on("close",()=>{m("renderer closed the MessagePort")}),S.start(),n({onMessage:L.event,send:F=>S.postMessage(F.buffer)})};if(global.vscodePorts){const d=global.vscodePorts;delete global.vscodePorts,l(d)}else global.vscodePortsCallback=l});if(i.type===2)return new Promise((n,s)=>{let l=null;const d=setTimeout(()=>{m("VSCODE_EXTHOST_IPC_SOCKET timeout")},6e4),S=108e5,L=3e5,F=new w.ProcessTimeRunOnceScheduler(()=>m("renderer disconnected for too long (1)"),S),N=new w.ProcessTimeRunOnceScheduler(()=>m("renderer disconnected for too long (2)"),L);process.on("message",($,B)=>{if($&&$.type==="VSCODE_EXTHOST_IPC_SOCKET"){B.setNoDelay(!0);const z=k.VSBuffer.wrap(Buffer.from($.initialDataChunk,"base64"));let X;if($.skipWebSocketFrames)X=new C.NodeSocket(B,"extHost-socket");else{const M=k.VSBuffer.wrap(Buffer.from($.inflateBytes,"base64"));X=new C.WebSocketNodeSocket(new C.NodeSocket(B,"extHost-socket"),$.permessageDeflate,M,!1)}l?(F.cancel(),N.cancel(),l.beginAcceptReconnection(X,z),l.endAcceptReconnection(),l.sendResume()):(clearTimeout(d),l=new y.PersistentProtocol(X,z),l.sendResume(),l.onDidDispose(()=>m("renderer disconnected")),n(l),l.onSocketClose(()=>{F.schedule()}))}if($&&$.type==="VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"){if(N.isScheduled())return;F.isScheduled()&&N.schedule()}});const A={type:"VSCODE_EXTHOST_IPC_READY"};process.send?.(A)});{const n=i.pipeName;return new Promise((s,l)=>{const d=u.createConnection(n,()=>{d.removeListener("error",l);const S=new y.PersistentProtocol(new C.NodeSocket(d,"extHost-renderer"));S.sendResume(),s(S)});d.once("error",l),d.on("close",()=>{m("renderer closed the socket")})})}}async function h(){const i=await a();return new class{constructor(){this._onMessage=new y.BufferedEmitter,this.onMessage=this._onMessage.event,this._terminating=!1,i.onMessage(n=>{(0,I.isMessageOfType)(n,2)?(this._terminating=!0,m("received terminate message from renderer")):this._onMessage.fire(n)})}send(n){this._terminating||i.send(n)}async drain(){if(i.drain)return i.drain()}}}function r(i){return new Promise(n=>{const s=i.onMessage(l=>{s.dispose();const d=JSON.parse(l.toString()),S=d.commit,L=E.default.commit;S&&L&&S!==L&&p(55);let F=0;setInterval(function(){try{process.kill(d.parentPid,0),F=0}catch(A){A&&A.code==="EPERM"?(F++,F>=3&&m(`parent process ${d.parentPid} does not exist anymore (3 x EPERM): ${A.message} (code: ${A.code}) (errno: ${A.errno})`)):m(`parent process ${d.parentPid} does not exist anymore: ${A.message} (code: ${A.code}) (errno: ${A.errno})`)}},1e3);let N;try{N=Q.__$__nodeRequire("native-watchdog"),N.start(d.parentPid)}catch(A){(0,T.onUnexpectedError)(A)}i.send((0,I.createMessageOfType)(0)),n({protocol:i,initData:d})});i.send((0,I.createMessageOfType)(1))})}async function o(){const i=[];process.on("unhandledRejection",(F,N)=>{i.push(N),setTimeout(()=>{const A=i.indexOf(N);A>=0&&N.catch($=>{i.splice(A,1),(0,T.isCancellationError)($)||(console.warn(`rejected promise not handled within 1 second: ${$}`),$&&$.stack&&console.warn(`stack trace: ${$.stack}`),F&&(0,T.onUnexpectedError)(F))})},1e3)}),process.on("rejectionHandled",F=>{const N=i.indexOf(F);N>=0&&i.splice(N,1)}),process.on("uncaughtException",function(F){(0,T.onUnexpectedError)(F)}),D.mark("code/extHost/willConnectToRenderer");const n=await h();D.mark("code/extHost/didConnectToRenderer");const s=await r(n);D.mark("code/extHost/didWaitForInitData");const{initData:l}=s;c(!!l.environment.extensionTestsLocationURI),l.environment.useHostProxy=v.useHostProxy!==void 0?v.useHostProxy!=="false":void 0,l.environment.skipWorkspaceStorageLock=(0,b.boolean)(v.skipWorkspaceStorageLock,!1);const d=new class{constructor(){this.pid=process.pid}exit(N){p(N)}exists(N){return _.Promises.exists(N)}realpath(N){return(0,P.realpath)(N)}};let S=null;l.remote.authority&&v.transformURIs&&(S=(0,g.createURITransformer)(l.remote.authority));const L=new R.ExtensionHostMain(s.protocol,l,d,S);m=F=>L.terminate(F)}e.startExtensionHostProcess=o,o().catch(i=>console.log(i))})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/274aed07cc6fa04dc99984d3ee90f45d3711a7df/core/vs/workbench/api/node/extensionHostProcess.js.map
